#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 10
#define STATE_COUNT 1288
#define SYMBOL_COUNT 203
#define ALIAS_COUNT 4
#define TOKEN_COUNT 90
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 8

enum {
  sym_identifier = 1,
  anon_sym_LF = 2,
  anon_sym_SEMI = 3,
  anon_sym_package = 4,
  anon_sym_import = 5,
  anon_sym_DOT = 6,
  sym_blank_identifier = 7,
  anon_sym_LPAREN = 8,
  anon_sym_RPAREN = 9,
  anon_sym_const = 10,
  anon_sym_COMMA = 11,
  anon_sym_EQ = 12,
  anon_sym_var = 13,
  anon_sym_func = 14,
  anon_sym_DOT_DOT_DOT = 15,
  anon_sym_type = 16,
  anon_sym_STAR = 17,
  anon_sym_LBRACK = 18,
  anon_sym_RBRACK = 19,
  anon_sym_struct = 20,
  anon_sym_LBRACE = 21,
  anon_sym_RBRACE = 22,
  anon_sym_interface = 23,
  anon_sym_map = 24,
  anon_sym_chan = 25,
  anon_sym_LT_DASH = 26,
  anon_sym_COLON_EQ = 27,
  anon_sym_PLUS_PLUS = 28,
  anon_sym_DASH_DASH = 29,
  anon_sym_STAR_EQ = 30,
  anon_sym_SLASH_EQ = 31,
  anon_sym_PERCENT_EQ = 32,
  anon_sym_LT_LT_EQ = 33,
  anon_sym_GT_GT_EQ = 34,
  anon_sym_AMP_EQ = 35,
  anon_sym_AMP_CARET_EQ = 36,
  anon_sym_PLUS_EQ = 37,
  anon_sym_DASH_EQ = 38,
  anon_sym_PIPE_EQ = 39,
  anon_sym_CARET_EQ = 40,
  anon_sym_COLON = 41,
  anon_sym_fallthrough = 42,
  anon_sym_break = 43,
  anon_sym_continue = 44,
  anon_sym_goto = 45,
  anon_sym_return = 46,
  anon_sym_go = 47,
  anon_sym_defer = 48,
  anon_sym_if = 49,
  anon_sym_else = 50,
  anon_sym_for = 51,
  anon_sym_range = 52,
  anon_sym_switch = 53,
  anon_sym_case = 54,
  anon_sym_default = 55,
  anon_sym_select = 56,
  anon_sym_new = 57,
  anon_sym_make = 58,
  anon_sym_PLUS = 59,
  anon_sym_DASH = 60,
  anon_sym_BANG = 61,
  anon_sym_CARET = 62,
  anon_sym_AMP = 63,
  anon_sym_SLASH = 64,
  anon_sym_PERCENT = 65,
  anon_sym_LT_LT = 66,
  anon_sym_GT_GT = 67,
  anon_sym_AMP_CARET = 68,
  anon_sym_PIPE = 69,
  anon_sym_EQ_EQ = 70,
  anon_sym_BANG_EQ = 71,
  anon_sym_LT = 72,
  anon_sym_LT_EQ = 73,
  anon_sym_GT = 74,
  anon_sym_GT_EQ = 75,
  anon_sym_AMP_AMP = 76,
  anon_sym_PIPE_PIPE = 77,
  sym_raw_string_literal = 78,
  anon_sym_DQUOTE = 79,
  aux_sym_interpreted_string_literal_token1 = 80,
  sym_escape_sequence = 81,
  sym_int_literal = 82,
  sym_float_literal = 83,
  sym_imaginary_literal = 84,
  sym_rune_literal = 85,
  sym_nil = 86,
  sym_true = 87,
  sym_false = 88,
  sym_comment = 89,
  sym_source_file = 90,
  sym__top_level_declaration = 91,
  sym_package_clause = 92,
  sym_import_declaration = 93,
  sym_import_spec = 94,
  sym_dot = 95,
  sym_import_spec_list = 96,
  sym__declaration = 97,
  sym_const_declaration = 98,
  sym_const_spec = 99,
  sym_var_declaration = 100,
  sym_var_spec = 101,
  sym_function_declaration = 102,
  sym_method_declaration = 103,
  sym_parameter_list = 104,
  sym_parameter_declaration = 105,
  sym_variadic_parameter_declaration = 106,
  sym_type_alias = 107,
  sym_type_declaration = 108,
  sym_type_spec = 109,
  sym_expression_list = 110,
  sym_parenthesized_type = 111,
  sym__simple_type = 112,
  sym_pointer_type = 113,
  sym_array_type = 114,
  sym_implicit_length_array_type = 115,
  sym_slice_type = 116,
  sym_struct_type = 117,
  sym_field_declaration_list = 118,
  sym_field_declaration = 119,
  sym_interface_type = 120,
  sym_method_spec_list = 121,
  sym_method_spec = 122,
  sym_map_type = 123,
  sym_channel_type = 124,
  sym_function_type = 125,
  sym_block = 126,
  sym__statement_list = 127,
  sym__statement = 128,
  sym_empty_statement = 129,
  sym__simple_statement = 130,
  sym_send_statement = 131,
  sym_receive_statement = 132,
  sym_inc_statement = 133,
  sym_dec_statement = 134,
  sym_assignment_statement = 135,
  sym_short_var_declaration = 136,
  sym_labeled_statement = 137,
  sym_empty_labeled_statement = 138,
  sym_fallthrough_statement = 139,
  sym_break_statement = 140,
  sym_continue_statement = 141,
  sym_goto_statement = 142,
  sym_return_statement = 143,
  sym_go_statement = 144,
  sym_defer_statement = 145,
  sym_if_statement = 146,
  sym_if_initializer = 147,
  sym_else_clause = 148,
  sym_for_statement = 149,
  sym_for_clause = 150,
  sym_range_clause = 151,
  sym_expression_switch_statement = 152,
  sym_expression_case_clause = 153,
  sym_expression_case = 154,
  sym_default_case = 155,
  sym_type_switch_statement = 156,
  sym_type_switch_guard = 157,
  sym_type_case_clause = 158,
  sym_type_case = 159,
  sym_select_statement = 160,
  sym_communication_clause = 161,
  sym_communication_case = 162,
  sym__expression = 163,
  sym_parenthesized_expression = 164,
  sym_call_expression = 165,
  sym_variadic_argument = 166,
  sym_special_argument_list = 167,
  sym_argument_list = 168,
  sym_selector_expression = 169,
  sym_index_expression = 170,
  sym_slice_expression = 171,
  sym_type_assertion_expression = 172,
  sym_type_conversion_expression = 173,
  sym_composite_literal = 174,
  sym_literal_value = 175,
  sym_keyed_element = 176,
  sym_element = 177,
  sym_func_literal = 178,
  sym_unary_expression = 179,
  sym_binary_expression = 180,
  sym_qualified_type = 181,
  sym__string_literal = 182,
  sym_interpreted_string_literal = 183,
  aux_sym_source_file_repeat1 = 184,
  aux_sym_import_spec_list_repeat1 = 185,
  aux_sym_const_declaration_repeat1 = 186,
  aux_sym_const_spec_repeat1 = 187,
  aux_sym_var_declaration_repeat1 = 188,
  aux_sym_parameter_list_repeat1 = 189,
  aux_sym_type_declaration_repeat1 = 190,
  aux_sym_field_name_list_repeat1 = 191,
  aux_sym_expression_list_repeat1 = 192,
  aux_sym_field_declaration_list_repeat1 = 193,
  aux_sym_method_spec_list_repeat1 = 194,
  aux_sym__statement_list_repeat1 = 195,
  aux_sym_expression_switch_statement_repeat1 = 196,
  aux_sym_type_switch_statement_repeat1 = 197,
  aux_sym_type_case_repeat1 = 198,
  aux_sym_select_statement_repeat1 = 199,
  aux_sym_argument_list_repeat1 = 200,
  aux_sym_literal_value_repeat1 = 201,
  aux_sym_interpreted_string_literal_repeat1 = 202,
  alias_sym_package_identifier = 203,
  alias_sym_field_identifier = 204,
  alias_sym_label_name = 205,
  alias_sym_type_identifier = 206,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_LF] = "\n",
  [anon_sym_SEMI] = ";",
  [anon_sym_package] = "package",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [sym_blank_identifier] = "blank_identifier",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_const] = "const",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [anon_sym_var] = "var",
  [anon_sym_func] = "func",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_type] = "type",
  [anon_sym_STAR] = "*",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_struct] = "struct",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_interface] = "interface",
  [anon_sym_map] = "map",
  [anon_sym_chan] = "chan",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_AMP_CARET_EQ] = "&^=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_COLON] = ":",
  [anon_sym_fallthrough] = "fallthrough",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym_return] = "return",
  [anon_sym_go] = "go",
  [anon_sym_defer] = "defer",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_range] = "range",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_select] = "select",
  [anon_sym_new] = "identifier",
  [anon_sym_make] = "identifier",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_BANG] = "!",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP_CARET] = "&^",
  [anon_sym_PIPE] = "|",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [sym_raw_string_literal] = "raw_string_literal",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_interpreted_string_literal_token1] = "interpreted_string_literal_token1",
  [sym_escape_sequence] = "escape_sequence",
  [sym_int_literal] = "int_literal",
  [sym_float_literal] = "float_literal",
  [sym_imaginary_literal] = "imaginary_literal",
  [sym_rune_literal] = "rune_literal",
  [sym_nil] = "nil",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_comment] = "comment",
  [sym_source_file] = "source_file",
  [sym__top_level_declaration] = "_top_level_declaration",
  [sym_package_clause] = "package_clause",
  [sym_import_declaration] = "import_declaration",
  [sym_import_spec] = "import_spec",
  [sym_dot] = "dot",
  [sym_import_spec_list] = "import_spec_list",
  [sym__declaration] = "_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym_const_spec] = "const_spec",
  [sym_var_declaration] = "var_declaration",
  [sym_var_spec] = "var_spec",
  [sym_function_declaration] = "function_declaration",
  [sym_method_declaration] = "method_declaration",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_type_alias] = "type_alias",
  [sym_type_declaration] = "type_declaration",
  [sym_type_spec] = "type_spec",
  [sym_expression_list] = "expression_list",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym__simple_type] = "_simple_type",
  [sym_pointer_type] = "pointer_type",
  [sym_array_type] = "array_type",
  [sym_implicit_length_array_type] = "implicit_length_array_type",
  [sym_slice_type] = "slice_type",
  [sym_struct_type] = "struct_type",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym_field_declaration] = "field_declaration",
  [sym_interface_type] = "interface_type",
  [sym_method_spec_list] = "method_spec_list",
  [sym_method_spec] = "method_spec",
  [sym_map_type] = "map_type",
  [sym_channel_type] = "channel_type",
  [sym_function_type] = "function_type",
  [sym_block] = "block",
  [sym__statement_list] = "_statement_list",
  [sym__statement] = "_statement",
  [sym_empty_statement] = "empty_statement",
  [sym__simple_statement] = "_simple_statement",
  [sym_send_statement] = "send_statement",
  [sym_receive_statement] = "receive_statement",
  [sym_inc_statement] = "inc_statement",
  [sym_dec_statement] = "dec_statement",
  [sym_assignment_statement] = "assignment_statement",
  [sym_short_var_declaration] = "short_var_declaration",
  [sym_labeled_statement] = "labeled_statement",
  [sym_empty_labeled_statement] = "labeled_statement",
  [sym_fallthrough_statement] = "fallthrough_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_return_statement] = "return_statement",
  [sym_go_statement] = "go_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_if_statement] = "if_statement",
  [sym_if_initializer] = "if_initializer",
  [sym_else_clause] = "else_clause",
  [sym_for_statement] = "for_statement",
  [sym_for_clause] = "for_clause",
  [sym_range_clause] = "range_clause",
  [sym_expression_switch_statement] = "expression_switch_statement",
  [sym_expression_case_clause] = "expression_case_clause",
  [sym_expression_case] = "expression_case",
  [sym_default_case] = "default_case",
  [sym_type_switch_statement] = "type_switch_statement",
  [sym_type_switch_guard] = "type_switch_guard",
  [sym_type_case_clause] = "type_case_clause",
  [sym_type_case] = "type_case",
  [sym_select_statement] = "select_statement",
  [sym_communication_clause] = "communication_clause",
  [sym_communication_case] = "communication_case",
  [sym__expression] = "_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_call_expression] = "call_expression",
  [sym_variadic_argument] = "variadic_argument",
  [sym_special_argument_list] = "argument_list",
  [sym_argument_list] = "argument_list",
  [sym_selector_expression] = "selector_expression",
  [sym_index_expression] = "index_expression",
  [sym_slice_expression] = "slice_expression",
  [sym_type_assertion_expression] = "type_assertion_expression",
  [sym_type_conversion_expression] = "type_conversion_expression",
  [sym_composite_literal] = "composite_literal",
  [sym_literal_value] = "literal_value",
  [sym_keyed_element] = "keyed_element",
  [sym_element] = "element",
  [sym_func_literal] = "func_literal",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_qualified_type] = "qualified_type",
  [sym__string_literal] = "_string_literal",
  [sym_interpreted_string_literal] = "interpreted_string_literal",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_import_spec_list_repeat1] = "import_spec_list_repeat1",
  [aux_sym_const_declaration_repeat1] = "const_declaration_repeat1",
  [aux_sym_const_spec_repeat1] = "const_spec_repeat1",
  [aux_sym_var_declaration_repeat1] = "var_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_type_declaration_repeat1] = "type_declaration_repeat1",
  [aux_sym_field_name_list_repeat1] = "field_name_list_repeat1",
  [aux_sym_expression_list_repeat1] = "expression_list_repeat1",
  [aux_sym_field_declaration_list_repeat1] = "field_declaration_list_repeat1",
  [aux_sym_method_spec_list_repeat1] = "method_spec_list_repeat1",
  [aux_sym__statement_list_repeat1] = "_statement_list_repeat1",
  [aux_sym_expression_switch_statement_repeat1] = "expression_switch_statement_repeat1",
  [aux_sym_type_switch_statement_repeat1] = "type_switch_statement_repeat1",
  [aux_sym_type_case_repeat1] = "type_case_repeat1",
  [aux_sym_select_statement_repeat1] = "select_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_literal_value_repeat1] = "literal_value_repeat1",
  [aux_sym_interpreted_string_literal_repeat1] = "interpreted_string_literal_repeat1",
  [alias_sym_package_identifier] = "package_identifier",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_label_name] = "label_name",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_blank_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_map] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chan] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fallthrough] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_go] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_range] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_make] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interpreted_string_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_int_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_float_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_imaginary_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_rune_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_nil] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_package_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_dot] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_const_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_var_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
  },
  [sym_pointer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_length_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_type] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_type] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_type] = {
    .visible = true,
    .named = true,
  },
  [sym_method_spec_list] = {
    .visible = true,
    .named = true,
  },
  [sym_method_spec] = {
    .visible = true,
    .named = true,
  },
  [sym_map_type] = {
    .visible = true,
    .named = true,
  },
  [sym_channel_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym__statement_list] = {
    .visible = false,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_send_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_receive_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_inc_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_dec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_short_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_fallthrough_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_go_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_range_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_case] = {
    .visible = true,
    .named = true,
  },
  [sym_default_case] = {
    .visible = true,
    .named = true,
  },
  [sym_type_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_type_switch_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_type_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_case] = {
    .visible = true,
    .named = true,
  },
  [sym_select_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_communication_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_communication_case] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_special_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_selector_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_assertion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_conversion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_composite_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_value] = {
    .visible = true,
    .named = true,
  },
  [sym_keyed_element] = {
    .visible = true,
    .named = true,
  },
  [sym_element] = {
    .visible = true,
    .named = true,
  },
  [sym_func_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type] = {
    .visible = true,
    .named = true,
  },
  [sym__string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym_interpreted_string_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_spec_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_spec_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_var_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_name_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_spec_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__statement_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_case_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_literal_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpreted_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_package_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

static TSSymbol ts_alias_sequences[11][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [1] = {
    [1] = alias_sym_package_identifier,
  },
  [2] = {
    [0] = alias_sym_type_identifier,
  },
  [3] = {
    [0] = alias_sym_package_identifier,
  },
  [4] = {
    [2] = alias_sym_field_identifier,
  },
  [5] = {
    [0] = alias_sym_package_identifier,
    [2] = alias_sym_type_identifier,
  },
  [6] = {
    [1] = alias_sym_label_name,
  },
  [7] = {
    [0] = alias_sym_label_name,
  },
  [8] = {
    [1] = alias_sym_type_identifier,
  },
  [9] = {
    [0] = alias_sym_field_identifier,
  },
  [10] = {
    [1] = alias_sym_field_identifier,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(4);
      if (lookahead == '&')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(6);
      if (lookahead == '(')
        ADVANCE(7);
      if (lookahead == ')')
        ADVANCE(8);
      if (lookahead == '*')
        ADVANCE(9);
      if (lookahead == '+')
        ADVANCE(10);
      if (lookahead == ',')
        ADVANCE(11);
      if (lookahead == '-')
        ADVANCE(12);
      if (lookahead == '.')
        ADVANCE(13);
      if (lookahead == '/')
        ADVANCE(14);
      if (lookahead == '0')
        ADVANCE(15);
      if (lookahead == ':')
        ADVANCE(16);
      if (lookahead == ';')
        ADVANCE(17);
      if (lookahead == '<')
        ADVANCE(18);
      if (lookahead == '=')
        ADVANCE(19);
      if (lookahead == '>')
        ADVANCE(20);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '\\')
        ADVANCE(22);
      if (lookahead == ']')
        ADVANCE(23);
      if (lookahead == '^')
        ADVANCE(24);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(25);
      if (lookahead == '`')
        ADVANCE(26);
      if (lookahead == '{')
        ADVANCE(27);
      if (lookahead == '|')
        ADVANCE(28);
      if (lookahead == '}')
        ADVANCE(29);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(30);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(31);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 2:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=')
        ADVANCE(32);
      END_STATE();
    case 3:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 4:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=')
        ADVANCE(33);
      END_STATE();
    case 5:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&')
        ADVANCE(34);
      if (lookahead == '=')
        ADVANCE(35);
      if (lookahead == '^')
        ADVANCE(36);
      END_STATE();
    case 6:
      if (lookahead == '\\')
        ADVANCE(37);
      if (lookahead != 0 &&
          lookahead != '\'')
        ADVANCE(38);
      END_STATE();
    case 7:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 8:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 9:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=')
        ADVANCE(39);
      END_STATE();
    case 10:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+')
        ADVANCE(40);
      if (lookahead == '=')
        ADVANCE(41);
      END_STATE();
    case 11:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 12:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-')
        ADVANCE(42);
      if (lookahead == '=')
        ADVANCE(43);
      END_STATE();
    case 13:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.')
        ADVANCE(44);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(45);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*')
        ADVANCE(46);
      if (lookahead == '/')
        ADVANCE(47);
      if (lookahead == '=')
        ADVANCE(48);
      END_STATE();
    case 15:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.')
        ADVANCE(45);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(49);
      if (lookahead == 'X' ||
          lookahead == 'x')
        ADVANCE(50);
      if (lookahead == 'i')
        ADVANCE(51);
      if (lookahead == '8' ||
          lookahead == '9')
        ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(53);
      END_STATE();
    case 16:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=')
        ADVANCE(54);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 18:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-')
        ADVANCE(55);
      if (lookahead == '<')
        ADVANCE(56);
      if (lookahead == '=')
        ADVANCE(57);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=')
        ADVANCE(58);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(59);
      if (lookahead == '>')
        ADVANCE(60);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 22:
      if (lookahead == 'U')
        ADVANCE(61);
      if (lookahead == 'u')
        ADVANCE(62);
      if (lookahead == 'x')
        ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(64);
      if (lookahead != 0)
        ADVANCE(65);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=')
        ADVANCE(66);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(25);
      END_STATE();
    case 26:
      if (lookahead == '`')
        ADVANCE(67);
      if (lookahead != 0)
        ADVANCE(26);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=')
        ADVANCE(68);
      if (lookahead == '|')
        ADVANCE(69);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 30:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '!')
        ADVANCE(2);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '%')
        ADVANCE(4);
      if (lookahead == '&')
        ADVANCE(5);
      if (lookahead == '\'')
        ADVANCE(6);
      if (lookahead == '(')
        ADVANCE(7);
      if (lookahead == ')')
        ADVANCE(8);
      if (lookahead == '*')
        ADVANCE(9);
      if (lookahead == '+')
        ADVANCE(10);
      if (lookahead == ',')
        ADVANCE(11);
      if (lookahead == '-')
        ADVANCE(12);
      if (lookahead == '.')
        ADVANCE(13);
      if (lookahead == '/')
        ADVANCE(14);
      if (lookahead == '0')
        ADVANCE(15);
      if (lookahead == ':')
        ADVANCE(16);
      if (lookahead == ';')
        ADVANCE(17);
      if (lookahead == '<')
        ADVANCE(18);
      if (lookahead == '=')
        ADVANCE(19);
      if (lookahead == '>')
        ADVANCE(20);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == ']')
        ADVANCE(23);
      if (lookahead == '^')
        ADVANCE(24);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(25);
      if (lookahead == '`')
        ADVANCE(26);
      if (lookahead == '{')
        ADVANCE(27);
      if (lookahead == '|')
        ADVANCE(28);
      if (lookahead == '}')
        ADVANCE(29);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(30);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(31);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.')
        ADVANCE(45);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(49);
      if (lookahead == 'i')
        ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(31);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      if (lookahead == '=')
        ADVANCE(70);
      END_STATE();
    case 37:
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == '\\' ||
          lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          lookahead == 't' ||
          lookahead == 'v')
        ADVANCE(38);
      if (lookahead == 'U')
        ADVANCE(71);
      if (lookahead == 'u')
        ADVANCE(72);
      if (lookahead == 'x')
        ADVANCE(73);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(74);
      END_STATE();
    case 38:
      if (lookahead == '\'')
        ADVANCE(75);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 44:
      if (lookahead == '.')
        ADVANCE(76);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(49);
      if (lookahead == 'i')
        ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(45);
      END_STATE();
    case 46:
      if (lookahead == '*')
        ADVANCE(77);
      if (lookahead != 0)
        ADVANCE(46);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n')
        ADVANCE(47);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 49:
      if (lookahead == '+' ||
          lookahead == '-')
        ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(79);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(80);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(sym_imaginary_literal);
      END_STATE();
    case 52:
      if (lookahead == '.')
        ADVANCE(45);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(49);
      if (lookahead == 'i')
        ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(52);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.')
        ADVANCE(45);
      if (lookahead == 'E' ||
          lookahead == 'e')
        ADVANCE(49);
      if (lookahead == 'i')
        ADVANCE(51);
      if (lookahead == '8' ||
          lookahead == '9')
        ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(53);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=')
        ADVANCE(81);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=')
        ADVANCE(82);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(83);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(84);
      END_STATE();
    case 63:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(85);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(86);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_raw_string_literal);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_AMP_CARET_EQ);
      END_STATE();
    case 71:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(87);
      END_STATE();
    case 72:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(88);
      END_STATE();
    case 73:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(89);
      END_STATE();
    case 74:
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(90);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(sym_rune_literal);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 77:
      if (lookahead == '*')
        ADVANCE(77);
      if (lookahead == '/')
        ADVANCE(91);
      if (lookahead != 0)
        ADVANCE(46);
      END_STATE();
    case 78:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(79);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'i')
        ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(79);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(sym_int_literal);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(80);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 83:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(92);
      END_STATE();
    case 84:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(63);
      END_STATE();
    case 85:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(65);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(65);
      END_STATE();
    case 87:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(93);
      END_STATE();
    case 88:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(73);
      END_STATE();
    case 89:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(38);
      END_STATE();
    case 90:
      if (('0' <= lookahead && lookahead <= '7'))
        ADVANCE(38);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 92:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(94);
      END_STATE();
    case 93:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(95);
      END_STATE();
    case 94:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(62);
      END_STATE();
    case 95:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f'))
        ADVANCE(72);
      END_STATE();
    case 96:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '(')
        ADVANCE(7);
      if (lookahead == ')')
        ADVANCE(8);
      if (lookahead == '*')
        ADVANCE(97);
      if (lookahead == ',')
        ADVANCE(11);
      if (lookahead == '.')
        ADVANCE(98);
      if (lookahead == '/')
        ADVANCE(99);
      if (lookahead == '<')
        ADVANCE(100);
      if (lookahead == '[')
        ADVANCE(21);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(25);
      if (lookahead == '`')
        ADVANCE(26);
      if (lookahead == '{')
        ADVANCE(27);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(96);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.')
        ADVANCE(44);
      END_STATE();
    case 99:
      if (lookahead == '*')
        ADVANCE(46);
      if (lookahead == '/')
        ADVANCE(47);
      END_STATE();
    case 100:
      if (lookahead == '-')
        ADVANCE(55);
      END_STATE();
    case 101:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        ADVANCE(102);
      if (lookahead == '(')
        ADVANCE(7);
      if (lookahead == '*')
        ADVANCE(97);
      if (lookahead == ',')
        ADVANCE(11);
      if (lookahead == '.')
        ADVANCE(103);
      if (lookahead == '/')
        ADVANCE(99);
      if (lookahead == ';')
        ADVANCE(17);
      if (lookahead == '<')
        ADVANCE(100);
      if (lookahead == '=')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(21);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(25);
      if (lookahead == '{')
        ADVANCE(27);
      if (lookahead == '}')
        ADVANCE(29);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(101);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n')
        ADVANCE(102);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 105:
      if (lookahead == '(')
        ADVANCE(7);
      if (lookahead == '*')
        ADVANCE(97);
      if (lookahead == ',')
        ADVANCE(11);
      if (lookahead == '/')
        ADVANCE(99);
      if (lookahead == ':')
        ADVANCE(106);
      if (lookahead == ';')
        ADVANCE(17);
      if (lookahead == '<')
        ADVANCE(100);
      if (lookahead == '=')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(21);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(25);
      if (lookahead == '{')
        ADVANCE(27);
      if (lookahead == '}')
        ADVANCE(29);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(105);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 107:
      if (lookahead == '\n')
        SKIP(108);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '/')
        ADVANCE(109);
      if (lookahead == '\\')
        ADVANCE(22);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        ADVANCE(109);
      if (lookahead != 0)
        ADVANCE(109);
      END_STATE();
    case 108:
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '/')
        ADVANCE(99);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(108);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(aux_sym_interpreted_string_literal_token1);
      END_STATE();
    case 110:
      if (lookahead == '(')
        ADVANCE(7);
      if (lookahead == ')')
        ADVANCE(8);
      if (lookahead == '*')
        ADVANCE(97);
      if (lookahead == ',')
        ADVANCE(11);
      if (lookahead == '.')
        ADVANCE(103);
      if (lookahead == '/')
        ADVANCE(99);
      if (lookahead == ':')
        ADVANCE(106);
      if (lookahead == '<')
        ADVANCE(100);
      if (lookahead == '=')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == ']')
        ADVANCE(23);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(25);
      if (lookahead == '{')
        ADVANCE(27);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(110);
      END_STATE();
    case 111:
      if (lookahead == '!')
        ADVANCE(112);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '&')
        ADVANCE(113);
      if (lookahead == '\'')
        ADVANCE(6);
      if (lookahead == '(')
        ADVANCE(7);
      if (lookahead == '*')
        ADVANCE(97);
      if (lookahead == '+')
        ADVANCE(114);
      if (lookahead == '-')
        ADVANCE(115);
      if (lookahead == '.')
        ADVANCE(116);
      if (lookahead == '/')
        ADVANCE(99);
      if (lookahead == '0')
        ADVANCE(15);
      if (lookahead == '<')
        ADVANCE(100);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == ']')
        ADVANCE(23);
      if (lookahead == '^')
        ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(25);
      if (lookahead == '`')
        ADVANCE(26);
      if (lookahead == '{')
        ADVANCE(27);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(111);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(31);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 116:
      if (lookahead == '.')
        ADVANCE(44);
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(45);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 118:
      if (lookahead == 0)
        ADVANCE(1);
      if (lookahead == '\n')
        ADVANCE(102);
      if (lookahead == '!')
        ADVANCE(119);
      if (lookahead == '%')
        ADVANCE(120);
      if (lookahead == '&')
        ADVANCE(121);
      if (lookahead == '(')
        ADVANCE(7);
      if (lookahead == '*')
        ADVANCE(97);
      if (lookahead == '+')
        ADVANCE(114);
      if (lookahead == ',')
        ADVANCE(11);
      if (lookahead == '-')
        ADVANCE(115);
      if (lookahead == '.')
        ADVANCE(103);
      if (lookahead == '/')
        ADVANCE(122);
      if (lookahead == ';')
        ADVANCE(17);
      if (lookahead == '<')
        ADVANCE(123);
      if (lookahead == '=')
        ADVANCE(124);
      if (lookahead == '>')
        ADVANCE(125);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '^')
        ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(25);
      if (lookahead == '{')
        ADVANCE(27);
      if (lookahead == '|')
        ADVANCE(126);
      if (lookahead == '}')
        ADVANCE(29);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(118);
      END_STATE();
    case 119:
      if (lookahead == '=')
        ADVANCE(32);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&')
        ADVANCE(34);
      if (lookahead == '^')
        ADVANCE(127);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*')
        ADVANCE(46);
      if (lookahead == '/')
        ADVANCE(47);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(128);
      if (lookahead == '=')
        ADVANCE(57);
      END_STATE();
    case 124:
      if (lookahead == '=')
        ADVANCE(58);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=')
        ADVANCE(59);
      if (lookahead == '>')
        ADVANCE(129);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|')
        ADVANCE(69);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 130:
      if (lookahead == '!')
        ADVANCE(112);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '&')
        ADVANCE(113);
      if (lookahead == '\'')
        ADVANCE(6);
      if (lookahead == '(')
        ADVANCE(7);
      if (lookahead == '*')
        ADVANCE(97);
      if (lookahead == '+')
        ADVANCE(114);
      if (lookahead == '-')
        ADVANCE(115);
      if (lookahead == '.')
        ADVANCE(131);
      if (lookahead == '/')
        ADVANCE(99);
      if (lookahead == '0')
        ADVANCE(15);
      if (lookahead == ':')
        ADVANCE(106);
      if (lookahead == ';')
        ADVANCE(17);
      if (lookahead == '<')
        ADVANCE(100);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '^')
        ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(25);
      if (lookahead == '`')
        ADVANCE(26);
      if (lookahead == '{')
        ADVANCE(27);
      if (lookahead == '}')
        ADVANCE(29);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(130);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(31);
      END_STATE();
    case 131:
      if (('0' <= lookahead && lookahead <= '9'))
        ADVANCE(45);
      END_STATE();
    case 132:
      if (lookahead == '!')
        ADVANCE(119);
      if (lookahead == '%')
        ADVANCE(120);
      if (lookahead == '&')
        ADVANCE(121);
      if (lookahead == '(')
        ADVANCE(7);
      if (lookahead == ')')
        ADVANCE(8);
      if (lookahead == '*')
        ADVANCE(97);
      if (lookahead == '+')
        ADVANCE(114);
      if (lookahead == ',')
        ADVANCE(11);
      if (lookahead == '-')
        ADVANCE(115);
      if (lookahead == '.')
        ADVANCE(103);
      if (lookahead == '/')
        ADVANCE(122);
      if (lookahead == ':')
        ADVANCE(16);
      if (lookahead == ';')
        ADVANCE(17);
      if (lookahead == '<')
        ADVANCE(123);
      if (lookahead == '=')
        ADVANCE(19);
      if (lookahead == '>')
        ADVANCE(125);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == ']')
        ADVANCE(23);
      if (lookahead == '^')
        ADVANCE(117);
      if (lookahead == '{')
        ADVANCE(27);
      if (lookahead == '|')
        ADVANCE(126);
      if (lookahead == '}')
        ADVANCE(29);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(132);
      END_STATE();
    case 133:
      if (lookahead == '!')
        ADVANCE(119);
      if (lookahead == '%')
        ADVANCE(120);
      if (lookahead == '&')
        ADVANCE(121);
      if (lookahead == '(')
        ADVANCE(7);
      if (lookahead == ')')
        ADVANCE(8);
      if (lookahead == '*')
        ADVANCE(97);
      if (lookahead == '+')
        ADVANCE(114);
      if (lookahead == ',')
        ADVANCE(11);
      if (lookahead == '-')
        ADVANCE(115);
      if (lookahead == '.')
        ADVANCE(98);
      if (lookahead == '/')
        ADVANCE(122);
      if (lookahead == ':')
        ADVANCE(16);
      if (lookahead == ';')
        ADVANCE(17);
      if (lookahead == '<')
        ADVANCE(123);
      if (lookahead == '=')
        ADVANCE(19);
      if (lookahead == '>')
        ADVANCE(125);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == ']')
        ADVANCE(23);
      if (lookahead == '^')
        ADVANCE(117);
      if (lookahead == '{')
        ADVANCE(27);
      if (lookahead == '|')
        ADVANCE(126);
      if (lookahead == '}')
        ADVANCE(29);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(133);
      END_STATE();
    case 134:
      if (lookahead == '!')
        ADVANCE(119);
      if (lookahead == '%')
        ADVANCE(120);
      if (lookahead == '&')
        ADVANCE(121);
      if (lookahead == '(')
        ADVANCE(7);
      if (lookahead == '*')
        ADVANCE(97);
      if (lookahead == '+')
        ADVANCE(114);
      if (lookahead == '-')
        ADVANCE(115);
      if (lookahead == '.')
        ADVANCE(103);
      if (lookahead == '/')
        ADVANCE(122);
      if (lookahead == ':')
        ADVANCE(106);
      if (lookahead == '<')
        ADVANCE(123);
      if (lookahead == '=')
        ADVANCE(124);
      if (lookahead == '>')
        ADVANCE(125);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == ']')
        ADVANCE(23);
      if (lookahead == '^')
        ADVANCE(117);
      if (lookahead == '|')
        ADVANCE(126);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(134);
      END_STATE();
    case 135:
      if (lookahead == '\n')
        ADVANCE(102);
      if (lookahead == '!')
        ADVANCE(112);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '&')
        ADVANCE(113);
      if (lookahead == '\'')
        ADVANCE(6);
      if (lookahead == '(')
        ADVANCE(7);
      if (lookahead == '*')
        ADVANCE(97);
      if (lookahead == '+')
        ADVANCE(114);
      if (lookahead == '-')
        ADVANCE(115);
      if (lookahead == '.')
        ADVANCE(131);
      if (lookahead == '/')
        ADVANCE(99);
      if (lookahead == '0')
        ADVANCE(15);
      if (lookahead == ';')
        ADVANCE(17);
      if (lookahead == '<')
        ADVANCE(100);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '^')
        ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(25);
      if (lookahead == '`')
        ADVANCE(26);
      if (lookahead == '}')
        ADVANCE(29);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(135);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(31);
      END_STATE();
    case 136:
      if (lookahead == '\n')
        ADVANCE(102);
      if (lookahead == '!')
        ADVANCE(119);
      if (lookahead == '%')
        ADVANCE(4);
      if (lookahead == '&')
        ADVANCE(5);
      if (lookahead == '(')
        ADVANCE(7);
      if (lookahead == '*')
        ADVANCE(9);
      if (lookahead == '+')
        ADVANCE(10);
      if (lookahead == ',')
        ADVANCE(11);
      if (lookahead == '-')
        ADVANCE(12);
      if (lookahead == '.')
        ADVANCE(103);
      if (lookahead == '/')
        ADVANCE(14);
      if (lookahead == ':')
        ADVANCE(16);
      if (lookahead == ';')
        ADVANCE(17);
      if (lookahead == '<')
        ADVANCE(18);
      if (lookahead == '=')
        ADVANCE(19);
      if (lookahead == '>')
        ADVANCE(20);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '^')
        ADVANCE(24);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(25);
      if (lookahead == '{')
        ADVANCE(27);
      if (lookahead == '|')
        ADVANCE(28);
      if (lookahead == '}')
        ADVANCE(29);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(136);
      END_STATE();
    case 137:
      if (lookahead == '!')
        ADVANCE(119);
      if (lookahead == '%')
        ADVANCE(4);
      if (lookahead == '&')
        ADVANCE(5);
      if (lookahead == '(')
        ADVANCE(7);
      if (lookahead == '*')
        ADVANCE(9);
      if (lookahead == '+')
        ADVANCE(10);
      if (lookahead == ',')
        ADVANCE(11);
      if (lookahead == '-')
        ADVANCE(12);
      if (lookahead == '.')
        ADVANCE(103);
      if (lookahead == '/')
        ADVANCE(14);
      if (lookahead == ':')
        ADVANCE(16);
      if (lookahead == ';')
        ADVANCE(17);
      if (lookahead == '<')
        ADVANCE(18);
      if (lookahead == '=')
        ADVANCE(19);
      if (lookahead == '>')
        ADVANCE(20);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '^')
        ADVANCE(24);
      if (lookahead == '{')
        ADVANCE(27);
      if (lookahead == '|')
        ADVANCE(28);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(137);
      END_STATE();
    case 138:
      if (lookahead == '!')
        ADVANCE(119);
      if (lookahead == '%')
        ADVANCE(120);
      if (lookahead == '&')
        ADVANCE(121);
      if (lookahead == '(')
        ADVANCE(7);
      if (lookahead == ')')
        ADVANCE(8);
      if (lookahead == '*')
        ADVANCE(97);
      if (lookahead == '+')
        ADVANCE(114);
      if (lookahead == ',')
        ADVANCE(11);
      if (lookahead == '-')
        ADVANCE(115);
      if (lookahead == '.')
        ADVANCE(98);
      if (lookahead == '/')
        ADVANCE(122);
      if (lookahead == '<')
        ADVANCE(123);
      if (lookahead == '=')
        ADVANCE(124);
      if (lookahead == '>')
        ADVANCE(125);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '^')
        ADVANCE(117);
      if (lookahead == '{')
        ADVANCE(27);
      if (lookahead == '|')
        ADVANCE(126);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(138);
      END_STATE();
    case 139:
      if (lookahead == '!')
        ADVANCE(112);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '&')
        ADVANCE(113);
      if (lookahead == '\'')
        ADVANCE(6);
      if (lookahead == '(')
        ADVANCE(7);
      if (lookahead == ')')
        ADVANCE(8);
      if (lookahead == '*')
        ADVANCE(97);
      if (lookahead == '+')
        ADVANCE(114);
      if (lookahead == '-')
        ADVANCE(115);
      if (lookahead == '.')
        ADVANCE(131);
      if (lookahead == '/')
        ADVANCE(99);
      if (lookahead == '0')
        ADVANCE(15);
      if (lookahead == '<')
        ADVANCE(100);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '^')
        ADVANCE(117);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(25);
      if (lookahead == '`')
        ADVANCE(26);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(139);
      if (('1' <= lookahead && lookahead <= '9'))
        ADVANCE(31);
      END_STATE();
    case 140:
      if (lookahead == '\n')
        ADVANCE(102);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '(')
        ADVANCE(7);
      if (lookahead == '*')
        ADVANCE(97);
      if (lookahead == ',')
        ADVANCE(11);
      if (lookahead == '.')
        ADVANCE(103);
      if (lookahead == '/')
        ADVANCE(99);
      if (lookahead == ';')
        ADVANCE(17);
      if (lookahead == '<')
        ADVANCE(100);
      if (lookahead == '[')
        ADVANCE(21);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(25);
      if (lookahead == '`')
        ADVANCE(26);
      if (lookahead == '}')
        ADVANCE(29);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(140);
      END_STATE();
    case 141:
      if (lookahead == '!')
        ADVANCE(119);
      if (lookahead == '%')
        ADVANCE(120);
      if (lookahead == '&')
        ADVANCE(121);
      if (lookahead == '(')
        ADVANCE(7);
      if (lookahead == '*')
        ADVANCE(97);
      if (lookahead == '+')
        ADVANCE(114);
      if (lookahead == ',')
        ADVANCE(11);
      if (lookahead == '-')
        ADVANCE(115);
      if (lookahead == '.')
        ADVANCE(103);
      if (lookahead == '/')
        ADVANCE(122);
      if (lookahead == ':')
        ADVANCE(16);
      if (lookahead == ';')
        ADVANCE(17);
      if (lookahead == '<')
        ADVANCE(123);
      if (lookahead == '=')
        ADVANCE(19);
      if (lookahead == '>')
        ADVANCE(125);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '^')
        ADVANCE(117);
      if (lookahead == '{')
        ADVANCE(27);
      if (lookahead == '|')
        ADVANCE(126);
      if (lookahead == '}')
        ADVANCE(29);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(141);
      END_STATE();
    case 142:
      if (lookahead == '!')
        ADVANCE(119);
      if (lookahead == '%')
        ADVANCE(120);
      if (lookahead == '&')
        ADVANCE(121);
      if (lookahead == '(')
        ADVANCE(7);
      if (lookahead == '*')
        ADVANCE(97);
      if (lookahead == '+')
        ADVANCE(114);
      if (lookahead == ',')
        ADVANCE(11);
      if (lookahead == '-')
        ADVANCE(115);
      if (lookahead == '.')
        ADVANCE(103);
      if (lookahead == '/')
        ADVANCE(122);
      if (lookahead == ':')
        ADVANCE(16);
      if (lookahead == ';')
        ADVANCE(17);
      if (lookahead == '<')
        ADVANCE(123);
      if (lookahead == '=')
        ADVANCE(19);
      if (lookahead == '>')
        ADVANCE(125);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == ']')
        ADVANCE(23);
      if (lookahead == '^')
        ADVANCE(117);
      if (lookahead == '|')
        ADVANCE(126);
      if (lookahead == '}')
        ADVANCE(29);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(142);
      END_STATE();
    case 143:
      if (lookahead == '!')
        ADVANCE(119);
      if (lookahead == '%')
        ADVANCE(120);
      if (lookahead == '&')
        ADVANCE(121);
      if (lookahead == '(')
        ADVANCE(7);
      if (lookahead == '*')
        ADVANCE(97);
      if (lookahead == '+')
        ADVANCE(114);
      if (lookahead == ',')
        ADVANCE(11);
      if (lookahead == '-')
        ADVANCE(115);
      if (lookahead == '.')
        ADVANCE(103);
      if (lookahead == '/')
        ADVANCE(122);
      if (lookahead == ':')
        ADVANCE(16);
      if (lookahead == '<')
        ADVANCE(144);
      if (lookahead == '=')
        ADVANCE(19);
      if (lookahead == '>')
        ADVANCE(125);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '^')
        ADVANCE(117);
      if (lookahead == '{')
        ADVANCE(27);
      if (lookahead == '|')
        ADVANCE(126);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(143);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-')
        ADVANCE(55);
      if (lookahead == '<')
        ADVANCE(128);
      if (lookahead == '=')
        ADVANCE(57);
      END_STATE();
    case 145:
      if (lookahead == '!')
        ADVANCE(119);
      if (lookahead == '%')
        ADVANCE(4);
      if (lookahead == '&')
        ADVANCE(5);
      if (lookahead == '(')
        ADVANCE(7);
      if (lookahead == '*')
        ADVANCE(9);
      if (lookahead == '+')
        ADVANCE(146);
      if (lookahead == ',')
        ADVANCE(11);
      if (lookahead == '-')
        ADVANCE(147);
      if (lookahead == '.')
        ADVANCE(103);
      if (lookahead == '/')
        ADVANCE(14);
      if (lookahead == ':')
        ADVANCE(148);
      if (lookahead == '<')
        ADVANCE(149);
      if (lookahead == '=')
        ADVANCE(19);
      if (lookahead == '>')
        ADVANCE(20);
      if (lookahead == '[')
        ADVANCE(21);
      if (lookahead == '^')
        ADVANCE(24);
      if (lookahead == '{')
        ADVANCE(27);
      if (lookahead == '|')
        ADVANCE(28);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(145);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=')
        ADVANCE(41);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=')
        ADVANCE(43);
      END_STATE();
    case 148:
      if (lookahead == '=')
        ADVANCE(54);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<')
        ADVANCE(56);
      if (lookahead == '=')
        ADVANCE(57);
      END_STATE();
    case 150:
      if (lookahead == '\n')
        ADVANCE(102);
      if (lookahead == '"')
        ADVANCE(3);
      if (lookahead == '(')
        ADVANCE(7);
      if (lookahead == '*')
        ADVANCE(97);
      if (lookahead == '.')
        ADVANCE(103);
      if (lookahead == '/')
        ADVANCE(99);
      if (lookahead == ';')
        ADVANCE(17);
      if (lookahead == '<')
        ADVANCE(100);
      if (lookahead == '=')
        ADVANCE(104);
      if (lookahead == '[')
        ADVANCE(21);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 181 ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969))
        ADVANCE(25);
      if (lookahead == '`')
        ADVANCE(26);
      if (lookahead == '}')
        ADVANCE(29);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(150);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == '_')
        ADVANCE(1);
      if (lookahead == 'b')
        ADVANCE(2);
      if (lookahead == 'c')
        ADVANCE(3);
      if (lookahead == 'd')
        ADVANCE(4);
      if (lookahead == 'e')
        ADVANCE(5);
      if (lookahead == 'f')
        ADVANCE(6);
      if (lookahead == 'g')
        ADVANCE(7);
      if (lookahead == 'i')
        ADVANCE(8);
      if (lookahead == 'm')
        ADVANCE(9);
      if (lookahead == 'n')
        ADVANCE(10);
      if (lookahead == 'p')
        ADVANCE(11);
      if (lookahead == 'r')
        ADVANCE(12);
      if (lookahead == 's')
        ADVANCE(13);
      if (lookahead == 't')
        ADVANCE(14);
      if (lookahead == 'v')
        ADVANCE(15);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ')
        SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(sym_blank_identifier);
      END_STATE();
    case 2:
      if (lookahead == 'r')
        ADVANCE(16);
      END_STATE();
    case 3:
      if (lookahead == 'a')
        ADVANCE(17);
      if (lookahead == 'h')
        ADVANCE(18);
      if (lookahead == 'o')
        ADVANCE(19);
      END_STATE();
    case 4:
      if (lookahead == 'e')
        ADVANCE(20);
      END_STATE();
    case 5:
      if (lookahead == 'l')
        ADVANCE(21);
      END_STATE();
    case 6:
      if (lookahead == 'a')
        ADVANCE(22);
      if (lookahead == 'o')
        ADVANCE(23);
      if (lookahead == 'u')
        ADVANCE(24);
      END_STATE();
    case 7:
      if (lookahead == 'o')
        ADVANCE(25);
      END_STATE();
    case 8:
      if (lookahead == 'f')
        ADVANCE(26);
      if (lookahead == 'm')
        ADVANCE(27);
      if (lookahead == 'n')
        ADVANCE(28);
      END_STATE();
    case 9:
      if (lookahead == 'a')
        ADVANCE(29);
      END_STATE();
    case 10:
      if (lookahead == 'e')
        ADVANCE(30);
      if (lookahead == 'i')
        ADVANCE(31);
      END_STATE();
    case 11:
      if (lookahead == 'a')
        ADVANCE(32);
      END_STATE();
    case 12:
      if (lookahead == 'a')
        ADVANCE(33);
      if (lookahead == 'e')
        ADVANCE(34);
      END_STATE();
    case 13:
      if (lookahead == 'e')
        ADVANCE(35);
      if (lookahead == 't')
        ADVANCE(36);
      if (lookahead == 'w')
        ADVANCE(37);
      END_STATE();
    case 14:
      if (lookahead == 'r')
        ADVANCE(38);
      if (lookahead == 'y')
        ADVANCE(39);
      END_STATE();
    case 15:
      if (lookahead == 'a')
        ADVANCE(40);
      END_STATE();
    case 16:
      if (lookahead == 'e')
        ADVANCE(41);
      END_STATE();
    case 17:
      if (lookahead == 's')
        ADVANCE(42);
      END_STATE();
    case 18:
      if (lookahead == 'a')
        ADVANCE(43);
      END_STATE();
    case 19:
      if (lookahead == 'n')
        ADVANCE(44);
      END_STATE();
    case 20:
      if (lookahead == 'f')
        ADVANCE(45);
      END_STATE();
    case 21:
      if (lookahead == 's')
        ADVANCE(46);
      END_STATE();
    case 22:
      if (lookahead == 'l')
        ADVANCE(47);
      END_STATE();
    case 23:
      if (lookahead == 'r')
        ADVANCE(48);
      END_STATE();
    case 24:
      if (lookahead == 'n')
        ADVANCE(49);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_go);
      if (lookahead == 't')
        ADVANCE(50);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 27:
      if (lookahead == 'p')
        ADVANCE(51);
      END_STATE();
    case 28:
      if (lookahead == 't')
        ADVANCE(52);
      END_STATE();
    case 29:
      if (lookahead == 'k')
        ADVANCE(53);
      if (lookahead == 'p')
        ADVANCE(54);
      END_STATE();
    case 30:
      if (lookahead == 'w')
        ADVANCE(55);
      END_STATE();
    case 31:
      if (lookahead == 'l')
        ADVANCE(56);
      END_STATE();
    case 32:
      if (lookahead == 'c')
        ADVANCE(57);
      END_STATE();
    case 33:
      if (lookahead == 'n')
        ADVANCE(58);
      END_STATE();
    case 34:
      if (lookahead == 't')
        ADVANCE(59);
      END_STATE();
    case 35:
      if (lookahead == 'l')
        ADVANCE(60);
      END_STATE();
    case 36:
      if (lookahead == 'r')
        ADVANCE(61);
      END_STATE();
    case 37:
      if (lookahead == 'i')
        ADVANCE(62);
      END_STATE();
    case 38:
      if (lookahead == 'u')
        ADVANCE(63);
      END_STATE();
    case 39:
      if (lookahead == 'p')
        ADVANCE(64);
      END_STATE();
    case 40:
      if (lookahead == 'r')
        ADVANCE(65);
      END_STATE();
    case 41:
      if (lookahead == 'a')
        ADVANCE(66);
      END_STATE();
    case 42:
      if (lookahead == 'e')
        ADVANCE(67);
      END_STATE();
    case 43:
      if (lookahead == 'n')
        ADVANCE(68);
      END_STATE();
    case 44:
      if (lookahead == 's')
        ADVANCE(69);
      if (lookahead == 't')
        ADVANCE(70);
      END_STATE();
    case 45:
      if (lookahead == 'a')
        ADVANCE(71);
      if (lookahead == 'e')
        ADVANCE(72);
      END_STATE();
    case 46:
      if (lookahead == 'e')
        ADVANCE(73);
      END_STATE();
    case 47:
      if (lookahead == 'l')
        ADVANCE(74);
      if (lookahead == 's')
        ADVANCE(75);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 49:
      if (lookahead == 'c')
        ADVANCE(76);
      END_STATE();
    case 50:
      if (lookahead == 'o')
        ADVANCE(77);
      END_STATE();
    case 51:
      if (lookahead == 'o')
        ADVANCE(78);
      END_STATE();
    case 52:
      if (lookahead == 'e')
        ADVANCE(79);
      END_STATE();
    case 53:
      if (lookahead == 'e')
        ADVANCE(80);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_map);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(sym_nil);
      END_STATE();
    case 57:
      if (lookahead == 'k')
        ADVANCE(81);
      END_STATE();
    case 58:
      if (lookahead == 'g')
        ADVANCE(82);
      END_STATE();
    case 59:
      if (lookahead == 'u')
        ADVANCE(83);
      END_STATE();
    case 60:
      if (lookahead == 'e')
        ADVANCE(84);
      END_STATE();
    case 61:
      if (lookahead == 'u')
        ADVANCE(85);
      END_STATE();
    case 62:
      if (lookahead == 't')
        ADVANCE(86);
      END_STATE();
    case 63:
      if (lookahead == 'e')
        ADVANCE(87);
      END_STATE();
    case 64:
      if (lookahead == 'e')
        ADVANCE(88);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 66:
      if (lookahead == 'k')
        ADVANCE(89);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_chan);
      END_STATE();
    case 69:
      if (lookahead == 't')
        ADVANCE(90);
      END_STATE();
    case 70:
      if (lookahead == 'i')
        ADVANCE(91);
      END_STATE();
    case 71:
      if (lookahead == 'u')
        ADVANCE(92);
      END_STATE();
    case 72:
      if (lookahead == 'r')
        ADVANCE(93);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 74:
      if (lookahead == 't')
        ADVANCE(94);
      END_STATE();
    case 75:
      if (lookahead == 'e')
        ADVANCE(95);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_func);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 78:
      if (lookahead == 'r')
        ADVANCE(96);
      END_STATE();
    case 79:
      if (lookahead == 'r')
        ADVANCE(97);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_make);
      END_STATE();
    case 81:
      if (lookahead == 'a')
        ADVANCE(98);
      END_STATE();
    case 82:
      if (lookahead == 'e')
        ADVANCE(99);
      END_STATE();
    case 83:
      if (lookahead == 'r')
        ADVANCE(100);
      END_STATE();
    case 84:
      if (lookahead == 'c')
        ADVANCE(101);
      END_STATE();
    case 85:
      if (lookahead == 'c')
        ADVANCE(102);
      END_STATE();
    case 86:
      if (lookahead == 'c')
        ADVANCE(103);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 91:
      if (lookahead == 'n')
        ADVANCE(104);
      END_STATE();
    case 92:
      if (lookahead == 'l')
        ADVANCE(105);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_defer);
      END_STATE();
    case 94:
      if (lookahead == 'h')
        ADVANCE(106);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 96:
      if (lookahead == 't')
        ADVANCE(107);
      END_STATE();
    case 97:
      if (lookahead == 'f')
        ADVANCE(108);
      END_STATE();
    case 98:
      if (lookahead == 'g')
        ADVANCE(109);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_range);
      END_STATE();
    case 100:
      if (lookahead == 'n')
        ADVANCE(110);
      END_STATE();
    case 101:
      if (lookahead == 't')
        ADVANCE(111);
      END_STATE();
    case 102:
      if (lookahead == 't')
        ADVANCE(112);
      END_STATE();
    case 103:
      if (lookahead == 'h')
        ADVANCE(113);
      END_STATE();
    case 104:
      if (lookahead == 'u')
        ADVANCE(114);
      END_STATE();
    case 105:
      if (lookahead == 't')
        ADVANCE(115);
      END_STATE();
    case 106:
      if (lookahead == 'r')
        ADVANCE(116);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 108:
      if (lookahead == 'a')
        ADVANCE(117);
      END_STATE();
    case 109:
      if (lookahead == 'e')
        ADVANCE(118);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 114:
      if (lookahead == 'e')
        ADVANCE(119);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 116:
      if (lookahead == 'o')
        ADVANCE(120);
      END_STATE();
    case 117:
      if (lookahead == 'c')
        ADVANCE(121);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 120:
      if (lookahead == 'u')
        ADVANCE(122);
      END_STATE();
    case 121:
      if (lookahead == 'e')
        ADVANCE(123);
      END_STATE();
    case 122:
      if (lookahead == 'g')
        ADVANCE(124);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 124:
      if (lookahead == 'h')
        ADVANCE(125);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_fallthrough);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 96},
  [2] = {.lex_state = 96},
  [3] = {.lex_state = 96},
  [4] = {.lex_state = 96},
  [5] = {.lex_state = 96},
  [6] = {.lex_state = 96},
  [7] = {.lex_state = 96},
  [8] = {.lex_state = 96},
  [9] = {.lex_state = 0},
  [10] = {.lex_state = 101},
  [11] = {.lex_state = 96},
  [12] = {.lex_state = 96},
  [13] = {.lex_state = 96},
  [14] = {.lex_state = 105},
  [15] = {.lex_state = 96},
  [16] = {.lex_state = 101},
  [17] = {.lex_state = 96},
  [18] = {.lex_state = 96},
  [19] = {.lex_state = 96},
  [20] = {.lex_state = 107},
  [21] = {.lex_state = 96},
  [22] = {.lex_state = 101},
  [23] = {.lex_state = 101},
  [24] = {.lex_state = 101},
  [25] = {.lex_state = 96},
  [26] = {.lex_state = 101},
  [27] = {.lex_state = 105},
  [28] = {.lex_state = 96},
  [29] = {.lex_state = 101},
  [30] = {.lex_state = 101},
  [31] = {.lex_state = 96},
  [32] = {.lex_state = 96},
  [33] = {.lex_state = 101},
  [34] = {.lex_state = 110},
  [35] = {.lex_state = 96},
  [36] = {.lex_state = 111},
  [37] = {.lex_state = 96},
  [38] = {.lex_state = 96},
  [39] = {.lex_state = 96},
  [40] = {.lex_state = 96},
  [41] = {.lex_state = 96},
  [42] = {.lex_state = 96},
  [43] = {.lex_state = 96},
  [44] = {.lex_state = 96},
  [45] = {.lex_state = 96},
  [46] = {.lex_state = 96},
  [47] = {.lex_state = 96},
  [48] = {.lex_state = 96},
  [49] = {.lex_state = 96},
  [50] = {.lex_state = 96},
  [51] = {.lex_state = 101},
  [52] = {.lex_state = 101},
  [53] = {.lex_state = 101},
  [54] = {.lex_state = 96},
  [55] = {.lex_state = 101},
  [56] = {.lex_state = 101},
  [57] = {.lex_state = 101},
  [58] = {.lex_state = 101},
  [59] = {.lex_state = 96},
  [60] = {.lex_state = 118},
  [61] = {.lex_state = 107},
  [62] = {.lex_state = 101},
  [63] = {.lex_state = 96},
  [64] = {.lex_state = 111},
  [65] = {.lex_state = 101},
  [66] = {.lex_state = 105},
  [67] = {.lex_state = 101},
  [68] = {.lex_state = 96},
  [69] = {.lex_state = 101},
  [70] = {.lex_state = 111},
  [71] = {.lex_state = 105},
  [72] = {.lex_state = 101},
  [73] = {.lex_state = 101},
  [74] = {.lex_state = 101},
  [75] = {.lex_state = 96},
  [76] = {.lex_state = 130},
  [77] = {.lex_state = 101},
  [78] = {.lex_state = 101},
  [79] = {.lex_state = 110},
  [80] = {.lex_state = 111},
  [81] = {.lex_state = 96},
  [82] = {.lex_state = 111},
  [83] = {.lex_state = 111},
  [84] = {.lex_state = 132},
  [85] = {.lex_state = 96},
  [86] = {.lex_state = 111},
  [87] = {.lex_state = 111},
  [88] = {.lex_state = 133},
  [89] = {.lex_state = 96},
  [90] = {.lex_state = 96},
  [91] = {.lex_state = 134},
  [92] = {.lex_state = 96},
  [93] = {.lex_state = 105},
  [94] = {.lex_state = 110},
  [95] = {.lex_state = 110},
  [96] = {.lex_state = 96},
  [97] = {.lex_state = 96},
  [98] = {.lex_state = 96},
  [99] = {.lex_state = 96},
  [100] = {.lex_state = 110},
  [101] = {.lex_state = 96},
  [102] = {.lex_state = 96},
  [103] = {.lex_state = 96},
  [104] = {.lex_state = 96},
  [105] = {.lex_state = 105},
  [106] = {.lex_state = 110},
  [107] = {.lex_state = 96},
  [108] = {.lex_state = 110},
  [109] = {.lex_state = 96},
  [110] = {.lex_state = 96},
  [111] = {.lex_state = 101},
  [112] = {.lex_state = 101},
  [113] = {.lex_state = 101},
  [114] = {.lex_state = 96},
  [115] = {.lex_state = 96},
  [116] = {.lex_state = 96},
  [117] = {.lex_state = 101},
  [118] = {.lex_state = 96},
  [119] = {.lex_state = 118},
  [120] = {.lex_state = 107},
  [121] = {.lex_state = 101},
  [122] = {.lex_state = 101},
  [123] = {.lex_state = 118},
  [124] = {.lex_state = 111},
  [125] = {.lex_state = 101},
  [126] = {.lex_state = 105},
  [127] = {.lex_state = 101},
  [128] = {.lex_state = 96},
  [129] = {.lex_state = 96},
  [130] = {.lex_state = 101},
  [131] = {.lex_state = 111},
  [132] = {.lex_state = 101},
  [133] = {.lex_state = 96},
  [134] = {.lex_state = 101},
  [135] = {.lex_state = 96},
  [136] = {.lex_state = 101},
  [137] = {.lex_state = 111},
  [138] = {.lex_state = 118},
  [139] = {.lex_state = 130},
  [140] = {.lex_state = 96},
  [141] = {.lex_state = 101},
  [142] = {.lex_state = 111},
  [143] = {.lex_state = 135},
  [144] = {.lex_state = 96},
  [145] = {.lex_state = 101},
  [146] = {.lex_state = 111},
  [147] = {.lex_state = 111},
  [148] = {.lex_state = 136},
  [149] = {.lex_state = 101},
  [150] = {.lex_state = 137},
  [151] = {.lex_state = 101},
  [152] = {.lex_state = 105},
  [153] = {.lex_state = 136},
  [154] = {.lex_state = 101},
  [155] = {.lex_state = 133},
  [156] = {.lex_state = 110},
  [157] = {.lex_state = 111},
  [158] = {.lex_state = 96},
  [159] = {.lex_state = 130},
  [160] = {.lex_state = 133},
  [161] = {.lex_state = 96},
  [162] = {.lex_state = 138},
  [163] = {.lex_state = 96},
  [164] = {.lex_state = 96},
  [165] = {.lex_state = 96},
  [166] = {.lex_state = 133},
  [167] = {.lex_state = 133},
  [168] = {.lex_state = 111},
  [169] = {.lex_state = 111},
  [170] = {.lex_state = 111},
  [171] = {.lex_state = 96},
  [172] = {.lex_state = 111},
  [173] = {.lex_state = 96},
  [174] = {.lex_state = 130},
  [175] = {.lex_state = 111},
  [176] = {.lex_state = 139},
  [177] = {.lex_state = 111},
  [178] = {.lex_state = 101},
  [179] = {.lex_state = 110},
  [180] = {.lex_state = 101},
  [181] = {.lex_state = 110},
  [182] = {.lex_state = 96},
  [183] = {.lex_state = 96},
  [184] = {.lex_state = 110},
  [185] = {.lex_state = 110},
  [186] = {.lex_state = 111},
  [187] = {.lex_state = 110},
  [188] = {.lex_state = 140},
  [189] = {.lex_state = 110},
  [190] = {.lex_state = 96},
  [191] = {.lex_state = 101},
  [192] = {.lex_state = 135},
  [193] = {.lex_state = 110},
  [194] = {.lex_state = 110},
  [195] = {.lex_state = 96},
  [196] = {.lex_state = 96},
  [197] = {.lex_state = 96},
  [198] = {.lex_state = 101},
  [199] = {.lex_state = 101},
  [200] = {.lex_state = 111},
  [201] = {.lex_state = 101},
  [202] = {.lex_state = 101},
  [203] = {.lex_state = 111},
  [204] = {.lex_state = 101},
  [205] = {.lex_state = 111},
  [206] = {.lex_state = 101},
  [207] = {.lex_state = 118},
  [208] = {.lex_state = 111},
  [209] = {.lex_state = 130},
  [210] = {.lex_state = 96},
  [211] = {.lex_state = 137},
  [212] = {.lex_state = 137},
  [213] = {.lex_state = 105},
  [214] = {.lex_state = 101},
  [215] = {.lex_state = 105},
  [216] = {.lex_state = 101},
  [217] = {.lex_state = 137},
  [218] = {.lex_state = 105},
  [219] = {.lex_state = 111},
  [220] = {.lex_state = 101},
  [221] = {.lex_state = 101},
  [222] = {.lex_state = 118},
  [223] = {.lex_state = 105},
  [224] = {.lex_state = 137},
  [225] = {.lex_state = 96},
  [226] = {.lex_state = 137},
  [227] = {.lex_state = 105},
  [228] = {.lex_state = 130},
  [229] = {.lex_state = 111},
  [230] = {.lex_state = 111},
  [231] = {.lex_state = 130},
  [232] = {.lex_state = 101},
  [233] = {.lex_state = 118},
  [234] = {.lex_state = 101},
  [235] = {.lex_state = 101},
  [236] = {.lex_state = 111},
  [237] = {.lex_state = 96},
  [238] = {.lex_state = 133},
  [239] = {.lex_state = 141},
  [240] = {.lex_state = 141},
  [241] = {.lex_state = 105},
  [242] = {.lex_state = 105},
  [243] = {.lex_state = 96},
  [244] = {.lex_state = 133},
  [245] = {.lex_state = 133},
  [246] = {.lex_state = 110},
  [247] = {.lex_state = 96},
  [248] = {.lex_state = 142},
  [249] = {.lex_state = 142},
  [250] = {.lex_state = 133},
  [251] = {.lex_state = 110},
  [252] = {.lex_state = 142},
  [253] = {.lex_state = 133},
  [254] = {.lex_state = 96},
  [255] = {.lex_state = 111},
  [256] = {.lex_state = 134},
  [257] = {.lex_state = 142},
  [258] = {.lex_state = 133},
  [259] = {.lex_state = 96},
  [260] = {.lex_state = 138},
  [261] = {.lex_state = 138},
  [262] = {.lex_state = 105},
  [263] = {.lex_state = 110},
  [264] = {.lex_state = 101},
  [265] = {.lex_state = 101},
  [266] = {.lex_state = 105},
  [267] = {.lex_state = 110},
  [268] = {.lex_state = 101},
  [269] = {.lex_state = 96},
  [270] = {.lex_state = 96},
  [271] = {.lex_state = 96},
  [272] = {.lex_state = 101},
  [273] = {.lex_state = 135},
  [274] = {.lex_state = 140},
  [275] = {.lex_state = 135},
  [276] = {.lex_state = 105},
  [277] = {.lex_state = 110},
  [278] = {.lex_state = 101},
  [279] = {.lex_state = 101},
  [280] = {.lex_state = 110},
  [281] = {.lex_state = 96},
  [282] = {.lex_state = 101},
  [283] = {.lex_state = 118},
  [284] = {.lex_state = 101},
  [285] = {.lex_state = 101},
  [286] = {.lex_state = 101},
  [287] = {.lex_state = 132},
  [288] = {.lex_state = 111},
  [289] = {.lex_state = 141},
  [290] = {.lex_state = 101},
  [291] = {.lex_state = 111},
  [292] = {.lex_state = 111},
  [293] = {.lex_state = 130},
  [294] = {.lex_state = 111},
  [295] = {.lex_state = 105},
  [296] = {.lex_state = 101},
  [297] = {.lex_state = 130},
  [298] = {.lex_state = 105},
  [299] = {.lex_state = 101},
  [300] = {.lex_state = 111},
  [301] = {.lex_state = 132},
  [302] = {.lex_state = 111},
  [303] = {.lex_state = 101},
  [304] = {.lex_state = 130},
  [305] = {.lex_state = 105},
  [306] = {.lex_state = 111},
  [307] = {.lex_state = 105},
  [308] = {.lex_state = 96},
  [309] = {.lex_state = 105},
  [310] = {.lex_state = 111},
  [311] = {.lex_state = 136},
  [312] = {.lex_state = 101},
  [313] = {.lex_state = 101},
  [314] = {.lex_state = 101},
  [315] = {.lex_state = 101},
  [316] = {.lex_state = 105},
  [317] = {.lex_state = 130},
  [318] = {.lex_state = 101},
  [319] = {.lex_state = 118},
  [320] = {.lex_state = 96},
  [321] = {.lex_state = 111},
  [322] = {.lex_state = 111},
  [323] = {.lex_state = 133},
  [324] = {.lex_state = 130},
  [325] = {.lex_state = 105},
  [326] = {.lex_state = 133},
  [327] = {.lex_state = 139},
  [328] = {.lex_state = 133},
  [329] = {.lex_state = 96},
  [330] = {.lex_state = 96},
  [331] = {.lex_state = 133},
  [332] = {.lex_state = 134},
  [333] = {.lex_state = 133},
  [334] = {.lex_state = 111},
  [335] = {.lex_state = 139},
  [336] = {.lex_state = 133},
  [337] = {.lex_state = 96},
  [338] = {.lex_state = 96},
  [339] = {.lex_state = 96},
  [340] = {.lex_state = 133},
  [341] = {.lex_state = 101},
  [342] = {.lex_state = 110},
  [343] = {.lex_state = 101},
  [344] = {.lex_state = 101},
  [345] = {.lex_state = 105},
  [346] = {.lex_state = 101},
  [347] = {.lex_state = 110},
  [348] = {.lex_state = 105},
  [349] = {.lex_state = 110},
  [350] = {.lex_state = 96},
  [351] = {.lex_state = 96},
  [352] = {.lex_state = 135},
  [353] = {.lex_state = 101},
  [354] = {.lex_state = 101},
  [355] = {.lex_state = 101},
  [356] = {.lex_state = 110},
  [357] = {.lex_state = 101},
  [358] = {.lex_state = 105},
  [359] = {.lex_state = 101},
  [360] = {.lex_state = 96},
  [361] = {.lex_state = 111},
  [362] = {.lex_state = 111},
  [363] = {.lex_state = 141},
  [364] = {.lex_state = 137},
  [365] = {.lex_state = 143},
  [366] = {.lex_state = 105},
  [367] = {.lex_state = 130},
  [368] = {.lex_state = 105},
  [369] = {.lex_state = 101},
  [370] = {.lex_state = 105},
  [371] = {.lex_state = 96},
  [372] = {.lex_state = 101},
  [373] = {.lex_state = 101},
  [374] = {.lex_state = 105},
  [375] = {.lex_state = 105},
  [376] = {.lex_state = 101},
  [377] = {.lex_state = 105},
  [378] = {.lex_state = 141},
  [379] = {.lex_state = 96},
  [380] = {.lex_state = 101},
  [381] = {.lex_state = 130},
  [382] = {.lex_state = 105},
  [383] = {.lex_state = 96},
  [384] = {.lex_state = 105},
  [385] = {.lex_state = 105},
  [386] = {.lex_state = 137},
  [387] = {.lex_state = 96},
  [388] = {.lex_state = 141},
  [389] = {.lex_state = 130},
  [390] = {.lex_state = 105},
  [391] = {.lex_state = 130},
  [392] = {.lex_state = 105},
  [393] = {.lex_state = 141},
  [394] = {.lex_state = 105},
  [395] = {.lex_state = 141},
  [396] = {.lex_state = 133},
  [397] = {.lex_state = 105},
  [398] = {.lex_state = 130},
  [399] = {.lex_state = 105},
  [400] = {.lex_state = 133},
  [401] = {.lex_state = 139},
  [402] = {.lex_state = 133},
  [403] = {.lex_state = 133},
  [404] = {.lex_state = 111},
  [405] = {.lex_state = 134},
  [406] = {.lex_state = 133},
  [407] = {.lex_state = 96},
  [408] = {.lex_state = 138},
  [409] = {.lex_state = 139},
  [410] = {.lex_state = 96},
  [411] = {.lex_state = 133},
  [412] = {.lex_state = 110},
  [413] = {.lex_state = 96},
  [414] = {.lex_state = 110},
  [415] = {.lex_state = 101},
  [416] = {.lex_state = 110},
  [417] = {.lex_state = 96},
  [418] = {.lex_state = 96},
  [419] = {.lex_state = 132},
  [420] = {.lex_state = 111},
  [421] = {.lex_state = 111},
  [422] = {.lex_state = 130},
  [423] = {.lex_state = 101},
  [424] = {.lex_state = 101},
  [425] = {.lex_state = 130},
  [426] = {.lex_state = 96},
  [427] = {.lex_state = 105},
  [428] = {.lex_state = 105},
  [429] = {.lex_state = 101},
  [430] = {.lex_state = 105},
  [431] = {.lex_state = 96},
  [432] = {.lex_state = 101},
  [433] = {.lex_state = 105},
  [434] = {.lex_state = 111},
  [435] = {.lex_state = 105},
  [436] = {.lex_state = 105},
  [437] = {.lex_state = 133},
  [438] = {.lex_state = 111},
  [439] = {.lex_state = 133},
  [440] = {.lex_state = 134},
  [441] = {.lex_state = 133},
  [442] = {.lex_state = 111},
  [443] = {.lex_state = 133},
  [444] = {.lex_state = 111},
  [445] = {.lex_state = 96},
  [446] = {.lex_state = 134},
  [447] = {.lex_state = 96},
  [448] = {.lex_state = 96},
  [449] = {.lex_state = 130},
  [450] = {.lex_state = 105},
  [451] = {.lex_state = 96},
  [452] = {.lex_state = 101},
  [453] = {.lex_state = 132},
  [454] = {.lex_state = 101},
  [455] = {.lex_state = 105},
  [456] = {.lex_state = 105},
  [457] = {.lex_state = 133},
  [458] = {.lex_state = 134},
  [459] = {.lex_state = 96},
  [460] = {.lex_state = 105},
  [461] = {.lex_state = 130},
  [462] = {.lex_state = 105},
  [463] = {.lex_state = 101},
  [464] = {.lex_state = 101},
  [465] = {.lex_state = 133},
  [466] = {.lex_state = 96},
  [467] = {.lex_state = 101},
  [468] = {.lex_state = 101},
  [469] = {.lex_state = 101},
  [470] = {.lex_state = 101},
  [471] = {.lex_state = 101},
  [472] = {.lex_state = 101},
  [473] = {.lex_state = 110},
  [474] = {.lex_state = 101},
  [475] = {.lex_state = 101},
  [476] = {.lex_state = 101},
  [477] = {.lex_state = 136},
  [478] = {.lex_state = 101},
  [479] = {.lex_state = 111},
  [480] = {.lex_state = 101},
  [481] = {.lex_state = 101},
  [482] = {.lex_state = 111},
  [483] = {.lex_state = 105},
  [484] = {.lex_state = 101},
  [485] = {.lex_state = 101},
  [486] = {.lex_state = 101},
  [487] = {.lex_state = 111},
  [488] = {.lex_state = 96},
  [489] = {.lex_state = 111},
  [490] = {.lex_state = 118},
  [491] = {.lex_state = 111},
  [492] = {.lex_state = 118},
  [493] = {.lex_state = 101},
  [494] = {.lex_state = 101},
  [495] = {.lex_state = 101},
  [496] = {.lex_state = 96},
  [497] = {.lex_state = 101},
  [498] = {.lex_state = 96},
  [499] = {.lex_state = 101},
  [500] = {.lex_state = 101},
  [501] = {.lex_state = 101},
  [502] = {.lex_state = 136},
  [503] = {.lex_state = 105},
  [504] = {.lex_state = 101},
  [505] = {.lex_state = 118},
  [506] = {.lex_state = 111},
  [507] = {.lex_state = 105},
  [508] = {.lex_state = 101},
  [509] = {.lex_state = 101},
  [510] = {.lex_state = 111},
  [511] = {.lex_state = 101},
  [512] = {.lex_state = 101},
  [513] = {.lex_state = 136},
  [514] = {.lex_state = 137},
  [515] = {.lex_state = 118},
  [516] = {.lex_state = 101},
  [517] = {.lex_state = 118},
  [518] = {.lex_state = 96},
  [519] = {.lex_state = 118},
  [520] = {.lex_state = 118},
  [521] = {.lex_state = 111},
  [522] = {.lex_state = 111},
  [523] = {.lex_state = 111},
  [524] = {.lex_state = 96},
  [525] = {.lex_state = 111},
  [526] = {.lex_state = 111},
  [527] = {.lex_state = 101},
  [528] = {.lex_state = 101},
  [529] = {.lex_state = 101},
  [530] = {.lex_state = 101},
  [531] = {.lex_state = 101},
  [532] = {.lex_state = 101},
  [533] = {.lex_state = 101},
  [534] = {.lex_state = 101},
  [535] = {.lex_state = 111},
  [536] = {.lex_state = 137},
  [537] = {.lex_state = 101},
  [538] = {.lex_state = 111},
  [539] = {.lex_state = 101},
  [540] = {.lex_state = 111},
  [541] = {.lex_state = 111},
  [542] = {.lex_state = 111},
  [543] = {.lex_state = 136},
  [544] = {.lex_state = 105},
  [545] = {.lex_state = 105},
  [546] = {.lex_state = 111},
  [547] = {.lex_state = 118},
  [548] = {.lex_state = 118},
  [549] = {.lex_state = 118},
  [550] = {.lex_state = 101},
  [551] = {.lex_state = 118},
  [552] = {.lex_state = 118},
  [553] = {.lex_state = 118},
  [554] = {.lex_state = 101},
  [555] = {.lex_state = 118},
  [556] = {.lex_state = 118},
  [557] = {.lex_state = 118},
  [558] = {.lex_state = 118},
  [559] = {.lex_state = 101},
  [560] = {.lex_state = 101},
  [561] = {.lex_state = 96},
  [562] = {.lex_state = 101},
  [563] = {.lex_state = 101},
  [564] = {.lex_state = 145},
  [565] = {.lex_state = 137},
  [566] = {.lex_state = 101},
  [567] = {.lex_state = 101},
  [568] = {.lex_state = 96},
  [569] = {.lex_state = 105},
  [570] = {.lex_state = 105},
  [571] = {.lex_state = 141},
  [572] = {.lex_state = 118},
  [573] = {.lex_state = 118},
  [574] = {.lex_state = 118},
  [575] = {.lex_state = 118},
  [576] = {.lex_state = 118},
  [577] = {.lex_state = 118},
  [578] = {.lex_state = 118},
  [579] = {.lex_state = 101},
  [580] = {.lex_state = 101},
  [581] = {.lex_state = 101},
  [582] = {.lex_state = 101},
  [583] = {.lex_state = 118},
  [584] = {.lex_state = 118},
  [585] = {.lex_state = 118},
  [586] = {.lex_state = 118},
  [587] = {.lex_state = 118},
  [588] = {.lex_state = 118},
  [589] = {.lex_state = 101},
  [590] = {.lex_state = 101},
  [591] = {.lex_state = 101},
  [592] = {.lex_state = 118},
  [593] = {.lex_state = 118},
  [594] = {.lex_state = 118},
  [595] = {.lex_state = 118},
  [596] = {.lex_state = 118},
  [597] = {.lex_state = 118},
  [598] = {.lex_state = 150},
  [599] = {.lex_state = 150},
  [600] = {.lex_state = 133},
  [601] = {.lex_state = 150},
  [602] = {.lex_state = 111},
  [603] = {.lex_state = 111},
  [604] = {.lex_state = 118},
  [605] = {.lex_state = 111},
  [606] = {.lex_state = 136},
  [607] = {.lex_state = 150},
  [608] = {.lex_state = 150},
  [609] = {.lex_state = 150},
  [610] = {.lex_state = 150},
  [611] = {.lex_state = 150},
  [612] = {.lex_state = 133},
  [613] = {.lex_state = 101},
  [614] = {.lex_state = 141},
  [615] = {.lex_state = 101},
  [616] = {.lex_state = 133},
  [617] = {.lex_state = 136},
  [618] = {.lex_state = 150},
  [619] = {.lex_state = 136},
  [620] = {.lex_state = 136},
  [621] = {.lex_state = 136},
  [622] = {.lex_state = 111},
  [623] = {.lex_state = 111},
  [624] = {.lex_state = 111},
  [625] = {.lex_state = 111},
  [626] = {.lex_state = 111},
  [627] = {.lex_state = 150},
  [628] = {.lex_state = 150},
  [629] = {.lex_state = 150},
  [630] = {.lex_state = 150},
  [631] = {.lex_state = 150},
  [632] = {.lex_state = 150},
  [633] = {.lex_state = 150},
  [634] = {.lex_state = 150},
  [635] = {.lex_state = 111},
  [636] = {.lex_state = 101},
  [637] = {.lex_state = 111},
  [638] = {.lex_state = 111},
  [639] = {.lex_state = 133},
  [640] = {.lex_state = 111},
  [641] = {.lex_state = 136},
  [642] = {.lex_state = 136},
  [643] = {.lex_state = 136},
  [644] = {.lex_state = 150},
  [645] = {.lex_state = 136},
  [646] = {.lex_state = 136},
  [647] = {.lex_state = 136},
  [648] = {.lex_state = 150},
  [649] = {.lex_state = 136},
  [650] = {.lex_state = 136},
  [651] = {.lex_state = 136},
  [652] = {.lex_state = 136},
  [653] = {.lex_state = 150},
  [654] = {.lex_state = 150},
  [655] = {.lex_state = 150},
  [656] = {.lex_state = 150},
  [657] = {.lex_state = 118},
  [658] = {.lex_state = 101},
  [659] = {.lex_state = 132},
  [660] = {.lex_state = 136},
  [661] = {.lex_state = 136},
  [662] = {.lex_state = 136},
  [663] = {.lex_state = 136},
  [664] = {.lex_state = 136},
  [665] = {.lex_state = 136},
  [666] = {.lex_state = 136},
  [667] = {.lex_state = 150},
  [668] = {.lex_state = 150},
  [669] = {.lex_state = 150},
  [670] = {.lex_state = 150},
  [671] = {.lex_state = 136},
  [672] = {.lex_state = 136},
  [673] = {.lex_state = 136},
  [674] = {.lex_state = 136},
  [675] = {.lex_state = 136},
  [676] = {.lex_state = 136},
  [677] = {.lex_state = 150},
  [678] = {.lex_state = 150},
  [679] = {.lex_state = 150},
  [680] = {.lex_state = 136},
  [681] = {.lex_state = 136},
  [682] = {.lex_state = 136},
  [683] = {.lex_state = 136},
  [684] = {.lex_state = 136},
  [685] = {.lex_state = 136},
  [686] = {.lex_state = 137},
  [687] = {.lex_state = 111},
  [688] = {.lex_state = 111},
  [689] = {.lex_state = 136},
  [690] = {.lex_state = 111},
  [691] = {.lex_state = 118},
  [692] = {.lex_state = 96},
  [693] = {.lex_state = 137},
  [694] = {.lex_state = 138},
  [695] = {.lex_state = 137},
  [696] = {.lex_state = 118},
  [697] = {.lex_state = 118},
  [698] = {.lex_state = 118},
  [699] = {.lex_state = 118},
  [700] = {.lex_state = 111},
  [701] = {.lex_state = 111},
  [702] = {.lex_state = 111},
  [703] = {.lex_state = 111},
  [704] = {.lex_state = 111},
  [705] = {.lex_state = 111},
  [706] = {.lex_state = 137},
  [707] = {.lex_state = 137},
  [708] = {.lex_state = 118},
  [709] = {.lex_state = 118},
  [710] = {.lex_state = 118},
  [711] = {.lex_state = 138},
  [712] = {.lex_state = 138},
  [713] = {.lex_state = 118},
  [714] = {.lex_state = 138},
  [715] = {.lex_state = 118},
  [716] = {.lex_state = 138},
  [717] = {.lex_state = 118},
  [718] = {.lex_state = 138},
  [719] = {.lex_state = 96},
  [720] = {.lex_state = 118},
  [721] = {.lex_state = 118},
  [722] = {.lex_state = 118},
  [723] = {.lex_state = 118},
  [724] = {.lex_state = 118},
  [725] = {.lex_state = 118},
  [726] = {.lex_state = 118},
  [727] = {.lex_state = 118},
  [728] = {.lex_state = 118},
  [729] = {.lex_state = 118},
  [730] = {.lex_state = 118},
  [731] = {.lex_state = 118},
  [732] = {.lex_state = 118},
  [733] = {.lex_state = 118},
  [734] = {.lex_state = 118},
  [735] = {.lex_state = 118},
  [736] = {.lex_state = 118},
  [737] = {.lex_state = 118},
  [738] = {.lex_state = 118},
  [739] = {.lex_state = 145},
  [740] = {.lex_state = 111},
  [741] = {.lex_state = 111},
  [742] = {.lex_state = 137},
  [743] = {.lex_state = 111},
  [744] = {.lex_state = 137},
  [745] = {.lex_state = 145},
  [746] = {.lex_state = 145},
  [747] = {.lex_state = 137},
  [748] = {.lex_state = 137},
  [749] = {.lex_state = 137},
  [750] = {.lex_state = 137},
  [751] = {.lex_state = 111},
  [752] = {.lex_state = 111},
  [753] = {.lex_state = 111},
  [754] = {.lex_state = 111},
  [755] = {.lex_state = 111},
  [756] = {.lex_state = 96},
  [757] = {.lex_state = 145},
  [758] = {.lex_state = 137},
  [759] = {.lex_state = 137},
  [760] = {.lex_state = 137},
  [761] = {.lex_state = 118},
  [762] = {.lex_state = 118},
  [763] = {.lex_state = 137},
  [764] = {.lex_state = 118},
  [765] = {.lex_state = 137},
  [766] = {.lex_state = 118},
  [767] = {.lex_state = 137},
  [768] = {.lex_state = 141},
  [769] = {.lex_state = 137},
  [770] = {.lex_state = 137},
  [771] = {.lex_state = 137},
  [772] = {.lex_state = 137},
  [773] = {.lex_state = 137},
  [774] = {.lex_state = 137},
  [775] = {.lex_state = 137},
  [776] = {.lex_state = 137},
  [777] = {.lex_state = 137},
  [778] = {.lex_state = 137},
  [779] = {.lex_state = 137},
  [780] = {.lex_state = 137},
  [781] = {.lex_state = 137},
  [782] = {.lex_state = 137},
  [783] = {.lex_state = 137},
  [784] = {.lex_state = 137},
  [785] = {.lex_state = 137},
  [786] = {.lex_state = 137},
  [787] = {.lex_state = 137},
  [788] = {.lex_state = 137},
  [789] = {.lex_state = 143},
  [790] = {.lex_state = 111},
  [791] = {.lex_state = 111},
  [792] = {.lex_state = 141},
  [793] = {.lex_state = 111},
  [794] = {.lex_state = 145},
  [795] = {.lex_state = 143},
  [796] = {.lex_state = 143},
  [797] = {.lex_state = 145},
  [798] = {.lex_state = 145},
  [799] = {.lex_state = 145},
  [800] = {.lex_state = 145},
  [801] = {.lex_state = 111},
  [802] = {.lex_state = 111},
  [803] = {.lex_state = 111},
  [804] = {.lex_state = 111},
  [805] = {.lex_state = 111},
  [806] = {.lex_state = 143},
  [807] = {.lex_state = 145},
  [808] = {.lex_state = 145},
  [809] = {.lex_state = 145},
  [810] = {.lex_state = 137},
  [811] = {.lex_state = 137},
  [812] = {.lex_state = 145},
  [813] = {.lex_state = 137},
  [814] = {.lex_state = 145},
  [815] = {.lex_state = 137},
  [816] = {.lex_state = 145},
  [817] = {.lex_state = 145},
  [818] = {.lex_state = 145},
  [819] = {.lex_state = 145},
  [820] = {.lex_state = 145},
  [821] = {.lex_state = 145},
  [822] = {.lex_state = 145},
  [823] = {.lex_state = 145},
  [824] = {.lex_state = 145},
  [825] = {.lex_state = 145},
  [826] = {.lex_state = 145},
  [827] = {.lex_state = 145},
  [828] = {.lex_state = 145},
  [829] = {.lex_state = 145},
  [830] = {.lex_state = 145},
  [831] = {.lex_state = 145},
  [832] = {.lex_state = 145},
  [833] = {.lex_state = 145},
  [834] = {.lex_state = 145},
  [835] = {.lex_state = 145},
  [836] = {.lex_state = 118},
  [837] = {.lex_state = 111},
  [838] = {.lex_state = 111},
  [839] = {.lex_state = 145},
  [840] = {.lex_state = 111},
  [841] = {.lex_state = 143},
  [842] = {.lex_state = 118},
  [843] = {.lex_state = 118},
  [844] = {.lex_state = 143},
  [845] = {.lex_state = 143},
  [846] = {.lex_state = 143},
  [847] = {.lex_state = 143},
  [848] = {.lex_state = 111},
  [849] = {.lex_state = 111},
  [850] = {.lex_state = 111},
  [851] = {.lex_state = 111},
  [852] = {.lex_state = 111},
  [853] = {.lex_state = 118},
  [854] = {.lex_state = 143},
  [855] = {.lex_state = 143},
  [856] = {.lex_state = 143},
  [857] = {.lex_state = 145},
  [858] = {.lex_state = 145},
  [859] = {.lex_state = 143},
  [860] = {.lex_state = 145},
  [861] = {.lex_state = 143},
  [862] = {.lex_state = 145},
  [863] = {.lex_state = 143},
  [864] = {.lex_state = 143},
  [865] = {.lex_state = 143},
  [866] = {.lex_state = 143},
  [867] = {.lex_state = 143},
  [868] = {.lex_state = 143},
  [869] = {.lex_state = 143},
  [870] = {.lex_state = 143},
  [871] = {.lex_state = 143},
  [872] = {.lex_state = 143},
  [873] = {.lex_state = 143},
  [874] = {.lex_state = 143},
  [875] = {.lex_state = 143},
  [876] = {.lex_state = 143},
  [877] = {.lex_state = 143},
  [878] = {.lex_state = 143},
  [879] = {.lex_state = 143},
  [880] = {.lex_state = 143},
  [881] = {.lex_state = 143},
  [882] = {.lex_state = 143},
  [883] = {.lex_state = 143},
  [884] = {.lex_state = 111},
  [885] = {.lex_state = 111},
  [886] = {.lex_state = 111},
  [887] = {.lex_state = 111},
  [888] = {.lex_state = 111},
  [889] = {.lex_state = 111},
  [890] = {.lex_state = 143},
  [891] = {.lex_state = 143},
  [892] = {.lex_state = 143},
  [893] = {.lex_state = 143},
  [894] = {.lex_state = 138},
  [895] = {.lex_state = 96},
  [896] = {.lex_state = 96},
  [897] = {.lex_state = 96},
  [898] = {.lex_state = 96},
  [899] = {.lex_state = 105},
  [900] = {.lex_state = 96},
  [901] = {.lex_state = 96},
  [902] = {.lex_state = 107},
  [903] = {.lex_state = 96},
  [904] = {.lex_state = 96},
  [905] = {.lex_state = 105},
  [906] = {.lex_state = 96},
  [907] = {.lex_state = 96},
  [908] = {.lex_state = 111},
  [909] = {.lex_state = 96},
  [910] = {.lex_state = 96},
  [911] = {.lex_state = 96},
  [912] = {.lex_state = 96},
  [913] = {.lex_state = 96},
  [914] = {.lex_state = 96},
  [915] = {.lex_state = 96},
  [916] = {.lex_state = 96},
  [917] = {.lex_state = 96},
  [918] = {.lex_state = 107},
  [919] = {.lex_state = 96},
  [920] = {.lex_state = 105},
  [921] = {.lex_state = 96},
  [922] = {.lex_state = 96},
  [923] = {.lex_state = 130},
  [924] = {.lex_state = 111},
  [925] = {.lex_state = 96},
  [926] = {.lex_state = 111},
  [927] = {.lex_state = 96},
  [928] = {.lex_state = 96},
  [929] = {.lex_state = 134},
  [930] = {.lex_state = 105},
  [931] = {.lex_state = 96},
  [932] = {.lex_state = 96},
  [933] = {.lex_state = 96},
  [934] = {.lex_state = 105},
  [935] = {.lex_state = 96},
  [936] = {.lex_state = 96},
  [937] = {.lex_state = 96},
  [938] = {.lex_state = 105},
  [939] = {.lex_state = 137},
  [940] = {.lex_state = 105},
  [941] = {.lex_state = 130},
  [942] = {.lex_state = 96},
  [943] = {.lex_state = 138},
  [944] = {.lex_state = 96},
  [945] = {.lex_state = 96},
  [946] = {.lex_state = 96},
  [947] = {.lex_state = 139},
  [948] = {.lex_state = 101},
  [949] = {.lex_state = 101},
  [950] = {.lex_state = 111},
  [951] = {.lex_state = 101},
  [952] = {.lex_state = 96},
  [953] = {.lex_state = 105},
  [954] = {.lex_state = 96},
  [955] = {.lex_state = 96},
  [956] = {.lex_state = 111},
  [957] = {.lex_state = 134},
  [958] = {.lex_state = 96},
  [959] = {.lex_state = 138},
  [960] = {.lex_state = 138},
  [961] = {.lex_state = 105},
  [962] = {.lex_state = 101},
  [963] = {.lex_state = 105},
  [964] = {.lex_state = 101},
  [965] = {.lex_state = 96},
  [966] = {.lex_state = 105},
  [967] = {.lex_state = 101},
  [968] = {.lex_state = 130},
  [969] = {.lex_state = 105},
  [970] = {.lex_state = 139},
  [971] = {.lex_state = 96},
  [972] = {.lex_state = 96},
  [973] = {.lex_state = 134},
  [974] = {.lex_state = 111},
  [975] = {.lex_state = 139},
  [976] = {.lex_state = 96},
  [977] = {.lex_state = 96},
  [978] = {.lex_state = 105},
  [979] = {.lex_state = 105},
  [980] = {.lex_state = 105},
  [981] = {.lex_state = 96},
  [982] = {.lex_state = 130},
  [983] = {.lex_state = 139},
  [984] = {.lex_state = 134},
  [985] = {.lex_state = 139},
  [986] = {.lex_state = 134},
  [987] = {.lex_state = 134},
  [988] = {.lex_state = 111},
  [989] = {.lex_state = 111},
  [990] = {.lex_state = 111},
  [991] = {.lex_state = 111},
  [992] = {.lex_state = 111},
  [993] = {.lex_state = 111},
  [994] = {.lex_state = 111},
  [995] = {.lex_state = 111},
  [996] = {.lex_state = 141},
  [997] = {.lex_state = 141},
  [998] = {.lex_state = 141},
  [999] = {.lex_state = 141},
  [1000] = {.lex_state = 138},
  [1001] = {.lex_state = 96},
  [1002] = {.lex_state = 96},
  [1003] = {.lex_state = 107},
  [1004] = {.lex_state = 96},
  [1005] = {.lex_state = 96},
  [1006] = {.lex_state = 96},
  [1007] = {.lex_state = 96},
  [1008] = {.lex_state = 96},
  [1009] = {.lex_state = 96},
  [1010] = {.lex_state = 96},
  [1011] = {.lex_state = 107},
  [1012] = {.lex_state = 96},
  [1013] = {.lex_state = 130},
  [1014] = {.lex_state = 111},
  [1015] = {.lex_state = 96},
  [1016] = {.lex_state = 111},
  [1017] = {.lex_state = 96},
  [1018] = {.lex_state = 96},
  [1019] = {.lex_state = 105},
  [1020] = {.lex_state = 96},
  [1021] = {.lex_state = 96},
  [1022] = {.lex_state = 96},
  [1023] = {.lex_state = 105},
  [1024] = {.lex_state = 96},
  [1025] = {.lex_state = 96},
  [1026] = {.lex_state = 96},
  [1027] = {.lex_state = 137},
  [1028] = {.lex_state = 105},
  [1029] = {.lex_state = 130},
  [1030] = {.lex_state = 96},
  [1031] = {.lex_state = 138},
  [1032] = {.lex_state = 96},
  [1033] = {.lex_state = 96},
  [1034] = {.lex_state = 96},
  [1035] = {.lex_state = 139},
  [1036] = {.lex_state = 101},
  [1037] = {.lex_state = 101},
  [1038] = {.lex_state = 101},
  [1039] = {.lex_state = 96},
  [1040] = {.lex_state = 105},
  [1041] = {.lex_state = 96},
  [1042] = {.lex_state = 96},
  [1043] = {.lex_state = 111},
  [1044] = {.lex_state = 134},
  [1045] = {.lex_state = 96},
  [1046] = {.lex_state = 138},
  [1047] = {.lex_state = 138},
  [1048] = {.lex_state = 105},
  [1049] = {.lex_state = 101},
  [1050] = {.lex_state = 105},
  [1051] = {.lex_state = 101},
  [1052] = {.lex_state = 96},
  [1053] = {.lex_state = 105},
  [1054] = {.lex_state = 101},
  [1055] = {.lex_state = 130},
  [1056] = {.lex_state = 105},
  [1057] = {.lex_state = 139},
  [1058] = {.lex_state = 96},
  [1059] = {.lex_state = 96},
  [1060] = {.lex_state = 134},
  [1061] = {.lex_state = 111},
  [1062] = {.lex_state = 139},
  [1063] = {.lex_state = 96},
  [1064] = {.lex_state = 96},
  [1065] = {.lex_state = 105},
  [1066] = {.lex_state = 105},
  [1067] = {.lex_state = 105},
  [1068] = {.lex_state = 130},
  [1069] = {.lex_state = 139},
  [1070] = {.lex_state = 134},
  [1071] = {.lex_state = 139},
  [1072] = {.lex_state = 134},
  [1073] = {.lex_state = 134},
  [1074] = {.lex_state = 107},
  [1075] = {.lex_state = 96},
  [1076] = {.lex_state = 96},
  [1077] = {.lex_state = 107},
  [1078] = {.lex_state = 130},
  [1079] = {.lex_state = 111},
  [1080] = {.lex_state = 96},
  [1081] = {.lex_state = 96},
  [1082] = {.lex_state = 105},
  [1083] = {.lex_state = 130},
  [1084] = {.lex_state = 96},
  [1085] = {.lex_state = 138},
  [1086] = {.lex_state = 96},
  [1087] = {.lex_state = 139},
  [1088] = {.lex_state = 105},
  [1089] = {.lex_state = 96},
  [1090] = {.lex_state = 96},
  [1091] = {.lex_state = 111},
  [1092] = {.lex_state = 134},
  [1093] = {.lex_state = 96},
  [1094] = {.lex_state = 138},
  [1095] = {.lex_state = 138},
  [1096] = {.lex_state = 130},
  [1097] = {.lex_state = 105},
  [1098] = {.lex_state = 139},
  [1099] = {.lex_state = 96},
  [1100] = {.lex_state = 96},
  [1101] = {.lex_state = 134},
  [1102] = {.lex_state = 111},
  [1103] = {.lex_state = 139},
  [1104] = {.lex_state = 96},
  [1105] = {.lex_state = 96},
  [1106] = {.lex_state = 130},
  [1107] = {.lex_state = 139},
  [1108] = {.lex_state = 134},
  [1109] = {.lex_state = 139},
  [1110] = {.lex_state = 134},
  [1111] = {.lex_state = 134},
  [1112] = {.lex_state = 107},
  [1113] = {.lex_state = 107},
  [1114] = {.lex_state = 130},
  [1115] = {.lex_state = 96},
  [1116] = {.lex_state = 96},
  [1117] = {.lex_state = 105},
  [1118] = {.lex_state = 130},
  [1119] = {.lex_state = 96},
  [1120] = {.lex_state = 138},
  [1121] = {.lex_state = 96},
  [1122] = {.lex_state = 139},
  [1123] = {.lex_state = 105},
  [1124] = {.lex_state = 96},
  [1125] = {.lex_state = 96},
  [1126] = {.lex_state = 111},
  [1127] = {.lex_state = 134},
  [1128] = {.lex_state = 96},
  [1129] = {.lex_state = 138},
  [1130] = {.lex_state = 138},
  [1131] = {.lex_state = 130},
  [1132] = {.lex_state = 105},
  [1133] = {.lex_state = 139},
  [1134] = {.lex_state = 96},
  [1135] = {.lex_state = 96},
  [1136] = {.lex_state = 134},
  [1137] = {.lex_state = 111},
  [1138] = {.lex_state = 139},
  [1139] = {.lex_state = 96},
  [1140] = {.lex_state = 96},
  [1141] = {.lex_state = 130},
  [1142] = {.lex_state = 139},
  [1143] = {.lex_state = 134},
  [1144] = {.lex_state = 139},
  [1145] = {.lex_state = 134},
  [1146] = {.lex_state = 134},
  [1147] = {.lex_state = 107},
  [1148] = {.lex_state = 107},
  [1149] = {.lex_state = 130},
  [1150] = {.lex_state = 96},
  [1151] = {.lex_state = 96},
  [1152] = {.lex_state = 105},
  [1153] = {.lex_state = 130},
  [1154] = {.lex_state = 96},
  [1155] = {.lex_state = 138},
  [1156] = {.lex_state = 96},
  [1157] = {.lex_state = 139},
  [1158] = {.lex_state = 105},
  [1159] = {.lex_state = 96},
  [1160] = {.lex_state = 96},
  [1161] = {.lex_state = 111},
  [1162] = {.lex_state = 134},
  [1163] = {.lex_state = 96},
  [1164] = {.lex_state = 138},
  [1165] = {.lex_state = 138},
  [1166] = {.lex_state = 130},
  [1167] = {.lex_state = 105},
  [1168] = {.lex_state = 139},
  [1169] = {.lex_state = 96},
  [1170] = {.lex_state = 96},
  [1171] = {.lex_state = 134},
  [1172] = {.lex_state = 111},
  [1173] = {.lex_state = 139},
  [1174] = {.lex_state = 96},
  [1175] = {.lex_state = 96},
  [1176] = {.lex_state = 130},
  [1177] = {.lex_state = 139},
  [1178] = {.lex_state = 134},
  [1179] = {.lex_state = 139},
  [1180] = {.lex_state = 134},
  [1181] = {.lex_state = 134},
  [1182] = {.lex_state = 107},
  [1183] = {.lex_state = 107},
  [1184] = {.lex_state = 130},
  [1185] = {.lex_state = 96},
  [1186] = {.lex_state = 96},
  [1187] = {.lex_state = 105},
  [1188] = {.lex_state = 130},
  [1189] = {.lex_state = 96},
  [1190] = {.lex_state = 138},
  [1191] = {.lex_state = 96},
  [1192] = {.lex_state = 139},
  [1193] = {.lex_state = 105},
  [1194] = {.lex_state = 96},
  [1195] = {.lex_state = 96},
  [1196] = {.lex_state = 111},
  [1197] = {.lex_state = 134},
  [1198] = {.lex_state = 96},
  [1199] = {.lex_state = 138},
  [1200] = {.lex_state = 138},
  [1201] = {.lex_state = 130},
  [1202] = {.lex_state = 105},
  [1203] = {.lex_state = 139},
  [1204] = {.lex_state = 96},
  [1205] = {.lex_state = 96},
  [1206] = {.lex_state = 134},
  [1207] = {.lex_state = 111},
  [1208] = {.lex_state = 139},
  [1209] = {.lex_state = 96},
  [1210] = {.lex_state = 96},
  [1211] = {.lex_state = 130},
  [1212] = {.lex_state = 139},
  [1213] = {.lex_state = 134},
  [1214] = {.lex_state = 139},
  [1215] = {.lex_state = 134},
  [1216] = {.lex_state = 134},
  [1217] = {.lex_state = 111},
  [1218] = {.lex_state = 96},
  [1219] = {.lex_state = 96},
  [1220] = {.lex_state = 96},
  [1221] = {.lex_state = 96},
  [1222] = {.lex_state = 111},
  [1223] = {.lex_state = 134},
  [1224] = {.lex_state = 96},
  [1225] = {.lex_state = 96},
  [1226] = {.lex_state = 130},
  [1227] = {.lex_state = 111},
  [1228] = {.lex_state = 111},
  [1229] = {.lex_state = 96},
  [1230] = {.lex_state = 111},
  [1231] = {.lex_state = 111},
  [1232] = {.lex_state = 111},
  [1233] = {.lex_state = 96},
  [1234] = {.lex_state = 96},
  [1235] = {.lex_state = 96},
  [1236] = {.lex_state = 111},
  [1237] = {.lex_state = 134},
  [1238] = {.lex_state = 96},
  [1239] = {.lex_state = 130},
  [1240] = {.lex_state = 111},
  [1241] = {.lex_state = 111},
  [1242] = {.lex_state = 96},
  [1243] = {.lex_state = 111},
  [1244] = {.lex_state = 111},
  [1245] = {.lex_state = 96},
  [1246] = {.lex_state = 111},
  [1247] = {.lex_state = 96},
  [1248] = {.lex_state = 130},
  [1249] = {.lex_state = 111},
  [1250] = {.lex_state = 96},
  [1251] = {.lex_state = 111},
  [1252] = {.lex_state = 111},
  [1253] = {.lex_state = 96},
  [1254] = {.lex_state = 111},
  [1255] = {.lex_state = 96},
  [1256] = {.lex_state = 130},
  [1257] = {.lex_state = 111},
  [1258] = {.lex_state = 96},
  [1259] = {.lex_state = 111},
  [1260] = {.lex_state = 111},
  [1261] = {.lex_state = 96},
  [1262] = {.lex_state = 111},
  [1263] = {.lex_state = 96},
  [1264] = {.lex_state = 130},
  [1265] = {.lex_state = 111},
  [1266] = {.lex_state = 96},
  [1267] = {.lex_state = 111},
  [1268] = {.lex_state = 111},
  [1269] = {.lex_state = 96},
  [1270] = {.lex_state = 111},
  [1271] = {.lex_state = 96},
  [1272] = {.lex_state = 130},
  [1273] = {.lex_state = 111},
  [1274] = {.lex_state = 96},
  [1275] = {.lex_state = 111},
  [1276] = {.lex_state = 111},
  [1277] = {.lex_state = 96},
  [1278] = {.lex_state = 96},
  [1279] = {.lex_state = 96},
  [1280] = {.lex_state = 96},
  [1281] = {.lex_state = 96},
  [1282] = {.lex_state = 96},
  [1283] = {.lex_state = 96},
  [1284] = {.lex_state = 96},
  [1285] = {.lex_state = 96},
  [1286] = {.lex_state = 96},
  [1287] = {.lex_state = 96},
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_rune_literal] = ACTIONS(1),
    [anon_sym_defer] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [sym_raw_string_literal] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [sym_imaginary_literal] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [sym_nil] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [sym_blank_identifier] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [anon_sym_fallthrough] = ACTIONS(1),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_func] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_CARET] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_make] = ACTIONS(1),
    [anon_sym_range] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [sym_int_literal] = ACTIONS(1),
    [anon_sym_map] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym_go] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [sym_float_literal] = ACTIONS(1),
    [anon_sym_chan] = ACTIONS(1),
  },
  [1] = {
    [sym_method_declaration] = STATE(10),
    [aux_sym_source_file_repeat1] = STATE(8),
    [sym_import_declaration] = STATE(10),
    [sym_var_declaration] = STATE(10),
    [sym_source_file] = STATE(9),
    [sym_function_declaration] = STATE(10),
    [sym__top_level_declaration] = STATE(10),
    [sym_type_declaration] = STATE(10),
    [sym_package_clause] = STATE(10),
    [sym__declaration] = STATE(10),
    [sym_const_declaration] = STATE(10),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_type] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_func] = ACTIONS(11),
    [anon_sym_var] = ACTIONS(13),
    [anon_sym_const] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
    [anon_sym_package] = ACTIONS(17),
  },
  [2] = {
    [sym_parameter_list] = STATE(13),
    [sym_identifier] = ACTIONS(19),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(21),
  },
  [3] = {
    [sym_type_spec] = STATE(16),
    [sym_type_alias] = STATE(16),
    [sym_identifier] = ACTIONS(23),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(25),
  },
  [4] = {
    [sym_import_spec_list] = STATE(22),
    [sym_import_spec] = STATE(22),
    [sym__string_literal] = STATE(23),
    [sym_interpreted_string_literal] = STATE(23),
    [sym_dot] = STATE(21),
    [sym_identifier] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(31),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
    [sym_blank_identifier] = ACTIONS(35),
    [sym_raw_string_literal] = ACTIONS(37),
  },
  [5] = {
    [sym_const_spec] = STATE(26),
    [sym_identifier] = ACTIONS(39),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(41),
  },
  [6] = {
    [sym_var_spec] = STATE(29),
    [sym_identifier] = ACTIONS(43),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(45),
  },
  [7] = {
    [sym_identifier] = ACTIONS(47),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym_method_declaration] = STATE(10),
    [sym_import_declaration] = STATE(10),
    [aux_sym_source_file_repeat1] = STATE(31),
    [sym_var_declaration] = STATE(10),
    [sym_function_declaration] = STATE(10),
    [sym__top_level_declaration] = STATE(10),
    [sym_type_declaration] = STATE(10),
    [sym_package_clause] = STATE(10),
    [sym__declaration] = STATE(10),
    [sym_const_declaration] = STATE(10),
    [ts_builtin_sym_end] = ACTIONS(49),
    [anon_sym_type] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_func] = ACTIONS(11),
    [anon_sym_var] = ACTIONS(13),
    [anon_sym_const] = ACTIONS(15),
    [sym_comment] = ACTIONS(3),
    [anon_sym_package] = ACTIONS(17),
  },
  [9] = {
    [sym_comment] = ACTIONS(3),
    [ts_builtin_sym_end] = ACTIONS(51),
  },
  [10] = {
    [anon_sym_type] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(53),
    [ts_builtin_sym_end] = ACTIONS(55),
    [anon_sym_LF] = ACTIONS(57),
    [anon_sym_func] = ACTIONS(53),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_var] = ACTIONS(53),
    [anon_sym_const] = ACTIONS(53),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(53),
  },
  [11] = {
    [sym_parameter_list] = STATE(33),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
  },
  [12] = {
    [sym_qualified_type] = STATE(48),
    [sym_map_type] = STATE(48),
    [sym_channel_type] = STATE(48),
    [sym_parameter_declaration] = STATE(47),
    [sym_variadic_parameter_declaration] = STATE(47),
    [sym_slice_type] = STATE(48),
    [sym_pointer_type] = STATE(48),
    [sym_array_type] = STATE(48),
    [sym_interface_type] = STATE(48),
    [sym_function_type] = STATE(48),
    [sym_parenthesized_type] = STATE(48),
    [sym__simple_type] = STATE(48),
    [sym_struct_type] = STATE(48),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_RPAREN] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [13] = {
    [sym_identifier] = ACTIONS(91),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym_struct_type] = STATE(52),
    [sym_map_type] = STATE(52),
    [sym_channel_type] = STATE(52),
    [sym_pointer_type] = STATE(52),
    [sym_array_type] = STATE(52),
    [sym_interface_type] = STATE(52),
    [sym_function_type] = STATE(52),
    [sym_slice_type] = STATE(52),
    [sym_parenthesized_type] = STATE(52),
    [sym__simple_type] = STATE(52),
    [sym_qualified_type] = STATE(52),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_interface] = ACTIONS(95),
    [anon_sym_EQ] = ACTIONS(97),
    [anon_sym_STAR] = ACTIONS(99),
    [sym_identifier] = ACTIONS(101),
    [anon_sym_func] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_map] = ACTIONS(107),
    [anon_sym_LT_DASH] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(111),
    [anon_sym_chan] = ACTIONS(113),
  },
  [15] = {
    [sym_type_alias] = STATE(55),
    [sym_type_spec] = STATE(55),
    [aux_sym_type_declaration_repeat1] = STATE(54),
    [sym_identifier] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(117),
  },
  [16] = {
    [anon_sym_type] = ACTIONS(119),
    [anon_sym_import] = ACTIONS(119),
    [anon_sym_LF] = ACTIONS(121),
    [ts_builtin_sym_end] = ACTIONS(121),
    [anon_sym_func] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(119),
    [anon_sym_var] = ACTIONS(119),
    [anon_sym_const] = ACTIONS(119),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(119),
  },
  [17] = {
    [sym_interpreted_string_literal] = STATE(56),
    [sym__string_literal] = STATE(56),
    [sym_comment] = ACTIONS(3),
    [sym_raw_string_literal] = ACTIONS(123),
    [anon_sym_DQUOTE] = ACTIONS(33),
  },
  [18] = {
    [sym_comment] = ACTIONS(3),
    [sym_raw_string_literal] = ACTIONS(125),
    [anon_sym_DQUOTE] = ACTIONS(125),
  },
  [19] = {
    [sym_import_spec] = STATE(58),
    [sym__string_literal] = STATE(468),
    [sym_interpreted_string_literal] = STATE(468),
    [aux_sym_import_spec_list_repeat1] = STATE(59),
    [sym_dot] = STATE(903),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(29),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_comment] = ACTIONS(3),
    [sym_blank_identifier] = ACTIONS(131),
    [sym_raw_string_literal] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(135),
  },
  [20] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(61),
    [anon_sym_DQUOTE] = ACTIONS(137),
    [sym_escape_sequence] = ACTIONS(139),
    [sym_comment] = ACTIONS(61),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(139),
  },
  [21] = {
    [sym_interpreted_string_literal] = STATE(62),
    [sym__string_literal] = STATE(62),
    [sym_comment] = ACTIONS(3),
    [sym_raw_string_literal] = ACTIONS(141),
    [anon_sym_DQUOTE] = ACTIONS(33),
  },
  [22] = {
    [anon_sym_type] = ACTIONS(143),
    [anon_sym_import] = ACTIONS(143),
    [anon_sym_LF] = ACTIONS(145),
    [ts_builtin_sym_end] = ACTIONS(145),
    [anon_sym_func] = ACTIONS(143),
    [anon_sym_SEMI] = ACTIONS(143),
    [anon_sym_var] = ACTIONS(143),
    [anon_sym_const] = ACTIONS(143),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(143),
  },
  [23] = {
    [anon_sym_type] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(147),
    [anon_sym_LF] = ACTIONS(149),
    [ts_builtin_sym_end] = ACTIONS(149),
    [anon_sym_func] = ACTIONS(147),
    [anon_sym_SEMI] = ACTIONS(147),
    [anon_sym_var] = ACTIONS(147),
    [anon_sym_const] = ACTIONS(147),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(147),
  },
  [24] = {
    [sym_struct_type] = STATE(66),
    [sym_map_type] = STATE(66),
    [sym_channel_type] = STATE(66),
    [sym_pointer_type] = STATE(66),
    [sym_array_type] = STATE(66),
    [sym_interface_type] = STATE(66),
    [sym_function_type] = STATE(66),
    [aux_sym_const_spec_repeat1] = STATE(65),
    [sym_slice_type] = STATE(66),
    [sym_parenthesized_type] = STATE(66),
    [sym__simple_type] = STATE(66),
    [sym_qualified_type] = STATE(66),
    [anon_sym_COMMA] = ACTIONS(151),
    [anon_sym_type] = ACTIONS(153),
    [anon_sym_import] = ACTIONS(153),
    [anon_sym_LF] = ACTIONS(155),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_var] = ACTIONS(153),
    [anon_sym_const] = ACTIONS(153),
    [anon_sym_package] = ACTIONS(153),
    [ts_builtin_sym_end] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_EQ] = ACTIONS(159),
    [anon_sym_STAR] = ACTIONS(161),
    [anon_sym_func] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(153),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_comment] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [25] = {
    [sym_const_spec] = STATE(69),
    [aux_sym_const_declaration_repeat1] = STATE(68),
    [sym_identifier] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(171),
  },
  [26] = {
    [anon_sym_type] = ACTIONS(173),
    [anon_sym_import] = ACTIONS(173),
    [anon_sym_LF] = ACTIONS(175),
    [ts_builtin_sym_end] = ACTIONS(175),
    [anon_sym_func] = ACTIONS(173),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_var] = ACTIONS(173),
    [anon_sym_const] = ACTIONS(173),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(173),
  },
  [27] = {
    [sym_struct_type] = STATE(72),
    [sym_map_type] = STATE(72),
    [sym_channel_type] = STATE(72),
    [sym_pointer_type] = STATE(72),
    [sym_array_type] = STATE(72),
    [sym_interface_type] = STATE(72),
    [sym_function_type] = STATE(72),
    [aux_sym_const_spec_repeat1] = STATE(71),
    [sym_slice_type] = STATE(72),
    [sym_parenthesized_type] = STATE(72),
    [sym__simple_type] = STATE(72),
    [sym_qualified_type] = STATE(72),
    [anon_sym_COMMA] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_interface] = ACTIONS(95),
    [anon_sym_EQ] = ACTIONS(179),
    [anon_sym_STAR] = ACTIONS(99),
    [sym_identifier] = ACTIONS(101),
    [anon_sym_func] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_map] = ACTIONS(107),
    [anon_sym_LT_DASH] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(111),
    [anon_sym_chan] = ACTIONS(113),
  },
  [28] = {
    [sym_var_spec] = STATE(74),
    [aux_sym_var_declaration_repeat1] = STATE(75),
    [sym_identifier] = ACTIONS(181),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(183),
  },
  [29] = {
    [anon_sym_type] = ACTIONS(185),
    [anon_sym_import] = ACTIONS(185),
    [anon_sym_LF] = ACTIONS(187),
    [ts_builtin_sym_end] = ACTIONS(187),
    [anon_sym_func] = ACTIONS(185),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_var] = ACTIONS(185),
    [anon_sym_const] = ACTIONS(185),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(185),
  },
  [30] = {
    [anon_sym_type] = ACTIONS(189),
    [anon_sym_import] = ACTIONS(189),
    [anon_sym_LF] = ACTIONS(191),
    [ts_builtin_sym_end] = ACTIONS(191),
    [anon_sym_func] = ACTIONS(189),
    [anon_sym_SEMI] = ACTIONS(189),
    [anon_sym_var] = ACTIONS(189),
    [anon_sym_const] = ACTIONS(189),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(189),
  },
  [31] = {
    [sym_method_declaration] = STATE(10),
    [sym_import_declaration] = STATE(10),
    [aux_sym_source_file_repeat1] = STATE(31),
    [sym_var_declaration] = STATE(10),
    [sym_function_declaration] = STATE(10),
    [sym__top_level_declaration] = STATE(10),
    [sym_type_declaration] = STATE(10),
    [sym_package_clause] = STATE(10),
    [sym__declaration] = STATE(10),
    [sym_const_declaration] = STATE(10),
    [anon_sym_type] = ACTIONS(193),
    [anon_sym_import] = ACTIONS(196),
    [ts_builtin_sym_end] = ACTIONS(199),
    [anon_sym_func] = ACTIONS(201),
    [anon_sym_var] = ACTIONS(204),
    [anon_sym_const] = ACTIONS(207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_package] = ACTIONS(210),
  },
  [32] = {
    [anon_sym_type] = ACTIONS(199),
    [anon_sym_import] = ACTIONS(199),
    [ts_builtin_sym_end] = ACTIONS(199),
    [anon_sym_func] = ACTIONS(199),
    [anon_sym_var] = ACTIONS(199),
    [anon_sym_const] = ACTIONS(199),
    [sym_comment] = ACTIONS(3),
    [anon_sym_package] = ACTIONS(199),
  },
  [33] = {
    [sym_parameter_list] = STATE(77),
    [sym_map_type] = STATE(77),
    [sym_channel_type] = STATE(77),
    [sym_pointer_type] = STATE(77),
    [sym_array_type] = STATE(77),
    [sym_struct_type] = STATE(77),
    [sym_interface_type] = STATE(77),
    [sym_function_type] = STATE(77),
    [sym_block] = STATE(78),
    [sym_slice_type] = STATE(77),
    [sym__simple_type] = STATE(77),
    [sym_qualified_type] = STATE(77),
    [anon_sym_type] = ACTIONS(213),
    [anon_sym_import] = ACTIONS(213),
    [anon_sym_LF] = ACTIONS(215),
    [anon_sym_map] = ACTIONS(107),
    [anon_sym_var] = ACTIONS(213),
    [anon_sym_const] = ACTIONS(213),
    [anon_sym_package] = ACTIONS(213),
    [ts_builtin_sym_end] = ACTIONS(215),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_LBRACK] = ACTIONS(219),
    [anon_sym_interface] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_func] = ACTIONS(103),
    [anon_sym_SEMI] = ACTIONS(213),
    [sym_identifier] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(225),
    [sym_comment] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(111),
    [anon_sym_chan] = ACTIONS(113),
  },
  [34] = {
    [anon_sym_COMMA] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_RPAREN] = ACTIONS(227),
    [anon_sym_COLON] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(227),
    [anon_sym_LBRACK] = ACTIONS(227),
    [anon_sym_interface] = ACTIONS(229),
    [anon_sym_EQ] = ACTIONS(227),
    [anon_sym_STAR] = ACTIONS(227),
    [sym_identifier] = ACTIONS(229),
    [anon_sym_func] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(227),
    [anon_sym_struct] = ACTIONS(229),
    [anon_sym_chan] = ACTIONS(229),
  },
  [35] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(231),
  },
  [36] = {
    [sym_type_conversion_expression] = STATE(91),
    [sym_composite_literal] = STATE(91),
    [sym_unary_expression] = STATE(91),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(91),
    [sym__string_literal] = STATE(91),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(91),
    [sym__expression] = STATE(91),
    [sym_parenthesized_expression] = STATE(91),
    [sym_selector_expression] = STATE(91),
    [sym_index_expression] = STATE(91),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(91),
    [sym_slice_expression] = STATE(91),
    [sym_type_assertion_expression] = STATE(91),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(91),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(233),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(233),
    [sym_imaginary_literal] = ACTIONS(233),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(241),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(241),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(241),
    [anon_sym_RBRACK] = ACTIONS(249),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(241),
    [sym_false] = ACTIONS(241),
  },
  [37] = {
    [sym_method_spec_list] = STATE(94),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(261),
  },
  [38] = {
    [sym_qualified_type] = STATE(95),
    [sym_map_type] = STATE(95),
    [sym_channel_type] = STATE(95),
    [sym_slice_type] = STATE(95),
    [sym_pointer_type] = STATE(95),
    [sym_array_type] = STATE(95),
    [sym_interface_type] = STATE(95),
    [sym_function_type] = STATE(95),
    [sym_parenthesized_type] = STATE(95),
    [sym__simple_type] = STATE(95),
    [sym_struct_type] = STATE(95),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [39] = {
    [sym_struct_type] = STATE(99),
    [sym_map_type] = STATE(99),
    [sym_channel_type] = STATE(99),
    [sym_pointer_type] = STATE(99),
    [sym_array_type] = STATE(99),
    [sym_interface_type] = STATE(99),
    [sym_function_type] = STATE(99),
    [aux_sym_const_spec_repeat1] = STATE(98),
    [sym_slice_type] = STATE(99),
    [sym_parenthesized_type] = STATE(99),
    [sym__simple_type] = STATE(99),
    [sym_qualified_type] = STATE(99),
    [anon_sym_COMMA] = ACTIONS(263),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(266),
    [anon_sym_RPAREN] = ACTIONS(268),
    [anon_sym_DOT] = ACTIONS(270),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [40] = {
    [sym_parameter_list] = STATE(100),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(21),
  },
  [41] = {
    [sym_qualified_type] = STATE(101),
    [sym_map_type] = STATE(101),
    [sym_channel_type] = STATE(101),
    [sym_slice_type] = STATE(101),
    [sym_pointer_type] = STATE(101),
    [sym_array_type] = STATE(101),
    [sym_interface_type] = STATE(101),
    [sym_function_type] = STATE(101),
    [sym_parenthesized_type] = STATE(101),
    [sym__simple_type] = STATE(101),
    [sym_struct_type] = STATE(101),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [42] = {
    [anon_sym_LBRACK] = ACTIONS(272),
    [sym_comment] = ACTIONS(3),
  },
  [43] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_chan] = ACTIONS(274),
  },
  [44] = {
    [sym_struct_type] = STATE(104),
    [sym_map_type] = STATE(104),
    [sym_channel_type] = STATE(104),
    [sym_pointer_type] = STATE(104),
    [sym_array_type] = STATE(104),
    [sym_interface_type] = STATE(104),
    [sym_function_type] = STATE(104),
    [sym_slice_type] = STATE(104),
    [sym_parenthesized_type] = STATE(104),
    [sym__simple_type] = STATE(104),
    [sym_qualified_type] = STATE(104),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [45] = {
    [sym_field_declaration_list] = STATE(106),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(276),
  },
  [46] = {
    [sym_qualified_type] = STATE(108),
    [sym_map_type] = STATE(108),
    [sym_channel_type] = STATE(108),
    [sym_slice_type] = STATE(108),
    [sym_pointer_type] = STATE(108),
    [sym_array_type] = STATE(108),
    [sym_interface_type] = STATE(108),
    [sym_function_type] = STATE(108),
    [sym_parenthesized_type] = STATE(108),
    [sym__simple_type] = STATE(108),
    [sym_struct_type] = STATE(108),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [47] = {
    [aux_sym_parameter_list_repeat1] = STATE(110),
    [anon_sym_COMMA] = ACTIONS(280),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(231),
  },
  [48] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(282),
    [anon_sym_RPAREN] = ACTIONS(282),
  },
  [49] = {
    [sym_parameter_list] = STATE(111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
  },
  [50] = {
    [sym_struct_type] = STATE(112),
    [sym_map_type] = STATE(112),
    [sym_channel_type] = STATE(112),
    [sym_pointer_type] = STATE(112),
    [sym_array_type] = STATE(112),
    [sym_interface_type] = STATE(112),
    [sym_function_type] = STATE(112),
    [sym_slice_type] = STATE(112),
    [sym_parenthesized_type] = STATE(112),
    [sym__simple_type] = STATE(112),
    [sym_qualified_type] = STATE(112),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_interface] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(99),
    [sym_identifier] = ACTIONS(101),
    [anon_sym_func] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_map] = ACTIONS(107),
    [anon_sym_LT_DASH] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(111),
    [anon_sym_chan] = ACTIONS(113),
  },
  [51] = {
    [anon_sym_type] = ACTIONS(284),
    [anon_sym_import] = ACTIONS(284),
    [anon_sym_LF] = ACTIONS(268),
    [anon_sym_var] = ACTIONS(284),
    [anon_sym_const] = ACTIONS(284),
    [anon_sym_package] = ACTIONS(284),
    [anon_sym_DOT] = ACTIONS(286),
    [ts_builtin_sym_end] = ACTIONS(268),
    [anon_sym_LBRACE] = ACTIONS(284),
    [anon_sym_EQ] = ACTIONS(284),
    [anon_sym_func] = ACTIONS(284),
    [anon_sym_SEMI] = ACTIONS(284),
    [sym_comment] = ACTIONS(61),
  },
  [52] = {
    [anon_sym_type] = ACTIONS(288),
    [anon_sym_import] = ACTIONS(288),
    [anon_sym_LF] = ACTIONS(290),
    [ts_builtin_sym_end] = ACTIONS(290),
    [anon_sym_func] = ACTIONS(288),
    [anon_sym_SEMI] = ACTIONS(288),
    [anon_sym_var] = ACTIONS(288),
    [anon_sym_const] = ACTIONS(288),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(288),
  },
  [53] = {
    [anon_sym_type] = ACTIONS(292),
    [anon_sym_import] = ACTIONS(292),
    [anon_sym_LF] = ACTIONS(294),
    [ts_builtin_sym_end] = ACTIONS(294),
    [anon_sym_func] = ACTIONS(292),
    [anon_sym_SEMI] = ACTIONS(292),
    [anon_sym_var] = ACTIONS(292),
    [anon_sym_const] = ACTIONS(292),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(292),
  },
  [54] = {
    [sym_type_alias] = STATE(55),
    [sym_type_spec] = STATE(55),
    [aux_sym_type_declaration_repeat1] = STATE(114),
    [sym_identifier] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(296),
  },
  [55] = {
    [anon_sym_LF] = ACTIONS(298),
    [anon_sym_SEMI] = ACTIONS(300),
    [sym_comment] = ACTIONS(61),
  },
  [56] = {
    [anon_sym_type] = ACTIONS(302),
    [anon_sym_import] = ACTIONS(302),
    [anon_sym_LF] = ACTIONS(304),
    [ts_builtin_sym_end] = ACTIONS(304),
    [anon_sym_func] = ACTIONS(302),
    [anon_sym_SEMI] = ACTIONS(302),
    [anon_sym_var] = ACTIONS(302),
    [anon_sym_const] = ACTIONS(302),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(302),
  },
  [57] = {
    [anon_sym_type] = ACTIONS(306),
    [anon_sym_import] = ACTIONS(306),
    [anon_sym_LF] = ACTIONS(308),
    [ts_builtin_sym_end] = ACTIONS(308),
    [anon_sym_func] = ACTIONS(306),
    [anon_sym_SEMI] = ACTIONS(306),
    [anon_sym_var] = ACTIONS(306),
    [anon_sym_const] = ACTIONS(306),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(306),
  },
  [58] = {
    [anon_sym_LF] = ACTIONS(310),
    [anon_sym_SEMI] = ACTIONS(312),
    [sym_comment] = ACTIONS(61),
  },
  [59] = {
    [sym_import_spec] = STATE(58),
    [sym__string_literal] = STATE(468),
    [sym_interpreted_string_literal] = STATE(468),
    [aux_sym_import_spec_list_repeat1] = STATE(118),
    [sym_dot] = STATE(903),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_DOT] = ACTIONS(29),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_comment] = ACTIONS(3),
    [sym_blank_identifier] = ACTIONS(131),
    [sym_raw_string_literal] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(314),
  },
  [60] = {
    [anon_sym_DASH] = ACTIONS(316),
    [anon_sym_PERCENT] = ACTIONS(316),
    [anon_sym_CARET] = ACTIONS(316),
    [anon_sym_var] = ACTIONS(316),
    [anon_sym_const] = ACTIONS(316),
    [anon_sym_GT] = ACTIONS(316),
    [anon_sym_package] = ACTIONS(316),
    [anon_sym_AMP_CARET] = ACTIONS(316),
    [anon_sym_DOT] = ACTIONS(316),
    [anon_sym_EQ_EQ] = ACTIONS(316),
    [anon_sym_LT_EQ] = ACTIONS(316),
    [anon_sym_PIPE_PIPE] = ACTIONS(316),
    [anon_sym_LBRACK] = ACTIONS(316),
    [anon_sym_AMP] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(316),
    [anon_sym_type] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(316),
    [anon_sym_LF] = ACTIONS(318),
    [anon_sym_LT_LT] = ACTIONS(316),
    [anon_sym_PIPE] = ACTIONS(316),
    [anon_sym_BANG_EQ] = ACTIONS(316),
    [anon_sym_GT_EQ] = ACTIONS(316),
    [anon_sym_PLUS] = ACTIONS(316),
    [ts_builtin_sym_end] = ACTIONS(318),
    [anon_sym_SLASH] = ACTIONS(316),
    [anon_sym_AMP_AMP] = ACTIONS(316),
    [anon_sym_STAR] = ACTIONS(316),
    [anon_sym_func] = ACTIONS(316),
    [anon_sym_SEMI] = ACTIONS(316),
    [anon_sym_LPAREN] = ACTIONS(316),
    [anon_sym_GT_GT] = ACTIONS(316),
    [sym_comment] = ACTIONS(61),
    [anon_sym_LT] = ACTIONS(316),
  },
  [61] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(120),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [sym_escape_sequence] = ACTIONS(322),
    [sym_comment] = ACTIONS(61),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(322),
  },
  [62] = {
    [anon_sym_type] = ACTIONS(324),
    [anon_sym_import] = ACTIONS(324),
    [anon_sym_LF] = ACTIONS(326),
    [ts_builtin_sym_end] = ACTIONS(326),
    [anon_sym_func] = ACTIONS(324),
    [anon_sym_SEMI] = ACTIONS(324),
    [anon_sym_var] = ACTIONS(324),
    [anon_sym_const] = ACTIONS(324),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(324),
  },
  [63] = {
    [sym_identifier] = ACTIONS(328),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_qualified_type] = STATE(927),
    [sym_map_type] = STATE(927),
    [sym_channel_type] = STATE(1278),
    [sym_expression_list] = STATE(122),
    [sym_type_conversion_expression] = STATE(123),
    [sym_composite_literal] = STATE(123),
    [sym_unary_expression] = STATE(123),
    [sym_slice_type] = STATE(927),
    [sym_binary_expression] = STATE(123),
    [sym__string_literal] = STATE(123),
    [sym_implicit_length_array_type] = STATE(928),
    [sym_call_expression] = STATE(123),
    [sym_interpreted_string_literal] = STATE(123),
    [sym_slice_expression] = STATE(123),
    [sym_type_assertion_expression] = STATE(123),
    [sym_pointer_type] = STATE(1278),
    [sym_array_type] = STATE(927),
    [sym_func_literal] = STATE(123),
    [sym_interface_type] = STATE(1278),
    [sym_function_type] = STATE(1278),
    [sym__expression] = STATE(123),
    [sym_parenthesized_expression] = STATE(123),
    [sym_selector_expression] = STATE(123),
    [sym_index_expression] = STATE(123),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_struct_type] = STATE(927),
    [sym_rune_literal] = ACTIONS(330),
    [sym_false] = ACTIONS(332),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_make] = ACTIONS(334),
    [sym_float_literal] = ACTIONS(332),
    [anon_sym_new] = ACTIONS(334),
    [anon_sym_DASH] = ACTIONS(336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(336),
    [sym_int_literal] = ACTIONS(332),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(332),
    [sym_raw_string_literal] = ACTIONS(330),
    [anon_sym_PLUS] = ACTIONS(336),
    [sym_imaginary_literal] = ACTIONS(330),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(332),
    [anon_sym_STAR] = ACTIONS(338),
    [sym_identifier] = ACTIONS(340),
    [anon_sym_func] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(336),
    [anon_sym_LT_DASH] = ACTIONS(346),
    [anon_sym_AMP] = ACTIONS(336),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [65] = {
    [sym_struct_type] = STATE(126),
    [sym_map_type] = STATE(126),
    [sym_channel_type] = STATE(126),
    [sym_pointer_type] = STATE(126),
    [sym_array_type] = STATE(126),
    [sym_interface_type] = STATE(126),
    [sym_function_type] = STATE(126),
    [aux_sym_const_spec_repeat1] = STATE(125),
    [sym_slice_type] = STATE(126),
    [sym_parenthesized_type] = STATE(126),
    [sym__simple_type] = STATE(126),
    [sym_qualified_type] = STATE(126),
    [anon_sym_COMMA] = ACTIONS(151),
    [anon_sym_type] = ACTIONS(348),
    [anon_sym_import] = ACTIONS(348),
    [anon_sym_LF] = ACTIONS(350),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_var] = ACTIONS(348),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_package] = ACTIONS(348),
    [ts_builtin_sym_end] = ACTIONS(350),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_EQ] = ACTIONS(352),
    [anon_sym_STAR] = ACTIONS(161),
    [anon_sym_func] = ACTIONS(348),
    [anon_sym_SEMI] = ACTIONS(348),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_comment] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [66] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(354),
  },
  [67] = {
    [anon_sym_type] = ACTIONS(356),
    [anon_sym_import] = ACTIONS(356),
    [anon_sym_LF] = ACTIONS(358),
    [ts_builtin_sym_end] = ACTIONS(358),
    [anon_sym_func] = ACTIONS(356),
    [anon_sym_SEMI] = ACTIONS(356),
    [anon_sym_var] = ACTIONS(356),
    [anon_sym_const] = ACTIONS(356),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(356),
  },
  [68] = {
    [sym_const_spec] = STATE(69),
    [aux_sym_const_declaration_repeat1] = STATE(128),
    [sym_identifier] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(360),
  },
  [69] = {
    [anon_sym_LF] = ACTIONS(362),
    [anon_sym_SEMI] = ACTIONS(364),
    [sym_comment] = ACTIONS(61),
  },
  [70] = {
    [sym_qualified_type] = STATE(927),
    [sym_map_type] = STATE(927),
    [sym_channel_type] = STATE(1278),
    [sym_expression_list] = STATE(130),
    [sym_type_conversion_expression] = STATE(123),
    [sym_composite_literal] = STATE(123),
    [sym_unary_expression] = STATE(123),
    [sym_slice_type] = STATE(927),
    [sym_binary_expression] = STATE(123),
    [sym__string_literal] = STATE(123),
    [sym_implicit_length_array_type] = STATE(928),
    [sym_call_expression] = STATE(123),
    [sym_interpreted_string_literal] = STATE(123),
    [sym_slice_expression] = STATE(123),
    [sym_type_assertion_expression] = STATE(123),
    [sym_pointer_type] = STATE(1278),
    [sym_array_type] = STATE(927),
    [sym_func_literal] = STATE(123),
    [sym_interface_type] = STATE(1278),
    [sym_function_type] = STATE(1278),
    [sym__expression] = STATE(123),
    [sym_parenthesized_expression] = STATE(123),
    [sym_selector_expression] = STATE(123),
    [sym_index_expression] = STATE(123),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_struct_type] = STATE(927),
    [sym_rune_literal] = ACTIONS(330),
    [sym_false] = ACTIONS(332),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_make] = ACTIONS(334),
    [sym_float_literal] = ACTIONS(332),
    [anon_sym_new] = ACTIONS(334),
    [anon_sym_DASH] = ACTIONS(336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(336),
    [sym_int_literal] = ACTIONS(332),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(332),
    [sym_raw_string_literal] = ACTIONS(330),
    [anon_sym_PLUS] = ACTIONS(336),
    [sym_imaginary_literal] = ACTIONS(330),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(332),
    [anon_sym_STAR] = ACTIONS(338),
    [sym_identifier] = ACTIONS(340),
    [anon_sym_func] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(336),
    [anon_sym_LT_DASH] = ACTIONS(346),
    [anon_sym_AMP] = ACTIONS(336),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [71] = {
    [sym_struct_type] = STATE(132),
    [sym_map_type] = STATE(132),
    [sym_channel_type] = STATE(132),
    [sym_pointer_type] = STATE(132),
    [sym_array_type] = STATE(132),
    [sym_interface_type] = STATE(132),
    [sym_function_type] = STATE(132),
    [aux_sym_const_spec_repeat1] = STATE(507),
    [sym_slice_type] = STATE(132),
    [sym_parenthesized_type] = STATE(132),
    [sym__simple_type] = STATE(132),
    [sym_qualified_type] = STATE(132),
    [anon_sym_COMMA] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_interface] = ACTIONS(95),
    [anon_sym_EQ] = ACTIONS(366),
    [anon_sym_STAR] = ACTIONS(99),
    [sym_identifier] = ACTIONS(101),
    [anon_sym_func] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_map] = ACTIONS(107),
    [anon_sym_LT_DASH] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(111),
    [anon_sym_chan] = ACTIONS(113),
  },
  [72] = {
    [anon_sym_type] = ACTIONS(368),
    [anon_sym_import] = ACTIONS(368),
    [anon_sym_LF] = ACTIONS(370),
    [ts_builtin_sym_end] = ACTIONS(370),
    [anon_sym_EQ] = ACTIONS(372),
    [anon_sym_func] = ACTIONS(368),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_var] = ACTIONS(368),
    [anon_sym_const] = ACTIONS(368),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(368),
  },
  [73] = {
    [anon_sym_type] = ACTIONS(374),
    [anon_sym_import] = ACTIONS(374),
    [anon_sym_LF] = ACTIONS(376),
    [ts_builtin_sym_end] = ACTIONS(376),
    [anon_sym_func] = ACTIONS(374),
    [anon_sym_SEMI] = ACTIONS(374),
    [anon_sym_var] = ACTIONS(374),
    [anon_sym_const] = ACTIONS(374),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(374),
  },
  [74] = {
    [anon_sym_LF] = ACTIONS(378),
    [anon_sym_SEMI] = ACTIONS(380),
    [sym_comment] = ACTIONS(61),
  },
  [75] = {
    [sym_var_spec] = STATE(74),
    [aux_sym_var_declaration_repeat1] = STATE(135),
    [sym_identifier] = ACTIONS(181),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(382),
  },
  [76] = {
    [sym_var_declaration] = STATE(151),
    [sym_type_conversion_expression] = STATE(153),
    [sym_unary_expression] = STATE(153),
    [sym_slice_type] = STATE(1017),
    [sym__string_literal] = STATE(153),
    [sym__statement] = STATE(151),
    [sym_dec_statement] = STATE(151),
    [sym_break_statement] = STATE(151),
    [sym_if_statement] = STATE(151),
    [sym_expression_switch_statement] = STATE(151),
    [sym_parenthesized_expression] = STATE(153),
    [sym_index_expression] = STATE(153),
    [sym_parenthesized_type] = STATE(1280),
    [sym_struct_type] = STATE(1017),
    [sym_map_type] = STATE(1017),
    [sym_empty_statement] = STATE(151),
    [sym_assignment_statement] = STATE(151),
    [sym_continue_statement] = STATE(151),
    [sym_const_declaration] = STATE(151),
    [sym_call_expression] = STATE(153),
    [sym_slice_expression] = STATE(153),
    [sym_array_type] = STATE(1017),
    [sym_interface_type] = STATE(1280),
    [sym_block] = STATE(151),
    [sym_empty_labeled_statement] = STATE(152),
    [sym_go_statement] = STATE(151),
    [sym_type_switch_statement] = STATE(151),
    [sym_expression_list] = STATE(150),
    [sym_composite_literal] = STATE(153),
    [sym_implicit_length_array_type] = STATE(1018),
    [sym_binary_expression] = STATE(153),
    [sym_interpreted_string_literal] = STATE(153),
    [sym__statement_list] = STATE(152),
    [sym_inc_statement] = STATE(151),
    [sym_fallthrough_statement] = STATE(151),
    [sym_defer_statement] = STATE(151),
    [sym__expression] = STATE(153),
    [sym_selector_expression] = STATE(153),
    [sym_type_declaration] = STATE(151),
    [sym__simple_type] = STATE(1280),
    [sym_qualified_type] = STATE(1017),
    [sym_channel_type] = STATE(1280),
    [sym__simple_statement] = STATE(151),
    [sym_short_var_declaration] = STATE(151),
    [sym_goto_statement] = STATE(151),
    [sym__declaration] = STATE(151),
    [sym_select_statement] = STATE(151),
    [sym_type_assertion_expression] = STATE(153),
    [sym_pointer_type] = STATE(1280),
    [sym_func_literal] = STATE(153),
    [sym_function_type] = STATE(1280),
    [sym_send_statement] = STATE(151),
    [sym_labeled_statement] = STATE(151),
    [sym_return_statement] = STATE(151),
    [sym_for_statement] = STATE(151),
    [sym_rune_literal] = ACTIONS(384),
    [anon_sym_defer] = ACTIONS(386),
    [anon_sym_DASH] = ACTIONS(388),
    [anon_sym_CARET] = ACTIONS(388),
    [anon_sym_select] = ACTIONS(390),
    [anon_sym_const] = ACTIONS(392),
    [sym_raw_string_literal] = ACTIONS(384),
    [sym_imaginary_literal] = ACTIONS(384),
    [anon_sym_LBRACK] = ACTIONS(239),
    [sym_nil] = ACTIONS(394),
    [anon_sym_if] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(388),
    [anon_sym_AMP] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_true] = ACTIONS(394),
    [anon_sym_fallthrough] = ACTIONS(400),
    [anon_sym_func] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(404),
    [anon_sym_LT_DASH] = ACTIONS(406),
    [anon_sym_struct] = ACTIONS(87),
    [sym_false] = ACTIONS(394),
    [anon_sym_RBRACE] = ACTIONS(408),
    [anon_sym_break] = ACTIONS(410),
    [anon_sym_for] = ACTIONS(412),
    [anon_sym_var] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(418),
    [anon_sym_return] = ACTIONS(420),
    [anon_sym_make] = ACTIONS(398),
    [anon_sym_type] = ACTIONS(422),
    [sym_int_literal] = ACTIONS(394),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_goto] = ACTIONS(424),
    [anon_sym_go] = ACTIONS(426),
    [anon_sym_PLUS] = ACTIONS(388),
    [anon_sym_switch] = ACTIONS(428),
    [anon_sym_STAR] = ACTIONS(430),
    [sym_identifier] = ACTIONS(432),
    [anon_sym_SEMI] = ACTIONS(434),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(394),
    [anon_sym_chan] = ACTIONS(235),
  },
  [77] = {
    [sym_block] = STATE(154),
    [anon_sym_type] = ACTIONS(436),
    [anon_sym_import] = ACTIONS(436),
    [anon_sym_LF] = ACTIONS(438),
    [ts_builtin_sym_end] = ACTIONS(438),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_func] = ACTIONS(436),
    [anon_sym_SEMI] = ACTIONS(436),
    [anon_sym_var] = ACTIONS(436),
    [anon_sym_const] = ACTIONS(436),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(436),
  },
  [78] = {
    [anon_sym_type] = ACTIONS(436),
    [anon_sym_import] = ACTIONS(436),
    [anon_sym_LF] = ACTIONS(438),
    [ts_builtin_sym_end] = ACTIONS(438),
    [anon_sym_func] = ACTIONS(436),
    [anon_sym_SEMI] = ACTIONS(436),
    [anon_sym_var] = ACTIONS(436),
    [anon_sym_const] = ACTIONS(436),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(436),
  },
  [79] = {
    [anon_sym_COMMA] = ACTIONS(440),
    [anon_sym_RBRACK] = ACTIONS(440),
    [anon_sym_map] = ACTIONS(442),
    [anon_sym_RPAREN] = ACTIONS(440),
    [anon_sym_COLON] = ACTIONS(440),
    [anon_sym_LBRACE] = ACTIONS(440),
    [anon_sym_LBRACK] = ACTIONS(440),
    [anon_sym_interface] = ACTIONS(442),
    [anon_sym_EQ] = ACTIONS(440),
    [anon_sym_STAR] = ACTIONS(440),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_func] = ACTIONS(442),
    [anon_sym_LPAREN] = ACTIONS(440),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(440),
    [anon_sym_struct] = ACTIONS(442),
    [anon_sym_chan] = ACTIONS(442),
  },
  [80] = {
    [sym_type_conversion_expression] = STATE(155),
    [sym_composite_literal] = STATE(155),
    [sym_unary_expression] = STATE(155),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(155),
    [sym__string_literal] = STATE(155),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(155),
    [sym__expression] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_selector_expression] = STATE(155),
    [sym_index_expression] = STATE(155),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(155),
    [sym_slice_expression] = STATE(155),
    [sym_type_assertion_expression] = STATE(155),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(155),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(444),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(444),
    [sym_imaginary_literal] = ACTIONS(444),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(446),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(446),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(446),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(446),
    [sym_false] = ACTIONS(446),
  },
  [81] = {
    [sym_qualified_type] = STATE(156),
    [sym_map_type] = STATE(156),
    [sym_channel_type] = STATE(156),
    [sym_slice_type] = STATE(156),
    [sym_pointer_type] = STATE(156),
    [sym_array_type] = STATE(156),
    [sym_interface_type] = STATE(156),
    [sym_function_type] = STATE(156),
    [sym_parenthesized_type] = STATE(156),
    [sym__simple_type] = STATE(156),
    [sym_struct_type] = STATE(156),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [82] = {
    [sym_type_conversion_expression] = STATE(1223),
    [sym_composite_literal] = STATE(1223),
    [sym_unary_expression] = STATE(1223),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1223),
    [sym__string_literal] = STATE(1223),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1223),
    [sym__expression] = STATE(1223),
    [sym_parenthesized_expression] = STATE(1223),
    [sym_selector_expression] = STATE(1223),
    [sym_index_expression] = STATE(1223),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1223),
    [sym_slice_expression] = STATE(1223),
    [sym_type_assertion_expression] = STATE(1223),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1223),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(448),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(450),
    [sym_imaginary_literal] = ACTIONS(448),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(452),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(452),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(452),
    [anon_sym_RBRACK] = ACTIONS(454),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(452),
    [sym_false] = ACTIONS(452),
  },
  [83] = {
    [sym_type_conversion_expression] = STATE(155),
    [sym_composite_literal] = STATE(155),
    [sym_unary_expression] = STATE(155),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(155),
    [sym__string_literal] = STATE(155),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(155),
    [sym__expression] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_selector_expression] = STATE(155),
    [sym_index_expression] = STATE(155),
    [sym_parenthesized_type] = STATE(158),
    [sym__simple_type] = STATE(158),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(158),
    [sym_call_expression] = STATE(155),
    [sym_slice_expression] = STATE(155),
    [sym_type_assertion_expression] = STATE(155),
    [sym_pointer_type] = STATE(158),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(155),
    [sym_interface_type] = STATE(158),
    [sym_function_type] = STATE(158),
    [sym_rune_literal] = ACTIONS(444),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(444),
    [sym_imaginary_literal] = ACTIONS(444),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(446),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(446),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(446),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(446),
    [sym_false] = ACTIONS(446),
  },
  [84] = {
    [sym_literal_value] = STATE(160),
    [anon_sym_RBRACE] = ACTIONS(456),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_PERCENT] = ACTIONS(456),
    [anon_sym_CARET] = ACTIONS(456),
    [anon_sym_PIPE_PIPE] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_AMP_CARET] = ACTIONS(456),
    [anon_sym_LT_EQ] = ACTIONS(456),
    [anon_sym_DOT] = ACTIONS(460),
    [anon_sym_EQ_EQ] = ACTIONS(456),
    [anon_sym_RPAREN] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_LBRACK] = ACTIONS(456),
    [anon_sym_COLON_EQ] = ACTIONS(456),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_GT_EQ] = ACTIONS(456),
    [anon_sym_COMMA] = ACTIONS(456),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_LT_LT] = ACTIONS(456),
    [anon_sym_BANG_EQ] = ACTIONS(456),
    [anon_sym_RBRACK] = ACTIONS(456),
    [anon_sym_COLON] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(456),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_AMP_AMP] = ACTIONS(456),
    [anon_sym_STAR] = ACTIONS(456),
    [anon_sym_EQ] = ACTIONS(458),
    [anon_sym_GT_GT] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LT] = ACTIONS(458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(456),
  },
  [85] = {
    [sym_parameter_list] = STATE(161),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(21),
  },
  [86] = {
    [sym_type_conversion_expression] = STATE(162),
    [sym_composite_literal] = STATE(162),
    [sym_unary_expression] = STATE(162),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(162),
    [sym__string_literal] = STATE(162),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(162),
    [sym__expression] = STATE(162),
    [sym_parenthesized_expression] = STATE(162),
    [sym_selector_expression] = STATE(162),
    [sym_index_expression] = STATE(162),
    [sym_parenthesized_type] = STATE(163),
    [sym__simple_type] = STATE(163),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(163),
    [sym_call_expression] = STATE(162),
    [sym_slice_expression] = STATE(162),
    [sym_type_assertion_expression] = STATE(162),
    [sym_pointer_type] = STATE(163),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(162),
    [sym_interface_type] = STATE(163),
    [sym_function_type] = STATE(163),
    [sym_rune_literal] = ACTIONS(468),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(468),
    [sym_imaginary_literal] = ACTIONS(468),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(472),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(472),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(472),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(474),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(472),
    [sym_false] = ACTIONS(472),
  },
  [87] = {
    [sym_type_conversion_expression] = STATE(155),
    [sym_composite_literal] = STATE(155),
    [sym_unary_expression] = STATE(155),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(155),
    [sym__string_literal] = STATE(155),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(155),
    [sym__expression] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_selector_expression] = STATE(155),
    [sym_index_expression] = STATE(155),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(155),
    [sym_slice_expression] = STATE(155),
    [sym_type_assertion_expression] = STATE(155),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(155),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(444),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(444),
    [sym_imaginary_literal] = ACTIONS(444),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(446),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(446),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(446),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(446),
    [sym_false] = ACTIONS(446),
  },
  [88] = {
    [sym_special_argument_list] = STATE(166),
    [anon_sym_RBRACE] = ACTIONS(456),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_PERCENT] = ACTIONS(456),
    [anon_sym_CARET] = ACTIONS(456),
    [anon_sym_PIPE_PIPE] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(456),
    [anon_sym_AMP_CARET] = ACTIONS(456),
    [anon_sym_LT_EQ] = ACTIONS(456),
    [anon_sym_DOT] = ACTIONS(458),
    [anon_sym_EQ_EQ] = ACTIONS(456),
    [anon_sym_RPAREN] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_LBRACK] = ACTIONS(456),
    [anon_sym_COLON_EQ] = ACTIONS(456),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_GT_EQ] = ACTIONS(456),
    [anon_sym_COMMA] = ACTIONS(456),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_LT_LT] = ACTIONS(456),
    [anon_sym_BANG_EQ] = ACTIONS(456),
    [anon_sym_RBRACK] = ACTIONS(456),
    [anon_sym_COLON] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(456),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_AMP_AMP] = ACTIONS(456),
    [anon_sym_STAR] = ACTIONS(456),
    [anon_sym_EQ] = ACTIONS(458),
    [anon_sym_GT_GT] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(480),
    [anon_sym_LT] = ACTIONS(458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(456),
  },
  [89] = {
    [sym_literal_value] = STATE(167),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(466),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(482),
  },
  [90] = {
    [sym_literal_value] = STATE(167),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(466),
  },
  [91] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(502),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(508),
  },
  [93] = {
    [sym_method_spec] = STATE(180),
    [sym_qualified_type] = STATE(180),
    [sym_identifier] = ACTIONS(510),
    [anon_sym_RBRACE] = ACTIONS(512),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [anon_sym_COLON] = ACTIONS(514),
    [anon_sym_COMMA] = ACTIONS(514),
    [anon_sym_LBRACE] = ACTIONS(514),
    [anon_sym_EQ] = ACTIONS(514),
    [anon_sym_RBRACK] = ACTIONS(514),
    [anon_sym_LPAREN] = ACTIONS(514),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(514),
  },
  [95] = {
    [anon_sym_COLON] = ACTIONS(516),
    [anon_sym_COMMA] = ACTIONS(516),
    [anon_sym_LBRACE] = ACTIONS(516),
    [anon_sym_EQ] = ACTIONS(516),
    [anon_sym_RBRACK] = ACTIONS(516),
    [anon_sym_LPAREN] = ACTIONS(516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(516),
  },
  [96] = {
    [sym_identifier] = ACTIONS(518),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_struct_type] = STATE(182),
    [sym_map_type] = STATE(182),
    [sym_channel_type] = STATE(182),
    [sym_pointer_type] = STATE(182),
    [sym_array_type] = STATE(182),
    [sym_interface_type] = STATE(182),
    [sym_function_type] = STATE(182),
    [sym_slice_type] = STATE(182),
    [sym_parenthesized_type] = STATE(182),
    [sym__simple_type] = STATE(182),
    [sym_qualified_type] = STATE(182),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [98] = {
    [sym_struct_type] = STATE(183),
    [sym_map_type] = STATE(183),
    [sym_channel_type] = STATE(183),
    [sym_pointer_type] = STATE(183),
    [sym_array_type] = STATE(183),
    [sym_interface_type] = STATE(183),
    [sym_function_type] = STATE(183),
    [aux_sym_const_spec_repeat1] = STATE(507),
    [sym_slice_type] = STATE(183),
    [sym_parenthesized_type] = STATE(183),
    [sym__simple_type] = STATE(183),
    [sym_qualified_type] = STATE(183),
    [anon_sym_COMMA] = ACTIONS(177),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [99] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(520),
    [anon_sym_RPAREN] = ACTIONS(520),
  },
  [100] = {
    [sym_qualified_type] = STATE(184),
    [sym_map_type] = STATE(184),
    [sym_channel_type] = STATE(184),
    [sym_slice_type] = STATE(184),
    [sym_parameter_list] = STATE(184),
    [sym_pointer_type] = STATE(184),
    [sym_array_type] = STATE(184),
    [sym_interface_type] = STATE(184),
    [sym_function_type] = STATE(184),
    [sym__simple_type] = STATE(184),
    [sym_struct_type] = STATE(184),
    [anon_sym_COMMA] = ACTIONS(522),
    [anon_sym_RBRACK] = ACTIONS(522),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_RPAREN] = ACTIONS(522),
    [anon_sym_COLON] = ACTIONS(522),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_EQ] = ACTIONS(522),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [101] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(524),
  },
  [102] = {
    [sym_qualified_type] = STATE(186),
    [sym_map_type] = STATE(186),
    [sym_channel_type] = STATE(186),
    [sym_slice_type] = STATE(186),
    [sym_pointer_type] = STATE(186),
    [sym_array_type] = STATE(186),
    [sym_interface_type] = STATE(186),
    [sym_function_type] = STATE(186),
    [sym_parenthesized_type] = STATE(186),
    [sym__simple_type] = STATE(186),
    [sym_struct_type] = STATE(186),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [103] = {
    [sym_qualified_type] = STATE(187),
    [sym_map_type] = STATE(187),
    [sym_channel_type] = STATE(187),
    [sym_slice_type] = STATE(187),
    [sym_pointer_type] = STATE(187),
    [sym_array_type] = STATE(187),
    [sym_interface_type] = STATE(187),
    [sym_function_type] = STATE(187),
    [sym_parenthesized_type] = STATE(187),
    [sym__simple_type] = STATE(187),
    [sym_struct_type] = STATE(187),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [104] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(526),
    [anon_sym_RPAREN] = ACTIONS(526),
  },
  [105] = {
    [sym_field_declaration] = STATE(191),
    [sym_qualified_type] = STATE(192),
    [sym_identifier] = ACTIONS(528),
    [anon_sym_RBRACE] = ACTIONS(530),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(532),
  },
  [106] = {
    [anon_sym_COLON] = ACTIONS(534),
    [anon_sym_COMMA] = ACTIONS(534),
    [anon_sym_LBRACE] = ACTIONS(534),
    [anon_sym_EQ] = ACTIONS(534),
    [anon_sym_RBRACK] = ACTIONS(534),
    [anon_sym_LPAREN] = ACTIONS(534),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(534),
  },
  [107] = {
    [sym_qualified_type] = STATE(193),
    [sym_map_type] = STATE(193),
    [sym_channel_type] = STATE(193),
    [sym_slice_type] = STATE(193),
    [sym_pointer_type] = STATE(193),
    [sym_array_type] = STATE(193),
    [sym_interface_type] = STATE(193),
    [sym_function_type] = STATE(193),
    [sym_parenthesized_type] = STATE(193),
    [sym__simple_type] = STATE(193),
    [sym_struct_type] = STATE(193),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(536),
  },
  [108] = {
    [anon_sym_COLON] = ACTIONS(538),
    [anon_sym_COMMA] = ACTIONS(538),
    [anon_sym_LBRACE] = ACTIONS(538),
    [anon_sym_EQ] = ACTIONS(538),
    [anon_sym_RBRACK] = ACTIONS(538),
    [anon_sym_LPAREN] = ACTIONS(538),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(538),
  },
  [109] = {
    [sym_qualified_type] = STATE(48),
    [sym_map_type] = STATE(48),
    [sym_channel_type] = STATE(48),
    [sym_parameter_declaration] = STATE(195),
    [sym_variadic_parameter_declaration] = STATE(195),
    [sym_slice_type] = STATE(48),
    [sym_pointer_type] = STATE(48),
    [sym_array_type] = STATE(48),
    [sym_interface_type] = STATE(48),
    [sym_function_type] = STATE(48),
    [sym_parenthesized_type] = STATE(48),
    [sym__simple_type] = STATE(48),
    [sym_struct_type] = STATE(48),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_RPAREN] = ACTIONS(540),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [110] = {
    [aux_sym_parameter_list_repeat1] = STATE(197),
    [anon_sym_COMMA] = ACTIONS(542),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(540),
  },
  [111] = {
    [sym_parameter_list] = STATE(198),
    [sym_map_type] = STATE(198),
    [sym_channel_type] = STATE(198),
    [sym_pointer_type] = STATE(198),
    [sym_array_type] = STATE(198),
    [sym_struct_type] = STATE(198),
    [sym_interface_type] = STATE(198),
    [sym_function_type] = STATE(198),
    [sym_block] = STATE(199),
    [sym_slice_type] = STATE(198),
    [sym__simple_type] = STATE(198),
    [sym_qualified_type] = STATE(198),
    [anon_sym_type] = ACTIONS(544),
    [anon_sym_import] = ACTIONS(544),
    [anon_sym_LF] = ACTIONS(546),
    [anon_sym_map] = ACTIONS(107),
    [anon_sym_var] = ACTIONS(544),
    [anon_sym_const] = ACTIONS(544),
    [anon_sym_package] = ACTIONS(544),
    [ts_builtin_sym_end] = ACTIONS(546),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_LBRACK] = ACTIONS(219),
    [anon_sym_interface] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_func] = ACTIONS(103),
    [anon_sym_SEMI] = ACTIONS(544),
    [sym_identifier] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(225),
    [sym_comment] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(111),
    [anon_sym_chan] = ACTIONS(113),
  },
  [112] = {
    [anon_sym_type] = ACTIONS(548),
    [anon_sym_import] = ACTIONS(548),
    [anon_sym_LF] = ACTIONS(550),
    [ts_builtin_sym_end] = ACTIONS(550),
    [anon_sym_func] = ACTIONS(548),
    [anon_sym_SEMI] = ACTIONS(548),
    [anon_sym_var] = ACTIONS(548),
    [anon_sym_const] = ACTIONS(548),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(548),
  },
  [113] = {
    [anon_sym_type] = ACTIONS(552),
    [anon_sym_import] = ACTIONS(552),
    [anon_sym_LF] = ACTIONS(554),
    [ts_builtin_sym_end] = ACTIONS(554),
    [anon_sym_func] = ACTIONS(552),
    [anon_sym_SEMI] = ACTIONS(552),
    [anon_sym_var] = ACTIONS(552),
    [anon_sym_const] = ACTIONS(552),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(552),
  },
  [114] = {
    [sym_type_alias] = STATE(55),
    [sym_type_spec] = STATE(55),
    [aux_sym_type_declaration_repeat1] = STATE(114),
    [sym_identifier] = ACTIONS(556),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(559),
  },
  [115] = {
    [sym_identifier] = ACTIONS(559),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(559),
  },
  [116] = {
    [anon_sym_DOT] = ACTIONS(561),
    [sym_identifier] = ACTIONS(563),
    [anon_sym_DQUOTE] = ACTIONS(561),
    [sym_comment] = ACTIONS(3),
    [sym_blank_identifier] = ACTIONS(563),
    [sym_raw_string_literal] = ACTIONS(561),
    [anon_sym_RPAREN] = ACTIONS(561),
  },
  [117] = {
    [anon_sym_type] = ACTIONS(565),
    [anon_sym_import] = ACTIONS(565),
    [anon_sym_LF] = ACTIONS(567),
    [ts_builtin_sym_end] = ACTIONS(567),
    [anon_sym_func] = ACTIONS(565),
    [anon_sym_SEMI] = ACTIONS(565),
    [anon_sym_var] = ACTIONS(565),
    [anon_sym_const] = ACTIONS(565),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(565),
  },
  [118] = {
    [sym_import_spec] = STATE(58),
    [sym__string_literal] = STATE(468),
    [sym_interpreted_string_literal] = STATE(468),
    [aux_sym_import_spec_list_repeat1] = STATE(118),
    [sym_dot] = STATE(903),
    [anon_sym_DOT] = ACTIONS(569),
    [sym_identifier] = ACTIONS(572),
    [anon_sym_DQUOTE] = ACTIONS(575),
    [sym_comment] = ACTIONS(3),
    [sym_blank_identifier] = ACTIONS(578),
    [sym_raw_string_literal] = ACTIONS(581),
    [anon_sym_RPAREN] = ACTIONS(561),
  },
  [119] = {
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(584),
    [anon_sym_CARET] = ACTIONS(584),
    [anon_sym_var] = ACTIONS(584),
    [anon_sym_const] = ACTIONS(584),
    [anon_sym_GT] = ACTIONS(584),
    [anon_sym_package] = ACTIONS(584),
    [anon_sym_AMP_CARET] = ACTIONS(584),
    [anon_sym_DOT] = ACTIONS(584),
    [anon_sym_EQ_EQ] = ACTIONS(584),
    [anon_sym_LT_EQ] = ACTIONS(584),
    [anon_sym_PIPE_PIPE] = ACTIONS(584),
    [anon_sym_LBRACK] = ACTIONS(584),
    [anon_sym_AMP] = ACTIONS(584),
    [anon_sym_COMMA] = ACTIONS(584),
    [anon_sym_type] = ACTIONS(584),
    [anon_sym_import] = ACTIONS(584),
    [anon_sym_LF] = ACTIONS(586),
    [anon_sym_LT_LT] = ACTIONS(584),
    [anon_sym_PIPE] = ACTIONS(584),
    [anon_sym_BANG_EQ] = ACTIONS(584),
    [anon_sym_GT_EQ] = ACTIONS(584),
    [anon_sym_PLUS] = ACTIONS(584),
    [ts_builtin_sym_end] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_AMP_AMP] = ACTIONS(584),
    [anon_sym_STAR] = ACTIONS(584),
    [anon_sym_func] = ACTIONS(584),
    [anon_sym_SEMI] = ACTIONS(584),
    [anon_sym_LPAREN] = ACTIONS(584),
    [anon_sym_GT_GT] = ACTIONS(584),
    [sym_comment] = ACTIONS(61),
    [anon_sym_LT] = ACTIONS(584),
  },
  [120] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(120),
    [anon_sym_DQUOTE] = ACTIONS(588),
    [sym_escape_sequence] = ACTIONS(590),
    [sym_comment] = ACTIONS(61),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(590),
  },
  [121] = {
    [anon_sym_COMMA] = ACTIONS(593),
    [anon_sym_type] = ACTIONS(593),
    [anon_sym_import] = ACTIONS(593),
    [anon_sym_LF] = ACTIONS(595),
    [anon_sym_map] = ACTIONS(593),
    [anon_sym_var] = ACTIONS(593),
    [anon_sym_const] = ACTIONS(593),
    [anon_sym_package] = ACTIONS(593),
    [ts_builtin_sym_end] = ACTIONS(595),
    [anon_sym_LBRACK] = ACTIONS(593),
    [anon_sym_interface] = ACTIONS(593),
    [anon_sym_EQ] = ACTIONS(593),
    [anon_sym_STAR] = ACTIONS(593),
    [anon_sym_func] = ACTIONS(593),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_LPAREN] = ACTIONS(593),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_LT_DASH] = ACTIONS(593),
    [sym_comment] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(593),
    [anon_sym_chan] = ACTIONS(593),
  },
  [122] = {
    [anon_sym_type] = ACTIONS(597),
    [anon_sym_import] = ACTIONS(597),
    [anon_sym_LF] = ACTIONS(599),
    [ts_builtin_sym_end] = ACTIONS(599),
    [anon_sym_func] = ACTIONS(597),
    [anon_sym_SEMI] = ACTIONS(597),
    [anon_sym_var] = ACTIONS(597),
    [anon_sym_const] = ACTIONS(597),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(597),
  },
  [123] = {
    [aux_sym_expression_list_repeat1] = STATE(201),
    [sym_argument_list] = STATE(519),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(601),
    [anon_sym_var] = ACTIONS(605),
    [anon_sym_const] = ACTIONS(605),
    [anon_sym_PIPE_PIPE] = ACTIONS(607),
    [anon_sym_package] = ACTIONS(605),
    [anon_sym_GT] = ACTIONS(609),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_LT_EQ] = ACTIONS(609),
    [anon_sym_DOT] = ACTIONS(611),
    [anon_sym_EQ_EQ] = ACTIONS(609),
    [anon_sym_LBRACK] = ACTIONS(613),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_COMMA] = ACTIONS(615),
    [anon_sym_type] = ACTIONS(605),
    [anon_sym_import] = ACTIONS(605),
    [anon_sym_LF] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(609),
    [anon_sym_PIPE] = ACTIONS(601),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_BANG_EQ] = ACTIONS(609),
    [anon_sym_PLUS] = ACTIONS(601),
    [ts_builtin_sym_end] = ACTIONS(617),
    [anon_sym_SLASH] = ACTIONS(603),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_func] = ACTIONS(605),
    [anon_sym_SEMI] = ACTIONS(605),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_LT] = ACTIONS(609),
    [sym_comment] = ACTIONS(61),
  },
  [124] = {
    [sym_qualified_type] = STATE(927),
    [sym_map_type] = STATE(927),
    [sym_channel_type] = STATE(1278),
    [sym_expression_list] = STATE(202),
    [sym_type_conversion_expression] = STATE(123),
    [sym_composite_literal] = STATE(123),
    [sym_unary_expression] = STATE(123),
    [sym_slice_type] = STATE(927),
    [sym_binary_expression] = STATE(123),
    [sym__string_literal] = STATE(123),
    [sym_implicit_length_array_type] = STATE(928),
    [sym_call_expression] = STATE(123),
    [sym_interpreted_string_literal] = STATE(123),
    [sym_slice_expression] = STATE(123),
    [sym_type_assertion_expression] = STATE(123),
    [sym_pointer_type] = STATE(1278),
    [sym_array_type] = STATE(927),
    [sym_func_literal] = STATE(123),
    [sym_interface_type] = STATE(1278),
    [sym_function_type] = STATE(1278),
    [sym__expression] = STATE(123),
    [sym_parenthesized_expression] = STATE(123),
    [sym_selector_expression] = STATE(123),
    [sym_index_expression] = STATE(123),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_struct_type] = STATE(927),
    [sym_rune_literal] = ACTIONS(330),
    [sym_false] = ACTIONS(332),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_make] = ACTIONS(334),
    [sym_float_literal] = ACTIONS(332),
    [anon_sym_new] = ACTIONS(334),
    [anon_sym_DASH] = ACTIONS(336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(336),
    [sym_int_literal] = ACTIONS(332),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(332),
    [sym_raw_string_literal] = ACTIONS(330),
    [anon_sym_PLUS] = ACTIONS(336),
    [sym_imaginary_literal] = ACTIONS(330),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(332),
    [anon_sym_STAR] = ACTIONS(338),
    [sym_identifier] = ACTIONS(340),
    [anon_sym_func] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(336),
    [anon_sym_LT_DASH] = ACTIONS(346),
    [anon_sym_AMP] = ACTIONS(336),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [125] = {
    [aux_sym_const_spec_repeat1] = STATE(125),
    [anon_sym_COMMA] = ACTIONS(623),
    [anon_sym_type] = ACTIONS(593),
    [anon_sym_import] = ACTIONS(593),
    [anon_sym_LF] = ACTIONS(595),
    [anon_sym_map] = ACTIONS(593),
    [anon_sym_var] = ACTIONS(593),
    [anon_sym_const] = ACTIONS(593),
    [anon_sym_package] = ACTIONS(593),
    [ts_builtin_sym_end] = ACTIONS(595),
    [anon_sym_LBRACK] = ACTIONS(593),
    [anon_sym_interface] = ACTIONS(593),
    [anon_sym_EQ] = ACTIONS(593),
    [anon_sym_STAR] = ACTIONS(593),
    [anon_sym_func] = ACTIONS(593),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_LPAREN] = ACTIONS(593),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_LT_DASH] = ACTIONS(593),
    [sym_comment] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(593),
    [anon_sym_chan] = ACTIONS(593),
  },
  [126] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(626),
  },
  [127] = {
    [anon_sym_type] = ACTIONS(628),
    [anon_sym_import] = ACTIONS(628),
    [anon_sym_LF] = ACTIONS(630),
    [ts_builtin_sym_end] = ACTIONS(630),
    [anon_sym_func] = ACTIONS(628),
    [anon_sym_SEMI] = ACTIONS(628),
    [anon_sym_var] = ACTIONS(628),
    [anon_sym_const] = ACTIONS(628),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(628),
  },
  [128] = {
    [sym_const_spec] = STATE(69),
    [aux_sym_const_declaration_repeat1] = STATE(128),
    [sym_identifier] = ACTIONS(632),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(635),
  },
  [129] = {
    [sym_identifier] = ACTIONS(635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(635),
  },
  [130] = {
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_import] = ACTIONS(637),
    [anon_sym_LF] = ACTIONS(639),
    [ts_builtin_sym_end] = ACTIONS(639),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_SEMI] = ACTIONS(637),
    [anon_sym_var] = ACTIONS(637),
    [anon_sym_const] = ACTIONS(637),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(637),
  },
  [131] = {
    [sym_qualified_type] = STATE(927),
    [sym_map_type] = STATE(927),
    [sym_channel_type] = STATE(1278),
    [sym_expression_list] = STATE(204),
    [sym_type_conversion_expression] = STATE(123),
    [sym_composite_literal] = STATE(123),
    [sym_unary_expression] = STATE(123),
    [sym_slice_type] = STATE(927),
    [sym_binary_expression] = STATE(123),
    [sym__string_literal] = STATE(123),
    [sym_implicit_length_array_type] = STATE(928),
    [sym_call_expression] = STATE(123),
    [sym_interpreted_string_literal] = STATE(123),
    [sym_slice_expression] = STATE(123),
    [sym_type_assertion_expression] = STATE(123),
    [sym_pointer_type] = STATE(1278),
    [sym_array_type] = STATE(927),
    [sym_func_literal] = STATE(123),
    [sym_interface_type] = STATE(1278),
    [sym_function_type] = STATE(1278),
    [sym__expression] = STATE(123),
    [sym_parenthesized_expression] = STATE(123),
    [sym_selector_expression] = STATE(123),
    [sym_index_expression] = STATE(123),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_struct_type] = STATE(927),
    [sym_rune_literal] = ACTIONS(330),
    [sym_false] = ACTIONS(332),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_make] = ACTIONS(334),
    [sym_float_literal] = ACTIONS(332),
    [anon_sym_new] = ACTIONS(334),
    [anon_sym_DASH] = ACTIONS(336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(336),
    [sym_int_literal] = ACTIONS(332),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(332),
    [sym_raw_string_literal] = ACTIONS(330),
    [anon_sym_PLUS] = ACTIONS(336),
    [sym_imaginary_literal] = ACTIONS(330),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(332),
    [anon_sym_STAR] = ACTIONS(338),
    [sym_identifier] = ACTIONS(340),
    [anon_sym_func] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(336),
    [anon_sym_LT_DASH] = ACTIONS(346),
    [anon_sym_AMP] = ACTIONS(336),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [132] = {
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_import] = ACTIONS(637),
    [anon_sym_LF] = ACTIONS(639),
    [ts_builtin_sym_end] = ACTIONS(639),
    [anon_sym_EQ] = ACTIONS(641),
    [anon_sym_func] = ACTIONS(637),
    [anon_sym_SEMI] = ACTIONS(637),
    [anon_sym_var] = ACTIONS(637),
    [anon_sym_const] = ACTIONS(637),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(637),
  },
  [133] = {
    [sym_identifier] = ACTIONS(643),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(643),
  },
  [134] = {
    [anon_sym_type] = ACTIONS(645),
    [anon_sym_import] = ACTIONS(645),
    [anon_sym_LF] = ACTIONS(647),
    [ts_builtin_sym_end] = ACTIONS(647),
    [anon_sym_func] = ACTIONS(645),
    [anon_sym_SEMI] = ACTIONS(645),
    [anon_sym_var] = ACTIONS(645),
    [anon_sym_const] = ACTIONS(645),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(645),
  },
  [135] = {
    [sym_var_spec] = STATE(74),
    [aux_sym_var_declaration_repeat1] = STATE(135),
    [sym_identifier] = ACTIONS(649),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(643),
  },
  [136] = {
    [anon_sym_RBRACE] = ACTIONS(652),
    [anon_sym_case] = ACTIONS(652),
    [anon_sym_LF] = ACTIONS(654),
    [anon_sym_default] = ACTIONS(652),
    [sym_identifier] = ACTIONS(656),
    [anon_sym_SEMI] = ACTIONS(652),
    [sym_comment] = ACTIONS(61),
  },
  [137] = {
    [sym_type_conversion_expression] = STATE(207),
    [sym_composite_literal] = STATE(207),
    [sym_unary_expression] = STATE(207),
    [sym_slice_type] = STATE(1080),
    [sym_binary_expression] = STATE(207),
    [sym__string_literal] = STATE(207),
    [sym_implicit_length_array_type] = STATE(1081),
    [sym_interpreted_string_literal] = STATE(207),
    [sym__expression] = STATE(207),
    [sym_parenthesized_expression] = STATE(207),
    [sym_selector_expression] = STATE(207),
    [sym_index_expression] = STATE(207),
    [sym_parenthesized_type] = STATE(1282),
    [sym__simple_type] = STATE(1282),
    [sym_qualified_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1282),
    [sym_call_expression] = STATE(207),
    [sym_slice_expression] = STATE(207),
    [sym_type_assertion_expression] = STATE(207),
    [sym_pointer_type] = STATE(1282),
    [sym_array_type] = STATE(1080),
    [sym_func_literal] = STATE(207),
    [sym_interface_type] = STATE(1282),
    [sym_function_type] = STATE(1282),
    [sym_rune_literal] = ACTIONS(658),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_CARET] = ACTIONS(660),
    [sym_raw_string_literal] = ACTIONS(658),
    [sym_imaginary_literal] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(662),
    [anon_sym_BANG] = ACTIONS(660),
    [anon_sym_make] = ACTIONS(664),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(662),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(662),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_STAR] = ACTIONS(668),
    [sym_identifier] = ACTIONS(670),
    [anon_sym_func] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(674),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(676),
    [sym_float_literal] = ACTIONS(662),
    [sym_false] = ACTIONS(662),
  },
  [138] = {
    [anon_sym_DASH] = ACTIONS(678),
    [anon_sym_PERCENT] = ACTIONS(678),
    [anon_sym_CARET] = ACTIONS(678),
    [anon_sym_var] = ACTIONS(678),
    [anon_sym_const] = ACTIONS(678),
    [anon_sym_GT] = ACTIONS(678),
    [anon_sym_package] = ACTIONS(678),
    [anon_sym_AMP_CARET] = ACTIONS(678),
    [anon_sym_DOT] = ACTIONS(678),
    [anon_sym_EQ_EQ] = ACTIONS(678),
    [anon_sym_LT_EQ] = ACTIONS(678),
    [anon_sym_PIPE_PIPE] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_AMP] = ACTIONS(678),
    [anon_sym_COMMA] = ACTIONS(678),
    [anon_sym_type] = ACTIONS(678),
    [anon_sym_import] = ACTIONS(678),
    [anon_sym_LF] = ACTIONS(680),
    [anon_sym_LT_LT] = ACTIONS(678),
    [anon_sym_PIPE] = ACTIONS(678),
    [anon_sym_BANG_EQ] = ACTIONS(678),
    [anon_sym_GT_EQ] = ACTIONS(678),
    [anon_sym_PLUS] = ACTIONS(678),
    [ts_builtin_sym_end] = ACTIONS(680),
    [anon_sym_SLASH] = ACTIONS(678),
    [anon_sym_AMP_AMP] = ACTIONS(678),
    [anon_sym_STAR] = ACTIONS(678),
    [anon_sym_func] = ACTIONS(678),
    [anon_sym_SEMI] = ACTIONS(678),
    [anon_sym_LPAREN] = ACTIONS(678),
    [anon_sym_GT_GT] = ACTIONS(678),
    [sym_comment] = ACTIONS(61),
    [anon_sym_LT] = ACTIONS(678),
  },
  [139] = {
    [sym_for_clause] = STATE(210),
    [sym_expression_list] = STATE(211),
    [sym_composite_literal] = STATE(212),
    [sym_unary_expression] = STATE(212),
    [sym_slice_type] = STATE(1115),
    [sym_binary_expression] = STATE(212),
    [sym_interpreted_string_literal] = STATE(212),
    [sym_type_conversion_expression] = STATE(212),
    [sym__string_literal] = STATE(212),
    [sym_implicit_length_array_type] = STATE(1116),
    [sym_dec_statement] = STATE(213),
    [sym_inc_statement] = STATE(213),
    [sym_range_clause] = STATE(210),
    [sym__expression] = STATE(212),
    [sym_parenthesized_expression] = STATE(212),
    [sym_selector_expression] = STATE(212),
    [sym_index_expression] = STATE(212),
    [sym_parenthesized_type] = STATE(1283),
    [sym__simple_type] = STATE(1283),
    [sym_qualified_type] = STATE(1115),
    [sym_struct_type] = STATE(1115),
    [sym_map_type] = STATE(1115),
    [sym_channel_type] = STATE(1283),
    [sym__simple_statement] = STATE(213),
    [sym_assignment_statement] = STATE(213),
    [sym_short_var_declaration] = STATE(213),
    [sym_call_expression] = STATE(212),
    [sym_slice_expression] = STATE(212),
    [sym_type_assertion_expression] = STATE(212),
    [sym_pointer_type] = STATE(1283),
    [sym_array_type] = STATE(1115),
    [sym_func_literal] = STATE(212),
    [sym_interface_type] = STATE(1283),
    [sym_function_type] = STATE(1283),
    [sym_block] = STATE(214),
    [sym_send_statement] = STATE(213),
    [sym_rune_literal] = ACTIONS(682),
    [sym_false] = ACTIONS(684),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(686),
    [anon_sym_CARET] = ACTIONS(686),
    [sym_raw_string_literal] = ACTIONS(682),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_LBRACK] = ACTIONS(239),
    [sym_nil] = ACTIONS(684),
    [anon_sym_interface] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(682),
    [anon_sym_BANG] = ACTIONS(686),
    [anon_sym_make] = ACTIONS(688),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_range] = ACTIONS(690),
    [anon_sym_new] = ACTIONS(688),
    [anon_sym_DQUOTE] = ACTIONS(692),
    [sym_int_literal] = ACTIONS(684),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(684),
    [anon_sym_PLUS] = ACTIONS(686),
    [anon_sym_STAR] = ACTIONS(694),
    [sym_identifier] = ACTIONS(696),
    [anon_sym_SEMI] = ACTIONS(698),
    [anon_sym_LPAREN] = ACTIONS(700),
    [anon_sym_func] = ACTIONS(702),
    [anon_sym_LT_DASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [sym_float_literal] = ACTIONS(684),
  },
  [140] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(706),
  },
  [141] = {
    [anon_sym_RBRACE] = ACTIONS(708),
    [anon_sym_case] = ACTIONS(708),
    [anon_sym_LF] = ACTIONS(710),
    [anon_sym_default] = ACTIONS(708),
    [sym_identifier] = ACTIONS(712),
    [anon_sym_SEMI] = ACTIONS(708),
    [sym_comment] = ACTIONS(61),
  },
  [142] = {
    [sym_expression_list] = STATE(939),
    [sym_composite_literal] = STATE(217),
    [sym_unary_expression] = STATE(217),
    [sym_slice_type] = STATE(1115),
    [sym_binary_expression] = STATE(217),
    [sym_interpreted_string_literal] = STATE(217),
    [sym__string_literal] = STATE(217),
    [sym_type_conversion_expression] = STATE(217),
    [sym_implicit_length_array_type] = STATE(1116),
    [sym_dec_statement] = STATE(218),
    [sym_inc_statement] = STATE(218),
    [sym__expression] = STATE(217),
    [sym_parenthesized_expression] = STATE(217),
    [sym_selector_expression] = STATE(217),
    [sym_index_expression] = STATE(217),
    [sym_parenthesized_type] = STATE(1283),
    [sym__simple_type] = STATE(1283),
    [sym_qualified_type] = STATE(1115),
    [sym_struct_type] = STATE(1115),
    [sym_map_type] = STATE(1115),
    [sym_channel_type] = STATE(1283),
    [sym__simple_statement] = STATE(218),
    [sym_assignment_statement] = STATE(218),
    [sym_short_var_declaration] = STATE(218),
    [sym_if_initializer] = STATE(219),
    [sym_call_expression] = STATE(217),
    [sym_slice_expression] = STATE(217),
    [sym_type_assertion_expression] = STATE(217),
    [sym_pointer_type] = STATE(1283),
    [sym_array_type] = STATE(1115),
    [sym_func_literal] = STATE(217),
    [sym_interface_type] = STATE(1283),
    [sym_function_type] = STATE(1283),
    [sym_send_statement] = STATE(218),
    [sym_rune_literal] = ACTIONS(714),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(686),
    [anon_sym_CARET] = ACTIONS(686),
    [sym_raw_string_literal] = ACTIONS(714),
    [sym_imaginary_literal] = ACTIONS(714),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(716),
    [anon_sym_BANG] = ACTIONS(686),
    [anon_sym_make] = ACTIONS(688),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_new] = ACTIONS(688),
    [anon_sym_DQUOTE] = ACTIONS(692),
    [sym_int_literal] = ACTIONS(716),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(716),
    [anon_sym_PLUS] = ACTIONS(686),
    [anon_sym_STAR] = ACTIONS(694),
    [sym_identifier] = ACTIONS(696),
    [anon_sym_func] = ACTIONS(702),
    [anon_sym_LPAREN] = ACTIONS(700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(704),
    [sym_float_literal] = ACTIONS(716),
    [sym_false] = ACTIONS(716),
  },
  [143] = {
    [sym_expression_list] = STATE(220),
    [sym_type_conversion_expression] = STATE(505),
    [sym_composite_literal] = STATE(505),
    [sym_unary_expression] = STATE(505),
    [sym_slice_type] = STATE(1080),
    [sym_binary_expression] = STATE(505),
    [sym__string_literal] = STATE(505),
    [sym_implicit_length_array_type] = STATE(1081),
    [sym_interpreted_string_literal] = STATE(505),
    [sym__expression] = STATE(505),
    [sym_parenthesized_expression] = STATE(505),
    [sym_selector_expression] = STATE(505),
    [sym_index_expression] = STATE(505),
    [sym_parenthesized_type] = STATE(1282),
    [sym__simple_type] = STATE(1282),
    [sym_qualified_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1282),
    [sym_call_expression] = STATE(505),
    [sym_slice_expression] = STATE(505),
    [sym_type_assertion_expression] = STATE(505),
    [sym_pointer_type] = STATE(1282),
    [sym_array_type] = STATE(1080),
    [sym_func_literal] = STATE(505),
    [sym_interface_type] = STATE(1282),
    [sym_function_type] = STATE(1282),
    [anon_sym_RBRACE] = ACTIONS(718),
    [sym_rune_literal] = ACTIONS(720),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(722),
    [sym_raw_string_literal] = ACTIONS(720),
    [sym_imaginary_literal] = ACTIONS(720),
    [anon_sym_LBRACK] = ACTIONS(724),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(722),
    [anon_sym_make] = ACTIONS(664),
    [anon_sym_AMP] = ACTIONS(722),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_case] = ACTIONS(718),
    [anon_sym_DQUOTE] = ACTIONS(726),
    [anon_sym_LF] = ACTIONS(728),
    [sym_int_literal] = ACTIONS(720),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(720),
    [anon_sym_PLUS] = ACTIONS(722),
    [anon_sym_default] = ACTIONS(718),
    [anon_sym_STAR] = ACTIONS(730),
    [sym_identifier] = ACTIONS(670),
    [anon_sym_SEMI] = ACTIONS(718),
    [anon_sym_func] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(732),
    [anon_sym_LT_DASH] = ACTIONS(734),
    [sym_comment] = ACTIONS(61),
    [sym_float_literal] = ACTIONS(720),
    [sym_false] = ACTIONS(720),
  },
  [144] = {
    [sym_identifier] = ACTIONS(736),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [anon_sym_RBRACE] = ACTIONS(738),
    [anon_sym_SEMI] = ACTIONS(738),
    [anon_sym_case] = ACTIONS(738),
    [anon_sym_LF] = ACTIONS(740),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(738),
  },
  [146] = {
    [sym_type_conversion_expression] = STATE(222),
    [sym_composite_literal] = STATE(222),
    [sym_unary_expression] = STATE(222),
    [sym_slice_type] = STATE(1080),
    [sym_binary_expression] = STATE(222),
    [sym__string_literal] = STATE(222),
    [sym_implicit_length_array_type] = STATE(1081),
    [sym_interpreted_string_literal] = STATE(222),
    [sym__expression] = STATE(222),
    [sym_parenthesized_expression] = STATE(222),
    [sym_selector_expression] = STATE(222),
    [sym_index_expression] = STATE(222),
    [sym_parenthesized_type] = STATE(1282),
    [sym__simple_type] = STATE(1282),
    [sym_qualified_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1282),
    [sym_call_expression] = STATE(222),
    [sym_slice_expression] = STATE(222),
    [sym_type_assertion_expression] = STATE(222),
    [sym_pointer_type] = STATE(1282),
    [sym_array_type] = STATE(1080),
    [sym_func_literal] = STATE(222),
    [sym_interface_type] = STATE(1282),
    [sym_function_type] = STATE(1282),
    [sym_rune_literal] = ACTIONS(742),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_CARET] = ACTIONS(660),
    [sym_raw_string_literal] = ACTIONS(742),
    [sym_imaginary_literal] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(660),
    [anon_sym_make] = ACTIONS(664),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(744),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_STAR] = ACTIONS(668),
    [sym_identifier] = ACTIONS(670),
    [anon_sym_func] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(674),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(676),
    [sym_float_literal] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
  },
  [147] = {
    [sym_expression_list] = STATE(224),
    [sym_composite_literal] = STATE(226),
    [sym_unary_expression] = STATE(226),
    [sym_slice_type] = STATE(1115),
    [sym_binary_expression] = STATE(226),
    [sym_interpreted_string_literal] = STATE(226),
    [sym__string_literal] = STATE(226),
    [sym_type_conversion_expression] = STATE(226),
    [sym_implicit_length_array_type] = STATE(1116),
    [sym_dec_statement] = STATE(227),
    [sym_inc_statement] = STATE(227),
    [sym_type_switch_guard] = STATE(225),
    [sym__expression] = STATE(226),
    [sym_parenthesized_expression] = STATE(226),
    [sym_selector_expression] = STATE(226),
    [sym_index_expression] = STATE(226),
    [sym_parenthesized_type] = STATE(1283),
    [sym__simple_type] = STATE(1283),
    [sym_qualified_type] = STATE(1115),
    [sym_struct_type] = STATE(1115),
    [sym_map_type] = STATE(1115),
    [sym_channel_type] = STATE(1283),
    [sym__simple_statement] = STATE(227),
    [sym_assignment_statement] = STATE(227),
    [sym_short_var_declaration] = STATE(227),
    [sym_call_expression] = STATE(226),
    [sym_slice_expression] = STATE(226),
    [sym_type_assertion_expression] = STATE(226),
    [sym_pointer_type] = STATE(1283),
    [sym_array_type] = STATE(1115),
    [sym_func_literal] = STATE(226),
    [sym_interface_type] = STATE(1283),
    [sym_function_type] = STATE(1283),
    [sym_send_statement] = STATE(227),
    [sym_rune_literal] = ACTIONS(746),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(686),
    [anon_sym_CARET] = ACTIONS(686),
    [sym_raw_string_literal] = ACTIONS(746),
    [anon_sym_LBRACE] = ACTIONS(748),
    [sym_imaginary_literal] = ACTIONS(746),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(750),
    [anon_sym_BANG] = ACTIONS(686),
    [anon_sym_make] = ACTIONS(688),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_new] = ACTIONS(688),
    [anon_sym_DQUOTE] = ACTIONS(692),
    [sym_int_literal] = ACTIONS(750),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(750),
    [anon_sym_PLUS] = ACTIONS(686),
    [anon_sym_STAR] = ACTIONS(694),
    [sym_identifier] = ACTIONS(696),
    [anon_sym_func] = ACTIONS(702),
    [anon_sym_LPAREN] = ACTIONS(700),
    [anon_sym_LT_DASH] = ACTIONS(704),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(750),
    [sym_false] = ACTIONS(750),
  },
  [148] = {
    [sym_literal_value] = STATE(619),
    [anon_sym_GT_GT_EQ] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(458),
    [anon_sym_CARET] = ACTIONS(458),
    [anon_sym_PIPE_PIPE] = ACTIONS(458),
    [anon_sym_LT_EQ] = ACTIONS(458),
    [anon_sym_DOT] = ACTIONS(752),
    [anon_sym_PERCENT_EQ] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(458),
    [anon_sym_AMP_EQ] = ACTIONS(458),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(458),
    [anon_sym_LT_LT] = ACTIONS(458),
    [anon_sym_LT_LT_EQ] = ACTIONS(458),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(458),
    [anon_sym_DASH_EQ] = ACTIONS(458),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_EQ] = ACTIONS(458),
    [anon_sym_GT_GT] = ACTIONS(458),
    [anon_sym_LPAREN] = ACTIONS(755),
    [anon_sym_LT_DASH] = ACTIONS(458),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_PLUS_EQ] = ACTIONS(458),
    [anon_sym_PIPE_EQ] = ACTIONS(458),
    [anon_sym_PERCENT] = ACTIONS(458),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_AMP_CARET] = ACTIONS(458),
    [anon_sym_EQ_EQ] = ACTIONS(458),
    [anon_sym_COLON_EQ] = ACTIONS(458),
    [anon_sym_LBRACE] = ACTIONS(758),
    [anon_sym_CARET_EQ] = ACTIONS(458),
    [anon_sym_case] = ACTIONS(458),
    [anon_sym_GT_EQ] = ACTIONS(458),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_LF] = ACTIONS(456),
    [anon_sym_BANG_EQ] = ACTIONS(458),
    [anon_sym_PLUS_PLUS] = ACTIONS(458),
    [anon_sym_STAR_EQ] = ACTIONS(458),
    [anon_sym_COLON] = ACTIONS(760),
    [anon_sym_PLUS] = ACTIONS(458),
    [anon_sym_default] = ACTIONS(458),
    [anon_sym_AMP_AMP] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(458),
    [anon_sym_LT] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(458),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(458),
  },
  [149] = {
    [anon_sym_RBRACE] = ACTIONS(762),
    [anon_sym_SEMI] = ACTIONS(762),
    [anon_sym_case] = ACTIONS(762),
    [anon_sym_LF] = ACTIONS(764),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(762),
  },
  [150] = {
    [anon_sym_PLUS_EQ] = ACTIONS(766),
    [anon_sym_GT_GT_EQ] = ACTIONS(766),
    [anon_sym_PIPE_EQ] = ACTIONS(766),
    [anon_sym_LT_LT_EQ] = ACTIONS(766),
    [anon_sym_STAR_EQ] = ACTIONS(766),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(766),
    [anon_sym_DASH_EQ] = ACTIONS(766),
    [anon_sym_COLON_EQ] = ACTIONS(768),
    [anon_sym_PERCENT_EQ] = ACTIONS(766),
    [anon_sym_EQ] = ACTIONS(766),
    [anon_sym_AMP_EQ] = ACTIONS(766),
    [anon_sym_CARET_EQ] = ACTIONS(766),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(766),
  },
  [151] = {
    [aux_sym__statement_list_repeat1] = STATE(232),
    [anon_sym_RBRACE] = ACTIONS(770),
    [anon_sym_SEMI] = ACTIONS(772),
    [anon_sym_case] = ACTIONS(770),
    [anon_sym_LF] = ACTIONS(774),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(770),
  },
  [152] = {
    [anon_sym_RBRACE] = ACTIONS(776),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [aux_sym_expression_list_repeat1] = STATE(536),
    [sym_argument_list] = STATE(620),
    [anon_sym_GT_GT_EQ] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(780),
    [anon_sym_LT_EQ] = ACTIONS(782),
    [anon_sym_DOT] = ACTIONS(784),
    [anon_sym_PERCENT_EQ] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(786),
    [anon_sym_AMP_EQ] = ACTIONS(605),
    [anon_sym_AMP] = ACTIONS(788),
    [anon_sym_COMMA] = ACTIONS(790),
    [anon_sym_LT_LT] = ACTIONS(788),
    [anon_sym_LT_LT_EQ] = ACTIONS(605),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(605),
    [anon_sym_DASH_EQ] = ACTIONS(605),
    [anon_sym_SLASH] = ACTIONS(788),
    [anon_sym_EQ] = ACTIONS(605),
    [anon_sym_GT_GT] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(792),
    [anon_sym_LT_DASH] = ACTIONS(794),
    [anon_sym_RBRACE] = ACTIONS(796),
    [anon_sym_PLUS_EQ] = ACTIONS(605),
    [anon_sym_PIPE_EQ] = ACTIONS(605),
    [anon_sym_PERCENT] = ACTIONS(788),
    [anon_sym_GT] = ACTIONS(782),
    [anon_sym_AMP_CARET] = ACTIONS(788),
    [anon_sym_EQ_EQ] = ACTIONS(782),
    [anon_sym_COLON_EQ] = ACTIONS(605),
    [anon_sym_CARET_EQ] = ACTIONS(605),
    [anon_sym_case] = ACTIONS(796),
    [anon_sym_GT_EQ] = ACTIONS(782),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_LF] = ACTIONS(798),
    [anon_sym_BANG_EQ] = ACTIONS(782),
    [anon_sym_PLUS_PLUS] = ACTIONS(800),
    [anon_sym_STAR_EQ] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_default] = ACTIONS(796),
    [anon_sym_AMP_AMP] = ACTIONS(802),
    [anon_sym_STAR] = ACTIONS(788),
    [anon_sym_SEMI] = ACTIONS(796),
    [anon_sym_LT] = ACTIONS(782),
    [anon_sym_DASH_DASH] = ACTIONS(804),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(605),
  },
  [154] = {
    [anon_sym_type] = ACTIONS(806),
    [anon_sym_import] = ACTIONS(806),
    [anon_sym_LF] = ACTIONS(808),
    [ts_builtin_sym_end] = ACTIONS(808),
    [anon_sym_func] = ACTIONS(806),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_var] = ACTIONS(806),
    [anon_sym_const] = ACTIONS(806),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(806),
  },
  [155] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_RBRACE] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_PERCENT] = ACTIONS(810),
    [anon_sym_CARET] = ACTIONS(810),
    [anon_sym_PIPE_PIPE] = ACTIONS(810),
    [anon_sym_GT] = ACTIONS(812),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(810),
    [anon_sym_AMP_CARET] = ACTIONS(810),
    [anon_sym_LT_EQ] = ACTIONS(810),
    [anon_sym_DOT] = ACTIONS(814),
    [anon_sym_EQ_EQ] = ACTIONS(810),
    [anon_sym_RPAREN] = ACTIONS(810),
    [anon_sym_LBRACE] = ACTIONS(810),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_COLON_EQ] = ACTIONS(810),
    [anon_sym_AMP] = ACTIONS(812),
    [anon_sym_GT_EQ] = ACTIONS(810),
    [anon_sym_COMMA] = ACTIONS(810),
    [anon_sym_PIPE] = ACTIONS(812),
    [anon_sym_LT_LT] = ACTIONS(810),
    [anon_sym_BANG_EQ] = ACTIONS(810),
    [anon_sym_RBRACK] = ACTIONS(810),
    [anon_sym_COLON] = ACTIONS(812),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_SLASH] = ACTIONS(812),
    [anon_sym_AMP_AMP] = ACTIONS(810),
    [anon_sym_STAR] = ACTIONS(810),
    [anon_sym_EQ] = ACTIONS(812),
    [anon_sym_GT_GT] = ACTIONS(810),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(812),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(810),
  },
  [156] = {
    [anon_sym_COLON] = ACTIONS(816),
    [anon_sym_COMMA] = ACTIONS(816),
    [anon_sym_LBRACE] = ACTIONS(816),
    [anon_sym_EQ] = ACTIONS(816),
    [anon_sym_RBRACK] = ACTIONS(816),
    [anon_sym_LPAREN] = ACTIONS(816),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(816),
  },
  [157] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(818),
  },
  [158] = {
    [anon_sym_LPAREN] = ACTIONS(516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(516),
  },
  [159] = {
    [sym_type_conversion_expression] = STATE(240),
    [sym_composite_literal] = STATE(240),
    [sym_unary_expression] = STATE(240),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(240),
    [sym__string_literal] = STATE(240),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(240),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(240),
    [sym_selector_expression] = STATE(240),
    [sym_index_expression] = STATE(240),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_literal_value] = STATE(241),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_keyed_element] = STATE(242),
    [sym_struct_type] = STATE(89),
    [sym_call_expression] = STATE(240),
    [sym_slice_expression] = STATE(240),
    [sym_type_assertion_expression] = STATE(240),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(240),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_element] = STATE(242),
    [sym_rune_literal] = ACTIONS(820),
    [anon_sym_RBRACE] = ACTIONS(822),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(820),
    [sym_imaginary_literal] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(824),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
  },
  [160] = {
    [anon_sym_RBRACE] = ACTIONS(828),
    [anon_sym_DASH] = ACTIONS(828),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_CARET] = ACTIONS(828),
    [anon_sym_PIPE_PIPE] = ACTIONS(828),
    [anon_sym_GT] = ACTIONS(830),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(828),
    [anon_sym_AMP_CARET] = ACTIONS(828),
    [anon_sym_LT_EQ] = ACTIONS(828),
    [anon_sym_DOT] = ACTIONS(830),
    [anon_sym_EQ_EQ] = ACTIONS(828),
    [anon_sym_RPAREN] = ACTIONS(828),
    [anon_sym_LBRACE] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(828),
    [anon_sym_COLON_EQ] = ACTIONS(828),
    [anon_sym_AMP] = ACTIONS(830),
    [anon_sym_GT_EQ] = ACTIONS(828),
    [anon_sym_COMMA] = ACTIONS(828),
    [anon_sym_PIPE] = ACTIONS(830),
    [anon_sym_LT_LT] = ACTIONS(828),
    [anon_sym_BANG_EQ] = ACTIONS(828),
    [anon_sym_RBRACK] = ACTIONS(828),
    [anon_sym_COLON] = ACTIONS(830),
    [anon_sym_PLUS] = ACTIONS(828),
    [anon_sym_SLASH] = ACTIONS(830),
    [anon_sym_AMP_AMP] = ACTIONS(828),
    [anon_sym_STAR] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(830),
    [anon_sym_GT_GT] = ACTIONS(828),
    [anon_sym_LPAREN] = ACTIONS(828),
    [anon_sym_LT] = ACTIONS(830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(828),
  },
  [161] = {
    [sym_qualified_type] = STATE(243),
    [sym_map_type] = STATE(243),
    [sym_channel_type] = STATE(243),
    [sym_slice_type] = STATE(243),
    [sym_parameter_list] = STATE(243),
    [sym_pointer_type] = STATE(243),
    [sym_array_type] = STATE(243),
    [sym_interface_type] = STATE(243),
    [sym_function_type] = STATE(243),
    [sym_block] = STATE(244),
    [sym__simple_type] = STATE(243),
    [sym_struct_type] = STATE(243),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_RPAREN] = ACTIONS(522),
    [anon_sym_LBRACE] = ACTIONS(832),
    [anon_sym_LBRACK] = ACTIONS(834),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(836),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(840),
    [anon_sym_LT_DASH] = ACTIONS(843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [162] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_RPAREN] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [anon_sym_LPAREN] = ACTIONS(508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(524),
  },
  [164] = {
    [sym_qualified_type] = STATE(246),
    [sym_map_type] = STATE(246),
    [sym_channel_type] = STATE(246),
    [sym_slice_type] = STATE(246),
    [sym_pointer_type] = STATE(246),
    [sym_array_type] = STATE(246),
    [sym_interface_type] = STATE(246),
    [sym_function_type] = STATE(246),
    [sym_parenthesized_type] = STATE(246),
    [sym__simple_type] = STATE(246),
    [sym_struct_type] = STATE(246),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(834),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(836),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(863),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [165] = {
    [sym_qualified_type] = STATE(247),
    [sym_map_type] = STATE(247),
    [sym_channel_type] = STATE(247),
    [sym_slice_type] = STATE(247),
    [sym_pointer_type] = STATE(247),
    [sym_array_type] = STATE(247),
    [sym_interface_type] = STATE(247),
    [sym_function_type] = STATE(247),
    [sym_parenthesized_type] = STATE(247),
    [sym__simple_type] = STATE(247),
    [sym_struct_type] = STATE(247),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [166] = {
    [anon_sym_RBRACE] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_PERCENT] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(865),
    [anon_sym_PIPE_PIPE] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(865),
    [anon_sym_AMP_CARET] = ACTIONS(865),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_DOT] = ACTIONS(867),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_RPAREN] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_LBRACK] = ACTIONS(865),
    [anon_sym_COLON_EQ] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(867),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_COMMA] = ACTIONS(865),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_LT_LT] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_RBRACK] = ACTIONS(865),
    [anon_sym_COLON] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_SLASH] = ACTIONS(867),
    [anon_sym_AMP_AMP] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(865),
    [anon_sym_EQ] = ACTIONS(867),
    [anon_sym_GT_GT] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(865),
    [anon_sym_LT] = ACTIONS(867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(865),
  },
  [167] = {
    [anon_sym_RBRACE] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(869),
    [anon_sym_CARET] = ACTIONS(869),
    [anon_sym_PIPE_PIPE] = ACTIONS(869),
    [anon_sym_GT] = ACTIONS(871),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(869),
    [anon_sym_AMP_CARET] = ACTIONS(869),
    [anon_sym_LT_EQ] = ACTIONS(869),
    [anon_sym_DOT] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(869),
    [anon_sym_RPAREN] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_COLON_EQ] = ACTIONS(869),
    [anon_sym_AMP] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(869),
    [anon_sym_COMMA] = ACTIONS(869),
    [anon_sym_PIPE] = ACTIONS(871),
    [anon_sym_LT_LT] = ACTIONS(869),
    [anon_sym_BANG_EQ] = ACTIONS(869),
    [anon_sym_RBRACK] = ACTIONS(869),
    [anon_sym_COLON] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_SLASH] = ACTIONS(871),
    [anon_sym_AMP_AMP] = ACTIONS(869),
    [anon_sym_STAR] = ACTIONS(869),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_GT_GT] = ACTIONS(869),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LT] = ACTIONS(871),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(869),
  },
  [168] = {
    [sym_type_conversion_expression] = STATE(248),
    [sym_composite_literal] = STATE(248),
    [sym_unary_expression] = STATE(248),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(248),
    [sym__string_literal] = STATE(248),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(248),
    [sym__expression] = STATE(248),
    [sym_parenthesized_expression] = STATE(248),
    [sym_selector_expression] = STATE(248),
    [sym_index_expression] = STATE(248),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(248),
    [sym_slice_expression] = STATE(248),
    [sym_type_assertion_expression] = STATE(248),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(248),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(873),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(873),
    [sym_imaginary_literal] = ACTIONS(873),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(875),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(875),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(875),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(875),
    [sym_false] = ACTIONS(875),
  },
  [169] = {
    [sym_type_conversion_expression] = STATE(249),
    [sym_composite_literal] = STATE(249),
    [sym_unary_expression] = STATE(249),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(249),
    [sym__string_literal] = STATE(249),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(249),
    [sym__expression] = STATE(249),
    [sym_parenthesized_expression] = STATE(249),
    [sym_selector_expression] = STATE(249),
    [sym_index_expression] = STATE(249),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(249),
    [sym_slice_expression] = STATE(249),
    [sym_type_assertion_expression] = STATE(249),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(249),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(877),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(877),
    [sym_imaginary_literal] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(879),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(879),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(879),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
  },
  [170] = {
    [sym_type_conversion_expression] = STATE(250),
    [sym_composite_literal] = STATE(250),
    [sym_unary_expression] = STATE(250),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(250),
    [sym__string_literal] = STATE(250),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(250),
    [sym__expression] = STATE(250),
    [sym_parenthesized_expression] = STATE(250),
    [sym_selector_expression] = STATE(250),
    [sym_index_expression] = STATE(250),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(250),
    [sym_slice_expression] = STATE(250),
    [sym_type_assertion_expression] = STATE(250),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(250),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(881),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(881),
    [sym_imaginary_literal] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(883),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(883),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(883),
    [sym_false] = ACTIONS(883),
  },
  [171] = {
    [sym_qualified_type] = STATE(251),
    [sym_map_type] = STATE(251),
    [sym_channel_type] = STATE(251),
    [sym_slice_type] = STATE(251),
    [sym_pointer_type] = STATE(251),
    [sym_array_type] = STATE(251),
    [sym_interface_type] = STATE(251),
    [sym_function_type] = STATE(251),
    [sym_parenthesized_type] = STATE(251),
    [sym__simple_type] = STATE(251),
    [sym_struct_type] = STATE(251),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [172] = {
    [sym_type_conversion_expression] = STATE(252),
    [sym_composite_literal] = STATE(252),
    [sym_unary_expression] = STATE(252),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(252),
    [sym__string_literal] = STATE(252),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(252),
    [sym__expression] = STATE(252),
    [sym_parenthesized_expression] = STATE(252),
    [sym_selector_expression] = STATE(252),
    [sym_index_expression] = STATE(252),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(252),
    [sym_slice_expression] = STATE(252),
    [sym_type_assertion_expression] = STATE(252),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(252),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(885),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(885),
    [sym_imaginary_literal] = ACTIONS(885),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(887),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(887),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(887),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(887),
    [sym_false] = ACTIONS(887),
  },
  [173] = {
    [sym_identifier] = ACTIONS(889),
    [anon_sym_LPAREN] = ACTIONS(891),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_type_conversion_expression] = STATE(256),
    [sym_composite_literal] = STATE(256),
    [sym_unary_expression] = STATE(256),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(256),
    [sym__string_literal] = STATE(256),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(256),
    [sym__expression] = STATE(256),
    [sym_parenthesized_expression] = STATE(256),
    [sym_selector_expression] = STATE(256),
    [sym_index_expression] = STATE(256),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(256),
    [sym_slice_expression] = STATE(256),
    [sym_type_assertion_expression] = STATE(256),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(256),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(893),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(893),
    [sym_imaginary_literal] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(895),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(895),
    [anon_sym_COLON] = ACTIONS(897),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(895),
    [sym_false] = ACTIONS(895),
  },
  [175] = {
    [sym_type_conversion_expression] = STATE(257),
    [sym_composite_literal] = STATE(257),
    [sym_unary_expression] = STATE(257),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(257),
    [sym__string_literal] = STATE(257),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(257),
    [sym__expression] = STATE(257),
    [sym_parenthesized_expression] = STATE(257),
    [sym_selector_expression] = STATE(257),
    [sym_index_expression] = STATE(257),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(257),
    [sym_slice_expression] = STATE(257),
    [sym_type_assertion_expression] = STATE(257),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(257),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(899),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(899),
    [sym_imaginary_literal] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(901),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(901),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(901),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(901),
    [sym_false] = ACTIONS(901),
  },
  [176] = {
    [sym_type_conversion_expression] = STATE(260),
    [sym_composite_literal] = STATE(260),
    [sym_unary_expression] = STATE(260),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(260),
    [sym__string_literal] = STATE(260),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(260),
    [sym__expression] = STATE(260),
    [sym_parenthesized_expression] = STATE(260),
    [sym_selector_expression] = STATE(260),
    [sym_index_expression] = STATE(260),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(260),
    [sym_variadic_argument] = STATE(259),
    [sym_slice_expression] = STATE(260),
    [sym_type_assertion_expression] = STATE(260),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(260),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(903),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(903),
    [anon_sym_RPAREN] = ACTIONS(905),
    [sym_imaginary_literal] = ACTIONS(903),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(907),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(907),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(907),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(907),
    [sym_false] = ACTIONS(907),
  },
  [177] = {
    [sym_type_conversion_expression] = STATE(261),
    [sym_composite_literal] = STATE(261),
    [sym_unary_expression] = STATE(261),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(261),
    [sym__string_literal] = STATE(261),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(261),
    [sym__expression] = STATE(261),
    [sym_parenthesized_expression] = STATE(261),
    [sym_selector_expression] = STATE(261),
    [sym_index_expression] = STATE(261),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(261),
    [sym_slice_expression] = STATE(261),
    [sym_type_assertion_expression] = STATE(261),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(261),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(913),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(913),
    [sym_imaginary_literal] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(915),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(915),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(915),
    [sym_false] = ACTIONS(915),
  },
  [178] = {
    [sym_parameter_list] = STATE(264),
    [aux_sym_method_spec_list_repeat1] = STATE(265),
    [anon_sym_DOT] = ACTIONS(917),
    [anon_sym_RBRACE] = ACTIONS(919),
    [anon_sym_LF] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [sym_comment] = ACTIONS(61),
  },
  [179] = {
    [anon_sym_COLON] = ACTIONS(927),
    [anon_sym_COMMA] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(927),
    [anon_sym_EQ] = ACTIONS(927),
    [anon_sym_RBRACK] = ACTIONS(927),
    [anon_sym_LPAREN] = ACTIONS(927),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(927),
  },
  [180] = {
    [aux_sym_method_spec_list_repeat1] = STATE(268),
    [anon_sym_RBRACE] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(931),
    [anon_sym_LF] = ACTIONS(933),
    [sym_comment] = ACTIONS(61),
  },
  [181] = {
    [anon_sym_COLON] = ACTIONS(935),
    [anon_sym_COMMA] = ACTIONS(935),
    [anon_sym_LBRACE] = ACTIONS(935),
    [anon_sym_EQ] = ACTIONS(935),
    [anon_sym_RBRACK] = ACTIONS(935),
    [anon_sym_LPAREN] = ACTIONS(935),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(935),
  },
  [182] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(937),
    [anon_sym_RPAREN] = ACTIONS(937),
  },
  [183] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(939),
    [anon_sym_RPAREN] = ACTIONS(939),
  },
  [184] = {
    [anon_sym_COLON] = ACTIONS(941),
    [anon_sym_COMMA] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(941),
    [anon_sym_EQ] = ACTIONS(941),
    [anon_sym_RBRACK] = ACTIONS(941),
    [anon_sym_LPAREN] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(941),
  },
  [185] = {
    [anon_sym_COLON] = ACTIONS(943),
    [anon_sym_COMMA] = ACTIONS(943),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_EQ] = ACTIONS(943),
    [anon_sym_RBRACK] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(943),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(943),
  },
  [186] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(945),
  },
  [187] = {
    [anon_sym_COLON] = ACTIONS(947),
    [anon_sym_COMMA] = ACTIONS(947),
    [anon_sym_LBRACE] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [anon_sym_RBRACK] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(947),
  },
  [188] = {
    [sym_struct_type] = STATE(273),
    [sym_map_type] = STATE(273),
    [sym_channel_type] = STATE(273),
    [sym_pointer_type] = STATE(273),
    [sym_array_type] = STATE(273),
    [aux_sym_field_name_list_repeat1] = STATE(271),
    [sym_interface_type] = STATE(273),
    [sym_function_type] = STATE(273),
    [sym_slice_type] = STATE(273),
    [sym__string_literal] = STATE(272),
    [sym_interpreted_string_literal] = STATE(272),
    [sym_parenthesized_type] = STATE(273),
    [sym__simple_type] = STATE(273),
    [sym_qualified_type] = STATE(273),
    [anon_sym_RBRACE] = ACTIONS(949),
    [anon_sym_COMMA] = ACTIONS(951),
    [anon_sym_DQUOTE] = ACTIONS(953),
    [anon_sym_LF] = ACTIONS(955),
    [anon_sym_map] = ACTIONS(957),
    [sym_raw_string_literal] = ACTIONS(959),
    [anon_sym_DOT] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(961),
    [anon_sym_interface] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(965),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_SEMI] = ACTIONS(949),
    [anon_sym_func] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(971),
    [anon_sym_LT_DASH] = ACTIONS(973),
    [sym_comment] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(975),
    [anon_sym_chan] = ACTIONS(977),
  },
  [189] = {
    [anon_sym_COLON] = ACTIONS(979),
    [anon_sym_COMMA] = ACTIONS(979),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_EQ] = ACTIONS(979),
    [anon_sym_RBRACK] = ACTIONS(979),
    [anon_sym_LPAREN] = ACTIONS(979),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(979),
  },
  [190] = {
    [sym_qualified_type] = STATE(275),
    [sym_identifier] = ACTIONS(981),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(278),
    [anon_sym_RBRACE] = ACTIONS(983),
    [anon_sym_SEMI] = ACTIONS(985),
    [anon_sym_LF] = ACTIONS(987),
    [sym_comment] = ACTIONS(61),
  },
  [192] = {
    [sym_interpreted_string_literal] = STATE(279),
    [sym__string_literal] = STATE(279),
    [anon_sym_RBRACE] = ACTIONS(989),
    [anon_sym_SEMI] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(953),
    [anon_sym_LF] = ACTIONS(991),
    [sym_raw_string_literal] = ACTIONS(993),
    [sym_comment] = ACTIONS(61),
  },
  [193] = {
    [anon_sym_COLON] = ACTIONS(947),
    [anon_sym_COMMA] = ACTIONS(947),
    [anon_sym_LBRACE] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [anon_sym_RBRACK] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(947),
  },
  [194] = {
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_RBRACK] = ACTIONS(995),
    [anon_sym_map] = ACTIONS(997),
    [anon_sym_RPAREN] = ACTIONS(995),
    [anon_sym_COLON] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(995),
    [anon_sym_LBRACK] = ACTIONS(995),
    [anon_sym_interface] = ACTIONS(997),
    [anon_sym_EQ] = ACTIONS(995),
    [anon_sym_STAR] = ACTIONS(995),
    [sym_identifier] = ACTIONS(997),
    [anon_sym_func] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(995),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(995),
    [anon_sym_struct] = ACTIONS(997),
    [anon_sym_chan] = ACTIONS(997),
  },
  [195] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(999),
    [anon_sym_RPAREN] = ACTIONS(999),
  },
  [196] = {
    [sym_qualified_type] = STATE(48),
    [sym_map_type] = STATE(48),
    [sym_channel_type] = STATE(48),
    [sym_parameter_declaration] = STATE(195),
    [sym_variadic_parameter_declaration] = STATE(195),
    [sym_slice_type] = STATE(48),
    [sym_pointer_type] = STATE(48),
    [sym_array_type] = STATE(48),
    [sym_interface_type] = STATE(48),
    [sym_function_type] = STATE(48),
    [sym_parenthesized_type] = STATE(48),
    [sym__simple_type] = STATE(48),
    [sym_struct_type] = STATE(48),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_RPAREN] = ACTIONS(1001),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [197] = {
    [aux_sym_parameter_list_repeat1] = STATE(197),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1003),
    [anon_sym_RPAREN] = ACTIONS(999),
  },
  [198] = {
    [sym_block] = STATE(282),
    [anon_sym_type] = ACTIONS(1006),
    [anon_sym_import] = ACTIONS(1006),
    [anon_sym_LF] = ACTIONS(1008),
    [ts_builtin_sym_end] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_func] = ACTIONS(1006),
    [anon_sym_SEMI] = ACTIONS(1006),
    [anon_sym_var] = ACTIONS(1006),
    [anon_sym_const] = ACTIONS(1006),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(1006),
  },
  [199] = {
    [anon_sym_type] = ACTIONS(1006),
    [anon_sym_import] = ACTIONS(1006),
    [anon_sym_LF] = ACTIONS(1008),
    [ts_builtin_sym_end] = ACTIONS(1008),
    [anon_sym_func] = ACTIONS(1006),
    [anon_sym_SEMI] = ACTIONS(1006),
    [anon_sym_var] = ACTIONS(1006),
    [anon_sym_const] = ACTIONS(1006),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(1006),
  },
  [200] = {
    [sym_qualified_type] = STATE(927),
    [sym_map_type] = STATE(927),
    [sym_channel_type] = STATE(1278),
    [sym_type_conversion_expression] = STATE(283),
    [sym_composite_literal] = STATE(283),
    [sym_unary_expression] = STATE(283),
    [sym_slice_type] = STATE(927),
    [sym_binary_expression] = STATE(283),
    [sym__string_literal] = STATE(283),
    [sym_implicit_length_array_type] = STATE(928),
    [sym_interpreted_string_literal] = STATE(283),
    [sym_call_expression] = STATE(283),
    [sym_slice_expression] = STATE(283),
    [sym_type_assertion_expression] = STATE(283),
    [sym_pointer_type] = STATE(1278),
    [sym_array_type] = STATE(927),
    [sym_func_literal] = STATE(283),
    [sym_interface_type] = STATE(1278),
    [sym_function_type] = STATE(1278),
    [sym__expression] = STATE(283),
    [sym_parenthesized_expression] = STATE(283),
    [sym_selector_expression] = STATE(283),
    [sym_index_expression] = STATE(283),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_struct_type] = STATE(927),
    [sym_rune_literal] = ACTIONS(1010),
    [sym_false] = ACTIONS(1012),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_make] = ACTIONS(334),
    [sym_float_literal] = ACTIONS(1012),
    [anon_sym_new] = ACTIONS(334),
    [anon_sym_DASH] = ACTIONS(336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(336),
    [sym_int_literal] = ACTIONS(1012),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1012),
    [sym_raw_string_literal] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(336),
    [sym_imaginary_literal] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1012),
    [anon_sym_STAR] = ACTIONS(338),
    [sym_identifier] = ACTIONS(340),
    [anon_sym_func] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(336),
    [anon_sym_LT_DASH] = ACTIONS(346),
    [anon_sym_AMP] = ACTIONS(336),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [201] = {
    [aux_sym_expression_list_repeat1] = STATE(284),
    [anon_sym_COMMA] = ACTIONS(615),
    [anon_sym_type] = ACTIONS(1014),
    [anon_sym_import] = ACTIONS(1014),
    [anon_sym_LF] = ACTIONS(1016),
    [ts_builtin_sym_end] = ACTIONS(1016),
    [anon_sym_func] = ACTIONS(1014),
    [anon_sym_SEMI] = ACTIONS(1014),
    [anon_sym_var] = ACTIONS(1014),
    [anon_sym_const] = ACTIONS(1014),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(1014),
  },
  [202] = {
    [anon_sym_type] = ACTIONS(1018),
    [anon_sym_import] = ACTIONS(1018),
    [anon_sym_LF] = ACTIONS(1020),
    [ts_builtin_sym_end] = ACTIONS(1020),
    [anon_sym_func] = ACTIONS(1018),
    [anon_sym_SEMI] = ACTIONS(1018),
    [anon_sym_var] = ACTIONS(1018),
    [anon_sym_const] = ACTIONS(1018),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(1018),
  },
  [203] = {
    [sym_qualified_type] = STATE(927),
    [sym_map_type] = STATE(927),
    [sym_channel_type] = STATE(1278),
    [sym_expression_list] = STATE(285),
    [sym_type_conversion_expression] = STATE(123),
    [sym_composite_literal] = STATE(123),
    [sym_unary_expression] = STATE(123),
    [sym_slice_type] = STATE(927),
    [sym_binary_expression] = STATE(123),
    [sym__string_literal] = STATE(123),
    [sym_implicit_length_array_type] = STATE(928),
    [sym_call_expression] = STATE(123),
    [sym_interpreted_string_literal] = STATE(123),
    [sym_slice_expression] = STATE(123),
    [sym_type_assertion_expression] = STATE(123),
    [sym_pointer_type] = STATE(1278),
    [sym_array_type] = STATE(927),
    [sym_func_literal] = STATE(123),
    [sym_interface_type] = STATE(1278),
    [sym_function_type] = STATE(1278),
    [sym__expression] = STATE(123),
    [sym_parenthesized_expression] = STATE(123),
    [sym_selector_expression] = STATE(123),
    [sym_index_expression] = STATE(123),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_struct_type] = STATE(927),
    [sym_rune_literal] = ACTIONS(330),
    [sym_false] = ACTIONS(332),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_make] = ACTIONS(334),
    [sym_float_literal] = ACTIONS(332),
    [anon_sym_new] = ACTIONS(334),
    [anon_sym_DASH] = ACTIONS(336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(336),
    [sym_int_literal] = ACTIONS(332),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(332),
    [sym_raw_string_literal] = ACTIONS(330),
    [anon_sym_PLUS] = ACTIONS(336),
    [sym_imaginary_literal] = ACTIONS(330),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(332),
    [anon_sym_STAR] = ACTIONS(338),
    [sym_identifier] = ACTIONS(340),
    [anon_sym_func] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(336),
    [anon_sym_LT_DASH] = ACTIONS(346),
    [anon_sym_AMP] = ACTIONS(336),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [204] = {
    [anon_sym_type] = ACTIONS(1022),
    [anon_sym_import] = ACTIONS(1022),
    [anon_sym_LF] = ACTIONS(1024),
    [ts_builtin_sym_end] = ACTIONS(1024),
    [anon_sym_func] = ACTIONS(1022),
    [anon_sym_SEMI] = ACTIONS(1022),
    [anon_sym_var] = ACTIONS(1022),
    [anon_sym_const] = ACTIONS(1022),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(1022),
  },
  [205] = {
    [sym_qualified_type] = STATE(927),
    [sym_map_type] = STATE(927),
    [sym_channel_type] = STATE(1278),
    [sym_expression_list] = STATE(286),
    [sym_type_conversion_expression] = STATE(123),
    [sym_composite_literal] = STATE(123),
    [sym_unary_expression] = STATE(123),
    [sym_slice_type] = STATE(927),
    [sym_binary_expression] = STATE(123),
    [sym__string_literal] = STATE(123),
    [sym_implicit_length_array_type] = STATE(928),
    [sym_call_expression] = STATE(123),
    [sym_interpreted_string_literal] = STATE(123),
    [sym_slice_expression] = STATE(123),
    [sym_type_assertion_expression] = STATE(123),
    [sym_pointer_type] = STATE(1278),
    [sym_array_type] = STATE(927),
    [sym_func_literal] = STATE(123),
    [sym_interface_type] = STATE(1278),
    [sym_function_type] = STATE(1278),
    [sym__expression] = STATE(123),
    [sym_parenthesized_expression] = STATE(123),
    [sym_selector_expression] = STATE(123),
    [sym_index_expression] = STATE(123),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_struct_type] = STATE(927),
    [sym_rune_literal] = ACTIONS(330),
    [sym_false] = ACTIONS(332),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_make] = ACTIONS(334),
    [sym_float_literal] = ACTIONS(332),
    [anon_sym_new] = ACTIONS(334),
    [anon_sym_DASH] = ACTIONS(336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(336),
    [sym_int_literal] = ACTIONS(332),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(332),
    [sym_raw_string_literal] = ACTIONS(330),
    [anon_sym_PLUS] = ACTIONS(336),
    [sym_imaginary_literal] = ACTIONS(330),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(332),
    [anon_sym_STAR] = ACTIONS(338),
    [sym_identifier] = ACTIONS(340),
    [anon_sym_func] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(336),
    [anon_sym_LT_DASH] = ACTIONS(346),
    [anon_sym_AMP] = ACTIONS(336),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [206] = {
    [anon_sym_RBRACE] = ACTIONS(1026),
    [anon_sym_SEMI] = ACTIONS(1026),
    [anon_sym_case] = ACTIONS(1026),
    [anon_sym_LF] = ACTIONS(1028),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1026),
  },
  [207] = {
    [sym_argument_list] = STATE(698),
    [anon_sym_RBRACE] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1032),
    [anon_sym_PERCENT] = ACTIONS(1034),
    [anon_sym_CARET] = ACTIONS(1032),
    [anon_sym_PIPE_PIPE] = ACTIONS(1036),
    [anon_sym_GT] = ACTIONS(1038),
    [anon_sym_AMP_CARET] = ACTIONS(1034),
    [anon_sym_LT_EQ] = ACTIONS(1038),
    [anon_sym_DOT] = ACTIONS(1040),
    [anon_sym_EQ_EQ] = ACTIONS(1038),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_AMP] = ACTIONS(1034),
    [anon_sym_case] = ACTIONS(1030),
    [anon_sym_GT_EQ] = ACTIONS(1038),
    [anon_sym_PIPE] = ACTIONS(1032),
    [anon_sym_LF] = ACTIONS(1044),
    [anon_sym_LT_LT] = ACTIONS(1034),
    [anon_sym_BANG_EQ] = ACTIONS(1038),
    [anon_sym_PLUS] = ACTIONS(1032),
    [anon_sym_SLASH] = ACTIONS(1034),
    [anon_sym_default] = ACTIONS(1030),
    [anon_sym_AMP_AMP] = ACTIONS(1046),
    [anon_sym_STAR] = ACTIONS(1034),
    [anon_sym_SEMI] = ACTIONS(1030),
    [anon_sym_GT_GT] = ACTIONS(1034),
    [anon_sym_LPAREN] = ACTIONS(1048),
    [anon_sym_LT] = ACTIONS(1038),
    [sym_comment] = ACTIONS(61),
  },
  [208] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(287),
    [sym_composite_literal] = STATE(287),
    [sym_unary_expression] = STATE(287),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(287),
    [sym__string_literal] = STATE(287),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(287),
    [sym_call_expression] = STATE(287),
    [sym_slice_expression] = STATE(287),
    [sym_type_assertion_expression] = STATE(287),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(287),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(287),
    [sym_parenthesized_expression] = STATE(287),
    [sym_selector_expression] = STATE(287),
    [sym_index_expression] = STATE(287),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1050),
    [sym_false] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1052),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(1054),
    [sym_int_literal] = ACTIONS(1052),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1052),
    [sym_raw_string_literal] = ACTIONS(1050),
    [anon_sym_PLUS] = ACTIONS(1054),
    [sym_imaginary_literal] = ACTIONS(1050),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1052),
    [anon_sym_STAR] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(1058),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_LT_DASH] = ACTIONS(1060),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [209] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(289),
    [sym_composite_literal] = STATE(289),
    [sym_unary_expression] = STATE(289),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(289),
    [sym__string_literal] = STATE(289),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(289),
    [sym_call_expression] = STATE(289),
    [sym_slice_expression] = STATE(289),
    [sym_type_assertion_expression] = STATE(289),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(289),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(289),
    [sym_parenthesized_expression] = STATE(289),
    [sym_selector_expression] = STATE(289),
    [sym_index_expression] = STATE(289),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1062),
    [sym_false] = ACTIONS(1064),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(1064),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1064),
    [sym_comment] = ACTIONS(3),
    [sym_raw_string_literal] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1064),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_SEMI] = ACTIONS(1066),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [210] = {
    [sym_block] = STATE(290),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(416),
  },
  [211] = {
    [anon_sym_DASH_EQ] = ACTIONS(1068),
    [anon_sym_COLON_EQ] = ACTIONS(1070),
    [anon_sym_PERCENT_EQ] = ACTIONS(1068),
    [anon_sym_PLUS_EQ] = ACTIONS(1068),
    [anon_sym_GT_GT_EQ] = ACTIONS(1068),
    [anon_sym_PIPE_EQ] = ACTIONS(1068),
    [anon_sym_EQ] = ACTIONS(1072),
    [anon_sym_LT_LT_EQ] = ACTIONS(1068),
    [anon_sym_STAR_EQ] = ACTIONS(1068),
    [anon_sym_AMP_EQ] = ACTIONS(1068),
    [anon_sym_CARET_EQ] = ACTIONS(1068),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1068),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1068),
  },
  [212] = {
    [sym_block] = STATE(290),
    [aux_sym_expression_list_repeat1] = STATE(536),
    [sym_argument_list] = STATE(749),
    [anon_sym_GT_GT_EQ] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_CARET] = ACTIONS(1074),
    [anon_sym_PIPE_PIPE] = ACTIONS(1076),
    [anon_sym_LT_EQ] = ACTIONS(1078),
    [anon_sym_DOT] = ACTIONS(1080),
    [anon_sym_PERCENT_EQ] = ACTIONS(617),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [anon_sym_AMP_EQ] = ACTIONS(617),
    [anon_sym_AMP] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1086),
    [anon_sym_LT_LT] = ACTIONS(1084),
    [anon_sym_LT_LT_EQ] = ACTIONS(617),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(617),
    [anon_sym_DASH_EQ] = ACTIONS(617),
    [anon_sym_SLASH] = ACTIONS(1084),
    [anon_sym_EQ] = ACTIONS(605),
    [anon_sym_GT_GT] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1088),
    [anon_sym_LT_DASH] = ACTIONS(1090),
    [anon_sym_PLUS_EQ] = ACTIONS(617),
    [anon_sym_PIPE_EQ] = ACTIONS(617),
    [anon_sym_PERCENT] = ACTIONS(1084),
    [anon_sym_GT] = ACTIONS(1092),
    [anon_sym_AMP_CARET] = ACTIONS(1084),
    [anon_sym_EQ_EQ] = ACTIONS(1078),
    [anon_sym_COLON_EQ] = ACTIONS(617),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_CARET_EQ] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(1078),
    [anon_sym_PIPE] = ACTIONS(1074),
    [anon_sym_BANG_EQ] = ACTIONS(1078),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_STAR_EQ] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_AMP_AMP] = ACTIONS(1096),
    [anon_sym_STAR] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(798),
    [anon_sym_LT] = ACTIONS(1092),
    [anon_sym_DASH_DASH] = ACTIONS(1098),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(617),
  },
  [213] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1100),
  },
  [214] = {
    [anon_sym_RBRACE] = ACTIONS(1102),
    [anon_sym_SEMI] = ACTIONS(1102),
    [anon_sym_case] = ACTIONS(1102),
    [anon_sym_LF] = ACTIONS(1104),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1102),
  },
  [215] = {
    [sym_default_case] = STATE(297),
    [sym_communication_clause] = STATE(298),
    [sym_communication_case] = STATE(297),
    [aux_sym_select_statement_repeat1] = STATE(298),
    [anon_sym_case] = ACTIONS(1106),
    [anon_sym_RBRACE] = ACTIONS(1108),
    [sym_comment] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(1110),
  },
  [216] = {
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_LF] = ACTIONS(1114),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1112),
  },
  [217] = {
    [sym_block] = STATE(299),
    [aux_sym_expression_list_repeat1] = STATE(536),
    [sym_argument_list] = STATE(749),
    [anon_sym_GT_GT_EQ] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_CARET] = ACTIONS(1074),
    [anon_sym_PIPE_PIPE] = ACTIONS(1076),
    [anon_sym_LT_EQ] = ACTIONS(1078),
    [anon_sym_DOT] = ACTIONS(1080),
    [anon_sym_PERCENT_EQ] = ACTIONS(617),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [anon_sym_AMP_EQ] = ACTIONS(617),
    [anon_sym_AMP] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1086),
    [anon_sym_LT_LT] = ACTIONS(1084),
    [anon_sym_LT_LT_EQ] = ACTIONS(617),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(617),
    [anon_sym_DASH_EQ] = ACTIONS(617),
    [anon_sym_SLASH] = ACTIONS(1084),
    [anon_sym_EQ] = ACTIONS(605),
    [anon_sym_GT_GT] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1088),
    [anon_sym_LT_DASH] = ACTIONS(1090),
    [anon_sym_PLUS_EQ] = ACTIONS(617),
    [anon_sym_PIPE_EQ] = ACTIONS(617),
    [anon_sym_PERCENT] = ACTIONS(1084),
    [anon_sym_GT] = ACTIONS(1092),
    [anon_sym_AMP_CARET] = ACTIONS(1084),
    [anon_sym_EQ_EQ] = ACTIONS(1078),
    [anon_sym_COLON_EQ] = ACTIONS(617),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_CARET_EQ] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(1078),
    [anon_sym_PIPE] = ACTIONS(1074),
    [anon_sym_BANG_EQ] = ACTIONS(1078),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_STAR_EQ] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_AMP_AMP] = ACTIONS(1096),
    [anon_sym_STAR] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(798),
    [anon_sym_LT] = ACTIONS(1092),
    [anon_sym_DASH_DASH] = ACTIONS(1098),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(617),
  },
  [218] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1116),
  },
  [219] = {
    [sym_type_conversion_expression] = STATE(301),
    [sym_composite_literal] = STATE(301),
    [sym_unary_expression] = STATE(301),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(301),
    [sym__string_literal] = STATE(301),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(301),
    [sym__expression] = STATE(301),
    [sym_parenthesized_expression] = STATE(301),
    [sym_selector_expression] = STATE(301),
    [sym_index_expression] = STATE(301),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(301),
    [sym_slice_expression] = STATE(301),
    [sym_type_assertion_expression] = STATE(301),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(301),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(1118),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_CARET] = ACTIONS(1054),
    [sym_raw_string_literal] = ACTIONS(1118),
    [sym_imaginary_literal] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1120),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(1120),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1120),
    [anon_sym_PLUS] = ACTIONS(1054),
    [anon_sym_STAR] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(1058),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(1060),
    [sym_float_literal] = ACTIONS(1120),
    [sym_false] = ACTIONS(1120),
  },
  [220] = {
    [anon_sym_RBRACE] = ACTIONS(1122),
    [anon_sym_SEMI] = ACTIONS(1122),
    [anon_sym_case] = ACTIONS(1122),
    [anon_sym_LF] = ACTIONS(1124),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1122),
  },
  [221] = {
    [anon_sym_RBRACE] = ACTIONS(1126),
    [anon_sym_SEMI] = ACTIONS(1126),
    [anon_sym_case] = ACTIONS(1126),
    [anon_sym_LF] = ACTIONS(1128),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1126),
  },
  [222] = {
    [sym_argument_list] = STATE(698),
    [anon_sym_RBRACE] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1032),
    [anon_sym_PERCENT] = ACTIONS(1034),
    [anon_sym_CARET] = ACTIONS(1032),
    [anon_sym_PIPE_PIPE] = ACTIONS(1036),
    [anon_sym_GT] = ACTIONS(1038),
    [anon_sym_AMP_CARET] = ACTIONS(1034),
    [anon_sym_LT_EQ] = ACTIONS(1038),
    [anon_sym_DOT] = ACTIONS(1040),
    [anon_sym_EQ_EQ] = ACTIONS(1038),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_AMP] = ACTIONS(1034),
    [anon_sym_case] = ACTIONS(1130),
    [anon_sym_GT_EQ] = ACTIONS(1038),
    [anon_sym_PIPE] = ACTIONS(1032),
    [anon_sym_LF] = ACTIONS(1132),
    [anon_sym_LT_LT] = ACTIONS(1034),
    [anon_sym_BANG_EQ] = ACTIONS(1038),
    [anon_sym_PLUS] = ACTIONS(1032),
    [anon_sym_SLASH] = ACTIONS(1034),
    [anon_sym_default] = ACTIONS(1130),
    [anon_sym_AMP_AMP] = ACTIONS(1046),
    [anon_sym_STAR] = ACTIONS(1034),
    [anon_sym_SEMI] = ACTIONS(1130),
    [anon_sym_GT_GT] = ACTIONS(1034),
    [anon_sym_LPAREN] = ACTIONS(1048),
    [anon_sym_LT] = ACTIONS(1038),
    [sym_comment] = ACTIONS(61),
  },
  [223] = {
    [sym_default_case] = STATE(304),
    [sym_expression_case_clause] = STATE(305),
    [sym_expression_case] = STATE(304),
    [aux_sym_expression_switch_statement_repeat1] = STATE(305),
    [anon_sym_case] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [sym_comment] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(1110),
  },
  [224] = {
    [anon_sym_DASH_EQ] = ACTIONS(1068),
    [anon_sym_COLON_EQ] = ACTIONS(1138),
    [anon_sym_PERCENT_EQ] = ACTIONS(1068),
    [anon_sym_PLUS_EQ] = ACTIONS(1068),
    [anon_sym_GT_GT_EQ] = ACTIONS(1068),
    [anon_sym_PIPE_EQ] = ACTIONS(1068),
    [anon_sym_EQ] = ACTIONS(1068),
    [anon_sym_LT_LT_EQ] = ACTIONS(1068),
    [anon_sym_STAR_EQ] = ACTIONS(1068),
    [anon_sym_AMP_EQ] = ACTIONS(1068),
    [anon_sym_CARET_EQ] = ACTIONS(1068),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1068),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1068),
  },
  [225] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(1140),
  },
  [226] = {
    [aux_sym_expression_list_repeat1] = STATE(536),
    [sym_argument_list] = STATE(749),
    [anon_sym_GT_GT_EQ] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_CARET] = ACTIONS(1074),
    [anon_sym_PIPE_PIPE] = ACTIONS(1076),
    [anon_sym_LT_EQ] = ACTIONS(1078),
    [anon_sym_DOT] = ACTIONS(1142),
    [anon_sym_PERCENT_EQ] = ACTIONS(617),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [anon_sym_AMP_EQ] = ACTIONS(617),
    [anon_sym_AMP] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1086),
    [anon_sym_LT_LT] = ACTIONS(1084),
    [anon_sym_LT_LT_EQ] = ACTIONS(617),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(617),
    [anon_sym_DASH_EQ] = ACTIONS(617),
    [anon_sym_SLASH] = ACTIONS(1084),
    [anon_sym_EQ] = ACTIONS(605),
    [anon_sym_GT_GT] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1088),
    [anon_sym_LT_DASH] = ACTIONS(1090),
    [anon_sym_PLUS_EQ] = ACTIONS(617),
    [anon_sym_PIPE_EQ] = ACTIONS(617),
    [anon_sym_PERCENT] = ACTIONS(1084),
    [anon_sym_GT] = ACTIONS(1092),
    [anon_sym_AMP_CARET] = ACTIONS(1084),
    [anon_sym_EQ_EQ] = ACTIONS(1078),
    [anon_sym_COLON_EQ] = ACTIONS(617),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_CARET_EQ] = ACTIONS(617),
    [anon_sym_GT_EQ] = ACTIONS(1078),
    [anon_sym_PIPE] = ACTIONS(1074),
    [anon_sym_BANG_EQ] = ACTIONS(1078),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_STAR_EQ] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_AMP_AMP] = ACTIONS(1096),
    [anon_sym_STAR] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(798),
    [anon_sym_LT] = ACTIONS(1092),
    [anon_sym_DASH_DASH] = ACTIONS(1098),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(617),
  },
  [227] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1146),
  },
  [228] = {
    [sym_var_declaration] = STATE(312),
    [sym_type_conversion_expression] = STATE(153),
    [sym_unary_expression] = STATE(153),
    [sym_slice_type] = STATE(1017),
    [sym__string_literal] = STATE(153),
    [sym__statement] = STATE(312),
    [sym_dec_statement] = STATE(312),
    [sym_break_statement] = STATE(312),
    [sym_if_statement] = STATE(312),
    [sym_expression_switch_statement] = STATE(312),
    [sym_parenthesized_expression] = STATE(153),
    [sym_index_expression] = STATE(153),
    [sym_parenthesized_type] = STATE(1280),
    [sym_struct_type] = STATE(1017),
    [sym_map_type] = STATE(1017),
    [sym_empty_statement] = STATE(312),
    [sym_assignment_statement] = STATE(312),
    [sym_continue_statement] = STATE(312),
    [sym_const_declaration] = STATE(312),
    [sym_call_expression] = STATE(153),
    [sym_slice_expression] = STATE(153),
    [sym_array_type] = STATE(1017),
    [sym_interface_type] = STATE(1280),
    [sym_block] = STATE(312),
    [sym_go_statement] = STATE(312),
    [sym_type_switch_statement] = STATE(312),
    [sym_expression_list] = STATE(150),
    [sym_composite_literal] = STATE(153),
    [sym_implicit_length_array_type] = STATE(1018),
    [sym_binary_expression] = STATE(153),
    [sym_interpreted_string_literal] = STATE(153),
    [sym_inc_statement] = STATE(312),
    [sym_fallthrough_statement] = STATE(312),
    [sym_defer_statement] = STATE(312),
    [sym__expression] = STATE(153),
    [sym_selector_expression] = STATE(153),
    [sym_type_declaration] = STATE(312),
    [sym__simple_type] = STATE(1280),
    [sym_qualified_type] = STATE(1017),
    [sym_channel_type] = STATE(1280),
    [sym__simple_statement] = STATE(312),
    [sym_short_var_declaration] = STATE(312),
    [sym_goto_statement] = STATE(312),
    [sym__declaration] = STATE(312),
    [sym_select_statement] = STATE(312),
    [sym_type_assertion_expression] = STATE(153),
    [sym_pointer_type] = STATE(1280),
    [sym_func_literal] = STATE(153),
    [sym_function_type] = STATE(1280),
    [sym_send_statement] = STATE(312),
    [sym_labeled_statement] = STATE(312),
    [sym_return_statement] = STATE(312),
    [sym_for_statement] = STATE(312),
    [sym_rune_literal] = ACTIONS(384),
    [anon_sym_defer] = ACTIONS(386),
    [anon_sym_DASH] = ACTIONS(388),
    [anon_sym_CARET] = ACTIONS(388),
    [anon_sym_select] = ACTIONS(390),
    [anon_sym_const] = ACTIONS(392),
    [sym_raw_string_literal] = ACTIONS(384),
    [sym_imaginary_literal] = ACTIONS(384),
    [anon_sym_LBRACK] = ACTIONS(239),
    [sym_nil] = ACTIONS(394),
    [anon_sym_if] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(388),
    [anon_sym_AMP] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_true] = ACTIONS(394),
    [anon_sym_fallthrough] = ACTIONS(400),
    [anon_sym_func] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(404),
    [anon_sym_LT_DASH] = ACTIONS(406),
    [anon_sym_struct] = ACTIONS(87),
    [sym_false] = ACTIONS(394),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym_break] = ACTIONS(410),
    [anon_sym_for] = ACTIONS(412),
    [anon_sym_var] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(418),
    [anon_sym_return] = ACTIONS(420),
    [anon_sym_make] = ACTIONS(398),
    [anon_sym_case] = ACTIONS(1150),
    [anon_sym_type] = ACTIONS(422),
    [sym_int_literal] = ACTIONS(394),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_goto] = ACTIONS(424),
    [anon_sym_go] = ACTIONS(426),
    [anon_sym_PLUS] = ACTIONS(388),
    [anon_sym_switch] = ACTIONS(428),
    [anon_sym_default] = ACTIONS(1150),
    [anon_sym_STAR] = ACTIONS(430),
    [sym_identifier] = ACTIONS(1152),
    [anon_sym_SEMI] = ACTIONS(434),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(394),
    [anon_sym_chan] = ACTIONS(235),
  },
  [229] = {
    [sym_expression_list] = STATE(313),
    [sym_type_conversion_expression] = STATE(505),
    [sym_composite_literal] = STATE(505),
    [sym_unary_expression] = STATE(505),
    [sym_slice_type] = STATE(1080),
    [sym_binary_expression] = STATE(505),
    [sym__string_literal] = STATE(505),
    [sym_implicit_length_array_type] = STATE(1081),
    [sym_interpreted_string_literal] = STATE(505),
    [sym__expression] = STATE(505),
    [sym_parenthesized_expression] = STATE(505),
    [sym_selector_expression] = STATE(505),
    [sym_index_expression] = STATE(505),
    [sym_parenthesized_type] = STATE(1282),
    [sym__simple_type] = STATE(1282),
    [sym_qualified_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1282),
    [sym_call_expression] = STATE(505),
    [sym_slice_expression] = STATE(505),
    [sym_type_assertion_expression] = STATE(505),
    [sym_pointer_type] = STATE(1282),
    [sym_array_type] = STATE(1080),
    [sym_func_literal] = STATE(505),
    [sym_interface_type] = STATE(1282),
    [sym_function_type] = STATE(1282),
    [sym_rune_literal] = ACTIONS(1154),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_CARET] = ACTIONS(660),
    [sym_raw_string_literal] = ACTIONS(1154),
    [sym_imaginary_literal] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(660),
    [anon_sym_make] = ACTIONS(664),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(720),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(720),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_STAR] = ACTIONS(668),
    [sym_identifier] = ACTIONS(670),
    [anon_sym_func] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(674),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(676),
    [sym_float_literal] = ACTIONS(720),
    [sym_false] = ACTIONS(720),
  },
  [230] = {
    [sym_expression_list] = STATE(314),
    [sym_type_conversion_expression] = STATE(505),
    [sym_composite_literal] = STATE(505),
    [sym_unary_expression] = STATE(505),
    [sym_slice_type] = STATE(1080),
    [sym_binary_expression] = STATE(505),
    [sym__string_literal] = STATE(505),
    [sym_implicit_length_array_type] = STATE(1081),
    [sym_interpreted_string_literal] = STATE(505),
    [sym__expression] = STATE(505),
    [sym_parenthesized_expression] = STATE(505),
    [sym_selector_expression] = STATE(505),
    [sym_index_expression] = STATE(505),
    [sym_parenthesized_type] = STATE(1282),
    [sym__simple_type] = STATE(1282),
    [sym_qualified_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1282),
    [sym_call_expression] = STATE(505),
    [sym_slice_expression] = STATE(505),
    [sym_type_assertion_expression] = STATE(505),
    [sym_pointer_type] = STATE(1282),
    [sym_array_type] = STATE(1080),
    [sym_func_literal] = STATE(505),
    [sym_interface_type] = STATE(1282),
    [sym_function_type] = STATE(1282),
    [sym_rune_literal] = ACTIONS(1154),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_CARET] = ACTIONS(660),
    [sym_raw_string_literal] = ACTIONS(1154),
    [sym_imaginary_literal] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(660),
    [anon_sym_make] = ACTIONS(664),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(720),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(720),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_STAR] = ACTIONS(668),
    [sym_identifier] = ACTIONS(670),
    [anon_sym_func] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(674),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(676),
    [sym_float_literal] = ACTIONS(720),
    [sym_false] = ACTIONS(720),
  },
  [231] = {
    [sym_var_declaration] = STATE(315),
    [sym_type_conversion_expression] = STATE(153),
    [sym_unary_expression] = STATE(153),
    [sym_slice_type] = STATE(1017),
    [sym__string_literal] = STATE(153),
    [sym__statement] = STATE(315),
    [sym_dec_statement] = STATE(315),
    [sym_break_statement] = STATE(315),
    [sym_if_statement] = STATE(315),
    [sym_expression_switch_statement] = STATE(315),
    [sym_parenthesized_expression] = STATE(153),
    [sym_index_expression] = STATE(153),
    [sym_parenthesized_type] = STATE(1280),
    [sym_struct_type] = STATE(1017),
    [sym_map_type] = STATE(1017),
    [sym_empty_statement] = STATE(315),
    [sym_assignment_statement] = STATE(315),
    [sym_continue_statement] = STATE(315),
    [sym_const_declaration] = STATE(315),
    [sym_call_expression] = STATE(153),
    [sym_slice_expression] = STATE(153),
    [sym_array_type] = STATE(1017),
    [sym_interface_type] = STATE(1280),
    [sym_block] = STATE(315),
    [sym_empty_labeled_statement] = STATE(316),
    [sym_go_statement] = STATE(315),
    [sym_type_switch_statement] = STATE(315),
    [sym_expression_list] = STATE(150),
    [sym_composite_literal] = STATE(153),
    [sym_implicit_length_array_type] = STATE(1018),
    [sym_binary_expression] = STATE(153),
    [sym_interpreted_string_literal] = STATE(153),
    [sym_inc_statement] = STATE(315),
    [sym_fallthrough_statement] = STATE(315),
    [sym_defer_statement] = STATE(315),
    [sym__expression] = STATE(153),
    [sym_selector_expression] = STATE(153),
    [sym_type_declaration] = STATE(315),
    [sym__simple_type] = STATE(1280),
    [sym_qualified_type] = STATE(1017),
    [sym_channel_type] = STATE(1280),
    [sym__simple_statement] = STATE(315),
    [sym_short_var_declaration] = STATE(315),
    [sym_goto_statement] = STATE(315),
    [sym__declaration] = STATE(315),
    [sym_select_statement] = STATE(315),
    [sym_type_assertion_expression] = STATE(153),
    [sym_pointer_type] = STATE(1280),
    [sym_func_literal] = STATE(153),
    [sym_function_type] = STATE(1280),
    [sym_send_statement] = STATE(315),
    [sym_labeled_statement] = STATE(315),
    [sym_return_statement] = STATE(315),
    [sym_for_statement] = STATE(315),
    [sym_rune_literal] = ACTIONS(384),
    [anon_sym_defer] = ACTIONS(386),
    [anon_sym_DASH] = ACTIONS(388),
    [anon_sym_CARET] = ACTIONS(388),
    [anon_sym_select] = ACTIONS(390),
    [anon_sym_const] = ACTIONS(392),
    [sym_raw_string_literal] = ACTIONS(384),
    [sym_imaginary_literal] = ACTIONS(384),
    [anon_sym_LBRACK] = ACTIONS(239),
    [sym_nil] = ACTIONS(394),
    [anon_sym_if] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(388),
    [anon_sym_AMP] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_true] = ACTIONS(394),
    [anon_sym_fallthrough] = ACTIONS(400),
    [anon_sym_func] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(404),
    [anon_sym_LT_DASH] = ACTIONS(406),
    [anon_sym_struct] = ACTIONS(87),
    [sym_false] = ACTIONS(394),
    [anon_sym_RBRACE] = ACTIONS(1156),
    [anon_sym_break] = ACTIONS(410),
    [anon_sym_for] = ACTIONS(412),
    [anon_sym_var] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(418),
    [anon_sym_return] = ACTIONS(420),
    [anon_sym_make] = ACTIONS(398),
    [anon_sym_case] = ACTIONS(1158),
    [anon_sym_type] = ACTIONS(422),
    [sym_int_literal] = ACTIONS(394),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_goto] = ACTIONS(424),
    [anon_sym_go] = ACTIONS(426),
    [anon_sym_PLUS] = ACTIONS(388),
    [anon_sym_switch] = ACTIONS(428),
    [anon_sym_default] = ACTIONS(1158),
    [anon_sym_STAR] = ACTIONS(430),
    [sym_identifier] = ACTIONS(432),
    [anon_sym_SEMI] = ACTIONS(434),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(394),
    [anon_sym_chan] = ACTIONS(235),
  },
  [232] = {
    [aux_sym__statement_list_repeat1] = STATE(318),
    [anon_sym_RBRACE] = ACTIONS(1158),
    [anon_sym_SEMI] = ACTIONS(1160),
    [anon_sym_case] = ACTIONS(1158),
    [anon_sym_LF] = ACTIONS(1162),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1158),
  },
  [233] = {
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_PERCENT] = ACTIONS(1164),
    [anon_sym_CARET] = ACTIONS(1164),
    [anon_sym_var] = ACTIONS(1164),
    [anon_sym_const] = ACTIONS(1164),
    [anon_sym_GT] = ACTIONS(1164),
    [anon_sym_package] = ACTIONS(1164),
    [anon_sym_AMP_CARET] = ACTIONS(1164),
    [anon_sym_DOT] = ACTIONS(1164),
    [anon_sym_EQ_EQ] = ACTIONS(1164),
    [anon_sym_LT_EQ] = ACTIONS(1164),
    [anon_sym_PIPE_PIPE] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_AMP] = ACTIONS(1164),
    [anon_sym_COMMA] = ACTIONS(1164),
    [anon_sym_type] = ACTIONS(1164),
    [anon_sym_import] = ACTIONS(1164),
    [anon_sym_LF] = ACTIONS(1166),
    [anon_sym_LT_LT] = ACTIONS(1164),
    [anon_sym_PIPE] = ACTIONS(1164),
    [anon_sym_BANG_EQ] = ACTIONS(1164),
    [anon_sym_GT_EQ] = ACTIONS(1164),
    [anon_sym_PLUS] = ACTIONS(1164),
    [ts_builtin_sym_end] = ACTIONS(1166),
    [anon_sym_SLASH] = ACTIONS(1164),
    [anon_sym_AMP_AMP] = ACTIONS(1164),
    [anon_sym_STAR] = ACTIONS(1164),
    [anon_sym_func] = ACTIONS(1164),
    [anon_sym_SEMI] = ACTIONS(1164),
    [anon_sym_LPAREN] = ACTIONS(1164),
    [anon_sym_GT_GT] = ACTIONS(1164),
    [sym_comment] = ACTIONS(61),
    [anon_sym_LT] = ACTIONS(1164),
  },
  [234] = {
    [anon_sym_RBRACE] = ACTIONS(1168),
    [anon_sym_SEMI] = ACTIONS(1168),
    [anon_sym_case] = ACTIONS(1168),
    [anon_sym_LF] = ACTIONS(1170),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1168),
  },
  [235] = {
    [anon_sym_RBRACE] = ACTIONS(1172),
    [anon_sym_SEMI] = ACTIONS(1172),
    [anon_sym_case] = ACTIONS(1172),
    [anon_sym_LF] = ACTIONS(1174),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1172),
  },
  [236] = {
    [sym_type_conversion_expression] = STATE(319),
    [sym_composite_literal] = STATE(319),
    [sym_unary_expression] = STATE(319),
    [sym_slice_type] = STATE(1080),
    [sym_binary_expression] = STATE(319),
    [sym__string_literal] = STATE(319),
    [sym_implicit_length_array_type] = STATE(1081),
    [sym_interpreted_string_literal] = STATE(319),
    [sym__expression] = STATE(319),
    [sym_parenthesized_expression] = STATE(319),
    [sym_selector_expression] = STATE(319),
    [sym_index_expression] = STATE(319),
    [sym_parenthesized_type] = STATE(1282),
    [sym__simple_type] = STATE(1282),
    [sym_qualified_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1282),
    [sym_call_expression] = STATE(319),
    [sym_slice_expression] = STATE(319),
    [sym_type_assertion_expression] = STATE(319),
    [sym_pointer_type] = STATE(1282),
    [sym_array_type] = STATE(1080),
    [sym_func_literal] = STATE(319),
    [sym_interface_type] = STATE(1282),
    [sym_function_type] = STATE(1282),
    [sym_rune_literal] = ACTIONS(1176),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_CARET] = ACTIONS(660),
    [sym_raw_string_literal] = ACTIONS(1176),
    [sym_imaginary_literal] = ACTIONS(1176),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(660),
    [anon_sym_make] = ACTIONS(664),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(1178),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_STAR] = ACTIONS(668),
    [sym_identifier] = ACTIONS(670),
    [anon_sym_func] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(674),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(676),
    [sym_float_literal] = ACTIONS(1178),
    [sym_false] = ACTIONS(1178),
  },
  [237] = {
    [sym_struct_type] = STATE(320),
    [sym_map_type] = STATE(320),
    [sym_channel_type] = STATE(320),
    [sym_pointer_type] = STATE(320),
    [sym_array_type] = STATE(320),
    [sym_interface_type] = STATE(320),
    [sym_function_type] = STATE(320),
    [sym_slice_type] = STATE(320),
    [sym_parenthesized_type] = STATE(320),
    [sym__simple_type] = STATE(320),
    [sym_qualified_type] = STATE(320),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [238] = {
    [anon_sym_RBRACE] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_PERCENT] = ACTIONS(1180),
    [anon_sym_CARET] = ACTIONS(1180),
    [anon_sym_PIPE_PIPE] = ACTIONS(1180),
    [anon_sym_GT] = ACTIONS(1182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1180),
    [anon_sym_AMP_CARET] = ACTIONS(1180),
    [anon_sym_LT_EQ] = ACTIONS(1180),
    [anon_sym_DOT] = ACTIONS(1182),
    [anon_sym_EQ_EQ] = ACTIONS(1180),
    [anon_sym_RPAREN] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_COLON_EQ] = ACTIONS(1180),
    [anon_sym_AMP] = ACTIONS(1182),
    [anon_sym_GT_EQ] = ACTIONS(1180),
    [anon_sym_COMMA] = ACTIONS(1180),
    [anon_sym_PIPE] = ACTIONS(1182),
    [anon_sym_LT_LT] = ACTIONS(1180),
    [anon_sym_BANG_EQ] = ACTIONS(1180),
    [anon_sym_RBRACK] = ACTIONS(1180),
    [anon_sym_COLON] = ACTIONS(1182),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_SLASH] = ACTIONS(1182),
    [anon_sym_AMP_AMP] = ACTIONS(1180),
    [anon_sym_STAR] = ACTIONS(1180),
    [anon_sym_EQ] = ACTIONS(1182),
    [anon_sym_GT_GT] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(1180),
    [anon_sym_LT] = ACTIONS(1182),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1180),
  },
  [239] = {
    [sym_literal_value] = STATE(160),
    [anon_sym_RBRACE] = ACTIONS(456),
    [anon_sym_COMMA] = ACTIONS(456),
    [anon_sym_GT_EQ] = ACTIONS(456),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_LT_LT] = ACTIONS(456),
    [anon_sym_BANG_EQ] = ACTIONS(456),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_PERCENT] = ACTIONS(456),
    [anon_sym_CARET] = ACTIONS(456),
    [anon_sym_PIPE_PIPE] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_AMP_CARET] = ACTIONS(456),
    [anon_sym_COLON] = ACTIONS(1184),
    [anon_sym_DOT] = ACTIONS(460),
    [anon_sym_PLUS] = ACTIONS(456),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_EQ_EQ] = ACTIONS(456),
    [anon_sym_LBRACK] = ACTIONS(456),
    [anon_sym_LT_EQ] = ACTIONS(456),
    [anon_sym_AMP_AMP] = ACTIONS(456),
    [anon_sym_STAR] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_GT_GT] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LT] = ACTIONS(458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(458),
  },
  [240] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_RBRACE] = ACTIONS(1186),
    [anon_sym_COMMA] = ACTIONS(1186),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_COLON] = ACTIONS(1188),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(498),
  },
  [241] = {
    [anon_sym_RBRACE] = ACTIONS(1186),
    [anon_sym_COMMA] = ACTIONS(1186),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1188),
  },
  [242] = {
    [aux_sym_literal_value_repeat1] = STATE(325),
    [anon_sym_RBRACE] = ACTIONS(1190),
    [anon_sym_COMMA] = ACTIONS(1192),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_block] = STATE(326),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(832),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(941),
  },
  [244] = {
    [anon_sym_RBRACE] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_PERCENT] = ACTIONS(1194),
    [anon_sym_CARET] = ACTIONS(1194),
    [anon_sym_PIPE_PIPE] = ACTIONS(1194),
    [anon_sym_GT] = ACTIONS(1196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1194),
    [anon_sym_AMP_CARET] = ACTIONS(1194),
    [anon_sym_LT_EQ] = ACTIONS(1194),
    [anon_sym_DOT] = ACTIONS(1196),
    [anon_sym_EQ_EQ] = ACTIONS(1194),
    [anon_sym_RPAREN] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_COLON_EQ] = ACTIONS(1194),
    [anon_sym_AMP] = ACTIONS(1196),
    [anon_sym_GT_EQ] = ACTIONS(1194),
    [anon_sym_COMMA] = ACTIONS(1194),
    [anon_sym_PIPE] = ACTIONS(1196),
    [anon_sym_LT_LT] = ACTIONS(1194),
    [anon_sym_BANG_EQ] = ACTIONS(1194),
    [anon_sym_RBRACK] = ACTIONS(1194),
    [anon_sym_COLON] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_SLASH] = ACTIONS(1196),
    [anon_sym_AMP_AMP] = ACTIONS(1194),
    [anon_sym_STAR] = ACTIONS(1194),
    [anon_sym_EQ] = ACTIONS(1196),
    [anon_sym_GT_GT] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1194),
    [anon_sym_LT] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1194),
  },
  [245] = {
    [anon_sym_RBRACE] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_PERCENT] = ACTIONS(1198),
    [anon_sym_CARET] = ACTIONS(1198),
    [anon_sym_PIPE_PIPE] = ACTIONS(1198),
    [anon_sym_GT] = ACTIONS(1200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1198),
    [anon_sym_AMP_CARET] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1198),
    [anon_sym_DOT] = ACTIONS(1200),
    [anon_sym_EQ_EQ] = ACTIONS(1198),
    [anon_sym_RPAREN] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1198),
    [anon_sym_COLON_EQ] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1200),
    [anon_sym_GT_EQ] = ACTIONS(1198),
    [anon_sym_COMMA] = ACTIONS(1198),
    [anon_sym_PIPE] = ACTIONS(1200),
    [anon_sym_LT_LT] = ACTIONS(1198),
    [anon_sym_BANG_EQ] = ACTIONS(1198),
    [anon_sym_RBRACK] = ACTIONS(1198),
    [anon_sym_COLON] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_SLASH] = ACTIONS(1200),
    [anon_sym_AMP_AMP] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_EQ] = ACTIONS(1200),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1198),
    [anon_sym_LT] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1198),
  },
  [246] = {
    [anon_sym_COLON] = ACTIONS(947),
    [anon_sym_COMMA] = ACTIONS(947),
    [anon_sym_LBRACE] = ACTIONS(947),
    [anon_sym_EQ] = ACTIONS(947),
    [anon_sym_RBRACK] = ACTIONS(947),
    [anon_sym_LPAREN] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(947),
  },
  [247] = {
    [aux_sym_expression_list_repeat1] = STATE(329),
    [anon_sym_COMMA] = ACTIONS(1202),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1204),
  },
  [248] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_RBRACE] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(1206),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(1206),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(1206),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1206),
    [anon_sym_COLON] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1206),
  },
  [249] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_RBRACE] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(1206),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(1206),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(1206),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(1206),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1206),
    [anon_sym_COLON] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1206),
  },
  [250] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_RBRACE] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_PERCENT] = ACTIONS(1206),
    [anon_sym_CARET] = ACTIONS(1206),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1206),
    [anon_sym_AMP_CARET] = ACTIONS(1206),
    [anon_sym_LT_EQ] = ACTIONS(1206),
    [anon_sym_DOT] = ACTIONS(814),
    [anon_sym_EQ_EQ] = ACTIONS(1206),
    [anon_sym_RPAREN] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_GT_EQ] = ACTIONS(1206),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_LT_LT] = ACTIONS(1206),
    [anon_sym_BANG_EQ] = ACTIONS(1206),
    [anon_sym_RBRACK] = ACTIONS(1206),
    [anon_sym_COLON] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_SLASH] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1206),
  },
  [251] = {
    [anon_sym_COLON] = ACTIONS(1210),
    [anon_sym_COMMA] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_EQ] = ACTIONS(1210),
    [anon_sym_RBRACK] = ACTIONS(1210),
    [anon_sym_LPAREN] = ACTIONS(1210),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1210),
  },
  [252] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_RBRACE] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(1206),
    [anon_sym_COLON] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1206),
  },
  [253] = {
    [anon_sym_RBRACE] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_PERCENT] = ACTIONS(1212),
    [anon_sym_CARET] = ACTIONS(1212),
    [anon_sym_PIPE_PIPE] = ACTIONS(1212),
    [anon_sym_GT] = ACTIONS(1214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1212),
    [anon_sym_AMP_CARET] = ACTIONS(1212),
    [anon_sym_LT_EQ] = ACTIONS(1212),
    [anon_sym_DOT] = ACTIONS(1214),
    [anon_sym_EQ_EQ] = ACTIONS(1212),
    [anon_sym_RPAREN] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_COLON_EQ] = ACTIONS(1212),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_GT_EQ] = ACTIONS(1212),
    [anon_sym_COMMA] = ACTIONS(1212),
    [anon_sym_PIPE] = ACTIONS(1214),
    [anon_sym_LT_LT] = ACTIONS(1212),
    [anon_sym_BANG_EQ] = ACTIONS(1212),
    [anon_sym_RBRACK] = ACTIONS(1212),
    [anon_sym_COLON] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(1214),
    [anon_sym_AMP_AMP] = ACTIONS(1212),
    [anon_sym_STAR] = ACTIONS(1212),
    [anon_sym_EQ] = ACTIONS(1214),
    [anon_sym_GT_GT] = ACTIONS(1212),
    [anon_sym_LPAREN] = ACTIONS(1212),
    [anon_sym_LT] = ACTIONS(1214),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1212),
  },
  [254] = {
    [sym_qualified_type] = STATE(330),
    [sym_map_type] = STATE(330),
    [sym_channel_type] = STATE(330),
    [sym_slice_type] = STATE(330),
    [sym_pointer_type] = STATE(330),
    [sym_array_type] = STATE(330),
    [sym_interface_type] = STATE(330),
    [sym_function_type] = STATE(330),
    [sym_parenthesized_type] = STATE(330),
    [sym__simple_type] = STATE(330),
    [sym_struct_type] = STATE(330),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [255] = {
    [sym_type_conversion_expression] = STATE(332),
    [sym_composite_literal] = STATE(332),
    [sym_unary_expression] = STATE(332),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(332),
    [sym__string_literal] = STATE(332),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(332),
    [sym__expression] = STATE(332),
    [sym_parenthesized_expression] = STATE(332),
    [sym_selector_expression] = STATE(332),
    [sym_index_expression] = STATE(332),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(332),
    [sym_slice_expression] = STATE(332),
    [sym_type_assertion_expression] = STATE(332),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(332),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(1216),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(1216),
    [sym_imaginary_literal] = ACTIONS(1216),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(1218),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1218),
    [anon_sym_RBRACK] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(1218),
    [sym_false] = ACTIONS(1218),
  },
  [256] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(1222),
    [anon_sym_COLON] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_RBRACE] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(1206),
    [anon_sym_COLON] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1206),
  },
  [258] = {
    [anon_sym_RBRACE] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1226),
    [anon_sym_PERCENT] = ACTIONS(1226),
    [anon_sym_CARET] = ACTIONS(1226),
    [anon_sym_PIPE_PIPE] = ACTIONS(1226),
    [anon_sym_GT] = ACTIONS(1228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1226),
    [anon_sym_AMP_CARET] = ACTIONS(1226),
    [anon_sym_LT_EQ] = ACTIONS(1226),
    [anon_sym_DOT] = ACTIONS(1228),
    [anon_sym_EQ_EQ] = ACTIONS(1226),
    [anon_sym_RPAREN] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_LBRACK] = ACTIONS(1226),
    [anon_sym_COLON_EQ] = ACTIONS(1226),
    [anon_sym_AMP] = ACTIONS(1228),
    [anon_sym_GT_EQ] = ACTIONS(1226),
    [anon_sym_COMMA] = ACTIONS(1226),
    [anon_sym_PIPE] = ACTIONS(1228),
    [anon_sym_LT_LT] = ACTIONS(1226),
    [anon_sym_BANG_EQ] = ACTIONS(1226),
    [anon_sym_RBRACK] = ACTIONS(1226),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1226),
    [anon_sym_SLASH] = ACTIONS(1228),
    [anon_sym_AMP_AMP] = ACTIONS(1226),
    [anon_sym_STAR] = ACTIONS(1226),
    [anon_sym_EQ] = ACTIONS(1228),
    [anon_sym_GT_GT] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1226),
    [anon_sym_LT] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1226),
  },
  [259] = {
    [aux_sym_argument_list_repeat1] = STATE(337),
    [anon_sym_COMMA] = ACTIONS(1230),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1232),
  },
  [260] = {
    [aux_sym_argument_list_repeat1] = STATE(337),
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1234),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(814),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_RPAREN] = ACTIONS(1232),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_COMMA] = ACTIONS(1230),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_RPAREN] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(1238),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_method_spec] = STATE(343),
    [sym_qualified_type] = STATE(343),
    [sym_identifier] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1242),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [anon_sym_COLON] = ACTIONS(1244),
    [anon_sym_COMMA] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_EQ] = ACTIONS(1244),
    [anon_sym_RBRACK] = ACTIONS(1244),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1244),
  },
  [264] = {
    [sym_parameter_list] = STATE(344),
    [sym_map_type] = STATE(344),
    [sym_channel_type] = STATE(344),
    [sym_pointer_type] = STATE(344),
    [sym_array_type] = STATE(344),
    [sym_struct_type] = STATE(344),
    [sym_interface_type] = STATE(344),
    [sym_function_type] = STATE(344),
    [sym_slice_type] = STATE(344),
    [sym__simple_type] = STATE(344),
    [sym_qualified_type] = STATE(344),
    [anon_sym_RBRACE] = ACTIONS(1246),
    [sym_comment] = ACTIONS(61),
    [anon_sym_LF] = ACTIONS(1248),
    [anon_sym_LBRACK] = ACTIONS(961),
    [anon_sym_interface] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(965),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_SEMI] = ACTIONS(1246),
    [anon_sym_func] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_map] = ACTIONS(957),
    [anon_sym_LT_DASH] = ACTIONS(973),
    [anon_sym_struct] = ACTIONS(975),
    [anon_sym_chan] = ACTIONS(977),
  },
  [265] = {
    [aux_sym_method_spec_list_repeat1] = STATE(346),
    [anon_sym_RBRACE] = ACTIONS(1250),
    [anon_sym_SEMI] = ACTIONS(1252),
    [anon_sym_LF] = ACTIONS(1254),
    [sym_comment] = ACTIONS(61),
  },
  [266] = {
    [sym_method_spec] = STATE(343),
    [sym_qualified_type] = STATE(343),
    [sym_identifier] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [anon_sym_COLON] = ACTIONS(1258),
    [anon_sym_COMMA] = ACTIONS(1258),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_EQ] = ACTIONS(1258),
    [anon_sym_RBRACK] = ACTIONS(1258),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1258),
  },
  [268] = {
    [aux_sym_method_spec_list_repeat1] = STATE(346),
    [anon_sym_RBRACE] = ACTIONS(1260),
    [anon_sym_SEMI] = ACTIONS(1262),
    [anon_sym_LF] = ACTIONS(1264),
    [sym_comment] = ACTIONS(61),
  },
  [269] = {
    [sym_qualified_type] = STATE(349),
    [sym_map_type] = STATE(349),
    [sym_channel_type] = STATE(349),
    [sym_slice_type] = STATE(349),
    [sym_pointer_type] = STATE(349),
    [sym_array_type] = STATE(349),
    [sym_interface_type] = STATE(349),
    [sym_function_type] = STATE(349),
    [sym_parenthesized_type] = STATE(349),
    [sym__simple_type] = STATE(349),
    [sym_struct_type] = STATE(349),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [270] = {
    [sym_identifier] = ACTIONS(1266),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_struct_type] = STATE(352),
    [sym_map_type] = STATE(352),
    [sym_channel_type] = STATE(352),
    [sym_pointer_type] = STATE(352),
    [sym_array_type] = STATE(352),
    [aux_sym_field_name_list_repeat1] = STATE(351),
    [sym_interface_type] = STATE(352),
    [sym_function_type] = STATE(352),
    [sym_slice_type] = STATE(352),
    [sym_parenthesized_type] = STATE(352),
    [sym__simple_type] = STATE(352),
    [sym_qualified_type] = STATE(352),
    [anon_sym_COMMA] = ACTIONS(1268),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_interface] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(1272),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_func] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_map] = ACTIONS(957),
    [anon_sym_LT_DASH] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(975),
    [anon_sym_chan] = ACTIONS(977),
  },
  [272] = {
    [anon_sym_RBRACE] = ACTIONS(1278),
    [anon_sym_SEMI] = ACTIONS(1278),
    [anon_sym_LF] = ACTIONS(1280),
    [sym_comment] = ACTIONS(61),
  },
  [273] = {
    [sym_interpreted_string_literal] = STATE(353),
    [sym__string_literal] = STATE(353),
    [anon_sym_RBRACE] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(953),
    [anon_sym_LF] = ACTIONS(1284),
    [sym_raw_string_literal] = ACTIONS(1286),
    [sym_comment] = ACTIONS(61),
  },
  [274] = {
    [sym_interpreted_string_literal] = STATE(354),
    [sym__string_literal] = STATE(354),
    [anon_sym_RBRACE] = ACTIONS(1288),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym_DOT] = ACTIONS(917),
    [anon_sym_DQUOTE] = ACTIONS(953),
    [anon_sym_LF] = ACTIONS(1290),
    [sym_raw_string_literal] = ACTIONS(1292),
    [sym_comment] = ACTIONS(61),
  },
  [275] = {
    [sym_interpreted_string_literal] = STATE(355),
    [sym__string_literal] = STATE(355),
    [anon_sym_RBRACE] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(953),
    [anon_sym_LF] = ACTIONS(1296),
    [sym_raw_string_literal] = ACTIONS(1298),
    [sym_comment] = ACTIONS(61),
  },
  [276] = {
    [sym_field_declaration] = STATE(357),
    [sym_qualified_type] = STATE(192),
    [sym_identifier] = ACTIONS(528),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(532),
  },
  [277] = {
    [anon_sym_COLON] = ACTIONS(1302),
    [anon_sym_COMMA] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_EQ] = ACTIONS(1302),
    [anon_sym_RBRACK] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1302),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1302),
  },
  [278] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(359),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1306),
    [anon_sym_LF] = ACTIONS(1308),
    [sym_comment] = ACTIONS(61),
  },
  [279] = {
    [anon_sym_RBRACE] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym_LF] = ACTIONS(1296),
    [sym_comment] = ACTIONS(61),
  },
  [280] = {
    [anon_sym_COMMA] = ACTIONS(1310),
    [anon_sym_RBRACK] = ACTIONS(1310),
    [anon_sym_map] = ACTIONS(1312),
    [anon_sym_RPAREN] = ACTIONS(1310),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_LBRACK] = ACTIONS(1310),
    [anon_sym_interface] = ACTIONS(1312),
    [anon_sym_EQ] = ACTIONS(1310),
    [anon_sym_STAR] = ACTIONS(1310),
    [sym_identifier] = ACTIONS(1312),
    [anon_sym_func] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1310),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(1310),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_chan] = ACTIONS(1312),
  },
  [281] = {
    [sym_struct_type] = STATE(48),
    [sym_map_type] = STATE(48),
    [sym_channel_type] = STATE(48),
    [sym_pointer_type] = STATE(48),
    [sym_array_type] = STATE(48),
    [sym_parameter_declaration] = STATE(195),
    [sym_interface_type] = STATE(48),
    [sym_function_type] = STATE(48),
    [sym_variadic_parameter_declaration] = STATE(195),
    [sym_slice_type] = STATE(48),
    [sym_parenthesized_type] = STATE(48),
    [sym__simple_type] = STATE(48),
    [sym_qualified_type] = STATE(48),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [282] = {
    [anon_sym_type] = ACTIONS(1314),
    [anon_sym_import] = ACTIONS(1314),
    [anon_sym_LF] = ACTIONS(1316),
    [ts_builtin_sym_end] = ACTIONS(1316),
    [anon_sym_func] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym_var] = ACTIONS(1314),
    [anon_sym_const] = ACTIONS(1314),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(1314),
  },
  [283] = {
    [sym_argument_list] = STATE(519),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(601),
    [anon_sym_var] = ACTIONS(1318),
    [anon_sym_const] = ACTIONS(1318),
    [anon_sym_PIPE_PIPE] = ACTIONS(607),
    [anon_sym_package] = ACTIONS(1318),
    [anon_sym_GT] = ACTIONS(609),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_LT_EQ] = ACTIONS(609),
    [anon_sym_DOT] = ACTIONS(611),
    [anon_sym_EQ_EQ] = ACTIONS(609),
    [anon_sym_LBRACK] = ACTIONS(613),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_COMMA] = ACTIONS(1318),
    [anon_sym_type] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(1318),
    [anon_sym_LF] = ACTIONS(1320),
    [anon_sym_GT_EQ] = ACTIONS(609),
    [anon_sym_PIPE] = ACTIONS(601),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_BANG_EQ] = ACTIONS(609),
    [anon_sym_PLUS] = ACTIONS(601),
    [ts_builtin_sym_end] = ACTIONS(1320),
    [anon_sym_SLASH] = ACTIONS(603),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_func] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_LT] = ACTIONS(609),
    [sym_comment] = ACTIONS(61),
  },
  [284] = {
    [aux_sym_expression_list_repeat1] = STATE(284),
    [anon_sym_COMMA] = ACTIONS(1322),
    [anon_sym_type] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(1318),
    [anon_sym_LF] = ACTIONS(1320),
    [ts_builtin_sym_end] = ACTIONS(1320),
    [anon_sym_func] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym_var] = ACTIONS(1318),
    [anon_sym_const] = ACTIONS(1318),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(1318),
  },
  [285] = {
    [anon_sym_type] = ACTIONS(1325),
    [anon_sym_import] = ACTIONS(1325),
    [anon_sym_LF] = ACTIONS(1327),
    [ts_builtin_sym_end] = ACTIONS(1327),
    [anon_sym_func] = ACTIONS(1325),
    [anon_sym_SEMI] = ACTIONS(1325),
    [anon_sym_var] = ACTIONS(1325),
    [anon_sym_const] = ACTIONS(1325),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(1325),
  },
  [286] = {
    [anon_sym_type] = ACTIONS(1329),
    [anon_sym_import] = ACTIONS(1329),
    [anon_sym_LF] = ACTIONS(1331),
    [ts_builtin_sym_end] = ACTIONS(1331),
    [anon_sym_func] = ACTIONS(1329),
    [anon_sym_SEMI] = ACTIONS(1329),
    [anon_sym_var] = ACTIONS(1329),
    [anon_sym_const] = ACTIONS(1329),
    [sym_comment] = ACTIONS(61),
    [anon_sym_package] = ACTIONS(1329),
  },
  [287] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_PIPE] = ACTIONS(1335),
    [anon_sym_LT_LT] = ACTIONS(1337),
    [anon_sym_BANG_EQ] = ACTIONS(1333),
    [anon_sym_DASH] = ACTIONS(1339),
    [anon_sym_PERCENT] = ACTIONS(1337),
    [anon_sym_CARET] = ACTIONS(1339),
    [anon_sym_PIPE_PIPE] = ACTIONS(1341),
    [anon_sym_GT] = ACTIONS(1343),
    [anon_sym_AMP_CARET] = ACTIONS(1337),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_LBRACE] = ACTIONS(1345),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(1349),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_GT_GT] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(1347),
  },
  [288] = {
    [sym_expression_list] = STATE(1027),
    [sym_composite_literal] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_slice_type] = STATE(1115),
    [sym_binary_expression] = STATE(514),
    [sym_interpreted_string_literal] = STATE(514),
    [sym__string_literal] = STATE(514),
    [sym_type_conversion_expression] = STATE(514),
    [sym_implicit_length_array_type] = STATE(1116),
    [sym_dec_statement] = STATE(360),
    [sym_inc_statement] = STATE(360),
    [sym__expression] = STATE(514),
    [sym_parenthesized_expression] = STATE(514),
    [sym_selector_expression] = STATE(514),
    [sym_index_expression] = STATE(514),
    [sym_parenthesized_type] = STATE(1283),
    [sym__simple_type] = STATE(1283),
    [sym_qualified_type] = STATE(1115),
    [sym_struct_type] = STATE(1115),
    [sym_map_type] = STATE(1115),
    [sym_channel_type] = STATE(1283),
    [sym__simple_statement] = STATE(360),
    [sym_assignment_statement] = STATE(360),
    [sym_short_var_declaration] = STATE(360),
    [sym_call_expression] = STATE(514),
    [sym_slice_expression] = STATE(514),
    [sym_type_assertion_expression] = STATE(514),
    [sym_pointer_type] = STATE(1283),
    [sym_array_type] = STATE(1115),
    [sym_func_literal] = STATE(514),
    [sym_interface_type] = STATE(1283),
    [sym_function_type] = STATE(1283),
    [sym_send_statement] = STATE(360),
    [sym_rune_literal] = ACTIONS(1351),
    [sym_false] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(692),
    [anon_sym_LT_DASH] = ACTIONS(704),
    [anon_sym_make] = ACTIONS(688),
    [sym_float_literal] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(686),
    [anon_sym_new] = ACTIONS(688),
    [anon_sym_CARET] = ACTIONS(686),
    [sym_int_literal] = ACTIONS(1353),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [sym_raw_string_literal] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(686),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [sym_imaginary_literal] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(694),
    [sym_identifier] = ACTIONS(696),
    [anon_sym_func] = ACTIONS(702),
    [anon_sym_LPAREN] = ACTIONS(700),
    [anon_sym_BANG] = ACTIONS(686),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [289] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [anon_sym_SEMI] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(498),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [anon_sym_RBRACE] = ACTIONS(1359),
    [anon_sym_SEMI] = ACTIONS(1359),
    [anon_sym_case] = ACTIONS(1359),
    [anon_sym_LF] = ACTIONS(1361),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1359),
  },
  [291] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_expression_list] = STATE(570),
    [sym_type_conversion_expression] = STATE(614),
    [sym_composite_literal] = STATE(614),
    [sym_unary_expression] = STATE(614),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(614),
    [sym__string_literal] = STATE(614),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_call_expression] = STATE(614),
    [sym_interpreted_string_literal] = STATE(614),
    [sym_slice_expression] = STATE(614),
    [sym_type_assertion_expression] = STATE(614),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(614),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(614),
    [sym_parenthesized_expression] = STATE(614),
    [sym_selector_expression] = STATE(614),
    [sym_index_expression] = STATE(614),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_false] = ACTIONS(1365),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(1365),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
    [sym_raw_string_literal] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_range] = ACTIONS(1367),
    [anon_sym_chan] = ACTIONS(235),
  },
  [292] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_expression_list] = STATE(569),
    [sym_type_conversion_expression] = STATE(614),
    [sym_composite_literal] = STATE(614),
    [sym_unary_expression] = STATE(614),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(614),
    [sym__string_literal] = STATE(614),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_call_expression] = STATE(614),
    [sym_interpreted_string_literal] = STATE(614),
    [sym_slice_expression] = STATE(614),
    [sym_type_assertion_expression] = STATE(614),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(614),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(614),
    [sym_parenthesized_expression] = STATE(614),
    [sym_selector_expression] = STATE(614),
    [sym_index_expression] = STATE(614),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1363),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_false] = ACTIONS(1365),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(1365),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
    [sym_raw_string_literal] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_range] = ACTIONS(1367),
    [anon_sym_chan] = ACTIONS(235),
  },
  [293] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(363),
    [sym_composite_literal] = STATE(363),
    [sym_unary_expression] = STATE(363),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(363),
    [sym__string_literal] = STATE(363),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(363),
    [sym_call_expression] = STATE(363),
    [sym_slice_expression] = STATE(363),
    [sym_type_assertion_expression] = STATE(363),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(363),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(363),
    [sym_parenthesized_expression] = STATE(363),
    [sym_selector_expression] = STATE(363),
    [sym_index_expression] = STATE(363),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1369),
    [sym_false] = ACTIONS(1371),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(1371),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1371),
    [sym_comment] = ACTIONS(3),
    [sym_raw_string_literal] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1371),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_SEMI] = ACTIONS(1357),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [294] = {
    [sym_expression_list] = STATE(364),
    [sym_composite_literal] = STATE(365),
    [sym_unary_expression] = STATE(365),
    [sym_slice_type] = STATE(1185),
    [sym_binary_expression] = STATE(365),
    [sym__string_literal] = STATE(365),
    [sym_type_conversion_expression] = STATE(365),
    [sym_implicit_length_array_type] = STATE(1186),
    [sym_interpreted_string_literal] = STATE(365),
    [sym__expression] = STATE(365),
    [sym_parenthesized_expression] = STATE(365),
    [sym_selector_expression] = STATE(365),
    [sym_index_expression] = STATE(365),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_qualified_type] = STATE(1185),
    [sym_struct_type] = STATE(1185),
    [sym_map_type] = STATE(1185),
    [sym_channel_type] = STATE(1285),
    [sym_call_expression] = STATE(365),
    [sym_slice_expression] = STATE(365),
    [sym_type_assertion_expression] = STATE(365),
    [sym_pointer_type] = STATE(1285),
    [sym_array_type] = STATE(1185),
    [sym_func_literal] = STATE(365),
    [sym_interface_type] = STATE(1285),
    [sym_function_type] = STATE(1285),
    [sym_send_statement] = STATE(366),
    [sym_receive_statement] = STATE(366),
    [sym_rune_literal] = ACTIONS(1373),
    [sym_false] = ACTIONS(1375),
    [anon_sym_DQUOTE] = ACTIONS(1377),
    [anon_sym_make] = ACTIONS(1379),
    [sym_float_literal] = ACTIONS(1375),
    [anon_sym_new] = ACTIONS(1379),
    [anon_sym_DASH] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(1381),
    [sym_int_literal] = ACTIONS(1375),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1375),
    [sym_raw_string_literal] = ACTIONS(1373),
    [anon_sym_PLUS] = ACTIONS(1381),
    [sym_imaginary_literal] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1383),
    [sym_identifier] = ACTIONS(1385),
    [anon_sym_func] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1381),
    [anon_sym_LT_DASH] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [295] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1393),
  },
  [296] = {
    [anon_sym_RBRACE] = ACTIONS(1395),
    [anon_sym_SEMI] = ACTIONS(1395),
    [anon_sym_case] = ACTIONS(1395),
    [anon_sym_LF] = ACTIONS(1397),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1395),
  },
  [297] = {
    [sym_type_switch_statement] = STATE(151),
    [sym_var_declaration] = STATE(151),
    [sym_type_conversion_expression] = STATE(153),
    [sym_composite_literal] = STATE(153),
    [sym_unary_expression] = STATE(153),
    [sym_slice_type] = STATE(1017),
    [sym_expression_list] = STATE(150),
    [sym_binary_expression] = STATE(153),
    [sym__string_literal] = STATE(153),
    [sym__statement] = STATE(151),
    [sym_inc_statement] = STATE(151),
    [sym_dec_statement] = STATE(151),
    [sym_fallthrough_statement] = STATE(151),
    [sym_break_statement] = STATE(151),
    [sym_defer_statement] = STATE(151),
    [sym_if_statement] = STATE(151),
    [sym_implicit_length_array_type] = STATE(1018),
    [sym_expression_switch_statement] = STATE(151),
    [sym_interpreted_string_literal] = STATE(153),
    [sym__statement_list] = STATE(368),
    [sym__expression] = STATE(153),
    [sym_parenthesized_expression] = STATE(153),
    [sym_selector_expression] = STATE(153),
    [sym_type_declaration] = STATE(151),
    [sym_index_expression] = STATE(153),
    [sym_parenthesized_type] = STATE(1280),
    [sym_qualified_type] = STATE(1017),
    [sym_struct_type] = STATE(1017),
    [sym_map_type] = STATE(1017),
    [sym_channel_type] = STATE(1280),
    [sym_empty_statement] = STATE(151),
    [sym__simple_statement] = STATE(151),
    [sym_assignment_statement] = STATE(151),
    [sym_short_var_declaration] = STATE(151),
    [sym_continue_statement] = STATE(151),
    [sym_goto_statement] = STATE(151),
    [sym__simple_type] = STATE(1280),
    [sym__declaration] = STATE(151),
    [sym_const_declaration] = STATE(151),
    [sym_select_statement] = STATE(151),
    [sym_call_expression] = STATE(153),
    [sym_slice_expression] = STATE(153),
    [sym_type_assertion_expression] = STATE(153),
    [sym_pointer_type] = STATE(1280),
    [sym_array_type] = STATE(1017),
    [sym_func_literal] = STATE(153),
    [sym_interface_type] = STATE(1280),
    [sym_function_type] = STATE(1280),
    [sym_block] = STATE(151),
    [sym_send_statement] = STATE(151),
    [sym_labeled_statement] = STATE(151),
    [sym_empty_labeled_statement] = STATE(368),
    [sym_return_statement] = STATE(151),
    [sym_go_statement] = STATE(151),
    [sym_for_statement] = STATE(151),
    [anon_sym_RBRACE] = ACTIONS(1399),
    [anon_sym_break] = ACTIONS(410),
    [anon_sym_defer] = ACTIONS(386),
    [sym_rune_literal] = ACTIONS(384),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(388),
    [anon_sym_CARET] = ACTIONS(388),
    [anon_sym_for] = ACTIONS(412),
    [anon_sym_select] = ACTIONS(390),
    [anon_sym_var] = ACTIONS(414),
    [anon_sym_const] = ACTIONS(392),
    [sym_raw_string_literal] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(418),
    [anon_sym_if] = ACTIONS(396),
    [anon_sym_return] = ACTIONS(420),
    [sym_imaginary_literal] = ACTIONS(384),
    [sym_nil] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(388),
    [anon_sym_make] = ACTIONS(398),
    [anon_sym_AMP] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_case] = ACTIONS(1401),
    [anon_sym_type] = ACTIONS(422),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_int_literal] = ACTIONS(394),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_goto] = ACTIONS(424),
    [anon_sym_fallthrough] = ACTIONS(400),
    [anon_sym_go] = ACTIONS(426),
    [sym_true] = ACTIONS(394),
    [anon_sym_PLUS] = ACTIONS(388),
    [anon_sym_switch] = ACTIONS(428),
    [anon_sym_default] = ACTIONS(1401),
    [anon_sym_STAR] = ACTIONS(430),
    [sym_identifier] = ACTIONS(432),
    [anon_sym_func] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(404),
    [anon_sym_SEMI] = ACTIONS(434),
    [anon_sym_LT_DASH] = ACTIONS(406),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(394),
    [sym_false] = ACTIONS(394),
  },
  [298] = {
    [sym_default_case] = STATE(297),
    [sym_communication_clause] = STATE(370),
    [sym_communication_case] = STATE(297),
    [aux_sym_select_statement_repeat1] = STATE(370),
    [anon_sym_case] = ACTIONS(1106),
    [anon_sym_RBRACE] = ACTIONS(1403),
    [sym_comment] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(1110),
  },
  [299] = {
    [sym_else_clause] = STATE(372),
    [anon_sym_RBRACE] = ACTIONS(1405),
    [anon_sym_case] = ACTIONS(1405),
    [anon_sym_LF] = ACTIONS(1407),
    [anon_sym_else] = ACTIONS(1409),
    [anon_sym_default] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(1405),
    [sym_comment] = ACTIONS(61),
  },
  [300] = {
    [anon_sym_chan] = ACTIONS(1411),
    [anon_sym_AMP] = ACTIONS(1413),
    [anon_sym_DQUOTE] = ACTIONS(1413),
    [sym_float_literal] = ACTIONS(1411),
    [sym_rune_literal] = ACTIONS(1413),
    [sym_false] = ACTIONS(1411),
    [anon_sym_DASH] = ACTIONS(1413),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(1413),
    [sym_int_literal] = ACTIONS(1411),
    [anon_sym_map] = ACTIONS(1411),
    [sym_true] = ACTIONS(1411),
    [sym_raw_string_literal] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1413),
    [sym_imaginary_literal] = ACTIONS(1413),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [anon_sym_interface] = ACTIONS(1411),
    [sym_nil] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1413),
    [anon_sym_func] = ACTIONS(1411),
    [sym_identifier] = ACTIONS(1411),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [anon_sym_BANG] = ACTIONS(1413),
    [anon_sym_LT_DASH] = ACTIONS(1413),
    [anon_sym_make] = ACTIONS(1411),
    [anon_sym_struct] = ACTIONS(1411),
    [anon_sym_new] = ACTIONS(1411),
  },
  [301] = {
    [sym_block] = STATE(373),
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(1339),
    [anon_sym_PERCENT] = ACTIONS(1337),
    [anon_sym_CARET] = ACTIONS(1339),
    [anon_sym_PIPE_PIPE] = ACTIONS(1341),
    [anon_sym_GT] = ACTIONS(1343),
    [anon_sym_AMP_CARET] = ACTIONS(1337),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(1333),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(1347),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_PIPE] = ACTIONS(1335),
    [anon_sym_LT_LT] = ACTIONS(1337),
    [anon_sym_BANG_EQ] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_AMP_AMP] = ACTIONS(1349),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_GT_GT] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_expression_list] = STATE(374),
    [sym_type_conversion_expression] = STATE(614),
    [sym_composite_literal] = STATE(614),
    [sym_unary_expression] = STATE(614),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(614),
    [sym__string_literal] = STATE(614),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_call_expression] = STATE(614),
    [sym_interpreted_string_literal] = STATE(614),
    [sym_slice_expression] = STATE(614),
    [sym_type_assertion_expression] = STATE(614),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(614),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(614),
    [sym_parenthesized_expression] = STATE(614),
    [sym_selector_expression] = STATE(614),
    [sym_index_expression] = STATE(614),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1363),
    [sym_false] = ACTIONS(1365),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(1365),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1365),
    [sym_raw_string_literal] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [303] = {
    [anon_sym_RBRACE] = ACTIONS(1415),
    [anon_sym_SEMI] = ACTIONS(1415),
    [anon_sym_case] = ACTIONS(1415),
    [anon_sym_LF] = ACTIONS(1417),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1415),
  },
  [304] = {
    [sym_type_switch_statement] = STATE(151),
    [sym_var_declaration] = STATE(151),
    [sym_type_conversion_expression] = STATE(153),
    [sym_composite_literal] = STATE(153),
    [sym_unary_expression] = STATE(153),
    [sym_slice_type] = STATE(1017),
    [sym_expression_list] = STATE(150),
    [sym_binary_expression] = STATE(153),
    [sym__string_literal] = STATE(153),
    [sym__statement] = STATE(151),
    [sym_inc_statement] = STATE(151),
    [sym_dec_statement] = STATE(151),
    [sym_fallthrough_statement] = STATE(151),
    [sym_break_statement] = STATE(151),
    [sym_defer_statement] = STATE(151),
    [sym_if_statement] = STATE(151),
    [sym_implicit_length_array_type] = STATE(1018),
    [sym_expression_switch_statement] = STATE(151),
    [sym_interpreted_string_literal] = STATE(153),
    [sym__statement_list] = STATE(375),
    [sym__expression] = STATE(153),
    [sym_parenthesized_expression] = STATE(153),
    [sym_selector_expression] = STATE(153),
    [sym_type_declaration] = STATE(151),
    [sym_index_expression] = STATE(153),
    [sym_parenthesized_type] = STATE(1280),
    [sym_qualified_type] = STATE(1017),
    [sym_struct_type] = STATE(1017),
    [sym_map_type] = STATE(1017),
    [sym_channel_type] = STATE(1280),
    [sym_empty_statement] = STATE(151),
    [sym__simple_statement] = STATE(151),
    [sym_assignment_statement] = STATE(151),
    [sym_short_var_declaration] = STATE(151),
    [sym_continue_statement] = STATE(151),
    [sym_goto_statement] = STATE(151),
    [sym__simple_type] = STATE(1280),
    [sym__declaration] = STATE(151),
    [sym_const_declaration] = STATE(151),
    [sym_select_statement] = STATE(151),
    [sym_call_expression] = STATE(153),
    [sym_slice_expression] = STATE(153),
    [sym_type_assertion_expression] = STATE(153),
    [sym_pointer_type] = STATE(1280),
    [sym_array_type] = STATE(1017),
    [sym_func_literal] = STATE(153),
    [sym_interface_type] = STATE(1280),
    [sym_function_type] = STATE(1280),
    [sym_block] = STATE(151),
    [sym_send_statement] = STATE(151),
    [sym_labeled_statement] = STATE(151),
    [sym_empty_labeled_statement] = STATE(375),
    [sym_return_statement] = STATE(151),
    [sym_go_statement] = STATE(151),
    [sym_for_statement] = STATE(151),
    [anon_sym_RBRACE] = ACTIONS(1419),
    [anon_sym_break] = ACTIONS(410),
    [anon_sym_defer] = ACTIONS(386),
    [sym_rune_literal] = ACTIONS(384),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(388),
    [anon_sym_CARET] = ACTIONS(388),
    [anon_sym_for] = ACTIONS(412),
    [anon_sym_select] = ACTIONS(390),
    [anon_sym_var] = ACTIONS(414),
    [anon_sym_const] = ACTIONS(392),
    [sym_raw_string_literal] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(418),
    [anon_sym_if] = ACTIONS(396),
    [anon_sym_return] = ACTIONS(420),
    [sym_imaginary_literal] = ACTIONS(384),
    [sym_nil] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(388),
    [anon_sym_make] = ACTIONS(398),
    [anon_sym_AMP] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_case] = ACTIONS(1421),
    [anon_sym_type] = ACTIONS(422),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_int_literal] = ACTIONS(394),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_goto] = ACTIONS(424),
    [anon_sym_fallthrough] = ACTIONS(400),
    [anon_sym_go] = ACTIONS(426),
    [sym_true] = ACTIONS(394),
    [anon_sym_PLUS] = ACTIONS(388),
    [anon_sym_switch] = ACTIONS(428),
    [anon_sym_default] = ACTIONS(1421),
    [anon_sym_STAR] = ACTIONS(430),
    [sym_identifier] = ACTIONS(432),
    [anon_sym_func] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(404),
    [anon_sym_SEMI] = ACTIONS(434),
    [anon_sym_LT_DASH] = ACTIONS(406),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(394),
    [sym_false] = ACTIONS(394),
  },
  [305] = {
    [sym_default_case] = STATE(304),
    [sym_expression_case_clause] = STATE(377),
    [sym_expression_case] = STATE(304),
    [aux_sym_expression_switch_statement_repeat1] = STATE(377),
    [anon_sym_case] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1423),
    [sym_comment] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(1110),
  },
  [306] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_expression_list] = STATE(570),
    [sym_type_conversion_expression] = STATE(378),
    [sym_composite_literal] = STATE(378),
    [sym_unary_expression] = STATE(378),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(378),
    [sym__string_literal] = STATE(378),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_call_expression] = STATE(378),
    [sym_interpreted_string_literal] = STATE(378),
    [sym_slice_expression] = STATE(378),
    [sym_type_assertion_expression] = STATE(378),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(378),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(378),
    [sym_parenthesized_expression] = STATE(378),
    [sym_selector_expression] = STATE(378),
    [sym_index_expression] = STATE(378),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1425),
    [sym_false] = ACTIONS(1427),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1427),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(1427),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1427),
    [sym_raw_string_literal] = ACTIONS(1425),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(1425),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [307] = {
    [sym_type_case_clause] = STATE(382),
    [sym_default_case] = STATE(381),
    [sym_type_case] = STATE(381),
    [aux_sym_type_switch_statement_repeat1] = STATE(382),
    [anon_sym_case] = ACTIONS(1429),
    [anon_sym_RBRACE] = ACTIONS(1431),
    [sym_comment] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(1110),
  },
  [308] = {
    [sym_identifier] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(1435),
  },
  [309] = {
    [sym_default_case] = STATE(304),
    [sym_expression_case_clause] = STATE(384),
    [sym_expression_case] = STATE(304),
    [aux_sym_expression_switch_statement_repeat1] = STATE(384),
    [anon_sym_case] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1423),
    [sym_comment] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(1110),
  },
  [310] = {
    [sym_expression_list] = STATE(386),
    [sym_type_conversion_expression] = STATE(388),
    [sym_composite_literal] = STATE(388),
    [sym_slice_type] = STATE(89),
    [sym_unary_expression] = STATE(388),
    [sym_interpreted_string_literal] = STATE(388),
    [sym_binary_expression] = STATE(388),
    [sym__string_literal] = STATE(388),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_type_switch_guard] = STATE(387),
    [sym__expression] = STATE(388),
    [sym_parenthesized_expression] = STATE(388),
    [sym_selector_expression] = STATE(388),
    [sym_index_expression] = STATE(388),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(388),
    [sym_slice_expression] = STATE(388),
    [sym_type_assertion_expression] = STATE(388),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(388),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_CARET] = ACTIONS(1054),
    [sym_raw_string_literal] = ACTIONS(1437),
    [anon_sym_LBRACE] = ACTIONS(1439),
    [sym_imaginary_literal] = ACTIONS(1437),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1441),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(1441),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1054),
    [anon_sym_STAR] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(1058),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(1060),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(1441),
    [sym_false] = ACTIONS(1441),
  },
  [311] = {
    [sym_literal_value] = STATE(619),
    [anon_sym_GT_GT_EQ] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(458),
    [anon_sym_CARET] = ACTIONS(458),
    [anon_sym_PIPE_PIPE] = ACTIONS(458),
    [anon_sym_LT_EQ] = ACTIONS(458),
    [anon_sym_DOT] = ACTIONS(752),
    [anon_sym_PERCENT_EQ] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(458),
    [anon_sym_AMP_EQ] = ACTIONS(458),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(458),
    [anon_sym_LT_LT] = ACTIONS(458),
    [anon_sym_LT_LT_EQ] = ACTIONS(458),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(458),
    [anon_sym_DASH_EQ] = ACTIONS(458),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_EQ] = ACTIONS(458),
    [anon_sym_GT_GT] = ACTIONS(458),
    [anon_sym_LPAREN] = ACTIONS(755),
    [anon_sym_LT_DASH] = ACTIONS(458),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_PLUS_EQ] = ACTIONS(458),
    [anon_sym_PIPE_EQ] = ACTIONS(458),
    [anon_sym_PERCENT] = ACTIONS(458),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_AMP_CARET] = ACTIONS(458),
    [anon_sym_EQ_EQ] = ACTIONS(458),
    [anon_sym_COLON_EQ] = ACTIONS(458),
    [anon_sym_LBRACE] = ACTIONS(758),
    [anon_sym_CARET_EQ] = ACTIONS(458),
    [anon_sym_case] = ACTIONS(458),
    [anon_sym_GT_EQ] = ACTIONS(458),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_LF] = ACTIONS(456),
    [anon_sym_BANG_EQ] = ACTIONS(458),
    [anon_sym_PLUS_PLUS] = ACTIONS(458),
    [anon_sym_STAR_EQ] = ACTIONS(458),
    [anon_sym_COLON] = ACTIONS(1443),
    [anon_sym_PLUS] = ACTIONS(458),
    [anon_sym_default] = ACTIONS(458),
    [anon_sym_AMP_AMP] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(458),
    [anon_sym_LT] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(458),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(458),
  },
  [312] = {
    [anon_sym_RBRACE] = ACTIONS(1445),
    [anon_sym_SEMI] = ACTIONS(1445),
    [anon_sym_case] = ACTIONS(1445),
    [anon_sym_LF] = ACTIONS(1447),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1445),
  },
  [313] = {
    [anon_sym_RBRACE] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1449),
    [anon_sym_case] = ACTIONS(1449),
    [anon_sym_LF] = ACTIONS(1451),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1449),
  },
  [314] = {
    [anon_sym_RBRACE] = ACTIONS(1453),
    [anon_sym_SEMI] = ACTIONS(1453),
    [anon_sym_case] = ACTIONS(1453),
    [anon_sym_LF] = ACTIONS(1455),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1453),
  },
  [315] = {
    [anon_sym_RBRACE] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1457),
    [anon_sym_case] = ACTIONS(1457),
    [anon_sym_LF] = ACTIONS(1459),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1457),
  },
  [316] = {
    [anon_sym_RBRACE] = ACTIONS(1461),
    [anon_sym_case] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(1461),
  },
  [317] = {
    [sym_var_declaration] = STATE(315),
    [sym_type_conversion_expression] = STATE(153),
    [sym_unary_expression] = STATE(153),
    [sym_slice_type] = STATE(1017),
    [sym__string_literal] = STATE(153),
    [sym__statement] = STATE(315),
    [sym_dec_statement] = STATE(315),
    [sym_break_statement] = STATE(315),
    [sym_if_statement] = STATE(315),
    [sym_expression_switch_statement] = STATE(315),
    [sym_parenthesized_expression] = STATE(153),
    [sym_index_expression] = STATE(153),
    [sym_parenthesized_type] = STATE(1280),
    [sym_struct_type] = STATE(1017),
    [sym_map_type] = STATE(1017),
    [sym_empty_statement] = STATE(315),
    [sym_assignment_statement] = STATE(315),
    [sym_continue_statement] = STATE(315),
    [sym_const_declaration] = STATE(315),
    [sym_call_expression] = STATE(153),
    [sym_slice_expression] = STATE(153),
    [sym_array_type] = STATE(1017),
    [sym_interface_type] = STATE(1280),
    [sym_block] = STATE(315),
    [sym_empty_labeled_statement] = STATE(390),
    [sym_go_statement] = STATE(315),
    [sym_type_switch_statement] = STATE(315),
    [sym_expression_list] = STATE(150),
    [sym_composite_literal] = STATE(153),
    [sym_implicit_length_array_type] = STATE(1018),
    [sym_binary_expression] = STATE(153),
    [sym_interpreted_string_literal] = STATE(153),
    [sym_inc_statement] = STATE(315),
    [sym_fallthrough_statement] = STATE(315),
    [sym_defer_statement] = STATE(315),
    [sym__expression] = STATE(153),
    [sym_selector_expression] = STATE(153),
    [sym_type_declaration] = STATE(315),
    [sym__simple_type] = STATE(1280),
    [sym_qualified_type] = STATE(1017),
    [sym_channel_type] = STATE(1280),
    [sym__simple_statement] = STATE(315),
    [sym_short_var_declaration] = STATE(315),
    [sym_goto_statement] = STATE(315),
    [sym__declaration] = STATE(315),
    [sym_select_statement] = STATE(315),
    [sym_type_assertion_expression] = STATE(153),
    [sym_pointer_type] = STATE(1280),
    [sym_func_literal] = STATE(153),
    [sym_function_type] = STATE(1280),
    [sym_send_statement] = STATE(315),
    [sym_labeled_statement] = STATE(315),
    [sym_return_statement] = STATE(315),
    [sym_for_statement] = STATE(315),
    [sym_rune_literal] = ACTIONS(384),
    [anon_sym_defer] = ACTIONS(386),
    [anon_sym_DASH] = ACTIONS(388),
    [anon_sym_CARET] = ACTIONS(388),
    [anon_sym_select] = ACTIONS(390),
    [anon_sym_const] = ACTIONS(392),
    [sym_raw_string_literal] = ACTIONS(384),
    [sym_imaginary_literal] = ACTIONS(384),
    [anon_sym_LBRACK] = ACTIONS(239),
    [sym_nil] = ACTIONS(394),
    [anon_sym_if] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(388),
    [anon_sym_AMP] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_true] = ACTIONS(394),
    [anon_sym_fallthrough] = ACTIONS(400),
    [anon_sym_func] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(404),
    [anon_sym_LT_DASH] = ACTIONS(406),
    [anon_sym_struct] = ACTIONS(87),
    [sym_false] = ACTIONS(394),
    [anon_sym_RBRACE] = ACTIONS(1461),
    [anon_sym_break] = ACTIONS(410),
    [anon_sym_for] = ACTIONS(412),
    [anon_sym_var] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(418),
    [anon_sym_return] = ACTIONS(420),
    [anon_sym_make] = ACTIONS(398),
    [anon_sym_case] = ACTIONS(1463),
    [anon_sym_type] = ACTIONS(422),
    [sym_int_literal] = ACTIONS(394),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_goto] = ACTIONS(424),
    [anon_sym_go] = ACTIONS(426),
    [anon_sym_PLUS] = ACTIONS(388),
    [anon_sym_switch] = ACTIONS(428),
    [anon_sym_default] = ACTIONS(1463),
    [anon_sym_STAR] = ACTIONS(430),
    [sym_identifier] = ACTIONS(432),
    [anon_sym_SEMI] = ACTIONS(434),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(394),
    [anon_sym_chan] = ACTIONS(235),
  },
  [318] = {
    [aux_sym__statement_list_repeat1] = STATE(318),
    [anon_sym_RBRACE] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1465),
    [anon_sym_case] = ACTIONS(1457),
    [anon_sym_LF] = ACTIONS(1468),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1457),
  },
  [319] = {
    [sym_argument_list] = STATE(698),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_DASH] = ACTIONS(1032),
    [anon_sym_PERCENT] = ACTIONS(1034),
    [anon_sym_CARET] = ACTIONS(1032),
    [anon_sym_PIPE_PIPE] = ACTIONS(1036),
    [anon_sym_GT] = ACTIONS(1038),
    [anon_sym_AMP_CARET] = ACTIONS(1034),
    [anon_sym_LT_EQ] = ACTIONS(1038),
    [anon_sym_DOT] = ACTIONS(1040),
    [anon_sym_EQ_EQ] = ACTIONS(1038),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_AMP] = ACTIONS(1034),
    [anon_sym_case] = ACTIONS(1471),
    [anon_sym_GT_EQ] = ACTIONS(1038),
    [anon_sym_PIPE] = ACTIONS(1032),
    [anon_sym_LF] = ACTIONS(1473),
    [anon_sym_LT_LT] = ACTIONS(1034),
    [anon_sym_BANG_EQ] = ACTIONS(1038),
    [anon_sym_PLUS] = ACTIONS(1032),
    [anon_sym_SLASH] = ACTIONS(1034),
    [anon_sym_default] = ACTIONS(1471),
    [anon_sym_AMP_AMP] = ACTIONS(1046),
    [anon_sym_STAR] = ACTIONS(1034),
    [anon_sym_SEMI] = ACTIONS(1471),
    [anon_sym_GT_GT] = ACTIONS(1034),
    [anon_sym_LPAREN] = ACTIONS(1048),
    [anon_sym_LT] = ACTIONS(1038),
    [sym_comment] = ACTIONS(61),
  },
  [320] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(1475),
  },
  [321] = {
    [sym__simple_type] = STATE(92),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_type_conversion_expression] = STATE(393),
    [sym_composite_literal] = STATE(393),
    [sym_unary_expression] = STATE(393),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(393),
    [sym_interpreted_string_literal] = STATE(393),
    [sym__string_literal] = STATE(393),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_call_expression] = STATE(393),
    [sym_slice_expression] = STATE(393),
    [sym_type_assertion_expression] = STATE(393),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(393),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(393),
    [sym_parenthesized_expression] = STATE(393),
    [sym_selector_expression] = STATE(393),
    [sym_index_expression] = STATE(393),
    [sym_literal_value] = STATE(392),
    [sym_parenthesized_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1477),
    [sym_false] = ACTIONS(1479),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1479),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(1479),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1479),
    [sym_comment] = ACTIONS(3),
    [sym_raw_string_literal] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(1477),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1479),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [322] = {
    [sym__simple_type] = STATE(92),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_type_conversion_expression] = STATE(395),
    [sym_composite_literal] = STATE(395),
    [sym_unary_expression] = STATE(395),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(395),
    [sym_interpreted_string_literal] = STATE(395),
    [sym__string_literal] = STATE(395),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_call_expression] = STATE(395),
    [sym_slice_expression] = STATE(395),
    [sym_type_assertion_expression] = STATE(395),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(395),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(395),
    [sym_parenthesized_expression] = STATE(395),
    [sym_selector_expression] = STATE(395),
    [sym_index_expression] = STATE(395),
    [sym_literal_value] = STATE(394),
    [sym_parenthesized_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1481),
    [sym_false] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(1483),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1483),
    [sym_comment] = ACTIONS(3),
    [sym_raw_string_literal] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(1481),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [323] = {
    [anon_sym_RBRACE] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1485),
    [anon_sym_PIPE_PIPE] = ACTIONS(1485),
    [anon_sym_GT] = ACTIONS(1487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1485),
    [anon_sym_AMP_CARET] = ACTIONS(1485),
    [anon_sym_LT_EQ] = ACTIONS(1485),
    [anon_sym_DOT] = ACTIONS(1487),
    [anon_sym_EQ_EQ] = ACTIONS(1485),
    [anon_sym_RPAREN] = ACTIONS(1485),
    [anon_sym_LBRACE] = ACTIONS(1485),
    [anon_sym_LBRACK] = ACTIONS(1485),
    [anon_sym_COLON_EQ] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_GT_EQ] = ACTIONS(1485),
    [anon_sym_COMMA] = ACTIONS(1485),
    [anon_sym_PIPE] = ACTIONS(1487),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_BANG_EQ] = ACTIONS(1485),
    [anon_sym_RBRACK] = ACTIONS(1485),
    [anon_sym_COLON] = ACTIONS(1487),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_AMP_AMP] = ACTIONS(1485),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_EQ] = ACTIONS(1487),
    [anon_sym_GT_GT] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(1487),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1485),
  },
  [324] = {
    [sym_type_conversion_expression] = STATE(240),
    [sym_composite_literal] = STATE(240),
    [sym_unary_expression] = STATE(240),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(240),
    [sym__string_literal] = STATE(240),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(240),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(240),
    [sym_selector_expression] = STATE(240),
    [sym_index_expression] = STATE(240),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_literal_value] = STATE(241),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_keyed_element] = STATE(397),
    [sym_struct_type] = STATE(89),
    [sym_call_expression] = STATE(240),
    [sym_slice_expression] = STATE(240),
    [sym_type_assertion_expression] = STATE(240),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(240),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_element] = STATE(397),
    [sym_rune_literal] = ACTIONS(820),
    [anon_sym_RBRACE] = ACTIONS(1489),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(820),
    [sym_imaginary_literal] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(824),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
  },
  [325] = {
    [aux_sym_literal_value_repeat1] = STATE(399),
    [anon_sym_RBRACE] = ACTIONS(1489),
    [anon_sym_COMMA] = ACTIONS(1491),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [anon_sym_RBRACE] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1493),
    [anon_sym_PERCENT] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_GT] = ACTIONS(1495),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1493),
    [anon_sym_AMP_CARET] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_DOT] = ACTIONS(1495),
    [anon_sym_EQ_EQ] = ACTIONS(1493),
    [anon_sym_RPAREN] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [anon_sym_COLON_EQ] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_COMMA] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_RBRACK] = ACTIONS(1493),
    [anon_sym_COLON] = ACTIONS(1495),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_AMP_AMP] = ACTIONS(1493),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_EQ] = ACTIONS(1495),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1493),
  },
  [327] = {
    [sym_type_conversion_expression] = STATE(718),
    [sym_composite_literal] = STATE(718),
    [sym_unary_expression] = STATE(718),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(718),
    [sym__string_literal] = STATE(718),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(718),
    [sym__expression] = STATE(718),
    [sym_parenthesized_expression] = STATE(718),
    [sym_selector_expression] = STATE(718),
    [sym_index_expression] = STATE(718),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(718),
    [sym_slice_expression] = STATE(718),
    [sym_type_assertion_expression] = STATE(718),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(718),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(1497),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(1497),
    [anon_sym_RPAREN] = ACTIONS(1499),
    [sym_imaginary_literal] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1501),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(1501),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(1501),
    [sym_false] = ACTIONS(1501),
  },
  [328] = {
    [anon_sym_RBRACE] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_CARET] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1505),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1503),
    [anon_sym_AMP_CARET] = ACTIONS(1503),
    [anon_sym_LT_EQ] = ACTIONS(1503),
    [anon_sym_DOT] = ACTIONS(1505),
    [anon_sym_EQ_EQ] = ACTIONS(1503),
    [anon_sym_RPAREN] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1503),
    [anon_sym_COLON_EQ] = ACTIONS(1503),
    [anon_sym_AMP] = ACTIONS(1505),
    [anon_sym_GT_EQ] = ACTIONS(1503),
    [anon_sym_COMMA] = ACTIONS(1503),
    [anon_sym_PIPE] = ACTIONS(1505),
    [anon_sym_LT_LT] = ACTIONS(1503),
    [anon_sym_BANG_EQ] = ACTIONS(1503),
    [anon_sym_RBRACK] = ACTIONS(1503),
    [anon_sym_COLON] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1503),
    [anon_sym_SLASH] = ACTIONS(1505),
    [anon_sym_AMP_AMP] = ACTIONS(1503),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_GT_GT] = ACTIONS(1503),
    [anon_sym_LPAREN] = ACTIONS(1503),
    [anon_sym_LT] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1503),
  },
  [329] = {
    [aux_sym_expression_list_repeat1] = STATE(719),
    [anon_sym_COMMA] = ACTIONS(1507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1499),
  },
  [330] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1509),
  },
  [331] = {
    [anon_sym_RBRACE] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_PERCENT] = ACTIONS(1511),
    [anon_sym_CARET] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1511),
    [anon_sym_AMP_CARET] = ACTIONS(1511),
    [anon_sym_LT_EQ] = ACTIONS(1511),
    [anon_sym_DOT] = ACTIONS(1513),
    [anon_sym_EQ_EQ] = ACTIONS(1511),
    [anon_sym_RPAREN] = ACTIONS(1511),
    [anon_sym_LBRACE] = ACTIONS(1511),
    [anon_sym_LBRACK] = ACTIONS(1511),
    [anon_sym_COLON_EQ] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1511),
    [anon_sym_COMMA] = ACTIONS(1511),
    [anon_sym_PIPE] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1511),
    [anon_sym_BANG_EQ] = ACTIONS(1511),
    [anon_sym_RBRACK] = ACTIONS(1511),
    [anon_sym_COLON] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_LT] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1511),
  },
  [332] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(1515),
    [anon_sym_COLON] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [anon_sym_RBRACE] = ACTIONS(1519),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_PERCENT] = ACTIONS(1519),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1521),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1519),
    [anon_sym_AMP_CARET] = ACTIONS(1519),
    [anon_sym_LT_EQ] = ACTIONS(1519),
    [anon_sym_DOT] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1519),
    [anon_sym_RPAREN] = ACTIONS(1519),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1519),
    [anon_sym_COLON_EQ] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1521),
    [anon_sym_GT_EQ] = ACTIONS(1519),
    [anon_sym_COMMA] = ACTIONS(1519),
    [anon_sym_PIPE] = ACTIONS(1521),
    [anon_sym_LT_LT] = ACTIONS(1519),
    [anon_sym_BANG_EQ] = ACTIONS(1519),
    [anon_sym_RBRACK] = ACTIONS(1519),
    [anon_sym_COLON] = ACTIONS(1521),
    [anon_sym_PLUS] = ACTIONS(1519),
    [anon_sym_SLASH] = ACTIONS(1521),
    [anon_sym_AMP_AMP] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1521),
    [anon_sym_GT_GT] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1521),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1519),
  },
  [334] = {
    [sym_type_conversion_expression] = STATE(405),
    [sym_composite_literal] = STATE(405),
    [sym_unary_expression] = STATE(405),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(405),
    [sym__string_literal] = STATE(405),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(405),
    [sym__expression] = STATE(405),
    [sym_parenthesized_expression] = STATE(405),
    [sym_selector_expression] = STATE(405),
    [sym_index_expression] = STATE(405),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(405),
    [sym_slice_expression] = STATE(405),
    [sym_type_assertion_expression] = STATE(405),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(405),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(1523),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(1523),
    [sym_imaginary_literal] = ACTIONS(1523),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1525),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(1525),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1525),
    [anon_sym_RBRACK] = ACTIONS(1515),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(1525),
    [sym_false] = ACTIONS(1525),
  },
  [335] = {
    [sym_type_conversion_expression] = STATE(408),
    [sym_composite_literal] = STATE(408),
    [sym_unary_expression] = STATE(408),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(408),
    [sym__string_literal] = STATE(408),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(408),
    [sym__expression] = STATE(408),
    [sym_parenthesized_expression] = STATE(408),
    [sym_selector_expression] = STATE(408),
    [sym_index_expression] = STATE(408),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(408),
    [sym_variadic_argument] = STATE(407),
    [sym_slice_expression] = STATE(408),
    [sym_type_assertion_expression] = STATE(408),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(408),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(1527),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(1527),
    [anon_sym_RPAREN] = ACTIONS(1529),
    [sym_imaginary_literal] = ACTIONS(1527),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1531),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(1531),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(1531),
    [sym_false] = ACTIONS(1531),
  },
  [336] = {
    [anon_sym_RBRACE] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_PERCENT] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1533),
    [anon_sym_PIPE_PIPE] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1535),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1533),
    [anon_sym_AMP_CARET] = ACTIONS(1533),
    [anon_sym_LT_EQ] = ACTIONS(1533),
    [anon_sym_DOT] = ACTIONS(1535),
    [anon_sym_EQ_EQ] = ACTIONS(1533),
    [anon_sym_RPAREN] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(1533),
    [anon_sym_LBRACK] = ACTIONS(1533),
    [anon_sym_COLON_EQ] = ACTIONS(1533),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_GT_EQ] = ACTIONS(1533),
    [anon_sym_COMMA] = ACTIONS(1533),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_LT_LT] = ACTIONS(1533),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_RBRACK] = ACTIONS(1533),
    [anon_sym_COLON] = ACTIONS(1535),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_SLASH] = ACTIONS(1535),
    [anon_sym_AMP_AMP] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1533),
    [anon_sym_EQ] = ACTIONS(1535),
    [anon_sym_GT_GT] = ACTIONS(1533),
    [anon_sym_LPAREN] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1535),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1533),
  },
  [337] = {
    [aux_sym_argument_list_repeat1] = STATE(410),
    [anon_sym_COMMA] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1529),
  },
  [338] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1539),
    [anon_sym_RPAREN] = ACTIONS(1539),
  },
  [339] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1541),
  },
  [340] = {
    [anon_sym_RBRACE] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1543),
    [anon_sym_PERCENT] = ACTIONS(1543),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_PIPE_PIPE] = ACTIONS(1543),
    [anon_sym_GT] = ACTIONS(1545),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1543),
    [anon_sym_AMP_CARET] = ACTIONS(1543),
    [anon_sym_LT_EQ] = ACTIONS(1543),
    [anon_sym_DOT] = ACTIONS(1545),
    [anon_sym_EQ_EQ] = ACTIONS(1543),
    [anon_sym_RPAREN] = ACTIONS(1543),
    [anon_sym_LBRACE] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1543),
    [anon_sym_COLON_EQ] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1545),
    [anon_sym_GT_EQ] = ACTIONS(1543),
    [anon_sym_COMMA] = ACTIONS(1543),
    [anon_sym_PIPE] = ACTIONS(1545),
    [anon_sym_LT_LT] = ACTIONS(1543),
    [anon_sym_BANG_EQ] = ACTIONS(1543),
    [anon_sym_RBRACK] = ACTIONS(1543),
    [anon_sym_COLON] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1543),
    [anon_sym_SLASH] = ACTIONS(1545),
    [anon_sym_AMP_AMP] = ACTIONS(1543),
    [anon_sym_STAR] = ACTIONS(1543),
    [anon_sym_EQ] = ACTIONS(1545),
    [anon_sym_GT_GT] = ACTIONS(1543),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LT] = ACTIONS(1545),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1543),
  },
  [341] = {
    [sym_parameter_list] = STATE(264),
    [anon_sym_RBRACE] = ACTIONS(1547),
    [anon_sym_SEMI] = ACTIONS(1547),
    [anon_sym_DOT] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_LF] = ACTIONS(1549),
    [sym_comment] = ACTIONS(61),
  },
  [342] = {
    [anon_sym_COLON] = ACTIONS(1551),
    [anon_sym_COMMA] = ACTIONS(1551),
    [anon_sym_LBRACE] = ACTIONS(1551),
    [anon_sym_EQ] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1551),
  },
  [343] = {
    [anon_sym_RBRACE] = ACTIONS(1553),
    [anon_sym_SEMI] = ACTIONS(1553),
    [anon_sym_LF] = ACTIONS(1555),
    [sym_comment] = ACTIONS(61),
  },
  [344] = {
    [anon_sym_RBRACE] = ACTIONS(1557),
    [anon_sym_SEMI] = ACTIONS(1557),
    [anon_sym_LF] = ACTIONS(1559),
    [sym_comment] = ACTIONS(61),
  },
  [345] = {
    [sym_method_spec] = STATE(343),
    [sym_qualified_type] = STATE(343),
    [sym_identifier] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1561),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [aux_sym_method_spec_list_repeat1] = STATE(346),
    [anon_sym_RBRACE] = ACTIONS(1553),
    [anon_sym_SEMI] = ACTIONS(1563),
    [anon_sym_LF] = ACTIONS(1566),
    [sym_comment] = ACTIONS(61),
  },
  [347] = {
    [anon_sym_COLON] = ACTIONS(1569),
    [anon_sym_COMMA] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_EQ] = ACTIONS(1569),
    [anon_sym_RBRACK] = ACTIONS(1569),
    [anon_sym_LPAREN] = ACTIONS(1569),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1569),
  },
  [348] = {
    [sym_method_spec] = STATE(343),
    [sym_qualified_type] = STATE(343),
    [sym_identifier] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1571),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [anon_sym_COLON] = ACTIONS(1573),
    [anon_sym_COMMA] = ACTIONS(1573),
    [anon_sym_LBRACE] = ACTIONS(1573),
    [anon_sym_EQ] = ACTIONS(1573),
    [anon_sym_RBRACK] = ACTIONS(1573),
    [anon_sym_LPAREN] = ACTIONS(1573),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1573),
  },
  [350] = {
    [anon_sym_COMMA] = ACTIONS(1575),
    [anon_sym_LBRACK] = ACTIONS(1575),
    [anon_sym_interface] = ACTIONS(1577),
    [anon_sym_STAR] = ACTIONS(1575),
    [anon_sym_func] = ACTIONS(1577),
    [sym_identifier] = ACTIONS(1577),
    [anon_sym_LPAREN] = ACTIONS(1575),
    [anon_sym_map] = ACTIONS(1577),
    [anon_sym_LT_DASH] = ACTIONS(1575),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(1577),
    [anon_sym_chan] = ACTIONS(1577),
  },
  [351] = {
    [aux_sym_field_name_list_repeat1] = STATE(351),
    [anon_sym_COMMA] = ACTIONS(1579),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_interface] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1582),
    [anon_sym_func] = ACTIONS(1584),
    [sym_identifier] = ACTIONS(1584),
    [anon_sym_LPAREN] = ACTIONS(1582),
    [anon_sym_map] = ACTIONS(1584),
    [anon_sym_LT_DASH] = ACTIONS(1582),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(1584),
    [anon_sym_chan] = ACTIONS(1584),
  },
  [352] = {
    [sym_interpreted_string_literal] = STATE(415),
    [sym__string_literal] = STATE(415),
    [anon_sym_RBRACE] = ACTIONS(1586),
    [anon_sym_SEMI] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(953),
    [anon_sym_LF] = ACTIONS(1588),
    [sym_raw_string_literal] = ACTIONS(1590),
    [sym_comment] = ACTIONS(61),
  },
  [353] = {
    [anon_sym_RBRACE] = ACTIONS(1586),
    [anon_sym_SEMI] = ACTIONS(1586),
    [anon_sym_LF] = ACTIONS(1588),
    [sym_comment] = ACTIONS(61),
  },
  [354] = {
    [anon_sym_RBRACE] = ACTIONS(1592),
    [anon_sym_SEMI] = ACTIONS(1592),
    [anon_sym_LF] = ACTIONS(1594),
    [sym_comment] = ACTIONS(61),
  },
  [355] = {
    [anon_sym_RBRACE] = ACTIONS(1596),
    [anon_sym_SEMI] = ACTIONS(1596),
    [anon_sym_LF] = ACTIONS(1598),
    [sym_comment] = ACTIONS(61),
  },
  [356] = {
    [anon_sym_COLON] = ACTIONS(1600),
    [anon_sym_COMMA] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1600),
    [anon_sym_EQ] = ACTIONS(1600),
    [anon_sym_RBRACK] = ACTIONS(1600),
    [anon_sym_LPAREN] = ACTIONS(1600),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1600),
  },
  [357] = {
    [anon_sym_RBRACE] = ACTIONS(1602),
    [anon_sym_SEMI] = ACTIONS(1602),
    [anon_sym_LF] = ACTIONS(1604),
    [sym_comment] = ACTIONS(61),
  },
  [358] = {
    [sym_field_declaration] = STATE(357),
    [sym_qualified_type] = STATE(192),
    [sym_identifier] = ACTIONS(528),
    [anon_sym_RBRACE] = ACTIONS(1606),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(532),
  },
  [359] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(359),
    [anon_sym_RBRACE] = ACTIONS(1602),
    [anon_sym_SEMI] = ACTIONS(1608),
    [anon_sym_LF] = ACTIONS(1611),
    [sym_comment] = ACTIONS(61),
  },
  [360] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(1614),
  },
  [361] = {
    [sym_expression_list] = STATE(1027),
    [sym_composite_literal] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_slice_type] = STATE(1115),
    [sym_binary_expression] = STATE(514),
    [sym_interpreted_string_literal] = STATE(514),
    [sym__string_literal] = STATE(514),
    [sym_type_conversion_expression] = STATE(514),
    [sym_implicit_length_array_type] = STATE(1116),
    [sym_dec_statement] = STATE(418),
    [sym_inc_statement] = STATE(418),
    [sym__expression] = STATE(514),
    [sym_parenthesized_expression] = STATE(514),
    [sym_selector_expression] = STATE(514),
    [sym_index_expression] = STATE(514),
    [sym_parenthesized_type] = STATE(1283),
    [sym__simple_type] = STATE(1283),
    [sym_qualified_type] = STATE(1115),
    [sym_struct_type] = STATE(1115),
    [sym_map_type] = STATE(1115),
    [sym_channel_type] = STATE(1283),
    [sym__simple_statement] = STATE(418),
    [sym_assignment_statement] = STATE(418),
    [sym_short_var_declaration] = STATE(418),
    [sym_call_expression] = STATE(514),
    [sym_slice_expression] = STATE(514),
    [sym_type_assertion_expression] = STATE(514),
    [sym_pointer_type] = STATE(1283),
    [sym_array_type] = STATE(1115),
    [sym_func_literal] = STATE(514),
    [sym_interface_type] = STATE(1283),
    [sym_function_type] = STATE(1283),
    [sym_send_statement] = STATE(418),
    [sym_rune_literal] = ACTIONS(1351),
    [sym_false] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(692),
    [anon_sym_LT_DASH] = ACTIONS(704),
    [anon_sym_make] = ACTIONS(688),
    [sym_float_literal] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(686),
    [anon_sym_new] = ACTIONS(688),
    [anon_sym_CARET] = ACTIONS(686),
    [sym_int_literal] = ACTIONS(1353),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [sym_raw_string_literal] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(686),
    [anon_sym_LBRACE] = ACTIONS(1614),
    [sym_imaginary_literal] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(694),
    [sym_identifier] = ACTIONS(696),
    [anon_sym_func] = ACTIONS(702),
    [anon_sym_LPAREN] = ACTIONS(700),
    [anon_sym_BANG] = ACTIONS(686),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [362] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(419),
    [sym_composite_literal] = STATE(419),
    [sym_unary_expression] = STATE(419),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(419),
    [sym__string_literal] = STATE(419),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(419),
    [sym_call_expression] = STATE(419),
    [sym_slice_expression] = STATE(419),
    [sym_type_assertion_expression] = STATE(419),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(419),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(419),
    [sym_parenthesized_expression] = STATE(419),
    [sym_selector_expression] = STATE(419),
    [sym_index_expression] = STATE(419),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1616),
    [sym_false] = ACTIONS(1618),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1618),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(1054),
    [sym_int_literal] = ACTIONS(1618),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1618),
    [sym_raw_string_literal] = ACTIONS(1616),
    [anon_sym_PLUS] = ACTIONS(1054),
    [sym_imaginary_literal] = ACTIONS(1616),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1618),
    [anon_sym_STAR] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(1058),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_LT_DASH] = ACTIONS(1060),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [363] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [anon_sym_SEMI] = ACTIONS(1620),
    [anon_sym_AMP] = ACTIONS(498),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON_EQ] = ACTIONS(1622),
    [anon_sym_EQ] = ACTIONS(1622),
  },
  [365] = {
    [aux_sym_expression_list_repeat1] = STATE(706),
    [sym_argument_list] = STATE(846),
    [anon_sym_COMMA] = ACTIONS(1624),
    [anon_sym_GT_EQ] = ACTIONS(1626),
    [anon_sym_PIPE] = ACTIONS(1628),
    [anon_sym_LT_LT] = ACTIONS(1630),
    [anon_sym_BANG_EQ] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1632),
    [anon_sym_PERCENT] = ACTIONS(1630),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_PIPE_PIPE] = ACTIONS(1634),
    [anon_sym_GT] = ACTIONS(1636),
    [anon_sym_AMP_CARET] = ACTIONS(1630),
    [anon_sym_COLON] = ACTIONS(1638),
    [anon_sym_LT_EQ] = ACTIONS(1626),
    [anon_sym_COLON_EQ] = ACTIONS(617),
    [anon_sym_DOT] = ACTIONS(1640),
    [anon_sym_EQ_EQ] = ACTIONS(1626),
    [anon_sym_PLUS] = ACTIONS(1632),
    [anon_sym_SLASH] = ACTIONS(1642),
    [anon_sym_EQ] = ACTIONS(605),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [anon_sym_AMP_AMP] = ACTIONS(1646),
    [anon_sym_STAR] = ACTIONS(1630),
    [anon_sym_GT_GT] = ACTIONS(1630),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_LT] = ACTIONS(1636),
    [anon_sym_LT_DASH] = ACTIONS(1090),
    [anon_sym_AMP] = ACTIONS(1642),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1650),
  },
  [367] = {
    [anon_sym_RBRACE] = ACTIONS(1652),
    [anon_sym_break] = ACTIONS(1654),
    [anon_sym_defer] = ACTIONS(1654),
    [sym_float_literal] = ACTIONS(1654),
    [sym_rune_literal] = ACTIONS(1652),
    [sym_false] = ACTIONS(1654),
    [anon_sym_DASH] = ACTIONS(1652),
    [anon_sym_CARET] = ACTIONS(1652),
    [anon_sym_for] = ACTIONS(1654),
    [anon_sym_select] = ACTIONS(1654),
    [anon_sym_var] = ACTIONS(1654),
    [anon_sym_const] = ACTIONS(1654),
    [sym_raw_string_literal] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_LBRACK] = ACTIONS(1652),
    [anon_sym_interface] = ACTIONS(1654),
    [anon_sym_continue] = ACTIONS(1654),
    [anon_sym_if] = ACTIONS(1654),
    [anon_sym_return] = ACTIONS(1654),
    [sym_imaginary_literal] = ACTIONS(1652),
    [sym_nil] = ACTIONS(1654),
    [anon_sym_BANG] = ACTIONS(1652),
    [anon_sym_make] = ACTIONS(1654),
    [anon_sym_AMP] = ACTIONS(1652),
    [anon_sym_new] = ACTIONS(1654),
    [anon_sym_case] = ACTIONS(1654),
    [anon_sym_type] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(1652),
    [sym_int_literal] = ACTIONS(1654),
    [anon_sym_map] = ACTIONS(1654),
    [anon_sym_goto] = ACTIONS(1654),
    [anon_sym_fallthrough] = ACTIONS(1654),
    [anon_sym_go] = ACTIONS(1654),
    [sym_true] = ACTIONS(1654),
    [anon_sym_PLUS] = ACTIONS(1652),
    [anon_sym_switch] = ACTIONS(1654),
    [anon_sym_default] = ACTIONS(1654),
    [anon_sym_STAR] = ACTIONS(1652),
    [anon_sym_func] = ACTIONS(1654),
    [anon_sym_SEMI] = ACTIONS(1652),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [sym_identifier] = ACTIONS(1654),
    [anon_sym_LT_DASH] = ACTIONS(1652),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(1654),
    [anon_sym_chan] = ACTIONS(1654),
  },
  [368] = {
    [anon_sym_RBRACE] = ACTIONS(1656),
    [anon_sym_case] = ACTIONS(1656),
    [sym_comment] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(1656),
  },
  [369] = {
    [anon_sym_RBRACE] = ACTIONS(1658),
    [anon_sym_SEMI] = ACTIONS(1658),
    [anon_sym_case] = ACTIONS(1658),
    [anon_sym_LF] = ACTIONS(1660),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1658),
  },
  [370] = {
    [sym_default_case] = STATE(297),
    [sym_communication_clause] = STATE(370),
    [sym_communication_case] = STATE(297),
    [aux_sym_select_statement_repeat1] = STATE(370),
    [anon_sym_RBRACE] = ACTIONS(1662),
    [anon_sym_case] = ACTIONS(1664),
    [sym_comment] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(1667),
  },
  [371] = {
    [sym_block] = STATE(423),
    [sym_if_statement] = STATE(423),
    [anon_sym_LBRACE] = ACTIONS(416),
    [sym_comment] = ACTIONS(3),
    [anon_sym_if] = ACTIONS(1670),
  },
  [372] = {
    [anon_sym_RBRACE] = ACTIONS(1672),
    [anon_sym_SEMI] = ACTIONS(1672),
    [anon_sym_case] = ACTIONS(1672),
    [anon_sym_LF] = ACTIONS(1674),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1672),
  },
  [373] = {
    [sym_else_clause] = STATE(424),
    [anon_sym_RBRACE] = ACTIONS(1672),
    [anon_sym_case] = ACTIONS(1672),
    [anon_sym_LF] = ACTIONS(1674),
    [anon_sym_else] = ACTIONS(1409),
    [anon_sym_default] = ACTIONS(1672),
    [anon_sym_SEMI] = ACTIONS(1672),
    [sym_comment] = ACTIONS(61),
  },
  [374] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1676),
  },
  [375] = {
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_case] = ACTIONS(1678),
    [sym_comment] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(1678),
  },
  [376] = {
    [anon_sym_RBRACE] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1680),
    [anon_sym_case] = ACTIONS(1680),
    [anon_sym_LF] = ACTIONS(1682),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1680),
  },
  [377] = {
    [sym_default_case] = STATE(304),
    [sym_expression_case_clause] = STATE(377),
    [sym_expression_case] = STATE(304),
    [aux_sym_expression_switch_statement_repeat1] = STATE(377),
    [anon_sym_RBRACE] = ACTIONS(1684),
    [anon_sym_case] = ACTIONS(1686),
    [sym_comment] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(1689),
  },
  [378] = {
    [aux_sym_expression_list_repeat1] = STATE(706),
    [sym_argument_list] = STATE(166),
    [anon_sym_COMMA] = ACTIONS(1624),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(1692),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_SEMI] = ACTIONS(617),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [anon_sym_AMP] = ACTIONS(498),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [sym_struct_type] = STATE(427),
    [sym_map_type] = STATE(427),
    [sym_channel_type] = STATE(427),
    [sym_pointer_type] = STATE(427),
    [sym_array_type] = STATE(427),
    [sym_interface_type] = STATE(427),
    [sym_function_type] = STATE(427),
    [sym_slice_type] = STATE(427),
    [sym_parenthesized_type] = STATE(427),
    [sym__simple_type] = STATE(427),
    [sym_qualified_type] = STATE(427),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [380] = {
    [anon_sym_RBRACE] = ACTIONS(1694),
    [anon_sym_SEMI] = ACTIONS(1694),
    [anon_sym_case] = ACTIONS(1694),
    [anon_sym_LF] = ACTIONS(1696),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1694),
  },
  [381] = {
    [sym_type_switch_statement] = STATE(151),
    [sym_var_declaration] = STATE(151),
    [sym_type_conversion_expression] = STATE(153),
    [sym_composite_literal] = STATE(153),
    [sym_unary_expression] = STATE(153),
    [sym_slice_type] = STATE(1017),
    [sym_expression_list] = STATE(150),
    [sym_binary_expression] = STATE(153),
    [sym__string_literal] = STATE(153),
    [sym__statement] = STATE(151),
    [sym_inc_statement] = STATE(151),
    [sym_dec_statement] = STATE(151),
    [sym_fallthrough_statement] = STATE(151),
    [sym_break_statement] = STATE(151),
    [sym_defer_statement] = STATE(151),
    [sym_if_statement] = STATE(151),
    [sym_implicit_length_array_type] = STATE(1018),
    [sym_expression_switch_statement] = STATE(151),
    [sym_interpreted_string_literal] = STATE(153),
    [sym__statement_list] = STATE(428),
    [sym__expression] = STATE(153),
    [sym_parenthesized_expression] = STATE(153),
    [sym_selector_expression] = STATE(153),
    [sym_type_declaration] = STATE(151),
    [sym_index_expression] = STATE(153),
    [sym_parenthesized_type] = STATE(1280),
    [sym_qualified_type] = STATE(1017),
    [sym_struct_type] = STATE(1017),
    [sym_map_type] = STATE(1017),
    [sym_channel_type] = STATE(1280),
    [sym_empty_statement] = STATE(151),
    [sym__simple_statement] = STATE(151),
    [sym_assignment_statement] = STATE(151),
    [sym_short_var_declaration] = STATE(151),
    [sym_continue_statement] = STATE(151),
    [sym_goto_statement] = STATE(151),
    [sym__simple_type] = STATE(1280),
    [sym__declaration] = STATE(151),
    [sym_const_declaration] = STATE(151),
    [sym_select_statement] = STATE(151),
    [sym_call_expression] = STATE(153),
    [sym_slice_expression] = STATE(153),
    [sym_type_assertion_expression] = STATE(153),
    [sym_pointer_type] = STATE(1280),
    [sym_array_type] = STATE(1017),
    [sym_func_literal] = STATE(153),
    [sym_interface_type] = STATE(1280),
    [sym_function_type] = STATE(1280),
    [sym_block] = STATE(151),
    [sym_send_statement] = STATE(151),
    [sym_labeled_statement] = STATE(151),
    [sym_empty_labeled_statement] = STATE(428),
    [sym_return_statement] = STATE(151),
    [sym_go_statement] = STATE(151),
    [sym_for_statement] = STATE(151),
    [anon_sym_RBRACE] = ACTIONS(1698),
    [anon_sym_break] = ACTIONS(410),
    [anon_sym_defer] = ACTIONS(386),
    [sym_rune_literal] = ACTIONS(384),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(388),
    [anon_sym_CARET] = ACTIONS(388),
    [anon_sym_for] = ACTIONS(412),
    [anon_sym_select] = ACTIONS(390),
    [anon_sym_var] = ACTIONS(414),
    [anon_sym_const] = ACTIONS(392),
    [sym_raw_string_literal] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(418),
    [anon_sym_if] = ACTIONS(396),
    [anon_sym_return] = ACTIONS(420),
    [sym_imaginary_literal] = ACTIONS(384),
    [sym_nil] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(388),
    [anon_sym_make] = ACTIONS(398),
    [anon_sym_AMP] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_case] = ACTIONS(1700),
    [anon_sym_type] = ACTIONS(422),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_int_literal] = ACTIONS(394),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_goto] = ACTIONS(424),
    [anon_sym_fallthrough] = ACTIONS(400),
    [anon_sym_go] = ACTIONS(426),
    [sym_true] = ACTIONS(394),
    [anon_sym_PLUS] = ACTIONS(388),
    [anon_sym_switch] = ACTIONS(428),
    [anon_sym_default] = ACTIONS(1700),
    [anon_sym_STAR] = ACTIONS(430),
    [sym_identifier] = ACTIONS(432),
    [anon_sym_func] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(404),
    [anon_sym_SEMI] = ACTIONS(434),
    [anon_sym_LT_DASH] = ACTIONS(406),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(394),
    [sym_false] = ACTIONS(394),
  },
  [382] = {
    [sym_type_case_clause] = STATE(430),
    [sym_default_case] = STATE(381),
    [sym_type_case] = STATE(381),
    [aux_sym_type_switch_statement_repeat1] = STATE(430),
    [anon_sym_case] = ACTIONS(1429),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [sym_comment] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(1110),
  },
  [383] = {
    [sym_struct_type] = STATE(1135),
    [sym_map_type] = STATE(1135),
    [sym_channel_type] = STATE(1135),
    [sym_pointer_type] = STATE(1135),
    [sym_array_type] = STATE(1135),
    [sym_interface_type] = STATE(1135),
    [sym_function_type] = STATE(1135),
    [sym_slice_type] = STATE(1135),
    [sym_parenthesized_type] = STATE(1135),
    [sym__simple_type] = STATE(1135),
    [sym_qualified_type] = STATE(1135),
    [anon_sym_type] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [384] = {
    [sym_default_case] = STATE(304),
    [sym_expression_case_clause] = STATE(377),
    [sym_expression_case] = STATE(304),
    [aux_sym_expression_switch_statement_repeat1] = STATE(377),
    [anon_sym_case] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [sym_comment] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(1110),
  },
  [385] = {
    [sym_default_case] = STATE(304),
    [sym_expression_case_clause] = STATE(433),
    [sym_expression_case] = STATE(304),
    [aux_sym_expression_switch_statement_repeat1] = STATE(433),
    [anon_sym_case] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [sym_comment] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(1110),
  },
  [386] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON_EQ] = ACTIONS(1708),
  },
  [387] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(1710),
  },
  [388] = {
    [aux_sym_expression_list_repeat1] = STATE(706),
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(1339),
    [anon_sym_PERCENT] = ACTIONS(1337),
    [anon_sym_CARET] = ACTIONS(1339),
    [anon_sym_PIPE_PIPE] = ACTIONS(1341),
    [anon_sym_GT] = ACTIONS(1343),
    [anon_sym_AMP_CARET] = ACTIONS(1337),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_DOT] = ACTIONS(1712),
    [anon_sym_COLON_EQ] = ACTIONS(617),
    [anon_sym_EQ_EQ] = ACTIONS(1333),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(1347),
    [anon_sym_COMMA] = ACTIONS(1624),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_PIPE] = ACTIONS(1335),
    [anon_sym_LT_LT] = ACTIONS(1337),
    [anon_sym_BANG_EQ] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_AMP_AMP] = ACTIONS(1349),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_GT_GT] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_var_declaration] = STATE(312),
    [sym_type_conversion_expression] = STATE(153),
    [sym_unary_expression] = STATE(153),
    [sym_slice_type] = STATE(1017),
    [sym__string_literal] = STATE(153),
    [sym__statement] = STATE(312),
    [sym_dec_statement] = STATE(312),
    [sym_break_statement] = STATE(312),
    [sym_if_statement] = STATE(312),
    [sym_expression_switch_statement] = STATE(312),
    [sym_parenthesized_expression] = STATE(153),
    [sym_index_expression] = STATE(153),
    [sym_parenthesized_type] = STATE(1280),
    [sym_struct_type] = STATE(1017),
    [sym_map_type] = STATE(1017),
    [sym_empty_statement] = STATE(312),
    [sym_assignment_statement] = STATE(312),
    [sym_continue_statement] = STATE(312),
    [sym_const_declaration] = STATE(312),
    [sym_call_expression] = STATE(153),
    [sym_slice_expression] = STATE(153),
    [sym_array_type] = STATE(1017),
    [sym_interface_type] = STATE(1280),
    [sym_block] = STATE(312),
    [sym_go_statement] = STATE(312),
    [sym_type_switch_statement] = STATE(312),
    [sym_expression_list] = STATE(150),
    [sym_composite_literal] = STATE(153),
    [sym_implicit_length_array_type] = STATE(1018),
    [sym_binary_expression] = STATE(153),
    [sym_interpreted_string_literal] = STATE(153),
    [sym_inc_statement] = STATE(312),
    [sym_fallthrough_statement] = STATE(312),
    [sym_defer_statement] = STATE(312),
    [sym__expression] = STATE(153),
    [sym_selector_expression] = STATE(153),
    [sym_type_declaration] = STATE(312),
    [sym__simple_type] = STATE(1280),
    [sym_qualified_type] = STATE(1017),
    [sym_channel_type] = STATE(1280),
    [sym__simple_statement] = STATE(312),
    [sym_short_var_declaration] = STATE(312),
    [sym_goto_statement] = STATE(312),
    [sym__declaration] = STATE(312),
    [sym_select_statement] = STATE(312),
    [sym_type_assertion_expression] = STATE(153),
    [sym_pointer_type] = STATE(1280),
    [sym_func_literal] = STATE(153),
    [sym_function_type] = STATE(1280),
    [sym_send_statement] = STATE(312),
    [sym_labeled_statement] = STATE(312),
    [sym_return_statement] = STATE(312),
    [sym_for_statement] = STATE(312),
    [sym_rune_literal] = ACTIONS(384),
    [anon_sym_defer] = ACTIONS(386),
    [anon_sym_DASH] = ACTIONS(388),
    [anon_sym_CARET] = ACTIONS(388),
    [anon_sym_select] = ACTIONS(390),
    [anon_sym_const] = ACTIONS(392),
    [sym_raw_string_literal] = ACTIONS(384),
    [sym_imaginary_literal] = ACTIONS(384),
    [anon_sym_LBRACK] = ACTIONS(239),
    [sym_nil] = ACTIONS(394),
    [anon_sym_if] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(388),
    [anon_sym_AMP] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_true] = ACTIONS(394),
    [anon_sym_fallthrough] = ACTIONS(400),
    [anon_sym_func] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(404),
    [anon_sym_LT_DASH] = ACTIONS(406),
    [anon_sym_struct] = ACTIONS(87),
    [sym_false] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(410),
    [anon_sym_for] = ACTIONS(412),
    [anon_sym_var] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(418),
    [anon_sym_return] = ACTIONS(420),
    [anon_sym_make] = ACTIONS(398),
    [anon_sym_type] = ACTIONS(422),
    [sym_int_literal] = ACTIONS(394),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_goto] = ACTIONS(424),
    [anon_sym_go] = ACTIONS(426),
    [anon_sym_PLUS] = ACTIONS(388),
    [anon_sym_switch] = ACTIONS(428),
    [anon_sym_STAR] = ACTIONS(430),
    [sym_identifier] = ACTIONS(1152),
    [anon_sym_SEMI] = ACTIONS(434),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(394),
    [anon_sym_chan] = ACTIONS(235),
  },
  [390] = {
    [anon_sym_RBRACE] = ACTIONS(1716),
    [anon_sym_case] = ACTIONS(1716),
    [sym_comment] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(1716),
  },
  [391] = {
    [sym_var_declaration] = STATE(315),
    [sym_type_conversion_expression] = STATE(153),
    [sym_unary_expression] = STATE(153),
    [sym_slice_type] = STATE(1017),
    [sym__string_literal] = STATE(153),
    [sym__statement] = STATE(315),
    [sym_dec_statement] = STATE(315),
    [sym_break_statement] = STATE(315),
    [sym_if_statement] = STATE(315),
    [sym_expression_switch_statement] = STATE(315),
    [sym_parenthesized_expression] = STATE(153),
    [sym_index_expression] = STATE(153),
    [sym_parenthesized_type] = STATE(1280),
    [sym_struct_type] = STATE(1017),
    [sym_map_type] = STATE(1017),
    [sym_empty_statement] = STATE(315),
    [sym_assignment_statement] = STATE(315),
    [sym_continue_statement] = STATE(315),
    [sym_const_declaration] = STATE(315),
    [sym_call_expression] = STATE(153),
    [sym_slice_expression] = STATE(153),
    [sym_array_type] = STATE(1017),
    [sym_interface_type] = STATE(1280),
    [sym_block] = STATE(315),
    [sym_go_statement] = STATE(315),
    [sym_type_switch_statement] = STATE(315),
    [sym_expression_list] = STATE(150),
    [sym_composite_literal] = STATE(153),
    [sym_implicit_length_array_type] = STATE(1018),
    [sym_binary_expression] = STATE(153),
    [sym_interpreted_string_literal] = STATE(153),
    [sym_inc_statement] = STATE(315),
    [sym_fallthrough_statement] = STATE(315),
    [sym_defer_statement] = STATE(315),
    [sym__expression] = STATE(153),
    [sym_selector_expression] = STATE(153),
    [sym_type_declaration] = STATE(315),
    [sym__simple_type] = STATE(1280),
    [sym_qualified_type] = STATE(1017),
    [sym_channel_type] = STATE(1280),
    [sym__simple_statement] = STATE(315),
    [sym_short_var_declaration] = STATE(315),
    [sym_goto_statement] = STATE(315),
    [sym__declaration] = STATE(315),
    [sym_select_statement] = STATE(315),
    [sym_type_assertion_expression] = STATE(153),
    [sym_pointer_type] = STATE(1280),
    [sym_func_literal] = STATE(153),
    [sym_function_type] = STATE(1280),
    [sym_send_statement] = STATE(315),
    [sym_labeled_statement] = STATE(315),
    [sym_return_statement] = STATE(315),
    [sym_for_statement] = STATE(315),
    [sym_rune_literal] = ACTIONS(384),
    [anon_sym_defer] = ACTIONS(386),
    [anon_sym_DASH] = ACTIONS(388),
    [anon_sym_CARET] = ACTIONS(388),
    [anon_sym_select] = ACTIONS(390),
    [anon_sym_const] = ACTIONS(392),
    [sym_raw_string_literal] = ACTIONS(384),
    [sym_imaginary_literal] = ACTIONS(384),
    [anon_sym_LBRACK] = ACTIONS(239),
    [sym_nil] = ACTIONS(394),
    [anon_sym_if] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(388),
    [anon_sym_AMP] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_true] = ACTIONS(394),
    [anon_sym_fallthrough] = ACTIONS(400),
    [anon_sym_func] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(404),
    [anon_sym_LT_DASH] = ACTIONS(406),
    [anon_sym_struct] = ACTIONS(87),
    [sym_false] = ACTIONS(394),
    [anon_sym_break] = ACTIONS(410),
    [anon_sym_for] = ACTIONS(412),
    [anon_sym_var] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(418),
    [anon_sym_return] = ACTIONS(420),
    [anon_sym_make] = ACTIONS(398),
    [anon_sym_type] = ACTIONS(422),
    [sym_int_literal] = ACTIONS(394),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_goto] = ACTIONS(424),
    [anon_sym_go] = ACTIONS(426),
    [anon_sym_PLUS] = ACTIONS(388),
    [anon_sym_switch] = ACTIONS(428),
    [anon_sym_STAR] = ACTIONS(430),
    [sym_identifier] = ACTIONS(1152),
    [anon_sym_SEMI] = ACTIONS(434),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(394),
    [anon_sym_chan] = ACTIONS(235),
  },
  [392] = {
    [anon_sym_RBRACE] = ACTIONS(1718),
    [anon_sym_COMMA] = ACTIONS(1718),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_RBRACE] = ACTIONS(1718),
    [anon_sym_COMMA] = ACTIONS(1718),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(498),
  },
  [394] = {
    [anon_sym_RBRACE] = ACTIONS(1720),
    [anon_sym_COMMA] = ACTIONS(1720),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_RBRACE] = ACTIONS(1720),
    [anon_sym_COMMA] = ACTIONS(1720),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(498),
  },
  [396] = {
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1722),
    [anon_sym_PERCENT] = ACTIONS(1722),
    [anon_sym_CARET] = ACTIONS(1722),
    [anon_sym_PIPE_PIPE] = ACTIONS(1722),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1722),
    [anon_sym_AMP_CARET] = ACTIONS(1722),
    [anon_sym_LT_EQ] = ACTIONS(1722),
    [anon_sym_DOT] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1722),
    [anon_sym_RPAREN] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_COLON_EQ] = ACTIONS(1722),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1722),
    [anon_sym_COMMA] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1722),
    [anon_sym_BANG_EQ] = ACTIONS(1722),
    [anon_sym_RBRACK] = ACTIONS(1722),
    [anon_sym_COLON] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1722),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_AMP_AMP] = ACTIONS(1722),
    [anon_sym_STAR] = ACTIONS(1722),
    [anon_sym_EQ] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1722),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_LT] = ACTIONS(1724),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1722),
  },
  [397] = {
    [anon_sym_RBRACE] = ACTIONS(1726),
    [anon_sym_COMMA] = ACTIONS(1726),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_type_conversion_expression] = STATE(240),
    [sym_composite_literal] = STATE(240),
    [sym_unary_expression] = STATE(240),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(240),
    [sym__string_literal] = STATE(240),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(240),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(240),
    [sym_selector_expression] = STATE(240),
    [sym_index_expression] = STATE(240),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_literal_value] = STATE(241),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_keyed_element] = STATE(397),
    [sym_struct_type] = STATE(89),
    [sym_call_expression] = STATE(240),
    [sym_slice_expression] = STATE(240),
    [sym_type_assertion_expression] = STATE(240),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(240),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_element] = STATE(397),
    [sym_rune_literal] = ACTIONS(820),
    [anon_sym_RBRACE] = ACTIONS(1728),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(820),
    [sym_imaginary_literal] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(824),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
  },
  [399] = {
    [aux_sym_literal_value_repeat1] = STATE(399),
    [anon_sym_RBRACE] = ACTIONS(1726),
    [anon_sym_COMMA] = ACTIONS(1730),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [anon_sym_RBRACE] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_PERCENT] = ACTIONS(1733),
    [anon_sym_CARET] = ACTIONS(1733),
    [anon_sym_PIPE_PIPE] = ACTIONS(1733),
    [anon_sym_GT] = ACTIONS(1735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1733),
    [anon_sym_AMP_CARET] = ACTIONS(1733),
    [anon_sym_LT_EQ] = ACTIONS(1733),
    [anon_sym_DOT] = ACTIONS(1735),
    [anon_sym_EQ_EQ] = ACTIONS(1733),
    [anon_sym_RPAREN] = ACTIONS(1733),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(1733),
    [anon_sym_COLON_EQ] = ACTIONS(1733),
    [anon_sym_AMP] = ACTIONS(1735),
    [anon_sym_GT_EQ] = ACTIONS(1733),
    [anon_sym_COMMA] = ACTIONS(1733),
    [anon_sym_PIPE] = ACTIONS(1735),
    [anon_sym_LT_LT] = ACTIONS(1733),
    [anon_sym_BANG_EQ] = ACTIONS(1733),
    [anon_sym_RBRACK] = ACTIONS(1733),
    [anon_sym_COLON] = ACTIONS(1735),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_SLASH] = ACTIONS(1735),
    [anon_sym_AMP_AMP] = ACTIONS(1733),
    [anon_sym_STAR] = ACTIONS(1733),
    [anon_sym_EQ] = ACTIONS(1735),
    [anon_sym_GT_GT] = ACTIONS(1733),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_LT] = ACTIONS(1735),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1733),
  },
  [401] = {
    [sym_type_conversion_expression] = STATE(718),
    [sym_composite_literal] = STATE(718),
    [sym_unary_expression] = STATE(718),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(718),
    [sym__string_literal] = STATE(718),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(718),
    [sym__expression] = STATE(718),
    [sym_parenthesized_expression] = STATE(718),
    [sym_selector_expression] = STATE(718),
    [sym_index_expression] = STATE(718),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(718),
    [sym_slice_expression] = STATE(718),
    [sym_type_assertion_expression] = STATE(718),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(718),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(1497),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(1497),
    [anon_sym_RPAREN] = ACTIONS(1737),
    [sym_imaginary_literal] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1501),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(1501),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(1501),
    [sym_false] = ACTIONS(1501),
  },
  [402] = {
    [anon_sym_RBRACE] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_PERCENT] = ACTIONS(1739),
    [anon_sym_CARET] = ACTIONS(1739),
    [anon_sym_PIPE_PIPE] = ACTIONS(1739),
    [anon_sym_GT] = ACTIONS(1741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1739),
    [anon_sym_AMP_CARET] = ACTIONS(1739),
    [anon_sym_LT_EQ] = ACTIONS(1739),
    [anon_sym_DOT] = ACTIONS(1741),
    [anon_sym_EQ_EQ] = ACTIONS(1739),
    [anon_sym_RPAREN] = ACTIONS(1739),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym_LBRACK] = ACTIONS(1739),
    [anon_sym_COLON_EQ] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_GT_EQ] = ACTIONS(1739),
    [anon_sym_COMMA] = ACTIONS(1739),
    [anon_sym_PIPE] = ACTIONS(1741),
    [anon_sym_LT_LT] = ACTIONS(1739),
    [anon_sym_BANG_EQ] = ACTIONS(1739),
    [anon_sym_RBRACK] = ACTIONS(1739),
    [anon_sym_COLON] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_SLASH] = ACTIONS(1741),
    [anon_sym_AMP_AMP] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1739),
    [anon_sym_EQ] = ACTIONS(1741),
    [anon_sym_GT_GT] = ACTIONS(1739),
    [anon_sym_LPAREN] = ACTIONS(1739),
    [anon_sym_LT] = ACTIONS(1741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1739),
  },
  [403] = {
    [anon_sym_RBRACE] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_PERCENT] = ACTIONS(1743),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_PIPE_PIPE] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1743),
    [anon_sym_AMP_CARET] = ACTIONS(1743),
    [anon_sym_LT_EQ] = ACTIONS(1743),
    [anon_sym_DOT] = ACTIONS(1745),
    [anon_sym_EQ_EQ] = ACTIONS(1743),
    [anon_sym_RPAREN] = ACTIONS(1743),
    [anon_sym_LBRACE] = ACTIONS(1743),
    [anon_sym_LBRACK] = ACTIONS(1743),
    [anon_sym_COLON_EQ] = ACTIONS(1743),
    [anon_sym_AMP] = ACTIONS(1745),
    [anon_sym_GT_EQ] = ACTIONS(1743),
    [anon_sym_COMMA] = ACTIONS(1743),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_LT_LT] = ACTIONS(1743),
    [anon_sym_BANG_EQ] = ACTIONS(1743),
    [anon_sym_RBRACK] = ACTIONS(1743),
    [anon_sym_COLON] = ACTIONS(1745),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1745),
    [anon_sym_AMP_AMP] = ACTIONS(1743),
    [anon_sym_STAR] = ACTIONS(1743),
    [anon_sym_EQ] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1743),
    [anon_sym_LPAREN] = ACTIONS(1743),
    [anon_sym_LT] = ACTIONS(1745),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1743),
  },
  [404] = {
    [sym_type_conversion_expression] = STATE(440),
    [sym_composite_literal] = STATE(440),
    [sym_unary_expression] = STATE(440),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(440),
    [sym__string_literal] = STATE(440),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(440),
    [sym__expression] = STATE(440),
    [sym_parenthesized_expression] = STATE(440),
    [sym_selector_expression] = STATE(440),
    [sym_index_expression] = STATE(440),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(440),
    [sym_slice_expression] = STATE(440),
    [sym_type_assertion_expression] = STATE(440),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(440),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(1747),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(1747),
    [sym_imaginary_literal] = ACTIONS(1747),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1749),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(1749),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(1749),
    [sym_false] = ACTIONS(1749),
  },
  [405] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(1751),
    [anon_sym_COLON] = ACTIONS(1753),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [anon_sym_RBRACE] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_PERCENT] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1757),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1755),
    [anon_sym_AMP_CARET] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1757),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_RPAREN] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1755),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_COLON_EQ] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1757),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_RBRACK] = ACTIONS(1755),
    [anon_sym_COLON] = ACTIONS(1757),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1757),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_EQ] = ACTIONS(1757),
    [anon_sym_GT_GT] = ACTIONS(1755),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1757),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1755),
  },
  [407] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1759),
    [anon_sym_RPAREN] = ACTIONS(1759),
  },
  [408] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_COMMA] = ACTIONS(1759),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1234),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_RPAREN] = ACTIONS(1759),
    [anon_sym_DOT] = ACTIONS(814),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(857),
  },
  [409] = {
    [sym_type_conversion_expression] = STATE(408),
    [sym_composite_literal] = STATE(408),
    [sym_unary_expression] = STATE(408),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(408),
    [sym__string_literal] = STATE(408),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(408),
    [sym__expression] = STATE(408),
    [sym_parenthesized_expression] = STATE(408),
    [sym_selector_expression] = STATE(408),
    [sym_index_expression] = STATE(408),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(408),
    [sym_variadic_argument] = STATE(407),
    [sym_slice_expression] = STATE(408),
    [sym_type_assertion_expression] = STATE(408),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(408),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(1527),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(1527),
    [anon_sym_RPAREN] = ACTIONS(1761),
    [sym_imaginary_literal] = ACTIONS(1527),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1531),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(1531),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(1531),
    [sym_false] = ACTIONS(1531),
  },
  [410] = {
    [aux_sym_argument_list_repeat1] = STATE(410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1763),
    [anon_sym_RPAREN] = ACTIONS(1759),
  },
  [411] = {
    [anon_sym_RBRACE] = ACTIONS(1766),
    [anon_sym_DASH] = ACTIONS(1766),
    [anon_sym_PERCENT] = ACTIONS(1766),
    [anon_sym_CARET] = ACTIONS(1766),
    [anon_sym_PIPE_PIPE] = ACTIONS(1766),
    [anon_sym_GT] = ACTIONS(1768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1766),
    [anon_sym_AMP_CARET] = ACTIONS(1766),
    [anon_sym_LT_EQ] = ACTIONS(1766),
    [anon_sym_DOT] = ACTIONS(1768),
    [anon_sym_EQ_EQ] = ACTIONS(1766),
    [anon_sym_RPAREN] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1766),
    [anon_sym_LBRACK] = ACTIONS(1766),
    [anon_sym_COLON_EQ] = ACTIONS(1766),
    [anon_sym_AMP] = ACTIONS(1768),
    [anon_sym_GT_EQ] = ACTIONS(1766),
    [anon_sym_COMMA] = ACTIONS(1766),
    [anon_sym_PIPE] = ACTIONS(1768),
    [anon_sym_LT_LT] = ACTIONS(1766),
    [anon_sym_BANG_EQ] = ACTIONS(1766),
    [anon_sym_RBRACK] = ACTIONS(1766),
    [anon_sym_COLON] = ACTIONS(1768),
    [anon_sym_PLUS] = ACTIONS(1766),
    [anon_sym_SLASH] = ACTIONS(1768),
    [anon_sym_AMP_AMP] = ACTIONS(1766),
    [anon_sym_STAR] = ACTIONS(1766),
    [anon_sym_EQ] = ACTIONS(1768),
    [anon_sym_GT_GT] = ACTIONS(1766),
    [anon_sym_LPAREN] = ACTIONS(1766),
    [anon_sym_LT] = ACTIONS(1768),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1766),
  },
  [412] = {
    [anon_sym_COLON] = ACTIONS(1770),
    [anon_sym_COMMA] = ACTIONS(1770),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym_EQ] = ACTIONS(1770),
    [anon_sym_RBRACK] = ACTIONS(1770),
    [anon_sym_LPAREN] = ACTIONS(1770),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1770),
  },
  [413] = {
    [sym_method_spec] = STATE(343),
    [sym_qualified_type] = STATE(343),
    [sym_identifier] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [anon_sym_COLON] = ACTIONS(1772),
    [anon_sym_COMMA] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_EQ] = ACTIONS(1772),
    [anon_sym_RBRACK] = ACTIONS(1772),
    [anon_sym_LPAREN] = ACTIONS(1772),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1772),
  },
  [415] = {
    [anon_sym_RBRACE] = ACTIONS(1774),
    [anon_sym_SEMI] = ACTIONS(1774),
    [anon_sym_LF] = ACTIONS(1776),
    [sym_comment] = ACTIONS(61),
  },
  [416] = {
    [anon_sym_COLON] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1778),
    [anon_sym_LBRACE] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(1778),
    [anon_sym_RBRACK] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1778),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1778),
  },
  [417] = {
    [sym_field_declaration] = STATE(357),
    [sym_qualified_type] = STATE(192),
    [sym_identifier] = ACTIONS(528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(532),
  },
  [418] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(1780),
  },
  [419] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_PIPE] = ACTIONS(1335),
    [anon_sym_LT_LT] = ACTIONS(1337),
    [anon_sym_BANG_EQ] = ACTIONS(1333),
    [anon_sym_DASH] = ACTIONS(1339),
    [anon_sym_PERCENT] = ACTIONS(1337),
    [anon_sym_CARET] = ACTIONS(1339),
    [anon_sym_PIPE_PIPE] = ACTIONS(1341),
    [anon_sym_GT] = ACTIONS(1343),
    [anon_sym_AMP_CARET] = ACTIONS(1337),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_LBRACE] = ACTIONS(1782),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(1349),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_GT_GT] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(1347),
  },
  [420] = {
    [sym_expression_list] = STATE(1027),
    [sym_composite_literal] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_slice_type] = STATE(1115),
    [sym_binary_expression] = STATE(514),
    [sym_interpreted_string_literal] = STATE(514),
    [sym__string_literal] = STATE(514),
    [sym_type_conversion_expression] = STATE(514),
    [sym_implicit_length_array_type] = STATE(1116),
    [sym_dec_statement] = STATE(445),
    [sym_inc_statement] = STATE(445),
    [sym__expression] = STATE(514),
    [sym_parenthesized_expression] = STATE(514),
    [sym_selector_expression] = STATE(514),
    [sym_index_expression] = STATE(514),
    [sym_parenthesized_type] = STATE(1283),
    [sym__simple_type] = STATE(1283),
    [sym_qualified_type] = STATE(1115),
    [sym_struct_type] = STATE(1115),
    [sym_map_type] = STATE(1115),
    [sym_channel_type] = STATE(1283),
    [sym__simple_statement] = STATE(445),
    [sym_assignment_statement] = STATE(445),
    [sym_short_var_declaration] = STATE(445),
    [sym_call_expression] = STATE(514),
    [sym_slice_expression] = STATE(514),
    [sym_type_assertion_expression] = STATE(514),
    [sym_pointer_type] = STATE(1283),
    [sym_array_type] = STATE(1115),
    [sym_func_literal] = STATE(514),
    [sym_interface_type] = STATE(1283),
    [sym_function_type] = STATE(1283),
    [sym_send_statement] = STATE(445),
    [sym_rune_literal] = ACTIONS(1351),
    [sym_false] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(692),
    [anon_sym_LT_DASH] = ACTIONS(704),
    [anon_sym_make] = ACTIONS(688),
    [sym_float_literal] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(686),
    [anon_sym_new] = ACTIONS(688),
    [anon_sym_CARET] = ACTIONS(686),
    [sym_int_literal] = ACTIONS(1353),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [sym_raw_string_literal] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(686),
    [anon_sym_LBRACE] = ACTIONS(1780),
    [sym_imaginary_literal] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1353),
    [anon_sym_STAR] = ACTIONS(694),
    [sym_identifier] = ACTIONS(696),
    [anon_sym_func] = ACTIONS(702),
    [anon_sym_LPAREN] = ACTIONS(700),
    [anon_sym_BANG] = ACTIONS(686),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [421] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(446),
    [sym_composite_literal] = STATE(446),
    [sym_unary_expression] = STATE(446),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(446),
    [sym__string_literal] = STATE(446),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(446),
    [sym_call_expression] = STATE(446),
    [sym_slice_expression] = STATE(446),
    [sym_type_assertion_expression] = STATE(446),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(446),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(446),
    [sym_parenthesized_expression] = STATE(446),
    [sym_selector_expression] = STATE(446),
    [sym_index_expression] = STATE(446),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1784),
    [sym_false] = ACTIONS(1786),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(1786),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1786),
    [sym_raw_string_literal] = ACTIONS(1784),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(1784),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1786),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [422] = {
    [anon_sym_RBRACE] = ACTIONS(1788),
    [anon_sym_break] = ACTIONS(1790),
    [anon_sym_defer] = ACTIONS(1790),
    [sym_float_literal] = ACTIONS(1790),
    [sym_rune_literal] = ACTIONS(1788),
    [sym_false] = ACTIONS(1790),
    [anon_sym_DASH] = ACTIONS(1788),
    [anon_sym_CARET] = ACTIONS(1788),
    [anon_sym_for] = ACTIONS(1790),
    [anon_sym_select] = ACTIONS(1790),
    [anon_sym_var] = ACTIONS(1790),
    [anon_sym_const] = ACTIONS(1790),
    [sym_raw_string_literal] = ACTIONS(1788),
    [anon_sym_LBRACE] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1788),
    [anon_sym_interface] = ACTIONS(1790),
    [anon_sym_continue] = ACTIONS(1790),
    [anon_sym_if] = ACTIONS(1790),
    [anon_sym_return] = ACTIONS(1790),
    [sym_imaginary_literal] = ACTIONS(1788),
    [sym_nil] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_make] = ACTIONS(1790),
    [anon_sym_AMP] = ACTIONS(1788),
    [anon_sym_new] = ACTIONS(1790),
    [anon_sym_case] = ACTIONS(1790),
    [anon_sym_type] = ACTIONS(1790),
    [anon_sym_DQUOTE] = ACTIONS(1788),
    [sym_int_literal] = ACTIONS(1790),
    [anon_sym_map] = ACTIONS(1790),
    [anon_sym_goto] = ACTIONS(1790),
    [anon_sym_fallthrough] = ACTIONS(1790),
    [anon_sym_go] = ACTIONS(1790),
    [sym_true] = ACTIONS(1790),
    [anon_sym_PLUS] = ACTIONS(1788),
    [anon_sym_switch] = ACTIONS(1790),
    [anon_sym_default] = ACTIONS(1790),
    [anon_sym_STAR] = ACTIONS(1788),
    [anon_sym_func] = ACTIONS(1790),
    [anon_sym_SEMI] = ACTIONS(1788),
    [anon_sym_LPAREN] = ACTIONS(1788),
    [sym_identifier] = ACTIONS(1790),
    [anon_sym_LT_DASH] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(1790),
    [anon_sym_chan] = ACTIONS(1790),
  },
  [423] = {
    [anon_sym_RBRACE] = ACTIONS(1792),
    [anon_sym_SEMI] = ACTIONS(1792),
    [anon_sym_case] = ACTIONS(1792),
    [anon_sym_LF] = ACTIONS(1794),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1792),
  },
  [424] = {
    [anon_sym_RBRACE] = ACTIONS(1796),
    [anon_sym_SEMI] = ACTIONS(1796),
    [anon_sym_case] = ACTIONS(1796),
    [anon_sym_LF] = ACTIONS(1798),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1796),
  },
  [425] = {
    [anon_sym_RBRACE] = ACTIONS(1800),
    [anon_sym_break] = ACTIONS(1802),
    [anon_sym_defer] = ACTIONS(1802),
    [sym_float_literal] = ACTIONS(1802),
    [sym_rune_literal] = ACTIONS(1800),
    [sym_false] = ACTIONS(1802),
    [anon_sym_DASH] = ACTIONS(1800),
    [anon_sym_CARET] = ACTIONS(1800),
    [anon_sym_for] = ACTIONS(1802),
    [anon_sym_select] = ACTIONS(1802),
    [anon_sym_var] = ACTIONS(1802),
    [anon_sym_const] = ACTIONS(1802),
    [sym_raw_string_literal] = ACTIONS(1800),
    [anon_sym_LBRACE] = ACTIONS(1800),
    [anon_sym_LBRACK] = ACTIONS(1800),
    [anon_sym_interface] = ACTIONS(1802),
    [anon_sym_continue] = ACTIONS(1802),
    [anon_sym_if] = ACTIONS(1802),
    [anon_sym_return] = ACTIONS(1802),
    [sym_imaginary_literal] = ACTIONS(1800),
    [sym_nil] = ACTIONS(1802),
    [anon_sym_BANG] = ACTIONS(1800),
    [anon_sym_make] = ACTIONS(1802),
    [anon_sym_AMP] = ACTIONS(1800),
    [anon_sym_new] = ACTIONS(1802),
    [anon_sym_case] = ACTIONS(1802),
    [anon_sym_type] = ACTIONS(1802),
    [anon_sym_DQUOTE] = ACTIONS(1800),
    [sym_int_literal] = ACTIONS(1802),
    [anon_sym_map] = ACTIONS(1802),
    [anon_sym_goto] = ACTIONS(1802),
    [anon_sym_fallthrough] = ACTIONS(1802),
    [anon_sym_go] = ACTIONS(1802),
    [sym_true] = ACTIONS(1802),
    [anon_sym_PLUS] = ACTIONS(1800),
    [anon_sym_switch] = ACTIONS(1802),
    [anon_sym_default] = ACTIONS(1802),
    [anon_sym_STAR] = ACTIONS(1800),
    [anon_sym_func] = ACTIONS(1802),
    [anon_sym_SEMI] = ACTIONS(1800),
    [anon_sym_LPAREN] = ACTIONS(1800),
    [sym_identifier] = ACTIONS(1802),
    [anon_sym_LT_DASH] = ACTIONS(1800),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(1802),
    [anon_sym_chan] = ACTIONS(1802),
  },
  [426] = {
    [sym_identifier] = ACTIONS(889),
    [anon_sym_LPAREN] = ACTIONS(1804),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [aux_sym_type_case_repeat1] = STATE(450),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1806),
    [anon_sym_COLON] = ACTIONS(1808),
  },
  [428] = {
    [anon_sym_RBRACE] = ACTIONS(1810),
    [anon_sym_case] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(1810),
  },
  [429] = {
    [anon_sym_RBRACE] = ACTIONS(1812),
    [anon_sym_SEMI] = ACTIONS(1812),
    [anon_sym_case] = ACTIONS(1812),
    [anon_sym_LF] = ACTIONS(1814),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1812),
  },
  [430] = {
    [sym_type_case_clause] = STATE(430),
    [sym_default_case] = STATE(381),
    [sym_type_case] = STATE(381),
    [aux_sym_type_switch_statement_repeat1] = STATE(430),
    [anon_sym_RBRACE] = ACTIONS(1816),
    [anon_sym_case] = ACTIONS(1818),
    [sym_comment] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(1821),
  },
  [431] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1824),
  },
  [432] = {
    [anon_sym_RBRACE] = ACTIONS(1826),
    [anon_sym_SEMI] = ACTIONS(1826),
    [anon_sym_case] = ACTIONS(1826),
    [anon_sym_LF] = ACTIONS(1828),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1826),
  },
  [433] = {
    [sym_default_case] = STATE(304),
    [sym_expression_case_clause] = STATE(377),
    [sym_expression_case] = STATE(304),
    [aux_sym_expression_switch_statement_repeat1] = STATE(377),
    [anon_sym_case] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(1110),
  },
  [434] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(453),
    [sym_composite_literal] = STATE(453),
    [sym_unary_expression] = STATE(453),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(453),
    [sym__string_literal] = STATE(453),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(453),
    [sym_call_expression] = STATE(453),
    [sym_slice_expression] = STATE(453),
    [sym_type_assertion_expression] = STATE(453),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(453),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(453),
    [sym_parenthesized_expression] = STATE(453),
    [sym_selector_expression] = STATE(453),
    [sym_index_expression] = STATE(453),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1832),
    [sym_false] = ACTIONS(1834),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1834),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(1834),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1834),
    [sym_raw_string_literal] = ACTIONS(1832),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1834),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [435] = {
    [sym_type_case_clause] = STATE(455),
    [sym_default_case] = STATE(381),
    [sym_type_case] = STATE(381),
    [aux_sym_type_switch_statement_repeat1] = STATE(455),
    [anon_sym_case] = ACTIONS(1429),
    [anon_sym_RBRACE] = ACTIONS(1836),
    [sym_comment] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(1110),
  },
  [436] = {
    [sym_default_case] = STATE(304),
    [sym_expression_case_clause] = STATE(456),
    [sym_expression_case] = STATE(304),
    [aux_sym_expression_switch_statement_repeat1] = STATE(456),
    [anon_sym_case] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(1110),
  },
  [437] = {
    [anon_sym_RBRACE] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_PERCENT] = ACTIONS(1838),
    [anon_sym_CARET] = ACTIONS(1838),
    [anon_sym_PIPE_PIPE] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1838),
    [anon_sym_AMP_CARET] = ACTIONS(1838),
    [anon_sym_LT_EQ] = ACTIONS(1838),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_EQ_EQ] = ACTIONS(1838),
    [anon_sym_RPAREN] = ACTIONS(1838),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_COLON_EQ] = ACTIONS(1838),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1838),
    [anon_sym_COMMA] = ACTIONS(1838),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1838),
    [anon_sym_BANG_EQ] = ACTIONS(1838),
    [anon_sym_RBRACK] = ACTIONS(1838),
    [anon_sym_COLON] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_AMP_AMP] = ACTIONS(1838),
    [anon_sym_STAR] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_GT_GT] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_LT] = ACTIONS(1840),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1838),
  },
  [438] = {
    [sym_type_conversion_expression] = STATE(240),
    [sym_composite_literal] = STATE(240),
    [sym_unary_expression] = STATE(240),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(240),
    [sym__string_literal] = STATE(240),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(240),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(240),
    [sym_selector_expression] = STATE(240),
    [sym_index_expression] = STATE(240),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_literal_value] = STATE(241),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_keyed_element] = STATE(397),
    [sym_struct_type] = STATE(89),
    [sym_call_expression] = STATE(240),
    [sym_slice_expression] = STATE(240),
    [sym_type_assertion_expression] = STATE(240),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(240),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_element] = STATE(397),
    [sym_rune_literal] = ACTIONS(820),
    [sym_false] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(824),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(824),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(824),
    [sym_comment] = ACTIONS(3),
    [sym_raw_string_literal] = ACTIONS(820),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(824),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [439] = {
    [anon_sym_RBRACE] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_PERCENT] = ACTIONS(1842),
    [anon_sym_CARET] = ACTIONS(1842),
    [anon_sym_PIPE_PIPE] = ACTIONS(1842),
    [anon_sym_GT] = ACTIONS(1844),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1842),
    [anon_sym_AMP_CARET] = ACTIONS(1842),
    [anon_sym_LT_EQ] = ACTIONS(1842),
    [anon_sym_DOT] = ACTIONS(1844),
    [anon_sym_EQ_EQ] = ACTIONS(1842),
    [anon_sym_RPAREN] = ACTIONS(1842),
    [anon_sym_LBRACE] = ACTIONS(1842),
    [anon_sym_LBRACK] = ACTIONS(1842),
    [anon_sym_COLON_EQ] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1844),
    [anon_sym_GT_EQ] = ACTIONS(1842),
    [anon_sym_COMMA] = ACTIONS(1842),
    [anon_sym_PIPE] = ACTIONS(1844),
    [anon_sym_LT_LT] = ACTIONS(1842),
    [anon_sym_BANG_EQ] = ACTIONS(1842),
    [anon_sym_RBRACK] = ACTIONS(1842),
    [anon_sym_COLON] = ACTIONS(1844),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_AMP_AMP] = ACTIONS(1842),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_EQ] = ACTIONS(1844),
    [anon_sym_GT_GT] = ACTIONS(1842),
    [anon_sym_LPAREN] = ACTIONS(1842),
    [anon_sym_LT] = ACTIONS(1844),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1842),
  },
  [440] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [441] = {
    [anon_sym_RBRACE] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_PERCENT] = ACTIONS(1848),
    [anon_sym_CARET] = ACTIONS(1848),
    [anon_sym_PIPE_PIPE] = ACTIONS(1848),
    [anon_sym_GT] = ACTIONS(1850),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1848),
    [anon_sym_AMP_CARET] = ACTIONS(1848),
    [anon_sym_LT_EQ] = ACTIONS(1848),
    [anon_sym_DOT] = ACTIONS(1850),
    [anon_sym_EQ_EQ] = ACTIONS(1848),
    [anon_sym_RPAREN] = ACTIONS(1848),
    [anon_sym_LBRACE] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1848),
    [anon_sym_COLON_EQ] = ACTIONS(1848),
    [anon_sym_AMP] = ACTIONS(1850),
    [anon_sym_GT_EQ] = ACTIONS(1848),
    [anon_sym_COMMA] = ACTIONS(1848),
    [anon_sym_PIPE] = ACTIONS(1850),
    [anon_sym_LT_LT] = ACTIONS(1848),
    [anon_sym_BANG_EQ] = ACTIONS(1848),
    [anon_sym_RBRACK] = ACTIONS(1848),
    [anon_sym_COLON] = ACTIONS(1850),
    [anon_sym_PLUS] = ACTIONS(1848),
    [anon_sym_SLASH] = ACTIONS(1850),
    [anon_sym_AMP_AMP] = ACTIONS(1848),
    [anon_sym_STAR] = ACTIONS(1848),
    [anon_sym_EQ] = ACTIONS(1850),
    [anon_sym_GT_GT] = ACTIONS(1848),
    [anon_sym_LPAREN] = ACTIONS(1848),
    [anon_sym_LT] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1848),
  },
  [442] = {
    [sym_type_conversion_expression] = STATE(458),
    [sym_composite_literal] = STATE(458),
    [sym_unary_expression] = STATE(458),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(458),
    [sym__string_literal] = STATE(458),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(458),
    [sym__expression] = STATE(458),
    [sym_parenthesized_expression] = STATE(458),
    [sym_selector_expression] = STATE(458),
    [sym_index_expression] = STATE(458),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(458),
    [sym_slice_expression] = STATE(458),
    [sym_type_assertion_expression] = STATE(458),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(458),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(1852),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(1852),
    [sym_imaginary_literal] = ACTIONS(1852),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1854),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(1854),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(1854),
    [sym_false] = ACTIONS(1854),
  },
  [443] = {
    [anon_sym_RBRACE] = ACTIONS(1856),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PERCENT] = ACTIONS(1856),
    [anon_sym_CARET] = ACTIONS(1856),
    [anon_sym_PIPE_PIPE] = ACTIONS(1856),
    [anon_sym_GT] = ACTIONS(1858),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1856),
    [anon_sym_AMP_CARET] = ACTIONS(1856),
    [anon_sym_LT_EQ] = ACTIONS(1856),
    [anon_sym_DOT] = ACTIONS(1858),
    [anon_sym_EQ_EQ] = ACTIONS(1856),
    [anon_sym_RPAREN] = ACTIONS(1856),
    [anon_sym_LBRACE] = ACTIONS(1856),
    [anon_sym_LBRACK] = ACTIONS(1856),
    [anon_sym_COLON_EQ] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym_GT_EQ] = ACTIONS(1856),
    [anon_sym_COMMA] = ACTIONS(1856),
    [anon_sym_PIPE] = ACTIONS(1858),
    [anon_sym_LT_LT] = ACTIONS(1856),
    [anon_sym_BANG_EQ] = ACTIONS(1856),
    [anon_sym_RBRACK] = ACTIONS(1856),
    [anon_sym_COLON] = ACTIONS(1858),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_SLASH] = ACTIONS(1858),
    [anon_sym_AMP_AMP] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_EQ] = ACTIONS(1858),
    [anon_sym_GT_GT] = ACTIONS(1856),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_LT] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1856),
  },
  [444] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(408),
    [sym_composite_literal] = STATE(408),
    [sym_unary_expression] = STATE(408),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(408),
    [sym__string_literal] = STATE(408),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(408),
    [sym_call_expression] = STATE(408),
    [sym_variadic_argument] = STATE(407),
    [sym_slice_expression] = STATE(408),
    [sym_type_assertion_expression] = STATE(408),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(408),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(408),
    [sym_parenthesized_expression] = STATE(408),
    [sym_selector_expression] = STATE(408),
    [sym_index_expression] = STATE(408),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1527),
    [sym_false] = ACTIONS(1531),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1531),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(1531),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1531),
    [sym_raw_string_literal] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(1527),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1531),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [445] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(1860),
  },
  [446] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_COLON] = ACTIONS(1862),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(498),
  },
  [447] = {
    [sym_qualified_type] = STATE(330),
    [sym_map_type] = STATE(330),
    [sym_channel_type] = STATE(330),
    [sym_slice_type] = STATE(330),
    [sym_pointer_type] = STATE(330),
    [sym_array_type] = STATE(330),
    [sym_interface_type] = STATE(330),
    [sym_function_type] = STATE(330),
    [sym_parenthesized_type] = STATE(330),
    [sym__simple_type] = STATE(330),
    [sym_struct_type] = STATE(330),
    [anon_sym_type] = ACTIONS(1864),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [448] = {
    [sym_struct_type] = STATE(460),
    [sym_map_type] = STATE(460),
    [sym_channel_type] = STATE(460),
    [sym_pointer_type] = STATE(460),
    [sym_array_type] = STATE(460),
    [sym_interface_type] = STATE(460),
    [sym_function_type] = STATE(460),
    [sym_slice_type] = STATE(460),
    [sym_parenthesized_type] = STATE(460),
    [sym__simple_type] = STATE(460),
    [sym_qualified_type] = STATE(460),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [449] = {
    [anon_sym_RBRACE] = ACTIONS(1866),
    [anon_sym_break] = ACTIONS(1868),
    [anon_sym_defer] = ACTIONS(1868),
    [sym_float_literal] = ACTIONS(1868),
    [sym_rune_literal] = ACTIONS(1866),
    [sym_false] = ACTIONS(1868),
    [anon_sym_DASH] = ACTIONS(1866),
    [anon_sym_CARET] = ACTIONS(1866),
    [anon_sym_for] = ACTIONS(1868),
    [anon_sym_select] = ACTIONS(1868),
    [anon_sym_var] = ACTIONS(1868),
    [anon_sym_const] = ACTIONS(1868),
    [sym_raw_string_literal] = ACTIONS(1866),
    [anon_sym_LBRACE] = ACTIONS(1866),
    [anon_sym_LBRACK] = ACTIONS(1866),
    [anon_sym_interface] = ACTIONS(1868),
    [anon_sym_continue] = ACTIONS(1868),
    [anon_sym_if] = ACTIONS(1868),
    [anon_sym_return] = ACTIONS(1868),
    [sym_imaginary_literal] = ACTIONS(1866),
    [sym_nil] = ACTIONS(1868),
    [anon_sym_BANG] = ACTIONS(1866),
    [anon_sym_make] = ACTIONS(1868),
    [anon_sym_AMP] = ACTIONS(1866),
    [anon_sym_new] = ACTIONS(1868),
    [anon_sym_case] = ACTIONS(1868),
    [anon_sym_type] = ACTIONS(1868),
    [anon_sym_DQUOTE] = ACTIONS(1866),
    [sym_int_literal] = ACTIONS(1868),
    [anon_sym_map] = ACTIONS(1868),
    [anon_sym_goto] = ACTIONS(1868),
    [anon_sym_fallthrough] = ACTIONS(1868),
    [anon_sym_go] = ACTIONS(1868),
    [sym_true] = ACTIONS(1868),
    [anon_sym_PLUS] = ACTIONS(1866),
    [anon_sym_switch] = ACTIONS(1868),
    [anon_sym_default] = ACTIONS(1868),
    [anon_sym_STAR] = ACTIONS(1866),
    [anon_sym_func] = ACTIONS(1868),
    [anon_sym_SEMI] = ACTIONS(1866),
    [anon_sym_LPAREN] = ACTIONS(1866),
    [sym_identifier] = ACTIONS(1868),
    [anon_sym_LT_DASH] = ACTIONS(1866),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(1868),
    [anon_sym_chan] = ACTIONS(1868),
  },
  [450] = {
    [aux_sym_type_case_repeat1] = STATE(462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1806),
    [anon_sym_COLON] = ACTIONS(1870),
  },
  [451] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(1872),
  },
  [452] = {
    [anon_sym_RBRACE] = ACTIONS(1874),
    [anon_sym_SEMI] = ACTIONS(1874),
    [anon_sym_case] = ACTIONS(1874),
    [anon_sym_LF] = ACTIONS(1876),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1874),
  },
  [453] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(1692),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(498),
  },
  [454] = {
    [anon_sym_RBRACE] = ACTIONS(1878),
    [anon_sym_SEMI] = ACTIONS(1878),
    [anon_sym_case] = ACTIONS(1878),
    [anon_sym_LF] = ACTIONS(1880),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1878),
  },
  [455] = {
    [sym_type_case_clause] = STATE(430),
    [sym_default_case] = STATE(381),
    [sym_type_case] = STATE(381),
    [aux_sym_type_switch_statement_repeat1] = STATE(430),
    [anon_sym_case] = ACTIONS(1429),
    [anon_sym_RBRACE] = ACTIONS(1882),
    [sym_comment] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(1110),
  },
  [456] = {
    [sym_default_case] = STATE(304),
    [sym_expression_case_clause] = STATE(377),
    [sym_expression_case] = STATE(304),
    [aux_sym_expression_switch_statement_repeat1] = STATE(377),
    [anon_sym_case] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1884),
    [sym_comment] = ACTIONS(3),
    [anon_sym_default] = ACTIONS(1110),
  },
  [457] = {
    [anon_sym_RBRACE] = ACTIONS(1886),
    [anon_sym_DASH] = ACTIONS(1886),
    [anon_sym_PERCENT] = ACTIONS(1886),
    [anon_sym_CARET] = ACTIONS(1886),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1888),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1886),
    [anon_sym_AMP_CARET] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1886),
    [anon_sym_DOT] = ACTIONS(1888),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_RPAREN] = ACTIONS(1886),
    [anon_sym_LBRACE] = ACTIONS(1886),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [anon_sym_COLON_EQ] = ACTIONS(1886),
    [anon_sym_AMP] = ACTIONS(1888),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1888),
    [anon_sym_LT_LT] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_RBRACK] = ACTIONS(1886),
    [anon_sym_COLON] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1886),
    [anon_sym_SLASH] = ACTIONS(1888),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(1886),
    [anon_sym_EQ] = ACTIONS(1888),
    [anon_sym_GT_GT] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1886),
    [anon_sym_LT] = ACTIONS(1888),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1886),
  },
  [458] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(1890),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [459] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1892),
  },
  [460] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1894),
    [anon_sym_COLON] = ACTIONS(1894),
  },
  [461] = {
    [anon_sym_RBRACE] = ACTIONS(1896),
    [anon_sym_break] = ACTIONS(1898),
    [anon_sym_defer] = ACTIONS(1898),
    [sym_float_literal] = ACTIONS(1898),
    [sym_rune_literal] = ACTIONS(1896),
    [sym_false] = ACTIONS(1898),
    [anon_sym_DASH] = ACTIONS(1896),
    [anon_sym_CARET] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_select] = ACTIONS(1898),
    [anon_sym_var] = ACTIONS(1898),
    [anon_sym_const] = ACTIONS(1898),
    [sym_raw_string_literal] = ACTIONS(1896),
    [anon_sym_LBRACE] = ACTIONS(1896),
    [anon_sym_LBRACK] = ACTIONS(1896),
    [anon_sym_interface] = ACTIONS(1898),
    [anon_sym_continue] = ACTIONS(1898),
    [anon_sym_if] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1898),
    [sym_imaginary_literal] = ACTIONS(1896),
    [sym_nil] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1896),
    [anon_sym_make] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(1896),
    [anon_sym_new] = ACTIONS(1898),
    [anon_sym_case] = ACTIONS(1898),
    [anon_sym_type] = ACTIONS(1898),
    [anon_sym_DQUOTE] = ACTIONS(1896),
    [sym_int_literal] = ACTIONS(1898),
    [anon_sym_map] = ACTIONS(1898),
    [anon_sym_goto] = ACTIONS(1898),
    [anon_sym_fallthrough] = ACTIONS(1898),
    [anon_sym_go] = ACTIONS(1898),
    [sym_true] = ACTIONS(1898),
    [anon_sym_PLUS] = ACTIONS(1896),
    [anon_sym_switch] = ACTIONS(1898),
    [anon_sym_default] = ACTIONS(1898),
    [anon_sym_STAR] = ACTIONS(1896),
    [anon_sym_func] = ACTIONS(1898),
    [anon_sym_SEMI] = ACTIONS(1896),
    [anon_sym_LPAREN] = ACTIONS(1896),
    [sym_identifier] = ACTIONS(1898),
    [anon_sym_LT_DASH] = ACTIONS(1896),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(1898),
    [anon_sym_chan] = ACTIONS(1898),
  },
  [462] = {
    [aux_sym_type_case_repeat1] = STATE(462),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(1900),
    [anon_sym_COLON] = ACTIONS(1894),
  },
  [463] = {
    [anon_sym_RBRACE] = ACTIONS(1903),
    [anon_sym_SEMI] = ACTIONS(1903),
    [anon_sym_case] = ACTIONS(1903),
    [anon_sym_LF] = ACTIONS(1905),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1903),
  },
  [464] = {
    [anon_sym_RBRACE] = ACTIONS(1907),
    [anon_sym_SEMI] = ACTIONS(1907),
    [anon_sym_case] = ACTIONS(1907),
    [anon_sym_LF] = ACTIONS(1909),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1907),
  },
  [465] = {
    [anon_sym_RBRACE] = ACTIONS(1911),
    [anon_sym_DASH] = ACTIONS(1911),
    [anon_sym_PERCENT] = ACTIONS(1911),
    [anon_sym_CARET] = ACTIONS(1911),
    [anon_sym_PIPE_PIPE] = ACTIONS(1911),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1911),
    [anon_sym_AMP_CARET] = ACTIONS(1911),
    [anon_sym_LT_EQ] = ACTIONS(1911),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1911),
    [anon_sym_RPAREN] = ACTIONS(1911),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_COLON_EQ] = ACTIONS(1911),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1911),
    [anon_sym_COMMA] = ACTIONS(1911),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1911),
    [anon_sym_BANG_EQ] = ACTIONS(1911),
    [anon_sym_RBRACK] = ACTIONS(1911),
    [anon_sym_COLON] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1911),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_AMP_AMP] = ACTIONS(1911),
    [anon_sym_STAR] = ACTIONS(1911),
    [anon_sym_EQ] = ACTIONS(1913),
    [anon_sym_GT_GT] = ACTIONS(1911),
    [anon_sym_LPAREN] = ACTIONS(1911),
    [anon_sym_LT] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1911),
  },
  [466] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(1915),
  },
  [467] = {
    [anon_sym_RBRACE] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(119),
    [anon_sym_case] = ACTIONS(119),
    [anon_sym_LF] = ACTIONS(121),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(119),
  },
  [468] = {
    [anon_sym_LF] = ACTIONS(149),
    [anon_sym_SEMI] = ACTIONS(147),
    [sym_comment] = ACTIONS(61),
  },
  [469] = {
    [sym_qualified_type] = STATE(920),
    [sym_map_type] = STATE(920),
    [sym_channel_type] = STATE(920),
    [sym_slice_type] = STATE(920),
    [sym_pointer_type] = STATE(920),
    [sym_array_type] = STATE(920),
    [sym_interface_type] = STATE(920),
    [sym_function_type] = STATE(920),
    [aux_sym_const_spec_repeat1] = STATE(480),
    [sym_parenthesized_type] = STATE(920),
    [sym__simple_type] = STATE(920),
    [sym_struct_type] = STATE(920),
    [anon_sym_RBRACE] = ACTIONS(153),
    [anon_sym_COMMA] = ACTIONS(1917),
    [anon_sym_case] = ACTIONS(153),
    [anon_sym_default] = ACTIONS(153),
    [anon_sym_LF] = ACTIONS(155),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_EQ] = ACTIONS(1919),
    [anon_sym_STAR] = ACTIONS(161),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_SEMI] = ACTIONS(153),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_comment] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [470] = {
    [anon_sym_RBRACE] = ACTIONS(173),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_case] = ACTIONS(173),
    [anon_sym_LF] = ACTIONS(175),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(173),
  },
  [471] = {
    [anon_sym_RBRACE] = ACTIONS(185),
    [anon_sym_SEMI] = ACTIONS(185),
    [anon_sym_case] = ACTIONS(185),
    [anon_sym_LF] = ACTIONS(187),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(185),
  },
  [472] = {
    [anon_sym_var] = ACTIONS(229),
    [anon_sym_const] = ACTIONS(229),
    [anon_sym_package] = ACTIONS(229),
    [anon_sym_LBRACE] = ACTIONS(229),
    [anon_sym_LBRACK] = ACTIONS(229),
    [anon_sym_interface] = ACTIONS(229),
    [anon_sym_type] = ACTIONS(229),
    [anon_sym_import] = ACTIONS(229),
    [anon_sym_LF] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [ts_builtin_sym_end] = ACTIONS(227),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_STAR] = ACTIONS(229),
    [anon_sym_func] = ACTIONS(229),
    [anon_sym_SEMI] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(229),
    [sym_identifier] = ACTIONS(229),
    [anon_sym_LT_DASH] = ACTIONS(229),
    [sym_comment] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(229),
    [anon_sym_chan] = ACTIONS(229),
  },
  [473] = {
    [anon_sym_DOT] = ACTIONS(1921),
    [anon_sym_COMMA] = ACTIONS(268),
    [anon_sym_COLON] = ACTIONS(268),
    [anon_sym_LBRACE] = ACTIONS(268),
    [anon_sym_EQ] = ACTIONS(268),
    [anon_sym_RBRACK] = ACTIONS(268),
    [anon_sym_LPAREN] = ACTIONS(268),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(268),
  },
  [474] = {
    [anon_sym_RBRACE] = ACTIONS(288),
    [anon_sym_SEMI] = ACTIONS(288),
    [anon_sym_case] = ACTIONS(288),
    [anon_sym_LF] = ACTIONS(290),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(288),
  },
  [475] = {
    [anon_sym_RBRACE] = ACTIONS(292),
    [anon_sym_SEMI] = ACTIONS(292),
    [anon_sym_case] = ACTIONS(292),
    [anon_sym_LF] = ACTIONS(294),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(292),
  },
  [476] = {
    [anon_sym_LF] = ACTIONS(304),
    [anon_sym_SEMI] = ACTIONS(302),
    [sym_comment] = ACTIONS(61),
  },
  [477] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(316),
    [anon_sym_DASH] = ACTIONS(316),
    [anon_sym_CARET] = ACTIONS(316),
    [anon_sym_PIPE_PIPE] = ACTIONS(316),
    [anon_sym_LT_EQ] = ACTIONS(316),
    [anon_sym_DOT] = ACTIONS(316),
    [anon_sym_PERCENT_EQ] = ACTIONS(316),
    [anon_sym_LBRACK] = ACTIONS(316),
    [anon_sym_AMP_EQ] = ACTIONS(316),
    [anon_sym_AMP] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(316),
    [anon_sym_LT_LT] = ACTIONS(316),
    [anon_sym_LT_LT_EQ] = ACTIONS(316),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(316),
    [anon_sym_DASH_EQ] = ACTIONS(316),
    [anon_sym_SLASH] = ACTIONS(316),
    [anon_sym_EQ] = ACTIONS(316),
    [anon_sym_GT_GT] = ACTIONS(316),
    [anon_sym_LPAREN] = ACTIONS(316),
    [anon_sym_LT_DASH] = ACTIONS(316),
    [anon_sym_RBRACE] = ACTIONS(316),
    [anon_sym_PLUS_EQ] = ACTIONS(316),
    [anon_sym_PIPE_EQ] = ACTIONS(316),
    [anon_sym_PERCENT] = ACTIONS(316),
    [anon_sym_GT] = ACTIONS(316),
    [anon_sym_AMP_CARET] = ACTIONS(316),
    [anon_sym_EQ_EQ] = ACTIONS(316),
    [anon_sym_COLON_EQ] = ACTIONS(316),
    [anon_sym_CARET_EQ] = ACTIONS(316),
    [anon_sym_case] = ACTIONS(316),
    [anon_sym_GT_EQ] = ACTIONS(316),
    [anon_sym_PIPE] = ACTIONS(316),
    [anon_sym_LF] = ACTIONS(318),
    [anon_sym_BANG_EQ] = ACTIONS(316),
    [anon_sym_PLUS_PLUS] = ACTIONS(316),
    [anon_sym_STAR_EQ] = ACTIONS(316),
    [anon_sym_PLUS] = ACTIONS(316),
    [anon_sym_default] = ACTIONS(316),
    [anon_sym_AMP_AMP] = ACTIONS(316),
    [anon_sym_STAR] = ACTIONS(316),
    [anon_sym_SEMI] = ACTIONS(316),
    [anon_sym_LT] = ACTIONS(316),
    [anon_sym_DASH_DASH] = ACTIONS(316),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(316),
  },
  [478] = {
    [anon_sym_LF] = ACTIONS(326),
    [anon_sym_SEMI] = ACTIONS(324),
    [sym_comment] = ACTIONS(61),
  },
  [479] = {
    [sym_expression_list] = STATE(504),
    [sym_type_conversion_expression] = STATE(505),
    [sym_composite_literal] = STATE(505),
    [sym_unary_expression] = STATE(505),
    [sym_slice_type] = STATE(1080),
    [sym_binary_expression] = STATE(505),
    [sym__string_literal] = STATE(505),
    [sym_implicit_length_array_type] = STATE(1081),
    [sym_interpreted_string_literal] = STATE(505),
    [sym__expression] = STATE(505),
    [sym_parenthesized_expression] = STATE(505),
    [sym_selector_expression] = STATE(505),
    [sym_index_expression] = STATE(505),
    [sym_parenthesized_type] = STATE(1282),
    [sym__simple_type] = STATE(1282),
    [sym_qualified_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1282),
    [sym_call_expression] = STATE(505),
    [sym_slice_expression] = STATE(505),
    [sym_type_assertion_expression] = STATE(505),
    [sym_pointer_type] = STATE(1282),
    [sym_array_type] = STATE(1080),
    [sym_func_literal] = STATE(505),
    [sym_interface_type] = STATE(1282),
    [sym_function_type] = STATE(1282),
    [sym_rune_literal] = ACTIONS(1154),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_CARET] = ACTIONS(660),
    [sym_raw_string_literal] = ACTIONS(1154),
    [sym_imaginary_literal] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(660),
    [anon_sym_make] = ACTIONS(664),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(720),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(720),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_STAR] = ACTIONS(668),
    [sym_identifier] = ACTIONS(670),
    [anon_sym_func] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(674),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(676),
    [sym_float_literal] = ACTIONS(720),
    [sym_false] = ACTIONS(720),
  },
  [480] = {
    [sym_qualified_type] = STATE(938),
    [sym_map_type] = STATE(938),
    [sym_channel_type] = STATE(938),
    [sym_slice_type] = STATE(938),
    [sym_pointer_type] = STATE(938),
    [sym_array_type] = STATE(938),
    [sym_interface_type] = STATE(938),
    [sym_function_type] = STATE(938),
    [aux_sym_const_spec_repeat1] = STATE(615),
    [sym_parenthesized_type] = STATE(938),
    [sym__simple_type] = STATE(938),
    [sym_struct_type] = STATE(938),
    [anon_sym_RBRACE] = ACTIONS(348),
    [anon_sym_COMMA] = ACTIONS(1917),
    [anon_sym_case] = ACTIONS(348),
    [anon_sym_default] = ACTIONS(348),
    [anon_sym_LF] = ACTIONS(350),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_EQ] = ACTIONS(1923),
    [anon_sym_STAR] = ACTIONS(161),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_SEMI] = ACTIONS(348),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(165),
    [anon_sym_LT_DASH] = ACTIONS(167),
    [sym_comment] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [481] = {
    [anon_sym_RBRACE] = ACTIONS(356),
    [anon_sym_SEMI] = ACTIONS(356),
    [anon_sym_case] = ACTIONS(356),
    [anon_sym_LF] = ACTIONS(358),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(356),
  },
  [482] = {
    [sym_expression_list] = STATE(509),
    [sym_type_conversion_expression] = STATE(505),
    [sym_composite_literal] = STATE(505),
    [sym_unary_expression] = STATE(505),
    [sym_slice_type] = STATE(1080),
    [sym_binary_expression] = STATE(505),
    [sym__string_literal] = STATE(505),
    [sym_implicit_length_array_type] = STATE(1081),
    [sym_interpreted_string_literal] = STATE(505),
    [sym__expression] = STATE(505),
    [sym_parenthesized_expression] = STATE(505),
    [sym_selector_expression] = STATE(505),
    [sym_index_expression] = STATE(505),
    [sym_parenthesized_type] = STATE(1282),
    [sym__simple_type] = STATE(1282),
    [sym_qualified_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1282),
    [sym_call_expression] = STATE(505),
    [sym_slice_expression] = STATE(505),
    [sym_type_assertion_expression] = STATE(505),
    [sym_pointer_type] = STATE(1282),
    [sym_array_type] = STATE(1080),
    [sym_func_literal] = STATE(505),
    [sym_interface_type] = STATE(1282),
    [sym_function_type] = STATE(1282),
    [sym_rune_literal] = ACTIONS(1154),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_CARET] = ACTIONS(660),
    [sym_raw_string_literal] = ACTIONS(1154),
    [sym_imaginary_literal] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(660),
    [anon_sym_make] = ACTIONS(664),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(720),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(720),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_STAR] = ACTIONS(668),
    [sym_identifier] = ACTIONS(670),
    [anon_sym_func] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(674),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(676),
    [sym_float_literal] = ACTIONS(720),
    [sym_false] = ACTIONS(720),
  },
  [483] = {
    [sym_qualified_type] = STATE(511),
    [sym_map_type] = STATE(511),
    [sym_channel_type] = STATE(511),
    [sym_slice_type] = STATE(511),
    [sym_pointer_type] = STATE(511),
    [sym_array_type] = STATE(511),
    [sym_interface_type] = STATE(511),
    [sym_function_type] = STATE(511),
    [aux_sym_const_spec_repeat1] = STATE(507),
    [sym_parenthesized_type] = STATE(511),
    [sym__simple_type] = STATE(511),
    [sym_struct_type] = STATE(511),
    [anon_sym_COMMA] = ACTIONS(177),
    [anon_sym_map] = ACTIONS(957),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_interface] = ACTIONS(963),
    [anon_sym_EQ] = ACTIONS(1925),
    [anon_sym_STAR] = ACTIONS(1272),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_func] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_LT_DASH] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(975),
    [anon_sym_chan] = ACTIONS(977),
  },
  [484] = {
    [anon_sym_RBRACE] = ACTIONS(368),
    [anon_sym_case] = ACTIONS(368),
    [anon_sym_LF] = ACTIONS(370),
    [anon_sym_default] = ACTIONS(368),
    [anon_sym_EQ] = ACTIONS(1927),
    [anon_sym_SEMI] = ACTIONS(368),
    [sym_comment] = ACTIONS(61),
  },
  [485] = {
    [anon_sym_RBRACE] = ACTIONS(374),
    [anon_sym_SEMI] = ACTIONS(374),
    [anon_sym_case] = ACTIONS(374),
    [anon_sym_LF] = ACTIONS(376),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(374),
  },
  [486] = {
    [anon_sym_var] = ACTIONS(442),
    [anon_sym_const] = ACTIONS(442),
    [anon_sym_package] = ACTIONS(442),
    [anon_sym_LBRACE] = ACTIONS(442),
    [anon_sym_LBRACK] = ACTIONS(442),
    [anon_sym_interface] = ACTIONS(442),
    [anon_sym_type] = ACTIONS(442),
    [anon_sym_import] = ACTIONS(442),
    [anon_sym_LF] = ACTIONS(440),
    [anon_sym_map] = ACTIONS(442),
    [ts_builtin_sym_end] = ACTIONS(440),
    [anon_sym_EQ] = ACTIONS(442),
    [anon_sym_STAR] = ACTIONS(442),
    [anon_sym_func] = ACTIONS(442),
    [anon_sym_SEMI] = ACTIONS(442),
    [anon_sym_LPAREN] = ACTIONS(442),
    [sym_identifier] = ACTIONS(442),
    [anon_sym_LT_DASH] = ACTIONS(442),
    [sym_comment] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(442),
    [anon_sym_chan] = ACTIONS(442),
  },
  [487] = {
    [sym_qualified_type] = STATE(927),
    [sym_map_type] = STATE(927),
    [sym_channel_type] = STATE(1278),
    [sym_type_conversion_expression] = STATE(515),
    [sym_composite_literal] = STATE(515),
    [sym_unary_expression] = STATE(515),
    [sym_slice_type] = STATE(927),
    [sym_binary_expression] = STATE(515),
    [sym__string_literal] = STATE(515),
    [sym_implicit_length_array_type] = STATE(928),
    [sym_interpreted_string_literal] = STATE(515),
    [sym_call_expression] = STATE(515),
    [sym_slice_expression] = STATE(515),
    [sym_type_assertion_expression] = STATE(515),
    [sym_pointer_type] = STATE(1278),
    [sym_array_type] = STATE(927),
    [sym_func_literal] = STATE(515),
    [sym_interface_type] = STATE(1278),
    [sym_function_type] = STATE(1278),
    [sym__expression] = STATE(515),
    [sym_parenthesized_expression] = STATE(515),
    [sym_selector_expression] = STATE(515),
    [sym_index_expression] = STATE(515),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_struct_type] = STATE(927),
    [sym_rune_literal] = ACTIONS(1929),
    [sym_false] = ACTIONS(1931),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_make] = ACTIONS(334),
    [sym_float_literal] = ACTIONS(1931),
    [anon_sym_new] = ACTIONS(334),
    [anon_sym_DASH] = ACTIONS(336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(336),
    [sym_int_literal] = ACTIONS(1931),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1931),
    [sym_raw_string_literal] = ACTIONS(1929),
    [anon_sym_PLUS] = ACTIONS(336),
    [sym_imaginary_literal] = ACTIONS(1929),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(338),
    [sym_identifier] = ACTIONS(340),
    [anon_sym_func] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(336),
    [anon_sym_LT_DASH] = ACTIONS(346),
    [anon_sym_AMP] = ACTIONS(336),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [488] = {
    [sym_qualified_type] = STATE(516),
    [sym_map_type] = STATE(516),
    [sym_channel_type] = STATE(516),
    [sym_slice_type] = STATE(516),
    [sym_pointer_type] = STATE(516),
    [sym_array_type] = STATE(516),
    [sym_interface_type] = STATE(516),
    [sym_function_type] = STATE(516),
    [sym_parenthesized_type] = STATE(516),
    [sym__simple_type] = STATE(516),
    [sym_struct_type] = STATE(516),
    [anon_sym_map] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_interface] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(99),
    [sym_identifier] = ACTIONS(101),
    [anon_sym_func] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_LT_DASH] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(111),
    [anon_sym_chan] = ACTIONS(113),
  },
  [489] = {
    [sym_qualified_type] = STATE(927),
    [sym_map_type] = STATE(927),
    [sym_channel_type] = STATE(158),
    [sym_type_conversion_expression] = STATE(515),
    [sym_composite_literal] = STATE(515),
    [sym_unary_expression] = STATE(515),
    [sym_slice_type] = STATE(927),
    [sym_binary_expression] = STATE(515),
    [sym__string_literal] = STATE(515),
    [sym_implicit_length_array_type] = STATE(928),
    [sym_interpreted_string_literal] = STATE(515),
    [sym_call_expression] = STATE(515),
    [sym_slice_expression] = STATE(515),
    [sym_type_assertion_expression] = STATE(515),
    [sym_pointer_type] = STATE(158),
    [sym_array_type] = STATE(927),
    [sym_func_literal] = STATE(515),
    [sym_interface_type] = STATE(158),
    [sym_function_type] = STATE(158),
    [sym__expression] = STATE(515),
    [sym_parenthesized_expression] = STATE(515),
    [sym_selector_expression] = STATE(515),
    [sym_index_expression] = STATE(515),
    [sym_parenthesized_type] = STATE(158),
    [sym__simple_type] = STATE(158),
    [sym_struct_type] = STATE(927),
    [sym_rune_literal] = ACTIONS(1929),
    [sym_false] = ACTIONS(1931),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_make] = ACTIONS(334),
    [sym_float_literal] = ACTIONS(1931),
    [anon_sym_new] = ACTIONS(334),
    [anon_sym_DASH] = ACTIONS(336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(336),
    [sym_int_literal] = ACTIONS(1931),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1931),
    [sym_raw_string_literal] = ACTIONS(1929),
    [anon_sym_PLUS] = ACTIONS(336),
    [sym_imaginary_literal] = ACTIONS(1929),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(338),
    [sym_identifier] = ACTIONS(340),
    [anon_sym_func] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(336),
    [anon_sym_LT_DASH] = ACTIONS(346),
    [anon_sym_AMP] = ACTIONS(336),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [490] = {
    [sym_literal_value] = STATE(517),
    [anon_sym_DASH] = ACTIONS(458),
    [anon_sym_PERCENT] = ACTIONS(458),
    [anon_sym_CARET] = ACTIONS(458),
    [anon_sym_var] = ACTIONS(458),
    [anon_sym_const] = ACTIONS(458),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_package] = ACTIONS(458),
    [anon_sym_AMP_CARET] = ACTIONS(458),
    [anon_sym_DOT] = ACTIONS(752),
    [anon_sym_EQ_EQ] = ACTIONS(458),
    [anon_sym_LT_EQ] = ACTIONS(458),
    [anon_sym_PIPE_PIPE] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(458),
    [anon_sym_LBRACE] = ACTIONS(1933),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(458),
    [anon_sym_type] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(458),
    [anon_sym_LF] = ACTIONS(456),
    [anon_sym_LT_LT] = ACTIONS(458),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_BANG_EQ] = ACTIONS(458),
    [anon_sym_GT_EQ] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(458),
    [anon_sym_SLASH] = ACTIONS(458),
    [ts_builtin_sym_end] = ACTIONS(456),
    [anon_sym_AMP_AMP] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(458),
    [anon_sym_func] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(458),
    [anon_sym_LPAREN] = ACTIONS(755),
    [anon_sym_GT_GT] = ACTIONS(458),
    [anon_sym_LT] = ACTIONS(458),
    [sym_comment] = ACTIONS(61),
  },
  [491] = {
    [sym_qualified_type] = STATE(927),
    [sym_map_type] = STATE(927),
    [sym_channel_type] = STATE(1278),
    [sym_type_conversion_expression] = STATE(515),
    [sym_composite_literal] = STATE(515),
    [sym_unary_expression] = STATE(515),
    [sym_slice_type] = STATE(927),
    [sym_binary_expression] = STATE(515),
    [sym__string_literal] = STATE(515),
    [sym_implicit_length_array_type] = STATE(928),
    [sym_interpreted_string_literal] = STATE(515),
    [sym_call_expression] = STATE(515),
    [sym_slice_expression] = STATE(515),
    [sym_type_assertion_expression] = STATE(515),
    [sym_pointer_type] = STATE(1278),
    [sym_array_type] = STATE(927),
    [sym_func_literal] = STATE(515),
    [sym_interface_type] = STATE(1278),
    [sym_function_type] = STATE(1278),
    [sym__expression] = STATE(515),
    [sym_parenthesized_expression] = STATE(515),
    [sym_selector_expression] = STATE(515),
    [sym_index_expression] = STATE(515),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_struct_type] = STATE(927),
    [sym_rune_literal] = ACTIONS(1929),
    [sym_false] = ACTIONS(1931),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_make] = ACTIONS(334),
    [sym_float_literal] = ACTIONS(1931),
    [anon_sym_new] = ACTIONS(334),
    [anon_sym_DASH] = ACTIONS(336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(336),
    [sym_int_literal] = ACTIONS(1931),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1931),
    [sym_raw_string_literal] = ACTIONS(1929),
    [anon_sym_PLUS] = ACTIONS(336),
    [sym_imaginary_literal] = ACTIONS(1929),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1931),
    [anon_sym_STAR] = ACTIONS(338),
    [sym_identifier] = ACTIONS(340),
    [anon_sym_func] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(336),
    [anon_sym_LT_DASH] = ACTIONS(346),
    [anon_sym_AMP] = ACTIONS(336),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(478),
  },
  [492] = {
    [sym_special_argument_list] = STATE(519),
    [anon_sym_DASH] = ACTIONS(458),
    [anon_sym_PERCENT] = ACTIONS(458),
    [anon_sym_CARET] = ACTIONS(458),
    [anon_sym_var] = ACTIONS(458),
    [anon_sym_const] = ACTIONS(458),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_package] = ACTIONS(458),
    [anon_sym_AMP_CARET] = ACTIONS(458),
    [anon_sym_DOT] = ACTIONS(458),
    [anon_sym_EQ_EQ] = ACTIONS(458),
    [anon_sym_LT_EQ] = ACTIONS(458),
    [anon_sym_PIPE_PIPE] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(458),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(458),
    [anon_sym_type] = ACTIONS(458),
    [anon_sym_import] = ACTIONS(458),
    [anon_sym_LF] = ACTIONS(456),
    [anon_sym_LT_LT] = ACTIONS(458),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_BANG_EQ] = ACTIONS(458),
    [anon_sym_GT_EQ] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(458),
    [anon_sym_SLASH] = ACTIONS(458),
    [ts_builtin_sym_end] = ACTIONS(456),
    [anon_sym_AMP_AMP] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(458),
    [anon_sym_func] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(458),
    [anon_sym_LPAREN] = ACTIONS(1935),
    [anon_sym_GT_GT] = ACTIONS(458),
    [anon_sym_LT] = ACTIONS(458),
    [sym_comment] = ACTIONS(61),
  },
  [493] = {
    [anon_sym_type] = ACTIONS(1937),
    [anon_sym_import] = ACTIONS(1937),
    [anon_sym_LF] = ACTIONS(514),
    [anon_sym_var] = ACTIONS(1937),
    [anon_sym_const] = ACTIONS(1937),
    [anon_sym_package] = ACTIONS(1937),
    [ts_builtin_sym_end] = ACTIONS(514),
    [anon_sym_LBRACE] = ACTIONS(1937),
    [anon_sym_EQ] = ACTIONS(1937),
    [anon_sym_func] = ACTIONS(1937),
    [anon_sym_SEMI] = ACTIONS(1937),
    [sym_comment] = ACTIONS(61),
  },
  [494] = {
    [anon_sym_type] = ACTIONS(1939),
    [anon_sym_import] = ACTIONS(1939),
    [anon_sym_LF] = ACTIONS(516),
    [anon_sym_var] = ACTIONS(1939),
    [anon_sym_const] = ACTIONS(1939),
    [anon_sym_package] = ACTIONS(1939),
    [ts_builtin_sym_end] = ACTIONS(516),
    [anon_sym_LBRACE] = ACTIONS(1939),
    [anon_sym_EQ] = ACTIONS(1939),
    [anon_sym_func] = ACTIONS(1939),
    [anon_sym_SEMI] = ACTIONS(1939),
    [sym_comment] = ACTIONS(61),
  },
  [495] = {
    [sym_qualified_type] = STATE(529),
    [sym_map_type] = STATE(529),
    [sym_channel_type] = STATE(529),
    [sym_slice_type] = STATE(529),
    [sym_parameter_list] = STATE(529),
    [sym_pointer_type] = STATE(529),
    [sym_array_type] = STATE(529),
    [sym_interface_type] = STATE(529),
    [sym_function_type] = STATE(529),
    [sym__simple_type] = STATE(529),
    [sym_struct_type] = STATE(529),
    [anon_sym_var] = ACTIONS(1941),
    [anon_sym_const] = ACTIONS(1941),
    [anon_sym_package] = ACTIONS(1941),
    [anon_sym_LBRACE] = ACTIONS(1941),
    [anon_sym_LBRACK] = ACTIONS(219),
    [anon_sym_interface] = ACTIONS(95),
    [anon_sym_type] = ACTIONS(1941),
    [anon_sym_import] = ACTIONS(1941),
    [anon_sym_LF] = ACTIONS(522),
    [anon_sym_map] = ACTIONS(107),
    [ts_builtin_sym_end] = ACTIONS(522),
    [anon_sym_EQ] = ACTIONS(1941),
    [anon_sym_STAR] = ACTIONS(221),
    [anon_sym_func] = ACTIONS(1943),
    [anon_sym_SEMI] = ACTIONS(1941),
    [sym_identifier] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(223),
    [anon_sym_LT_DASH] = ACTIONS(225),
    [sym_comment] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(111),
    [anon_sym_chan] = ACTIONS(113),
  },
  [496] = {
    [sym_qualified_type] = STATE(531),
    [sym_map_type] = STATE(531),
    [sym_channel_type] = STATE(531),
    [sym_slice_type] = STATE(531),
    [sym_pointer_type] = STATE(531),
    [sym_array_type] = STATE(531),
    [sym_interface_type] = STATE(531),
    [sym_function_type] = STATE(531),
    [sym_parenthesized_type] = STATE(531),
    [sym__simple_type] = STATE(531),
    [sym_struct_type] = STATE(531),
    [anon_sym_map] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_interface] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(99),
    [sym_identifier] = ACTIONS(101),
    [anon_sym_func] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_LT_DASH] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(111),
    [anon_sym_chan] = ACTIONS(113),
  },
  [497] = {
    [anon_sym_type] = ACTIONS(1946),
    [anon_sym_import] = ACTIONS(1946),
    [anon_sym_LF] = ACTIONS(534),
    [anon_sym_var] = ACTIONS(1946),
    [anon_sym_const] = ACTIONS(1946),
    [anon_sym_package] = ACTIONS(1946),
    [ts_builtin_sym_end] = ACTIONS(534),
    [anon_sym_LBRACE] = ACTIONS(1946),
    [anon_sym_EQ] = ACTIONS(1946),
    [anon_sym_func] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(1946),
    [sym_comment] = ACTIONS(61),
  },
  [498] = {
    [sym_qualified_type] = STATE(533),
    [sym_map_type] = STATE(533),
    [sym_channel_type] = STATE(533),
    [sym_slice_type] = STATE(533),
    [sym_pointer_type] = STATE(533),
    [sym_array_type] = STATE(533),
    [sym_interface_type] = STATE(533),
    [sym_function_type] = STATE(533),
    [sym_parenthesized_type] = STATE(533),
    [sym__simple_type] = STATE(533),
    [sym_struct_type] = STATE(533),
    [anon_sym_map] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_interface] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(99),
    [sym_identifier] = ACTIONS(101),
    [anon_sym_func] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_LT_DASH] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(111),
    [anon_sym_chan] = ACTIONS(1948),
  },
  [499] = {
    [anon_sym_type] = ACTIONS(1950),
    [anon_sym_import] = ACTIONS(1950),
    [anon_sym_LF] = ACTIONS(538),
    [anon_sym_var] = ACTIONS(1950),
    [anon_sym_const] = ACTIONS(1950),
    [anon_sym_package] = ACTIONS(1950),
    [ts_builtin_sym_end] = ACTIONS(538),
    [anon_sym_LBRACE] = ACTIONS(1950),
    [anon_sym_EQ] = ACTIONS(1950),
    [anon_sym_func] = ACTIONS(1950),
    [anon_sym_SEMI] = ACTIONS(1950),
    [sym_comment] = ACTIONS(61),
  },
  [500] = {
    [anon_sym_RBRACE] = ACTIONS(548),
    [anon_sym_SEMI] = ACTIONS(548),
    [anon_sym_case] = ACTIONS(548),
    [anon_sym_LF] = ACTIONS(550),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(548),
  },
  [501] = {
    [anon_sym_RBRACE] = ACTIONS(552),
    [anon_sym_SEMI] = ACTIONS(552),
    [anon_sym_case] = ACTIONS(552),
    [anon_sym_LF] = ACTIONS(554),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(552),
  },
  [502] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_CARET] = ACTIONS(584),
    [anon_sym_PIPE_PIPE] = ACTIONS(584),
    [anon_sym_LT_EQ] = ACTIONS(584),
    [anon_sym_DOT] = ACTIONS(584),
    [anon_sym_PERCENT_EQ] = ACTIONS(584),
    [anon_sym_LBRACK] = ACTIONS(584),
    [anon_sym_AMP_EQ] = ACTIONS(584),
    [anon_sym_AMP] = ACTIONS(584),
    [anon_sym_COMMA] = ACTIONS(584),
    [anon_sym_LT_LT] = ACTIONS(584),
    [anon_sym_LT_LT_EQ] = ACTIONS(584),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(584),
    [anon_sym_DASH_EQ] = ACTIONS(584),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_EQ] = ACTIONS(584),
    [anon_sym_GT_GT] = ACTIONS(584),
    [anon_sym_LPAREN] = ACTIONS(584),
    [anon_sym_LT_DASH] = ACTIONS(584),
    [anon_sym_RBRACE] = ACTIONS(584),
    [anon_sym_PLUS_EQ] = ACTIONS(584),
    [anon_sym_PIPE_EQ] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(584),
    [anon_sym_GT] = ACTIONS(584),
    [anon_sym_AMP_CARET] = ACTIONS(584),
    [anon_sym_EQ_EQ] = ACTIONS(584),
    [anon_sym_COLON_EQ] = ACTIONS(584),
    [anon_sym_CARET_EQ] = ACTIONS(584),
    [anon_sym_case] = ACTIONS(584),
    [anon_sym_GT_EQ] = ACTIONS(584),
    [anon_sym_PIPE] = ACTIONS(584),
    [anon_sym_LF] = ACTIONS(586),
    [anon_sym_BANG_EQ] = ACTIONS(584),
    [anon_sym_PLUS_PLUS] = ACTIONS(584),
    [anon_sym_STAR_EQ] = ACTIONS(584),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_default] = ACTIONS(584),
    [anon_sym_AMP_AMP] = ACTIONS(584),
    [anon_sym_STAR] = ACTIONS(584),
    [anon_sym_SEMI] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(584),
    [anon_sym_DASH_DASH] = ACTIONS(584),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(584),
  },
  [503] = {
    [anon_sym_COMMA] = ACTIONS(595),
    [anon_sym_map] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_interface] = ACTIONS(593),
    [anon_sym_EQ] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(595),
    [anon_sym_func] = ACTIONS(593),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_LPAREN] = ACTIONS(595),
    [anon_sym_LT_DASH] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(593),
    [anon_sym_chan] = ACTIONS(593),
  },
  [504] = {
    [anon_sym_RBRACE] = ACTIONS(597),
    [anon_sym_SEMI] = ACTIONS(597),
    [anon_sym_case] = ACTIONS(597),
    [anon_sym_LF] = ACTIONS(599),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(597),
  },
  [505] = {
    [aux_sym_expression_list_repeat1] = STATE(636),
    [sym_argument_list] = STATE(698),
    [anon_sym_RBRACE] = ACTIONS(605),
    [anon_sym_DASH] = ACTIONS(1032),
    [anon_sym_PERCENT] = ACTIONS(1034),
    [anon_sym_CARET] = ACTIONS(1032),
    [anon_sym_PIPE_PIPE] = ACTIONS(1036),
    [anon_sym_GT] = ACTIONS(1038),
    [anon_sym_AMP_CARET] = ACTIONS(1034),
    [anon_sym_LT_EQ] = ACTIONS(1038),
    [anon_sym_DOT] = ACTIONS(1040),
    [anon_sym_EQ_EQ] = ACTIONS(1038),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_AMP] = ACTIONS(1034),
    [anon_sym_case] = ACTIONS(605),
    [anon_sym_COMMA] = ACTIONS(1952),
    [anon_sym_GT_EQ] = ACTIONS(1038),
    [anon_sym_PIPE] = ACTIONS(1032),
    [anon_sym_LF] = ACTIONS(617),
    [anon_sym_LT_LT] = ACTIONS(1034),
    [anon_sym_BANG_EQ] = ACTIONS(1038),
    [anon_sym_PLUS] = ACTIONS(1032),
    [anon_sym_SLASH] = ACTIONS(1034),
    [anon_sym_default] = ACTIONS(605),
    [anon_sym_AMP_AMP] = ACTIONS(1046),
    [anon_sym_STAR] = ACTIONS(1034),
    [anon_sym_SEMI] = ACTIONS(605),
    [anon_sym_GT_GT] = ACTIONS(1034),
    [anon_sym_LPAREN] = ACTIONS(1048),
    [anon_sym_LT] = ACTIONS(1038),
    [sym_comment] = ACTIONS(61),
  },
  [506] = {
    [sym_expression_list] = STATE(537),
    [sym_type_conversion_expression] = STATE(505),
    [sym_composite_literal] = STATE(505),
    [sym_unary_expression] = STATE(505),
    [sym_slice_type] = STATE(1080),
    [sym_binary_expression] = STATE(505),
    [sym__string_literal] = STATE(505),
    [sym_implicit_length_array_type] = STATE(1081),
    [sym_interpreted_string_literal] = STATE(505),
    [sym__expression] = STATE(505),
    [sym_parenthesized_expression] = STATE(505),
    [sym_selector_expression] = STATE(505),
    [sym_index_expression] = STATE(505),
    [sym_parenthesized_type] = STATE(1282),
    [sym__simple_type] = STATE(1282),
    [sym_qualified_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1282),
    [sym_call_expression] = STATE(505),
    [sym_slice_expression] = STATE(505),
    [sym_type_assertion_expression] = STATE(505),
    [sym_pointer_type] = STATE(1282),
    [sym_array_type] = STATE(1080),
    [sym_func_literal] = STATE(505),
    [sym_interface_type] = STATE(1282),
    [sym_function_type] = STATE(1282),
    [sym_rune_literal] = ACTIONS(1154),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_CARET] = ACTIONS(660),
    [sym_raw_string_literal] = ACTIONS(1154),
    [sym_imaginary_literal] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(660),
    [anon_sym_make] = ACTIONS(664),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(720),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(720),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_STAR] = ACTIONS(668),
    [sym_identifier] = ACTIONS(670),
    [anon_sym_func] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(674),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(676),
    [sym_float_literal] = ACTIONS(720),
    [sym_false] = ACTIONS(720),
  },
  [507] = {
    [aux_sym_const_spec_repeat1] = STATE(507),
    [anon_sym_COMMA] = ACTIONS(1954),
    [anon_sym_map] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_interface] = ACTIONS(593),
    [anon_sym_EQ] = ACTIONS(595),
    [anon_sym_STAR] = ACTIONS(595),
    [anon_sym_func] = ACTIONS(593),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_LPAREN] = ACTIONS(595),
    [anon_sym_LT_DASH] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(593),
    [anon_sym_chan] = ACTIONS(593),
  },
  [508] = {
    [anon_sym_RBRACE] = ACTIONS(628),
    [anon_sym_SEMI] = ACTIONS(628),
    [anon_sym_case] = ACTIONS(628),
    [anon_sym_LF] = ACTIONS(630),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(628),
  },
  [509] = {
    [anon_sym_RBRACE] = ACTIONS(637),
    [anon_sym_SEMI] = ACTIONS(637),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_LF] = ACTIONS(639),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(637),
  },
  [510] = {
    [sym_expression_list] = STATE(539),
    [sym_type_conversion_expression] = STATE(505),
    [sym_composite_literal] = STATE(505),
    [sym_unary_expression] = STATE(505),
    [sym_slice_type] = STATE(1080),
    [sym_binary_expression] = STATE(505),
    [sym__string_literal] = STATE(505),
    [sym_implicit_length_array_type] = STATE(1081),
    [sym_interpreted_string_literal] = STATE(505),
    [sym__expression] = STATE(505),
    [sym_parenthesized_expression] = STATE(505),
    [sym_selector_expression] = STATE(505),
    [sym_index_expression] = STATE(505),
    [sym_parenthesized_type] = STATE(1282),
    [sym__simple_type] = STATE(1282),
    [sym_qualified_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1282),
    [sym_call_expression] = STATE(505),
    [sym_slice_expression] = STATE(505),
    [sym_type_assertion_expression] = STATE(505),
    [sym_pointer_type] = STATE(1282),
    [sym_array_type] = STATE(1080),
    [sym_func_literal] = STATE(505),
    [sym_interface_type] = STATE(1282),
    [sym_function_type] = STATE(1282),
    [sym_rune_literal] = ACTIONS(1154),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_CARET] = ACTIONS(660),
    [sym_raw_string_literal] = ACTIONS(1154),
    [sym_imaginary_literal] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(660),
    [anon_sym_make] = ACTIONS(664),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(720),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(720),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_STAR] = ACTIONS(668),
    [sym_identifier] = ACTIONS(670),
    [anon_sym_func] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(674),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(676),
    [sym_float_literal] = ACTIONS(720),
    [sym_false] = ACTIONS(720),
  },
  [511] = {
    [anon_sym_RBRACE] = ACTIONS(637),
    [anon_sym_case] = ACTIONS(637),
    [anon_sym_LF] = ACTIONS(639),
    [anon_sym_default] = ACTIONS(637),
    [anon_sym_EQ] = ACTIONS(1957),
    [anon_sym_SEMI] = ACTIONS(637),
    [sym_comment] = ACTIONS(61),
  },
  [512] = {
    [anon_sym_RBRACE] = ACTIONS(645),
    [anon_sym_SEMI] = ACTIONS(645),
    [anon_sym_case] = ACTIONS(645),
    [anon_sym_LF] = ACTIONS(647),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(645),
  },
  [513] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(678),
    [anon_sym_DASH] = ACTIONS(678),
    [anon_sym_CARET] = ACTIONS(678),
    [anon_sym_PIPE_PIPE] = ACTIONS(678),
    [anon_sym_LT_EQ] = ACTIONS(678),
    [anon_sym_DOT] = ACTIONS(678),
    [anon_sym_PERCENT_EQ] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_AMP_EQ] = ACTIONS(678),
    [anon_sym_AMP] = ACTIONS(678),
    [anon_sym_COMMA] = ACTIONS(678),
    [anon_sym_LT_LT] = ACTIONS(678),
    [anon_sym_LT_LT_EQ] = ACTIONS(678),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(678),
    [anon_sym_DASH_EQ] = ACTIONS(678),
    [anon_sym_SLASH] = ACTIONS(678),
    [anon_sym_else] = ACTIONS(678),
    [anon_sym_EQ] = ACTIONS(678),
    [anon_sym_GT_GT] = ACTIONS(678),
    [anon_sym_LPAREN] = ACTIONS(678),
    [anon_sym_LT_DASH] = ACTIONS(678),
    [anon_sym_RBRACE] = ACTIONS(678),
    [anon_sym_PLUS_EQ] = ACTIONS(678),
    [anon_sym_PIPE_EQ] = ACTIONS(678),
    [anon_sym_PERCENT] = ACTIONS(678),
    [anon_sym_GT] = ACTIONS(678),
    [anon_sym_AMP_CARET] = ACTIONS(678),
    [anon_sym_EQ_EQ] = ACTIONS(678),
    [anon_sym_COLON_EQ] = ACTIONS(678),
    [anon_sym_CARET_EQ] = ACTIONS(678),
    [anon_sym_case] = ACTIONS(678),
    [anon_sym_GT_EQ] = ACTIONS(678),
    [anon_sym_PIPE] = ACTIONS(678),
    [anon_sym_LF] = ACTIONS(680),
    [anon_sym_BANG_EQ] = ACTIONS(678),
    [anon_sym_PLUS_PLUS] = ACTIONS(678),
    [anon_sym_STAR_EQ] = ACTIONS(678),
    [anon_sym_PLUS] = ACTIONS(678),
    [anon_sym_default] = ACTIONS(678),
    [anon_sym_AMP_AMP] = ACTIONS(678),
    [anon_sym_STAR] = ACTIONS(678),
    [anon_sym_SEMI] = ACTIONS(678),
    [anon_sym_LT] = ACTIONS(678),
    [anon_sym_DASH_DASH] = ACTIONS(678),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(678),
  },
  [514] = {
    [aux_sym_expression_list_repeat1] = STATE(536),
    [sym_argument_list] = STATE(749),
    [anon_sym_PLUS_EQ] = ACTIONS(617),
    [anon_sym_GT_GT_EQ] = ACTIONS(617),
    [anon_sym_PIPE_EQ] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_PERCENT] = ACTIONS(1084),
    [anon_sym_CARET] = ACTIONS(1074),
    [anon_sym_PIPE_PIPE] = ACTIONS(1076),
    [anon_sym_GT] = ACTIONS(1092),
    [anon_sym_AMP_CARET] = ACTIONS(1084),
    [anon_sym_LT_EQ] = ACTIONS(1078),
    [anon_sym_DOT] = ACTIONS(1080),
    [anon_sym_COLON_EQ] = ACTIONS(617),
    [anon_sym_PERCENT_EQ] = ACTIONS(617),
    [anon_sym_LBRACE] = ACTIONS(798),
    [anon_sym_EQ_EQ] = ACTIONS(1078),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [anon_sym_AMP_EQ] = ACTIONS(617),
    [anon_sym_CARET_EQ] = ACTIONS(617),
    [anon_sym_AMP] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1086),
    [anon_sym_GT_EQ] = ACTIONS(1078),
    [anon_sym_PIPE] = ACTIONS(1074),
    [anon_sym_LT_LT] = ACTIONS(1084),
    [anon_sym_BANG_EQ] = ACTIONS(1078),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_LT_LT_EQ] = ACTIONS(617),
    [anon_sym_STAR_EQ] = ACTIONS(617),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(617),
    [anon_sym_DASH_EQ] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_SLASH] = ACTIONS(1084),
    [anon_sym_EQ] = ACTIONS(605),
    [anon_sym_AMP_AMP] = ACTIONS(1096),
    [anon_sym_STAR] = ACTIONS(1084),
    [anon_sym_GT_GT] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1088),
    [anon_sym_DASH_DASH] = ACTIONS(1098),
    [anon_sym_LT_DASH] = ACTIONS(1959),
    [anon_sym_SLASH_EQ] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(1092),
    [sym_comment] = ACTIONS(3),
  },
  [515] = {
    [sym_argument_list] = STATE(519),
    [anon_sym_DASH] = ACTIONS(812),
    [anon_sym_PERCENT] = ACTIONS(812),
    [anon_sym_CARET] = ACTIONS(812),
    [anon_sym_var] = ACTIONS(812),
    [anon_sym_const] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(812),
    [anon_sym_package] = ACTIONS(812),
    [anon_sym_AMP_CARET] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(611),
    [anon_sym_EQ_EQ] = ACTIONS(812),
    [anon_sym_LT_EQ] = ACTIONS(812),
    [anon_sym_PIPE_PIPE] = ACTIONS(812),
    [anon_sym_LBRACK] = ACTIONS(613),
    [anon_sym_AMP] = ACTIONS(812),
    [anon_sym_COMMA] = ACTIONS(812),
    [anon_sym_type] = ACTIONS(812),
    [anon_sym_import] = ACTIONS(812),
    [anon_sym_LF] = ACTIONS(810),
    [anon_sym_LT_LT] = ACTIONS(812),
    [anon_sym_PIPE] = ACTIONS(812),
    [anon_sym_BANG_EQ] = ACTIONS(812),
    [anon_sym_GT_EQ] = ACTIONS(812),
    [anon_sym_PLUS] = ACTIONS(812),
    [anon_sym_SLASH] = ACTIONS(812),
    [ts_builtin_sym_end] = ACTIONS(810),
    [anon_sym_AMP_AMP] = ACTIONS(812),
    [anon_sym_STAR] = ACTIONS(812),
    [anon_sym_func] = ACTIONS(812),
    [anon_sym_SEMI] = ACTIONS(812),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_GT_GT] = ACTIONS(812),
    [anon_sym_LT] = ACTIONS(812),
    [sym_comment] = ACTIONS(61),
  },
  [516] = {
    [anon_sym_type] = ACTIONS(1961),
    [anon_sym_import] = ACTIONS(1961),
    [anon_sym_LF] = ACTIONS(816),
    [anon_sym_var] = ACTIONS(1961),
    [anon_sym_const] = ACTIONS(1961),
    [anon_sym_package] = ACTIONS(1961),
    [ts_builtin_sym_end] = ACTIONS(816),
    [anon_sym_LBRACE] = ACTIONS(1961),
    [anon_sym_EQ] = ACTIONS(1961),
    [anon_sym_func] = ACTIONS(1961),
    [anon_sym_SEMI] = ACTIONS(1961),
    [sym_comment] = ACTIONS(61),
  },
  [517] = {
    [anon_sym_DASH] = ACTIONS(830),
    [anon_sym_PERCENT] = ACTIONS(830),
    [anon_sym_CARET] = ACTIONS(830),
    [anon_sym_var] = ACTIONS(830),
    [anon_sym_const] = ACTIONS(830),
    [anon_sym_GT] = ACTIONS(830),
    [anon_sym_package] = ACTIONS(830),
    [anon_sym_AMP_CARET] = ACTIONS(830),
    [anon_sym_DOT] = ACTIONS(830),
    [anon_sym_EQ_EQ] = ACTIONS(830),
    [anon_sym_LT_EQ] = ACTIONS(830),
    [anon_sym_PIPE_PIPE] = ACTIONS(830),
    [anon_sym_LBRACK] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(830),
    [anon_sym_COMMA] = ACTIONS(830),
    [anon_sym_type] = ACTIONS(830),
    [anon_sym_import] = ACTIONS(830),
    [anon_sym_LF] = ACTIONS(828),
    [anon_sym_LT_LT] = ACTIONS(830),
    [anon_sym_PIPE] = ACTIONS(830),
    [anon_sym_BANG_EQ] = ACTIONS(830),
    [anon_sym_GT_EQ] = ACTIONS(830),
    [anon_sym_PLUS] = ACTIONS(830),
    [anon_sym_SLASH] = ACTIONS(830),
    [ts_builtin_sym_end] = ACTIONS(828),
    [anon_sym_AMP_AMP] = ACTIONS(830),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_func] = ACTIONS(830),
    [anon_sym_SEMI] = ACTIONS(830),
    [anon_sym_LPAREN] = ACTIONS(830),
    [anon_sym_GT_GT] = ACTIONS(830),
    [anon_sym_LT] = ACTIONS(830),
    [sym_comment] = ACTIONS(61),
  },
  [518] = {
    [sym_qualified_type] = STATE(550),
    [sym_map_type] = STATE(550),
    [sym_channel_type] = STATE(550),
    [sym_slice_type] = STATE(550),
    [sym_pointer_type] = STATE(550),
    [sym_array_type] = STATE(550),
    [sym_interface_type] = STATE(550),
    [sym_function_type] = STATE(550),
    [sym_parenthesized_type] = STATE(550),
    [sym__simple_type] = STATE(550),
    [sym_struct_type] = STATE(550),
    [anon_sym_map] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_interface] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(99),
    [sym_identifier] = ACTIONS(101),
    [anon_sym_func] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_LT_DASH] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(111),
    [anon_sym_chan] = ACTIONS(113),
  },
  [519] = {
    [anon_sym_DASH] = ACTIONS(867),
    [anon_sym_PERCENT] = ACTIONS(867),
    [anon_sym_CARET] = ACTIONS(867),
    [anon_sym_var] = ACTIONS(867),
    [anon_sym_const] = ACTIONS(867),
    [anon_sym_GT] = ACTIONS(867),
    [anon_sym_package] = ACTIONS(867),
    [anon_sym_AMP_CARET] = ACTIONS(867),
    [anon_sym_DOT] = ACTIONS(867),
    [anon_sym_EQ_EQ] = ACTIONS(867),
    [anon_sym_LT_EQ] = ACTIONS(867),
    [anon_sym_PIPE_PIPE] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(867),
    [anon_sym_AMP] = ACTIONS(867),
    [anon_sym_COMMA] = ACTIONS(867),
    [anon_sym_type] = ACTIONS(867),
    [anon_sym_import] = ACTIONS(867),
    [anon_sym_LF] = ACTIONS(865),
    [anon_sym_LT_LT] = ACTIONS(867),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_BANG_EQ] = ACTIONS(867),
    [anon_sym_GT_EQ] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(867),
    [ts_builtin_sym_end] = ACTIONS(865),
    [anon_sym_AMP_AMP] = ACTIONS(867),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_func] = ACTIONS(867),
    [anon_sym_SEMI] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_GT_GT] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(867),
    [sym_comment] = ACTIONS(61),
  },
  [520] = {
    [anon_sym_DASH] = ACTIONS(871),
    [anon_sym_PERCENT] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [anon_sym_var] = ACTIONS(871),
    [anon_sym_const] = ACTIONS(871),
    [anon_sym_GT] = ACTIONS(871),
    [anon_sym_package] = ACTIONS(871),
    [anon_sym_AMP_CARET] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(871),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_PIPE_PIPE] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_AMP] = ACTIONS(871),
    [anon_sym_COMMA] = ACTIONS(871),
    [anon_sym_type] = ACTIONS(871),
    [anon_sym_import] = ACTIONS(871),
    [anon_sym_LF] = ACTIONS(869),
    [anon_sym_LT_LT] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(871),
    [anon_sym_SLASH] = ACTIONS(871),
    [ts_builtin_sym_end] = ACTIONS(869),
    [anon_sym_AMP_AMP] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(871),
    [anon_sym_func] = ACTIONS(871),
    [anon_sym_SEMI] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_GT_GT] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(871),
    [sym_comment] = ACTIONS(61),
  },
  [521] = {
    [sym_qualified_type] = STATE(927),
    [sym_map_type] = STATE(927),
    [sym_channel_type] = STATE(1278),
    [sym_type_conversion_expression] = STATE(551),
    [sym_composite_literal] = STATE(551),
    [sym_unary_expression] = STATE(551),
    [sym_slice_type] = STATE(927),
    [sym_binary_expression] = STATE(551),
    [sym__string_literal] = STATE(551),
    [sym_implicit_length_array_type] = STATE(928),
    [sym_interpreted_string_literal] = STATE(551),
    [sym_call_expression] = STATE(551),
    [sym_slice_expression] = STATE(551),
    [sym_type_assertion_expression] = STATE(551),
    [sym_pointer_type] = STATE(1278),
    [sym_array_type] = STATE(927),
    [sym_func_literal] = STATE(551),
    [sym_interface_type] = STATE(1278),
    [sym_function_type] = STATE(1278),
    [sym__expression] = STATE(551),
    [sym_parenthesized_expression] = STATE(551),
    [sym_selector_expression] = STATE(551),
    [sym_index_expression] = STATE(551),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_struct_type] = STATE(927),
    [sym_rune_literal] = ACTIONS(1965),
    [sym_false] = ACTIONS(1967),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_make] = ACTIONS(334),
    [sym_float_literal] = ACTIONS(1967),
    [anon_sym_new] = ACTIONS(334),
    [anon_sym_DASH] = ACTIONS(336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(336),
    [sym_int_literal] = ACTIONS(1967),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1967),
    [sym_raw_string_literal] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(336),
    [sym_imaginary_literal] = ACTIONS(1965),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1967),
    [anon_sym_STAR] = ACTIONS(338),
    [sym_identifier] = ACTIONS(340),
    [anon_sym_func] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(336),
    [anon_sym_LT_DASH] = ACTIONS(346),
    [anon_sym_AMP] = ACTIONS(336),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [522] = {
    [sym_qualified_type] = STATE(927),
    [sym_map_type] = STATE(927),
    [sym_channel_type] = STATE(1278),
    [sym_type_conversion_expression] = STATE(552),
    [sym_composite_literal] = STATE(552),
    [sym_unary_expression] = STATE(552),
    [sym_slice_type] = STATE(927),
    [sym_binary_expression] = STATE(552),
    [sym__string_literal] = STATE(552),
    [sym_implicit_length_array_type] = STATE(928),
    [sym_interpreted_string_literal] = STATE(552),
    [sym_call_expression] = STATE(552),
    [sym_slice_expression] = STATE(552),
    [sym_type_assertion_expression] = STATE(552),
    [sym_pointer_type] = STATE(1278),
    [sym_array_type] = STATE(927),
    [sym_func_literal] = STATE(552),
    [sym_interface_type] = STATE(1278),
    [sym_function_type] = STATE(1278),
    [sym__expression] = STATE(552),
    [sym_parenthesized_expression] = STATE(552),
    [sym_selector_expression] = STATE(552),
    [sym_index_expression] = STATE(552),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_struct_type] = STATE(927),
    [sym_rune_literal] = ACTIONS(1969),
    [sym_false] = ACTIONS(1971),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_make] = ACTIONS(334),
    [sym_float_literal] = ACTIONS(1971),
    [anon_sym_new] = ACTIONS(334),
    [anon_sym_DASH] = ACTIONS(336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(336),
    [sym_int_literal] = ACTIONS(1971),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1971),
    [sym_raw_string_literal] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(336),
    [sym_imaginary_literal] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(338),
    [sym_identifier] = ACTIONS(340),
    [anon_sym_func] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(336),
    [anon_sym_LT_DASH] = ACTIONS(346),
    [anon_sym_AMP] = ACTIONS(336),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [523] = {
    [sym_qualified_type] = STATE(927),
    [sym_map_type] = STATE(927),
    [sym_channel_type] = STATE(1278),
    [sym_type_conversion_expression] = STATE(553),
    [sym_composite_literal] = STATE(553),
    [sym_unary_expression] = STATE(553),
    [sym_slice_type] = STATE(927),
    [sym_binary_expression] = STATE(553),
    [sym__string_literal] = STATE(553),
    [sym_implicit_length_array_type] = STATE(928),
    [sym_interpreted_string_literal] = STATE(553),
    [sym_call_expression] = STATE(553),
    [sym_slice_expression] = STATE(553),
    [sym_type_assertion_expression] = STATE(553),
    [sym_pointer_type] = STATE(1278),
    [sym_array_type] = STATE(927),
    [sym_func_literal] = STATE(553),
    [sym_interface_type] = STATE(1278),
    [sym_function_type] = STATE(1278),
    [sym__expression] = STATE(553),
    [sym_parenthesized_expression] = STATE(553),
    [sym_selector_expression] = STATE(553),
    [sym_index_expression] = STATE(553),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_struct_type] = STATE(927),
    [sym_rune_literal] = ACTIONS(1973),
    [sym_false] = ACTIONS(1975),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_make] = ACTIONS(334),
    [sym_float_literal] = ACTIONS(1975),
    [anon_sym_new] = ACTIONS(334),
    [anon_sym_DASH] = ACTIONS(336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(336),
    [sym_int_literal] = ACTIONS(1975),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1975),
    [sym_raw_string_literal] = ACTIONS(1973),
    [anon_sym_PLUS] = ACTIONS(336),
    [sym_imaginary_literal] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1975),
    [anon_sym_STAR] = ACTIONS(338),
    [sym_identifier] = ACTIONS(340),
    [anon_sym_func] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(336),
    [anon_sym_LT_DASH] = ACTIONS(346),
    [anon_sym_AMP] = ACTIONS(336),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [524] = {
    [sym_qualified_type] = STATE(554),
    [sym_map_type] = STATE(554),
    [sym_channel_type] = STATE(554),
    [sym_slice_type] = STATE(554),
    [sym_pointer_type] = STATE(554),
    [sym_array_type] = STATE(554),
    [sym_interface_type] = STATE(554),
    [sym_function_type] = STATE(554),
    [sym_parenthesized_type] = STATE(554),
    [sym__simple_type] = STATE(554),
    [sym_struct_type] = STATE(554),
    [anon_sym_map] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_interface] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(99),
    [sym_identifier] = ACTIONS(101),
    [anon_sym_func] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_LT_DASH] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(111),
    [anon_sym_chan] = ACTIONS(113),
  },
  [525] = {
    [sym_qualified_type] = STATE(927),
    [sym_map_type] = STATE(927),
    [sym_channel_type] = STATE(1278),
    [sym_type_conversion_expression] = STATE(555),
    [sym_composite_literal] = STATE(555),
    [sym_unary_expression] = STATE(555),
    [sym_slice_type] = STATE(927),
    [sym_binary_expression] = STATE(555),
    [sym__string_literal] = STATE(555),
    [sym_implicit_length_array_type] = STATE(928),
    [sym_interpreted_string_literal] = STATE(555),
    [sym_call_expression] = STATE(555),
    [sym_slice_expression] = STATE(555),
    [sym_type_assertion_expression] = STATE(555),
    [sym_pointer_type] = STATE(1278),
    [sym_array_type] = STATE(927),
    [sym_func_literal] = STATE(555),
    [sym_interface_type] = STATE(1278),
    [sym_function_type] = STATE(1278),
    [sym__expression] = STATE(555),
    [sym_parenthesized_expression] = STATE(555),
    [sym_selector_expression] = STATE(555),
    [sym_index_expression] = STATE(555),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_struct_type] = STATE(927),
    [sym_rune_literal] = ACTIONS(1977),
    [sym_false] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_make] = ACTIONS(334),
    [sym_float_literal] = ACTIONS(1979),
    [anon_sym_new] = ACTIONS(334),
    [anon_sym_DASH] = ACTIONS(336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(336),
    [sym_int_literal] = ACTIONS(1979),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1979),
    [sym_raw_string_literal] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(336),
    [sym_imaginary_literal] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1979),
    [anon_sym_STAR] = ACTIONS(338),
    [sym_identifier] = ACTIONS(340),
    [anon_sym_func] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(336),
    [anon_sym_LT_DASH] = ACTIONS(346),
    [anon_sym_AMP] = ACTIONS(336),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [526] = {
    [sym_qualified_type] = STATE(927),
    [sym_map_type] = STATE(927),
    [sym_channel_type] = STATE(1278),
    [sym_type_conversion_expression] = STATE(557),
    [sym_composite_literal] = STATE(557),
    [sym_unary_expression] = STATE(557),
    [sym_slice_type] = STATE(927),
    [sym_binary_expression] = STATE(557),
    [sym__string_literal] = STATE(557),
    [sym_implicit_length_array_type] = STATE(928),
    [sym_interpreted_string_literal] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_slice_expression] = STATE(557),
    [sym_type_assertion_expression] = STATE(557),
    [sym_pointer_type] = STATE(1278),
    [sym_array_type] = STATE(927),
    [sym_func_literal] = STATE(557),
    [sym_interface_type] = STATE(1278),
    [sym_function_type] = STATE(1278),
    [sym__expression] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_selector_expression] = STATE(557),
    [sym_index_expression] = STATE(557),
    [sym_parenthesized_type] = STATE(1278),
    [sym__simple_type] = STATE(1278),
    [sym_struct_type] = STATE(927),
    [sym_rune_literal] = ACTIONS(1981),
    [sym_false] = ACTIONS(1983),
    [anon_sym_DQUOTE] = ACTIONS(33),
    [anon_sym_make] = ACTIONS(334),
    [sym_float_literal] = ACTIONS(1983),
    [anon_sym_new] = ACTIONS(334),
    [anon_sym_DASH] = ACTIONS(336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(336),
    [sym_int_literal] = ACTIONS(1983),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1983),
    [sym_raw_string_literal] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(336),
    [sym_imaginary_literal] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(338),
    [sym_identifier] = ACTIONS(340),
    [anon_sym_func] = ACTIONS(342),
    [anon_sym_LPAREN] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(336),
    [anon_sym_LT_DASH] = ACTIONS(346),
    [anon_sym_AMP] = ACTIONS(336),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [527] = {
    [anon_sym_type] = ACTIONS(1985),
    [anon_sym_import] = ACTIONS(1985),
    [anon_sym_LF] = ACTIONS(927),
    [anon_sym_var] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1985),
    [anon_sym_package] = ACTIONS(1985),
    [ts_builtin_sym_end] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_EQ] = ACTIONS(1985),
    [anon_sym_func] = ACTIONS(1985),
    [anon_sym_SEMI] = ACTIONS(1985),
    [sym_comment] = ACTIONS(61),
  },
  [528] = {
    [anon_sym_type] = ACTIONS(1987),
    [anon_sym_import] = ACTIONS(1987),
    [anon_sym_LF] = ACTIONS(935),
    [anon_sym_var] = ACTIONS(1987),
    [anon_sym_const] = ACTIONS(1987),
    [anon_sym_package] = ACTIONS(1987),
    [ts_builtin_sym_end] = ACTIONS(935),
    [anon_sym_LBRACE] = ACTIONS(1987),
    [anon_sym_EQ] = ACTIONS(1987),
    [anon_sym_func] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1987),
    [sym_comment] = ACTIONS(61),
  },
  [529] = {
    [anon_sym_type] = ACTIONS(1989),
    [anon_sym_import] = ACTIONS(1989),
    [anon_sym_LF] = ACTIONS(941),
    [anon_sym_var] = ACTIONS(1989),
    [anon_sym_const] = ACTIONS(1989),
    [anon_sym_package] = ACTIONS(1989),
    [ts_builtin_sym_end] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_EQ] = ACTIONS(1989),
    [anon_sym_func] = ACTIONS(1989),
    [anon_sym_SEMI] = ACTIONS(1989),
    [sym_comment] = ACTIONS(61),
  },
  [530] = {
    [anon_sym_type] = ACTIONS(1991),
    [anon_sym_import] = ACTIONS(1991),
    [anon_sym_LF] = ACTIONS(943),
    [anon_sym_var] = ACTIONS(1991),
    [anon_sym_const] = ACTIONS(1991),
    [anon_sym_package] = ACTIONS(1991),
    [ts_builtin_sym_end] = ACTIONS(943),
    [anon_sym_LBRACE] = ACTIONS(1991),
    [anon_sym_EQ] = ACTIONS(1991),
    [anon_sym_func] = ACTIONS(1991),
    [anon_sym_SEMI] = ACTIONS(1991),
    [sym_comment] = ACTIONS(61),
  },
  [531] = {
    [anon_sym_type] = ACTIONS(1993),
    [anon_sym_import] = ACTIONS(1993),
    [anon_sym_LF] = ACTIONS(947),
    [anon_sym_var] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(1993),
    [anon_sym_package] = ACTIONS(1993),
    [ts_builtin_sym_end] = ACTIONS(947),
    [anon_sym_LBRACE] = ACTIONS(1993),
    [anon_sym_EQ] = ACTIONS(1993),
    [anon_sym_func] = ACTIONS(1993),
    [anon_sym_SEMI] = ACTIONS(1993),
    [sym_comment] = ACTIONS(61),
  },
  [532] = {
    [anon_sym_type] = ACTIONS(1995),
    [anon_sym_import] = ACTIONS(1995),
    [anon_sym_LF] = ACTIONS(979),
    [anon_sym_var] = ACTIONS(1995),
    [anon_sym_const] = ACTIONS(1995),
    [anon_sym_package] = ACTIONS(1995),
    [ts_builtin_sym_end] = ACTIONS(979),
    [anon_sym_LBRACE] = ACTIONS(1995),
    [anon_sym_EQ] = ACTIONS(1995),
    [anon_sym_func] = ACTIONS(1995),
    [anon_sym_SEMI] = ACTIONS(1995),
    [sym_comment] = ACTIONS(61),
  },
  [533] = {
    [anon_sym_type] = ACTIONS(1993),
    [anon_sym_import] = ACTIONS(1993),
    [anon_sym_LF] = ACTIONS(947),
    [anon_sym_var] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(1993),
    [anon_sym_package] = ACTIONS(1993),
    [ts_builtin_sym_end] = ACTIONS(947),
    [anon_sym_LBRACE] = ACTIONS(1993),
    [anon_sym_EQ] = ACTIONS(1993),
    [anon_sym_func] = ACTIONS(1993),
    [anon_sym_SEMI] = ACTIONS(1993),
    [sym_comment] = ACTIONS(61),
  },
  [534] = {
    [anon_sym_var] = ACTIONS(997),
    [anon_sym_const] = ACTIONS(997),
    [anon_sym_package] = ACTIONS(997),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(997),
    [anon_sym_interface] = ACTIONS(997),
    [anon_sym_type] = ACTIONS(997),
    [anon_sym_import] = ACTIONS(997),
    [anon_sym_LF] = ACTIONS(995),
    [anon_sym_map] = ACTIONS(997),
    [ts_builtin_sym_end] = ACTIONS(995),
    [anon_sym_EQ] = ACTIONS(997),
    [anon_sym_STAR] = ACTIONS(997),
    [anon_sym_func] = ACTIONS(997),
    [anon_sym_SEMI] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(997),
    [sym_identifier] = ACTIONS(997),
    [anon_sym_LT_DASH] = ACTIONS(997),
    [sym_comment] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(997),
    [anon_sym_chan] = ACTIONS(997),
  },
  [535] = {
    [sym_qualified_type] = STATE(1150),
    [sym_map_type] = STATE(1150),
    [sym_channel_type] = STATE(1284),
    [sym_type_conversion_expression] = STATE(564),
    [sym_composite_literal] = STATE(564),
    [sym_unary_expression] = STATE(564),
    [sym_slice_type] = STATE(1150),
    [sym_binary_expression] = STATE(564),
    [sym__string_literal] = STATE(564),
    [sym_implicit_length_array_type] = STATE(1151),
    [sym_interpreted_string_literal] = STATE(564),
    [sym_call_expression] = STATE(564),
    [sym_slice_expression] = STATE(564),
    [sym_type_assertion_expression] = STATE(564),
    [sym_pointer_type] = STATE(1284),
    [sym_array_type] = STATE(1150),
    [sym_func_literal] = STATE(564),
    [sym_interface_type] = STATE(1284),
    [sym_function_type] = STATE(1284),
    [sym__expression] = STATE(564),
    [sym_parenthesized_expression] = STATE(564),
    [sym_selector_expression] = STATE(564),
    [sym_index_expression] = STATE(564),
    [sym_parenthesized_type] = STATE(1284),
    [sym__simple_type] = STATE(1284),
    [sym_struct_type] = STATE(1150),
    [sym_rune_literal] = ACTIONS(1997),
    [sym_false] = ACTIONS(1999),
    [anon_sym_DQUOTE] = ACTIONS(2001),
    [anon_sym_make] = ACTIONS(2003),
    [sym_float_literal] = ACTIONS(1999),
    [anon_sym_new] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2005),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(2005),
    [sym_int_literal] = ACTIONS(1999),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1999),
    [sym_raw_string_literal] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(2005),
    [sym_imaginary_literal] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1999),
    [anon_sym_STAR] = ACTIONS(2007),
    [sym_identifier] = ACTIONS(2009),
    [anon_sym_func] = ACTIONS(2011),
    [anon_sym_LPAREN] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_LT_DASH] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [536] = {
    [aux_sym_expression_list_repeat1] = STATE(565),
    [anon_sym_COMMA] = ACTIONS(1086),
    [anon_sym_PLUS_EQ] = ACTIONS(1016),
    [anon_sym_GT_GT_EQ] = ACTIONS(1016),
    [anon_sym_PIPE_EQ] = ACTIONS(1016),
    [anon_sym_LT_LT_EQ] = ACTIONS(1016),
    [anon_sym_STAR_EQ] = ACTIONS(1016),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1016),
    [anon_sym_DASH_EQ] = ACTIONS(1016),
    [anon_sym_COLON_EQ] = ACTIONS(1016),
    [anon_sym_PERCENT_EQ] = ACTIONS(1016),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_AMP_EQ] = ACTIONS(1016),
    [anon_sym_CARET_EQ] = ACTIONS(1016),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1016),
  },
  [537] = {
    [anon_sym_RBRACE] = ACTIONS(1018),
    [anon_sym_SEMI] = ACTIONS(1018),
    [anon_sym_case] = ACTIONS(1018),
    [anon_sym_LF] = ACTIONS(1020),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1018),
  },
  [538] = {
    [sym_expression_list] = STATE(566),
    [sym_type_conversion_expression] = STATE(505),
    [sym_composite_literal] = STATE(505),
    [sym_unary_expression] = STATE(505),
    [sym_slice_type] = STATE(1080),
    [sym_binary_expression] = STATE(505),
    [sym__string_literal] = STATE(505),
    [sym_implicit_length_array_type] = STATE(1081),
    [sym_interpreted_string_literal] = STATE(505),
    [sym__expression] = STATE(505),
    [sym_parenthesized_expression] = STATE(505),
    [sym_selector_expression] = STATE(505),
    [sym_index_expression] = STATE(505),
    [sym_parenthesized_type] = STATE(1282),
    [sym__simple_type] = STATE(1282),
    [sym_qualified_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1282),
    [sym_call_expression] = STATE(505),
    [sym_slice_expression] = STATE(505),
    [sym_type_assertion_expression] = STATE(505),
    [sym_pointer_type] = STATE(1282),
    [sym_array_type] = STATE(1080),
    [sym_func_literal] = STATE(505),
    [sym_interface_type] = STATE(1282),
    [sym_function_type] = STATE(1282),
    [sym_rune_literal] = ACTIONS(1154),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_CARET] = ACTIONS(660),
    [sym_raw_string_literal] = ACTIONS(1154),
    [sym_imaginary_literal] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(660),
    [anon_sym_make] = ACTIONS(664),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(720),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(720),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_STAR] = ACTIONS(668),
    [sym_identifier] = ACTIONS(670),
    [anon_sym_func] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(674),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(676),
    [sym_float_literal] = ACTIONS(720),
    [sym_false] = ACTIONS(720),
  },
  [539] = {
    [anon_sym_RBRACE] = ACTIONS(1022),
    [anon_sym_SEMI] = ACTIONS(1022),
    [anon_sym_case] = ACTIONS(1022),
    [anon_sym_LF] = ACTIONS(1024),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1022),
  },
  [540] = {
    [sym_expression_list] = STATE(567),
    [sym_type_conversion_expression] = STATE(505),
    [sym_composite_literal] = STATE(505),
    [sym_unary_expression] = STATE(505),
    [sym_slice_type] = STATE(1080),
    [sym_binary_expression] = STATE(505),
    [sym__string_literal] = STATE(505),
    [sym_implicit_length_array_type] = STATE(1081),
    [sym_interpreted_string_literal] = STATE(505),
    [sym__expression] = STATE(505),
    [sym_parenthesized_expression] = STATE(505),
    [sym_selector_expression] = STATE(505),
    [sym_index_expression] = STATE(505),
    [sym_parenthesized_type] = STATE(1282),
    [sym__simple_type] = STATE(1282),
    [sym_qualified_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1282),
    [sym_call_expression] = STATE(505),
    [sym_slice_expression] = STATE(505),
    [sym_type_assertion_expression] = STATE(505),
    [sym_pointer_type] = STATE(1282),
    [sym_array_type] = STATE(1080),
    [sym_func_literal] = STATE(505),
    [sym_interface_type] = STATE(1282),
    [sym_function_type] = STATE(1282),
    [sym_rune_literal] = ACTIONS(1154),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_CARET] = ACTIONS(660),
    [sym_raw_string_literal] = ACTIONS(1154),
    [sym_imaginary_literal] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(660),
    [anon_sym_make] = ACTIONS(664),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(720),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(720),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_STAR] = ACTIONS(668),
    [sym_identifier] = ACTIONS(670),
    [anon_sym_func] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(674),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(676),
    [sym_float_literal] = ACTIONS(720),
    [sym_false] = ACTIONS(720),
  },
  [541] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_expression_list] = STATE(569),
    [sym_type_conversion_expression] = STATE(614),
    [sym_composite_literal] = STATE(614),
    [sym_unary_expression] = STATE(614),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(614),
    [sym__string_literal] = STATE(614),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_call_expression] = STATE(614),
    [sym_interpreted_string_literal] = STATE(614),
    [sym_slice_expression] = STATE(614),
    [sym_type_assertion_expression] = STATE(614),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(614),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(614),
    [sym_parenthesized_expression] = STATE(614),
    [sym_selector_expression] = STATE(614),
    [sym_index_expression] = STATE(614),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1363),
    [sym_false] = ACTIONS(1365),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(1365),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1365),
    [sym_raw_string_literal] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [542] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_expression_list] = STATE(570),
    [sym_type_conversion_expression] = STATE(614),
    [sym_composite_literal] = STATE(614),
    [sym_unary_expression] = STATE(614),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(614),
    [sym__string_literal] = STATE(614),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_call_expression] = STATE(614),
    [sym_interpreted_string_literal] = STATE(614),
    [sym_slice_expression] = STATE(614),
    [sym_type_assertion_expression] = STATE(614),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(614),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(614),
    [sym_parenthesized_expression] = STATE(614),
    [sym_selector_expression] = STATE(614),
    [sym_index_expression] = STATE(614),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1363),
    [sym_false] = ACTIONS(1365),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(1365),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1365),
    [sym_raw_string_literal] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [543] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1164),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_CARET] = ACTIONS(1164),
    [anon_sym_PIPE_PIPE] = ACTIONS(1164),
    [anon_sym_LT_EQ] = ACTIONS(1164),
    [anon_sym_DOT] = ACTIONS(1164),
    [anon_sym_PERCENT_EQ] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_AMP_EQ] = ACTIONS(1164),
    [anon_sym_AMP] = ACTIONS(1164),
    [anon_sym_COMMA] = ACTIONS(1164),
    [anon_sym_LT_LT] = ACTIONS(1164),
    [anon_sym_LT_LT_EQ] = ACTIONS(1164),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1164),
    [anon_sym_DASH_EQ] = ACTIONS(1164),
    [anon_sym_SLASH] = ACTIONS(1164),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_EQ] = ACTIONS(1164),
    [anon_sym_GT_GT] = ACTIONS(1164),
    [anon_sym_LPAREN] = ACTIONS(1164),
    [anon_sym_LT_DASH] = ACTIONS(1164),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [anon_sym_PLUS_EQ] = ACTIONS(1164),
    [anon_sym_PIPE_EQ] = ACTIONS(1164),
    [anon_sym_PERCENT] = ACTIONS(1164),
    [anon_sym_GT] = ACTIONS(1164),
    [anon_sym_AMP_CARET] = ACTIONS(1164),
    [anon_sym_EQ_EQ] = ACTIONS(1164),
    [anon_sym_COLON_EQ] = ACTIONS(1164),
    [anon_sym_CARET_EQ] = ACTIONS(1164),
    [anon_sym_case] = ACTIONS(1164),
    [anon_sym_GT_EQ] = ACTIONS(1164),
    [anon_sym_PIPE] = ACTIONS(1164),
    [anon_sym_LF] = ACTIONS(1166),
    [anon_sym_BANG_EQ] = ACTIONS(1164),
    [anon_sym_PLUS_PLUS] = ACTIONS(1164),
    [anon_sym_STAR_EQ] = ACTIONS(1164),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_default] = ACTIONS(1164),
    [anon_sym_AMP_AMP] = ACTIONS(1164),
    [anon_sym_STAR] = ACTIONS(1164),
    [anon_sym_SEMI] = ACTIONS(1164),
    [anon_sym_LT] = ACTIONS(1164),
    [anon_sym_DASH_DASH] = ACTIONS(1164),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1164),
  },
  [544] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1170),
    [anon_sym_LBRACE] = ACTIONS(1170),
  },
  [545] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1174),
    [anon_sym_LBRACE] = ACTIONS(1174),
  },
  [546] = {
    [sym_type_conversion_expression] = STATE(571),
    [sym_composite_literal] = STATE(571),
    [sym_unary_expression] = STATE(571),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(571),
    [sym__string_literal] = STATE(571),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(571),
    [sym__expression] = STATE(571),
    [sym_parenthesized_expression] = STATE(571),
    [sym_selector_expression] = STATE(571),
    [sym_index_expression] = STATE(571),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(571),
    [sym_slice_expression] = STATE(571),
    [sym_type_assertion_expression] = STATE(571),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(571),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(2017),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(2017),
    [sym_imaginary_literal] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2019),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(2019),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2019),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(2019),
    [sym_false] = ACTIONS(2019),
  },
  [547] = {
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_PERCENT] = ACTIONS(1182),
    [anon_sym_CARET] = ACTIONS(1182),
    [anon_sym_var] = ACTIONS(1182),
    [anon_sym_const] = ACTIONS(1182),
    [anon_sym_GT] = ACTIONS(1182),
    [anon_sym_package] = ACTIONS(1182),
    [anon_sym_AMP_CARET] = ACTIONS(1182),
    [anon_sym_DOT] = ACTIONS(1182),
    [anon_sym_EQ_EQ] = ACTIONS(1182),
    [anon_sym_LT_EQ] = ACTIONS(1182),
    [anon_sym_PIPE_PIPE] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1182),
    [anon_sym_AMP] = ACTIONS(1182),
    [anon_sym_COMMA] = ACTIONS(1182),
    [anon_sym_type] = ACTIONS(1182),
    [anon_sym_import] = ACTIONS(1182),
    [anon_sym_LF] = ACTIONS(1180),
    [anon_sym_LT_LT] = ACTIONS(1182),
    [anon_sym_PIPE] = ACTIONS(1182),
    [anon_sym_BANG_EQ] = ACTIONS(1182),
    [anon_sym_GT_EQ] = ACTIONS(1182),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_SLASH] = ACTIONS(1182),
    [ts_builtin_sym_end] = ACTIONS(1180),
    [anon_sym_AMP_AMP] = ACTIONS(1182),
    [anon_sym_STAR] = ACTIONS(1182),
    [anon_sym_func] = ACTIONS(1182),
    [anon_sym_SEMI] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1182),
    [anon_sym_GT_GT] = ACTIONS(1182),
    [anon_sym_LT] = ACTIONS(1182),
    [sym_comment] = ACTIONS(61),
  },
  [548] = {
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_PERCENT] = ACTIONS(1196),
    [anon_sym_CARET] = ACTIONS(1196),
    [anon_sym_var] = ACTIONS(1196),
    [anon_sym_const] = ACTIONS(1196),
    [anon_sym_GT] = ACTIONS(1196),
    [anon_sym_package] = ACTIONS(1196),
    [anon_sym_AMP_CARET] = ACTIONS(1196),
    [anon_sym_DOT] = ACTIONS(1196),
    [anon_sym_EQ_EQ] = ACTIONS(1196),
    [anon_sym_LT_EQ] = ACTIONS(1196),
    [anon_sym_PIPE_PIPE] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_AMP] = ACTIONS(1196),
    [anon_sym_COMMA] = ACTIONS(1196),
    [anon_sym_type] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(1196),
    [anon_sym_LF] = ACTIONS(1194),
    [anon_sym_LT_LT] = ACTIONS(1196),
    [anon_sym_PIPE] = ACTIONS(1196),
    [anon_sym_BANG_EQ] = ACTIONS(1196),
    [anon_sym_GT_EQ] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(1196),
    [ts_builtin_sym_end] = ACTIONS(1194),
    [anon_sym_AMP_AMP] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1196),
    [anon_sym_func] = ACTIONS(1196),
    [anon_sym_SEMI] = ACTIONS(1196),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [anon_sym_GT_GT] = ACTIONS(1196),
    [anon_sym_LT] = ACTIONS(1196),
    [sym_comment] = ACTIONS(61),
  },
  [549] = {
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_PERCENT] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1200),
    [anon_sym_var] = ACTIONS(1200),
    [anon_sym_const] = ACTIONS(1200),
    [anon_sym_GT] = ACTIONS(1200),
    [anon_sym_package] = ACTIONS(1200),
    [anon_sym_AMP_CARET] = ACTIONS(1200),
    [anon_sym_DOT] = ACTIONS(1200),
    [anon_sym_EQ_EQ] = ACTIONS(1200),
    [anon_sym_LT_EQ] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_AMP] = ACTIONS(1200),
    [anon_sym_COMMA] = ACTIONS(1200),
    [anon_sym_type] = ACTIONS(1200),
    [anon_sym_import] = ACTIONS(1200),
    [anon_sym_LF] = ACTIONS(1198),
    [anon_sym_LT_LT] = ACTIONS(1200),
    [anon_sym_PIPE] = ACTIONS(1200),
    [anon_sym_BANG_EQ] = ACTIONS(1200),
    [anon_sym_GT_EQ] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_SLASH] = ACTIONS(1200),
    [ts_builtin_sym_end] = ACTIONS(1198),
    [anon_sym_AMP_AMP] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1200),
    [anon_sym_func] = ACTIONS(1200),
    [anon_sym_SEMI] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [anon_sym_GT_GT] = ACTIONS(1200),
    [anon_sym_LT] = ACTIONS(1200),
    [sym_comment] = ACTIONS(61),
  },
  [550] = {
    [anon_sym_type] = ACTIONS(1993),
    [anon_sym_import] = ACTIONS(1993),
    [anon_sym_LF] = ACTIONS(947),
    [anon_sym_var] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(1993),
    [anon_sym_package] = ACTIONS(1993),
    [ts_builtin_sym_end] = ACTIONS(947),
    [anon_sym_LBRACE] = ACTIONS(1993),
    [anon_sym_EQ] = ACTIONS(1993),
    [anon_sym_func] = ACTIONS(1993),
    [anon_sym_SEMI] = ACTIONS(1993),
    [sym_comment] = ACTIONS(61),
  },
  [551] = {
    [sym_argument_list] = STATE(519),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(601),
    [anon_sym_var] = ACTIONS(1208),
    [anon_sym_const] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_package] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(611),
    [anon_sym_EQ_EQ] = ACTIONS(1208),
    [anon_sym_LT_EQ] = ACTIONS(1208),
    [anon_sym_PIPE_PIPE] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(613),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_type] = ACTIONS(1208),
    [anon_sym_import] = ACTIONS(1208),
    [anon_sym_LF] = ACTIONS(1206),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(601),
    [anon_sym_BANG_EQ] = ACTIONS(1208),
    [anon_sym_GT_EQ] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_SLASH] = ACTIONS(603),
    [ts_builtin_sym_end] = ACTIONS(1206),
    [anon_sym_AMP_AMP] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_func] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_LT] = ACTIONS(1208),
    [sym_comment] = ACTIONS(61),
  },
  [552] = {
    [sym_argument_list] = STATE(519),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(1208),
    [anon_sym_var] = ACTIONS(1208),
    [anon_sym_const] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_package] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(611),
    [anon_sym_EQ_EQ] = ACTIONS(1208),
    [anon_sym_LT_EQ] = ACTIONS(1208),
    [anon_sym_PIPE_PIPE] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(613),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_type] = ACTIONS(1208),
    [anon_sym_import] = ACTIONS(1208),
    [anon_sym_LF] = ACTIONS(1206),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_BANG_EQ] = ACTIONS(1208),
    [anon_sym_GT_EQ] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(603),
    [ts_builtin_sym_end] = ACTIONS(1206),
    [anon_sym_AMP_AMP] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_func] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_LT] = ACTIONS(1208),
    [sym_comment] = ACTIONS(61),
  },
  [553] = {
    [sym_argument_list] = STATE(519),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_PERCENT] = ACTIONS(1208),
    [anon_sym_CARET] = ACTIONS(1208),
    [anon_sym_var] = ACTIONS(1208),
    [anon_sym_const] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_package] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(1208),
    [anon_sym_DOT] = ACTIONS(611),
    [anon_sym_EQ_EQ] = ACTIONS(1208),
    [anon_sym_LT_EQ] = ACTIONS(1208),
    [anon_sym_PIPE_PIPE] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(613),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_type] = ACTIONS(1208),
    [anon_sym_import] = ACTIONS(1208),
    [anon_sym_LF] = ACTIONS(1206),
    [anon_sym_LT_LT] = ACTIONS(1208),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_BANG_EQ] = ACTIONS(1208),
    [anon_sym_GT_EQ] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(1208),
    [ts_builtin_sym_end] = ACTIONS(1206),
    [anon_sym_AMP_AMP] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_func] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_GT_GT] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1208),
    [sym_comment] = ACTIONS(61),
  },
  [554] = {
    [anon_sym_type] = ACTIONS(2021),
    [anon_sym_import] = ACTIONS(2021),
    [anon_sym_LF] = ACTIONS(1210),
    [anon_sym_var] = ACTIONS(2021),
    [anon_sym_const] = ACTIONS(2021),
    [anon_sym_package] = ACTIONS(2021),
    [ts_builtin_sym_end] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_EQ] = ACTIONS(2021),
    [anon_sym_func] = ACTIONS(2021),
    [anon_sym_SEMI] = ACTIONS(2021),
    [sym_comment] = ACTIONS(61),
  },
  [555] = {
    [sym_argument_list] = STATE(519),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(601),
    [anon_sym_var] = ACTIONS(1208),
    [anon_sym_const] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(609),
    [anon_sym_package] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(611),
    [anon_sym_EQ_EQ] = ACTIONS(609),
    [anon_sym_LT_EQ] = ACTIONS(609),
    [anon_sym_PIPE_PIPE] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(613),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_type] = ACTIONS(1208),
    [anon_sym_import] = ACTIONS(1208),
    [anon_sym_LF] = ACTIONS(1206),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(601),
    [anon_sym_BANG_EQ] = ACTIONS(609),
    [anon_sym_GT_EQ] = ACTIONS(609),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_SLASH] = ACTIONS(603),
    [ts_builtin_sym_end] = ACTIONS(1206),
    [anon_sym_AMP_AMP] = ACTIONS(619),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_func] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_LT] = ACTIONS(609),
    [sym_comment] = ACTIONS(61),
  },
  [556] = {
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_PERCENT] = ACTIONS(1214),
    [anon_sym_CARET] = ACTIONS(1214),
    [anon_sym_var] = ACTIONS(1214),
    [anon_sym_const] = ACTIONS(1214),
    [anon_sym_GT] = ACTIONS(1214),
    [anon_sym_package] = ACTIONS(1214),
    [anon_sym_AMP_CARET] = ACTIONS(1214),
    [anon_sym_DOT] = ACTIONS(1214),
    [anon_sym_EQ_EQ] = ACTIONS(1214),
    [anon_sym_LT_EQ] = ACTIONS(1214),
    [anon_sym_PIPE_PIPE] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_COMMA] = ACTIONS(1214),
    [anon_sym_type] = ACTIONS(1214),
    [anon_sym_import] = ACTIONS(1214),
    [anon_sym_LF] = ACTIONS(1212),
    [anon_sym_LT_LT] = ACTIONS(1214),
    [anon_sym_PIPE] = ACTIONS(1214),
    [anon_sym_BANG_EQ] = ACTIONS(1214),
    [anon_sym_GT_EQ] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_SLASH] = ACTIONS(1214),
    [ts_builtin_sym_end] = ACTIONS(1212),
    [anon_sym_AMP_AMP] = ACTIONS(1214),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_func] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1214),
    [anon_sym_GT_GT] = ACTIONS(1214),
    [anon_sym_LT] = ACTIONS(1214),
    [sym_comment] = ACTIONS(61),
  },
  [557] = {
    [sym_argument_list] = STATE(519),
    [anon_sym_DASH] = ACTIONS(601),
    [anon_sym_PERCENT] = ACTIONS(603),
    [anon_sym_CARET] = ACTIONS(601),
    [anon_sym_var] = ACTIONS(1208),
    [anon_sym_const] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(609),
    [anon_sym_package] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(603),
    [anon_sym_DOT] = ACTIONS(611),
    [anon_sym_EQ_EQ] = ACTIONS(609),
    [anon_sym_LT_EQ] = ACTIONS(609),
    [anon_sym_PIPE_PIPE] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(613),
    [anon_sym_AMP] = ACTIONS(603),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_type] = ACTIONS(1208),
    [anon_sym_import] = ACTIONS(1208),
    [anon_sym_LF] = ACTIONS(1206),
    [anon_sym_LT_LT] = ACTIONS(603),
    [anon_sym_PIPE] = ACTIONS(601),
    [anon_sym_BANG_EQ] = ACTIONS(609),
    [anon_sym_GT_EQ] = ACTIONS(609),
    [anon_sym_PLUS] = ACTIONS(601),
    [anon_sym_SLASH] = ACTIONS(603),
    [ts_builtin_sym_end] = ACTIONS(1206),
    [anon_sym_AMP_AMP] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(603),
    [anon_sym_func] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(621),
    [anon_sym_GT_GT] = ACTIONS(603),
    [anon_sym_LT] = ACTIONS(609),
    [sym_comment] = ACTIONS(61),
  },
  [558] = {
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_PERCENT] = ACTIONS(1228),
    [anon_sym_CARET] = ACTIONS(1228),
    [anon_sym_var] = ACTIONS(1228),
    [anon_sym_const] = ACTIONS(1228),
    [anon_sym_GT] = ACTIONS(1228),
    [anon_sym_package] = ACTIONS(1228),
    [anon_sym_AMP_CARET] = ACTIONS(1228),
    [anon_sym_DOT] = ACTIONS(1228),
    [anon_sym_EQ_EQ] = ACTIONS(1228),
    [anon_sym_LT_EQ] = ACTIONS(1228),
    [anon_sym_PIPE_PIPE] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_AMP] = ACTIONS(1228),
    [anon_sym_COMMA] = ACTIONS(1228),
    [anon_sym_type] = ACTIONS(1228),
    [anon_sym_import] = ACTIONS(1228),
    [anon_sym_LF] = ACTIONS(1226),
    [anon_sym_LT_LT] = ACTIONS(1228),
    [anon_sym_PIPE] = ACTIONS(1228),
    [anon_sym_BANG_EQ] = ACTIONS(1228),
    [anon_sym_GT_EQ] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_SLASH] = ACTIONS(1228),
    [ts_builtin_sym_end] = ACTIONS(1226),
    [anon_sym_AMP_AMP] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(1228),
    [anon_sym_func] = ACTIONS(1228),
    [anon_sym_SEMI] = ACTIONS(1228),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_GT_GT] = ACTIONS(1228),
    [anon_sym_LT] = ACTIONS(1228),
    [sym_comment] = ACTIONS(61),
  },
  [559] = {
    [anon_sym_type] = ACTIONS(2023),
    [anon_sym_import] = ACTIONS(2023),
    [anon_sym_LF] = ACTIONS(1244),
    [anon_sym_var] = ACTIONS(2023),
    [anon_sym_const] = ACTIONS(2023),
    [anon_sym_package] = ACTIONS(2023),
    [ts_builtin_sym_end] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(2023),
    [anon_sym_EQ] = ACTIONS(2023),
    [anon_sym_func] = ACTIONS(2023),
    [anon_sym_SEMI] = ACTIONS(2023),
    [sym_comment] = ACTIONS(61),
  },
  [560] = {
    [anon_sym_type] = ACTIONS(2025),
    [anon_sym_import] = ACTIONS(2025),
    [anon_sym_LF] = ACTIONS(1258),
    [anon_sym_var] = ACTIONS(2025),
    [anon_sym_const] = ACTIONS(2025),
    [anon_sym_package] = ACTIONS(2025),
    [ts_builtin_sym_end] = ACTIONS(1258),
    [anon_sym_LBRACE] = ACTIONS(2025),
    [anon_sym_EQ] = ACTIONS(2025),
    [anon_sym_func] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(2025),
    [sym_comment] = ACTIONS(61),
  },
  [561] = {
    [sym_qualified_type] = STATE(581),
    [sym_map_type] = STATE(581),
    [sym_channel_type] = STATE(581),
    [sym_slice_type] = STATE(581),
    [sym_pointer_type] = STATE(581),
    [sym_array_type] = STATE(581),
    [sym_interface_type] = STATE(581),
    [sym_function_type] = STATE(581),
    [sym_parenthesized_type] = STATE(581),
    [sym__simple_type] = STATE(581),
    [sym_struct_type] = STATE(581),
    [anon_sym_map] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_interface] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(99),
    [sym_identifier] = ACTIONS(101),
    [anon_sym_func] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_LT_DASH] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(111),
    [anon_sym_chan] = ACTIONS(113),
  },
  [562] = {
    [anon_sym_type] = ACTIONS(2027),
    [anon_sym_import] = ACTIONS(2027),
    [anon_sym_LF] = ACTIONS(1302),
    [anon_sym_var] = ACTIONS(2027),
    [anon_sym_const] = ACTIONS(2027),
    [anon_sym_package] = ACTIONS(2027),
    [ts_builtin_sym_end] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(2027),
    [anon_sym_EQ] = ACTIONS(2027),
    [anon_sym_func] = ACTIONS(2027),
    [anon_sym_SEMI] = ACTIONS(2027),
    [sym_comment] = ACTIONS(61),
  },
  [563] = {
    [anon_sym_var] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_package] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_LBRACK] = ACTIONS(1312),
    [anon_sym_interface] = ACTIONS(1312),
    [anon_sym_type] = ACTIONS(1312),
    [anon_sym_import] = ACTIONS(1312),
    [anon_sym_LF] = ACTIONS(1310),
    [anon_sym_map] = ACTIONS(1312),
    [ts_builtin_sym_end] = ACTIONS(1310),
    [anon_sym_EQ] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_func] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1312),
    [sym_identifier] = ACTIONS(1312),
    [anon_sym_LT_DASH] = ACTIONS(1312),
    [sym_comment] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_chan] = ACTIONS(1312),
  },
  [564] = {
    [sym_argument_list] = STATE(799),
    [anon_sym_PLUS_EQ] = ACTIONS(1320),
    [anon_sym_GT_GT_EQ] = ACTIONS(1320),
    [anon_sym_PIPE_EQ] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PERCENT] = ACTIONS(2031),
    [anon_sym_CARET] = ACTIONS(2029),
    [anon_sym_PIPE_PIPE] = ACTIONS(2033),
    [anon_sym_GT] = ACTIONS(2035),
    [anon_sym_AMP_CARET] = ACTIONS(2031),
    [anon_sym_LT_EQ] = ACTIONS(2037),
    [anon_sym_DOT] = ACTIONS(2039),
    [anon_sym_COLON_EQ] = ACTIONS(1320),
    [anon_sym_PERCENT_EQ] = ACTIONS(1320),
    [anon_sym_EQ_EQ] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_AMP_EQ] = ACTIONS(1320),
    [anon_sym_CARET_EQ] = ACTIONS(1320),
    [anon_sym_AMP] = ACTIONS(2031),
    [anon_sym_COMMA] = ACTIONS(1320),
    [anon_sym_GT_EQ] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2029),
    [anon_sym_LT_LT] = ACTIONS(2031),
    [anon_sym_BANG_EQ] = ACTIONS(2037),
    [anon_sym_LT_LT_EQ] = ACTIONS(1320),
    [anon_sym_STAR_EQ] = ACTIONS(1320),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1320),
    [anon_sym_DASH_EQ] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_SLASH] = ACTIONS(2031),
    [anon_sym_EQ] = ACTIONS(1318),
    [anon_sym_AMP_AMP] = ACTIONS(2043),
    [anon_sym_STAR] = ACTIONS(2031),
    [anon_sym_GT_GT] = ACTIONS(2031),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LT] = ACTIONS(2035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1320),
  },
  [565] = {
    [aux_sym_expression_list_repeat1] = STATE(565),
    [anon_sym_COMMA] = ACTIONS(2047),
    [anon_sym_PLUS_EQ] = ACTIONS(1320),
    [anon_sym_GT_GT_EQ] = ACTIONS(1320),
    [anon_sym_PIPE_EQ] = ACTIONS(1320),
    [anon_sym_LT_LT_EQ] = ACTIONS(1320),
    [anon_sym_STAR_EQ] = ACTIONS(1320),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1320),
    [anon_sym_DASH_EQ] = ACTIONS(1320),
    [anon_sym_COLON_EQ] = ACTIONS(1320),
    [anon_sym_PERCENT_EQ] = ACTIONS(1320),
    [anon_sym_EQ] = ACTIONS(1320),
    [anon_sym_AMP_EQ] = ACTIONS(1320),
    [anon_sym_CARET_EQ] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1320),
  },
  [566] = {
    [anon_sym_RBRACE] = ACTIONS(1325),
    [anon_sym_SEMI] = ACTIONS(1325),
    [anon_sym_case] = ACTIONS(1325),
    [anon_sym_LF] = ACTIONS(1327),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1325),
  },
  [567] = {
    [anon_sym_RBRACE] = ACTIONS(1329),
    [anon_sym_SEMI] = ACTIONS(1329),
    [anon_sym_case] = ACTIONS(1329),
    [anon_sym_LF] = ACTIONS(1331),
    [sym_comment] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(1329),
  },
  [568] = {
    [sym_identifier] = ACTIONS(889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2050),
  },
  [569] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1451),
  },
  [570] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1455),
    [anon_sym_LBRACE] = ACTIONS(1455),
  },
  [571] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_COLON] = ACTIONS(1473),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_SEMI] = ACTIONS(1473),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [572] = {
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_PERCENT] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1487),
    [anon_sym_var] = ACTIONS(1487),
    [anon_sym_const] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [anon_sym_package] = ACTIONS(1487),
    [anon_sym_AMP_CARET] = ACTIONS(1487),
    [anon_sym_DOT] = ACTIONS(1487),
    [anon_sym_EQ_EQ] = ACTIONS(1487),
    [anon_sym_LT_EQ] = ACTIONS(1487),
    [anon_sym_PIPE_PIPE] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1487),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_COMMA] = ACTIONS(1487),
    [anon_sym_type] = ACTIONS(1487),
    [anon_sym_import] = ACTIONS(1487),
    [anon_sym_LF] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1487),
    [anon_sym_PIPE] = ACTIONS(1487),
    [anon_sym_BANG_EQ] = ACTIONS(1487),
    [anon_sym_GT_EQ] = ACTIONS(1487),
    [anon_sym_PLUS] = ACTIONS(1487),
    [anon_sym_SLASH] = ACTIONS(1487),
    [ts_builtin_sym_end] = ACTIONS(1485),
    [anon_sym_AMP_AMP] = ACTIONS(1487),
    [anon_sym_STAR] = ACTIONS(1487),
    [anon_sym_func] = ACTIONS(1487),
    [anon_sym_SEMI] = ACTIONS(1487),
    [anon_sym_LPAREN] = ACTIONS(1487),
    [anon_sym_GT_GT] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1487),
    [sym_comment] = ACTIONS(61),
  },
  [573] = {
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_PERCENT] = ACTIONS(1495),
    [anon_sym_CARET] = ACTIONS(1495),
    [anon_sym_var] = ACTIONS(1495),
    [anon_sym_const] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [anon_sym_package] = ACTIONS(1495),
    [anon_sym_AMP_CARET] = ACTIONS(1495),
    [anon_sym_DOT] = ACTIONS(1495),
    [anon_sym_EQ_EQ] = ACTIONS(1495),
    [anon_sym_LT_EQ] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1495),
    [anon_sym_LBRACK] = ACTIONS(1495),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_COMMA] = ACTIONS(1495),
    [anon_sym_type] = ACTIONS(1495),
    [anon_sym_import] = ACTIONS(1495),
    [anon_sym_LF] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1495),
    [anon_sym_PIPE] = ACTIONS(1495),
    [anon_sym_BANG_EQ] = ACTIONS(1495),
    [anon_sym_GT_EQ] = ACTIONS(1495),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_SLASH] = ACTIONS(1495),
    [ts_builtin_sym_end] = ACTIONS(1493),
    [anon_sym_AMP_AMP] = ACTIONS(1495),
    [anon_sym_STAR] = ACTIONS(1495),
    [anon_sym_func] = ACTIONS(1495),
    [anon_sym_SEMI] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1495),
    [anon_sym_GT_GT] = ACTIONS(1495),
    [anon_sym_LT] = ACTIONS(1495),
    [sym_comment] = ACTIONS(61),
  },
  [574] = {
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_PERCENT] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [anon_sym_var] = ACTIONS(1505),
    [anon_sym_const] = ACTIONS(1505),
    [anon_sym_GT] = ACTIONS(1505),
    [anon_sym_package] = ACTIONS(1505),
    [anon_sym_AMP_CARET] = ACTIONS(1505),
    [anon_sym_DOT] = ACTIONS(1505),
    [anon_sym_EQ_EQ] = ACTIONS(1505),
    [anon_sym_LT_EQ] = ACTIONS(1505),
    [anon_sym_PIPE_PIPE] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1505),
    [anon_sym_AMP] = ACTIONS(1505),
    [anon_sym_COMMA] = ACTIONS(1505),
    [anon_sym_type] = ACTIONS(1505),
    [anon_sym_import] = ACTIONS(1505),
    [anon_sym_LF] = ACTIONS(1503),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_PIPE] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_GT_EQ] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_SLASH] = ACTIONS(1505),
    [ts_builtin_sym_end] = ACTIONS(1503),
    [anon_sym_AMP_AMP] = ACTIONS(1505),
    [anon_sym_STAR] = ACTIONS(1505),
    [anon_sym_func] = ACTIONS(1505),
    [anon_sym_SEMI] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [anon_sym_GT_GT] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1505),
    [sym_comment] = ACTIONS(61),
  },
  [575] = {
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PERCENT] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_var] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_GT] = ACTIONS(1513),
    [anon_sym_package] = ACTIONS(1513),
    [anon_sym_AMP_CARET] = ACTIONS(1513),
    [anon_sym_DOT] = ACTIONS(1513),
    [anon_sym_EQ_EQ] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_COMMA] = ACTIONS(1513),
    [anon_sym_type] = ACTIONS(1513),
    [anon_sym_import] = ACTIONS(1513),
    [anon_sym_LF] = ACTIONS(1511),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1513),
    [ts_builtin_sym_end] = ACTIONS(1511),
    [anon_sym_AMP_AMP] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_func] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1513),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1513),
    [sym_comment] = ACTIONS(61),
  },
  [576] = {
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_PERCENT] = ACTIONS(1521),
    [anon_sym_CARET] = ACTIONS(1521),
    [anon_sym_var] = ACTIONS(1521),
    [anon_sym_const] = ACTIONS(1521),
    [anon_sym_GT] = ACTIONS(1521),
    [anon_sym_package] = ACTIONS(1521),
    [anon_sym_AMP_CARET] = ACTIONS(1521),
    [anon_sym_DOT] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_PIPE_PIPE] = ACTIONS(1521),
    [anon_sym_LBRACK] = ACTIONS(1521),
    [anon_sym_AMP] = ACTIONS(1521),
    [anon_sym_COMMA] = ACTIONS(1521),
    [anon_sym_type] = ACTIONS(1521),
    [anon_sym_import] = ACTIONS(1521),
    [anon_sym_LF] = ACTIONS(1519),
    [anon_sym_LT_LT] = ACTIONS(1521),
    [anon_sym_PIPE] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_SLASH] = ACTIONS(1521),
    [ts_builtin_sym_end] = ACTIONS(1519),
    [anon_sym_AMP_AMP] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(1521),
    [anon_sym_func] = ACTIONS(1521),
    [anon_sym_SEMI] = ACTIONS(1521),
    [anon_sym_LPAREN] = ACTIONS(1521),
    [anon_sym_GT_GT] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1521),
    [sym_comment] = ACTIONS(61),
  },
  [577] = {
    [anon_sym_DASH] = ACTIONS(1535),
    [anon_sym_PERCENT] = ACTIONS(1535),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_var] = ACTIONS(1535),
    [anon_sym_const] = ACTIONS(1535),
    [anon_sym_GT] = ACTIONS(1535),
    [anon_sym_package] = ACTIONS(1535),
    [anon_sym_AMP_CARET] = ACTIONS(1535),
    [anon_sym_DOT] = ACTIONS(1535),
    [anon_sym_EQ_EQ] = ACTIONS(1535),
    [anon_sym_LT_EQ] = ACTIONS(1535),
    [anon_sym_PIPE_PIPE] = ACTIONS(1535),
    [anon_sym_LBRACK] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_COMMA] = ACTIONS(1535),
    [anon_sym_type] = ACTIONS(1535),
    [anon_sym_import] = ACTIONS(1535),
    [anon_sym_LF] = ACTIONS(1533),
    [anon_sym_LT_LT] = ACTIONS(1535),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_BANG_EQ] = ACTIONS(1535),
    [anon_sym_GT_EQ] = ACTIONS(1535),
    [anon_sym_PLUS] = ACTIONS(1535),
    [anon_sym_SLASH] = ACTIONS(1535),
    [ts_builtin_sym_end] = ACTIONS(1533),
    [anon_sym_AMP_AMP] = ACTIONS(1535),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_func] = ACTIONS(1535),
    [anon_sym_SEMI] = ACTIONS(1535),
    [anon_sym_LPAREN] = ACTIONS(1535),
    [anon_sym_GT_GT] = ACTIONS(1535),
    [anon_sym_LT] = ACTIONS(1535),
    [sym_comment] = ACTIONS(61),
  },
  [578] = {
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_PERCENT] = ACTIONS(1545),
    [anon_sym_CARET] = ACTIONS(1545),
    [anon_sym_var] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(1545),
    [anon_sym_package] = ACTIONS(1545),
    [anon_sym_AMP_CARET] = ACTIONS(1545),
    [anon_sym_DOT] = ACTIONS(1545),
    [anon_sym_EQ_EQ] = ACTIONS(1545),
    [anon_sym_LT_EQ] = ACTIONS(1545),
    [anon_sym_PIPE_PIPE] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_AMP] = ACTIONS(1545),
    [anon_sym_COMMA] = ACTIONS(1545),
    [anon_sym_type] = ACTIONS(1545),
    [anon_sym_import] = ACTIONS(1545),
    [anon_sym_LF] = ACTIONS(1543),
    [anon_sym_LT_LT] = ACTIONS(1545),
    [anon_sym_PIPE] = ACTIONS(1545),
    [anon_sym_BANG_EQ] = ACTIONS(1545),
    [anon_sym_GT_EQ] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1545),
    [anon_sym_SLASH] = ACTIONS(1545),
    [ts_builtin_sym_end] = ACTIONS(1543),
    [anon_sym_AMP_AMP] = ACTIONS(1545),
    [anon_sym_STAR] = ACTIONS(1545),
    [anon_sym_func] = ACTIONS(1545),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LPAREN] = ACTIONS(1545),
    [anon_sym_GT_GT] = ACTIONS(1545),
    [anon_sym_LT] = ACTIONS(1545),
    [sym_comment] = ACTIONS(61),
  },
  [579] = {
    [anon_sym_type] = ACTIONS(2052),
    [anon_sym_import] = ACTIONS(2052),
    [anon_sym_LF] = ACTIONS(1551),
    [anon_sym_var] = ACTIONS(2052),
    [anon_sym_const] = ACTIONS(2052),
    [anon_sym_package] = ACTIONS(2052),
    [ts_builtin_sym_end] = ACTIONS(1551),
    [anon_sym_LBRACE] = ACTIONS(2052),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_func] = ACTIONS(2052),
    [anon_sym_SEMI] = ACTIONS(2052),
    [sym_comment] = ACTIONS(61),
  },
  [580] = {
    [anon_sym_type] = ACTIONS(2054),
    [anon_sym_import] = ACTIONS(2054),
    [anon_sym_LF] = ACTIONS(1569),
    [anon_sym_var] = ACTIONS(2054),
    [anon_sym_const] = ACTIONS(2054),
    [anon_sym_package] = ACTIONS(2054),
    [ts_builtin_sym_end] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(2054),
    [anon_sym_EQ] = ACTIONS(2054),
    [anon_sym_func] = ACTIONS(2054),
    [anon_sym_SEMI] = ACTIONS(2054),
    [sym_comment] = ACTIONS(61),
  },
  [581] = {
    [anon_sym_type] = ACTIONS(2056),
    [anon_sym_import] = ACTIONS(2056),
    [anon_sym_LF] = ACTIONS(1573),
    [anon_sym_var] = ACTIONS(2056),
    [anon_sym_const] = ACTIONS(2056),
    [anon_sym_package] = ACTIONS(2056),
    [ts_builtin_sym_end] = ACTIONS(1573),
    [anon_sym_LBRACE] = ACTIONS(2056),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_func] = ACTIONS(2056),
    [anon_sym_SEMI] = ACTIONS(2056),
    [sym_comment] = ACTIONS(61),
  },
  [582] = {
    [anon_sym_type] = ACTIONS(2058),
    [anon_sym_import] = ACTIONS(2058),
    [anon_sym_LF] = ACTIONS(1600),
    [anon_sym_var] = ACTIONS(2058),
    [anon_sym_const] = ACTIONS(2058),
    [anon_sym_package] = ACTIONS(2058),
    [ts_builtin_sym_end] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(2058),
    [anon_sym_EQ] = ACTIONS(2058),
    [anon_sym_func] = ACTIONS(2058),
    [anon_sym_SEMI] = ACTIONS(2058),
    [sym_comment] = ACTIONS(61),
  },
  [583] = {
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_var] = ACTIONS(1724),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_package] = ACTIONS(1724),
    [anon_sym_AMP_CARET] = ACTIONS(1724),
    [anon_sym_DOT] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1724),
    [anon_sym_LT_EQ] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_COMMA] = ACTIONS(1724),
    [anon_sym_type] = ACTIONS(1724),
    [anon_sym_import] = ACTIONS(1724),
    [anon_sym_LF] = ACTIONS(1722),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_BANG_EQ] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_SLASH] = ACTIONS(1724),
    [ts_builtin_sym_end] = ACTIONS(1722),
    [anon_sym_AMP_AMP] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1724),
    [anon_sym_func] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_LT] = ACTIONS(1724),
    [sym_comment] = ACTIONS(61),
  },
  [584] = {
    [anon_sym_DASH] = ACTIONS(1735),
    [anon_sym_PERCENT] = ACTIONS(1735),
    [anon_sym_CARET] = ACTIONS(1735),
    [anon_sym_var] = ACTIONS(1735),
    [anon_sym_const] = ACTIONS(1735),
    [anon_sym_GT] = ACTIONS(1735),
    [anon_sym_package] = ACTIONS(1735),
    [anon_sym_AMP_CARET] = ACTIONS(1735),
    [anon_sym_DOT] = ACTIONS(1735),
    [anon_sym_EQ_EQ] = ACTIONS(1735),
    [anon_sym_LT_EQ] = ACTIONS(1735),
    [anon_sym_PIPE_PIPE] = ACTIONS(1735),
    [anon_sym_LBRACK] = ACTIONS(1735),
    [anon_sym_AMP] = ACTIONS(1735),
    [anon_sym_COMMA] = ACTIONS(1735),
    [anon_sym_type] = ACTIONS(1735),
    [anon_sym_import] = ACTIONS(1735),
    [anon_sym_LF] = ACTIONS(1733),
    [anon_sym_LT_LT] = ACTIONS(1735),
    [anon_sym_PIPE] = ACTIONS(1735),
    [anon_sym_BANG_EQ] = ACTIONS(1735),
    [anon_sym_GT_EQ] = ACTIONS(1735),
    [anon_sym_PLUS] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1735),
    [ts_builtin_sym_end] = ACTIONS(1733),
    [anon_sym_AMP_AMP] = ACTIONS(1735),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_func] = ACTIONS(1735),
    [anon_sym_SEMI] = ACTIONS(1735),
    [anon_sym_LPAREN] = ACTIONS(1735),
    [anon_sym_GT_GT] = ACTIONS(1735),
    [anon_sym_LT] = ACTIONS(1735),
    [sym_comment] = ACTIONS(61),
  },
  [585] = {
    [anon_sym_DASH] = ACTIONS(1741),
    [anon_sym_PERCENT] = ACTIONS(1741),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_var] = ACTIONS(1741),
    [anon_sym_const] = ACTIONS(1741),
    [anon_sym_GT] = ACTIONS(1741),
    [anon_sym_package] = ACTIONS(1741),
    [anon_sym_AMP_CARET] = ACTIONS(1741),
    [anon_sym_DOT] = ACTIONS(1741),
    [anon_sym_EQ_EQ] = ACTIONS(1741),
    [anon_sym_LT_EQ] = ACTIONS(1741),
    [anon_sym_PIPE_PIPE] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_COMMA] = ACTIONS(1741),
    [anon_sym_type] = ACTIONS(1741),
    [anon_sym_import] = ACTIONS(1741),
    [anon_sym_LF] = ACTIONS(1739),
    [anon_sym_LT_LT] = ACTIONS(1741),
    [anon_sym_PIPE] = ACTIONS(1741),
    [anon_sym_BANG_EQ] = ACTIONS(1741),
    [anon_sym_GT_EQ] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1741),
    [anon_sym_SLASH] = ACTIONS(1741),
    [ts_builtin_sym_end] = ACTIONS(1739),
    [anon_sym_AMP_AMP] = ACTIONS(1741),
    [anon_sym_STAR] = ACTIONS(1741),
    [anon_sym_func] = ACTIONS(1741),
    [anon_sym_SEMI] = ACTIONS(1741),
    [anon_sym_LPAREN] = ACTIONS(1741),
    [anon_sym_GT_GT] = ACTIONS(1741),
    [anon_sym_LT] = ACTIONS(1741),
    [sym_comment] = ACTIONS(61),
  },
  [586] = {
    [anon_sym_DASH] = ACTIONS(1745),
    [anon_sym_PERCENT] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1745),
    [anon_sym_var] = ACTIONS(1745),
    [anon_sym_const] = ACTIONS(1745),
    [anon_sym_GT] = ACTIONS(1745),
    [anon_sym_package] = ACTIONS(1745),
    [anon_sym_AMP_CARET] = ACTIONS(1745),
    [anon_sym_DOT] = ACTIONS(1745),
    [anon_sym_EQ_EQ] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1745),
    [anon_sym_PIPE_PIPE] = ACTIONS(1745),
    [anon_sym_LBRACK] = ACTIONS(1745),
    [anon_sym_AMP] = ACTIONS(1745),
    [anon_sym_COMMA] = ACTIONS(1745),
    [anon_sym_type] = ACTIONS(1745),
    [anon_sym_import] = ACTIONS(1745),
    [anon_sym_LF] = ACTIONS(1743),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_BANG_EQ] = ACTIONS(1745),
    [anon_sym_GT_EQ] = ACTIONS(1745),
    [anon_sym_PLUS] = ACTIONS(1745),
    [anon_sym_SLASH] = ACTIONS(1745),
    [ts_builtin_sym_end] = ACTIONS(1743),
    [anon_sym_AMP_AMP] = ACTIONS(1745),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_func] = ACTIONS(1745),
    [anon_sym_SEMI] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_LT] = ACTIONS(1745),
    [sym_comment] = ACTIONS(61),
  },
  [587] = {
    [anon_sym_DASH] = ACTIONS(1757),
    [anon_sym_PERCENT] = ACTIONS(1757),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_var] = ACTIONS(1757),
    [anon_sym_const] = ACTIONS(1757),
    [anon_sym_GT] = ACTIONS(1757),
    [anon_sym_package] = ACTIONS(1757),
    [anon_sym_AMP_CARET] = ACTIONS(1757),
    [anon_sym_DOT] = ACTIONS(1757),
    [anon_sym_EQ_EQ] = ACTIONS(1757),
    [anon_sym_LT_EQ] = ACTIONS(1757),
    [anon_sym_PIPE_PIPE] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_COMMA] = ACTIONS(1757),
    [anon_sym_type] = ACTIONS(1757),
    [anon_sym_import] = ACTIONS(1757),
    [anon_sym_LF] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1757),
    [anon_sym_PIPE] = ACTIONS(1757),
    [anon_sym_BANG_EQ] = ACTIONS(1757),
    [anon_sym_GT_EQ] = ACTIONS(1757),
    [anon_sym_PLUS] = ACTIONS(1757),
    [anon_sym_SLASH] = ACTIONS(1757),
    [ts_builtin_sym_end] = ACTIONS(1755),
    [anon_sym_AMP_AMP] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_func] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1757),
    [anon_sym_LPAREN] = ACTIONS(1757),
    [anon_sym_GT_GT] = ACTIONS(1757),
    [anon_sym_LT] = ACTIONS(1757),
    [sym_comment] = ACTIONS(61),
  },
  [588] = {
    [anon_sym_DASH] = ACTIONS(1768),
    [anon_sym_PERCENT] = ACTIONS(1768),
    [anon_sym_CARET] = ACTIONS(1768),
    [anon_sym_var] = ACTIONS(1768),
    [anon_sym_const] = ACTIONS(1768),
    [anon_sym_GT] = ACTIONS(1768),
    [anon_sym_package] = ACTIONS(1768),
    [anon_sym_AMP_CARET] = ACTIONS(1768),
    [anon_sym_DOT] = ACTIONS(1768),
    [anon_sym_EQ_EQ] = ACTIONS(1768),
    [anon_sym_LT_EQ] = ACTIONS(1768),
    [anon_sym_PIPE_PIPE] = ACTIONS(1768),
    [anon_sym_LBRACK] = ACTIONS(1768),
    [anon_sym_AMP] = ACTIONS(1768),
    [anon_sym_COMMA] = ACTIONS(1768),
    [anon_sym_type] = ACTIONS(1768),
    [anon_sym_import] = ACTIONS(1768),
    [anon_sym_LF] = ACTIONS(1766),
    [anon_sym_LT_LT] = ACTIONS(1768),
    [anon_sym_PIPE] = ACTIONS(1768),
    [anon_sym_BANG_EQ] = ACTIONS(1768),
    [anon_sym_GT_EQ] = ACTIONS(1768),
    [anon_sym_PLUS] = ACTIONS(1768),
    [anon_sym_SLASH] = ACTIONS(1768),
    [ts_builtin_sym_end] = ACTIONS(1766),
    [anon_sym_AMP_AMP] = ACTIONS(1768),
    [anon_sym_STAR] = ACTIONS(1768),
    [anon_sym_func] = ACTIONS(1768),
    [anon_sym_SEMI] = ACTIONS(1768),
    [anon_sym_LPAREN] = ACTIONS(1768),
    [anon_sym_GT_GT] = ACTIONS(1768),
    [anon_sym_LT] = ACTIONS(1768),
    [sym_comment] = ACTIONS(61),
  },
  [589] = {
    [anon_sym_type] = ACTIONS(2060),
    [anon_sym_import] = ACTIONS(2060),
    [anon_sym_LF] = ACTIONS(1770),
    [anon_sym_var] = ACTIONS(2060),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_package] = ACTIONS(2060),
    [ts_builtin_sym_end] = ACTIONS(1770),
    [anon_sym_LBRACE] = ACTIONS(2060),
    [anon_sym_EQ] = ACTIONS(2060),
    [anon_sym_func] = ACTIONS(2060),
    [anon_sym_SEMI] = ACTIONS(2060),
    [sym_comment] = ACTIONS(61),
  },
  [590] = {
    [anon_sym_type] = ACTIONS(2062),
    [anon_sym_import] = ACTIONS(2062),
    [anon_sym_LF] = ACTIONS(1772),
    [anon_sym_var] = ACTIONS(2062),
    [anon_sym_const] = ACTIONS(2062),
    [anon_sym_package] = ACTIONS(2062),
    [ts_builtin_sym_end] = ACTIONS(1772),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_EQ] = ACTIONS(2062),
    [anon_sym_func] = ACTIONS(2062),
    [anon_sym_SEMI] = ACTIONS(2062),
    [sym_comment] = ACTIONS(61),
  },
  [591] = {
    [anon_sym_type] = ACTIONS(2064),
    [anon_sym_import] = ACTIONS(2064),
    [anon_sym_LF] = ACTIONS(1778),
    [anon_sym_var] = ACTIONS(2064),
    [anon_sym_const] = ACTIONS(2064),
    [anon_sym_package] = ACTIONS(2064),
    [ts_builtin_sym_end] = ACTIONS(1778),
    [anon_sym_LBRACE] = ACTIONS(2064),
    [anon_sym_EQ] = ACTIONS(2064),
    [anon_sym_func] = ACTIONS(2064),
    [anon_sym_SEMI] = ACTIONS(2064),
    [sym_comment] = ACTIONS(61),
  },
  [592] = {
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_var] = ACTIONS(1840),
    [anon_sym_const] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_package] = ACTIONS(1840),
    [anon_sym_AMP_CARET] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_COMMA] = ACTIONS(1840),
    [anon_sym_type] = ACTIONS(1840),
    [anon_sym_import] = ACTIONS(1840),
    [anon_sym_LF] = ACTIONS(1838),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [ts_builtin_sym_end] = ACTIONS(1838),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_func] = ACTIONS(1840),
    [anon_sym_SEMI] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1840),
    [anon_sym_GT_GT] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [sym_comment] = ACTIONS(61),
  },
  [593] = {
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_PERCENT] = ACTIONS(1844),
    [anon_sym_CARET] = ACTIONS(1844),
    [anon_sym_var] = ACTIONS(1844),
    [anon_sym_const] = ACTIONS(1844),
    [anon_sym_GT] = ACTIONS(1844),
    [anon_sym_package] = ACTIONS(1844),
    [anon_sym_AMP_CARET] = ACTIONS(1844),
    [anon_sym_DOT] = ACTIONS(1844),
    [anon_sym_EQ_EQ] = ACTIONS(1844),
    [anon_sym_LT_EQ] = ACTIONS(1844),
    [anon_sym_PIPE_PIPE] = ACTIONS(1844),
    [anon_sym_LBRACK] = ACTIONS(1844),
    [anon_sym_AMP] = ACTIONS(1844),
    [anon_sym_COMMA] = ACTIONS(1844),
    [anon_sym_type] = ACTIONS(1844),
    [anon_sym_import] = ACTIONS(1844),
    [anon_sym_LF] = ACTIONS(1842),
    [anon_sym_LT_LT] = ACTIONS(1844),
    [anon_sym_PIPE] = ACTIONS(1844),
    [anon_sym_BANG_EQ] = ACTIONS(1844),
    [anon_sym_GT_EQ] = ACTIONS(1844),
    [anon_sym_PLUS] = ACTIONS(1844),
    [anon_sym_SLASH] = ACTIONS(1844),
    [ts_builtin_sym_end] = ACTIONS(1842),
    [anon_sym_AMP_AMP] = ACTIONS(1844),
    [anon_sym_STAR] = ACTIONS(1844),
    [anon_sym_func] = ACTIONS(1844),
    [anon_sym_SEMI] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1844),
    [anon_sym_GT_GT] = ACTIONS(1844),
    [anon_sym_LT] = ACTIONS(1844),
    [sym_comment] = ACTIONS(61),
  },
  [594] = {
    [anon_sym_DASH] = ACTIONS(1850),
    [anon_sym_PERCENT] = ACTIONS(1850),
    [anon_sym_CARET] = ACTIONS(1850),
    [anon_sym_var] = ACTIONS(1850),
    [anon_sym_const] = ACTIONS(1850),
    [anon_sym_GT] = ACTIONS(1850),
    [anon_sym_package] = ACTIONS(1850),
    [anon_sym_AMP_CARET] = ACTIONS(1850),
    [anon_sym_DOT] = ACTIONS(1850),
    [anon_sym_EQ_EQ] = ACTIONS(1850),
    [anon_sym_LT_EQ] = ACTIONS(1850),
    [anon_sym_PIPE_PIPE] = ACTIONS(1850),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_AMP] = ACTIONS(1850),
    [anon_sym_COMMA] = ACTIONS(1850),
    [anon_sym_type] = ACTIONS(1850),
    [anon_sym_import] = ACTIONS(1850),
    [anon_sym_LF] = ACTIONS(1848),
    [anon_sym_LT_LT] = ACTIONS(1850),
    [anon_sym_PIPE] = ACTIONS(1850),
    [anon_sym_BANG_EQ] = ACTIONS(1850),
    [anon_sym_GT_EQ] = ACTIONS(1850),
    [anon_sym_PLUS] = ACTIONS(1850),
    [anon_sym_SLASH] = ACTIONS(1850),
    [ts_builtin_sym_end] = ACTIONS(1848),
    [anon_sym_AMP_AMP] = ACTIONS(1850),
    [anon_sym_STAR] = ACTIONS(1850),
    [anon_sym_func] = ACTIONS(1850),
    [anon_sym_SEMI] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_GT_GT] = ACTIONS(1850),
    [anon_sym_LT] = ACTIONS(1850),
    [sym_comment] = ACTIONS(61),
  },
  [595] = {
    [anon_sym_DASH] = ACTIONS(1858),
    [anon_sym_PERCENT] = ACTIONS(1858),
    [anon_sym_CARET] = ACTIONS(1858),
    [anon_sym_var] = ACTIONS(1858),
    [anon_sym_const] = ACTIONS(1858),
    [anon_sym_GT] = ACTIONS(1858),
    [anon_sym_package] = ACTIONS(1858),
    [anon_sym_AMP_CARET] = ACTIONS(1858),
    [anon_sym_DOT] = ACTIONS(1858),
    [anon_sym_EQ_EQ] = ACTIONS(1858),
    [anon_sym_LT_EQ] = ACTIONS(1858),
    [anon_sym_PIPE_PIPE] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym_COMMA] = ACTIONS(1858),
    [anon_sym_type] = ACTIONS(1858),
    [anon_sym_import] = ACTIONS(1858),
    [anon_sym_LF] = ACTIONS(1856),
    [anon_sym_LT_LT] = ACTIONS(1858),
    [anon_sym_PIPE] = ACTIONS(1858),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_GT_EQ] = ACTIONS(1858),
    [anon_sym_PLUS] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1858),
    [ts_builtin_sym_end] = ACTIONS(1856),
    [anon_sym_AMP_AMP] = ACTIONS(1858),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_func] = ACTIONS(1858),
    [anon_sym_SEMI] = ACTIONS(1858),
    [anon_sym_LPAREN] = ACTIONS(1858),
    [anon_sym_GT_GT] = ACTIONS(1858),
    [anon_sym_LT] = ACTIONS(1858),
    [sym_comment] = ACTIONS(61),
  },
  [596] = {
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PERCENT] = ACTIONS(1888),
    [anon_sym_CARET] = ACTIONS(1888),
    [anon_sym_var] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(1888),
    [anon_sym_GT] = ACTIONS(1888),
    [anon_sym_package] = ACTIONS(1888),
    [anon_sym_AMP_CARET] = ACTIONS(1888),
    [anon_sym_DOT] = ACTIONS(1888),
    [anon_sym_EQ_EQ] = ACTIONS(1888),
    [anon_sym_LT_EQ] = ACTIONS(1888),
    [anon_sym_PIPE_PIPE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1888),
    [anon_sym_AMP] = ACTIONS(1888),
    [anon_sym_COMMA] = ACTIONS(1888),
    [anon_sym_type] = ACTIONS(1888),
    [anon_sym_import] = ACTIONS(1888),
    [anon_sym_LF] = ACTIONS(1886),
    [anon_sym_LT_LT] = ACTIONS(1888),
    [anon_sym_PIPE] = ACTIONS(1888),
    [anon_sym_BANG_EQ] = ACTIONS(1888),
    [anon_sym_GT_EQ] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_SLASH] = ACTIONS(1888),
    [ts_builtin_sym_end] = ACTIONS(1886),
    [anon_sym_AMP_AMP] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(1888),
    [anon_sym_func] = ACTIONS(1888),
    [anon_sym_SEMI] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1888),
    [anon_sym_GT_GT] = ACTIONS(1888),
    [anon_sym_LT] = ACTIONS(1888),
    [sym_comment] = ACTIONS(61),
  },
  [597] = {
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1913),
    [anon_sym_var] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_package] = ACTIONS(1913),
    [anon_sym_AMP_CARET] = ACTIONS(1913),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1913),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_PIPE_PIPE] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_COMMA] = ACTIONS(1913),
    [anon_sym_type] = ACTIONS(1913),
    [anon_sym_import] = ACTIONS(1913),
    [anon_sym_LF] = ACTIONS(1911),
    [anon_sym_LT_LT] = ACTIONS(1913),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_BANG_EQ] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_SLASH] = ACTIONS(1913),
    [ts_builtin_sym_end] = ACTIONS(1911),
    [anon_sym_AMP_AMP] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1913),
    [anon_sym_func] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1913),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_GT_GT] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [sym_comment] = ACTIONS(61),
  },
  [598] = {
    [anon_sym_RBRACE] = ACTIONS(229),
    [anon_sym_case] = ACTIONS(229),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [anon_sym_default] = ACTIONS(229),
    [anon_sym_LF] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [sym_raw_string_literal] = ACTIONS(229),
    [anon_sym_LBRACK] = ACTIONS(229),
    [anon_sym_interface] = ACTIONS(229),
    [anon_sym_EQ] = ACTIONS(229),
    [anon_sym_STAR] = ACTIONS(229),
    [anon_sym_func] = ACTIONS(229),
    [anon_sym_SEMI] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(229),
    [sym_identifier] = ACTIONS(229),
    [sym_comment] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(229),
    [anon_sym_struct] = ACTIONS(229),
    [anon_sym_chan] = ACTIONS(229),
  },
  [599] = {
    [anon_sym_DOT] = ACTIONS(917),
    [anon_sym_RBRACE] = ACTIONS(284),
    [anon_sym_DQUOTE] = ACTIONS(284),
    [anon_sym_case] = ACTIONS(284),
    [anon_sym_LF] = ACTIONS(268),
    [anon_sym_default] = ACTIONS(284),
    [anon_sym_EQ] = ACTIONS(284),
    [anon_sym_SEMI] = ACTIONS(284),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(284),
  },
  [600] = {
    [anon_sym_RBRACE] = ACTIONS(318),
    [anon_sym_DASH] = ACTIONS(318),
    [anon_sym_PERCENT] = ACTIONS(318),
    [anon_sym_CARET] = ACTIONS(318),
    [anon_sym_PIPE_PIPE] = ACTIONS(318),
    [anon_sym_GT] = ACTIONS(316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(318),
    [anon_sym_AMP_CARET] = ACTIONS(318),
    [anon_sym_LT_EQ] = ACTIONS(318),
    [anon_sym_DOT] = ACTIONS(316),
    [anon_sym_EQ_EQ] = ACTIONS(318),
    [anon_sym_RPAREN] = ACTIONS(318),
    [anon_sym_LBRACE] = ACTIONS(318),
    [anon_sym_LBRACK] = ACTIONS(318),
    [anon_sym_COLON_EQ] = ACTIONS(318),
    [anon_sym_AMP] = ACTIONS(316),
    [anon_sym_GT_EQ] = ACTIONS(318),
    [anon_sym_COMMA] = ACTIONS(318),
    [anon_sym_PIPE] = ACTIONS(316),
    [anon_sym_LT_LT] = ACTIONS(318),
    [anon_sym_BANG_EQ] = ACTIONS(318),
    [anon_sym_RBRACK] = ACTIONS(318),
    [anon_sym_COLON] = ACTIONS(316),
    [anon_sym_PLUS] = ACTIONS(318),
    [anon_sym_SLASH] = ACTIONS(316),
    [anon_sym_AMP_AMP] = ACTIONS(318),
    [anon_sym_STAR] = ACTIONS(318),
    [anon_sym_EQ] = ACTIONS(316),
    [anon_sym_GT_GT] = ACTIONS(318),
    [anon_sym_LPAREN] = ACTIONS(318),
    [anon_sym_LT] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(318),
  },
  [601] = {
    [anon_sym_RBRACE] = ACTIONS(442),
    [anon_sym_case] = ACTIONS(442),
    [anon_sym_DQUOTE] = ACTIONS(442),
    [anon_sym_default] = ACTIONS(442),
    [anon_sym_LF] = ACTIONS(440),
    [anon_sym_map] = ACTIONS(442),
    [sym_raw_string_literal] = ACTIONS(442),
    [anon_sym_LBRACK] = ACTIONS(442),
    [anon_sym_interface] = ACTIONS(442),
    [anon_sym_EQ] = ACTIONS(442),
    [anon_sym_STAR] = ACTIONS(442),
    [anon_sym_func] = ACTIONS(442),
    [anon_sym_SEMI] = ACTIONS(442),
    [anon_sym_LPAREN] = ACTIONS(442),
    [sym_identifier] = ACTIONS(442),
    [sym_comment] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(442),
    [anon_sym_struct] = ACTIONS(442),
    [anon_sym_chan] = ACTIONS(442),
  },
  [602] = {
    [sym_type_conversion_expression] = STATE(617),
    [sym_composite_literal] = STATE(617),
    [sym_unary_expression] = STATE(617),
    [sym_slice_type] = STATE(1017),
    [sym_binary_expression] = STATE(617),
    [sym__string_literal] = STATE(617),
    [sym_implicit_length_array_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(617),
    [sym__expression] = STATE(617),
    [sym_parenthesized_expression] = STATE(617),
    [sym_selector_expression] = STATE(617),
    [sym_index_expression] = STATE(617),
    [sym_parenthesized_type] = STATE(1280),
    [sym__simple_type] = STATE(1280),
    [sym_qualified_type] = STATE(1017),
    [sym_struct_type] = STATE(1017),
    [sym_map_type] = STATE(1017),
    [sym_channel_type] = STATE(1280),
    [sym_call_expression] = STATE(617),
    [sym_slice_expression] = STATE(617),
    [sym_type_assertion_expression] = STATE(617),
    [sym_pointer_type] = STATE(1280),
    [sym_array_type] = STATE(1017),
    [sym_func_literal] = STATE(617),
    [sym_interface_type] = STATE(1280),
    [sym_function_type] = STATE(1280),
    [sym_rune_literal] = ACTIONS(2066),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(388),
    [anon_sym_CARET] = ACTIONS(388),
    [sym_raw_string_literal] = ACTIONS(2066),
    [sym_imaginary_literal] = ACTIONS(2066),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2068),
    [anon_sym_BANG] = ACTIONS(388),
    [anon_sym_make] = ACTIONS(398),
    [anon_sym_AMP] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_int_literal] = ACTIONS(2068),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2068),
    [anon_sym_PLUS] = ACTIONS(388),
    [anon_sym_STAR] = ACTIONS(430),
    [sym_identifier] = ACTIONS(2070),
    [anon_sym_func] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(406),
    [sym_float_literal] = ACTIONS(2068),
    [sym_false] = ACTIONS(2068),
  },
  [603] = {
    [sym_type_conversion_expression] = STATE(617),
    [sym_composite_literal] = STATE(617),
    [sym_unary_expression] = STATE(617),
    [sym_slice_type] = STATE(1017),
    [sym_binary_expression] = STATE(617),
    [sym__string_literal] = STATE(617),
    [sym_implicit_length_array_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(617),
    [sym__expression] = STATE(617),
    [sym_parenthesized_expression] = STATE(617),
    [sym_selector_expression] = STATE(617),
    [sym_index_expression] = STATE(617),
    [sym_parenthesized_type] = STATE(158),
    [sym__simple_type] = STATE(158),
    [sym_qualified_type] = STATE(1017),
    [sym_struct_type] = STATE(1017),
    [sym_map_type] = STATE(1017),
    [sym_channel_type] = STATE(158),
    [sym_call_expression] = STATE(617),
    [sym_slice_expression] = STATE(617),
    [sym_type_assertion_expression] = STATE(617),
    [sym_pointer_type] = STATE(158),
    [sym_array_type] = STATE(1017),
    [sym_func_literal] = STATE(617),
    [sym_interface_type] = STATE(158),
    [sym_function_type] = STATE(158),
    [sym_rune_literal] = ACTIONS(2066),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(388),
    [anon_sym_CARET] = ACTIONS(388),
    [sym_raw_string_literal] = ACTIONS(2066),
    [sym_imaginary_literal] = ACTIONS(2066),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2068),
    [anon_sym_BANG] = ACTIONS(388),
    [anon_sym_make] = ACTIONS(398),
    [anon_sym_AMP] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_int_literal] = ACTIONS(2068),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2068),
    [anon_sym_PLUS] = ACTIONS(388),
    [anon_sym_STAR] = ACTIONS(430),
    [sym_identifier] = ACTIONS(2070),
    [anon_sym_func] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(406),
    [sym_float_literal] = ACTIONS(2068),
    [sym_false] = ACTIONS(2068),
  },
  [604] = {
    [sym_literal_value] = STATE(697),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(458),
    [anon_sym_PERCENT] = ACTIONS(458),
    [anon_sym_CARET] = ACTIONS(458),
    [anon_sym_PIPE_PIPE] = ACTIONS(458),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_AMP_CARET] = ACTIONS(458),
    [anon_sym_LT_EQ] = ACTIONS(458),
    [anon_sym_DOT] = ACTIONS(752),
    [anon_sym_EQ_EQ] = ACTIONS(458),
    [anon_sym_LBRACE] = ACTIONS(2072),
    [anon_sym_LBRACK] = ACTIONS(458),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_case] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(458),
    [anon_sym_GT_EQ] = ACTIONS(458),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_LF] = ACTIONS(456),
    [anon_sym_LT_LT] = ACTIONS(458),
    [anon_sym_BANG_EQ] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(458),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_default] = ACTIONS(458),
    [anon_sym_AMP_AMP] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(458),
    [anon_sym_LPAREN] = ACTIONS(755),
    [anon_sym_GT_GT] = ACTIONS(458),
    [anon_sym_LT] = ACTIONS(458),
    [sym_comment] = ACTIONS(61),
  },
  [605] = {
    [sym_type_conversion_expression] = STATE(617),
    [sym_composite_literal] = STATE(617),
    [sym_unary_expression] = STATE(617),
    [sym_slice_type] = STATE(1017),
    [sym_binary_expression] = STATE(617),
    [sym__string_literal] = STATE(617),
    [sym_implicit_length_array_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(617),
    [sym__expression] = STATE(617),
    [sym_parenthesized_expression] = STATE(617),
    [sym_selector_expression] = STATE(617),
    [sym_index_expression] = STATE(617),
    [sym_parenthesized_type] = STATE(1280),
    [sym__simple_type] = STATE(1280),
    [sym_qualified_type] = STATE(1017),
    [sym_struct_type] = STATE(1017),
    [sym_map_type] = STATE(1017),
    [sym_channel_type] = STATE(1280),
    [sym_call_expression] = STATE(617),
    [sym_slice_expression] = STATE(617),
    [sym_type_assertion_expression] = STATE(617),
    [sym_pointer_type] = STATE(1280),
    [sym_array_type] = STATE(1017),
    [sym_func_literal] = STATE(617),
    [sym_interface_type] = STATE(1280),
    [sym_function_type] = STATE(1280),
    [sym_rune_literal] = ACTIONS(2066),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(388),
    [anon_sym_CARET] = ACTIONS(388),
    [sym_raw_string_literal] = ACTIONS(2066),
    [sym_imaginary_literal] = ACTIONS(2066),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2068),
    [anon_sym_BANG] = ACTIONS(388),
    [anon_sym_make] = ACTIONS(398),
    [anon_sym_AMP] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_int_literal] = ACTIONS(2068),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2068),
    [anon_sym_PLUS] = ACTIONS(388),
    [anon_sym_STAR] = ACTIONS(430),
    [sym_identifier] = ACTIONS(2070),
    [anon_sym_func] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(406),
    [sym_float_literal] = ACTIONS(2068),
    [sym_false] = ACTIONS(2068),
  },
  [606] = {
    [sym_special_argument_list] = STATE(620),
    [anon_sym_GT_GT_EQ] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(458),
    [anon_sym_CARET] = ACTIONS(458),
    [anon_sym_PIPE_PIPE] = ACTIONS(458),
    [anon_sym_LT_EQ] = ACTIONS(458),
    [anon_sym_DOT] = ACTIONS(458),
    [anon_sym_PERCENT_EQ] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(458),
    [anon_sym_AMP_EQ] = ACTIONS(458),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(458),
    [anon_sym_LT_LT] = ACTIONS(458),
    [anon_sym_LT_LT_EQ] = ACTIONS(458),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(458),
    [anon_sym_DASH_EQ] = ACTIONS(458),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_EQ] = ACTIONS(458),
    [anon_sym_GT_GT] = ACTIONS(458),
    [anon_sym_LPAREN] = ACTIONS(2074),
    [anon_sym_LT_DASH] = ACTIONS(458),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_PLUS_EQ] = ACTIONS(458),
    [anon_sym_PIPE_EQ] = ACTIONS(458),
    [anon_sym_PERCENT] = ACTIONS(458),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_AMP_CARET] = ACTIONS(458),
    [anon_sym_EQ_EQ] = ACTIONS(458),
    [anon_sym_COLON_EQ] = ACTIONS(458),
    [anon_sym_CARET_EQ] = ACTIONS(458),
    [anon_sym_case] = ACTIONS(458),
    [anon_sym_GT_EQ] = ACTIONS(458),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_LF] = ACTIONS(456),
    [anon_sym_BANG_EQ] = ACTIONS(458),
    [anon_sym_PLUS_PLUS] = ACTIONS(458),
    [anon_sym_STAR_EQ] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(458),
    [anon_sym_default] = ACTIONS(458),
    [anon_sym_AMP_AMP] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(458),
    [anon_sym_LT] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(458),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(458),
  },
  [607] = {
    [anon_sym_RBRACE] = ACTIONS(1937),
    [anon_sym_case] = ACTIONS(1937),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [anon_sym_LF] = ACTIONS(514),
    [anon_sym_default] = ACTIONS(1937),
    [anon_sym_EQ] = ACTIONS(1937),
    [anon_sym_SEMI] = ACTIONS(1937),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(1937),
  },
  [608] = {
    [anon_sym_RBRACE] = ACTIONS(1939),
    [anon_sym_case] = ACTIONS(1939),
    [anon_sym_DQUOTE] = ACTIONS(1939),
    [anon_sym_LF] = ACTIONS(516),
    [anon_sym_default] = ACTIONS(1939),
    [anon_sym_EQ] = ACTIONS(1939),
    [anon_sym_SEMI] = ACTIONS(1939),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(1939),
  },
  [609] = {
    [sym_qualified_type] = STATE(629),
    [sym_map_type] = STATE(629),
    [sym_channel_type] = STATE(629),
    [sym_slice_type] = STATE(629),
    [sym_parameter_list] = STATE(629),
    [sym_pointer_type] = STATE(629),
    [sym_array_type] = STATE(629),
    [sym_interface_type] = STATE(629),
    [sym_function_type] = STATE(629),
    [sym__simple_type] = STATE(629),
    [sym_struct_type] = STATE(629),
    [anon_sym_RBRACE] = ACTIONS(1941),
    [anon_sym_case] = ACTIONS(1941),
    [anon_sym_DQUOTE] = ACTIONS(1941),
    [anon_sym_default] = ACTIONS(1941),
    [anon_sym_LF] = ACTIONS(522),
    [anon_sym_map] = ACTIONS(957),
    [sym_raw_string_literal] = ACTIONS(1941),
    [anon_sym_LBRACK] = ACTIONS(961),
    [anon_sym_interface] = ACTIONS(963),
    [anon_sym_EQ] = ACTIONS(1941),
    [anon_sym_STAR] = ACTIONS(965),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_SEMI] = ACTIONS(1941),
    [anon_sym_func] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(925),
    [sym_comment] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(973),
    [anon_sym_struct] = ACTIONS(975),
    [anon_sym_chan] = ACTIONS(977),
  },
  [610] = {
    [anon_sym_RBRACE] = ACTIONS(1946),
    [anon_sym_case] = ACTIONS(1946),
    [anon_sym_DQUOTE] = ACTIONS(1946),
    [anon_sym_LF] = ACTIONS(534),
    [anon_sym_default] = ACTIONS(1946),
    [anon_sym_EQ] = ACTIONS(1946),
    [anon_sym_SEMI] = ACTIONS(1946),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(1946),
  },
  [611] = {
    [anon_sym_RBRACE] = ACTIONS(1950),
    [anon_sym_case] = ACTIONS(1950),
    [anon_sym_DQUOTE] = ACTIONS(1950),
    [anon_sym_LF] = ACTIONS(538),
    [anon_sym_default] = ACTIONS(1950),
    [anon_sym_EQ] = ACTIONS(1950),
    [anon_sym_SEMI] = ACTIONS(1950),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(1950),
  },
  [612] = {
    [anon_sym_RBRACE] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_PERCENT] = ACTIONS(586),
    [anon_sym_CARET] = ACTIONS(586),
    [anon_sym_PIPE_PIPE] = ACTIONS(586),
    [anon_sym_GT] = ACTIONS(584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(586),
    [anon_sym_AMP_CARET] = ACTIONS(586),
    [anon_sym_LT_EQ] = ACTIONS(586),
    [anon_sym_DOT] = ACTIONS(584),
    [anon_sym_EQ_EQ] = ACTIONS(586),
    [anon_sym_RPAREN] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_LBRACK] = ACTIONS(586),
    [anon_sym_COLON_EQ] = ACTIONS(586),
    [anon_sym_AMP] = ACTIONS(584),
    [anon_sym_GT_EQ] = ACTIONS(586),
    [anon_sym_COMMA] = ACTIONS(586),
    [anon_sym_PIPE] = ACTIONS(584),
    [anon_sym_LT_LT] = ACTIONS(586),
    [anon_sym_BANG_EQ] = ACTIONS(586),
    [anon_sym_RBRACK] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(584),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_AMP_AMP] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(586),
    [anon_sym_EQ] = ACTIONS(584),
    [anon_sym_GT_GT] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_LT] = ACTIONS(584),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(586),
  },
  [613] = {
    [anon_sym_RBRACE] = ACTIONS(593),
    [anon_sym_COMMA] = ACTIONS(593),
    [anon_sym_case] = ACTIONS(593),
    [anon_sym_default] = ACTIONS(593),
    [anon_sym_LF] = ACTIONS(595),
    [anon_sym_map] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(593),
    [anon_sym_interface] = ACTIONS(593),
    [anon_sym_EQ] = ACTIONS(593),
    [anon_sym_STAR] = ACTIONS(593),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_func] = ACTIONS(593),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LT_DASH] = ACTIONS(593),
    [sym_comment] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(593),
    [anon_sym_chan] = ACTIONS(593),
  },
  [614] = {
    [aux_sym_expression_list_repeat1] = STATE(706),
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_COMMA] = ACTIONS(1624),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_COLON] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_SEMI] = ACTIONS(617),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [615] = {
    [aux_sym_const_spec_repeat1] = STATE(615),
    [anon_sym_RBRACE] = ACTIONS(593),
    [anon_sym_COMMA] = ACTIONS(2076),
    [anon_sym_case] = ACTIONS(593),
    [anon_sym_default] = ACTIONS(593),
    [anon_sym_LF] = ACTIONS(595),
    [anon_sym_map] = ACTIONS(593),
    [anon_sym_LBRACK] = ACTIONS(593),
    [anon_sym_interface] = ACTIONS(593),
    [anon_sym_EQ] = ACTIONS(593),
    [anon_sym_STAR] = ACTIONS(593),
    [sym_identifier] = ACTIONS(593),
    [anon_sym_func] = ACTIONS(593),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_LPAREN] = ACTIONS(593),
    [anon_sym_LT_DASH] = ACTIONS(593),
    [sym_comment] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(593),
    [anon_sym_chan] = ACTIONS(593),
  },
  [616] = {
    [anon_sym_RBRACE] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_PERCENT] = ACTIONS(680),
    [anon_sym_CARET] = ACTIONS(680),
    [anon_sym_PIPE_PIPE] = ACTIONS(680),
    [anon_sym_GT] = ACTIONS(678),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(680),
    [anon_sym_AMP_CARET] = ACTIONS(680),
    [anon_sym_LT_EQ] = ACTIONS(680),
    [anon_sym_DOT] = ACTIONS(678),
    [anon_sym_EQ_EQ] = ACTIONS(680),
    [anon_sym_RPAREN] = ACTIONS(680),
    [anon_sym_LBRACE] = ACTIONS(680),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_COLON_EQ] = ACTIONS(680),
    [anon_sym_AMP] = ACTIONS(678),
    [anon_sym_GT_EQ] = ACTIONS(680),
    [anon_sym_COMMA] = ACTIONS(680),
    [anon_sym_PIPE] = ACTIONS(678),
    [anon_sym_LT_LT] = ACTIONS(680),
    [anon_sym_BANG_EQ] = ACTIONS(680),
    [anon_sym_RBRACK] = ACTIONS(680),
    [anon_sym_COLON] = ACTIONS(678),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_SLASH] = ACTIONS(678),
    [anon_sym_AMP_AMP] = ACTIONS(680),
    [anon_sym_STAR] = ACTIONS(680),
    [anon_sym_EQ] = ACTIONS(678),
    [anon_sym_GT_GT] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(680),
    [anon_sym_LT] = ACTIONS(678),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(680),
  },
  [617] = {
    [sym_argument_list] = STATE(620),
    [anon_sym_GT_GT_EQ] = ACTIONS(812),
    [anon_sym_DASH] = ACTIONS(812),
    [anon_sym_CARET] = ACTIONS(812),
    [anon_sym_PIPE_PIPE] = ACTIONS(812),
    [anon_sym_LT_EQ] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(784),
    [anon_sym_PERCENT_EQ] = ACTIONS(812),
    [anon_sym_LBRACK] = ACTIONS(786),
    [anon_sym_AMP_EQ] = ACTIONS(812),
    [anon_sym_AMP] = ACTIONS(812),
    [anon_sym_COMMA] = ACTIONS(812),
    [anon_sym_LT_LT] = ACTIONS(812),
    [anon_sym_LT_LT_EQ] = ACTIONS(812),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(812),
    [anon_sym_DASH_EQ] = ACTIONS(812),
    [anon_sym_SLASH] = ACTIONS(812),
    [anon_sym_EQ] = ACTIONS(812),
    [anon_sym_GT_GT] = ACTIONS(812),
    [anon_sym_LPAREN] = ACTIONS(792),
    [anon_sym_LT_DASH] = ACTIONS(812),
    [anon_sym_RBRACE] = ACTIONS(812),
    [anon_sym_PLUS_EQ] = ACTIONS(812),
    [anon_sym_PIPE_EQ] = ACTIONS(812),
    [anon_sym_PERCENT] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(812),
    [anon_sym_AMP_CARET] = ACTIONS(812),
    [anon_sym_EQ_EQ] = ACTIONS(812),
    [anon_sym_COLON_EQ] = ACTIONS(812),
    [anon_sym_CARET_EQ] = ACTIONS(812),
    [anon_sym_case] = ACTIONS(812),
    [anon_sym_GT_EQ] = ACTIONS(812),
    [anon_sym_PIPE] = ACTIONS(812),
    [anon_sym_LF] = ACTIONS(810),
    [anon_sym_BANG_EQ] = ACTIONS(812),
    [anon_sym_PLUS_PLUS] = ACTIONS(812),
    [anon_sym_STAR_EQ] = ACTIONS(812),
    [anon_sym_PLUS] = ACTIONS(812),
    [anon_sym_default] = ACTIONS(812),
    [anon_sym_AMP_AMP] = ACTIONS(812),
    [anon_sym_STAR] = ACTIONS(812),
    [anon_sym_SEMI] = ACTIONS(812),
    [anon_sym_LT] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(812),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(812),
  },
  [618] = {
    [anon_sym_RBRACE] = ACTIONS(1961),
    [anon_sym_case] = ACTIONS(1961),
    [anon_sym_DQUOTE] = ACTIONS(1961),
    [anon_sym_LF] = ACTIONS(816),
    [anon_sym_default] = ACTIONS(1961),
    [anon_sym_EQ] = ACTIONS(1961),
    [anon_sym_SEMI] = ACTIONS(1961),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(1961),
  },
  [619] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(830),
    [anon_sym_DASH] = ACTIONS(830),
    [anon_sym_CARET] = ACTIONS(830),
    [anon_sym_PIPE_PIPE] = ACTIONS(830),
    [anon_sym_LT_EQ] = ACTIONS(830),
    [anon_sym_DOT] = ACTIONS(830),
    [anon_sym_PERCENT_EQ] = ACTIONS(830),
    [anon_sym_LBRACK] = ACTIONS(830),
    [anon_sym_AMP_EQ] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(830),
    [anon_sym_COMMA] = ACTIONS(830),
    [anon_sym_LT_LT] = ACTIONS(830),
    [anon_sym_LT_LT_EQ] = ACTIONS(830),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(830),
    [anon_sym_DASH_EQ] = ACTIONS(830),
    [anon_sym_SLASH] = ACTIONS(830),
    [anon_sym_EQ] = ACTIONS(830),
    [anon_sym_GT_GT] = ACTIONS(830),
    [anon_sym_LPAREN] = ACTIONS(830),
    [anon_sym_LT_DASH] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(830),
    [anon_sym_PLUS_EQ] = ACTIONS(830),
    [anon_sym_PIPE_EQ] = ACTIONS(830),
    [anon_sym_PERCENT] = ACTIONS(830),
    [anon_sym_GT] = ACTIONS(830),
    [anon_sym_AMP_CARET] = ACTIONS(830),
    [anon_sym_EQ_EQ] = ACTIONS(830),
    [anon_sym_COLON_EQ] = ACTIONS(830),
    [anon_sym_CARET_EQ] = ACTIONS(830),
    [anon_sym_case] = ACTIONS(830),
    [anon_sym_GT_EQ] = ACTIONS(830),
    [anon_sym_PIPE] = ACTIONS(830),
    [anon_sym_LF] = ACTIONS(828),
    [anon_sym_BANG_EQ] = ACTIONS(830),
    [anon_sym_PLUS_PLUS] = ACTIONS(830),
    [anon_sym_STAR_EQ] = ACTIONS(830),
    [anon_sym_PLUS] = ACTIONS(830),
    [anon_sym_default] = ACTIONS(830),
    [anon_sym_AMP_AMP] = ACTIONS(830),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_SEMI] = ACTIONS(830),
    [anon_sym_LT] = ACTIONS(830),
    [anon_sym_DASH_DASH] = ACTIONS(830),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(830),
  },
  [620] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(867),
    [anon_sym_DASH] = ACTIONS(867),
    [anon_sym_CARET] = ACTIONS(867),
    [anon_sym_PIPE_PIPE] = ACTIONS(867),
    [anon_sym_LT_EQ] = ACTIONS(867),
    [anon_sym_DOT] = ACTIONS(867),
    [anon_sym_PERCENT_EQ] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(867),
    [anon_sym_AMP_EQ] = ACTIONS(867),
    [anon_sym_AMP] = ACTIONS(867),
    [anon_sym_COMMA] = ACTIONS(867),
    [anon_sym_LT_LT] = ACTIONS(867),
    [anon_sym_LT_LT_EQ] = ACTIONS(867),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(867),
    [anon_sym_DASH_EQ] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(867),
    [anon_sym_EQ] = ACTIONS(867),
    [anon_sym_GT_GT] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LT_DASH] = ACTIONS(867),
    [anon_sym_RBRACE] = ACTIONS(867),
    [anon_sym_PLUS_EQ] = ACTIONS(867),
    [anon_sym_PIPE_EQ] = ACTIONS(867),
    [anon_sym_PERCENT] = ACTIONS(867),
    [anon_sym_GT] = ACTIONS(867),
    [anon_sym_AMP_CARET] = ACTIONS(867),
    [anon_sym_EQ_EQ] = ACTIONS(867),
    [anon_sym_COLON_EQ] = ACTIONS(867),
    [anon_sym_CARET_EQ] = ACTIONS(867),
    [anon_sym_case] = ACTIONS(867),
    [anon_sym_GT_EQ] = ACTIONS(867),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_LF] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(867),
    [anon_sym_PLUS_PLUS] = ACTIONS(867),
    [anon_sym_STAR_EQ] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(867),
    [anon_sym_default] = ACTIONS(867),
    [anon_sym_AMP_AMP] = ACTIONS(867),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SEMI] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(867),
    [anon_sym_DASH_DASH] = ACTIONS(867),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(867),
  },
  [621] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(871),
    [anon_sym_DASH] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [anon_sym_PIPE_PIPE] = ACTIONS(871),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(871),
    [anon_sym_PERCENT_EQ] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_AMP_EQ] = ACTIONS(871),
    [anon_sym_AMP] = ACTIONS(871),
    [anon_sym_COMMA] = ACTIONS(871),
    [anon_sym_LT_LT] = ACTIONS(871),
    [anon_sym_LT_LT_EQ] = ACTIONS(871),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(871),
    [anon_sym_DASH_EQ] = ACTIONS(871),
    [anon_sym_SLASH] = ACTIONS(871),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_GT_GT] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(871),
    [anon_sym_RBRACE] = ACTIONS(871),
    [anon_sym_PLUS_EQ] = ACTIONS(871),
    [anon_sym_PIPE_EQ] = ACTIONS(871),
    [anon_sym_PERCENT] = ACTIONS(871),
    [anon_sym_GT] = ACTIONS(871),
    [anon_sym_AMP_CARET] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(871),
    [anon_sym_COLON_EQ] = ACTIONS(871),
    [anon_sym_CARET_EQ] = ACTIONS(871),
    [anon_sym_case] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(871),
    [anon_sym_LF] = ACTIONS(869),
    [anon_sym_BANG_EQ] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(871),
    [anon_sym_STAR_EQ] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(871),
    [anon_sym_default] = ACTIONS(871),
    [anon_sym_AMP_AMP] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(871),
    [anon_sym_SEMI] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(871),
    [anon_sym_DASH_DASH] = ACTIONS(871),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(871),
  },
  [622] = {
    [sym_type_conversion_expression] = STATE(645),
    [sym_composite_literal] = STATE(645),
    [sym_unary_expression] = STATE(645),
    [sym_slice_type] = STATE(1017),
    [sym_binary_expression] = STATE(645),
    [sym__string_literal] = STATE(645),
    [sym_implicit_length_array_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(645),
    [sym__expression] = STATE(645),
    [sym_parenthesized_expression] = STATE(645),
    [sym_selector_expression] = STATE(645),
    [sym_index_expression] = STATE(645),
    [sym_parenthesized_type] = STATE(1280),
    [sym__simple_type] = STATE(1280),
    [sym_qualified_type] = STATE(1017),
    [sym_struct_type] = STATE(1017),
    [sym_map_type] = STATE(1017),
    [sym_channel_type] = STATE(1280),
    [sym_call_expression] = STATE(645),
    [sym_slice_expression] = STATE(645),
    [sym_type_assertion_expression] = STATE(645),
    [sym_pointer_type] = STATE(1280),
    [sym_array_type] = STATE(1017),
    [sym_func_literal] = STATE(645),
    [sym_interface_type] = STATE(1280),
    [sym_function_type] = STATE(1280),
    [sym_rune_literal] = ACTIONS(2079),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(388),
    [anon_sym_CARET] = ACTIONS(388),
    [sym_raw_string_literal] = ACTIONS(2079),
    [sym_imaginary_literal] = ACTIONS(2079),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(388),
    [anon_sym_make] = ACTIONS(398),
    [anon_sym_AMP] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_int_literal] = ACTIONS(2081),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(388),
    [anon_sym_STAR] = ACTIONS(430),
    [sym_identifier] = ACTIONS(2070),
    [anon_sym_func] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(406),
    [sym_float_literal] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
  },
  [623] = {
    [sym_type_conversion_expression] = STATE(646),
    [sym_composite_literal] = STATE(646),
    [sym_unary_expression] = STATE(646),
    [sym_slice_type] = STATE(1017),
    [sym_binary_expression] = STATE(646),
    [sym__string_literal] = STATE(646),
    [sym_implicit_length_array_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(646),
    [sym__expression] = STATE(646),
    [sym_parenthesized_expression] = STATE(646),
    [sym_selector_expression] = STATE(646),
    [sym_index_expression] = STATE(646),
    [sym_parenthesized_type] = STATE(1280),
    [sym__simple_type] = STATE(1280),
    [sym_qualified_type] = STATE(1017),
    [sym_struct_type] = STATE(1017),
    [sym_map_type] = STATE(1017),
    [sym_channel_type] = STATE(1280),
    [sym_call_expression] = STATE(646),
    [sym_slice_expression] = STATE(646),
    [sym_type_assertion_expression] = STATE(646),
    [sym_pointer_type] = STATE(1280),
    [sym_array_type] = STATE(1017),
    [sym_func_literal] = STATE(646),
    [sym_interface_type] = STATE(1280),
    [sym_function_type] = STATE(1280),
    [sym_rune_literal] = ACTIONS(2083),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(388),
    [anon_sym_CARET] = ACTIONS(388),
    [sym_raw_string_literal] = ACTIONS(2083),
    [sym_imaginary_literal] = ACTIONS(2083),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(388),
    [anon_sym_make] = ACTIONS(398),
    [anon_sym_AMP] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_int_literal] = ACTIONS(2085),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(388),
    [anon_sym_STAR] = ACTIONS(430),
    [sym_identifier] = ACTIONS(2070),
    [anon_sym_func] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(406),
    [sym_float_literal] = ACTIONS(2085),
    [sym_false] = ACTIONS(2085),
  },
  [624] = {
    [sym_type_conversion_expression] = STATE(647),
    [sym_composite_literal] = STATE(647),
    [sym_unary_expression] = STATE(647),
    [sym_slice_type] = STATE(1017),
    [sym_binary_expression] = STATE(647),
    [sym__string_literal] = STATE(647),
    [sym_implicit_length_array_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(647),
    [sym__expression] = STATE(647),
    [sym_parenthesized_expression] = STATE(647),
    [sym_selector_expression] = STATE(647),
    [sym_index_expression] = STATE(647),
    [sym_parenthesized_type] = STATE(1280),
    [sym__simple_type] = STATE(1280),
    [sym_qualified_type] = STATE(1017),
    [sym_struct_type] = STATE(1017),
    [sym_map_type] = STATE(1017),
    [sym_channel_type] = STATE(1280),
    [sym_call_expression] = STATE(647),
    [sym_slice_expression] = STATE(647),
    [sym_type_assertion_expression] = STATE(647),
    [sym_pointer_type] = STATE(1280),
    [sym_array_type] = STATE(1017),
    [sym_func_literal] = STATE(647),
    [sym_interface_type] = STATE(1280),
    [sym_function_type] = STATE(1280),
    [sym_rune_literal] = ACTIONS(2087),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(388),
    [anon_sym_CARET] = ACTIONS(388),
    [sym_raw_string_literal] = ACTIONS(2087),
    [sym_imaginary_literal] = ACTIONS(2087),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(388),
    [anon_sym_make] = ACTIONS(398),
    [anon_sym_AMP] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_int_literal] = ACTIONS(2089),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(388),
    [anon_sym_STAR] = ACTIONS(430),
    [sym_identifier] = ACTIONS(2070),
    [anon_sym_func] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(406),
    [sym_float_literal] = ACTIONS(2089),
    [sym_false] = ACTIONS(2089),
  },
  [625] = {
    [sym_type_conversion_expression] = STATE(649),
    [sym_composite_literal] = STATE(649),
    [sym_unary_expression] = STATE(649),
    [sym_slice_type] = STATE(1017),
    [sym_binary_expression] = STATE(649),
    [sym__string_literal] = STATE(649),
    [sym_implicit_length_array_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(649),
    [sym__expression] = STATE(649),
    [sym_parenthesized_expression] = STATE(649),
    [sym_selector_expression] = STATE(649),
    [sym_index_expression] = STATE(649),
    [sym_parenthesized_type] = STATE(1280),
    [sym__simple_type] = STATE(1280),
    [sym_qualified_type] = STATE(1017),
    [sym_struct_type] = STATE(1017),
    [sym_map_type] = STATE(1017),
    [sym_channel_type] = STATE(1280),
    [sym_call_expression] = STATE(649),
    [sym_slice_expression] = STATE(649),
    [sym_type_assertion_expression] = STATE(649),
    [sym_pointer_type] = STATE(1280),
    [sym_array_type] = STATE(1017),
    [sym_func_literal] = STATE(649),
    [sym_interface_type] = STATE(1280),
    [sym_function_type] = STATE(1280),
    [sym_rune_literal] = ACTIONS(2091),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(388),
    [anon_sym_CARET] = ACTIONS(388),
    [sym_raw_string_literal] = ACTIONS(2091),
    [sym_imaginary_literal] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(388),
    [anon_sym_make] = ACTIONS(398),
    [anon_sym_AMP] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_int_literal] = ACTIONS(2093),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(388),
    [anon_sym_STAR] = ACTIONS(430),
    [sym_identifier] = ACTIONS(2070),
    [anon_sym_func] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(406),
    [sym_float_literal] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
  },
  [626] = {
    [sym_type_conversion_expression] = STATE(651),
    [sym_composite_literal] = STATE(651),
    [sym_unary_expression] = STATE(651),
    [sym_slice_type] = STATE(1017),
    [sym_binary_expression] = STATE(651),
    [sym__string_literal] = STATE(651),
    [sym_implicit_length_array_type] = STATE(1018),
    [sym_interpreted_string_literal] = STATE(651),
    [sym__expression] = STATE(651),
    [sym_parenthesized_expression] = STATE(651),
    [sym_selector_expression] = STATE(651),
    [sym_index_expression] = STATE(651),
    [sym_parenthesized_type] = STATE(1280),
    [sym__simple_type] = STATE(1280),
    [sym_qualified_type] = STATE(1017),
    [sym_struct_type] = STATE(1017),
    [sym_map_type] = STATE(1017),
    [sym_channel_type] = STATE(1280),
    [sym_call_expression] = STATE(651),
    [sym_slice_expression] = STATE(651),
    [sym_type_assertion_expression] = STATE(651),
    [sym_pointer_type] = STATE(1280),
    [sym_array_type] = STATE(1017),
    [sym_func_literal] = STATE(651),
    [sym_interface_type] = STATE(1280),
    [sym_function_type] = STATE(1280),
    [sym_rune_literal] = ACTIONS(2095),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(388),
    [anon_sym_CARET] = ACTIONS(388),
    [sym_raw_string_literal] = ACTIONS(2095),
    [sym_imaginary_literal] = ACTIONS(2095),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2097),
    [anon_sym_BANG] = ACTIONS(388),
    [anon_sym_make] = ACTIONS(398),
    [anon_sym_AMP] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_int_literal] = ACTIONS(2097),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2097),
    [anon_sym_PLUS] = ACTIONS(388),
    [anon_sym_STAR] = ACTIONS(430),
    [sym_identifier] = ACTIONS(2070),
    [anon_sym_func] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(406),
    [sym_float_literal] = ACTIONS(2097),
    [sym_false] = ACTIONS(2097),
  },
  [627] = {
    [anon_sym_RBRACE] = ACTIONS(1985),
    [anon_sym_case] = ACTIONS(1985),
    [anon_sym_DQUOTE] = ACTIONS(1985),
    [anon_sym_LF] = ACTIONS(927),
    [anon_sym_default] = ACTIONS(1985),
    [anon_sym_EQ] = ACTIONS(1985),
    [anon_sym_SEMI] = ACTIONS(1985),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(1985),
  },
  [628] = {
    [anon_sym_RBRACE] = ACTIONS(1987),
    [anon_sym_case] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1987),
    [anon_sym_LF] = ACTIONS(935),
    [anon_sym_default] = ACTIONS(1987),
    [anon_sym_EQ] = ACTIONS(1987),
    [anon_sym_SEMI] = ACTIONS(1987),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(1987),
  },
  [629] = {
    [anon_sym_RBRACE] = ACTIONS(1989),
    [anon_sym_case] = ACTIONS(1989),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [anon_sym_LF] = ACTIONS(941),
    [anon_sym_default] = ACTIONS(1989),
    [anon_sym_EQ] = ACTIONS(1989),
    [anon_sym_SEMI] = ACTIONS(1989),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(1989),
  },
  [630] = {
    [anon_sym_RBRACE] = ACTIONS(1991),
    [anon_sym_case] = ACTIONS(1991),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_LF] = ACTIONS(943),
    [anon_sym_default] = ACTIONS(1991),
    [anon_sym_EQ] = ACTIONS(1991),
    [anon_sym_SEMI] = ACTIONS(1991),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(1991),
  },
  [631] = {
    [anon_sym_RBRACE] = ACTIONS(1993),
    [anon_sym_case] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [anon_sym_LF] = ACTIONS(947),
    [anon_sym_default] = ACTIONS(1993),
    [anon_sym_EQ] = ACTIONS(1993),
    [anon_sym_SEMI] = ACTIONS(1993),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(1993),
  },
  [632] = {
    [anon_sym_RBRACE] = ACTIONS(1995),
    [anon_sym_case] = ACTIONS(1995),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_LF] = ACTIONS(979),
    [anon_sym_default] = ACTIONS(1995),
    [anon_sym_EQ] = ACTIONS(1995),
    [anon_sym_SEMI] = ACTIONS(1995),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(1995),
  },
  [633] = {
    [anon_sym_RBRACE] = ACTIONS(1993),
    [anon_sym_case] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [anon_sym_LF] = ACTIONS(947),
    [anon_sym_default] = ACTIONS(1993),
    [anon_sym_EQ] = ACTIONS(1993),
    [anon_sym_SEMI] = ACTIONS(1993),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(1993),
  },
  [634] = {
    [anon_sym_RBRACE] = ACTIONS(997),
    [anon_sym_case] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(997),
    [anon_sym_default] = ACTIONS(997),
    [anon_sym_LF] = ACTIONS(995),
    [anon_sym_map] = ACTIONS(997),
    [sym_raw_string_literal] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(997),
    [anon_sym_interface] = ACTIONS(997),
    [anon_sym_EQ] = ACTIONS(997),
    [anon_sym_STAR] = ACTIONS(997),
    [anon_sym_func] = ACTIONS(997),
    [anon_sym_SEMI] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(997),
    [sym_identifier] = ACTIONS(997),
    [sym_comment] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(997),
    [anon_sym_struct] = ACTIONS(997),
    [anon_sym_chan] = ACTIONS(997),
  },
  [635] = {
    [sym_type_conversion_expression] = STATE(768),
    [sym_composite_literal] = STATE(768),
    [sym_unary_expression] = STATE(768),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(768),
    [sym__string_literal] = STATE(768),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(768),
    [sym__expression] = STATE(768),
    [sym_parenthesized_expression] = STATE(768),
    [sym_selector_expression] = STATE(768),
    [sym_index_expression] = STATE(768),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(768),
    [sym_slice_expression] = STATE(768),
    [sym_type_assertion_expression] = STATE(768),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(768),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(2099),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(2099),
    [sym_imaginary_literal] = ACTIONS(2099),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(2101),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(2101),
    [sym_false] = ACTIONS(2101),
  },
  [636] = {
    [aux_sym_expression_list_repeat1] = STATE(658),
    [anon_sym_RBRACE] = ACTIONS(1014),
    [anon_sym_COMMA] = ACTIONS(1952),
    [anon_sym_case] = ACTIONS(1014),
    [anon_sym_LF] = ACTIONS(1016),
    [anon_sym_default] = ACTIONS(1014),
    [anon_sym_SEMI] = ACTIONS(1014),
    [sym_comment] = ACTIONS(61),
  },
  [637] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_expression_list] = STATE(569),
    [sym_type_conversion_expression] = STATE(694),
    [sym_composite_literal] = STATE(694),
    [sym_unary_expression] = STATE(694),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(694),
    [sym__string_literal] = STATE(694),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_call_expression] = STATE(694),
    [sym_interpreted_string_literal] = STATE(694),
    [sym_slice_expression] = STATE(694),
    [sym_type_assertion_expression] = STATE(694),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(694),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(694),
    [sym_parenthesized_expression] = STATE(694),
    [sym_selector_expression] = STATE(694),
    [sym_index_expression] = STATE(694),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(2103),
    [sym_false] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(1054),
    [sym_int_literal] = ACTIONS(2105),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2105),
    [sym_raw_string_literal] = ACTIONS(2103),
    [anon_sym_PLUS] = ACTIONS(1054),
    [sym_imaginary_literal] = ACTIONS(2103),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2105),
    [anon_sym_STAR] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(1058),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_LT_DASH] = ACTIONS(1060),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [638] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_expression_list] = STATE(570),
    [sym_type_conversion_expression] = STATE(694),
    [sym_composite_literal] = STATE(694),
    [sym_unary_expression] = STATE(694),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(694),
    [sym__string_literal] = STATE(694),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_call_expression] = STATE(694),
    [sym_interpreted_string_literal] = STATE(694),
    [sym_slice_expression] = STATE(694),
    [sym_type_assertion_expression] = STATE(694),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(694),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(694),
    [sym_parenthesized_expression] = STATE(694),
    [sym_selector_expression] = STATE(694),
    [sym_index_expression] = STATE(694),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(2103),
    [sym_false] = ACTIONS(2105),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(1054),
    [sym_int_literal] = ACTIONS(2105),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2105),
    [sym_raw_string_literal] = ACTIONS(2103),
    [anon_sym_PLUS] = ACTIONS(1054),
    [sym_imaginary_literal] = ACTIONS(2103),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2105),
    [anon_sym_STAR] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(1058),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_LT_DASH] = ACTIONS(1060),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [639] = {
    [anon_sym_RBRACE] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1166),
    [anon_sym_PERCENT] = ACTIONS(1166),
    [anon_sym_CARET] = ACTIONS(1166),
    [anon_sym_PIPE_PIPE] = ACTIONS(1166),
    [anon_sym_GT] = ACTIONS(1164),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1166),
    [anon_sym_AMP_CARET] = ACTIONS(1166),
    [anon_sym_LT_EQ] = ACTIONS(1166),
    [anon_sym_DOT] = ACTIONS(1164),
    [anon_sym_EQ_EQ] = ACTIONS(1166),
    [anon_sym_RPAREN] = ACTIONS(1166),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_COLON_EQ] = ACTIONS(1166),
    [anon_sym_AMP] = ACTIONS(1164),
    [anon_sym_GT_EQ] = ACTIONS(1166),
    [anon_sym_COMMA] = ACTIONS(1166),
    [anon_sym_PIPE] = ACTIONS(1164),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_BANG_EQ] = ACTIONS(1166),
    [anon_sym_RBRACK] = ACTIONS(1166),
    [anon_sym_COLON] = ACTIONS(1164),
    [anon_sym_PLUS] = ACTIONS(1166),
    [anon_sym_SLASH] = ACTIONS(1164),
    [anon_sym_AMP_AMP] = ACTIONS(1166),
    [anon_sym_STAR] = ACTIONS(1166),
    [anon_sym_EQ] = ACTIONS(1164),
    [anon_sym_GT_GT] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(1166),
    [anon_sym_LT] = ACTIONS(1164),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1166),
  },
  [640] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(659),
    [sym_composite_literal] = STATE(659),
    [sym_unary_expression] = STATE(659),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(659),
    [sym__string_literal] = STATE(659),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(659),
    [sym_call_expression] = STATE(659),
    [sym_slice_expression] = STATE(659),
    [sym_type_assertion_expression] = STATE(659),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(659),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(659),
    [sym_parenthesized_expression] = STATE(659),
    [sym_selector_expression] = STATE(659),
    [sym_index_expression] = STATE(659),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(2107),
    [sym_false] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(1054),
    [sym_int_literal] = ACTIONS(2109),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2109),
    [sym_raw_string_literal] = ACTIONS(2107),
    [anon_sym_PLUS] = ACTIONS(1054),
    [sym_imaginary_literal] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2109),
    [anon_sym_STAR] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(1058),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_LT_DASH] = ACTIONS(1060),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [641] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_CARET] = ACTIONS(1182),
    [anon_sym_PIPE_PIPE] = ACTIONS(1182),
    [anon_sym_LT_EQ] = ACTIONS(1182),
    [anon_sym_DOT] = ACTIONS(1182),
    [anon_sym_PERCENT_EQ] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1182),
    [anon_sym_AMP_EQ] = ACTIONS(1182),
    [anon_sym_AMP] = ACTIONS(1182),
    [anon_sym_COMMA] = ACTIONS(1182),
    [anon_sym_LT_LT] = ACTIONS(1182),
    [anon_sym_LT_LT_EQ] = ACTIONS(1182),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1182),
    [anon_sym_DASH_EQ] = ACTIONS(1182),
    [anon_sym_SLASH] = ACTIONS(1182),
    [anon_sym_EQ] = ACTIONS(1182),
    [anon_sym_GT_GT] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1182),
    [anon_sym_LT_DASH] = ACTIONS(1182),
    [anon_sym_RBRACE] = ACTIONS(1182),
    [anon_sym_PLUS_EQ] = ACTIONS(1182),
    [anon_sym_PIPE_EQ] = ACTIONS(1182),
    [anon_sym_PERCENT] = ACTIONS(1182),
    [anon_sym_GT] = ACTIONS(1182),
    [anon_sym_AMP_CARET] = ACTIONS(1182),
    [anon_sym_EQ_EQ] = ACTIONS(1182),
    [anon_sym_COLON_EQ] = ACTIONS(1182),
    [anon_sym_CARET_EQ] = ACTIONS(1182),
    [anon_sym_case] = ACTIONS(1182),
    [anon_sym_GT_EQ] = ACTIONS(1182),
    [anon_sym_PIPE] = ACTIONS(1182),
    [anon_sym_LF] = ACTIONS(1180),
    [anon_sym_BANG_EQ] = ACTIONS(1182),
    [anon_sym_PLUS_PLUS] = ACTIONS(1182),
    [anon_sym_STAR_EQ] = ACTIONS(1182),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_default] = ACTIONS(1182),
    [anon_sym_AMP_AMP] = ACTIONS(1182),
    [anon_sym_STAR] = ACTIONS(1182),
    [anon_sym_SEMI] = ACTIONS(1182),
    [anon_sym_LT] = ACTIONS(1182),
    [anon_sym_DASH_DASH] = ACTIONS(1182),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1182),
  },
  [642] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_CARET] = ACTIONS(1196),
    [anon_sym_PIPE_PIPE] = ACTIONS(1196),
    [anon_sym_LT_EQ] = ACTIONS(1196),
    [anon_sym_DOT] = ACTIONS(1196),
    [anon_sym_PERCENT_EQ] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_AMP_EQ] = ACTIONS(1196),
    [anon_sym_AMP] = ACTIONS(1196),
    [anon_sym_COMMA] = ACTIONS(1196),
    [anon_sym_LT_LT] = ACTIONS(1196),
    [anon_sym_LT_LT_EQ] = ACTIONS(1196),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1196),
    [anon_sym_DASH_EQ] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(1196),
    [anon_sym_EQ] = ACTIONS(1196),
    [anon_sym_GT_GT] = ACTIONS(1196),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [anon_sym_LT_DASH] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [anon_sym_PLUS_EQ] = ACTIONS(1196),
    [anon_sym_PIPE_EQ] = ACTIONS(1196),
    [anon_sym_PERCENT] = ACTIONS(1196),
    [anon_sym_GT] = ACTIONS(1196),
    [anon_sym_AMP_CARET] = ACTIONS(1196),
    [anon_sym_EQ_EQ] = ACTIONS(1196),
    [anon_sym_COLON_EQ] = ACTIONS(1196),
    [anon_sym_CARET_EQ] = ACTIONS(1196),
    [anon_sym_case] = ACTIONS(1196),
    [anon_sym_GT_EQ] = ACTIONS(1196),
    [anon_sym_PIPE] = ACTIONS(1196),
    [anon_sym_LF] = ACTIONS(1194),
    [anon_sym_BANG_EQ] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [anon_sym_STAR_EQ] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_default] = ACTIONS(1196),
    [anon_sym_AMP_AMP] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1196),
    [anon_sym_SEMI] = ACTIONS(1196),
    [anon_sym_LT] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1196),
  },
  [643] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1200),
    [anon_sym_LT_EQ] = ACTIONS(1200),
    [anon_sym_DOT] = ACTIONS(1200),
    [anon_sym_PERCENT_EQ] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_AMP_EQ] = ACTIONS(1200),
    [anon_sym_AMP] = ACTIONS(1200),
    [anon_sym_COMMA] = ACTIONS(1200),
    [anon_sym_LT_LT] = ACTIONS(1200),
    [anon_sym_LT_LT_EQ] = ACTIONS(1200),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1200),
    [anon_sym_DASH_EQ] = ACTIONS(1200),
    [anon_sym_SLASH] = ACTIONS(1200),
    [anon_sym_EQ] = ACTIONS(1200),
    [anon_sym_GT_GT] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [anon_sym_LT_DASH] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [anon_sym_PLUS_EQ] = ACTIONS(1200),
    [anon_sym_PIPE_EQ] = ACTIONS(1200),
    [anon_sym_PERCENT] = ACTIONS(1200),
    [anon_sym_GT] = ACTIONS(1200),
    [anon_sym_AMP_CARET] = ACTIONS(1200),
    [anon_sym_EQ_EQ] = ACTIONS(1200),
    [anon_sym_COLON_EQ] = ACTIONS(1200),
    [anon_sym_CARET_EQ] = ACTIONS(1200),
    [anon_sym_case] = ACTIONS(1200),
    [anon_sym_GT_EQ] = ACTIONS(1200),
    [anon_sym_PIPE] = ACTIONS(1200),
    [anon_sym_LF] = ACTIONS(1198),
    [anon_sym_BANG_EQ] = ACTIONS(1200),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [anon_sym_STAR_EQ] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1200),
    [anon_sym_AMP_AMP] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1200),
    [anon_sym_SEMI] = ACTIONS(1200),
    [anon_sym_LT] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1200),
  },
  [644] = {
    [anon_sym_RBRACE] = ACTIONS(1993),
    [anon_sym_case] = ACTIONS(1993),
    [anon_sym_DQUOTE] = ACTIONS(1993),
    [anon_sym_LF] = ACTIONS(947),
    [anon_sym_default] = ACTIONS(1993),
    [anon_sym_EQ] = ACTIONS(1993),
    [anon_sym_SEMI] = ACTIONS(1993),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(1993),
  },
  [645] = {
    [sym_argument_list] = STATE(620),
    [anon_sym_GT_GT_EQ] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1208),
    [anon_sym_LT_EQ] = ACTIONS(1208),
    [anon_sym_DOT] = ACTIONS(784),
    [anon_sym_PERCENT_EQ] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(786),
    [anon_sym_AMP_EQ] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(788),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_LT_LT] = ACTIONS(788),
    [anon_sym_LT_LT_EQ] = ACTIONS(1208),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1208),
    [anon_sym_DASH_EQ] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(788),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(792),
    [anon_sym_LT_DASH] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [anon_sym_PLUS_EQ] = ACTIONS(1208),
    [anon_sym_PIPE_EQ] = ACTIONS(1208),
    [anon_sym_PERCENT] = ACTIONS(788),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(788),
    [anon_sym_EQ_EQ] = ACTIONS(1208),
    [anon_sym_COLON_EQ] = ACTIONS(1208),
    [anon_sym_CARET_EQ] = ACTIONS(1208),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_GT_EQ] = ACTIONS(1208),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_LF] = ACTIONS(1206),
    [anon_sym_BANG_EQ] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_STAR_EQ] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(788),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1208),
  },
  [646] = {
    [sym_argument_list] = STATE(620),
    [anon_sym_GT_GT_EQ] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_CARET] = ACTIONS(1208),
    [anon_sym_PIPE_PIPE] = ACTIONS(1208),
    [anon_sym_LT_EQ] = ACTIONS(1208),
    [anon_sym_DOT] = ACTIONS(784),
    [anon_sym_PERCENT_EQ] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(786),
    [anon_sym_AMP_EQ] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(788),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_LT_LT] = ACTIONS(788),
    [anon_sym_LT_LT_EQ] = ACTIONS(1208),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1208),
    [anon_sym_DASH_EQ] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(788),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(792),
    [anon_sym_LT_DASH] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [anon_sym_PLUS_EQ] = ACTIONS(1208),
    [anon_sym_PIPE_EQ] = ACTIONS(1208),
    [anon_sym_PERCENT] = ACTIONS(788),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(788),
    [anon_sym_EQ_EQ] = ACTIONS(1208),
    [anon_sym_COLON_EQ] = ACTIONS(1208),
    [anon_sym_CARET_EQ] = ACTIONS(1208),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_GT_EQ] = ACTIONS(1208),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_LF] = ACTIONS(1206),
    [anon_sym_BANG_EQ] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_STAR_EQ] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(788),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1208),
  },
  [647] = {
    [sym_argument_list] = STATE(620),
    [anon_sym_GT_GT_EQ] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_CARET] = ACTIONS(1208),
    [anon_sym_PIPE_PIPE] = ACTIONS(1208),
    [anon_sym_LT_EQ] = ACTIONS(1208),
    [anon_sym_DOT] = ACTIONS(784),
    [anon_sym_PERCENT_EQ] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(786),
    [anon_sym_AMP_EQ] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_LT_LT] = ACTIONS(1208),
    [anon_sym_LT_LT_EQ] = ACTIONS(1208),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1208),
    [anon_sym_DASH_EQ] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(1208),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(792),
    [anon_sym_LT_DASH] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [anon_sym_PLUS_EQ] = ACTIONS(1208),
    [anon_sym_PIPE_EQ] = ACTIONS(1208),
    [anon_sym_PERCENT] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(1208),
    [anon_sym_EQ_EQ] = ACTIONS(1208),
    [anon_sym_COLON_EQ] = ACTIONS(1208),
    [anon_sym_CARET_EQ] = ACTIONS(1208),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_GT_EQ] = ACTIONS(1208),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_LF] = ACTIONS(1206),
    [anon_sym_BANG_EQ] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_STAR_EQ] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1208),
  },
  [648] = {
    [anon_sym_RBRACE] = ACTIONS(2021),
    [anon_sym_case] = ACTIONS(2021),
    [anon_sym_DQUOTE] = ACTIONS(2021),
    [anon_sym_LF] = ACTIONS(1210),
    [anon_sym_default] = ACTIONS(2021),
    [anon_sym_EQ] = ACTIONS(2021),
    [anon_sym_SEMI] = ACTIONS(2021),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(2021),
  },
  [649] = {
    [sym_argument_list] = STATE(620),
    [anon_sym_GT_GT_EQ] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1208),
    [anon_sym_LT_EQ] = ACTIONS(782),
    [anon_sym_DOT] = ACTIONS(784),
    [anon_sym_PERCENT_EQ] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(786),
    [anon_sym_AMP_EQ] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(788),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_LT_LT] = ACTIONS(788),
    [anon_sym_LT_LT_EQ] = ACTIONS(1208),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1208),
    [anon_sym_DASH_EQ] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(788),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(792),
    [anon_sym_LT_DASH] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [anon_sym_PLUS_EQ] = ACTIONS(1208),
    [anon_sym_PIPE_EQ] = ACTIONS(1208),
    [anon_sym_PERCENT] = ACTIONS(788),
    [anon_sym_GT] = ACTIONS(782),
    [anon_sym_AMP_CARET] = ACTIONS(788),
    [anon_sym_EQ_EQ] = ACTIONS(782),
    [anon_sym_COLON_EQ] = ACTIONS(1208),
    [anon_sym_CARET_EQ] = ACTIONS(1208),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_GT_EQ] = ACTIONS(782),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_LF] = ACTIONS(1206),
    [anon_sym_BANG_EQ] = ACTIONS(782),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_STAR_EQ] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(802),
    [anon_sym_STAR] = ACTIONS(788),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(782),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1208),
  },
  [650] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_CARET] = ACTIONS(1214),
    [anon_sym_PIPE_PIPE] = ACTIONS(1214),
    [anon_sym_LT_EQ] = ACTIONS(1214),
    [anon_sym_DOT] = ACTIONS(1214),
    [anon_sym_PERCENT_EQ] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1214),
    [anon_sym_AMP_EQ] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_COMMA] = ACTIONS(1214),
    [anon_sym_LT_LT] = ACTIONS(1214),
    [anon_sym_LT_LT_EQ] = ACTIONS(1214),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1214),
    [anon_sym_DASH_EQ] = ACTIONS(1214),
    [anon_sym_SLASH] = ACTIONS(1214),
    [anon_sym_EQ] = ACTIONS(1214),
    [anon_sym_GT_GT] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1214),
    [anon_sym_LT_DASH] = ACTIONS(1214),
    [anon_sym_RBRACE] = ACTIONS(1214),
    [anon_sym_PLUS_EQ] = ACTIONS(1214),
    [anon_sym_PIPE_EQ] = ACTIONS(1214),
    [anon_sym_PERCENT] = ACTIONS(1214),
    [anon_sym_GT] = ACTIONS(1214),
    [anon_sym_AMP_CARET] = ACTIONS(1214),
    [anon_sym_EQ_EQ] = ACTIONS(1214),
    [anon_sym_COLON_EQ] = ACTIONS(1214),
    [anon_sym_CARET_EQ] = ACTIONS(1214),
    [anon_sym_case] = ACTIONS(1214),
    [anon_sym_GT_EQ] = ACTIONS(1214),
    [anon_sym_PIPE] = ACTIONS(1214),
    [anon_sym_LF] = ACTIONS(1212),
    [anon_sym_BANG_EQ] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_STAR_EQ] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_default] = ACTIONS(1214),
    [anon_sym_AMP_AMP] = ACTIONS(1214),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [anon_sym_LT] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1214),
  },
  [651] = {
    [sym_argument_list] = STATE(620),
    [anon_sym_GT_GT_EQ] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(1208),
    [anon_sym_LT_EQ] = ACTIONS(782),
    [anon_sym_DOT] = ACTIONS(784),
    [anon_sym_PERCENT_EQ] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(786),
    [anon_sym_AMP_EQ] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(788),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_LT_LT] = ACTIONS(788),
    [anon_sym_LT_LT_EQ] = ACTIONS(1208),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1208),
    [anon_sym_DASH_EQ] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(788),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(792),
    [anon_sym_LT_DASH] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [anon_sym_PLUS_EQ] = ACTIONS(1208),
    [anon_sym_PIPE_EQ] = ACTIONS(1208),
    [anon_sym_PERCENT] = ACTIONS(788),
    [anon_sym_GT] = ACTIONS(782),
    [anon_sym_AMP_CARET] = ACTIONS(788),
    [anon_sym_EQ_EQ] = ACTIONS(782),
    [anon_sym_COLON_EQ] = ACTIONS(1208),
    [anon_sym_CARET_EQ] = ACTIONS(1208),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_GT_EQ] = ACTIONS(782),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_LF] = ACTIONS(1206),
    [anon_sym_BANG_EQ] = ACTIONS(782),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_STAR_EQ] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(788),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(782),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1208),
  },
  [652] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1228),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_CARET] = ACTIONS(1228),
    [anon_sym_PIPE_PIPE] = ACTIONS(1228),
    [anon_sym_LT_EQ] = ACTIONS(1228),
    [anon_sym_DOT] = ACTIONS(1228),
    [anon_sym_PERCENT_EQ] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_AMP_EQ] = ACTIONS(1228),
    [anon_sym_AMP] = ACTIONS(1228),
    [anon_sym_COMMA] = ACTIONS(1228),
    [anon_sym_LT_LT] = ACTIONS(1228),
    [anon_sym_LT_LT_EQ] = ACTIONS(1228),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1228),
    [anon_sym_DASH_EQ] = ACTIONS(1228),
    [anon_sym_SLASH] = ACTIONS(1228),
    [anon_sym_EQ] = ACTIONS(1228),
    [anon_sym_GT_GT] = ACTIONS(1228),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LT_DASH] = ACTIONS(1228),
    [anon_sym_RBRACE] = ACTIONS(1228),
    [anon_sym_PLUS_EQ] = ACTIONS(1228),
    [anon_sym_PIPE_EQ] = ACTIONS(1228),
    [anon_sym_PERCENT] = ACTIONS(1228),
    [anon_sym_GT] = ACTIONS(1228),
    [anon_sym_AMP_CARET] = ACTIONS(1228),
    [anon_sym_EQ_EQ] = ACTIONS(1228),
    [anon_sym_COLON_EQ] = ACTIONS(1228),
    [anon_sym_CARET_EQ] = ACTIONS(1228),
    [anon_sym_case] = ACTIONS(1228),
    [anon_sym_GT_EQ] = ACTIONS(1228),
    [anon_sym_PIPE] = ACTIONS(1228),
    [anon_sym_LF] = ACTIONS(1226),
    [anon_sym_BANG_EQ] = ACTIONS(1228),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [anon_sym_STAR_EQ] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_default] = ACTIONS(1228),
    [anon_sym_AMP_AMP] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(1228),
    [anon_sym_SEMI] = ACTIONS(1228),
    [anon_sym_LT] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1228),
  },
  [653] = {
    [anon_sym_RBRACE] = ACTIONS(2023),
    [anon_sym_case] = ACTIONS(2023),
    [anon_sym_DQUOTE] = ACTIONS(2023),
    [anon_sym_LF] = ACTIONS(1244),
    [anon_sym_default] = ACTIONS(2023),
    [anon_sym_EQ] = ACTIONS(2023),
    [anon_sym_SEMI] = ACTIONS(2023),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(2023),
  },
  [654] = {
    [anon_sym_RBRACE] = ACTIONS(2025),
    [anon_sym_case] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2025),
    [anon_sym_LF] = ACTIONS(1258),
    [anon_sym_default] = ACTIONS(2025),
    [anon_sym_EQ] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(2025),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(2025),
  },
  [655] = {
    [anon_sym_RBRACE] = ACTIONS(2027),
    [anon_sym_case] = ACTIONS(2027),
    [anon_sym_DQUOTE] = ACTIONS(2027),
    [anon_sym_LF] = ACTIONS(1302),
    [anon_sym_default] = ACTIONS(2027),
    [anon_sym_EQ] = ACTIONS(2027),
    [anon_sym_SEMI] = ACTIONS(2027),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(2027),
  },
  [656] = {
    [anon_sym_RBRACE] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_LF] = ACTIONS(1310),
    [anon_sym_map] = ACTIONS(1312),
    [sym_raw_string_literal] = ACTIONS(1312),
    [anon_sym_LBRACK] = ACTIONS(1312),
    [anon_sym_interface] = ACTIONS(1312),
    [anon_sym_EQ] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1312),
    [anon_sym_func] = ACTIONS(1312),
    [anon_sym_SEMI] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1312),
    [sym_identifier] = ACTIONS(1312),
    [sym_comment] = ACTIONS(61),
    [anon_sym_LT_DASH] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_chan] = ACTIONS(1312),
  },
  [657] = {
    [sym_argument_list] = STATE(698),
    [anon_sym_RBRACE] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1032),
    [anon_sym_PERCENT] = ACTIONS(1034),
    [anon_sym_CARET] = ACTIONS(1032),
    [anon_sym_PIPE_PIPE] = ACTIONS(1036),
    [anon_sym_GT] = ACTIONS(1038),
    [anon_sym_AMP_CARET] = ACTIONS(1034),
    [anon_sym_LT_EQ] = ACTIONS(1038),
    [anon_sym_DOT] = ACTIONS(1040),
    [anon_sym_EQ_EQ] = ACTIONS(1038),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_AMP] = ACTIONS(1034),
    [anon_sym_case] = ACTIONS(1318),
    [anon_sym_COMMA] = ACTIONS(1318),
    [anon_sym_GT_EQ] = ACTIONS(1038),
    [anon_sym_PIPE] = ACTIONS(1032),
    [anon_sym_LF] = ACTIONS(1320),
    [anon_sym_LT_LT] = ACTIONS(1034),
    [anon_sym_BANG_EQ] = ACTIONS(1038),
    [anon_sym_PLUS] = ACTIONS(1032),
    [anon_sym_SLASH] = ACTIONS(1034),
    [anon_sym_default] = ACTIONS(1318),
    [anon_sym_AMP_AMP] = ACTIONS(1046),
    [anon_sym_STAR] = ACTIONS(1034),
    [anon_sym_SEMI] = ACTIONS(1318),
    [anon_sym_GT_GT] = ACTIONS(1034),
    [anon_sym_LPAREN] = ACTIONS(1048),
    [anon_sym_LT] = ACTIONS(1038),
    [sym_comment] = ACTIONS(61),
  },
  [658] = {
    [aux_sym_expression_list_repeat1] = STATE(658),
    [anon_sym_RBRACE] = ACTIONS(1318),
    [anon_sym_COMMA] = ACTIONS(2111),
    [anon_sym_case] = ACTIONS(1318),
    [anon_sym_LF] = ACTIONS(1320),
    [anon_sym_default] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [sym_comment] = ACTIONS(61),
  },
  [659] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_PIPE] = ACTIONS(1335),
    [anon_sym_LT_LT] = ACTIONS(1337),
    [anon_sym_BANG_EQ] = ACTIONS(1333),
    [anon_sym_DASH] = ACTIONS(1339),
    [anon_sym_PERCENT] = ACTIONS(1337),
    [anon_sym_CARET] = ACTIONS(1339),
    [anon_sym_PIPE_PIPE] = ACTIONS(1341),
    [anon_sym_GT] = ACTIONS(1343),
    [anon_sym_AMP_CARET] = ACTIONS(1337),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_LBRACE] = ACTIONS(1473),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(1349),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_GT_GT] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(1347),
  },
  [660] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1487),
    [anon_sym_PIPE_PIPE] = ACTIONS(1487),
    [anon_sym_LT_EQ] = ACTIONS(1487),
    [anon_sym_DOT] = ACTIONS(1487),
    [anon_sym_PERCENT_EQ] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1487),
    [anon_sym_AMP_EQ] = ACTIONS(1487),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_COMMA] = ACTIONS(1487),
    [anon_sym_LT_LT] = ACTIONS(1487),
    [anon_sym_LT_LT_EQ] = ACTIONS(1487),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1487),
    [anon_sym_DASH_EQ] = ACTIONS(1487),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_EQ] = ACTIONS(1487),
    [anon_sym_GT_GT] = ACTIONS(1487),
    [anon_sym_LPAREN] = ACTIONS(1487),
    [anon_sym_LT_DASH] = ACTIONS(1487),
    [anon_sym_RBRACE] = ACTIONS(1487),
    [anon_sym_PLUS_EQ] = ACTIONS(1487),
    [anon_sym_PIPE_EQ] = ACTIONS(1487),
    [anon_sym_PERCENT] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [anon_sym_AMP_CARET] = ACTIONS(1487),
    [anon_sym_EQ_EQ] = ACTIONS(1487),
    [anon_sym_COLON_EQ] = ACTIONS(1487),
    [anon_sym_CARET_EQ] = ACTIONS(1487),
    [anon_sym_case] = ACTIONS(1487),
    [anon_sym_GT_EQ] = ACTIONS(1487),
    [anon_sym_PIPE] = ACTIONS(1487),
    [anon_sym_LF] = ACTIONS(1485),
    [anon_sym_BANG_EQ] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1487),
    [anon_sym_STAR_EQ] = ACTIONS(1487),
    [anon_sym_PLUS] = ACTIONS(1487),
    [anon_sym_default] = ACTIONS(1487),
    [anon_sym_AMP_AMP] = ACTIONS(1487),
    [anon_sym_STAR] = ACTIONS(1487),
    [anon_sym_SEMI] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1487),
    [anon_sym_DASH_DASH] = ACTIONS(1487),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1487),
  },
  [661] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1495),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_CARET] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1495),
    [anon_sym_LT_EQ] = ACTIONS(1495),
    [anon_sym_DOT] = ACTIONS(1495),
    [anon_sym_PERCENT_EQ] = ACTIONS(1495),
    [anon_sym_LBRACK] = ACTIONS(1495),
    [anon_sym_AMP_EQ] = ACTIONS(1495),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_COMMA] = ACTIONS(1495),
    [anon_sym_LT_LT] = ACTIONS(1495),
    [anon_sym_LT_LT_EQ] = ACTIONS(1495),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1495),
    [anon_sym_DASH_EQ] = ACTIONS(1495),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1495),
    [anon_sym_GT_GT] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1495),
    [anon_sym_LT_DASH] = ACTIONS(1495),
    [anon_sym_RBRACE] = ACTIONS(1495),
    [anon_sym_PLUS_EQ] = ACTIONS(1495),
    [anon_sym_PIPE_EQ] = ACTIONS(1495),
    [anon_sym_PERCENT] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [anon_sym_AMP_CARET] = ACTIONS(1495),
    [anon_sym_EQ_EQ] = ACTIONS(1495),
    [anon_sym_COLON_EQ] = ACTIONS(1495),
    [anon_sym_CARET_EQ] = ACTIONS(1495),
    [anon_sym_case] = ACTIONS(1495),
    [anon_sym_GT_EQ] = ACTIONS(1495),
    [anon_sym_PIPE] = ACTIONS(1495),
    [anon_sym_LF] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1495),
    [anon_sym_PLUS_PLUS] = ACTIONS(1495),
    [anon_sym_STAR_EQ] = ACTIONS(1495),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_default] = ACTIONS(1495),
    [anon_sym_AMP_AMP] = ACTIONS(1495),
    [anon_sym_STAR] = ACTIONS(1495),
    [anon_sym_SEMI] = ACTIONS(1495),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_DASH_DASH] = ACTIONS(1495),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1495),
  },
  [662] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [anon_sym_PIPE_PIPE] = ACTIONS(1505),
    [anon_sym_LT_EQ] = ACTIONS(1505),
    [anon_sym_DOT] = ACTIONS(1505),
    [anon_sym_PERCENT_EQ] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1505),
    [anon_sym_AMP_EQ] = ACTIONS(1505),
    [anon_sym_AMP] = ACTIONS(1505),
    [anon_sym_COMMA] = ACTIONS(1505),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_LT_LT_EQ] = ACTIONS(1505),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1505),
    [anon_sym_DASH_EQ] = ACTIONS(1505),
    [anon_sym_SLASH] = ACTIONS(1505),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_GT_GT] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [anon_sym_LT_DASH] = ACTIONS(1505),
    [anon_sym_RBRACE] = ACTIONS(1505),
    [anon_sym_PLUS_EQ] = ACTIONS(1505),
    [anon_sym_PIPE_EQ] = ACTIONS(1505),
    [anon_sym_PERCENT] = ACTIONS(1505),
    [anon_sym_GT] = ACTIONS(1505),
    [anon_sym_AMP_CARET] = ACTIONS(1505),
    [anon_sym_EQ_EQ] = ACTIONS(1505),
    [anon_sym_COLON_EQ] = ACTIONS(1505),
    [anon_sym_CARET_EQ] = ACTIONS(1505),
    [anon_sym_case] = ACTIONS(1505),
    [anon_sym_GT_EQ] = ACTIONS(1505),
    [anon_sym_PIPE] = ACTIONS(1505),
    [anon_sym_LF] = ACTIONS(1503),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_PLUS_PLUS] = ACTIONS(1505),
    [anon_sym_STAR_EQ] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_default] = ACTIONS(1505),
    [anon_sym_AMP_AMP] = ACTIONS(1505),
    [anon_sym_STAR] = ACTIONS(1505),
    [anon_sym_SEMI] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1505),
    [anon_sym_DASH_DASH] = ACTIONS(1505),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1505),
  },
  [663] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_DOT] = ACTIONS(1513),
    [anon_sym_PERCENT_EQ] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [anon_sym_AMP_EQ] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_COMMA] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_LT_LT_EQ] = ACTIONS(1513),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1513),
    [anon_sym_DASH_EQ] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1513),
    [anon_sym_EQ] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_LT_DASH] = ACTIONS(1513),
    [anon_sym_RBRACE] = ACTIONS(1513),
    [anon_sym_PLUS_EQ] = ACTIONS(1513),
    [anon_sym_PIPE_EQ] = ACTIONS(1513),
    [anon_sym_PERCENT] = ACTIONS(1513),
    [anon_sym_GT] = ACTIONS(1513),
    [anon_sym_AMP_CARET] = ACTIONS(1513),
    [anon_sym_EQ_EQ] = ACTIONS(1513),
    [anon_sym_COLON_EQ] = ACTIONS(1513),
    [anon_sym_CARET_EQ] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1513),
    [anon_sym_LF] = ACTIONS(1511),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_PLUS_PLUS] = ACTIONS(1513),
    [anon_sym_STAR_EQ] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1513),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1513),
  },
  [664] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_CARET] = ACTIONS(1521),
    [anon_sym_PIPE_PIPE] = ACTIONS(1521),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_DOT] = ACTIONS(1521),
    [anon_sym_PERCENT_EQ] = ACTIONS(1521),
    [anon_sym_LBRACK] = ACTIONS(1521),
    [anon_sym_AMP_EQ] = ACTIONS(1521),
    [anon_sym_AMP] = ACTIONS(1521),
    [anon_sym_COMMA] = ACTIONS(1521),
    [anon_sym_LT_LT] = ACTIONS(1521),
    [anon_sym_LT_LT_EQ] = ACTIONS(1521),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1521),
    [anon_sym_DASH_EQ] = ACTIONS(1521),
    [anon_sym_SLASH] = ACTIONS(1521),
    [anon_sym_EQ] = ACTIONS(1521),
    [anon_sym_GT_GT] = ACTIONS(1521),
    [anon_sym_LPAREN] = ACTIONS(1521),
    [anon_sym_LT_DASH] = ACTIONS(1521),
    [anon_sym_RBRACE] = ACTIONS(1521),
    [anon_sym_PLUS_EQ] = ACTIONS(1521),
    [anon_sym_PIPE_EQ] = ACTIONS(1521),
    [anon_sym_PERCENT] = ACTIONS(1521),
    [anon_sym_GT] = ACTIONS(1521),
    [anon_sym_AMP_CARET] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_COLON_EQ] = ACTIONS(1521),
    [anon_sym_CARET_EQ] = ACTIONS(1521),
    [anon_sym_case] = ACTIONS(1521),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_PIPE] = ACTIONS(1521),
    [anon_sym_LF] = ACTIONS(1519),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_PLUS_PLUS] = ACTIONS(1521),
    [anon_sym_STAR_EQ] = ACTIONS(1521),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_default] = ACTIONS(1521),
    [anon_sym_AMP_AMP] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(1521),
    [anon_sym_SEMI] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1521),
    [anon_sym_DASH_DASH] = ACTIONS(1521),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1521),
  },
  [665] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1535),
    [anon_sym_DASH] = ACTIONS(1535),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_PIPE_PIPE] = ACTIONS(1535),
    [anon_sym_LT_EQ] = ACTIONS(1535),
    [anon_sym_DOT] = ACTIONS(1535),
    [anon_sym_PERCENT_EQ] = ACTIONS(1535),
    [anon_sym_LBRACK] = ACTIONS(1535),
    [anon_sym_AMP_EQ] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_COMMA] = ACTIONS(1535),
    [anon_sym_LT_LT] = ACTIONS(1535),
    [anon_sym_LT_LT_EQ] = ACTIONS(1535),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1535),
    [anon_sym_DASH_EQ] = ACTIONS(1535),
    [anon_sym_SLASH] = ACTIONS(1535),
    [anon_sym_EQ] = ACTIONS(1535),
    [anon_sym_GT_GT] = ACTIONS(1535),
    [anon_sym_LPAREN] = ACTIONS(1535),
    [anon_sym_LT_DASH] = ACTIONS(1535),
    [anon_sym_RBRACE] = ACTIONS(1535),
    [anon_sym_PLUS_EQ] = ACTIONS(1535),
    [anon_sym_PIPE_EQ] = ACTIONS(1535),
    [anon_sym_PERCENT] = ACTIONS(1535),
    [anon_sym_GT] = ACTIONS(1535),
    [anon_sym_AMP_CARET] = ACTIONS(1535),
    [anon_sym_EQ_EQ] = ACTIONS(1535),
    [anon_sym_COLON_EQ] = ACTIONS(1535),
    [anon_sym_CARET_EQ] = ACTIONS(1535),
    [anon_sym_case] = ACTIONS(1535),
    [anon_sym_GT_EQ] = ACTIONS(1535),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_LF] = ACTIONS(1533),
    [anon_sym_BANG_EQ] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_STAR_EQ] = ACTIONS(1535),
    [anon_sym_PLUS] = ACTIONS(1535),
    [anon_sym_default] = ACTIONS(1535),
    [anon_sym_AMP_AMP] = ACTIONS(1535),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_SEMI] = ACTIONS(1535),
    [anon_sym_LT] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1535),
  },
  [666] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1545),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_CARET] = ACTIONS(1545),
    [anon_sym_PIPE_PIPE] = ACTIONS(1545),
    [anon_sym_LT_EQ] = ACTIONS(1545),
    [anon_sym_DOT] = ACTIONS(1545),
    [anon_sym_PERCENT_EQ] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_AMP_EQ] = ACTIONS(1545),
    [anon_sym_AMP] = ACTIONS(1545),
    [anon_sym_COMMA] = ACTIONS(1545),
    [anon_sym_LT_LT] = ACTIONS(1545),
    [anon_sym_LT_LT_EQ] = ACTIONS(1545),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1545),
    [anon_sym_DASH_EQ] = ACTIONS(1545),
    [anon_sym_SLASH] = ACTIONS(1545),
    [anon_sym_EQ] = ACTIONS(1545),
    [anon_sym_GT_GT] = ACTIONS(1545),
    [anon_sym_LPAREN] = ACTIONS(1545),
    [anon_sym_LT_DASH] = ACTIONS(1545),
    [anon_sym_RBRACE] = ACTIONS(1545),
    [anon_sym_PLUS_EQ] = ACTIONS(1545),
    [anon_sym_PIPE_EQ] = ACTIONS(1545),
    [anon_sym_PERCENT] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(1545),
    [anon_sym_AMP_CARET] = ACTIONS(1545),
    [anon_sym_EQ_EQ] = ACTIONS(1545),
    [anon_sym_COLON_EQ] = ACTIONS(1545),
    [anon_sym_CARET_EQ] = ACTIONS(1545),
    [anon_sym_case] = ACTIONS(1545),
    [anon_sym_GT_EQ] = ACTIONS(1545),
    [anon_sym_PIPE] = ACTIONS(1545),
    [anon_sym_LF] = ACTIONS(1543),
    [anon_sym_BANG_EQ] = ACTIONS(1545),
    [anon_sym_PLUS_PLUS] = ACTIONS(1545),
    [anon_sym_STAR_EQ] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1545),
    [anon_sym_default] = ACTIONS(1545),
    [anon_sym_AMP_AMP] = ACTIONS(1545),
    [anon_sym_STAR] = ACTIONS(1545),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_DASH_DASH] = ACTIONS(1545),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1545),
  },
  [667] = {
    [anon_sym_RBRACE] = ACTIONS(2052),
    [anon_sym_case] = ACTIONS(2052),
    [anon_sym_DQUOTE] = ACTIONS(2052),
    [anon_sym_LF] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(2052),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_SEMI] = ACTIONS(2052),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(2052),
  },
  [668] = {
    [anon_sym_RBRACE] = ACTIONS(2054),
    [anon_sym_case] = ACTIONS(2054),
    [anon_sym_DQUOTE] = ACTIONS(2054),
    [anon_sym_LF] = ACTIONS(1569),
    [anon_sym_default] = ACTIONS(2054),
    [anon_sym_EQ] = ACTIONS(2054),
    [anon_sym_SEMI] = ACTIONS(2054),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(2054),
  },
  [669] = {
    [anon_sym_RBRACE] = ACTIONS(2056),
    [anon_sym_case] = ACTIONS(2056),
    [anon_sym_DQUOTE] = ACTIONS(2056),
    [anon_sym_LF] = ACTIONS(1573),
    [anon_sym_default] = ACTIONS(2056),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_SEMI] = ACTIONS(2056),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(2056),
  },
  [670] = {
    [anon_sym_RBRACE] = ACTIONS(2058),
    [anon_sym_case] = ACTIONS(2058),
    [anon_sym_DQUOTE] = ACTIONS(2058),
    [anon_sym_LF] = ACTIONS(1600),
    [anon_sym_default] = ACTIONS(2058),
    [anon_sym_EQ] = ACTIONS(2058),
    [anon_sym_SEMI] = ACTIONS(2058),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(2058),
  },
  [671] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1724),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1724),
    [anon_sym_LT_EQ] = ACTIONS(1724),
    [anon_sym_DOT] = ACTIONS(1724),
    [anon_sym_PERCENT_EQ] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_AMP_EQ] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_COMMA] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_LT_LT_EQ] = ACTIONS(1724),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1724),
    [anon_sym_DASH_EQ] = ACTIONS(1724),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_EQ] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_LT_DASH] = ACTIONS(1724),
    [anon_sym_RBRACE] = ACTIONS(1724),
    [anon_sym_PLUS_EQ] = ACTIONS(1724),
    [anon_sym_PIPE_EQ] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_AMP_CARET] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1724),
    [anon_sym_COLON_EQ] = ACTIONS(1724),
    [anon_sym_CARET_EQ] = ACTIONS(1724),
    [anon_sym_case] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1724),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_LF] = ACTIONS(1722),
    [anon_sym_BANG_EQ] = ACTIONS(1724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1724),
    [anon_sym_STAR_EQ] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_default] = ACTIONS(1724),
    [anon_sym_AMP_AMP] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1724),
    [anon_sym_LT] = ACTIONS(1724),
    [anon_sym_DASH_DASH] = ACTIONS(1724),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1724),
  },
  [672] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1735),
    [anon_sym_DASH] = ACTIONS(1735),
    [anon_sym_CARET] = ACTIONS(1735),
    [anon_sym_PIPE_PIPE] = ACTIONS(1735),
    [anon_sym_LT_EQ] = ACTIONS(1735),
    [anon_sym_DOT] = ACTIONS(1735),
    [anon_sym_PERCENT_EQ] = ACTIONS(1735),
    [anon_sym_LBRACK] = ACTIONS(1735),
    [anon_sym_AMP_EQ] = ACTIONS(1735),
    [anon_sym_AMP] = ACTIONS(1735),
    [anon_sym_COMMA] = ACTIONS(1735),
    [anon_sym_LT_LT] = ACTIONS(1735),
    [anon_sym_LT_LT_EQ] = ACTIONS(1735),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1735),
    [anon_sym_DASH_EQ] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1735),
    [anon_sym_EQ] = ACTIONS(1735),
    [anon_sym_GT_GT] = ACTIONS(1735),
    [anon_sym_LPAREN] = ACTIONS(1735),
    [anon_sym_LT_DASH] = ACTIONS(1735),
    [anon_sym_RBRACE] = ACTIONS(1735),
    [anon_sym_PLUS_EQ] = ACTIONS(1735),
    [anon_sym_PIPE_EQ] = ACTIONS(1735),
    [anon_sym_PERCENT] = ACTIONS(1735),
    [anon_sym_GT] = ACTIONS(1735),
    [anon_sym_AMP_CARET] = ACTIONS(1735),
    [anon_sym_EQ_EQ] = ACTIONS(1735),
    [anon_sym_COLON_EQ] = ACTIONS(1735),
    [anon_sym_CARET_EQ] = ACTIONS(1735),
    [anon_sym_case] = ACTIONS(1735),
    [anon_sym_GT_EQ] = ACTIONS(1735),
    [anon_sym_PIPE] = ACTIONS(1735),
    [anon_sym_LF] = ACTIONS(1733),
    [anon_sym_BANG_EQ] = ACTIONS(1735),
    [anon_sym_PLUS_PLUS] = ACTIONS(1735),
    [anon_sym_STAR_EQ] = ACTIONS(1735),
    [anon_sym_PLUS] = ACTIONS(1735),
    [anon_sym_default] = ACTIONS(1735),
    [anon_sym_AMP_AMP] = ACTIONS(1735),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_SEMI] = ACTIONS(1735),
    [anon_sym_LT] = ACTIONS(1735),
    [anon_sym_DASH_DASH] = ACTIONS(1735),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1735),
  },
  [673] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1741),
    [anon_sym_DASH] = ACTIONS(1741),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_PIPE_PIPE] = ACTIONS(1741),
    [anon_sym_LT_EQ] = ACTIONS(1741),
    [anon_sym_DOT] = ACTIONS(1741),
    [anon_sym_PERCENT_EQ] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(1741),
    [anon_sym_AMP_EQ] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_COMMA] = ACTIONS(1741),
    [anon_sym_LT_LT] = ACTIONS(1741),
    [anon_sym_LT_LT_EQ] = ACTIONS(1741),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1741),
    [anon_sym_DASH_EQ] = ACTIONS(1741),
    [anon_sym_SLASH] = ACTIONS(1741),
    [anon_sym_EQ] = ACTIONS(1741),
    [anon_sym_GT_GT] = ACTIONS(1741),
    [anon_sym_LPAREN] = ACTIONS(1741),
    [anon_sym_LT_DASH] = ACTIONS(1741),
    [anon_sym_RBRACE] = ACTIONS(1741),
    [anon_sym_PLUS_EQ] = ACTIONS(1741),
    [anon_sym_PIPE_EQ] = ACTIONS(1741),
    [anon_sym_PERCENT] = ACTIONS(1741),
    [anon_sym_GT] = ACTIONS(1741),
    [anon_sym_AMP_CARET] = ACTIONS(1741),
    [anon_sym_EQ_EQ] = ACTIONS(1741),
    [anon_sym_COLON_EQ] = ACTIONS(1741),
    [anon_sym_CARET_EQ] = ACTIONS(1741),
    [anon_sym_case] = ACTIONS(1741),
    [anon_sym_GT_EQ] = ACTIONS(1741),
    [anon_sym_PIPE] = ACTIONS(1741),
    [anon_sym_LF] = ACTIONS(1739),
    [anon_sym_BANG_EQ] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1741),
    [anon_sym_STAR_EQ] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1741),
    [anon_sym_default] = ACTIONS(1741),
    [anon_sym_AMP_AMP] = ACTIONS(1741),
    [anon_sym_STAR] = ACTIONS(1741),
    [anon_sym_SEMI] = ACTIONS(1741),
    [anon_sym_LT] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1741),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1741),
  },
  [674] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1745),
    [anon_sym_DASH] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1745),
    [anon_sym_PIPE_PIPE] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1745),
    [anon_sym_DOT] = ACTIONS(1745),
    [anon_sym_PERCENT_EQ] = ACTIONS(1745),
    [anon_sym_LBRACK] = ACTIONS(1745),
    [anon_sym_AMP_EQ] = ACTIONS(1745),
    [anon_sym_AMP] = ACTIONS(1745),
    [anon_sym_COMMA] = ACTIONS(1745),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_LT_LT_EQ] = ACTIONS(1745),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1745),
    [anon_sym_DASH_EQ] = ACTIONS(1745),
    [anon_sym_SLASH] = ACTIONS(1745),
    [anon_sym_EQ] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1745),
    [anon_sym_LT_DASH] = ACTIONS(1745),
    [anon_sym_RBRACE] = ACTIONS(1745),
    [anon_sym_PLUS_EQ] = ACTIONS(1745),
    [anon_sym_PIPE_EQ] = ACTIONS(1745),
    [anon_sym_PERCENT] = ACTIONS(1745),
    [anon_sym_GT] = ACTIONS(1745),
    [anon_sym_AMP_CARET] = ACTIONS(1745),
    [anon_sym_EQ_EQ] = ACTIONS(1745),
    [anon_sym_COLON_EQ] = ACTIONS(1745),
    [anon_sym_CARET_EQ] = ACTIONS(1745),
    [anon_sym_case] = ACTIONS(1745),
    [anon_sym_GT_EQ] = ACTIONS(1745),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_LF] = ACTIONS(1743),
    [anon_sym_BANG_EQ] = ACTIONS(1745),
    [anon_sym_PLUS_PLUS] = ACTIONS(1745),
    [anon_sym_STAR_EQ] = ACTIONS(1745),
    [anon_sym_PLUS] = ACTIONS(1745),
    [anon_sym_default] = ACTIONS(1745),
    [anon_sym_AMP_AMP] = ACTIONS(1745),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_SEMI] = ACTIONS(1745),
    [anon_sym_LT] = ACTIONS(1745),
    [anon_sym_DASH_DASH] = ACTIONS(1745),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1745),
  },
  [675] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1757),
    [anon_sym_DASH] = ACTIONS(1757),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_PIPE_PIPE] = ACTIONS(1757),
    [anon_sym_LT_EQ] = ACTIONS(1757),
    [anon_sym_DOT] = ACTIONS(1757),
    [anon_sym_PERCENT_EQ] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1757),
    [anon_sym_AMP_EQ] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_COMMA] = ACTIONS(1757),
    [anon_sym_LT_LT] = ACTIONS(1757),
    [anon_sym_LT_LT_EQ] = ACTIONS(1757),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1757),
    [anon_sym_DASH_EQ] = ACTIONS(1757),
    [anon_sym_SLASH] = ACTIONS(1757),
    [anon_sym_EQ] = ACTIONS(1757),
    [anon_sym_GT_GT] = ACTIONS(1757),
    [anon_sym_LPAREN] = ACTIONS(1757),
    [anon_sym_LT_DASH] = ACTIONS(1757),
    [anon_sym_RBRACE] = ACTIONS(1757),
    [anon_sym_PLUS_EQ] = ACTIONS(1757),
    [anon_sym_PIPE_EQ] = ACTIONS(1757),
    [anon_sym_PERCENT] = ACTIONS(1757),
    [anon_sym_GT] = ACTIONS(1757),
    [anon_sym_AMP_CARET] = ACTIONS(1757),
    [anon_sym_EQ_EQ] = ACTIONS(1757),
    [anon_sym_COLON_EQ] = ACTIONS(1757),
    [anon_sym_CARET_EQ] = ACTIONS(1757),
    [anon_sym_case] = ACTIONS(1757),
    [anon_sym_GT_EQ] = ACTIONS(1757),
    [anon_sym_PIPE] = ACTIONS(1757),
    [anon_sym_LF] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_STAR_EQ] = ACTIONS(1757),
    [anon_sym_PLUS] = ACTIONS(1757),
    [anon_sym_default] = ACTIONS(1757),
    [anon_sym_AMP_AMP] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1757),
    [anon_sym_LT] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1757),
  },
  [676] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1768),
    [anon_sym_DASH] = ACTIONS(1768),
    [anon_sym_CARET] = ACTIONS(1768),
    [anon_sym_PIPE_PIPE] = ACTIONS(1768),
    [anon_sym_LT_EQ] = ACTIONS(1768),
    [anon_sym_DOT] = ACTIONS(1768),
    [anon_sym_PERCENT_EQ] = ACTIONS(1768),
    [anon_sym_LBRACK] = ACTIONS(1768),
    [anon_sym_AMP_EQ] = ACTIONS(1768),
    [anon_sym_AMP] = ACTIONS(1768),
    [anon_sym_COMMA] = ACTIONS(1768),
    [anon_sym_LT_LT] = ACTIONS(1768),
    [anon_sym_LT_LT_EQ] = ACTIONS(1768),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1768),
    [anon_sym_DASH_EQ] = ACTIONS(1768),
    [anon_sym_SLASH] = ACTIONS(1768),
    [anon_sym_EQ] = ACTIONS(1768),
    [anon_sym_GT_GT] = ACTIONS(1768),
    [anon_sym_LPAREN] = ACTIONS(1768),
    [anon_sym_LT_DASH] = ACTIONS(1768),
    [anon_sym_RBRACE] = ACTIONS(1768),
    [anon_sym_PLUS_EQ] = ACTIONS(1768),
    [anon_sym_PIPE_EQ] = ACTIONS(1768),
    [anon_sym_PERCENT] = ACTIONS(1768),
    [anon_sym_GT] = ACTIONS(1768),
    [anon_sym_AMP_CARET] = ACTIONS(1768),
    [anon_sym_EQ_EQ] = ACTIONS(1768),
    [anon_sym_COLON_EQ] = ACTIONS(1768),
    [anon_sym_CARET_EQ] = ACTIONS(1768),
    [anon_sym_case] = ACTIONS(1768),
    [anon_sym_GT_EQ] = ACTIONS(1768),
    [anon_sym_PIPE] = ACTIONS(1768),
    [anon_sym_LF] = ACTIONS(1766),
    [anon_sym_BANG_EQ] = ACTIONS(1768),
    [anon_sym_PLUS_PLUS] = ACTIONS(1768),
    [anon_sym_STAR_EQ] = ACTIONS(1768),
    [anon_sym_PLUS] = ACTIONS(1768),
    [anon_sym_default] = ACTIONS(1768),
    [anon_sym_AMP_AMP] = ACTIONS(1768),
    [anon_sym_STAR] = ACTIONS(1768),
    [anon_sym_SEMI] = ACTIONS(1768),
    [anon_sym_LT] = ACTIONS(1768),
    [anon_sym_DASH_DASH] = ACTIONS(1768),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1768),
  },
  [677] = {
    [anon_sym_RBRACE] = ACTIONS(2060),
    [anon_sym_case] = ACTIONS(2060),
    [anon_sym_DQUOTE] = ACTIONS(2060),
    [anon_sym_LF] = ACTIONS(1770),
    [anon_sym_default] = ACTIONS(2060),
    [anon_sym_EQ] = ACTIONS(2060),
    [anon_sym_SEMI] = ACTIONS(2060),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(2060),
  },
  [678] = {
    [anon_sym_RBRACE] = ACTIONS(2062),
    [anon_sym_case] = ACTIONS(2062),
    [anon_sym_DQUOTE] = ACTIONS(2062),
    [anon_sym_LF] = ACTIONS(1772),
    [anon_sym_default] = ACTIONS(2062),
    [anon_sym_EQ] = ACTIONS(2062),
    [anon_sym_SEMI] = ACTIONS(2062),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(2062),
  },
  [679] = {
    [anon_sym_RBRACE] = ACTIONS(2064),
    [anon_sym_case] = ACTIONS(2064),
    [anon_sym_DQUOTE] = ACTIONS(2064),
    [anon_sym_LF] = ACTIONS(1778),
    [anon_sym_default] = ACTIONS(2064),
    [anon_sym_EQ] = ACTIONS(2064),
    [anon_sym_SEMI] = ACTIONS(2064),
    [sym_comment] = ACTIONS(61),
    [sym_raw_string_literal] = ACTIONS(2064),
  },
  [680] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_PERCENT_EQ] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1840),
    [anon_sym_AMP_EQ] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_COMMA] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_LT_LT_EQ] = ACTIONS(1840),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1840),
    [anon_sym_DASH_EQ] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_GT_GT] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1840),
    [anon_sym_LT_DASH] = ACTIONS(1840),
    [anon_sym_RBRACE] = ACTIONS(1840),
    [anon_sym_PLUS_EQ] = ACTIONS(1840),
    [anon_sym_PIPE_EQ] = ACTIONS(1840),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_AMP_CARET] = ACTIONS(1840),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_COLON_EQ] = ACTIONS(1840),
    [anon_sym_CARET_EQ] = ACTIONS(1840),
    [anon_sym_case] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_LF] = ACTIONS(1838),
    [anon_sym_BANG_EQ] = ACTIONS(1840),
    [anon_sym_PLUS_PLUS] = ACTIONS(1840),
    [anon_sym_STAR_EQ] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_default] = ACTIONS(1840),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SEMI] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1840),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1840),
  },
  [681] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1844),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_CARET] = ACTIONS(1844),
    [anon_sym_PIPE_PIPE] = ACTIONS(1844),
    [anon_sym_LT_EQ] = ACTIONS(1844),
    [anon_sym_DOT] = ACTIONS(1844),
    [anon_sym_PERCENT_EQ] = ACTIONS(1844),
    [anon_sym_LBRACK] = ACTIONS(1844),
    [anon_sym_AMP_EQ] = ACTIONS(1844),
    [anon_sym_AMP] = ACTIONS(1844),
    [anon_sym_COMMA] = ACTIONS(1844),
    [anon_sym_LT_LT] = ACTIONS(1844),
    [anon_sym_LT_LT_EQ] = ACTIONS(1844),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1844),
    [anon_sym_DASH_EQ] = ACTIONS(1844),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_EQ] = ACTIONS(1844),
    [anon_sym_GT_GT] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1844),
    [anon_sym_LT_DASH] = ACTIONS(1844),
    [anon_sym_RBRACE] = ACTIONS(1844),
    [anon_sym_PLUS_EQ] = ACTIONS(1844),
    [anon_sym_PIPE_EQ] = ACTIONS(1844),
    [anon_sym_PERCENT] = ACTIONS(1844),
    [anon_sym_GT] = ACTIONS(1844),
    [anon_sym_AMP_CARET] = ACTIONS(1844),
    [anon_sym_EQ_EQ] = ACTIONS(1844),
    [anon_sym_COLON_EQ] = ACTIONS(1844),
    [anon_sym_CARET_EQ] = ACTIONS(1844),
    [anon_sym_case] = ACTIONS(1844),
    [anon_sym_GT_EQ] = ACTIONS(1844),
    [anon_sym_PIPE] = ACTIONS(1844),
    [anon_sym_LF] = ACTIONS(1842),
    [anon_sym_BANG_EQ] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1844),
    [anon_sym_STAR_EQ] = ACTIONS(1844),
    [anon_sym_PLUS] = ACTIONS(1844),
    [anon_sym_default] = ACTIONS(1844),
    [anon_sym_AMP_AMP] = ACTIONS(1844),
    [anon_sym_STAR] = ACTIONS(1844),
    [anon_sym_SEMI] = ACTIONS(1844),
    [anon_sym_LT] = ACTIONS(1844),
    [anon_sym_DASH_DASH] = ACTIONS(1844),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1844),
  },
  [682] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1850),
    [anon_sym_DASH] = ACTIONS(1850),
    [anon_sym_CARET] = ACTIONS(1850),
    [anon_sym_PIPE_PIPE] = ACTIONS(1850),
    [anon_sym_LT_EQ] = ACTIONS(1850),
    [anon_sym_DOT] = ACTIONS(1850),
    [anon_sym_PERCENT_EQ] = ACTIONS(1850),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_AMP_EQ] = ACTIONS(1850),
    [anon_sym_AMP] = ACTIONS(1850),
    [anon_sym_COMMA] = ACTIONS(1850),
    [anon_sym_LT_LT] = ACTIONS(1850),
    [anon_sym_LT_LT_EQ] = ACTIONS(1850),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1850),
    [anon_sym_DASH_EQ] = ACTIONS(1850),
    [anon_sym_SLASH] = ACTIONS(1850),
    [anon_sym_EQ] = ACTIONS(1850),
    [anon_sym_GT_GT] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_LT_DASH] = ACTIONS(1850),
    [anon_sym_RBRACE] = ACTIONS(1850),
    [anon_sym_PLUS_EQ] = ACTIONS(1850),
    [anon_sym_PIPE_EQ] = ACTIONS(1850),
    [anon_sym_PERCENT] = ACTIONS(1850),
    [anon_sym_GT] = ACTIONS(1850),
    [anon_sym_AMP_CARET] = ACTIONS(1850),
    [anon_sym_EQ_EQ] = ACTIONS(1850),
    [anon_sym_COLON_EQ] = ACTIONS(1850),
    [anon_sym_CARET_EQ] = ACTIONS(1850),
    [anon_sym_case] = ACTIONS(1850),
    [anon_sym_GT_EQ] = ACTIONS(1850),
    [anon_sym_PIPE] = ACTIONS(1850),
    [anon_sym_LF] = ACTIONS(1848),
    [anon_sym_BANG_EQ] = ACTIONS(1850),
    [anon_sym_PLUS_PLUS] = ACTIONS(1850),
    [anon_sym_STAR_EQ] = ACTIONS(1850),
    [anon_sym_PLUS] = ACTIONS(1850),
    [anon_sym_default] = ACTIONS(1850),
    [anon_sym_AMP_AMP] = ACTIONS(1850),
    [anon_sym_STAR] = ACTIONS(1850),
    [anon_sym_SEMI] = ACTIONS(1850),
    [anon_sym_LT] = ACTIONS(1850),
    [anon_sym_DASH_DASH] = ACTIONS(1850),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1850),
  },
  [683] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1858),
    [anon_sym_DASH] = ACTIONS(1858),
    [anon_sym_CARET] = ACTIONS(1858),
    [anon_sym_PIPE_PIPE] = ACTIONS(1858),
    [anon_sym_LT_EQ] = ACTIONS(1858),
    [anon_sym_DOT] = ACTIONS(1858),
    [anon_sym_PERCENT_EQ] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(1858),
    [anon_sym_AMP_EQ] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym_COMMA] = ACTIONS(1858),
    [anon_sym_LT_LT] = ACTIONS(1858),
    [anon_sym_LT_LT_EQ] = ACTIONS(1858),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1858),
    [anon_sym_DASH_EQ] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1858),
    [anon_sym_EQ] = ACTIONS(1858),
    [anon_sym_GT_GT] = ACTIONS(1858),
    [anon_sym_LPAREN] = ACTIONS(1858),
    [anon_sym_LT_DASH] = ACTIONS(1858),
    [anon_sym_RBRACE] = ACTIONS(1858),
    [anon_sym_PLUS_EQ] = ACTIONS(1858),
    [anon_sym_PIPE_EQ] = ACTIONS(1858),
    [anon_sym_PERCENT] = ACTIONS(1858),
    [anon_sym_GT] = ACTIONS(1858),
    [anon_sym_AMP_CARET] = ACTIONS(1858),
    [anon_sym_EQ_EQ] = ACTIONS(1858),
    [anon_sym_COLON_EQ] = ACTIONS(1858),
    [anon_sym_CARET_EQ] = ACTIONS(1858),
    [anon_sym_case] = ACTIONS(1858),
    [anon_sym_GT_EQ] = ACTIONS(1858),
    [anon_sym_PIPE] = ACTIONS(1858),
    [anon_sym_LF] = ACTIONS(1856),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_PLUS_PLUS] = ACTIONS(1858),
    [anon_sym_STAR_EQ] = ACTIONS(1858),
    [anon_sym_PLUS] = ACTIONS(1858),
    [anon_sym_default] = ACTIONS(1858),
    [anon_sym_AMP_AMP] = ACTIONS(1858),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_SEMI] = ACTIONS(1858),
    [anon_sym_LT] = ACTIONS(1858),
    [anon_sym_DASH_DASH] = ACTIONS(1858),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1858),
  },
  [684] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1888),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_CARET] = ACTIONS(1888),
    [anon_sym_PIPE_PIPE] = ACTIONS(1888),
    [anon_sym_LT_EQ] = ACTIONS(1888),
    [anon_sym_DOT] = ACTIONS(1888),
    [anon_sym_PERCENT_EQ] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1888),
    [anon_sym_AMP_EQ] = ACTIONS(1888),
    [anon_sym_AMP] = ACTIONS(1888),
    [anon_sym_COMMA] = ACTIONS(1888),
    [anon_sym_LT_LT] = ACTIONS(1888),
    [anon_sym_LT_LT_EQ] = ACTIONS(1888),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1888),
    [anon_sym_DASH_EQ] = ACTIONS(1888),
    [anon_sym_SLASH] = ACTIONS(1888),
    [anon_sym_EQ] = ACTIONS(1888),
    [anon_sym_GT_GT] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1888),
    [anon_sym_LT_DASH] = ACTIONS(1888),
    [anon_sym_RBRACE] = ACTIONS(1888),
    [anon_sym_PLUS_EQ] = ACTIONS(1888),
    [anon_sym_PIPE_EQ] = ACTIONS(1888),
    [anon_sym_PERCENT] = ACTIONS(1888),
    [anon_sym_GT] = ACTIONS(1888),
    [anon_sym_AMP_CARET] = ACTIONS(1888),
    [anon_sym_EQ_EQ] = ACTIONS(1888),
    [anon_sym_COLON_EQ] = ACTIONS(1888),
    [anon_sym_CARET_EQ] = ACTIONS(1888),
    [anon_sym_case] = ACTIONS(1888),
    [anon_sym_GT_EQ] = ACTIONS(1888),
    [anon_sym_PIPE] = ACTIONS(1888),
    [anon_sym_LF] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1888),
    [anon_sym_PLUS_PLUS] = ACTIONS(1888),
    [anon_sym_STAR_EQ] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_default] = ACTIONS(1888),
    [anon_sym_AMP_AMP] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(1888),
    [anon_sym_SEMI] = ACTIONS(1888),
    [anon_sym_LT] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(1888),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1888),
  },
  [685] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1913),
    [anon_sym_PIPE_PIPE] = ACTIONS(1913),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_PERCENT_EQ] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_AMP_EQ] = ACTIONS(1913),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_COMMA] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1913),
    [anon_sym_LT_LT_EQ] = ACTIONS(1913),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1913),
    [anon_sym_DASH_EQ] = ACTIONS(1913),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_EQ] = ACTIONS(1913),
    [anon_sym_GT_GT] = ACTIONS(1913),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_LT_DASH] = ACTIONS(1913),
    [anon_sym_RBRACE] = ACTIONS(1913),
    [anon_sym_PLUS_EQ] = ACTIONS(1913),
    [anon_sym_PIPE_EQ] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1913),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_AMP_CARET] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1913),
    [anon_sym_COLON_EQ] = ACTIONS(1913),
    [anon_sym_CARET_EQ] = ACTIONS(1913),
    [anon_sym_case] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1913),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_LF] = ACTIONS(1911),
    [anon_sym_BANG_EQ] = ACTIONS(1913),
    [anon_sym_PLUS_PLUS] = ACTIONS(1913),
    [anon_sym_STAR_EQ] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_default] = ACTIONS(1913),
    [anon_sym_AMP_AMP] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1913),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(1913),
  },
  [686] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(318),
    [anon_sym_DASH] = ACTIONS(316),
    [anon_sym_CARET] = ACTIONS(316),
    [anon_sym_PIPE_PIPE] = ACTIONS(318),
    [anon_sym_LT_EQ] = ACTIONS(318),
    [anon_sym_DOT] = ACTIONS(318),
    [anon_sym_PERCENT_EQ] = ACTIONS(318),
    [anon_sym_LBRACK] = ACTIONS(318),
    [anon_sym_AMP_EQ] = ACTIONS(318),
    [anon_sym_AMP] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(318),
    [anon_sym_LT_LT] = ACTIONS(316),
    [anon_sym_LT_LT_EQ] = ACTIONS(318),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(318),
    [anon_sym_DASH_EQ] = ACTIONS(318),
    [anon_sym_SLASH] = ACTIONS(316),
    [anon_sym_EQ] = ACTIONS(316),
    [anon_sym_GT_GT] = ACTIONS(316),
    [anon_sym_LPAREN] = ACTIONS(318),
    [anon_sym_LT_DASH] = ACTIONS(318),
    [anon_sym_PLUS_EQ] = ACTIONS(318),
    [anon_sym_PIPE_EQ] = ACTIONS(318),
    [anon_sym_PERCENT] = ACTIONS(316),
    [anon_sym_GT] = ACTIONS(316),
    [anon_sym_AMP_CARET] = ACTIONS(316),
    [anon_sym_EQ_EQ] = ACTIONS(318),
    [anon_sym_COLON_EQ] = ACTIONS(318),
    [anon_sym_LBRACE] = ACTIONS(318),
    [anon_sym_CARET_EQ] = ACTIONS(318),
    [anon_sym_GT_EQ] = ACTIONS(318),
    [anon_sym_PIPE] = ACTIONS(316),
    [anon_sym_BANG_EQ] = ACTIONS(318),
    [anon_sym_PLUS_PLUS] = ACTIONS(318),
    [anon_sym_STAR_EQ] = ACTIONS(318),
    [anon_sym_PLUS] = ACTIONS(316),
    [anon_sym_AMP_AMP] = ACTIONS(318),
    [anon_sym_STAR] = ACTIONS(316),
    [anon_sym_SEMI] = ACTIONS(318),
    [anon_sym_LT] = ACTIONS(316),
    [anon_sym_DASH_DASH] = ACTIONS(318),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(318),
  },
  [687] = {
    [sym_type_conversion_expression] = STATE(696),
    [sym_composite_literal] = STATE(696),
    [sym_unary_expression] = STATE(696),
    [sym_slice_type] = STATE(1080),
    [sym_binary_expression] = STATE(696),
    [sym__string_literal] = STATE(696),
    [sym_implicit_length_array_type] = STATE(1081),
    [sym_interpreted_string_literal] = STATE(696),
    [sym__expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_selector_expression] = STATE(696),
    [sym_index_expression] = STATE(696),
    [sym_parenthesized_type] = STATE(1282),
    [sym__simple_type] = STATE(1282),
    [sym_qualified_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1282),
    [sym_call_expression] = STATE(696),
    [sym_slice_expression] = STATE(696),
    [sym_type_assertion_expression] = STATE(696),
    [sym_pointer_type] = STATE(1282),
    [sym_array_type] = STATE(1080),
    [sym_func_literal] = STATE(696),
    [sym_interface_type] = STATE(1282),
    [sym_function_type] = STATE(1282),
    [sym_rune_literal] = ACTIONS(2114),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_CARET] = ACTIONS(660),
    [sym_raw_string_literal] = ACTIONS(2114),
    [sym_imaginary_literal] = ACTIONS(2114),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2116),
    [anon_sym_BANG] = ACTIONS(660),
    [anon_sym_make] = ACTIONS(664),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(2116),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2116),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_STAR] = ACTIONS(668),
    [sym_identifier] = ACTIONS(670),
    [anon_sym_func] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(674),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(676),
    [sym_float_literal] = ACTIONS(2116),
    [sym_false] = ACTIONS(2116),
  },
  [688] = {
    [sym_type_conversion_expression] = STATE(696),
    [sym_composite_literal] = STATE(696),
    [sym_unary_expression] = STATE(696),
    [sym_slice_type] = STATE(1080),
    [sym_binary_expression] = STATE(696),
    [sym__string_literal] = STATE(696),
    [sym_implicit_length_array_type] = STATE(1081),
    [sym_interpreted_string_literal] = STATE(696),
    [sym__expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_selector_expression] = STATE(696),
    [sym_index_expression] = STATE(696),
    [sym_parenthesized_type] = STATE(158),
    [sym__simple_type] = STATE(158),
    [sym_qualified_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(158),
    [sym_call_expression] = STATE(696),
    [sym_slice_expression] = STATE(696),
    [sym_type_assertion_expression] = STATE(696),
    [sym_pointer_type] = STATE(158),
    [sym_array_type] = STATE(1080),
    [sym_func_literal] = STATE(696),
    [sym_interface_type] = STATE(158),
    [sym_function_type] = STATE(158),
    [sym_rune_literal] = ACTIONS(2114),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_CARET] = ACTIONS(660),
    [sym_raw_string_literal] = ACTIONS(2114),
    [sym_imaginary_literal] = ACTIONS(2114),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2116),
    [anon_sym_BANG] = ACTIONS(660),
    [anon_sym_make] = ACTIONS(664),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(2116),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2116),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_STAR] = ACTIONS(668),
    [sym_identifier] = ACTIONS(670),
    [anon_sym_func] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(674),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(676),
    [sym_float_literal] = ACTIONS(2116),
    [sym_false] = ACTIONS(2116),
  },
  [689] = {
    [sym_literal_value] = STATE(619),
    [anon_sym_GT_GT_EQ] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(458),
    [anon_sym_CARET] = ACTIONS(458),
    [anon_sym_PIPE_PIPE] = ACTIONS(458),
    [anon_sym_LT_EQ] = ACTIONS(458),
    [anon_sym_DOT] = ACTIONS(752),
    [anon_sym_PERCENT_EQ] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(458),
    [anon_sym_AMP_EQ] = ACTIONS(458),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(458),
    [anon_sym_LT_LT] = ACTIONS(458),
    [anon_sym_LT_LT_EQ] = ACTIONS(458),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(458),
    [anon_sym_DASH_EQ] = ACTIONS(458),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_EQ] = ACTIONS(458),
    [anon_sym_GT_GT] = ACTIONS(458),
    [anon_sym_LPAREN] = ACTIONS(755),
    [anon_sym_LT_DASH] = ACTIONS(458),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_PLUS_EQ] = ACTIONS(458),
    [anon_sym_PIPE_EQ] = ACTIONS(458),
    [anon_sym_PERCENT] = ACTIONS(458),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_AMP_CARET] = ACTIONS(458),
    [anon_sym_EQ_EQ] = ACTIONS(458),
    [anon_sym_COLON_EQ] = ACTIONS(458),
    [anon_sym_LBRACE] = ACTIONS(758),
    [anon_sym_CARET_EQ] = ACTIONS(458),
    [anon_sym_case] = ACTIONS(458),
    [anon_sym_GT_EQ] = ACTIONS(458),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_LF] = ACTIONS(456),
    [anon_sym_BANG_EQ] = ACTIONS(458),
    [anon_sym_PLUS_PLUS] = ACTIONS(458),
    [anon_sym_STAR_EQ] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(458),
    [anon_sym_default] = ACTIONS(458),
    [anon_sym_AMP_AMP] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(458),
    [anon_sym_LT] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(458),
    [sym_comment] = ACTIONS(61),
    [anon_sym_SLASH_EQ] = ACTIONS(458),
  },
  [690] = {
    [sym_type_conversion_expression] = STATE(155),
    [sym_composite_literal] = STATE(155),
    [sym_unary_expression] = STATE(155),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(155),
    [sym__string_literal] = STATE(155),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(155),
    [sym__expression] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_selector_expression] = STATE(155),
    [sym_index_expression] = STATE(155),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(155),
    [sym_slice_expression] = STATE(155),
    [sym_type_assertion_expression] = STATE(155),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(155),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(444),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(444),
    [sym_imaginary_literal] = ACTIONS(444),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(446),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(446),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(446),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(446),
    [sym_false] = ACTIONS(446),
  },
  [691] = {
    [sym_special_argument_list] = STATE(698),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(458),
    [anon_sym_PERCENT] = ACTIONS(458),
    [anon_sym_CARET] = ACTIONS(458),
    [anon_sym_PIPE_PIPE] = ACTIONS(458),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_AMP_CARET] = ACTIONS(458),
    [anon_sym_LT_EQ] = ACTIONS(458),
    [anon_sym_DOT] = ACTIONS(458),
    [anon_sym_EQ_EQ] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(458),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_case] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(458),
    [anon_sym_GT_EQ] = ACTIONS(458),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_LF] = ACTIONS(456),
    [anon_sym_LT_LT] = ACTIONS(458),
    [anon_sym_BANG_EQ] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(458),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_default] = ACTIONS(458),
    [anon_sym_AMP_AMP] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(458),
    [anon_sym_LPAREN] = ACTIONS(2118),
    [anon_sym_GT_GT] = ACTIONS(458),
    [anon_sym_LT] = ACTIONS(458),
    [sym_comment] = ACTIONS(61),
  },
  [692] = {
    [sym_qualified_type] = STATE(184),
    [sym_map_type] = STATE(184),
    [sym_channel_type] = STATE(184),
    [sym_slice_type] = STATE(184),
    [sym_parameter_list] = STATE(184),
    [sym_pointer_type] = STATE(184),
    [sym_array_type] = STATE(184),
    [sym_interface_type] = STATE(184),
    [sym_function_type] = STATE(184),
    [sym__simple_type] = STATE(184),
    [sym_struct_type] = STATE(184),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_RPAREN] = ACTIONS(522),
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_LBRACK] = ACTIONS(834),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(836),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(840),
    [anon_sym_LT_DASH] = ACTIONS(843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [693] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_CARET] = ACTIONS(584),
    [anon_sym_PIPE_PIPE] = ACTIONS(586),
    [anon_sym_LT_EQ] = ACTIONS(586),
    [anon_sym_DOT] = ACTIONS(586),
    [anon_sym_PERCENT_EQ] = ACTIONS(586),
    [anon_sym_LBRACK] = ACTIONS(586),
    [anon_sym_AMP_EQ] = ACTIONS(586),
    [anon_sym_AMP] = ACTIONS(584),
    [anon_sym_COMMA] = ACTIONS(586),
    [anon_sym_LT_LT] = ACTIONS(584),
    [anon_sym_LT_LT_EQ] = ACTIONS(586),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(586),
    [anon_sym_DASH_EQ] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_EQ] = ACTIONS(584),
    [anon_sym_GT_GT] = ACTIONS(584),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_LT_DASH] = ACTIONS(586),
    [anon_sym_PLUS_EQ] = ACTIONS(586),
    [anon_sym_PIPE_EQ] = ACTIONS(586),
    [anon_sym_PERCENT] = ACTIONS(584),
    [anon_sym_GT] = ACTIONS(584),
    [anon_sym_AMP_CARET] = ACTIONS(584),
    [anon_sym_EQ_EQ] = ACTIONS(586),
    [anon_sym_COLON_EQ] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_CARET_EQ] = ACTIONS(586),
    [anon_sym_GT_EQ] = ACTIONS(586),
    [anon_sym_PIPE] = ACTIONS(584),
    [anon_sym_BANG_EQ] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(586),
    [anon_sym_STAR_EQ] = ACTIONS(586),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_AMP_AMP] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(584),
    [anon_sym_SEMI] = ACTIONS(586),
    [anon_sym_LT] = ACTIONS(584),
    [anon_sym_DASH_DASH] = ACTIONS(586),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(586),
  },
  [694] = {
    [aux_sym_expression_list_repeat1] = STATE(756),
    [sym_argument_list] = STATE(166),
    [anon_sym_COMMA] = ACTIONS(2120),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_PIPE] = ACTIONS(1335),
    [anon_sym_LT_LT] = ACTIONS(1337),
    [anon_sym_BANG_EQ] = ACTIONS(1333),
    [anon_sym_DASH] = ACTIONS(1339),
    [anon_sym_PERCENT] = ACTIONS(1337),
    [anon_sym_CARET] = ACTIONS(1339),
    [anon_sym_PIPE_PIPE] = ACTIONS(1341),
    [anon_sym_GT] = ACTIONS(1343),
    [anon_sym_AMP_CARET] = ACTIONS(1337),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_LBRACE] = ACTIONS(617),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(1349),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_GT_GT] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(1347),
  },
  [695] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(678),
    [anon_sym_CARET] = ACTIONS(678),
    [anon_sym_PIPE_PIPE] = ACTIONS(680),
    [anon_sym_LT_EQ] = ACTIONS(680),
    [anon_sym_DOT] = ACTIONS(680),
    [anon_sym_PERCENT_EQ] = ACTIONS(680),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_AMP_EQ] = ACTIONS(680),
    [anon_sym_AMP] = ACTIONS(678),
    [anon_sym_COMMA] = ACTIONS(680),
    [anon_sym_LT_LT] = ACTIONS(678),
    [anon_sym_LT_LT_EQ] = ACTIONS(680),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(680),
    [anon_sym_DASH_EQ] = ACTIONS(680),
    [anon_sym_SLASH] = ACTIONS(678),
    [anon_sym_EQ] = ACTIONS(678),
    [anon_sym_GT_GT] = ACTIONS(678),
    [anon_sym_LPAREN] = ACTIONS(680),
    [anon_sym_LT_DASH] = ACTIONS(680),
    [anon_sym_PLUS_EQ] = ACTIONS(680),
    [anon_sym_PIPE_EQ] = ACTIONS(680),
    [anon_sym_PERCENT] = ACTIONS(678),
    [anon_sym_GT] = ACTIONS(678),
    [anon_sym_AMP_CARET] = ACTIONS(678),
    [anon_sym_EQ_EQ] = ACTIONS(680),
    [anon_sym_COLON_EQ] = ACTIONS(680),
    [anon_sym_LBRACE] = ACTIONS(680),
    [anon_sym_CARET_EQ] = ACTIONS(680),
    [anon_sym_GT_EQ] = ACTIONS(680),
    [anon_sym_PIPE] = ACTIONS(678),
    [anon_sym_BANG_EQ] = ACTIONS(680),
    [anon_sym_PLUS_PLUS] = ACTIONS(680),
    [anon_sym_STAR_EQ] = ACTIONS(680),
    [anon_sym_PLUS] = ACTIONS(678),
    [anon_sym_AMP_AMP] = ACTIONS(680),
    [anon_sym_STAR] = ACTIONS(678),
    [anon_sym_SEMI] = ACTIONS(680),
    [anon_sym_LT] = ACTIONS(678),
    [anon_sym_DASH_DASH] = ACTIONS(680),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(680),
  },
  [696] = {
    [sym_argument_list] = STATE(698),
    [anon_sym_RBRACE] = ACTIONS(812),
    [anon_sym_DASH] = ACTIONS(812),
    [anon_sym_PERCENT] = ACTIONS(812),
    [anon_sym_CARET] = ACTIONS(812),
    [anon_sym_PIPE_PIPE] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(812),
    [anon_sym_AMP_CARET] = ACTIONS(812),
    [anon_sym_LT_EQ] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(1040),
    [anon_sym_EQ_EQ] = ACTIONS(812),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_AMP] = ACTIONS(812),
    [anon_sym_case] = ACTIONS(812),
    [anon_sym_COMMA] = ACTIONS(812),
    [anon_sym_GT_EQ] = ACTIONS(812),
    [anon_sym_PIPE] = ACTIONS(812),
    [anon_sym_LF] = ACTIONS(810),
    [anon_sym_LT_LT] = ACTIONS(812),
    [anon_sym_BANG_EQ] = ACTIONS(812),
    [anon_sym_PLUS] = ACTIONS(812),
    [anon_sym_SLASH] = ACTIONS(812),
    [anon_sym_default] = ACTIONS(812),
    [anon_sym_AMP_AMP] = ACTIONS(812),
    [anon_sym_STAR] = ACTIONS(812),
    [anon_sym_SEMI] = ACTIONS(812),
    [anon_sym_LPAREN] = ACTIONS(1048),
    [anon_sym_GT_GT] = ACTIONS(812),
    [anon_sym_LT] = ACTIONS(812),
    [sym_comment] = ACTIONS(61),
  },
  [697] = {
    [anon_sym_RBRACE] = ACTIONS(830),
    [anon_sym_DASH] = ACTIONS(830),
    [anon_sym_PERCENT] = ACTIONS(830),
    [anon_sym_CARET] = ACTIONS(830),
    [anon_sym_PIPE_PIPE] = ACTIONS(830),
    [anon_sym_GT] = ACTIONS(830),
    [anon_sym_AMP_CARET] = ACTIONS(830),
    [anon_sym_LT_EQ] = ACTIONS(830),
    [anon_sym_DOT] = ACTIONS(830),
    [anon_sym_EQ_EQ] = ACTIONS(830),
    [anon_sym_LBRACK] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(830),
    [anon_sym_case] = ACTIONS(830),
    [anon_sym_COMMA] = ACTIONS(830),
    [anon_sym_GT_EQ] = ACTIONS(830),
    [anon_sym_PIPE] = ACTIONS(830),
    [anon_sym_LF] = ACTIONS(828),
    [anon_sym_LT_LT] = ACTIONS(830),
    [anon_sym_BANG_EQ] = ACTIONS(830),
    [anon_sym_PLUS] = ACTIONS(830),
    [anon_sym_SLASH] = ACTIONS(830),
    [anon_sym_default] = ACTIONS(830),
    [anon_sym_AMP_AMP] = ACTIONS(830),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_SEMI] = ACTIONS(830),
    [anon_sym_LPAREN] = ACTIONS(830),
    [anon_sym_GT_GT] = ACTIONS(830),
    [anon_sym_LT] = ACTIONS(830),
    [sym_comment] = ACTIONS(61),
  },
  [698] = {
    [anon_sym_RBRACE] = ACTIONS(867),
    [anon_sym_DASH] = ACTIONS(867),
    [anon_sym_PERCENT] = ACTIONS(867),
    [anon_sym_CARET] = ACTIONS(867),
    [anon_sym_PIPE_PIPE] = ACTIONS(867),
    [anon_sym_GT] = ACTIONS(867),
    [anon_sym_AMP_CARET] = ACTIONS(867),
    [anon_sym_LT_EQ] = ACTIONS(867),
    [anon_sym_DOT] = ACTIONS(867),
    [anon_sym_EQ_EQ] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(867),
    [anon_sym_AMP] = ACTIONS(867),
    [anon_sym_case] = ACTIONS(867),
    [anon_sym_COMMA] = ACTIONS(867),
    [anon_sym_GT_EQ] = ACTIONS(867),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_LF] = ACTIONS(865),
    [anon_sym_LT_LT] = ACTIONS(867),
    [anon_sym_BANG_EQ] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(867),
    [anon_sym_default] = ACTIONS(867),
    [anon_sym_AMP_AMP] = ACTIONS(867),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SEMI] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_GT_GT] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(867),
    [sym_comment] = ACTIONS(61),
  },
  [699] = {
    [anon_sym_RBRACE] = ACTIONS(871),
    [anon_sym_DASH] = ACTIONS(871),
    [anon_sym_PERCENT] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [anon_sym_PIPE_PIPE] = ACTIONS(871),
    [anon_sym_GT] = ACTIONS(871),
    [anon_sym_AMP_CARET] = ACTIONS(871),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_AMP] = ACTIONS(871),
    [anon_sym_case] = ACTIONS(871),
    [anon_sym_COMMA] = ACTIONS(871),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(871),
    [anon_sym_LF] = ACTIONS(869),
    [anon_sym_LT_LT] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(871),
    [anon_sym_SLASH] = ACTIONS(871),
    [anon_sym_default] = ACTIONS(871),
    [anon_sym_AMP_AMP] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(871),
    [anon_sym_SEMI] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_GT_GT] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(871),
    [sym_comment] = ACTIONS(61),
  },
  [700] = {
    [sym_type_conversion_expression] = STATE(711),
    [sym_composite_literal] = STATE(711),
    [sym_unary_expression] = STATE(711),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(711),
    [sym__string_literal] = STATE(711),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(711),
    [sym__expression] = STATE(711),
    [sym_parenthesized_expression] = STATE(711),
    [sym_selector_expression] = STATE(711),
    [sym_index_expression] = STATE(711),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(711),
    [sym_slice_expression] = STATE(711),
    [sym_type_assertion_expression] = STATE(711),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(711),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(2122),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(2122),
    [sym_imaginary_literal] = ACTIONS(2122),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(2124),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(2124),
    [sym_false] = ACTIONS(2124),
  },
  [701] = {
    [sym_type_conversion_expression] = STATE(712),
    [sym_composite_literal] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(712),
    [sym__string_literal] = STATE(712),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(712),
    [sym__expression] = STATE(712),
    [sym_parenthesized_expression] = STATE(712),
    [sym_selector_expression] = STATE(712),
    [sym_index_expression] = STATE(712),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(712),
    [sym_slice_expression] = STATE(712),
    [sym_type_assertion_expression] = STATE(712),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(712),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(2126),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(2126),
    [sym_imaginary_literal] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2128),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(2128),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2128),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(2128),
    [sym_false] = ACTIONS(2128),
  },
  [702] = {
    [sym_type_conversion_expression] = STATE(250),
    [sym_composite_literal] = STATE(250),
    [sym_unary_expression] = STATE(250),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(250),
    [sym__string_literal] = STATE(250),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(250),
    [sym__expression] = STATE(250),
    [sym_parenthesized_expression] = STATE(250),
    [sym_selector_expression] = STATE(250),
    [sym_index_expression] = STATE(250),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(250),
    [sym_slice_expression] = STATE(250),
    [sym_type_assertion_expression] = STATE(250),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(250),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(881),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(881),
    [sym_imaginary_literal] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(883),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(883),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(883),
    [sym_false] = ACTIONS(883),
  },
  [703] = {
    [sym_type_conversion_expression] = STATE(714),
    [sym_composite_literal] = STATE(714),
    [sym_unary_expression] = STATE(714),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(714),
    [sym__string_literal] = STATE(714),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(714),
    [sym__expression] = STATE(714),
    [sym_parenthesized_expression] = STATE(714),
    [sym_selector_expression] = STATE(714),
    [sym_index_expression] = STATE(714),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(714),
    [sym_slice_expression] = STATE(714),
    [sym_type_assertion_expression] = STATE(714),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(714),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(2130),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(2130),
    [sym_imaginary_literal] = ACTIONS(2130),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2132),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(2132),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2132),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(2132),
    [sym_false] = ACTIONS(2132),
  },
  [704] = {
    [sym_type_conversion_expression] = STATE(716),
    [sym_composite_literal] = STATE(716),
    [sym_unary_expression] = STATE(716),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(716),
    [sym__string_literal] = STATE(716),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(716),
    [sym__expression] = STATE(716),
    [sym_parenthesized_expression] = STATE(716),
    [sym_selector_expression] = STATE(716),
    [sym_index_expression] = STATE(716),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(716),
    [sym_slice_expression] = STATE(716),
    [sym_type_assertion_expression] = STATE(716),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(716),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(2134),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(2134),
    [sym_imaginary_literal] = ACTIONS(2134),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(2136),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(2136),
    [sym_false] = ACTIONS(2136),
  },
  [705] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(718),
    [sym_composite_literal] = STATE(718),
    [sym_unary_expression] = STATE(718),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(718),
    [sym__string_literal] = STATE(718),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_slice_expression] = STATE(718),
    [sym_type_assertion_expression] = STATE(718),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(718),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(718),
    [sym_parenthesized_expression] = STATE(718),
    [sym_selector_expression] = STATE(718),
    [sym_index_expression] = STATE(718),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1497),
    [sym_false] = ACTIONS(1501),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1501),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(1501),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1501),
    [sym_raw_string_literal] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [706] = {
    [aux_sym_expression_list_repeat1] = STATE(769),
    [anon_sym_COMMA] = ACTIONS(1624),
    [anon_sym_COLON_EQ] = ACTIONS(1016),
    [anon_sym_EQ] = ACTIONS(1016),
    [anon_sym_SEMI] = ACTIONS(1016),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1014),
  },
  [707] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_CARET] = ACTIONS(1164),
    [anon_sym_PIPE_PIPE] = ACTIONS(1166),
    [anon_sym_LT_EQ] = ACTIONS(1166),
    [anon_sym_DOT] = ACTIONS(1166),
    [anon_sym_PERCENT_EQ] = ACTIONS(1166),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_AMP_EQ] = ACTIONS(1166),
    [anon_sym_AMP] = ACTIONS(1164),
    [anon_sym_COMMA] = ACTIONS(1166),
    [anon_sym_LT_LT] = ACTIONS(1164),
    [anon_sym_LT_LT_EQ] = ACTIONS(1166),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1166),
    [anon_sym_DASH_EQ] = ACTIONS(1166),
    [anon_sym_SLASH] = ACTIONS(1164),
    [anon_sym_EQ] = ACTIONS(1164),
    [anon_sym_GT_GT] = ACTIONS(1164),
    [anon_sym_LPAREN] = ACTIONS(1166),
    [anon_sym_LT_DASH] = ACTIONS(1166),
    [anon_sym_PLUS_EQ] = ACTIONS(1166),
    [anon_sym_PIPE_EQ] = ACTIONS(1166),
    [anon_sym_PERCENT] = ACTIONS(1164),
    [anon_sym_GT] = ACTIONS(1164),
    [anon_sym_AMP_CARET] = ACTIONS(1164),
    [anon_sym_EQ_EQ] = ACTIONS(1166),
    [anon_sym_COLON_EQ] = ACTIONS(1166),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_CARET_EQ] = ACTIONS(1166),
    [anon_sym_GT_EQ] = ACTIONS(1166),
    [anon_sym_PIPE] = ACTIONS(1164),
    [anon_sym_BANG_EQ] = ACTIONS(1166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1166),
    [anon_sym_STAR_EQ] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_AMP_AMP] = ACTIONS(1166),
    [anon_sym_STAR] = ACTIONS(1164),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_LT] = ACTIONS(1164),
    [anon_sym_DASH_DASH] = ACTIONS(1166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1166),
  },
  [708] = {
    [anon_sym_RBRACE] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_PERCENT] = ACTIONS(1182),
    [anon_sym_CARET] = ACTIONS(1182),
    [anon_sym_PIPE_PIPE] = ACTIONS(1182),
    [anon_sym_GT] = ACTIONS(1182),
    [anon_sym_AMP_CARET] = ACTIONS(1182),
    [anon_sym_LT_EQ] = ACTIONS(1182),
    [anon_sym_DOT] = ACTIONS(1182),
    [anon_sym_EQ_EQ] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1182),
    [anon_sym_AMP] = ACTIONS(1182),
    [anon_sym_case] = ACTIONS(1182),
    [anon_sym_COMMA] = ACTIONS(1182),
    [anon_sym_GT_EQ] = ACTIONS(1182),
    [anon_sym_PIPE] = ACTIONS(1182),
    [anon_sym_LF] = ACTIONS(1180),
    [anon_sym_LT_LT] = ACTIONS(1182),
    [anon_sym_BANG_EQ] = ACTIONS(1182),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_SLASH] = ACTIONS(1182),
    [anon_sym_default] = ACTIONS(1182),
    [anon_sym_AMP_AMP] = ACTIONS(1182),
    [anon_sym_STAR] = ACTIONS(1182),
    [anon_sym_SEMI] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1182),
    [anon_sym_GT_GT] = ACTIONS(1182),
    [anon_sym_LT] = ACTIONS(1182),
    [sym_comment] = ACTIONS(61),
  },
  [709] = {
    [anon_sym_RBRACE] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_PERCENT] = ACTIONS(1196),
    [anon_sym_CARET] = ACTIONS(1196),
    [anon_sym_PIPE_PIPE] = ACTIONS(1196),
    [anon_sym_GT] = ACTIONS(1196),
    [anon_sym_AMP_CARET] = ACTIONS(1196),
    [anon_sym_LT_EQ] = ACTIONS(1196),
    [anon_sym_DOT] = ACTIONS(1196),
    [anon_sym_EQ_EQ] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_AMP] = ACTIONS(1196),
    [anon_sym_case] = ACTIONS(1196),
    [anon_sym_COMMA] = ACTIONS(1196),
    [anon_sym_GT_EQ] = ACTIONS(1196),
    [anon_sym_PIPE] = ACTIONS(1196),
    [anon_sym_LF] = ACTIONS(1194),
    [anon_sym_LT_LT] = ACTIONS(1196),
    [anon_sym_BANG_EQ] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(1196),
    [anon_sym_default] = ACTIONS(1196),
    [anon_sym_AMP_AMP] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1196),
    [anon_sym_SEMI] = ACTIONS(1196),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [anon_sym_GT_GT] = ACTIONS(1196),
    [anon_sym_LT] = ACTIONS(1196),
    [sym_comment] = ACTIONS(61),
  },
  [710] = {
    [anon_sym_RBRACE] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_PERCENT] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1200),
    [anon_sym_GT] = ACTIONS(1200),
    [anon_sym_AMP_CARET] = ACTIONS(1200),
    [anon_sym_LT_EQ] = ACTIONS(1200),
    [anon_sym_DOT] = ACTIONS(1200),
    [anon_sym_EQ_EQ] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_AMP] = ACTIONS(1200),
    [anon_sym_case] = ACTIONS(1200),
    [anon_sym_COMMA] = ACTIONS(1200),
    [anon_sym_GT_EQ] = ACTIONS(1200),
    [anon_sym_PIPE] = ACTIONS(1200),
    [anon_sym_LF] = ACTIONS(1198),
    [anon_sym_LT_LT] = ACTIONS(1200),
    [anon_sym_BANG_EQ] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_SLASH] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1200),
    [anon_sym_AMP_AMP] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1200),
    [anon_sym_SEMI] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [anon_sym_GT_GT] = ACTIONS(1200),
    [anon_sym_LT] = ACTIONS(1200),
    [sym_comment] = ACTIONS(61),
  },
  [711] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1206),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_RPAREN] = ACTIONS(1206),
    [anon_sym_DOT] = ACTIONS(814),
    [anon_sym_EQ_EQ] = ACTIONS(1206),
    [anon_sym_LT_EQ] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(1206),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [712] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(1206),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1206),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_RPAREN] = ACTIONS(1206),
    [anon_sym_DOT] = ACTIONS(814),
    [anon_sym_EQ_EQ] = ACTIONS(1206),
    [anon_sym_LT_EQ] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(1206),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [713] = {
    [sym_argument_list] = STATE(698),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_PERCENT] = ACTIONS(1208),
    [anon_sym_CARET] = ACTIONS(1208),
    [anon_sym_PIPE_PIPE] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(1208),
    [anon_sym_LT_EQ] = ACTIONS(1208),
    [anon_sym_DOT] = ACTIONS(1040),
    [anon_sym_EQ_EQ] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_GT_EQ] = ACTIONS(1208),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_LF] = ACTIONS(1206),
    [anon_sym_LT_LT] = ACTIONS(1208),
    [anon_sym_BANG_EQ] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(1208),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(1048),
    [anon_sym_GT_GT] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1208),
    [sym_comment] = ACTIONS(61),
  },
  [714] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1206),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_RPAREN] = ACTIONS(1206),
    [anon_sym_DOT] = ACTIONS(814),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
  },
  [715] = {
    [anon_sym_RBRACE] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_PERCENT] = ACTIONS(1214),
    [anon_sym_CARET] = ACTIONS(1214),
    [anon_sym_PIPE_PIPE] = ACTIONS(1214),
    [anon_sym_GT] = ACTIONS(1214),
    [anon_sym_AMP_CARET] = ACTIONS(1214),
    [anon_sym_LT_EQ] = ACTIONS(1214),
    [anon_sym_DOT] = ACTIONS(1214),
    [anon_sym_EQ_EQ] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_case] = ACTIONS(1214),
    [anon_sym_COMMA] = ACTIONS(1214),
    [anon_sym_GT_EQ] = ACTIONS(1214),
    [anon_sym_PIPE] = ACTIONS(1214),
    [anon_sym_LF] = ACTIONS(1212),
    [anon_sym_LT_LT] = ACTIONS(1214),
    [anon_sym_BANG_EQ] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_SLASH] = ACTIONS(1214),
    [anon_sym_default] = ACTIONS(1214),
    [anon_sym_AMP_AMP] = ACTIONS(1214),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1214),
    [anon_sym_GT_GT] = ACTIONS(1214),
    [anon_sym_LT] = ACTIONS(1214),
    [sym_comment] = ACTIONS(61),
  },
  [716] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1206),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_RPAREN] = ACTIONS(1206),
    [anon_sym_DOT] = ACTIONS(814),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
  },
  [717] = {
    [anon_sym_RBRACE] = ACTIONS(1228),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_PERCENT] = ACTIONS(1228),
    [anon_sym_CARET] = ACTIONS(1228),
    [anon_sym_PIPE_PIPE] = ACTIONS(1228),
    [anon_sym_GT] = ACTIONS(1228),
    [anon_sym_AMP_CARET] = ACTIONS(1228),
    [anon_sym_LT_EQ] = ACTIONS(1228),
    [anon_sym_DOT] = ACTIONS(1228),
    [anon_sym_EQ_EQ] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_AMP] = ACTIONS(1228),
    [anon_sym_case] = ACTIONS(1228),
    [anon_sym_COMMA] = ACTIONS(1228),
    [anon_sym_GT_EQ] = ACTIONS(1228),
    [anon_sym_PIPE] = ACTIONS(1228),
    [anon_sym_LF] = ACTIONS(1226),
    [anon_sym_LT_LT] = ACTIONS(1228),
    [anon_sym_BANG_EQ] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_SLASH] = ACTIONS(1228),
    [anon_sym_default] = ACTIONS(1228),
    [anon_sym_AMP_AMP] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(1228),
    [anon_sym_SEMI] = ACTIONS(1228),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_GT_GT] = ACTIONS(1228),
    [anon_sym_LT] = ACTIONS(1228),
    [sym_comment] = ACTIONS(61),
  },
  [718] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_COMMA] = ACTIONS(1320),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_RPAREN] = ACTIONS(1320),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(857),
  },
  [719] = {
    [aux_sym_expression_list_repeat1] = STATE(719),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_RPAREN] = ACTIONS(1320),
  },
  [720] = {
    [anon_sym_RBRACE] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_PERCENT] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1487),
    [anon_sym_PIPE_PIPE] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [anon_sym_AMP_CARET] = ACTIONS(1487),
    [anon_sym_LT_EQ] = ACTIONS(1487),
    [anon_sym_DOT] = ACTIONS(1487),
    [anon_sym_EQ_EQ] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1487),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_case] = ACTIONS(1487),
    [anon_sym_COMMA] = ACTIONS(1487),
    [anon_sym_GT_EQ] = ACTIONS(1487),
    [anon_sym_PIPE] = ACTIONS(1487),
    [anon_sym_LF] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1487),
    [anon_sym_BANG_EQ] = ACTIONS(1487),
    [anon_sym_PLUS] = ACTIONS(1487),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_default] = ACTIONS(1487),
    [anon_sym_AMP_AMP] = ACTIONS(1487),
    [anon_sym_STAR] = ACTIONS(1487),
    [anon_sym_SEMI] = ACTIONS(1487),
    [anon_sym_LPAREN] = ACTIONS(1487),
    [anon_sym_GT_GT] = ACTIONS(1487),
    [anon_sym_LT] = ACTIONS(1487),
    [sym_comment] = ACTIONS(61),
  },
  [721] = {
    [anon_sym_RBRACE] = ACTIONS(1495),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_PERCENT] = ACTIONS(1495),
    [anon_sym_CARET] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [anon_sym_AMP_CARET] = ACTIONS(1495),
    [anon_sym_LT_EQ] = ACTIONS(1495),
    [anon_sym_DOT] = ACTIONS(1495),
    [anon_sym_EQ_EQ] = ACTIONS(1495),
    [anon_sym_LBRACK] = ACTIONS(1495),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_case] = ACTIONS(1495),
    [anon_sym_COMMA] = ACTIONS(1495),
    [anon_sym_GT_EQ] = ACTIONS(1495),
    [anon_sym_PIPE] = ACTIONS(1495),
    [anon_sym_LF] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1495),
    [anon_sym_BANG_EQ] = ACTIONS(1495),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_default] = ACTIONS(1495),
    [anon_sym_AMP_AMP] = ACTIONS(1495),
    [anon_sym_STAR] = ACTIONS(1495),
    [anon_sym_SEMI] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1495),
    [anon_sym_GT_GT] = ACTIONS(1495),
    [anon_sym_LT] = ACTIONS(1495),
    [sym_comment] = ACTIONS(61),
  },
  [722] = {
    [anon_sym_RBRACE] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_PERCENT] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [anon_sym_PIPE_PIPE] = ACTIONS(1505),
    [anon_sym_GT] = ACTIONS(1505),
    [anon_sym_AMP_CARET] = ACTIONS(1505),
    [anon_sym_LT_EQ] = ACTIONS(1505),
    [anon_sym_DOT] = ACTIONS(1505),
    [anon_sym_EQ_EQ] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1505),
    [anon_sym_AMP] = ACTIONS(1505),
    [anon_sym_case] = ACTIONS(1505),
    [anon_sym_COMMA] = ACTIONS(1505),
    [anon_sym_GT_EQ] = ACTIONS(1505),
    [anon_sym_PIPE] = ACTIONS(1505),
    [anon_sym_LF] = ACTIONS(1503),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_SLASH] = ACTIONS(1505),
    [anon_sym_default] = ACTIONS(1505),
    [anon_sym_AMP_AMP] = ACTIONS(1505),
    [anon_sym_STAR] = ACTIONS(1505),
    [anon_sym_SEMI] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [anon_sym_GT_GT] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1505),
    [sym_comment] = ACTIONS(61),
  },
  [723] = {
    [anon_sym_RBRACE] = ACTIONS(1513),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PERCENT] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE_PIPE] = ACTIONS(1513),
    [anon_sym_GT] = ACTIONS(1513),
    [anon_sym_AMP_CARET] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1513),
    [anon_sym_DOT] = ACTIONS(1513),
    [anon_sym_EQ_EQ] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1513),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_COMMA] = ACTIONS(1513),
    [anon_sym_GT_EQ] = ACTIONS(1513),
    [anon_sym_PIPE] = ACTIONS(1513),
    [anon_sym_LF] = ACTIONS(1511),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1513),
    [anon_sym_LPAREN] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_LT] = ACTIONS(1513),
    [sym_comment] = ACTIONS(61),
  },
  [724] = {
    [anon_sym_RBRACE] = ACTIONS(1521),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_PERCENT] = ACTIONS(1521),
    [anon_sym_CARET] = ACTIONS(1521),
    [anon_sym_PIPE_PIPE] = ACTIONS(1521),
    [anon_sym_GT] = ACTIONS(1521),
    [anon_sym_AMP_CARET] = ACTIONS(1521),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_DOT] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1521),
    [anon_sym_LBRACK] = ACTIONS(1521),
    [anon_sym_AMP] = ACTIONS(1521),
    [anon_sym_case] = ACTIONS(1521),
    [anon_sym_COMMA] = ACTIONS(1521),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_PIPE] = ACTIONS(1521),
    [anon_sym_LF] = ACTIONS(1519),
    [anon_sym_LT_LT] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1521),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_SLASH] = ACTIONS(1521),
    [anon_sym_default] = ACTIONS(1521),
    [anon_sym_AMP_AMP] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(1521),
    [anon_sym_SEMI] = ACTIONS(1521),
    [anon_sym_LPAREN] = ACTIONS(1521),
    [anon_sym_GT_GT] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1521),
    [sym_comment] = ACTIONS(61),
  },
  [725] = {
    [anon_sym_RBRACE] = ACTIONS(1535),
    [anon_sym_DASH] = ACTIONS(1535),
    [anon_sym_PERCENT] = ACTIONS(1535),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_PIPE_PIPE] = ACTIONS(1535),
    [anon_sym_GT] = ACTIONS(1535),
    [anon_sym_AMP_CARET] = ACTIONS(1535),
    [anon_sym_LT_EQ] = ACTIONS(1535),
    [anon_sym_DOT] = ACTIONS(1535),
    [anon_sym_EQ_EQ] = ACTIONS(1535),
    [anon_sym_LBRACK] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_case] = ACTIONS(1535),
    [anon_sym_COMMA] = ACTIONS(1535),
    [anon_sym_GT_EQ] = ACTIONS(1535),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_LF] = ACTIONS(1533),
    [anon_sym_LT_LT] = ACTIONS(1535),
    [anon_sym_BANG_EQ] = ACTIONS(1535),
    [anon_sym_PLUS] = ACTIONS(1535),
    [anon_sym_SLASH] = ACTIONS(1535),
    [anon_sym_default] = ACTIONS(1535),
    [anon_sym_AMP_AMP] = ACTIONS(1535),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_SEMI] = ACTIONS(1535),
    [anon_sym_LPAREN] = ACTIONS(1535),
    [anon_sym_GT_GT] = ACTIONS(1535),
    [anon_sym_LT] = ACTIONS(1535),
    [sym_comment] = ACTIONS(61),
  },
  [726] = {
    [anon_sym_RBRACE] = ACTIONS(1545),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_PERCENT] = ACTIONS(1545),
    [anon_sym_CARET] = ACTIONS(1545),
    [anon_sym_PIPE_PIPE] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(1545),
    [anon_sym_AMP_CARET] = ACTIONS(1545),
    [anon_sym_LT_EQ] = ACTIONS(1545),
    [anon_sym_DOT] = ACTIONS(1545),
    [anon_sym_EQ_EQ] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1545),
    [anon_sym_AMP] = ACTIONS(1545),
    [anon_sym_case] = ACTIONS(1545),
    [anon_sym_COMMA] = ACTIONS(1545),
    [anon_sym_GT_EQ] = ACTIONS(1545),
    [anon_sym_PIPE] = ACTIONS(1545),
    [anon_sym_LF] = ACTIONS(1543),
    [anon_sym_LT_LT] = ACTIONS(1545),
    [anon_sym_BANG_EQ] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1545),
    [anon_sym_SLASH] = ACTIONS(1545),
    [anon_sym_default] = ACTIONS(1545),
    [anon_sym_AMP_AMP] = ACTIONS(1545),
    [anon_sym_STAR] = ACTIONS(1545),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_LPAREN] = ACTIONS(1545),
    [anon_sym_GT_GT] = ACTIONS(1545),
    [anon_sym_LT] = ACTIONS(1545),
    [sym_comment] = ACTIONS(61),
  },
  [727] = {
    [anon_sym_RBRACE] = ACTIONS(1724),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1724),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_AMP_CARET] = ACTIONS(1724),
    [anon_sym_LT_EQ] = ACTIONS(1724),
    [anon_sym_DOT] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_case] = ACTIONS(1724),
    [anon_sym_COMMA] = ACTIONS(1724),
    [anon_sym_GT_EQ] = ACTIONS(1724),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_LF] = ACTIONS(1722),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_BANG_EQ] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_default] = ACTIONS(1724),
    [anon_sym_AMP_AMP] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_LT] = ACTIONS(1724),
    [sym_comment] = ACTIONS(61),
  },
  [728] = {
    [anon_sym_RBRACE] = ACTIONS(1735),
    [anon_sym_DASH] = ACTIONS(1735),
    [anon_sym_PERCENT] = ACTIONS(1735),
    [anon_sym_CARET] = ACTIONS(1735),
    [anon_sym_PIPE_PIPE] = ACTIONS(1735),
    [anon_sym_GT] = ACTIONS(1735),
    [anon_sym_AMP_CARET] = ACTIONS(1735),
    [anon_sym_LT_EQ] = ACTIONS(1735),
    [anon_sym_DOT] = ACTIONS(1735),
    [anon_sym_EQ_EQ] = ACTIONS(1735),
    [anon_sym_LBRACK] = ACTIONS(1735),
    [anon_sym_AMP] = ACTIONS(1735),
    [anon_sym_case] = ACTIONS(1735),
    [anon_sym_COMMA] = ACTIONS(1735),
    [anon_sym_GT_EQ] = ACTIONS(1735),
    [anon_sym_PIPE] = ACTIONS(1735),
    [anon_sym_LF] = ACTIONS(1733),
    [anon_sym_LT_LT] = ACTIONS(1735),
    [anon_sym_BANG_EQ] = ACTIONS(1735),
    [anon_sym_PLUS] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1735),
    [anon_sym_default] = ACTIONS(1735),
    [anon_sym_AMP_AMP] = ACTIONS(1735),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_SEMI] = ACTIONS(1735),
    [anon_sym_LPAREN] = ACTIONS(1735),
    [anon_sym_GT_GT] = ACTIONS(1735),
    [anon_sym_LT] = ACTIONS(1735),
    [sym_comment] = ACTIONS(61),
  },
  [729] = {
    [anon_sym_RBRACE] = ACTIONS(1741),
    [anon_sym_DASH] = ACTIONS(1741),
    [anon_sym_PERCENT] = ACTIONS(1741),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_PIPE_PIPE] = ACTIONS(1741),
    [anon_sym_GT] = ACTIONS(1741),
    [anon_sym_AMP_CARET] = ACTIONS(1741),
    [anon_sym_LT_EQ] = ACTIONS(1741),
    [anon_sym_DOT] = ACTIONS(1741),
    [anon_sym_EQ_EQ] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(1741),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_case] = ACTIONS(1741),
    [anon_sym_COMMA] = ACTIONS(1741),
    [anon_sym_GT_EQ] = ACTIONS(1741),
    [anon_sym_PIPE] = ACTIONS(1741),
    [anon_sym_LF] = ACTIONS(1739),
    [anon_sym_LT_LT] = ACTIONS(1741),
    [anon_sym_BANG_EQ] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1741),
    [anon_sym_SLASH] = ACTIONS(1741),
    [anon_sym_default] = ACTIONS(1741),
    [anon_sym_AMP_AMP] = ACTIONS(1741),
    [anon_sym_STAR] = ACTIONS(1741),
    [anon_sym_SEMI] = ACTIONS(1741),
    [anon_sym_LPAREN] = ACTIONS(1741),
    [anon_sym_GT_GT] = ACTIONS(1741),
    [anon_sym_LT] = ACTIONS(1741),
    [sym_comment] = ACTIONS(61),
  },
  [730] = {
    [anon_sym_RBRACE] = ACTIONS(1745),
    [anon_sym_DASH] = ACTIONS(1745),
    [anon_sym_PERCENT] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1745),
    [anon_sym_PIPE_PIPE] = ACTIONS(1745),
    [anon_sym_GT] = ACTIONS(1745),
    [anon_sym_AMP_CARET] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1745),
    [anon_sym_DOT] = ACTIONS(1745),
    [anon_sym_EQ_EQ] = ACTIONS(1745),
    [anon_sym_LBRACK] = ACTIONS(1745),
    [anon_sym_AMP] = ACTIONS(1745),
    [anon_sym_case] = ACTIONS(1745),
    [anon_sym_COMMA] = ACTIONS(1745),
    [anon_sym_GT_EQ] = ACTIONS(1745),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_LF] = ACTIONS(1743),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_BANG_EQ] = ACTIONS(1745),
    [anon_sym_PLUS] = ACTIONS(1745),
    [anon_sym_SLASH] = ACTIONS(1745),
    [anon_sym_default] = ACTIONS(1745),
    [anon_sym_AMP_AMP] = ACTIONS(1745),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_SEMI] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_LT] = ACTIONS(1745),
    [sym_comment] = ACTIONS(61),
  },
  [731] = {
    [anon_sym_RBRACE] = ACTIONS(1757),
    [anon_sym_DASH] = ACTIONS(1757),
    [anon_sym_PERCENT] = ACTIONS(1757),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_PIPE_PIPE] = ACTIONS(1757),
    [anon_sym_GT] = ACTIONS(1757),
    [anon_sym_AMP_CARET] = ACTIONS(1757),
    [anon_sym_LT_EQ] = ACTIONS(1757),
    [anon_sym_DOT] = ACTIONS(1757),
    [anon_sym_EQ_EQ] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1757),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_case] = ACTIONS(1757),
    [anon_sym_COMMA] = ACTIONS(1757),
    [anon_sym_GT_EQ] = ACTIONS(1757),
    [anon_sym_PIPE] = ACTIONS(1757),
    [anon_sym_LF] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1757),
    [anon_sym_BANG_EQ] = ACTIONS(1757),
    [anon_sym_PLUS] = ACTIONS(1757),
    [anon_sym_SLASH] = ACTIONS(1757),
    [anon_sym_default] = ACTIONS(1757),
    [anon_sym_AMP_AMP] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1757),
    [anon_sym_LPAREN] = ACTIONS(1757),
    [anon_sym_GT_GT] = ACTIONS(1757),
    [anon_sym_LT] = ACTIONS(1757),
    [sym_comment] = ACTIONS(61),
  },
  [732] = {
    [anon_sym_RBRACE] = ACTIONS(1768),
    [anon_sym_DASH] = ACTIONS(1768),
    [anon_sym_PERCENT] = ACTIONS(1768),
    [anon_sym_CARET] = ACTIONS(1768),
    [anon_sym_PIPE_PIPE] = ACTIONS(1768),
    [anon_sym_GT] = ACTIONS(1768),
    [anon_sym_AMP_CARET] = ACTIONS(1768),
    [anon_sym_LT_EQ] = ACTIONS(1768),
    [anon_sym_DOT] = ACTIONS(1768),
    [anon_sym_EQ_EQ] = ACTIONS(1768),
    [anon_sym_LBRACK] = ACTIONS(1768),
    [anon_sym_AMP] = ACTIONS(1768),
    [anon_sym_case] = ACTIONS(1768),
    [anon_sym_COMMA] = ACTIONS(1768),
    [anon_sym_GT_EQ] = ACTIONS(1768),
    [anon_sym_PIPE] = ACTIONS(1768),
    [anon_sym_LF] = ACTIONS(1766),
    [anon_sym_LT_LT] = ACTIONS(1768),
    [anon_sym_BANG_EQ] = ACTIONS(1768),
    [anon_sym_PLUS] = ACTIONS(1768),
    [anon_sym_SLASH] = ACTIONS(1768),
    [anon_sym_default] = ACTIONS(1768),
    [anon_sym_AMP_AMP] = ACTIONS(1768),
    [anon_sym_STAR] = ACTIONS(1768),
    [anon_sym_SEMI] = ACTIONS(1768),
    [anon_sym_LPAREN] = ACTIONS(1768),
    [anon_sym_GT_GT] = ACTIONS(1768),
    [anon_sym_LT] = ACTIONS(1768),
    [sym_comment] = ACTIONS(61),
  },
  [733] = {
    [anon_sym_RBRACE] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_AMP_CARET] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_EQ_EQ] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1840),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_case] = ACTIONS(1840),
    [anon_sym_COMMA] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1840),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_LF] = ACTIONS(1838),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_default] = ACTIONS(1840),
    [anon_sym_AMP_AMP] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SEMI] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1840),
    [anon_sym_GT_GT] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [sym_comment] = ACTIONS(61),
  },
  [734] = {
    [anon_sym_RBRACE] = ACTIONS(1844),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_PERCENT] = ACTIONS(1844),
    [anon_sym_CARET] = ACTIONS(1844),
    [anon_sym_PIPE_PIPE] = ACTIONS(1844),
    [anon_sym_GT] = ACTIONS(1844),
    [anon_sym_AMP_CARET] = ACTIONS(1844),
    [anon_sym_LT_EQ] = ACTIONS(1844),
    [anon_sym_DOT] = ACTIONS(1844),
    [anon_sym_EQ_EQ] = ACTIONS(1844),
    [anon_sym_LBRACK] = ACTIONS(1844),
    [anon_sym_AMP] = ACTIONS(1844),
    [anon_sym_case] = ACTIONS(1844),
    [anon_sym_COMMA] = ACTIONS(1844),
    [anon_sym_GT_EQ] = ACTIONS(1844),
    [anon_sym_PIPE] = ACTIONS(1844),
    [anon_sym_LF] = ACTIONS(1842),
    [anon_sym_LT_LT] = ACTIONS(1844),
    [anon_sym_BANG_EQ] = ACTIONS(1844),
    [anon_sym_PLUS] = ACTIONS(1844),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_default] = ACTIONS(1844),
    [anon_sym_AMP_AMP] = ACTIONS(1844),
    [anon_sym_STAR] = ACTIONS(1844),
    [anon_sym_SEMI] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1844),
    [anon_sym_GT_GT] = ACTIONS(1844),
    [anon_sym_LT] = ACTIONS(1844),
    [sym_comment] = ACTIONS(61),
  },
  [735] = {
    [anon_sym_RBRACE] = ACTIONS(1850),
    [anon_sym_DASH] = ACTIONS(1850),
    [anon_sym_PERCENT] = ACTIONS(1850),
    [anon_sym_CARET] = ACTIONS(1850),
    [anon_sym_PIPE_PIPE] = ACTIONS(1850),
    [anon_sym_GT] = ACTIONS(1850),
    [anon_sym_AMP_CARET] = ACTIONS(1850),
    [anon_sym_LT_EQ] = ACTIONS(1850),
    [anon_sym_DOT] = ACTIONS(1850),
    [anon_sym_EQ_EQ] = ACTIONS(1850),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_AMP] = ACTIONS(1850),
    [anon_sym_case] = ACTIONS(1850),
    [anon_sym_COMMA] = ACTIONS(1850),
    [anon_sym_GT_EQ] = ACTIONS(1850),
    [anon_sym_PIPE] = ACTIONS(1850),
    [anon_sym_LF] = ACTIONS(1848),
    [anon_sym_LT_LT] = ACTIONS(1850),
    [anon_sym_BANG_EQ] = ACTIONS(1850),
    [anon_sym_PLUS] = ACTIONS(1850),
    [anon_sym_SLASH] = ACTIONS(1850),
    [anon_sym_default] = ACTIONS(1850),
    [anon_sym_AMP_AMP] = ACTIONS(1850),
    [anon_sym_STAR] = ACTIONS(1850),
    [anon_sym_SEMI] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_GT_GT] = ACTIONS(1850),
    [anon_sym_LT] = ACTIONS(1850),
    [sym_comment] = ACTIONS(61),
  },
  [736] = {
    [anon_sym_RBRACE] = ACTIONS(1858),
    [anon_sym_DASH] = ACTIONS(1858),
    [anon_sym_PERCENT] = ACTIONS(1858),
    [anon_sym_CARET] = ACTIONS(1858),
    [anon_sym_PIPE_PIPE] = ACTIONS(1858),
    [anon_sym_GT] = ACTIONS(1858),
    [anon_sym_AMP_CARET] = ACTIONS(1858),
    [anon_sym_LT_EQ] = ACTIONS(1858),
    [anon_sym_DOT] = ACTIONS(1858),
    [anon_sym_EQ_EQ] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym_case] = ACTIONS(1858),
    [anon_sym_COMMA] = ACTIONS(1858),
    [anon_sym_GT_EQ] = ACTIONS(1858),
    [anon_sym_PIPE] = ACTIONS(1858),
    [anon_sym_LF] = ACTIONS(1856),
    [anon_sym_LT_LT] = ACTIONS(1858),
    [anon_sym_BANG_EQ] = ACTIONS(1858),
    [anon_sym_PLUS] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1858),
    [anon_sym_default] = ACTIONS(1858),
    [anon_sym_AMP_AMP] = ACTIONS(1858),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_SEMI] = ACTIONS(1858),
    [anon_sym_LPAREN] = ACTIONS(1858),
    [anon_sym_GT_GT] = ACTIONS(1858),
    [anon_sym_LT] = ACTIONS(1858),
    [sym_comment] = ACTIONS(61),
  },
  [737] = {
    [anon_sym_RBRACE] = ACTIONS(1888),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PERCENT] = ACTIONS(1888),
    [anon_sym_CARET] = ACTIONS(1888),
    [anon_sym_PIPE_PIPE] = ACTIONS(1888),
    [anon_sym_GT] = ACTIONS(1888),
    [anon_sym_AMP_CARET] = ACTIONS(1888),
    [anon_sym_LT_EQ] = ACTIONS(1888),
    [anon_sym_DOT] = ACTIONS(1888),
    [anon_sym_EQ_EQ] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1888),
    [anon_sym_AMP] = ACTIONS(1888),
    [anon_sym_case] = ACTIONS(1888),
    [anon_sym_COMMA] = ACTIONS(1888),
    [anon_sym_GT_EQ] = ACTIONS(1888),
    [anon_sym_PIPE] = ACTIONS(1888),
    [anon_sym_LF] = ACTIONS(1886),
    [anon_sym_LT_LT] = ACTIONS(1888),
    [anon_sym_BANG_EQ] = ACTIONS(1888),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_SLASH] = ACTIONS(1888),
    [anon_sym_default] = ACTIONS(1888),
    [anon_sym_AMP_AMP] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(1888),
    [anon_sym_SEMI] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1888),
    [anon_sym_GT_GT] = ACTIONS(1888),
    [anon_sym_LT] = ACTIONS(1888),
    [sym_comment] = ACTIONS(61),
  },
  [738] = {
    [anon_sym_RBRACE] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1913),
    [anon_sym_PIPE_PIPE] = ACTIONS(1913),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_AMP_CARET] = ACTIONS(1913),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_DOT] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_case] = ACTIONS(1913),
    [anon_sym_COMMA] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1913),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_LF] = ACTIONS(1911),
    [anon_sym_LT_LT] = ACTIONS(1913),
    [anon_sym_BANG_EQ] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_default] = ACTIONS(1913),
    [anon_sym_AMP_AMP] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1913),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_GT_GT] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1913),
    [sym_comment] = ACTIONS(61),
  },
  [739] = {
    [anon_sym_PLUS_EQ] = ACTIONS(318),
    [anon_sym_GT_GT_EQ] = ACTIONS(318),
    [anon_sym_PIPE_EQ] = ACTIONS(318),
    [anon_sym_DASH] = ACTIONS(316),
    [anon_sym_PERCENT] = ACTIONS(316),
    [anon_sym_CARET] = ACTIONS(316),
    [anon_sym_PIPE_PIPE] = ACTIONS(318),
    [anon_sym_GT] = ACTIONS(316),
    [anon_sym_AMP_CARET] = ACTIONS(316),
    [anon_sym_LT_EQ] = ACTIONS(318),
    [anon_sym_DOT] = ACTIONS(318),
    [anon_sym_COLON_EQ] = ACTIONS(318),
    [anon_sym_PERCENT_EQ] = ACTIONS(318),
    [anon_sym_EQ_EQ] = ACTIONS(318),
    [anon_sym_LBRACK] = ACTIONS(318),
    [anon_sym_AMP_EQ] = ACTIONS(318),
    [anon_sym_CARET_EQ] = ACTIONS(318),
    [anon_sym_AMP] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(318),
    [anon_sym_GT_EQ] = ACTIONS(318),
    [anon_sym_PIPE] = ACTIONS(316),
    [anon_sym_LT_LT] = ACTIONS(316),
    [anon_sym_BANG_EQ] = ACTIONS(318),
    [anon_sym_LT_LT_EQ] = ACTIONS(318),
    [anon_sym_STAR_EQ] = ACTIONS(318),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(318),
    [anon_sym_DASH_EQ] = ACTIONS(318),
    [anon_sym_PLUS] = ACTIONS(316),
    [anon_sym_SLASH] = ACTIONS(316),
    [anon_sym_EQ] = ACTIONS(316),
    [anon_sym_STAR] = ACTIONS(316),
    [anon_sym_AMP_AMP] = ACTIONS(318),
    [anon_sym_GT_GT] = ACTIONS(316),
    [anon_sym_LPAREN] = ACTIONS(318),
    [anon_sym_LT] = ACTIONS(316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(318),
  },
  [740] = {
    [sym_type_conversion_expression] = STATE(747),
    [sym_composite_literal] = STATE(747),
    [sym_unary_expression] = STATE(747),
    [sym_slice_type] = STATE(1115),
    [sym_binary_expression] = STATE(747),
    [sym__string_literal] = STATE(747),
    [sym_implicit_length_array_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(747),
    [sym__expression] = STATE(747),
    [sym_parenthesized_expression] = STATE(747),
    [sym_selector_expression] = STATE(747),
    [sym_index_expression] = STATE(747),
    [sym_parenthesized_type] = STATE(1283),
    [sym__simple_type] = STATE(1283),
    [sym_qualified_type] = STATE(1115),
    [sym_struct_type] = STATE(1115),
    [sym_map_type] = STATE(1115),
    [sym_channel_type] = STATE(1283),
    [sym_call_expression] = STATE(747),
    [sym_slice_expression] = STATE(747),
    [sym_type_assertion_expression] = STATE(747),
    [sym_pointer_type] = STATE(1283),
    [sym_array_type] = STATE(1115),
    [sym_func_literal] = STATE(747),
    [sym_interface_type] = STATE(1283),
    [sym_function_type] = STATE(1283),
    [sym_rune_literal] = ACTIONS(2141),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(686),
    [anon_sym_CARET] = ACTIONS(686),
    [sym_raw_string_literal] = ACTIONS(2141),
    [sym_imaginary_literal] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2143),
    [anon_sym_BANG] = ACTIONS(686),
    [anon_sym_make] = ACTIONS(688),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_new] = ACTIONS(688),
    [anon_sym_DQUOTE] = ACTIONS(692),
    [sym_int_literal] = ACTIONS(2143),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2143),
    [anon_sym_PLUS] = ACTIONS(686),
    [anon_sym_STAR] = ACTIONS(694),
    [sym_identifier] = ACTIONS(696),
    [anon_sym_func] = ACTIONS(702),
    [anon_sym_LPAREN] = ACTIONS(700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(704),
    [sym_float_literal] = ACTIONS(2143),
    [sym_false] = ACTIONS(2143),
  },
  [741] = {
    [sym_type_conversion_expression] = STATE(747),
    [sym_composite_literal] = STATE(747),
    [sym_unary_expression] = STATE(747),
    [sym_slice_type] = STATE(1115),
    [sym_binary_expression] = STATE(747),
    [sym__string_literal] = STATE(747),
    [sym_implicit_length_array_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(747),
    [sym__expression] = STATE(747),
    [sym_parenthesized_expression] = STATE(747),
    [sym_selector_expression] = STATE(747),
    [sym_index_expression] = STATE(747),
    [sym_parenthesized_type] = STATE(158),
    [sym__simple_type] = STATE(158),
    [sym_qualified_type] = STATE(1115),
    [sym_struct_type] = STATE(1115),
    [sym_map_type] = STATE(1115),
    [sym_channel_type] = STATE(158),
    [sym_call_expression] = STATE(747),
    [sym_slice_expression] = STATE(747),
    [sym_type_assertion_expression] = STATE(747),
    [sym_pointer_type] = STATE(158),
    [sym_array_type] = STATE(1115),
    [sym_func_literal] = STATE(747),
    [sym_interface_type] = STATE(158),
    [sym_function_type] = STATE(158),
    [sym_rune_literal] = ACTIONS(2141),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(686),
    [anon_sym_CARET] = ACTIONS(686),
    [sym_raw_string_literal] = ACTIONS(2141),
    [sym_imaginary_literal] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2143),
    [anon_sym_BANG] = ACTIONS(686),
    [anon_sym_make] = ACTIONS(688),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_new] = ACTIONS(688),
    [anon_sym_DQUOTE] = ACTIONS(692),
    [sym_int_literal] = ACTIONS(2143),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2143),
    [anon_sym_PLUS] = ACTIONS(686),
    [anon_sym_STAR] = ACTIONS(694),
    [sym_identifier] = ACTIONS(696),
    [anon_sym_func] = ACTIONS(702),
    [anon_sym_LPAREN] = ACTIONS(700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(704),
    [sym_float_literal] = ACTIONS(2143),
    [sym_false] = ACTIONS(2143),
  },
  [742] = {
    [sym_literal_value] = STATE(748),
    [anon_sym_GT_GT_EQ] = ACTIONS(456),
    [anon_sym_DASH] = ACTIONS(458),
    [anon_sym_CARET] = ACTIONS(458),
    [anon_sym_PIPE_PIPE] = ACTIONS(456),
    [anon_sym_LT_EQ] = ACTIONS(456),
    [anon_sym_DOT] = ACTIONS(460),
    [anon_sym_PERCENT_EQ] = ACTIONS(456),
    [anon_sym_LBRACK] = ACTIONS(456),
    [anon_sym_AMP_EQ] = ACTIONS(456),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(456),
    [anon_sym_LT_LT] = ACTIONS(458),
    [anon_sym_LT_LT_EQ] = ACTIONS(456),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(456),
    [anon_sym_DASH_EQ] = ACTIONS(456),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_EQ] = ACTIONS(458),
    [anon_sym_GT_GT] = ACTIONS(458),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LT_DASH] = ACTIONS(456),
    [anon_sym_PLUS_EQ] = ACTIONS(456),
    [anon_sym_PIPE_EQ] = ACTIONS(456),
    [anon_sym_PERCENT] = ACTIONS(458),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_AMP_CARET] = ACTIONS(458),
    [anon_sym_EQ_EQ] = ACTIONS(456),
    [anon_sym_COLON_EQ] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_CARET_EQ] = ACTIONS(456),
    [anon_sym_GT_EQ] = ACTIONS(456),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_BANG_EQ] = ACTIONS(456),
    [anon_sym_PLUS_PLUS] = ACTIONS(456),
    [anon_sym_STAR_EQ] = ACTIONS(456),
    [anon_sym_PLUS] = ACTIONS(458),
    [anon_sym_AMP_AMP] = ACTIONS(456),
    [anon_sym_STAR] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(456),
    [anon_sym_LT] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(456),
  },
  [743] = {
    [sym_type_conversion_expression] = STATE(696),
    [sym_composite_literal] = STATE(696),
    [sym_unary_expression] = STATE(696),
    [sym_slice_type] = STATE(1080),
    [sym_binary_expression] = STATE(696),
    [sym__string_literal] = STATE(696),
    [sym_implicit_length_array_type] = STATE(1081),
    [sym_interpreted_string_literal] = STATE(696),
    [sym__expression] = STATE(696),
    [sym_parenthesized_expression] = STATE(696),
    [sym_selector_expression] = STATE(696),
    [sym_index_expression] = STATE(696),
    [sym_parenthesized_type] = STATE(1282),
    [sym__simple_type] = STATE(1282),
    [sym_qualified_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1282),
    [sym_call_expression] = STATE(696),
    [sym_slice_expression] = STATE(696),
    [sym_type_assertion_expression] = STATE(696),
    [sym_pointer_type] = STATE(1282),
    [sym_array_type] = STATE(1080),
    [sym_func_literal] = STATE(696),
    [sym_interface_type] = STATE(1282),
    [sym_function_type] = STATE(1282),
    [sym_rune_literal] = ACTIONS(2114),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_CARET] = ACTIONS(660),
    [sym_raw_string_literal] = ACTIONS(2114),
    [sym_imaginary_literal] = ACTIONS(2114),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2116),
    [anon_sym_BANG] = ACTIONS(660),
    [anon_sym_make] = ACTIONS(664),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(2116),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2116),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_STAR] = ACTIONS(668),
    [sym_identifier] = ACTIONS(670),
    [anon_sym_func] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(674),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(676),
    [sym_float_literal] = ACTIONS(2116),
    [sym_false] = ACTIONS(2116),
  },
  [744] = {
    [sym_special_argument_list] = STATE(749),
    [anon_sym_GT_GT_EQ] = ACTIONS(456),
    [anon_sym_DASH] = ACTIONS(458),
    [anon_sym_CARET] = ACTIONS(458),
    [anon_sym_PIPE_PIPE] = ACTIONS(456),
    [anon_sym_LT_EQ] = ACTIONS(456),
    [anon_sym_DOT] = ACTIONS(456),
    [anon_sym_PERCENT_EQ] = ACTIONS(456),
    [anon_sym_LBRACK] = ACTIONS(456),
    [anon_sym_AMP_EQ] = ACTIONS(456),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(456),
    [anon_sym_LT_LT] = ACTIONS(458),
    [anon_sym_LT_LT_EQ] = ACTIONS(456),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(456),
    [anon_sym_DASH_EQ] = ACTIONS(456),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_EQ] = ACTIONS(458),
    [anon_sym_GT_GT] = ACTIONS(458),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LT_DASH] = ACTIONS(456),
    [anon_sym_PLUS_EQ] = ACTIONS(456),
    [anon_sym_PIPE_EQ] = ACTIONS(456),
    [anon_sym_PERCENT] = ACTIONS(458),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_AMP_CARET] = ACTIONS(458),
    [anon_sym_EQ_EQ] = ACTIONS(456),
    [anon_sym_COLON_EQ] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_CARET_EQ] = ACTIONS(456),
    [anon_sym_GT_EQ] = ACTIONS(456),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_BANG_EQ] = ACTIONS(456),
    [anon_sym_PLUS_PLUS] = ACTIONS(456),
    [anon_sym_STAR_EQ] = ACTIONS(456),
    [anon_sym_PLUS] = ACTIONS(458),
    [anon_sym_AMP_AMP] = ACTIONS(456),
    [anon_sym_STAR] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(456),
    [anon_sym_LT] = ACTIONS(458),
    [anon_sym_DASH_DASH] = ACTIONS(456),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(456),
  },
  [745] = {
    [anon_sym_PLUS_EQ] = ACTIONS(586),
    [anon_sym_GT_GT_EQ] = ACTIONS(586),
    [anon_sym_PIPE_EQ] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(584),
    [anon_sym_CARET] = ACTIONS(584),
    [anon_sym_PIPE_PIPE] = ACTIONS(586),
    [anon_sym_GT] = ACTIONS(584),
    [anon_sym_AMP_CARET] = ACTIONS(584),
    [anon_sym_LT_EQ] = ACTIONS(586),
    [anon_sym_DOT] = ACTIONS(586),
    [anon_sym_COLON_EQ] = ACTIONS(586),
    [anon_sym_PERCENT_EQ] = ACTIONS(586),
    [anon_sym_EQ_EQ] = ACTIONS(586),
    [anon_sym_LBRACK] = ACTIONS(586),
    [anon_sym_AMP_EQ] = ACTIONS(586),
    [anon_sym_CARET_EQ] = ACTIONS(586),
    [anon_sym_AMP] = ACTIONS(584),
    [anon_sym_COMMA] = ACTIONS(586),
    [anon_sym_GT_EQ] = ACTIONS(586),
    [anon_sym_PIPE] = ACTIONS(584),
    [anon_sym_LT_LT] = ACTIONS(584),
    [anon_sym_BANG_EQ] = ACTIONS(586),
    [anon_sym_LT_LT_EQ] = ACTIONS(586),
    [anon_sym_STAR_EQ] = ACTIONS(586),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(586),
    [anon_sym_DASH_EQ] = ACTIONS(586),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_EQ] = ACTIONS(584),
    [anon_sym_STAR] = ACTIONS(584),
    [anon_sym_AMP_AMP] = ACTIONS(586),
    [anon_sym_GT_GT] = ACTIONS(584),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_LT] = ACTIONS(584),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(586),
  },
  [746] = {
    [anon_sym_PLUS_EQ] = ACTIONS(680),
    [anon_sym_GT_GT_EQ] = ACTIONS(680),
    [anon_sym_PIPE_EQ] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(678),
    [anon_sym_PERCENT] = ACTIONS(678),
    [anon_sym_CARET] = ACTIONS(678),
    [anon_sym_PIPE_PIPE] = ACTIONS(680),
    [anon_sym_GT] = ACTIONS(678),
    [anon_sym_AMP_CARET] = ACTIONS(678),
    [anon_sym_LT_EQ] = ACTIONS(680),
    [anon_sym_DOT] = ACTIONS(680),
    [anon_sym_COLON_EQ] = ACTIONS(680),
    [anon_sym_PERCENT_EQ] = ACTIONS(680),
    [anon_sym_EQ_EQ] = ACTIONS(680),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_AMP_EQ] = ACTIONS(680),
    [anon_sym_CARET_EQ] = ACTIONS(680),
    [anon_sym_AMP] = ACTIONS(678),
    [anon_sym_COMMA] = ACTIONS(680),
    [anon_sym_GT_EQ] = ACTIONS(680),
    [anon_sym_PIPE] = ACTIONS(678),
    [anon_sym_LT_LT] = ACTIONS(678),
    [anon_sym_BANG_EQ] = ACTIONS(680),
    [anon_sym_LT_LT_EQ] = ACTIONS(680),
    [anon_sym_STAR_EQ] = ACTIONS(680),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(680),
    [anon_sym_DASH_EQ] = ACTIONS(680),
    [anon_sym_PLUS] = ACTIONS(678),
    [anon_sym_SLASH] = ACTIONS(678),
    [anon_sym_EQ] = ACTIONS(678),
    [anon_sym_STAR] = ACTIONS(678),
    [anon_sym_AMP_AMP] = ACTIONS(680),
    [anon_sym_GT_GT] = ACTIONS(678),
    [anon_sym_LPAREN] = ACTIONS(680),
    [anon_sym_LT] = ACTIONS(678),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(680),
  },
  [747] = {
    [sym_argument_list] = STATE(749),
    [anon_sym_GT_GT_EQ] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(812),
    [anon_sym_CARET] = ACTIONS(812),
    [anon_sym_PIPE_PIPE] = ACTIONS(810),
    [anon_sym_LT_EQ] = ACTIONS(810),
    [anon_sym_DOT] = ACTIONS(1080),
    [anon_sym_PERCENT_EQ] = ACTIONS(810),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [anon_sym_AMP_EQ] = ACTIONS(810),
    [anon_sym_AMP] = ACTIONS(812),
    [anon_sym_COMMA] = ACTIONS(810),
    [anon_sym_LT_LT] = ACTIONS(812),
    [anon_sym_LT_LT_EQ] = ACTIONS(810),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(810),
    [anon_sym_DASH_EQ] = ACTIONS(810),
    [anon_sym_SLASH] = ACTIONS(812),
    [anon_sym_EQ] = ACTIONS(812),
    [anon_sym_GT_GT] = ACTIONS(812),
    [anon_sym_LPAREN] = ACTIONS(1088),
    [anon_sym_LT_DASH] = ACTIONS(810),
    [anon_sym_PLUS_EQ] = ACTIONS(810),
    [anon_sym_PIPE_EQ] = ACTIONS(810),
    [anon_sym_PERCENT] = ACTIONS(812),
    [anon_sym_GT] = ACTIONS(812),
    [anon_sym_AMP_CARET] = ACTIONS(812),
    [anon_sym_EQ_EQ] = ACTIONS(810),
    [anon_sym_COLON_EQ] = ACTIONS(810),
    [anon_sym_LBRACE] = ACTIONS(810),
    [anon_sym_CARET_EQ] = ACTIONS(810),
    [anon_sym_GT_EQ] = ACTIONS(810),
    [anon_sym_PIPE] = ACTIONS(812),
    [anon_sym_BANG_EQ] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(810),
    [anon_sym_STAR_EQ] = ACTIONS(810),
    [anon_sym_PLUS] = ACTIONS(812),
    [anon_sym_AMP_AMP] = ACTIONS(810),
    [anon_sym_STAR] = ACTIONS(812),
    [anon_sym_SEMI] = ACTIONS(810),
    [anon_sym_LT] = ACTIONS(812),
    [anon_sym_DASH_DASH] = ACTIONS(810),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(810),
  },
  [748] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(828),
    [anon_sym_DASH] = ACTIONS(830),
    [anon_sym_CARET] = ACTIONS(830),
    [anon_sym_PIPE_PIPE] = ACTIONS(828),
    [anon_sym_LT_EQ] = ACTIONS(828),
    [anon_sym_DOT] = ACTIONS(828),
    [anon_sym_PERCENT_EQ] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(828),
    [anon_sym_AMP_EQ] = ACTIONS(828),
    [anon_sym_AMP] = ACTIONS(830),
    [anon_sym_COMMA] = ACTIONS(828),
    [anon_sym_LT_LT] = ACTIONS(830),
    [anon_sym_LT_LT_EQ] = ACTIONS(828),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(828),
    [anon_sym_DASH_EQ] = ACTIONS(828),
    [anon_sym_SLASH] = ACTIONS(830),
    [anon_sym_EQ] = ACTIONS(830),
    [anon_sym_GT_GT] = ACTIONS(830),
    [anon_sym_LPAREN] = ACTIONS(828),
    [anon_sym_LT_DASH] = ACTIONS(828),
    [anon_sym_PLUS_EQ] = ACTIONS(828),
    [anon_sym_PIPE_EQ] = ACTIONS(828),
    [anon_sym_PERCENT] = ACTIONS(830),
    [anon_sym_GT] = ACTIONS(830),
    [anon_sym_AMP_CARET] = ACTIONS(830),
    [anon_sym_EQ_EQ] = ACTIONS(828),
    [anon_sym_COLON_EQ] = ACTIONS(828),
    [anon_sym_LBRACE] = ACTIONS(828),
    [anon_sym_CARET_EQ] = ACTIONS(828),
    [anon_sym_GT_EQ] = ACTIONS(828),
    [anon_sym_PIPE] = ACTIONS(830),
    [anon_sym_BANG_EQ] = ACTIONS(828),
    [anon_sym_PLUS_PLUS] = ACTIONS(828),
    [anon_sym_STAR_EQ] = ACTIONS(828),
    [anon_sym_PLUS] = ACTIONS(830),
    [anon_sym_AMP_AMP] = ACTIONS(828),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_SEMI] = ACTIONS(828),
    [anon_sym_LT] = ACTIONS(830),
    [anon_sym_DASH_DASH] = ACTIONS(828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(828),
  },
  [749] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(867),
    [anon_sym_CARET] = ACTIONS(867),
    [anon_sym_PIPE_PIPE] = ACTIONS(865),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_DOT] = ACTIONS(865),
    [anon_sym_PERCENT_EQ] = ACTIONS(865),
    [anon_sym_LBRACK] = ACTIONS(865),
    [anon_sym_AMP_EQ] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(867),
    [anon_sym_COMMA] = ACTIONS(865),
    [anon_sym_LT_LT] = ACTIONS(867),
    [anon_sym_LT_LT_EQ] = ACTIONS(865),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(865),
    [anon_sym_DASH_EQ] = ACTIONS(865),
    [anon_sym_SLASH] = ACTIONS(867),
    [anon_sym_EQ] = ACTIONS(867),
    [anon_sym_GT_GT] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(865),
    [anon_sym_LT_DASH] = ACTIONS(865),
    [anon_sym_PLUS_EQ] = ACTIONS(865),
    [anon_sym_PIPE_EQ] = ACTIONS(865),
    [anon_sym_PERCENT] = ACTIONS(867),
    [anon_sym_GT] = ACTIONS(867),
    [anon_sym_AMP_CARET] = ACTIONS(867),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_COLON_EQ] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_CARET_EQ] = ACTIONS(865),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_PLUS_PLUS] = ACTIONS(865),
    [anon_sym_STAR_EQ] = ACTIONS(865),
    [anon_sym_PLUS] = ACTIONS(867),
    [anon_sym_AMP_AMP] = ACTIONS(865),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_SEMI] = ACTIONS(865),
    [anon_sym_LT] = ACTIONS(867),
    [anon_sym_DASH_DASH] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(865),
  },
  [750] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [anon_sym_PIPE_PIPE] = ACTIONS(869),
    [anon_sym_LT_EQ] = ACTIONS(869),
    [anon_sym_DOT] = ACTIONS(869),
    [anon_sym_PERCENT_EQ] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_AMP_EQ] = ACTIONS(869),
    [anon_sym_AMP] = ACTIONS(871),
    [anon_sym_COMMA] = ACTIONS(869),
    [anon_sym_LT_LT] = ACTIONS(871),
    [anon_sym_LT_LT_EQ] = ACTIONS(869),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(869),
    [anon_sym_DASH_EQ] = ACTIONS(869),
    [anon_sym_SLASH] = ACTIONS(871),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_GT_GT] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LT_DASH] = ACTIONS(869),
    [anon_sym_PLUS_EQ] = ACTIONS(869),
    [anon_sym_PIPE_EQ] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(871),
    [anon_sym_GT] = ACTIONS(871),
    [anon_sym_AMP_CARET] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(869),
    [anon_sym_COLON_EQ] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_CARET_EQ] = ACTIONS(869),
    [anon_sym_GT_EQ] = ACTIONS(869),
    [anon_sym_PIPE] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(869),
    [anon_sym_PLUS_PLUS] = ACTIONS(869),
    [anon_sym_STAR_EQ] = ACTIONS(869),
    [anon_sym_PLUS] = ACTIONS(871),
    [anon_sym_AMP_AMP] = ACTIONS(869),
    [anon_sym_STAR] = ACTIONS(871),
    [anon_sym_SEMI] = ACTIONS(869),
    [anon_sym_LT] = ACTIONS(871),
    [anon_sym_DASH_DASH] = ACTIONS(869),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(869),
  },
  [751] = {
    [sym_type_conversion_expression] = STATE(761),
    [sym_composite_literal] = STATE(761),
    [sym_unary_expression] = STATE(761),
    [sym_slice_type] = STATE(1080),
    [sym_binary_expression] = STATE(761),
    [sym__string_literal] = STATE(761),
    [sym_implicit_length_array_type] = STATE(1081),
    [sym_interpreted_string_literal] = STATE(761),
    [sym__expression] = STATE(761),
    [sym_parenthesized_expression] = STATE(761),
    [sym_selector_expression] = STATE(761),
    [sym_index_expression] = STATE(761),
    [sym_parenthesized_type] = STATE(1282),
    [sym__simple_type] = STATE(1282),
    [sym_qualified_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1282),
    [sym_call_expression] = STATE(761),
    [sym_slice_expression] = STATE(761),
    [sym_type_assertion_expression] = STATE(761),
    [sym_pointer_type] = STATE(1282),
    [sym_array_type] = STATE(1080),
    [sym_func_literal] = STATE(761),
    [sym_interface_type] = STATE(1282),
    [sym_function_type] = STATE(1282),
    [sym_rune_literal] = ACTIONS(2147),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_CARET] = ACTIONS(660),
    [sym_raw_string_literal] = ACTIONS(2147),
    [sym_imaginary_literal] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(660),
    [anon_sym_make] = ACTIONS(664),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(2149),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_STAR] = ACTIONS(668),
    [sym_identifier] = ACTIONS(670),
    [anon_sym_func] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(674),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(676),
    [sym_float_literal] = ACTIONS(2149),
    [sym_false] = ACTIONS(2149),
  },
  [752] = {
    [sym_type_conversion_expression] = STATE(762),
    [sym_composite_literal] = STATE(762),
    [sym_unary_expression] = STATE(762),
    [sym_slice_type] = STATE(1080),
    [sym_binary_expression] = STATE(762),
    [sym__string_literal] = STATE(762),
    [sym_implicit_length_array_type] = STATE(1081),
    [sym_interpreted_string_literal] = STATE(762),
    [sym__expression] = STATE(762),
    [sym_parenthesized_expression] = STATE(762),
    [sym_selector_expression] = STATE(762),
    [sym_index_expression] = STATE(762),
    [sym_parenthesized_type] = STATE(1282),
    [sym__simple_type] = STATE(1282),
    [sym_qualified_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1282),
    [sym_call_expression] = STATE(762),
    [sym_slice_expression] = STATE(762),
    [sym_type_assertion_expression] = STATE(762),
    [sym_pointer_type] = STATE(1282),
    [sym_array_type] = STATE(1080),
    [sym_func_literal] = STATE(762),
    [sym_interface_type] = STATE(1282),
    [sym_function_type] = STATE(1282),
    [sym_rune_literal] = ACTIONS(2151),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_CARET] = ACTIONS(660),
    [sym_raw_string_literal] = ACTIONS(2151),
    [sym_imaginary_literal] = ACTIONS(2151),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2153),
    [anon_sym_BANG] = ACTIONS(660),
    [anon_sym_make] = ACTIONS(664),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(2153),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2153),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_STAR] = ACTIONS(668),
    [sym_identifier] = ACTIONS(670),
    [anon_sym_func] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(674),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(676),
    [sym_float_literal] = ACTIONS(2153),
    [sym_false] = ACTIONS(2153),
  },
  [753] = {
    [sym_type_conversion_expression] = STATE(713),
    [sym_composite_literal] = STATE(713),
    [sym_unary_expression] = STATE(713),
    [sym_slice_type] = STATE(1080),
    [sym_binary_expression] = STATE(713),
    [sym__string_literal] = STATE(713),
    [sym_implicit_length_array_type] = STATE(1081),
    [sym_interpreted_string_literal] = STATE(713),
    [sym__expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(713),
    [sym_selector_expression] = STATE(713),
    [sym_index_expression] = STATE(713),
    [sym_parenthesized_type] = STATE(1282),
    [sym__simple_type] = STATE(1282),
    [sym_qualified_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1282),
    [sym_call_expression] = STATE(713),
    [sym_slice_expression] = STATE(713),
    [sym_type_assertion_expression] = STATE(713),
    [sym_pointer_type] = STATE(1282),
    [sym_array_type] = STATE(1080),
    [sym_func_literal] = STATE(713),
    [sym_interface_type] = STATE(1282),
    [sym_function_type] = STATE(1282),
    [sym_rune_literal] = ACTIONS(2155),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_CARET] = ACTIONS(660),
    [sym_raw_string_literal] = ACTIONS(2155),
    [sym_imaginary_literal] = ACTIONS(2155),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2157),
    [anon_sym_BANG] = ACTIONS(660),
    [anon_sym_make] = ACTIONS(664),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(2157),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2157),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_STAR] = ACTIONS(668),
    [sym_identifier] = ACTIONS(670),
    [anon_sym_func] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(674),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(676),
    [sym_float_literal] = ACTIONS(2157),
    [sym_false] = ACTIONS(2157),
  },
  [754] = {
    [sym_type_conversion_expression] = STATE(764),
    [sym_composite_literal] = STATE(764),
    [sym_unary_expression] = STATE(764),
    [sym_slice_type] = STATE(1080),
    [sym_binary_expression] = STATE(764),
    [sym__string_literal] = STATE(764),
    [sym_implicit_length_array_type] = STATE(1081),
    [sym_interpreted_string_literal] = STATE(764),
    [sym__expression] = STATE(764),
    [sym_parenthesized_expression] = STATE(764),
    [sym_selector_expression] = STATE(764),
    [sym_index_expression] = STATE(764),
    [sym_parenthesized_type] = STATE(1282),
    [sym__simple_type] = STATE(1282),
    [sym_qualified_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1282),
    [sym_call_expression] = STATE(764),
    [sym_slice_expression] = STATE(764),
    [sym_type_assertion_expression] = STATE(764),
    [sym_pointer_type] = STATE(1282),
    [sym_array_type] = STATE(1080),
    [sym_func_literal] = STATE(764),
    [sym_interface_type] = STATE(1282),
    [sym_function_type] = STATE(1282),
    [sym_rune_literal] = ACTIONS(2159),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_CARET] = ACTIONS(660),
    [sym_raw_string_literal] = ACTIONS(2159),
    [sym_imaginary_literal] = ACTIONS(2159),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2161),
    [anon_sym_BANG] = ACTIONS(660),
    [anon_sym_make] = ACTIONS(664),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(2161),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2161),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_STAR] = ACTIONS(668),
    [sym_identifier] = ACTIONS(670),
    [anon_sym_func] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(674),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(676),
    [sym_float_literal] = ACTIONS(2161),
    [sym_false] = ACTIONS(2161),
  },
  [755] = {
    [sym_type_conversion_expression] = STATE(766),
    [sym_composite_literal] = STATE(766),
    [sym_unary_expression] = STATE(766),
    [sym_slice_type] = STATE(1080),
    [sym_binary_expression] = STATE(766),
    [sym__string_literal] = STATE(766),
    [sym_implicit_length_array_type] = STATE(1081),
    [sym_interpreted_string_literal] = STATE(766),
    [sym__expression] = STATE(766),
    [sym_parenthesized_expression] = STATE(766),
    [sym_selector_expression] = STATE(766),
    [sym_index_expression] = STATE(766),
    [sym_parenthesized_type] = STATE(1282),
    [sym__simple_type] = STATE(1282),
    [sym_qualified_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1282),
    [sym_call_expression] = STATE(766),
    [sym_slice_expression] = STATE(766),
    [sym_type_assertion_expression] = STATE(766),
    [sym_pointer_type] = STATE(1282),
    [sym_array_type] = STATE(1080),
    [sym_func_literal] = STATE(766),
    [sym_interface_type] = STATE(1282),
    [sym_function_type] = STATE(1282),
    [sym_rune_literal] = ACTIONS(2163),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_CARET] = ACTIONS(660),
    [sym_raw_string_literal] = ACTIONS(2163),
    [sym_imaginary_literal] = ACTIONS(2163),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(660),
    [anon_sym_make] = ACTIONS(664),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(2165),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_STAR] = ACTIONS(668),
    [sym_identifier] = ACTIONS(670),
    [anon_sym_func] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(674),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(676),
    [sym_float_literal] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
  },
  [756] = {
    [aux_sym_expression_list_repeat1] = STATE(1001),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2120),
    [anon_sym_LBRACE] = ACTIONS(1016),
  },
  [757] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1166),
    [anon_sym_GT_GT_EQ] = ACTIONS(1166),
    [anon_sym_PIPE_EQ] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_PERCENT] = ACTIONS(1164),
    [anon_sym_CARET] = ACTIONS(1164),
    [anon_sym_PIPE_PIPE] = ACTIONS(1166),
    [anon_sym_GT] = ACTIONS(1164),
    [anon_sym_AMP_CARET] = ACTIONS(1164),
    [anon_sym_LT_EQ] = ACTIONS(1166),
    [anon_sym_DOT] = ACTIONS(1166),
    [anon_sym_COLON_EQ] = ACTIONS(1166),
    [anon_sym_PERCENT_EQ] = ACTIONS(1166),
    [anon_sym_EQ_EQ] = ACTIONS(1166),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_AMP_EQ] = ACTIONS(1166),
    [anon_sym_CARET_EQ] = ACTIONS(1166),
    [anon_sym_AMP] = ACTIONS(1164),
    [anon_sym_COMMA] = ACTIONS(1166),
    [anon_sym_GT_EQ] = ACTIONS(1166),
    [anon_sym_PIPE] = ACTIONS(1164),
    [anon_sym_LT_LT] = ACTIONS(1164),
    [anon_sym_BANG_EQ] = ACTIONS(1166),
    [anon_sym_LT_LT_EQ] = ACTIONS(1166),
    [anon_sym_STAR_EQ] = ACTIONS(1166),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1166),
    [anon_sym_DASH_EQ] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_SLASH] = ACTIONS(1164),
    [anon_sym_EQ] = ACTIONS(1164),
    [anon_sym_STAR] = ACTIONS(1164),
    [anon_sym_AMP_AMP] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1164),
    [anon_sym_LPAREN] = ACTIONS(1166),
    [anon_sym_LT] = ACTIONS(1164),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1166),
  },
  [758] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_CARET] = ACTIONS(1182),
    [anon_sym_PIPE_PIPE] = ACTIONS(1180),
    [anon_sym_LT_EQ] = ACTIONS(1180),
    [anon_sym_DOT] = ACTIONS(1180),
    [anon_sym_PERCENT_EQ] = ACTIONS(1180),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_AMP_EQ] = ACTIONS(1180),
    [anon_sym_AMP] = ACTIONS(1182),
    [anon_sym_COMMA] = ACTIONS(1180),
    [anon_sym_LT_LT] = ACTIONS(1182),
    [anon_sym_LT_LT_EQ] = ACTIONS(1180),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1180),
    [anon_sym_DASH_EQ] = ACTIONS(1180),
    [anon_sym_SLASH] = ACTIONS(1182),
    [anon_sym_EQ] = ACTIONS(1182),
    [anon_sym_GT_GT] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1180),
    [anon_sym_LT_DASH] = ACTIONS(1180),
    [anon_sym_PLUS_EQ] = ACTIONS(1180),
    [anon_sym_PIPE_EQ] = ACTIONS(1180),
    [anon_sym_PERCENT] = ACTIONS(1182),
    [anon_sym_GT] = ACTIONS(1182),
    [anon_sym_AMP_CARET] = ACTIONS(1182),
    [anon_sym_EQ_EQ] = ACTIONS(1180),
    [anon_sym_COLON_EQ] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_CARET_EQ] = ACTIONS(1180),
    [anon_sym_GT_EQ] = ACTIONS(1180),
    [anon_sym_PIPE] = ACTIONS(1182),
    [anon_sym_BANG_EQ] = ACTIONS(1180),
    [anon_sym_PLUS_PLUS] = ACTIONS(1180),
    [anon_sym_STAR_EQ] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_AMP_AMP] = ACTIONS(1180),
    [anon_sym_STAR] = ACTIONS(1182),
    [anon_sym_SEMI] = ACTIONS(1180),
    [anon_sym_LT] = ACTIONS(1182),
    [anon_sym_DASH_DASH] = ACTIONS(1180),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1180),
  },
  [759] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_CARET] = ACTIONS(1196),
    [anon_sym_PIPE_PIPE] = ACTIONS(1194),
    [anon_sym_LT_EQ] = ACTIONS(1194),
    [anon_sym_DOT] = ACTIONS(1194),
    [anon_sym_PERCENT_EQ] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_AMP_EQ] = ACTIONS(1194),
    [anon_sym_AMP] = ACTIONS(1196),
    [anon_sym_COMMA] = ACTIONS(1194),
    [anon_sym_LT_LT] = ACTIONS(1196),
    [anon_sym_LT_LT_EQ] = ACTIONS(1194),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1194),
    [anon_sym_DASH_EQ] = ACTIONS(1194),
    [anon_sym_SLASH] = ACTIONS(1196),
    [anon_sym_EQ] = ACTIONS(1196),
    [anon_sym_GT_GT] = ACTIONS(1196),
    [anon_sym_LPAREN] = ACTIONS(1194),
    [anon_sym_LT_DASH] = ACTIONS(1194),
    [anon_sym_PLUS_EQ] = ACTIONS(1194),
    [anon_sym_PIPE_EQ] = ACTIONS(1194),
    [anon_sym_PERCENT] = ACTIONS(1196),
    [anon_sym_GT] = ACTIONS(1196),
    [anon_sym_AMP_CARET] = ACTIONS(1196),
    [anon_sym_EQ_EQ] = ACTIONS(1194),
    [anon_sym_COLON_EQ] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_CARET_EQ] = ACTIONS(1194),
    [anon_sym_GT_EQ] = ACTIONS(1194),
    [anon_sym_PIPE] = ACTIONS(1196),
    [anon_sym_BANG_EQ] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_STAR_EQ] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_AMP_AMP] = ACTIONS(1194),
    [anon_sym_STAR] = ACTIONS(1196),
    [anon_sym_SEMI] = ACTIONS(1194),
    [anon_sym_LT] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1194),
  },
  [760] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1198),
    [anon_sym_DOT] = ACTIONS(1198),
    [anon_sym_PERCENT_EQ] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1198),
    [anon_sym_AMP_EQ] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1200),
    [anon_sym_COMMA] = ACTIONS(1198),
    [anon_sym_LT_LT] = ACTIONS(1200),
    [anon_sym_LT_LT_EQ] = ACTIONS(1198),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1198),
    [anon_sym_DASH_EQ] = ACTIONS(1198),
    [anon_sym_SLASH] = ACTIONS(1200),
    [anon_sym_EQ] = ACTIONS(1200),
    [anon_sym_GT_GT] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1198),
    [anon_sym_LT_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_EQ] = ACTIONS(1198),
    [anon_sym_PERCENT] = ACTIONS(1200),
    [anon_sym_GT] = ACTIONS(1200),
    [anon_sym_AMP_CARET] = ACTIONS(1200),
    [anon_sym_EQ_EQ] = ACTIONS(1198),
    [anon_sym_COLON_EQ] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_CARET_EQ] = ACTIONS(1198),
    [anon_sym_GT_EQ] = ACTIONS(1198),
    [anon_sym_PIPE] = ACTIONS(1200),
    [anon_sym_BANG_EQ] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_STAR_EQ] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_AMP_AMP] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1200),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_LT] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1198),
  },
  [761] = {
    [sym_argument_list] = STATE(698),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1032),
    [anon_sym_PERCENT] = ACTIONS(1034),
    [anon_sym_CARET] = ACTIONS(1032),
    [anon_sym_PIPE_PIPE] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(1034),
    [anon_sym_LT_EQ] = ACTIONS(1208),
    [anon_sym_DOT] = ACTIONS(1040),
    [anon_sym_EQ_EQ] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_AMP] = ACTIONS(1034),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_GT_EQ] = ACTIONS(1208),
    [anon_sym_PIPE] = ACTIONS(1032),
    [anon_sym_LF] = ACTIONS(1206),
    [anon_sym_LT_LT] = ACTIONS(1034),
    [anon_sym_BANG_EQ] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1032),
    [anon_sym_SLASH] = ACTIONS(1034),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1034),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(1048),
    [anon_sym_GT_GT] = ACTIONS(1034),
    [anon_sym_LT] = ACTIONS(1208),
    [sym_comment] = ACTIONS(61),
  },
  [762] = {
    [sym_argument_list] = STATE(698),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_PERCENT] = ACTIONS(1034),
    [anon_sym_CARET] = ACTIONS(1208),
    [anon_sym_PIPE_PIPE] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(1034),
    [anon_sym_LT_EQ] = ACTIONS(1208),
    [anon_sym_DOT] = ACTIONS(1040),
    [anon_sym_EQ_EQ] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_AMP] = ACTIONS(1034),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_GT_EQ] = ACTIONS(1208),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_LF] = ACTIONS(1206),
    [anon_sym_LT_LT] = ACTIONS(1034),
    [anon_sym_BANG_EQ] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(1034),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1034),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(1048),
    [anon_sym_GT_GT] = ACTIONS(1034),
    [anon_sym_LT] = ACTIONS(1208),
    [sym_comment] = ACTIONS(61),
  },
  [763] = {
    [sym_argument_list] = STATE(749),
    [anon_sym_GT_GT_EQ] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_CARET] = ACTIONS(1208),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_LT_EQ] = ACTIONS(1206),
    [anon_sym_DOT] = ACTIONS(1080),
    [anon_sym_PERCENT_EQ] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [anon_sym_AMP_EQ] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_LT_LT] = ACTIONS(1208),
    [anon_sym_LT_LT_EQ] = ACTIONS(1206),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1206),
    [anon_sym_DASH_EQ] = ACTIONS(1206),
    [anon_sym_SLASH] = ACTIONS(1208),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(1088),
    [anon_sym_LT_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_EQ] = ACTIONS(1206),
    [anon_sym_PIPE_EQ] = ACTIONS(1206),
    [anon_sym_PERCENT] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(1208),
    [anon_sym_EQ_EQ] = ACTIONS(1206),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_CARET_EQ] = ACTIONS(1206),
    [anon_sym_GT_EQ] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_BANG_EQ] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [anon_sym_STAR_EQ] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1206),
    [anon_sym_LT] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1206),
  },
  [764] = {
    [sym_argument_list] = STATE(698),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1032),
    [anon_sym_PERCENT] = ACTIONS(1034),
    [anon_sym_CARET] = ACTIONS(1032),
    [anon_sym_PIPE_PIPE] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(1038),
    [anon_sym_AMP_CARET] = ACTIONS(1034),
    [anon_sym_LT_EQ] = ACTIONS(1038),
    [anon_sym_DOT] = ACTIONS(1040),
    [anon_sym_EQ_EQ] = ACTIONS(1038),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_AMP] = ACTIONS(1034),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_GT_EQ] = ACTIONS(1038),
    [anon_sym_PIPE] = ACTIONS(1032),
    [anon_sym_LF] = ACTIONS(1206),
    [anon_sym_LT_LT] = ACTIONS(1034),
    [anon_sym_BANG_EQ] = ACTIONS(1038),
    [anon_sym_PLUS] = ACTIONS(1032),
    [anon_sym_SLASH] = ACTIONS(1034),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1046),
    [anon_sym_STAR] = ACTIONS(1034),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(1048),
    [anon_sym_GT_GT] = ACTIONS(1034),
    [anon_sym_LT] = ACTIONS(1038),
    [sym_comment] = ACTIONS(61),
  },
  [765] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_CARET] = ACTIONS(1214),
    [anon_sym_PIPE_PIPE] = ACTIONS(1212),
    [anon_sym_LT_EQ] = ACTIONS(1212),
    [anon_sym_DOT] = ACTIONS(1212),
    [anon_sym_PERCENT_EQ] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_AMP_EQ] = ACTIONS(1212),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_COMMA] = ACTIONS(1212),
    [anon_sym_LT_LT] = ACTIONS(1214),
    [anon_sym_LT_LT_EQ] = ACTIONS(1212),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1212),
    [anon_sym_DASH_EQ] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(1214),
    [anon_sym_EQ] = ACTIONS(1214),
    [anon_sym_GT_GT] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1212),
    [anon_sym_LT_DASH] = ACTIONS(1212),
    [anon_sym_PLUS_EQ] = ACTIONS(1212),
    [anon_sym_PIPE_EQ] = ACTIONS(1212),
    [anon_sym_PERCENT] = ACTIONS(1214),
    [anon_sym_GT] = ACTIONS(1214),
    [anon_sym_AMP_CARET] = ACTIONS(1214),
    [anon_sym_EQ_EQ] = ACTIONS(1212),
    [anon_sym_COLON_EQ] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_CARET_EQ] = ACTIONS(1212),
    [anon_sym_GT_EQ] = ACTIONS(1212),
    [anon_sym_PIPE] = ACTIONS(1214),
    [anon_sym_BANG_EQ] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1212),
    [anon_sym_STAR_EQ] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_AMP_AMP] = ACTIONS(1212),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1212),
    [anon_sym_LT] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1212),
  },
  [766] = {
    [sym_argument_list] = STATE(698),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1032),
    [anon_sym_PERCENT] = ACTIONS(1034),
    [anon_sym_CARET] = ACTIONS(1032),
    [anon_sym_PIPE_PIPE] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(1038),
    [anon_sym_AMP_CARET] = ACTIONS(1034),
    [anon_sym_LT_EQ] = ACTIONS(1038),
    [anon_sym_DOT] = ACTIONS(1040),
    [anon_sym_EQ_EQ] = ACTIONS(1038),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_AMP] = ACTIONS(1034),
    [anon_sym_case] = ACTIONS(1208),
    [anon_sym_COMMA] = ACTIONS(1208),
    [anon_sym_GT_EQ] = ACTIONS(1038),
    [anon_sym_PIPE] = ACTIONS(1032),
    [anon_sym_LF] = ACTIONS(1206),
    [anon_sym_LT_LT] = ACTIONS(1034),
    [anon_sym_BANG_EQ] = ACTIONS(1038),
    [anon_sym_PLUS] = ACTIONS(1032),
    [anon_sym_SLASH] = ACTIONS(1034),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1034),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(1048),
    [anon_sym_GT_GT] = ACTIONS(1034),
    [anon_sym_LT] = ACTIONS(1038),
    [sym_comment] = ACTIONS(61),
  },
  [767] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_CARET] = ACTIONS(1228),
    [anon_sym_PIPE_PIPE] = ACTIONS(1226),
    [anon_sym_LT_EQ] = ACTIONS(1226),
    [anon_sym_DOT] = ACTIONS(1226),
    [anon_sym_PERCENT_EQ] = ACTIONS(1226),
    [anon_sym_LBRACK] = ACTIONS(1226),
    [anon_sym_AMP_EQ] = ACTIONS(1226),
    [anon_sym_AMP] = ACTIONS(1228),
    [anon_sym_COMMA] = ACTIONS(1226),
    [anon_sym_LT_LT] = ACTIONS(1228),
    [anon_sym_LT_LT_EQ] = ACTIONS(1226),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1226),
    [anon_sym_DASH_EQ] = ACTIONS(1226),
    [anon_sym_SLASH] = ACTIONS(1228),
    [anon_sym_EQ] = ACTIONS(1228),
    [anon_sym_GT_GT] = ACTIONS(1228),
    [anon_sym_LPAREN] = ACTIONS(1226),
    [anon_sym_LT_DASH] = ACTIONS(1226),
    [anon_sym_PLUS_EQ] = ACTIONS(1226),
    [anon_sym_PIPE_EQ] = ACTIONS(1226),
    [anon_sym_PERCENT] = ACTIONS(1228),
    [anon_sym_GT] = ACTIONS(1228),
    [anon_sym_AMP_CARET] = ACTIONS(1228),
    [anon_sym_EQ_EQ] = ACTIONS(1226),
    [anon_sym_COLON_EQ] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_CARET_EQ] = ACTIONS(1226),
    [anon_sym_GT_EQ] = ACTIONS(1226),
    [anon_sym_PIPE] = ACTIONS(1228),
    [anon_sym_BANG_EQ] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [anon_sym_STAR_EQ] = ACTIONS(1226),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_AMP_AMP] = ACTIONS(1226),
    [anon_sym_STAR] = ACTIONS(1228),
    [anon_sym_SEMI] = ACTIONS(1226),
    [anon_sym_LT] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1226),
  },
  [768] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_COLON_EQ] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_COMMA] = ACTIONS(1320),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_COLON] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_EQ] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1320),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [769] = {
    [aux_sym_expression_list_repeat1] = STATE(769),
    [anon_sym_COMMA] = ACTIONS(2167),
    [anon_sym_COLON_EQ] = ACTIONS(1320),
    [anon_sym_EQ] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1318),
  },
  [770] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1487),
    [anon_sym_PIPE_PIPE] = ACTIONS(1485),
    [anon_sym_LT_EQ] = ACTIONS(1485),
    [anon_sym_DOT] = ACTIONS(1485),
    [anon_sym_PERCENT_EQ] = ACTIONS(1485),
    [anon_sym_LBRACK] = ACTIONS(1485),
    [anon_sym_AMP_EQ] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_COMMA] = ACTIONS(1485),
    [anon_sym_LT_LT] = ACTIONS(1487),
    [anon_sym_LT_LT_EQ] = ACTIONS(1485),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1485),
    [anon_sym_DASH_EQ] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_EQ] = ACTIONS(1487),
    [anon_sym_GT_GT] = ACTIONS(1487),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [anon_sym_LT_DASH] = ACTIONS(1485),
    [anon_sym_PLUS_EQ] = ACTIONS(1485),
    [anon_sym_PIPE_EQ] = ACTIONS(1485),
    [anon_sym_PERCENT] = ACTIONS(1487),
    [anon_sym_GT] = ACTIONS(1487),
    [anon_sym_AMP_CARET] = ACTIONS(1487),
    [anon_sym_EQ_EQ] = ACTIONS(1485),
    [anon_sym_COLON_EQ] = ACTIONS(1485),
    [anon_sym_LBRACE] = ACTIONS(1485),
    [anon_sym_CARET_EQ] = ACTIONS(1485),
    [anon_sym_GT_EQ] = ACTIONS(1485),
    [anon_sym_PIPE] = ACTIONS(1487),
    [anon_sym_BANG_EQ] = ACTIONS(1485),
    [anon_sym_PLUS_PLUS] = ACTIONS(1485),
    [anon_sym_STAR_EQ] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1487),
    [anon_sym_AMP_AMP] = ACTIONS(1485),
    [anon_sym_STAR] = ACTIONS(1487),
    [anon_sym_SEMI] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(1487),
    [anon_sym_DASH_DASH] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1485),
  },
  [771] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_CARET] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_DOT] = ACTIONS(1493),
    [anon_sym_PERCENT_EQ] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [anon_sym_AMP_EQ] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_COMMA] = ACTIONS(1493),
    [anon_sym_LT_LT] = ACTIONS(1495),
    [anon_sym_LT_LT_EQ] = ACTIONS(1493),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1493),
    [anon_sym_DASH_EQ] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1495),
    [anon_sym_GT_GT] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_LT_DASH] = ACTIONS(1493),
    [anon_sym_PLUS_EQ] = ACTIONS(1493),
    [anon_sym_PIPE_EQ] = ACTIONS(1493),
    [anon_sym_PERCENT] = ACTIONS(1495),
    [anon_sym_GT] = ACTIONS(1495),
    [anon_sym_AMP_CARET] = ACTIONS(1495),
    [anon_sym_EQ_EQ] = ACTIONS(1493),
    [anon_sym_COLON_EQ] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1493),
    [anon_sym_CARET_EQ] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_PLUS_PLUS] = ACTIONS(1493),
    [anon_sym_STAR_EQ] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_AMP_AMP] = ACTIONS(1493),
    [anon_sym_STAR] = ACTIONS(1495),
    [anon_sym_SEMI] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_DASH_DASH] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1493),
  },
  [772] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [anon_sym_PIPE_PIPE] = ACTIONS(1503),
    [anon_sym_LT_EQ] = ACTIONS(1503),
    [anon_sym_DOT] = ACTIONS(1503),
    [anon_sym_PERCENT_EQ] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1503),
    [anon_sym_AMP_EQ] = ACTIONS(1503),
    [anon_sym_AMP] = ACTIONS(1505),
    [anon_sym_COMMA] = ACTIONS(1503),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_LT_LT_EQ] = ACTIONS(1503),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1503),
    [anon_sym_DASH_EQ] = ACTIONS(1503),
    [anon_sym_SLASH] = ACTIONS(1505),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_GT_GT] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1503),
    [anon_sym_LT_DASH] = ACTIONS(1503),
    [anon_sym_PLUS_EQ] = ACTIONS(1503),
    [anon_sym_PIPE_EQ] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1505),
    [anon_sym_GT] = ACTIONS(1505),
    [anon_sym_AMP_CARET] = ACTIONS(1505),
    [anon_sym_EQ_EQ] = ACTIONS(1503),
    [anon_sym_COLON_EQ] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_CARET_EQ] = ACTIONS(1503),
    [anon_sym_GT_EQ] = ACTIONS(1503),
    [anon_sym_PIPE] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1503),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_STAR_EQ] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_AMP_AMP] = ACTIONS(1503),
    [anon_sym_STAR] = ACTIONS(1505),
    [anon_sym_SEMI] = ACTIONS(1503),
    [anon_sym_LT] = ACTIONS(1505),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1503),
  },
  [773] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE_PIPE] = ACTIONS(1511),
    [anon_sym_LT_EQ] = ACTIONS(1511),
    [anon_sym_DOT] = ACTIONS(1511),
    [anon_sym_PERCENT_EQ] = ACTIONS(1511),
    [anon_sym_LBRACK] = ACTIONS(1511),
    [anon_sym_AMP_EQ] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_COMMA] = ACTIONS(1511),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_LT_LT_EQ] = ACTIONS(1511),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1511),
    [anon_sym_DASH_EQ] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1513),
    [anon_sym_EQ] = ACTIONS(1513),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_LT_DASH] = ACTIONS(1511),
    [anon_sym_PLUS_EQ] = ACTIONS(1511),
    [anon_sym_PIPE_EQ] = ACTIONS(1511),
    [anon_sym_PERCENT] = ACTIONS(1513),
    [anon_sym_GT] = ACTIONS(1513),
    [anon_sym_AMP_CARET] = ACTIONS(1513),
    [anon_sym_EQ_EQ] = ACTIONS(1511),
    [anon_sym_COLON_EQ] = ACTIONS(1511),
    [anon_sym_LBRACE] = ACTIONS(1511),
    [anon_sym_CARET_EQ] = ACTIONS(1511),
    [anon_sym_GT_EQ] = ACTIONS(1511),
    [anon_sym_PIPE] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1511),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_STAR_EQ] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1511),
    [anon_sym_LT] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1511),
  },
  [774] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1519),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_CARET] = ACTIONS(1521),
    [anon_sym_PIPE_PIPE] = ACTIONS(1519),
    [anon_sym_LT_EQ] = ACTIONS(1519),
    [anon_sym_DOT] = ACTIONS(1519),
    [anon_sym_PERCENT_EQ] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1519),
    [anon_sym_AMP_EQ] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1521),
    [anon_sym_COMMA] = ACTIONS(1519),
    [anon_sym_LT_LT] = ACTIONS(1521),
    [anon_sym_LT_LT_EQ] = ACTIONS(1519),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1519),
    [anon_sym_DASH_EQ] = ACTIONS(1519),
    [anon_sym_SLASH] = ACTIONS(1521),
    [anon_sym_EQ] = ACTIONS(1521),
    [anon_sym_GT_GT] = ACTIONS(1521),
    [anon_sym_LPAREN] = ACTIONS(1519),
    [anon_sym_LT_DASH] = ACTIONS(1519),
    [anon_sym_PLUS_EQ] = ACTIONS(1519),
    [anon_sym_PIPE_EQ] = ACTIONS(1519),
    [anon_sym_PERCENT] = ACTIONS(1521),
    [anon_sym_GT] = ACTIONS(1521),
    [anon_sym_AMP_CARET] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1519),
    [anon_sym_COLON_EQ] = ACTIONS(1519),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_CARET_EQ] = ACTIONS(1519),
    [anon_sym_GT_EQ] = ACTIONS(1519),
    [anon_sym_PIPE] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1519),
    [anon_sym_PLUS_PLUS] = ACTIONS(1519),
    [anon_sym_STAR_EQ] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_AMP_AMP] = ACTIONS(1519),
    [anon_sym_STAR] = ACTIONS(1521),
    [anon_sym_SEMI] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1521),
    [anon_sym_DASH_DASH] = ACTIONS(1519),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1519),
  },
  [775] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1535),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_PIPE_PIPE] = ACTIONS(1533),
    [anon_sym_LT_EQ] = ACTIONS(1533),
    [anon_sym_DOT] = ACTIONS(1533),
    [anon_sym_PERCENT_EQ] = ACTIONS(1533),
    [anon_sym_LBRACK] = ACTIONS(1533),
    [anon_sym_AMP_EQ] = ACTIONS(1533),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_COMMA] = ACTIONS(1533),
    [anon_sym_LT_LT] = ACTIONS(1535),
    [anon_sym_LT_LT_EQ] = ACTIONS(1533),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1533),
    [anon_sym_DASH_EQ] = ACTIONS(1533),
    [anon_sym_SLASH] = ACTIONS(1535),
    [anon_sym_EQ] = ACTIONS(1535),
    [anon_sym_GT_GT] = ACTIONS(1535),
    [anon_sym_LPAREN] = ACTIONS(1533),
    [anon_sym_LT_DASH] = ACTIONS(1533),
    [anon_sym_PLUS_EQ] = ACTIONS(1533),
    [anon_sym_PIPE_EQ] = ACTIONS(1533),
    [anon_sym_PERCENT] = ACTIONS(1535),
    [anon_sym_GT] = ACTIONS(1535),
    [anon_sym_AMP_CARET] = ACTIONS(1535),
    [anon_sym_EQ_EQ] = ACTIONS(1533),
    [anon_sym_COLON_EQ] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(1533),
    [anon_sym_CARET_EQ] = ACTIONS(1533),
    [anon_sym_GT_EQ] = ACTIONS(1533),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_PLUS_PLUS] = ACTIONS(1533),
    [anon_sym_STAR_EQ] = ACTIONS(1533),
    [anon_sym_PLUS] = ACTIONS(1535),
    [anon_sym_AMP_AMP] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_SEMI] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1535),
    [anon_sym_DASH_DASH] = ACTIONS(1533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1533),
  },
  [776] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_CARET] = ACTIONS(1545),
    [anon_sym_PIPE_PIPE] = ACTIONS(1543),
    [anon_sym_LT_EQ] = ACTIONS(1543),
    [anon_sym_DOT] = ACTIONS(1543),
    [anon_sym_PERCENT_EQ] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1543),
    [anon_sym_AMP_EQ] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1545),
    [anon_sym_COMMA] = ACTIONS(1543),
    [anon_sym_LT_LT] = ACTIONS(1545),
    [anon_sym_LT_LT_EQ] = ACTIONS(1543),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1543),
    [anon_sym_DASH_EQ] = ACTIONS(1543),
    [anon_sym_SLASH] = ACTIONS(1545),
    [anon_sym_EQ] = ACTIONS(1545),
    [anon_sym_GT_GT] = ACTIONS(1545),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LT_DASH] = ACTIONS(1543),
    [anon_sym_PLUS_EQ] = ACTIONS(1543),
    [anon_sym_PIPE_EQ] = ACTIONS(1543),
    [anon_sym_PERCENT] = ACTIONS(1545),
    [anon_sym_GT] = ACTIONS(1545),
    [anon_sym_AMP_CARET] = ACTIONS(1545),
    [anon_sym_EQ_EQ] = ACTIONS(1543),
    [anon_sym_COLON_EQ] = ACTIONS(1543),
    [anon_sym_LBRACE] = ACTIONS(1543),
    [anon_sym_CARET_EQ] = ACTIONS(1543),
    [anon_sym_GT_EQ] = ACTIONS(1543),
    [anon_sym_PIPE] = ACTIONS(1545),
    [anon_sym_BANG_EQ] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_STAR_EQ] = ACTIONS(1543),
    [anon_sym_PLUS] = ACTIONS(1545),
    [anon_sym_AMP_AMP] = ACTIONS(1543),
    [anon_sym_STAR] = ACTIONS(1545),
    [anon_sym_SEMI] = ACTIONS(1543),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1543),
  },
  [777] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1722),
    [anon_sym_LT_EQ] = ACTIONS(1722),
    [anon_sym_DOT] = ACTIONS(1722),
    [anon_sym_PERCENT_EQ] = ACTIONS(1722),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_AMP_EQ] = ACTIONS(1722),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_COMMA] = ACTIONS(1722),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_LT_LT_EQ] = ACTIONS(1722),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1722),
    [anon_sym_DASH_EQ] = ACTIONS(1722),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_EQ] = ACTIONS(1724),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_LT_DASH] = ACTIONS(1722),
    [anon_sym_PLUS_EQ] = ACTIONS(1722),
    [anon_sym_PIPE_EQ] = ACTIONS(1722),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_AMP_CARET] = ACTIONS(1724),
    [anon_sym_EQ_EQ] = ACTIONS(1722),
    [anon_sym_COLON_EQ] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_CARET_EQ] = ACTIONS(1722),
    [anon_sym_GT_EQ] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_BANG_EQ] = ACTIONS(1722),
    [anon_sym_PLUS_PLUS] = ACTIONS(1722),
    [anon_sym_STAR_EQ] = ACTIONS(1722),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_AMP_AMP] = ACTIONS(1722),
    [anon_sym_STAR] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_LT] = ACTIONS(1724),
    [anon_sym_DASH_DASH] = ACTIONS(1722),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1722),
  },
  [778] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1735),
    [anon_sym_CARET] = ACTIONS(1735),
    [anon_sym_PIPE_PIPE] = ACTIONS(1733),
    [anon_sym_LT_EQ] = ACTIONS(1733),
    [anon_sym_DOT] = ACTIONS(1733),
    [anon_sym_PERCENT_EQ] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(1733),
    [anon_sym_AMP_EQ] = ACTIONS(1733),
    [anon_sym_AMP] = ACTIONS(1735),
    [anon_sym_COMMA] = ACTIONS(1733),
    [anon_sym_LT_LT] = ACTIONS(1735),
    [anon_sym_LT_LT_EQ] = ACTIONS(1733),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1733),
    [anon_sym_DASH_EQ] = ACTIONS(1733),
    [anon_sym_SLASH] = ACTIONS(1735),
    [anon_sym_EQ] = ACTIONS(1735),
    [anon_sym_GT_GT] = ACTIONS(1735),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_LT_DASH] = ACTIONS(1733),
    [anon_sym_PLUS_EQ] = ACTIONS(1733),
    [anon_sym_PIPE_EQ] = ACTIONS(1733),
    [anon_sym_PERCENT] = ACTIONS(1735),
    [anon_sym_GT] = ACTIONS(1735),
    [anon_sym_AMP_CARET] = ACTIONS(1735),
    [anon_sym_EQ_EQ] = ACTIONS(1733),
    [anon_sym_COLON_EQ] = ACTIONS(1733),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_CARET_EQ] = ACTIONS(1733),
    [anon_sym_GT_EQ] = ACTIONS(1733),
    [anon_sym_PIPE] = ACTIONS(1735),
    [anon_sym_BANG_EQ] = ACTIONS(1733),
    [anon_sym_PLUS_PLUS] = ACTIONS(1733),
    [anon_sym_STAR_EQ] = ACTIONS(1733),
    [anon_sym_PLUS] = ACTIONS(1735),
    [anon_sym_AMP_AMP] = ACTIONS(1733),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_SEMI] = ACTIONS(1733),
    [anon_sym_LT] = ACTIONS(1735),
    [anon_sym_DASH_DASH] = ACTIONS(1733),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1733),
  },
  [779] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1741),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_PIPE_PIPE] = ACTIONS(1739),
    [anon_sym_LT_EQ] = ACTIONS(1739),
    [anon_sym_DOT] = ACTIONS(1739),
    [anon_sym_PERCENT_EQ] = ACTIONS(1739),
    [anon_sym_LBRACK] = ACTIONS(1739),
    [anon_sym_AMP_EQ] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_COMMA] = ACTIONS(1739),
    [anon_sym_LT_LT] = ACTIONS(1741),
    [anon_sym_LT_LT_EQ] = ACTIONS(1739),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1739),
    [anon_sym_DASH_EQ] = ACTIONS(1739),
    [anon_sym_SLASH] = ACTIONS(1741),
    [anon_sym_EQ] = ACTIONS(1741),
    [anon_sym_GT_GT] = ACTIONS(1741),
    [anon_sym_LPAREN] = ACTIONS(1739),
    [anon_sym_LT_DASH] = ACTIONS(1739),
    [anon_sym_PLUS_EQ] = ACTIONS(1739),
    [anon_sym_PIPE_EQ] = ACTIONS(1739),
    [anon_sym_PERCENT] = ACTIONS(1741),
    [anon_sym_GT] = ACTIONS(1741),
    [anon_sym_AMP_CARET] = ACTIONS(1741),
    [anon_sym_EQ_EQ] = ACTIONS(1739),
    [anon_sym_COLON_EQ] = ACTIONS(1739),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym_CARET_EQ] = ACTIONS(1739),
    [anon_sym_GT_EQ] = ACTIONS(1739),
    [anon_sym_PIPE] = ACTIONS(1741),
    [anon_sym_BANG_EQ] = ACTIONS(1739),
    [anon_sym_PLUS_PLUS] = ACTIONS(1739),
    [anon_sym_STAR_EQ] = ACTIONS(1739),
    [anon_sym_PLUS] = ACTIONS(1741),
    [anon_sym_AMP_AMP] = ACTIONS(1739),
    [anon_sym_STAR] = ACTIONS(1741),
    [anon_sym_SEMI] = ACTIONS(1739),
    [anon_sym_LT] = ACTIONS(1741),
    [anon_sym_DASH_DASH] = ACTIONS(1739),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1739),
  },
  [780] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1745),
    [anon_sym_PIPE_PIPE] = ACTIONS(1743),
    [anon_sym_LT_EQ] = ACTIONS(1743),
    [anon_sym_DOT] = ACTIONS(1743),
    [anon_sym_PERCENT_EQ] = ACTIONS(1743),
    [anon_sym_LBRACK] = ACTIONS(1743),
    [anon_sym_AMP_EQ] = ACTIONS(1743),
    [anon_sym_AMP] = ACTIONS(1745),
    [anon_sym_COMMA] = ACTIONS(1743),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_LT_LT_EQ] = ACTIONS(1743),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1743),
    [anon_sym_DASH_EQ] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1745),
    [anon_sym_EQ] = ACTIONS(1745),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1743),
    [anon_sym_LT_DASH] = ACTIONS(1743),
    [anon_sym_PLUS_EQ] = ACTIONS(1743),
    [anon_sym_PIPE_EQ] = ACTIONS(1743),
    [anon_sym_PERCENT] = ACTIONS(1745),
    [anon_sym_GT] = ACTIONS(1745),
    [anon_sym_AMP_CARET] = ACTIONS(1745),
    [anon_sym_EQ_EQ] = ACTIONS(1743),
    [anon_sym_COLON_EQ] = ACTIONS(1743),
    [anon_sym_LBRACE] = ACTIONS(1743),
    [anon_sym_CARET_EQ] = ACTIONS(1743),
    [anon_sym_GT_EQ] = ACTIONS(1743),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_BANG_EQ] = ACTIONS(1743),
    [anon_sym_PLUS_PLUS] = ACTIONS(1743),
    [anon_sym_STAR_EQ] = ACTIONS(1743),
    [anon_sym_PLUS] = ACTIONS(1745),
    [anon_sym_AMP_AMP] = ACTIONS(1743),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_SEMI] = ACTIONS(1743),
    [anon_sym_LT] = ACTIONS(1745),
    [anon_sym_DASH_DASH] = ACTIONS(1743),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1743),
  },
  [781] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1757),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1755),
    [anon_sym_PERCENT_EQ] = ACTIONS(1755),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_AMP_EQ] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_LT_LT] = ACTIONS(1757),
    [anon_sym_LT_LT_EQ] = ACTIONS(1755),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1755),
    [anon_sym_DASH_EQ] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1757),
    [anon_sym_EQ] = ACTIONS(1757),
    [anon_sym_GT_GT] = ACTIONS(1757),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [anon_sym_LT_DASH] = ACTIONS(1755),
    [anon_sym_PLUS_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_PERCENT] = ACTIONS(1757),
    [anon_sym_GT] = ACTIONS(1757),
    [anon_sym_AMP_CARET] = ACTIONS(1757),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_COLON_EQ] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(1755),
    [anon_sym_CARET_EQ] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1757),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_PLUS_PLUS] = ACTIONS(1755),
    [anon_sym_STAR_EQ] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1757),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1755),
  },
  [782] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1766),
    [anon_sym_DASH] = ACTIONS(1768),
    [anon_sym_CARET] = ACTIONS(1768),
    [anon_sym_PIPE_PIPE] = ACTIONS(1766),
    [anon_sym_LT_EQ] = ACTIONS(1766),
    [anon_sym_DOT] = ACTIONS(1766),
    [anon_sym_PERCENT_EQ] = ACTIONS(1766),
    [anon_sym_LBRACK] = ACTIONS(1766),
    [anon_sym_AMP_EQ] = ACTIONS(1766),
    [anon_sym_AMP] = ACTIONS(1768),
    [anon_sym_COMMA] = ACTIONS(1766),
    [anon_sym_LT_LT] = ACTIONS(1768),
    [anon_sym_LT_LT_EQ] = ACTIONS(1766),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1766),
    [anon_sym_DASH_EQ] = ACTIONS(1766),
    [anon_sym_SLASH] = ACTIONS(1768),
    [anon_sym_EQ] = ACTIONS(1768),
    [anon_sym_GT_GT] = ACTIONS(1768),
    [anon_sym_LPAREN] = ACTIONS(1766),
    [anon_sym_LT_DASH] = ACTIONS(1766),
    [anon_sym_PLUS_EQ] = ACTIONS(1766),
    [anon_sym_PIPE_EQ] = ACTIONS(1766),
    [anon_sym_PERCENT] = ACTIONS(1768),
    [anon_sym_GT] = ACTIONS(1768),
    [anon_sym_AMP_CARET] = ACTIONS(1768),
    [anon_sym_EQ_EQ] = ACTIONS(1766),
    [anon_sym_COLON_EQ] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1766),
    [anon_sym_CARET_EQ] = ACTIONS(1766),
    [anon_sym_GT_EQ] = ACTIONS(1766),
    [anon_sym_PIPE] = ACTIONS(1768),
    [anon_sym_BANG_EQ] = ACTIONS(1766),
    [anon_sym_PLUS_PLUS] = ACTIONS(1766),
    [anon_sym_STAR_EQ] = ACTIONS(1766),
    [anon_sym_PLUS] = ACTIONS(1768),
    [anon_sym_AMP_AMP] = ACTIONS(1766),
    [anon_sym_STAR] = ACTIONS(1768),
    [anon_sym_SEMI] = ACTIONS(1766),
    [anon_sym_LT] = ACTIONS(1768),
    [anon_sym_DASH_DASH] = ACTIONS(1766),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1766),
  },
  [783] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1838),
    [anon_sym_LT_EQ] = ACTIONS(1838),
    [anon_sym_DOT] = ACTIONS(1838),
    [anon_sym_PERCENT_EQ] = ACTIONS(1838),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_AMP_EQ] = ACTIONS(1838),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_COMMA] = ACTIONS(1838),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_LT_LT_EQ] = ACTIONS(1838),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1838),
    [anon_sym_DASH_EQ] = ACTIONS(1838),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_GT_GT] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_LT_DASH] = ACTIONS(1838),
    [anon_sym_PLUS_EQ] = ACTIONS(1838),
    [anon_sym_PIPE_EQ] = ACTIONS(1838),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_AMP_CARET] = ACTIONS(1840),
    [anon_sym_EQ_EQ] = ACTIONS(1838),
    [anon_sym_COLON_EQ] = ACTIONS(1838),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_CARET_EQ] = ACTIONS(1838),
    [anon_sym_GT_EQ] = ACTIONS(1838),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1838),
    [anon_sym_PLUS_PLUS] = ACTIONS(1838),
    [anon_sym_STAR_EQ] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_AMP_AMP] = ACTIONS(1838),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SEMI] = ACTIONS(1838),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_DASH_DASH] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1838),
  },
  [784] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_CARET] = ACTIONS(1844),
    [anon_sym_PIPE_PIPE] = ACTIONS(1842),
    [anon_sym_LT_EQ] = ACTIONS(1842),
    [anon_sym_DOT] = ACTIONS(1842),
    [anon_sym_PERCENT_EQ] = ACTIONS(1842),
    [anon_sym_LBRACK] = ACTIONS(1842),
    [anon_sym_AMP_EQ] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1844),
    [anon_sym_COMMA] = ACTIONS(1842),
    [anon_sym_LT_LT] = ACTIONS(1844),
    [anon_sym_LT_LT_EQ] = ACTIONS(1842),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1842),
    [anon_sym_DASH_EQ] = ACTIONS(1842),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_EQ] = ACTIONS(1844),
    [anon_sym_GT_GT] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1842),
    [anon_sym_LT_DASH] = ACTIONS(1842),
    [anon_sym_PLUS_EQ] = ACTIONS(1842),
    [anon_sym_PIPE_EQ] = ACTIONS(1842),
    [anon_sym_PERCENT] = ACTIONS(1844),
    [anon_sym_GT] = ACTIONS(1844),
    [anon_sym_AMP_CARET] = ACTIONS(1844),
    [anon_sym_EQ_EQ] = ACTIONS(1842),
    [anon_sym_COLON_EQ] = ACTIONS(1842),
    [anon_sym_LBRACE] = ACTIONS(1842),
    [anon_sym_CARET_EQ] = ACTIONS(1842),
    [anon_sym_GT_EQ] = ACTIONS(1842),
    [anon_sym_PIPE] = ACTIONS(1844),
    [anon_sym_BANG_EQ] = ACTIONS(1842),
    [anon_sym_PLUS_PLUS] = ACTIONS(1842),
    [anon_sym_STAR_EQ] = ACTIONS(1842),
    [anon_sym_PLUS] = ACTIONS(1844),
    [anon_sym_AMP_AMP] = ACTIONS(1842),
    [anon_sym_STAR] = ACTIONS(1844),
    [anon_sym_SEMI] = ACTIONS(1842),
    [anon_sym_LT] = ACTIONS(1844),
    [anon_sym_DASH_DASH] = ACTIONS(1842),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1842),
  },
  [785] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1850),
    [anon_sym_CARET] = ACTIONS(1850),
    [anon_sym_PIPE_PIPE] = ACTIONS(1848),
    [anon_sym_LT_EQ] = ACTIONS(1848),
    [anon_sym_DOT] = ACTIONS(1848),
    [anon_sym_PERCENT_EQ] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1848),
    [anon_sym_AMP_EQ] = ACTIONS(1848),
    [anon_sym_AMP] = ACTIONS(1850),
    [anon_sym_COMMA] = ACTIONS(1848),
    [anon_sym_LT_LT] = ACTIONS(1850),
    [anon_sym_LT_LT_EQ] = ACTIONS(1848),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1848),
    [anon_sym_DASH_EQ] = ACTIONS(1848),
    [anon_sym_SLASH] = ACTIONS(1850),
    [anon_sym_EQ] = ACTIONS(1850),
    [anon_sym_GT_GT] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1848),
    [anon_sym_LT_DASH] = ACTIONS(1848),
    [anon_sym_PLUS_EQ] = ACTIONS(1848),
    [anon_sym_PIPE_EQ] = ACTIONS(1848),
    [anon_sym_PERCENT] = ACTIONS(1850),
    [anon_sym_GT] = ACTIONS(1850),
    [anon_sym_AMP_CARET] = ACTIONS(1850),
    [anon_sym_EQ_EQ] = ACTIONS(1848),
    [anon_sym_COLON_EQ] = ACTIONS(1848),
    [anon_sym_LBRACE] = ACTIONS(1848),
    [anon_sym_CARET_EQ] = ACTIONS(1848),
    [anon_sym_GT_EQ] = ACTIONS(1848),
    [anon_sym_PIPE] = ACTIONS(1850),
    [anon_sym_BANG_EQ] = ACTIONS(1848),
    [anon_sym_PLUS_PLUS] = ACTIONS(1848),
    [anon_sym_STAR_EQ] = ACTIONS(1848),
    [anon_sym_PLUS] = ACTIONS(1850),
    [anon_sym_AMP_AMP] = ACTIONS(1848),
    [anon_sym_STAR] = ACTIONS(1850),
    [anon_sym_SEMI] = ACTIONS(1848),
    [anon_sym_LT] = ACTIONS(1850),
    [anon_sym_DASH_DASH] = ACTIONS(1848),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1848),
  },
  [786] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1856),
    [anon_sym_DASH] = ACTIONS(1858),
    [anon_sym_CARET] = ACTIONS(1858),
    [anon_sym_PIPE_PIPE] = ACTIONS(1856),
    [anon_sym_LT_EQ] = ACTIONS(1856),
    [anon_sym_DOT] = ACTIONS(1856),
    [anon_sym_PERCENT_EQ] = ACTIONS(1856),
    [anon_sym_LBRACK] = ACTIONS(1856),
    [anon_sym_AMP_EQ] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym_COMMA] = ACTIONS(1856),
    [anon_sym_LT_LT] = ACTIONS(1858),
    [anon_sym_LT_LT_EQ] = ACTIONS(1856),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1856),
    [anon_sym_DASH_EQ] = ACTIONS(1856),
    [anon_sym_SLASH] = ACTIONS(1858),
    [anon_sym_EQ] = ACTIONS(1858),
    [anon_sym_GT_GT] = ACTIONS(1858),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_LT_DASH] = ACTIONS(1856),
    [anon_sym_PLUS_EQ] = ACTIONS(1856),
    [anon_sym_PIPE_EQ] = ACTIONS(1856),
    [anon_sym_PERCENT] = ACTIONS(1858),
    [anon_sym_GT] = ACTIONS(1858),
    [anon_sym_AMP_CARET] = ACTIONS(1858),
    [anon_sym_EQ_EQ] = ACTIONS(1856),
    [anon_sym_COLON_EQ] = ACTIONS(1856),
    [anon_sym_LBRACE] = ACTIONS(1856),
    [anon_sym_CARET_EQ] = ACTIONS(1856),
    [anon_sym_GT_EQ] = ACTIONS(1856),
    [anon_sym_PIPE] = ACTIONS(1858),
    [anon_sym_BANG_EQ] = ACTIONS(1856),
    [anon_sym_PLUS_PLUS] = ACTIONS(1856),
    [anon_sym_STAR_EQ] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1858),
    [anon_sym_AMP_AMP] = ACTIONS(1856),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_SEMI] = ACTIONS(1856),
    [anon_sym_LT] = ACTIONS(1858),
    [anon_sym_DASH_DASH] = ACTIONS(1856),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1856),
  },
  [787] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1886),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_CARET] = ACTIONS(1888),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1886),
    [anon_sym_DOT] = ACTIONS(1886),
    [anon_sym_PERCENT_EQ] = ACTIONS(1886),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [anon_sym_AMP_EQ] = ACTIONS(1886),
    [anon_sym_AMP] = ACTIONS(1888),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_LT_LT] = ACTIONS(1888),
    [anon_sym_LT_LT_EQ] = ACTIONS(1886),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1886),
    [anon_sym_DASH_EQ] = ACTIONS(1886),
    [anon_sym_SLASH] = ACTIONS(1888),
    [anon_sym_EQ] = ACTIONS(1888),
    [anon_sym_GT_GT] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1886),
    [anon_sym_LT_DASH] = ACTIONS(1886),
    [anon_sym_PLUS_EQ] = ACTIONS(1886),
    [anon_sym_PIPE_EQ] = ACTIONS(1886),
    [anon_sym_PERCENT] = ACTIONS(1888),
    [anon_sym_GT] = ACTIONS(1888),
    [anon_sym_AMP_CARET] = ACTIONS(1888),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_COLON_EQ] = ACTIONS(1886),
    [anon_sym_LBRACE] = ACTIONS(1886),
    [anon_sym_CARET_EQ] = ACTIONS(1886),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1888),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_PLUS_PLUS] = ACTIONS(1886),
    [anon_sym_STAR_EQ] = ACTIONS(1886),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(1888),
    [anon_sym_SEMI] = ACTIONS(1886),
    [anon_sym_LT] = ACTIONS(1888),
    [anon_sym_DASH_DASH] = ACTIONS(1886),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1886),
  },
  [788] = {
    [anon_sym_GT_GT_EQ] = ACTIONS(1911),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1913),
    [anon_sym_PIPE_PIPE] = ACTIONS(1911),
    [anon_sym_LT_EQ] = ACTIONS(1911),
    [anon_sym_DOT] = ACTIONS(1911),
    [anon_sym_PERCENT_EQ] = ACTIONS(1911),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_AMP_EQ] = ACTIONS(1911),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_COMMA] = ACTIONS(1911),
    [anon_sym_LT_LT] = ACTIONS(1913),
    [anon_sym_LT_LT_EQ] = ACTIONS(1911),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1911),
    [anon_sym_DASH_EQ] = ACTIONS(1911),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_EQ] = ACTIONS(1913),
    [anon_sym_GT_GT] = ACTIONS(1913),
    [anon_sym_LPAREN] = ACTIONS(1911),
    [anon_sym_LT_DASH] = ACTIONS(1911),
    [anon_sym_PLUS_EQ] = ACTIONS(1911),
    [anon_sym_PIPE_EQ] = ACTIONS(1911),
    [anon_sym_PERCENT] = ACTIONS(1913),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_AMP_CARET] = ACTIONS(1913),
    [anon_sym_EQ_EQ] = ACTIONS(1911),
    [anon_sym_COLON_EQ] = ACTIONS(1911),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_CARET_EQ] = ACTIONS(1911),
    [anon_sym_GT_EQ] = ACTIONS(1911),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_BANG_EQ] = ACTIONS(1911),
    [anon_sym_PLUS_PLUS] = ACTIONS(1911),
    [anon_sym_STAR_EQ] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_AMP_AMP] = ACTIONS(1911),
    [anon_sym_STAR] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1911),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1911),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1911),
  },
  [789] = {
    [anon_sym_COMMA] = ACTIONS(318),
    [anon_sym_GT_EQ] = ACTIONS(318),
    [anon_sym_PIPE] = ACTIONS(316),
    [anon_sym_LT_LT] = ACTIONS(318),
    [anon_sym_BANG_EQ] = ACTIONS(318),
    [anon_sym_DASH] = ACTIONS(318),
    [anon_sym_PERCENT] = ACTIONS(318),
    [anon_sym_CARET] = ACTIONS(318),
    [anon_sym_PIPE_PIPE] = ACTIONS(318),
    [anon_sym_GT] = ACTIONS(316),
    [anon_sym_AMP_CARET] = ACTIONS(318),
    [anon_sym_COLON] = ACTIONS(316),
    [anon_sym_DOT] = ACTIONS(318),
    [anon_sym_COLON_EQ] = ACTIONS(318),
    [anon_sym_PLUS] = ACTIONS(318),
    [anon_sym_SLASH] = ACTIONS(316),
    [anon_sym_LBRACK] = ACTIONS(318),
    [anon_sym_EQ_EQ] = ACTIONS(318),
    [anon_sym_EQ] = ACTIONS(316),
    [anon_sym_STAR] = ACTIONS(318),
    [anon_sym_LT_EQ] = ACTIONS(318),
    [anon_sym_GT_GT] = ACTIONS(318),
    [anon_sym_LPAREN] = ACTIONS(318),
    [anon_sym_LT] = ACTIONS(316),
    [anon_sym_LT_DASH] = ACTIONS(318),
    [anon_sym_AMP] = ACTIONS(316),
    [anon_sym_AMP_AMP] = ACTIONS(318),
    [sym_comment] = ACTIONS(3),
  },
  [790] = {
    [sym_qualified_type] = STATE(1150),
    [sym_map_type] = STATE(1150),
    [sym_channel_type] = STATE(1284),
    [sym_type_conversion_expression] = STATE(797),
    [sym_composite_literal] = STATE(797),
    [sym_unary_expression] = STATE(797),
    [sym_slice_type] = STATE(1150),
    [sym_binary_expression] = STATE(797),
    [sym__string_literal] = STATE(797),
    [sym_implicit_length_array_type] = STATE(1151),
    [sym_interpreted_string_literal] = STATE(797),
    [sym_call_expression] = STATE(797),
    [sym_slice_expression] = STATE(797),
    [sym_type_assertion_expression] = STATE(797),
    [sym_pointer_type] = STATE(1284),
    [sym_array_type] = STATE(1150),
    [sym_func_literal] = STATE(797),
    [sym_interface_type] = STATE(1284),
    [sym_function_type] = STATE(1284),
    [sym__expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(797),
    [sym_selector_expression] = STATE(797),
    [sym_index_expression] = STATE(797),
    [sym_parenthesized_type] = STATE(1284),
    [sym__simple_type] = STATE(1284),
    [sym_struct_type] = STATE(1150),
    [sym_rune_literal] = ACTIONS(2170),
    [sym_false] = ACTIONS(2172),
    [anon_sym_DQUOTE] = ACTIONS(2001),
    [anon_sym_make] = ACTIONS(2003),
    [sym_float_literal] = ACTIONS(2172),
    [anon_sym_new] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2005),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(2005),
    [sym_int_literal] = ACTIONS(2172),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2172),
    [sym_raw_string_literal] = ACTIONS(2170),
    [anon_sym_PLUS] = ACTIONS(2005),
    [sym_imaginary_literal] = ACTIONS(2170),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2172),
    [anon_sym_STAR] = ACTIONS(2007),
    [sym_identifier] = ACTIONS(2009),
    [anon_sym_func] = ACTIONS(2011),
    [anon_sym_LPAREN] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_LT_DASH] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [791] = {
    [sym_qualified_type] = STATE(1150),
    [sym_map_type] = STATE(1150),
    [sym_channel_type] = STATE(158),
    [sym_type_conversion_expression] = STATE(797),
    [sym_composite_literal] = STATE(797),
    [sym_unary_expression] = STATE(797),
    [sym_slice_type] = STATE(1150),
    [sym_binary_expression] = STATE(797),
    [sym__string_literal] = STATE(797),
    [sym_implicit_length_array_type] = STATE(1151),
    [sym_interpreted_string_literal] = STATE(797),
    [sym_call_expression] = STATE(797),
    [sym_slice_expression] = STATE(797),
    [sym_type_assertion_expression] = STATE(797),
    [sym_pointer_type] = STATE(158),
    [sym_array_type] = STATE(1150),
    [sym_func_literal] = STATE(797),
    [sym_interface_type] = STATE(158),
    [sym_function_type] = STATE(158),
    [sym__expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(797),
    [sym_selector_expression] = STATE(797),
    [sym_index_expression] = STATE(797),
    [sym_parenthesized_type] = STATE(158),
    [sym__simple_type] = STATE(158),
    [sym_struct_type] = STATE(1150),
    [sym_rune_literal] = ACTIONS(2170),
    [sym_false] = ACTIONS(2172),
    [anon_sym_DQUOTE] = ACTIONS(2001),
    [anon_sym_make] = ACTIONS(2003),
    [sym_float_literal] = ACTIONS(2172),
    [anon_sym_new] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2005),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(2005),
    [sym_int_literal] = ACTIONS(2172),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2172),
    [sym_raw_string_literal] = ACTIONS(2170),
    [anon_sym_PLUS] = ACTIONS(2005),
    [sym_imaginary_literal] = ACTIONS(2170),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2172),
    [anon_sym_STAR] = ACTIONS(2007),
    [sym_identifier] = ACTIONS(2009),
    [anon_sym_func] = ACTIONS(2011),
    [anon_sym_LPAREN] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_LT_DASH] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [792] = {
    [sym_literal_value] = STATE(160),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_PERCENT] = ACTIONS(456),
    [anon_sym_CARET] = ACTIONS(456),
    [anon_sym_PIPE_PIPE] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_AMP_CARET] = ACTIONS(456),
    [anon_sym_LT_EQ] = ACTIONS(456),
    [anon_sym_DOT] = ACTIONS(460),
    [anon_sym_EQ_EQ] = ACTIONS(456),
    [anon_sym_COLON_EQ] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(456),
    [anon_sym_LBRACK] = ACTIONS(456),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_GT_EQ] = ACTIONS(456),
    [anon_sym_COMMA] = ACTIONS(456),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_LT_LT] = ACTIONS(456),
    [anon_sym_BANG_EQ] = ACTIONS(456),
    [anon_sym_PLUS] = ACTIONS(456),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_AMP_AMP] = ACTIONS(456),
    [anon_sym_STAR] = ACTIONS(456),
    [anon_sym_GT_GT] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LT] = ACTIONS(458),
    [sym_comment] = ACTIONS(3),
  },
  [793] = {
    [sym_type_conversion_expression] = STATE(747),
    [sym_composite_literal] = STATE(747),
    [sym_unary_expression] = STATE(747),
    [sym_slice_type] = STATE(1115),
    [sym_binary_expression] = STATE(747),
    [sym__string_literal] = STATE(747),
    [sym_implicit_length_array_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(747),
    [sym__expression] = STATE(747),
    [sym_parenthesized_expression] = STATE(747),
    [sym_selector_expression] = STATE(747),
    [sym_index_expression] = STATE(747),
    [sym_parenthesized_type] = STATE(1283),
    [sym__simple_type] = STATE(1283),
    [sym_qualified_type] = STATE(1115),
    [sym_struct_type] = STATE(1115),
    [sym_map_type] = STATE(1115),
    [sym_channel_type] = STATE(1283),
    [sym_call_expression] = STATE(747),
    [sym_slice_expression] = STATE(747),
    [sym_type_assertion_expression] = STATE(747),
    [sym_pointer_type] = STATE(1283),
    [sym_array_type] = STATE(1115),
    [sym_func_literal] = STATE(747),
    [sym_interface_type] = STATE(1283),
    [sym_function_type] = STATE(1283),
    [sym_rune_literal] = ACTIONS(2141),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(686),
    [anon_sym_CARET] = ACTIONS(686),
    [sym_raw_string_literal] = ACTIONS(2141),
    [sym_imaginary_literal] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2143),
    [anon_sym_BANG] = ACTIONS(686),
    [anon_sym_make] = ACTIONS(688),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_new] = ACTIONS(688),
    [anon_sym_DQUOTE] = ACTIONS(692),
    [sym_int_literal] = ACTIONS(2143),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2143),
    [anon_sym_PLUS] = ACTIONS(686),
    [anon_sym_STAR] = ACTIONS(694),
    [sym_identifier] = ACTIONS(696),
    [anon_sym_func] = ACTIONS(702),
    [anon_sym_LPAREN] = ACTIONS(700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(704),
    [sym_float_literal] = ACTIONS(2143),
    [sym_false] = ACTIONS(2143),
  },
  [794] = {
    [sym_special_argument_list] = STATE(799),
    [anon_sym_PLUS_EQ] = ACTIONS(456),
    [anon_sym_GT_GT_EQ] = ACTIONS(456),
    [anon_sym_PIPE_EQ] = ACTIONS(456),
    [anon_sym_DASH] = ACTIONS(458),
    [anon_sym_PERCENT] = ACTIONS(458),
    [anon_sym_CARET] = ACTIONS(458),
    [anon_sym_PIPE_PIPE] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_AMP_CARET] = ACTIONS(458),
    [anon_sym_LT_EQ] = ACTIONS(456),
    [anon_sym_DOT] = ACTIONS(456),
    [anon_sym_COLON_EQ] = ACTIONS(456),
    [anon_sym_PERCENT_EQ] = ACTIONS(456),
    [anon_sym_EQ_EQ] = ACTIONS(456),
    [anon_sym_LBRACK] = ACTIONS(456),
    [anon_sym_AMP_EQ] = ACTIONS(456),
    [anon_sym_CARET_EQ] = ACTIONS(456),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(456),
    [anon_sym_GT_EQ] = ACTIONS(456),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_LT_LT] = ACTIONS(458),
    [anon_sym_BANG_EQ] = ACTIONS(456),
    [anon_sym_LT_LT_EQ] = ACTIONS(456),
    [anon_sym_STAR_EQ] = ACTIONS(456),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(456),
    [anon_sym_DASH_EQ] = ACTIONS(456),
    [anon_sym_PLUS] = ACTIONS(458),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_EQ] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(458),
    [anon_sym_AMP_AMP] = ACTIONS(456),
    [anon_sym_GT_GT] = ACTIONS(458),
    [anon_sym_LPAREN] = ACTIONS(2174),
    [anon_sym_LT] = ACTIONS(458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(456),
  },
  [795] = {
    [anon_sym_COMMA] = ACTIONS(586),
    [anon_sym_GT_EQ] = ACTIONS(586),
    [anon_sym_PIPE] = ACTIONS(584),
    [anon_sym_LT_LT] = ACTIONS(586),
    [anon_sym_BANG_EQ] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_PERCENT] = ACTIONS(586),
    [anon_sym_CARET] = ACTIONS(586),
    [anon_sym_PIPE_PIPE] = ACTIONS(586),
    [anon_sym_GT] = ACTIONS(584),
    [anon_sym_AMP_CARET] = ACTIONS(586),
    [anon_sym_COLON] = ACTIONS(584),
    [anon_sym_DOT] = ACTIONS(586),
    [anon_sym_COLON_EQ] = ACTIONS(586),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_LBRACK] = ACTIONS(586),
    [anon_sym_EQ_EQ] = ACTIONS(586),
    [anon_sym_EQ] = ACTIONS(584),
    [anon_sym_STAR] = ACTIONS(586),
    [anon_sym_LT_EQ] = ACTIONS(586),
    [anon_sym_GT_GT] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_LT] = ACTIONS(584),
    [anon_sym_LT_DASH] = ACTIONS(586),
    [anon_sym_AMP] = ACTIONS(584),
    [anon_sym_AMP_AMP] = ACTIONS(586),
    [sym_comment] = ACTIONS(3),
  },
  [796] = {
    [anon_sym_COMMA] = ACTIONS(680),
    [anon_sym_GT_EQ] = ACTIONS(680),
    [anon_sym_PIPE] = ACTIONS(678),
    [anon_sym_LT_LT] = ACTIONS(680),
    [anon_sym_BANG_EQ] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_PERCENT] = ACTIONS(680),
    [anon_sym_CARET] = ACTIONS(680),
    [anon_sym_PIPE_PIPE] = ACTIONS(680),
    [anon_sym_GT] = ACTIONS(678),
    [anon_sym_AMP_CARET] = ACTIONS(680),
    [anon_sym_COLON] = ACTIONS(678),
    [anon_sym_DOT] = ACTIONS(680),
    [anon_sym_COLON_EQ] = ACTIONS(680),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_SLASH] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(680),
    [anon_sym_EQ_EQ] = ACTIONS(680),
    [anon_sym_EQ] = ACTIONS(678),
    [anon_sym_STAR] = ACTIONS(680),
    [anon_sym_LT_EQ] = ACTIONS(680),
    [anon_sym_GT_GT] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(680),
    [anon_sym_LT] = ACTIONS(678),
    [anon_sym_LT_DASH] = ACTIONS(680),
    [anon_sym_AMP] = ACTIONS(678),
    [anon_sym_AMP_AMP] = ACTIONS(680),
    [sym_comment] = ACTIONS(3),
  },
  [797] = {
    [sym_argument_list] = STATE(799),
    [anon_sym_PLUS_EQ] = ACTIONS(810),
    [anon_sym_GT_GT_EQ] = ACTIONS(810),
    [anon_sym_PIPE_EQ] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(812),
    [anon_sym_PERCENT] = ACTIONS(812),
    [anon_sym_CARET] = ACTIONS(812),
    [anon_sym_PIPE_PIPE] = ACTIONS(810),
    [anon_sym_GT] = ACTIONS(812),
    [anon_sym_AMP_CARET] = ACTIONS(812),
    [anon_sym_LT_EQ] = ACTIONS(810),
    [anon_sym_DOT] = ACTIONS(2039),
    [anon_sym_COLON_EQ] = ACTIONS(810),
    [anon_sym_PERCENT_EQ] = ACTIONS(810),
    [anon_sym_EQ_EQ] = ACTIONS(810),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_AMP_EQ] = ACTIONS(810),
    [anon_sym_CARET_EQ] = ACTIONS(810),
    [anon_sym_AMP] = ACTIONS(812),
    [anon_sym_COMMA] = ACTIONS(810),
    [anon_sym_GT_EQ] = ACTIONS(810),
    [anon_sym_PIPE] = ACTIONS(812),
    [anon_sym_LT_LT] = ACTIONS(812),
    [anon_sym_BANG_EQ] = ACTIONS(810),
    [anon_sym_LT_LT_EQ] = ACTIONS(810),
    [anon_sym_STAR_EQ] = ACTIONS(810),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(810),
    [anon_sym_DASH_EQ] = ACTIONS(810),
    [anon_sym_PLUS] = ACTIONS(812),
    [anon_sym_SLASH] = ACTIONS(812),
    [anon_sym_EQ] = ACTIONS(812),
    [anon_sym_STAR] = ACTIONS(812),
    [anon_sym_AMP_AMP] = ACTIONS(810),
    [anon_sym_GT_GT] = ACTIONS(812),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LT] = ACTIONS(812),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(810),
  },
  [798] = {
    [anon_sym_PLUS_EQ] = ACTIONS(828),
    [anon_sym_GT_GT_EQ] = ACTIONS(828),
    [anon_sym_PIPE_EQ] = ACTIONS(828),
    [anon_sym_DASH] = ACTIONS(830),
    [anon_sym_PERCENT] = ACTIONS(830),
    [anon_sym_CARET] = ACTIONS(830),
    [anon_sym_PIPE_PIPE] = ACTIONS(828),
    [anon_sym_GT] = ACTIONS(830),
    [anon_sym_AMP_CARET] = ACTIONS(830),
    [anon_sym_LT_EQ] = ACTIONS(828),
    [anon_sym_DOT] = ACTIONS(828),
    [anon_sym_COLON_EQ] = ACTIONS(828),
    [anon_sym_PERCENT_EQ] = ACTIONS(828),
    [anon_sym_EQ_EQ] = ACTIONS(828),
    [anon_sym_LBRACK] = ACTIONS(828),
    [anon_sym_AMP_EQ] = ACTIONS(828),
    [anon_sym_CARET_EQ] = ACTIONS(828),
    [anon_sym_AMP] = ACTIONS(830),
    [anon_sym_COMMA] = ACTIONS(828),
    [anon_sym_GT_EQ] = ACTIONS(828),
    [anon_sym_PIPE] = ACTIONS(830),
    [anon_sym_LT_LT] = ACTIONS(830),
    [anon_sym_BANG_EQ] = ACTIONS(828),
    [anon_sym_LT_LT_EQ] = ACTIONS(828),
    [anon_sym_STAR_EQ] = ACTIONS(828),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(828),
    [anon_sym_DASH_EQ] = ACTIONS(828),
    [anon_sym_PLUS] = ACTIONS(830),
    [anon_sym_SLASH] = ACTIONS(830),
    [anon_sym_EQ] = ACTIONS(830),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_AMP_AMP] = ACTIONS(828),
    [anon_sym_GT_GT] = ACTIONS(830),
    [anon_sym_LPAREN] = ACTIONS(828),
    [anon_sym_LT] = ACTIONS(830),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(828),
  },
  [799] = {
    [anon_sym_PLUS_EQ] = ACTIONS(865),
    [anon_sym_GT_GT_EQ] = ACTIONS(865),
    [anon_sym_PIPE_EQ] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(867),
    [anon_sym_PERCENT] = ACTIONS(867),
    [anon_sym_CARET] = ACTIONS(867),
    [anon_sym_PIPE_PIPE] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(867),
    [anon_sym_AMP_CARET] = ACTIONS(867),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_DOT] = ACTIONS(865),
    [anon_sym_COLON_EQ] = ACTIONS(865),
    [anon_sym_PERCENT_EQ] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_LBRACK] = ACTIONS(865),
    [anon_sym_AMP_EQ] = ACTIONS(865),
    [anon_sym_CARET_EQ] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(867),
    [anon_sym_COMMA] = ACTIONS(865),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_LT_LT] = ACTIONS(867),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_LT_LT_EQ] = ACTIONS(865),
    [anon_sym_STAR_EQ] = ACTIONS(865),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(865),
    [anon_sym_DASH_EQ] = ACTIONS(865),
    [anon_sym_PLUS] = ACTIONS(867),
    [anon_sym_SLASH] = ACTIONS(867),
    [anon_sym_EQ] = ACTIONS(867),
    [anon_sym_STAR] = ACTIONS(867),
    [anon_sym_AMP_AMP] = ACTIONS(865),
    [anon_sym_GT_GT] = ACTIONS(867),
    [anon_sym_LPAREN] = ACTIONS(865),
    [anon_sym_LT] = ACTIONS(867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(865),
  },
  [800] = {
    [anon_sym_PLUS_EQ] = ACTIONS(869),
    [anon_sym_GT_GT_EQ] = ACTIONS(869),
    [anon_sym_PIPE_EQ] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(871),
    [anon_sym_PERCENT] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(871),
    [anon_sym_PIPE_PIPE] = ACTIONS(869),
    [anon_sym_GT] = ACTIONS(871),
    [anon_sym_AMP_CARET] = ACTIONS(871),
    [anon_sym_LT_EQ] = ACTIONS(869),
    [anon_sym_DOT] = ACTIONS(869),
    [anon_sym_COLON_EQ] = ACTIONS(869),
    [anon_sym_PERCENT_EQ] = ACTIONS(869),
    [anon_sym_EQ_EQ] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_AMP_EQ] = ACTIONS(869),
    [anon_sym_CARET_EQ] = ACTIONS(869),
    [anon_sym_AMP] = ACTIONS(871),
    [anon_sym_COMMA] = ACTIONS(869),
    [anon_sym_GT_EQ] = ACTIONS(869),
    [anon_sym_PIPE] = ACTIONS(871),
    [anon_sym_LT_LT] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(869),
    [anon_sym_LT_LT_EQ] = ACTIONS(869),
    [anon_sym_STAR_EQ] = ACTIONS(869),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(869),
    [anon_sym_DASH_EQ] = ACTIONS(869),
    [anon_sym_PLUS] = ACTIONS(871),
    [anon_sym_SLASH] = ACTIONS(871),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(871),
    [anon_sym_AMP_AMP] = ACTIONS(869),
    [anon_sym_GT_GT] = ACTIONS(871),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LT] = ACTIONS(871),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(869),
  },
  [801] = {
    [sym_type_conversion_expression] = STATE(810),
    [sym_composite_literal] = STATE(810),
    [sym_unary_expression] = STATE(810),
    [sym_slice_type] = STATE(1115),
    [sym_binary_expression] = STATE(810),
    [sym__string_literal] = STATE(810),
    [sym_implicit_length_array_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(810),
    [sym__expression] = STATE(810),
    [sym_parenthesized_expression] = STATE(810),
    [sym_selector_expression] = STATE(810),
    [sym_index_expression] = STATE(810),
    [sym_parenthesized_type] = STATE(1283),
    [sym__simple_type] = STATE(1283),
    [sym_qualified_type] = STATE(1115),
    [sym_struct_type] = STATE(1115),
    [sym_map_type] = STATE(1115),
    [sym_channel_type] = STATE(1283),
    [sym_call_expression] = STATE(810),
    [sym_slice_expression] = STATE(810),
    [sym_type_assertion_expression] = STATE(810),
    [sym_pointer_type] = STATE(1283),
    [sym_array_type] = STATE(1115),
    [sym_func_literal] = STATE(810),
    [sym_interface_type] = STATE(1283),
    [sym_function_type] = STATE(1283),
    [sym_rune_literal] = ACTIONS(2176),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(686),
    [anon_sym_CARET] = ACTIONS(686),
    [sym_raw_string_literal] = ACTIONS(2176),
    [sym_imaginary_literal] = ACTIONS(2176),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(686),
    [anon_sym_make] = ACTIONS(688),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_new] = ACTIONS(688),
    [anon_sym_DQUOTE] = ACTIONS(692),
    [sym_int_literal] = ACTIONS(2178),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2178),
    [anon_sym_PLUS] = ACTIONS(686),
    [anon_sym_STAR] = ACTIONS(694),
    [sym_identifier] = ACTIONS(696),
    [anon_sym_func] = ACTIONS(702),
    [anon_sym_LPAREN] = ACTIONS(700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(704),
    [sym_float_literal] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
  },
  [802] = {
    [sym_type_conversion_expression] = STATE(811),
    [sym_composite_literal] = STATE(811),
    [sym_unary_expression] = STATE(811),
    [sym_slice_type] = STATE(1115),
    [sym_binary_expression] = STATE(811),
    [sym__string_literal] = STATE(811),
    [sym_implicit_length_array_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(811),
    [sym__expression] = STATE(811),
    [sym_parenthesized_expression] = STATE(811),
    [sym_selector_expression] = STATE(811),
    [sym_index_expression] = STATE(811),
    [sym_parenthesized_type] = STATE(1283),
    [sym__simple_type] = STATE(1283),
    [sym_qualified_type] = STATE(1115),
    [sym_struct_type] = STATE(1115),
    [sym_map_type] = STATE(1115),
    [sym_channel_type] = STATE(1283),
    [sym_call_expression] = STATE(811),
    [sym_slice_expression] = STATE(811),
    [sym_type_assertion_expression] = STATE(811),
    [sym_pointer_type] = STATE(1283),
    [sym_array_type] = STATE(1115),
    [sym_func_literal] = STATE(811),
    [sym_interface_type] = STATE(1283),
    [sym_function_type] = STATE(1283),
    [sym_rune_literal] = ACTIONS(2180),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(686),
    [anon_sym_CARET] = ACTIONS(686),
    [sym_raw_string_literal] = ACTIONS(2180),
    [sym_imaginary_literal] = ACTIONS(2180),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(686),
    [anon_sym_make] = ACTIONS(688),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_new] = ACTIONS(688),
    [anon_sym_DQUOTE] = ACTIONS(692),
    [sym_int_literal] = ACTIONS(2182),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2182),
    [anon_sym_PLUS] = ACTIONS(686),
    [anon_sym_STAR] = ACTIONS(694),
    [sym_identifier] = ACTIONS(696),
    [anon_sym_func] = ACTIONS(702),
    [anon_sym_LPAREN] = ACTIONS(700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(704),
    [sym_float_literal] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
  },
  [803] = {
    [sym_type_conversion_expression] = STATE(763),
    [sym_composite_literal] = STATE(763),
    [sym_unary_expression] = STATE(763),
    [sym_slice_type] = STATE(1115),
    [sym_binary_expression] = STATE(763),
    [sym__string_literal] = STATE(763),
    [sym_implicit_length_array_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(763),
    [sym__expression] = STATE(763),
    [sym_parenthesized_expression] = STATE(763),
    [sym_selector_expression] = STATE(763),
    [sym_index_expression] = STATE(763),
    [sym_parenthesized_type] = STATE(1283),
    [sym__simple_type] = STATE(1283),
    [sym_qualified_type] = STATE(1115),
    [sym_struct_type] = STATE(1115),
    [sym_map_type] = STATE(1115),
    [sym_channel_type] = STATE(1283),
    [sym_call_expression] = STATE(763),
    [sym_slice_expression] = STATE(763),
    [sym_type_assertion_expression] = STATE(763),
    [sym_pointer_type] = STATE(1283),
    [sym_array_type] = STATE(1115),
    [sym_func_literal] = STATE(763),
    [sym_interface_type] = STATE(1283),
    [sym_function_type] = STATE(1283),
    [sym_rune_literal] = ACTIONS(2184),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(686),
    [anon_sym_CARET] = ACTIONS(686),
    [sym_raw_string_literal] = ACTIONS(2184),
    [sym_imaginary_literal] = ACTIONS(2184),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2186),
    [anon_sym_BANG] = ACTIONS(686),
    [anon_sym_make] = ACTIONS(688),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_new] = ACTIONS(688),
    [anon_sym_DQUOTE] = ACTIONS(692),
    [sym_int_literal] = ACTIONS(2186),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(686),
    [anon_sym_STAR] = ACTIONS(694),
    [sym_identifier] = ACTIONS(696),
    [anon_sym_func] = ACTIONS(702),
    [anon_sym_LPAREN] = ACTIONS(700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(704),
    [sym_float_literal] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
  },
  [804] = {
    [sym_type_conversion_expression] = STATE(813),
    [sym_composite_literal] = STATE(813),
    [sym_unary_expression] = STATE(813),
    [sym_slice_type] = STATE(1115),
    [sym_binary_expression] = STATE(813),
    [sym__string_literal] = STATE(813),
    [sym_implicit_length_array_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(813),
    [sym__expression] = STATE(813),
    [sym_parenthesized_expression] = STATE(813),
    [sym_selector_expression] = STATE(813),
    [sym_index_expression] = STATE(813),
    [sym_parenthesized_type] = STATE(1283),
    [sym__simple_type] = STATE(1283),
    [sym_qualified_type] = STATE(1115),
    [sym_struct_type] = STATE(1115),
    [sym_map_type] = STATE(1115),
    [sym_channel_type] = STATE(1283),
    [sym_call_expression] = STATE(813),
    [sym_slice_expression] = STATE(813),
    [sym_type_assertion_expression] = STATE(813),
    [sym_pointer_type] = STATE(1283),
    [sym_array_type] = STATE(1115),
    [sym_func_literal] = STATE(813),
    [sym_interface_type] = STATE(1283),
    [sym_function_type] = STATE(1283),
    [sym_rune_literal] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(686),
    [anon_sym_CARET] = ACTIONS(686),
    [sym_raw_string_literal] = ACTIONS(2188),
    [sym_imaginary_literal] = ACTIONS(2188),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(686),
    [anon_sym_make] = ACTIONS(688),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_new] = ACTIONS(688),
    [anon_sym_DQUOTE] = ACTIONS(692),
    [sym_int_literal] = ACTIONS(2190),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(686),
    [anon_sym_STAR] = ACTIONS(694),
    [sym_identifier] = ACTIONS(696),
    [anon_sym_func] = ACTIONS(702),
    [anon_sym_LPAREN] = ACTIONS(700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(704),
    [sym_float_literal] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
  },
  [805] = {
    [sym_type_conversion_expression] = STATE(815),
    [sym_composite_literal] = STATE(815),
    [sym_unary_expression] = STATE(815),
    [sym_slice_type] = STATE(1115),
    [sym_binary_expression] = STATE(815),
    [sym__string_literal] = STATE(815),
    [sym_implicit_length_array_type] = STATE(1116),
    [sym_interpreted_string_literal] = STATE(815),
    [sym__expression] = STATE(815),
    [sym_parenthesized_expression] = STATE(815),
    [sym_selector_expression] = STATE(815),
    [sym_index_expression] = STATE(815),
    [sym_parenthesized_type] = STATE(1283),
    [sym__simple_type] = STATE(1283),
    [sym_qualified_type] = STATE(1115),
    [sym_struct_type] = STATE(1115),
    [sym_map_type] = STATE(1115),
    [sym_channel_type] = STATE(1283),
    [sym_call_expression] = STATE(815),
    [sym_slice_expression] = STATE(815),
    [sym_type_assertion_expression] = STATE(815),
    [sym_pointer_type] = STATE(1283),
    [sym_array_type] = STATE(1115),
    [sym_func_literal] = STATE(815),
    [sym_interface_type] = STATE(1283),
    [sym_function_type] = STATE(1283),
    [sym_rune_literal] = ACTIONS(2192),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(686),
    [anon_sym_CARET] = ACTIONS(686),
    [sym_raw_string_literal] = ACTIONS(2192),
    [sym_imaginary_literal] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2194),
    [anon_sym_BANG] = ACTIONS(686),
    [anon_sym_make] = ACTIONS(688),
    [anon_sym_AMP] = ACTIONS(686),
    [anon_sym_new] = ACTIONS(688),
    [anon_sym_DQUOTE] = ACTIONS(692),
    [sym_int_literal] = ACTIONS(2194),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2194),
    [anon_sym_PLUS] = ACTIONS(686),
    [anon_sym_STAR] = ACTIONS(694),
    [sym_identifier] = ACTIONS(696),
    [anon_sym_func] = ACTIONS(702),
    [anon_sym_LPAREN] = ACTIONS(700),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(704),
    [sym_float_literal] = ACTIONS(2194),
    [sym_false] = ACTIONS(2194),
  },
  [806] = {
    [anon_sym_COMMA] = ACTIONS(1166),
    [anon_sym_GT_EQ] = ACTIONS(1166),
    [anon_sym_PIPE] = ACTIONS(1164),
    [anon_sym_LT_LT] = ACTIONS(1166),
    [anon_sym_BANG_EQ] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1166),
    [anon_sym_PERCENT] = ACTIONS(1166),
    [anon_sym_CARET] = ACTIONS(1166),
    [anon_sym_PIPE_PIPE] = ACTIONS(1166),
    [anon_sym_GT] = ACTIONS(1164),
    [anon_sym_AMP_CARET] = ACTIONS(1166),
    [anon_sym_COLON] = ACTIONS(1164),
    [anon_sym_DOT] = ACTIONS(1166),
    [anon_sym_COLON_EQ] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1166),
    [anon_sym_SLASH] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_EQ_EQ] = ACTIONS(1166),
    [anon_sym_EQ] = ACTIONS(1164),
    [anon_sym_STAR] = ACTIONS(1166),
    [anon_sym_LT_EQ] = ACTIONS(1166),
    [anon_sym_GT_GT] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(1166),
    [anon_sym_LT] = ACTIONS(1164),
    [anon_sym_LT_DASH] = ACTIONS(1166),
    [anon_sym_AMP] = ACTIONS(1164),
    [anon_sym_AMP_AMP] = ACTIONS(1166),
    [sym_comment] = ACTIONS(3),
  },
  [807] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1180),
    [anon_sym_GT_GT_EQ] = ACTIONS(1180),
    [anon_sym_PIPE_EQ] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_PERCENT] = ACTIONS(1182),
    [anon_sym_CARET] = ACTIONS(1182),
    [anon_sym_PIPE_PIPE] = ACTIONS(1180),
    [anon_sym_GT] = ACTIONS(1182),
    [anon_sym_AMP_CARET] = ACTIONS(1182),
    [anon_sym_LT_EQ] = ACTIONS(1180),
    [anon_sym_DOT] = ACTIONS(1180),
    [anon_sym_COLON_EQ] = ACTIONS(1180),
    [anon_sym_PERCENT_EQ] = ACTIONS(1180),
    [anon_sym_EQ_EQ] = ACTIONS(1180),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_AMP_EQ] = ACTIONS(1180),
    [anon_sym_CARET_EQ] = ACTIONS(1180),
    [anon_sym_AMP] = ACTIONS(1182),
    [anon_sym_COMMA] = ACTIONS(1180),
    [anon_sym_GT_EQ] = ACTIONS(1180),
    [anon_sym_PIPE] = ACTIONS(1182),
    [anon_sym_LT_LT] = ACTIONS(1182),
    [anon_sym_BANG_EQ] = ACTIONS(1180),
    [anon_sym_LT_LT_EQ] = ACTIONS(1180),
    [anon_sym_STAR_EQ] = ACTIONS(1180),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1180),
    [anon_sym_DASH_EQ] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_SLASH] = ACTIONS(1182),
    [anon_sym_EQ] = ACTIONS(1182),
    [anon_sym_STAR] = ACTIONS(1182),
    [anon_sym_AMP_AMP] = ACTIONS(1180),
    [anon_sym_GT_GT] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1180),
    [anon_sym_LT] = ACTIONS(1182),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1180),
  },
  [808] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1194),
    [anon_sym_GT_GT_EQ] = ACTIONS(1194),
    [anon_sym_PIPE_EQ] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_PERCENT] = ACTIONS(1196),
    [anon_sym_CARET] = ACTIONS(1196),
    [anon_sym_PIPE_PIPE] = ACTIONS(1194),
    [anon_sym_GT] = ACTIONS(1196),
    [anon_sym_AMP_CARET] = ACTIONS(1196),
    [anon_sym_LT_EQ] = ACTIONS(1194),
    [anon_sym_DOT] = ACTIONS(1194),
    [anon_sym_COLON_EQ] = ACTIONS(1194),
    [anon_sym_PERCENT_EQ] = ACTIONS(1194),
    [anon_sym_EQ_EQ] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_AMP_EQ] = ACTIONS(1194),
    [anon_sym_CARET_EQ] = ACTIONS(1194),
    [anon_sym_AMP] = ACTIONS(1196),
    [anon_sym_COMMA] = ACTIONS(1194),
    [anon_sym_GT_EQ] = ACTIONS(1194),
    [anon_sym_PIPE] = ACTIONS(1196),
    [anon_sym_LT_LT] = ACTIONS(1196),
    [anon_sym_BANG_EQ] = ACTIONS(1194),
    [anon_sym_LT_LT_EQ] = ACTIONS(1194),
    [anon_sym_STAR_EQ] = ACTIONS(1194),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1194),
    [anon_sym_DASH_EQ] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(1196),
    [anon_sym_EQ] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1196),
    [anon_sym_AMP_AMP] = ACTIONS(1194),
    [anon_sym_GT_GT] = ACTIONS(1196),
    [anon_sym_LPAREN] = ACTIONS(1194),
    [anon_sym_LT] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1194),
  },
  [809] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_EQ] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_PERCENT] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1198),
    [anon_sym_GT] = ACTIONS(1200),
    [anon_sym_AMP_CARET] = ACTIONS(1200),
    [anon_sym_LT_EQ] = ACTIONS(1198),
    [anon_sym_DOT] = ACTIONS(1198),
    [anon_sym_COLON_EQ] = ACTIONS(1198),
    [anon_sym_PERCENT_EQ] = ACTIONS(1198),
    [anon_sym_EQ_EQ] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1198),
    [anon_sym_AMP_EQ] = ACTIONS(1198),
    [anon_sym_CARET_EQ] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1200),
    [anon_sym_COMMA] = ACTIONS(1198),
    [anon_sym_GT_EQ] = ACTIONS(1198),
    [anon_sym_PIPE] = ACTIONS(1200),
    [anon_sym_LT_LT] = ACTIONS(1200),
    [anon_sym_BANG_EQ] = ACTIONS(1198),
    [anon_sym_LT_LT_EQ] = ACTIONS(1198),
    [anon_sym_STAR_EQ] = ACTIONS(1198),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1198),
    [anon_sym_DASH_EQ] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_SLASH] = ACTIONS(1200),
    [anon_sym_EQ] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1200),
    [anon_sym_AMP_AMP] = ACTIONS(1198),
    [anon_sym_GT_GT] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1198),
    [anon_sym_LT] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1198),
  },
  [810] = {
    [sym_argument_list] = STATE(749),
    [anon_sym_GT_GT_EQ] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_CARET] = ACTIONS(1074),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_LT_EQ] = ACTIONS(1206),
    [anon_sym_DOT] = ACTIONS(1080),
    [anon_sym_PERCENT_EQ] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [anon_sym_AMP_EQ] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_LT_LT] = ACTIONS(1084),
    [anon_sym_LT_LT_EQ] = ACTIONS(1206),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1206),
    [anon_sym_DASH_EQ] = ACTIONS(1206),
    [anon_sym_SLASH] = ACTIONS(1084),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1088),
    [anon_sym_LT_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_EQ] = ACTIONS(1206),
    [anon_sym_PIPE_EQ] = ACTIONS(1206),
    [anon_sym_PERCENT] = ACTIONS(1084),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(1084),
    [anon_sym_EQ_EQ] = ACTIONS(1206),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_CARET_EQ] = ACTIONS(1206),
    [anon_sym_GT_EQ] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(1074),
    [anon_sym_BANG_EQ] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [anon_sym_STAR_EQ] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(1206),
    [anon_sym_LT] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1206),
  },
  [811] = {
    [sym_argument_list] = STATE(749),
    [anon_sym_GT_GT_EQ] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_CARET] = ACTIONS(1208),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_LT_EQ] = ACTIONS(1206),
    [anon_sym_DOT] = ACTIONS(1080),
    [anon_sym_PERCENT_EQ] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [anon_sym_AMP_EQ] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_LT_LT] = ACTIONS(1084),
    [anon_sym_LT_LT_EQ] = ACTIONS(1206),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1206),
    [anon_sym_DASH_EQ] = ACTIONS(1206),
    [anon_sym_SLASH] = ACTIONS(1084),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1088),
    [anon_sym_LT_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_EQ] = ACTIONS(1206),
    [anon_sym_PIPE_EQ] = ACTIONS(1206),
    [anon_sym_PERCENT] = ACTIONS(1084),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(1084),
    [anon_sym_EQ_EQ] = ACTIONS(1206),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_CARET_EQ] = ACTIONS(1206),
    [anon_sym_GT_EQ] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_BANG_EQ] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [anon_sym_STAR_EQ] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(1206),
    [anon_sym_LT] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1206),
  },
  [812] = {
    [sym_argument_list] = STATE(799),
    [anon_sym_PLUS_EQ] = ACTIONS(1206),
    [anon_sym_GT_GT_EQ] = ACTIONS(1206),
    [anon_sym_PIPE_EQ] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_PERCENT] = ACTIONS(1208),
    [anon_sym_CARET] = ACTIONS(1208),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(1208),
    [anon_sym_LT_EQ] = ACTIONS(1206),
    [anon_sym_DOT] = ACTIONS(2039),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_PERCENT_EQ] = ACTIONS(1206),
    [anon_sym_EQ_EQ] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_AMP_EQ] = ACTIONS(1206),
    [anon_sym_CARET_EQ] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_GT_EQ] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_LT_LT] = ACTIONS(1208),
    [anon_sym_BANG_EQ] = ACTIONS(1206),
    [anon_sym_LT_LT_EQ] = ACTIONS(1206),
    [anon_sym_STAR_EQ] = ACTIONS(1206),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1206),
    [anon_sym_DASH_EQ] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(1208),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [anon_sym_GT_GT] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LT] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1206),
  },
  [813] = {
    [sym_argument_list] = STATE(749),
    [anon_sym_GT_GT_EQ] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_CARET] = ACTIONS(1074),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_LT_EQ] = ACTIONS(1078),
    [anon_sym_DOT] = ACTIONS(1080),
    [anon_sym_PERCENT_EQ] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [anon_sym_AMP_EQ] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_LT_LT] = ACTIONS(1084),
    [anon_sym_LT_LT_EQ] = ACTIONS(1206),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1206),
    [anon_sym_DASH_EQ] = ACTIONS(1206),
    [anon_sym_SLASH] = ACTIONS(1084),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1088),
    [anon_sym_LT_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_EQ] = ACTIONS(1206),
    [anon_sym_PIPE_EQ] = ACTIONS(1206),
    [anon_sym_PERCENT] = ACTIONS(1084),
    [anon_sym_GT] = ACTIONS(1092),
    [anon_sym_AMP_CARET] = ACTIONS(1084),
    [anon_sym_EQ_EQ] = ACTIONS(1078),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_CARET_EQ] = ACTIONS(1206),
    [anon_sym_GT_EQ] = ACTIONS(1078),
    [anon_sym_PIPE] = ACTIONS(1074),
    [anon_sym_BANG_EQ] = ACTIONS(1078),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [anon_sym_STAR_EQ] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_AMP_AMP] = ACTIONS(1096),
    [anon_sym_STAR] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(1206),
    [anon_sym_LT] = ACTIONS(1092),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1206),
  },
  [814] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1212),
    [anon_sym_GT_GT_EQ] = ACTIONS(1212),
    [anon_sym_PIPE_EQ] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_PERCENT] = ACTIONS(1214),
    [anon_sym_CARET] = ACTIONS(1214),
    [anon_sym_PIPE_PIPE] = ACTIONS(1212),
    [anon_sym_GT] = ACTIONS(1214),
    [anon_sym_AMP_CARET] = ACTIONS(1214),
    [anon_sym_LT_EQ] = ACTIONS(1212),
    [anon_sym_DOT] = ACTIONS(1212),
    [anon_sym_COLON_EQ] = ACTIONS(1212),
    [anon_sym_PERCENT_EQ] = ACTIONS(1212),
    [anon_sym_EQ_EQ] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_AMP_EQ] = ACTIONS(1212),
    [anon_sym_CARET_EQ] = ACTIONS(1212),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_COMMA] = ACTIONS(1212),
    [anon_sym_GT_EQ] = ACTIONS(1212),
    [anon_sym_PIPE] = ACTIONS(1214),
    [anon_sym_LT_LT] = ACTIONS(1214),
    [anon_sym_BANG_EQ] = ACTIONS(1212),
    [anon_sym_LT_LT_EQ] = ACTIONS(1212),
    [anon_sym_STAR_EQ] = ACTIONS(1212),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1212),
    [anon_sym_DASH_EQ] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_SLASH] = ACTIONS(1214),
    [anon_sym_EQ] = ACTIONS(1214),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_AMP_AMP] = ACTIONS(1212),
    [anon_sym_GT_GT] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1212),
    [anon_sym_LT] = ACTIONS(1214),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1212),
  },
  [815] = {
    [sym_argument_list] = STATE(749),
    [anon_sym_GT_GT_EQ] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_CARET] = ACTIONS(1074),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_LT_EQ] = ACTIONS(1078),
    [anon_sym_DOT] = ACTIONS(1080),
    [anon_sym_PERCENT_EQ] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [anon_sym_AMP_EQ] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_LT_LT] = ACTIONS(1084),
    [anon_sym_LT_LT_EQ] = ACTIONS(1206),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1206),
    [anon_sym_DASH_EQ] = ACTIONS(1206),
    [anon_sym_SLASH] = ACTIONS(1084),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1088),
    [anon_sym_LT_DASH] = ACTIONS(1206),
    [anon_sym_PLUS_EQ] = ACTIONS(1206),
    [anon_sym_PIPE_EQ] = ACTIONS(1206),
    [anon_sym_PERCENT] = ACTIONS(1084),
    [anon_sym_GT] = ACTIONS(1092),
    [anon_sym_AMP_CARET] = ACTIONS(1084),
    [anon_sym_EQ_EQ] = ACTIONS(1078),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_CARET_EQ] = ACTIONS(1206),
    [anon_sym_GT_EQ] = ACTIONS(1078),
    [anon_sym_PIPE] = ACTIONS(1074),
    [anon_sym_BANG_EQ] = ACTIONS(1078),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [anon_sym_STAR_EQ] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(1206),
    [anon_sym_LT] = ACTIONS(1092),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1206),
  },
  [816] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1226),
    [anon_sym_GT_GT_EQ] = ACTIONS(1226),
    [anon_sym_PIPE_EQ] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_PERCENT] = ACTIONS(1228),
    [anon_sym_CARET] = ACTIONS(1228),
    [anon_sym_PIPE_PIPE] = ACTIONS(1226),
    [anon_sym_GT] = ACTIONS(1228),
    [anon_sym_AMP_CARET] = ACTIONS(1228),
    [anon_sym_LT_EQ] = ACTIONS(1226),
    [anon_sym_DOT] = ACTIONS(1226),
    [anon_sym_COLON_EQ] = ACTIONS(1226),
    [anon_sym_PERCENT_EQ] = ACTIONS(1226),
    [anon_sym_EQ_EQ] = ACTIONS(1226),
    [anon_sym_LBRACK] = ACTIONS(1226),
    [anon_sym_AMP_EQ] = ACTIONS(1226),
    [anon_sym_CARET_EQ] = ACTIONS(1226),
    [anon_sym_AMP] = ACTIONS(1228),
    [anon_sym_COMMA] = ACTIONS(1226),
    [anon_sym_GT_EQ] = ACTIONS(1226),
    [anon_sym_PIPE] = ACTIONS(1228),
    [anon_sym_LT_LT] = ACTIONS(1228),
    [anon_sym_BANG_EQ] = ACTIONS(1226),
    [anon_sym_LT_LT_EQ] = ACTIONS(1226),
    [anon_sym_STAR_EQ] = ACTIONS(1226),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1226),
    [anon_sym_DASH_EQ] = ACTIONS(1226),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_SLASH] = ACTIONS(1228),
    [anon_sym_EQ] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(1228),
    [anon_sym_AMP_AMP] = ACTIONS(1226),
    [anon_sym_GT_GT] = ACTIONS(1228),
    [anon_sym_LPAREN] = ACTIONS(1226),
    [anon_sym_LT] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1226),
  },
  [817] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1485),
    [anon_sym_GT_GT_EQ] = ACTIONS(1485),
    [anon_sym_PIPE_EQ] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1487),
    [anon_sym_PERCENT] = ACTIONS(1487),
    [anon_sym_CARET] = ACTIONS(1487),
    [anon_sym_PIPE_PIPE] = ACTIONS(1485),
    [anon_sym_GT] = ACTIONS(1487),
    [anon_sym_AMP_CARET] = ACTIONS(1487),
    [anon_sym_LT_EQ] = ACTIONS(1485),
    [anon_sym_DOT] = ACTIONS(1485),
    [anon_sym_COLON_EQ] = ACTIONS(1485),
    [anon_sym_PERCENT_EQ] = ACTIONS(1485),
    [anon_sym_EQ_EQ] = ACTIONS(1485),
    [anon_sym_LBRACK] = ACTIONS(1485),
    [anon_sym_AMP_EQ] = ACTIONS(1485),
    [anon_sym_CARET_EQ] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_COMMA] = ACTIONS(1485),
    [anon_sym_GT_EQ] = ACTIONS(1485),
    [anon_sym_PIPE] = ACTIONS(1487),
    [anon_sym_LT_LT] = ACTIONS(1487),
    [anon_sym_BANG_EQ] = ACTIONS(1485),
    [anon_sym_LT_LT_EQ] = ACTIONS(1485),
    [anon_sym_STAR_EQ] = ACTIONS(1485),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1485),
    [anon_sym_DASH_EQ] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1487),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_EQ] = ACTIONS(1487),
    [anon_sym_STAR] = ACTIONS(1487),
    [anon_sym_AMP_AMP] = ACTIONS(1485),
    [anon_sym_GT_GT] = ACTIONS(1487),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(1487),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1485),
  },
  [818] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1493),
    [anon_sym_GT_GT_EQ] = ACTIONS(1493),
    [anon_sym_PIPE_EQ] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1495),
    [anon_sym_PERCENT] = ACTIONS(1495),
    [anon_sym_CARET] = ACTIONS(1495),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_GT] = ACTIONS(1495),
    [anon_sym_AMP_CARET] = ACTIONS(1495),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_DOT] = ACTIONS(1493),
    [anon_sym_COLON_EQ] = ACTIONS(1493),
    [anon_sym_PERCENT_EQ] = ACTIONS(1493),
    [anon_sym_EQ_EQ] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [anon_sym_AMP_EQ] = ACTIONS(1493),
    [anon_sym_CARET_EQ] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_COMMA] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
    [anon_sym_LT_LT] = ACTIONS(1495),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_LT_LT_EQ] = ACTIONS(1493),
    [anon_sym_STAR_EQ] = ACTIONS(1493),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1493),
    [anon_sym_DASH_EQ] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1495),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_EQ] = ACTIONS(1495),
    [anon_sym_STAR] = ACTIONS(1495),
    [anon_sym_AMP_AMP] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1493),
  },
  [819] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1503),
    [anon_sym_GT_GT_EQ] = ACTIONS(1503),
    [anon_sym_PIPE_EQ] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_PERCENT] = ACTIONS(1505),
    [anon_sym_CARET] = ACTIONS(1505),
    [anon_sym_PIPE_PIPE] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1505),
    [anon_sym_AMP_CARET] = ACTIONS(1505),
    [anon_sym_LT_EQ] = ACTIONS(1503),
    [anon_sym_DOT] = ACTIONS(1503),
    [anon_sym_COLON_EQ] = ACTIONS(1503),
    [anon_sym_PERCENT_EQ] = ACTIONS(1503),
    [anon_sym_EQ_EQ] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1503),
    [anon_sym_AMP_EQ] = ACTIONS(1503),
    [anon_sym_CARET_EQ] = ACTIONS(1503),
    [anon_sym_AMP] = ACTIONS(1505),
    [anon_sym_COMMA] = ACTIONS(1503),
    [anon_sym_GT_EQ] = ACTIONS(1503),
    [anon_sym_PIPE] = ACTIONS(1505),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1503),
    [anon_sym_LT_LT_EQ] = ACTIONS(1503),
    [anon_sym_STAR_EQ] = ACTIONS(1503),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1503),
    [anon_sym_DASH_EQ] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_SLASH] = ACTIONS(1505),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_STAR] = ACTIONS(1505),
    [anon_sym_AMP_AMP] = ACTIONS(1503),
    [anon_sym_GT_GT] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1503),
    [anon_sym_LT] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1503),
  },
  [820] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1511),
    [anon_sym_GT_GT_EQ] = ACTIONS(1511),
    [anon_sym_PIPE_EQ] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PERCENT] = ACTIONS(1513),
    [anon_sym_CARET] = ACTIONS(1513),
    [anon_sym_PIPE_PIPE] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1513),
    [anon_sym_AMP_CARET] = ACTIONS(1513),
    [anon_sym_LT_EQ] = ACTIONS(1511),
    [anon_sym_DOT] = ACTIONS(1511),
    [anon_sym_COLON_EQ] = ACTIONS(1511),
    [anon_sym_PERCENT_EQ] = ACTIONS(1511),
    [anon_sym_EQ_EQ] = ACTIONS(1511),
    [anon_sym_LBRACK] = ACTIONS(1511),
    [anon_sym_AMP_EQ] = ACTIONS(1511),
    [anon_sym_CARET_EQ] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_COMMA] = ACTIONS(1511),
    [anon_sym_GT_EQ] = ACTIONS(1511),
    [anon_sym_PIPE] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1513),
    [anon_sym_BANG_EQ] = ACTIONS(1511),
    [anon_sym_LT_LT_EQ] = ACTIONS(1511),
    [anon_sym_STAR_EQ] = ACTIONS(1511),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1511),
    [anon_sym_DASH_EQ] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_SLASH] = ACTIONS(1513),
    [anon_sym_EQ] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1511),
    [anon_sym_GT_GT] = ACTIONS(1513),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_LT] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1511),
  },
  [821] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1519),
    [anon_sym_GT_GT_EQ] = ACTIONS(1519),
    [anon_sym_PIPE_EQ] = ACTIONS(1519),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_PERCENT] = ACTIONS(1521),
    [anon_sym_CARET] = ACTIONS(1521),
    [anon_sym_PIPE_PIPE] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1521),
    [anon_sym_AMP_CARET] = ACTIONS(1521),
    [anon_sym_LT_EQ] = ACTIONS(1519),
    [anon_sym_DOT] = ACTIONS(1519),
    [anon_sym_COLON_EQ] = ACTIONS(1519),
    [anon_sym_PERCENT_EQ] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1519),
    [anon_sym_AMP_EQ] = ACTIONS(1519),
    [anon_sym_CARET_EQ] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1521),
    [anon_sym_COMMA] = ACTIONS(1519),
    [anon_sym_GT_EQ] = ACTIONS(1519),
    [anon_sym_PIPE] = ACTIONS(1521),
    [anon_sym_LT_LT] = ACTIONS(1521),
    [anon_sym_BANG_EQ] = ACTIONS(1519),
    [anon_sym_LT_LT_EQ] = ACTIONS(1519),
    [anon_sym_STAR_EQ] = ACTIONS(1519),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1519),
    [anon_sym_DASH_EQ] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_SLASH] = ACTIONS(1521),
    [anon_sym_EQ] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(1521),
    [anon_sym_AMP_AMP] = ACTIONS(1519),
    [anon_sym_GT_GT] = ACTIONS(1521),
    [anon_sym_LPAREN] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1521),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1519),
  },
  [822] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1533),
    [anon_sym_GT_GT_EQ] = ACTIONS(1533),
    [anon_sym_PIPE_EQ] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1535),
    [anon_sym_PERCENT] = ACTIONS(1535),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_PIPE_PIPE] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1535),
    [anon_sym_AMP_CARET] = ACTIONS(1535),
    [anon_sym_LT_EQ] = ACTIONS(1533),
    [anon_sym_DOT] = ACTIONS(1533),
    [anon_sym_COLON_EQ] = ACTIONS(1533),
    [anon_sym_PERCENT_EQ] = ACTIONS(1533),
    [anon_sym_EQ_EQ] = ACTIONS(1533),
    [anon_sym_LBRACK] = ACTIONS(1533),
    [anon_sym_AMP_EQ] = ACTIONS(1533),
    [anon_sym_CARET_EQ] = ACTIONS(1533),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_COMMA] = ACTIONS(1533),
    [anon_sym_GT_EQ] = ACTIONS(1533),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_LT_LT] = ACTIONS(1535),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_LT_LT_EQ] = ACTIONS(1533),
    [anon_sym_STAR_EQ] = ACTIONS(1533),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1533),
    [anon_sym_DASH_EQ] = ACTIONS(1533),
    [anon_sym_PLUS] = ACTIONS(1535),
    [anon_sym_SLASH] = ACTIONS(1535),
    [anon_sym_EQ] = ACTIONS(1535),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_AMP_AMP] = ACTIONS(1533),
    [anon_sym_GT_GT] = ACTIONS(1535),
    [anon_sym_LPAREN] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1535),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1533),
  },
  [823] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1543),
    [anon_sym_GT_GT_EQ] = ACTIONS(1543),
    [anon_sym_PIPE_EQ] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_PERCENT] = ACTIONS(1545),
    [anon_sym_CARET] = ACTIONS(1545),
    [anon_sym_PIPE_PIPE] = ACTIONS(1543),
    [anon_sym_GT] = ACTIONS(1545),
    [anon_sym_AMP_CARET] = ACTIONS(1545),
    [anon_sym_LT_EQ] = ACTIONS(1543),
    [anon_sym_DOT] = ACTIONS(1543),
    [anon_sym_COLON_EQ] = ACTIONS(1543),
    [anon_sym_PERCENT_EQ] = ACTIONS(1543),
    [anon_sym_EQ_EQ] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1543),
    [anon_sym_AMP_EQ] = ACTIONS(1543),
    [anon_sym_CARET_EQ] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1545),
    [anon_sym_COMMA] = ACTIONS(1543),
    [anon_sym_GT_EQ] = ACTIONS(1543),
    [anon_sym_PIPE] = ACTIONS(1545),
    [anon_sym_LT_LT] = ACTIONS(1545),
    [anon_sym_BANG_EQ] = ACTIONS(1543),
    [anon_sym_LT_LT_EQ] = ACTIONS(1543),
    [anon_sym_STAR_EQ] = ACTIONS(1543),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1543),
    [anon_sym_DASH_EQ] = ACTIONS(1543),
    [anon_sym_PLUS] = ACTIONS(1545),
    [anon_sym_SLASH] = ACTIONS(1545),
    [anon_sym_EQ] = ACTIONS(1545),
    [anon_sym_STAR] = ACTIONS(1545),
    [anon_sym_AMP_AMP] = ACTIONS(1543),
    [anon_sym_GT_GT] = ACTIONS(1545),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LT] = ACTIONS(1545),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1543),
  },
  [824] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1722),
    [anon_sym_GT_GT_EQ] = ACTIONS(1722),
    [anon_sym_PIPE_EQ] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym_PIPE_PIPE] = ACTIONS(1722),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_AMP_CARET] = ACTIONS(1724),
    [anon_sym_LT_EQ] = ACTIONS(1722),
    [anon_sym_DOT] = ACTIONS(1722),
    [anon_sym_COLON_EQ] = ACTIONS(1722),
    [anon_sym_PERCENT_EQ] = ACTIONS(1722),
    [anon_sym_EQ_EQ] = ACTIONS(1722),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_AMP_EQ] = ACTIONS(1722),
    [anon_sym_CARET_EQ] = ACTIONS(1722),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_COMMA] = ACTIONS(1722),
    [anon_sym_GT_EQ] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1724),
    [anon_sym_BANG_EQ] = ACTIONS(1722),
    [anon_sym_LT_LT_EQ] = ACTIONS(1722),
    [anon_sym_STAR_EQ] = ACTIONS(1722),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1722),
    [anon_sym_DASH_EQ] = ACTIONS(1722),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_EQ] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1724),
    [anon_sym_AMP_AMP] = ACTIONS(1722),
    [anon_sym_GT_GT] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_LT] = ACTIONS(1724),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1722),
  },
  [825] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1733),
    [anon_sym_GT_GT_EQ] = ACTIONS(1733),
    [anon_sym_PIPE_EQ] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1735),
    [anon_sym_PERCENT] = ACTIONS(1735),
    [anon_sym_CARET] = ACTIONS(1735),
    [anon_sym_PIPE_PIPE] = ACTIONS(1733),
    [anon_sym_GT] = ACTIONS(1735),
    [anon_sym_AMP_CARET] = ACTIONS(1735),
    [anon_sym_LT_EQ] = ACTIONS(1733),
    [anon_sym_DOT] = ACTIONS(1733),
    [anon_sym_COLON_EQ] = ACTIONS(1733),
    [anon_sym_PERCENT_EQ] = ACTIONS(1733),
    [anon_sym_EQ_EQ] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(1733),
    [anon_sym_AMP_EQ] = ACTIONS(1733),
    [anon_sym_CARET_EQ] = ACTIONS(1733),
    [anon_sym_AMP] = ACTIONS(1735),
    [anon_sym_COMMA] = ACTIONS(1733),
    [anon_sym_GT_EQ] = ACTIONS(1733),
    [anon_sym_PIPE] = ACTIONS(1735),
    [anon_sym_LT_LT] = ACTIONS(1735),
    [anon_sym_BANG_EQ] = ACTIONS(1733),
    [anon_sym_LT_LT_EQ] = ACTIONS(1733),
    [anon_sym_STAR_EQ] = ACTIONS(1733),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1733),
    [anon_sym_DASH_EQ] = ACTIONS(1733),
    [anon_sym_PLUS] = ACTIONS(1735),
    [anon_sym_SLASH] = ACTIONS(1735),
    [anon_sym_EQ] = ACTIONS(1735),
    [anon_sym_STAR] = ACTIONS(1735),
    [anon_sym_AMP_AMP] = ACTIONS(1733),
    [anon_sym_GT_GT] = ACTIONS(1735),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_LT] = ACTIONS(1735),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1733),
  },
  [826] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1739),
    [anon_sym_GT_GT_EQ] = ACTIONS(1739),
    [anon_sym_PIPE_EQ] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1741),
    [anon_sym_PERCENT] = ACTIONS(1741),
    [anon_sym_CARET] = ACTIONS(1741),
    [anon_sym_PIPE_PIPE] = ACTIONS(1739),
    [anon_sym_GT] = ACTIONS(1741),
    [anon_sym_AMP_CARET] = ACTIONS(1741),
    [anon_sym_LT_EQ] = ACTIONS(1739),
    [anon_sym_DOT] = ACTIONS(1739),
    [anon_sym_COLON_EQ] = ACTIONS(1739),
    [anon_sym_PERCENT_EQ] = ACTIONS(1739),
    [anon_sym_EQ_EQ] = ACTIONS(1739),
    [anon_sym_LBRACK] = ACTIONS(1739),
    [anon_sym_AMP_EQ] = ACTIONS(1739),
    [anon_sym_CARET_EQ] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_COMMA] = ACTIONS(1739),
    [anon_sym_GT_EQ] = ACTIONS(1739),
    [anon_sym_PIPE] = ACTIONS(1741),
    [anon_sym_LT_LT] = ACTIONS(1741),
    [anon_sym_BANG_EQ] = ACTIONS(1739),
    [anon_sym_LT_LT_EQ] = ACTIONS(1739),
    [anon_sym_STAR_EQ] = ACTIONS(1739),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1739),
    [anon_sym_DASH_EQ] = ACTIONS(1739),
    [anon_sym_PLUS] = ACTIONS(1741),
    [anon_sym_SLASH] = ACTIONS(1741),
    [anon_sym_EQ] = ACTIONS(1741),
    [anon_sym_STAR] = ACTIONS(1741),
    [anon_sym_AMP_AMP] = ACTIONS(1739),
    [anon_sym_GT_GT] = ACTIONS(1741),
    [anon_sym_LPAREN] = ACTIONS(1739),
    [anon_sym_LT] = ACTIONS(1741),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1739),
  },
  [827] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1743),
    [anon_sym_GT_GT_EQ] = ACTIONS(1743),
    [anon_sym_PIPE_EQ] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1745),
    [anon_sym_PERCENT] = ACTIONS(1745),
    [anon_sym_CARET] = ACTIONS(1745),
    [anon_sym_PIPE_PIPE] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1745),
    [anon_sym_AMP_CARET] = ACTIONS(1745),
    [anon_sym_LT_EQ] = ACTIONS(1743),
    [anon_sym_DOT] = ACTIONS(1743),
    [anon_sym_COLON_EQ] = ACTIONS(1743),
    [anon_sym_PERCENT_EQ] = ACTIONS(1743),
    [anon_sym_EQ_EQ] = ACTIONS(1743),
    [anon_sym_LBRACK] = ACTIONS(1743),
    [anon_sym_AMP_EQ] = ACTIONS(1743),
    [anon_sym_CARET_EQ] = ACTIONS(1743),
    [anon_sym_AMP] = ACTIONS(1745),
    [anon_sym_COMMA] = ACTIONS(1743),
    [anon_sym_GT_EQ] = ACTIONS(1743),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_LT_LT] = ACTIONS(1745),
    [anon_sym_BANG_EQ] = ACTIONS(1743),
    [anon_sym_LT_LT_EQ] = ACTIONS(1743),
    [anon_sym_STAR_EQ] = ACTIONS(1743),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1743),
    [anon_sym_DASH_EQ] = ACTIONS(1743),
    [anon_sym_PLUS] = ACTIONS(1745),
    [anon_sym_SLASH] = ACTIONS(1745),
    [anon_sym_EQ] = ACTIONS(1745),
    [anon_sym_STAR] = ACTIONS(1745),
    [anon_sym_AMP_AMP] = ACTIONS(1743),
    [anon_sym_GT_GT] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1743),
    [anon_sym_LT] = ACTIONS(1745),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1743),
  },
  [828] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1755),
    [anon_sym_GT_GT_EQ] = ACTIONS(1755),
    [anon_sym_PIPE_EQ] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1757),
    [anon_sym_PERCENT] = ACTIONS(1757),
    [anon_sym_CARET] = ACTIONS(1757),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1757),
    [anon_sym_AMP_CARET] = ACTIONS(1757),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_DOT] = ACTIONS(1755),
    [anon_sym_COLON_EQ] = ACTIONS(1755),
    [anon_sym_PERCENT_EQ] = ACTIONS(1755),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_AMP_EQ] = ACTIONS(1755),
    [anon_sym_CARET_EQ] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1757),
    [anon_sym_LT_LT] = ACTIONS(1757),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_LT_LT_EQ] = ACTIONS(1755),
    [anon_sym_STAR_EQ] = ACTIONS(1755),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1755),
    [anon_sym_DASH_EQ] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1757),
    [anon_sym_SLASH] = ACTIONS(1757),
    [anon_sym_EQ] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1757),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [anon_sym_GT_GT] = ACTIONS(1757),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1757),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1755),
  },
  [829] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1766),
    [anon_sym_GT_GT_EQ] = ACTIONS(1766),
    [anon_sym_PIPE_EQ] = ACTIONS(1766),
    [anon_sym_DASH] = ACTIONS(1768),
    [anon_sym_PERCENT] = ACTIONS(1768),
    [anon_sym_CARET] = ACTIONS(1768),
    [anon_sym_PIPE_PIPE] = ACTIONS(1766),
    [anon_sym_GT] = ACTIONS(1768),
    [anon_sym_AMP_CARET] = ACTIONS(1768),
    [anon_sym_LT_EQ] = ACTIONS(1766),
    [anon_sym_DOT] = ACTIONS(1766),
    [anon_sym_COLON_EQ] = ACTIONS(1766),
    [anon_sym_PERCENT_EQ] = ACTIONS(1766),
    [anon_sym_EQ_EQ] = ACTIONS(1766),
    [anon_sym_LBRACK] = ACTIONS(1766),
    [anon_sym_AMP_EQ] = ACTIONS(1766),
    [anon_sym_CARET_EQ] = ACTIONS(1766),
    [anon_sym_AMP] = ACTIONS(1768),
    [anon_sym_COMMA] = ACTIONS(1766),
    [anon_sym_GT_EQ] = ACTIONS(1766),
    [anon_sym_PIPE] = ACTIONS(1768),
    [anon_sym_LT_LT] = ACTIONS(1768),
    [anon_sym_BANG_EQ] = ACTIONS(1766),
    [anon_sym_LT_LT_EQ] = ACTIONS(1766),
    [anon_sym_STAR_EQ] = ACTIONS(1766),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1766),
    [anon_sym_DASH_EQ] = ACTIONS(1766),
    [anon_sym_PLUS] = ACTIONS(1768),
    [anon_sym_SLASH] = ACTIONS(1768),
    [anon_sym_EQ] = ACTIONS(1768),
    [anon_sym_STAR] = ACTIONS(1768),
    [anon_sym_AMP_AMP] = ACTIONS(1766),
    [anon_sym_GT_GT] = ACTIONS(1768),
    [anon_sym_LPAREN] = ACTIONS(1766),
    [anon_sym_LT] = ACTIONS(1768),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1766),
  },
  [830] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1838),
    [anon_sym_GT_GT_EQ] = ACTIONS(1838),
    [anon_sym_PIPE_EQ] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PERCENT] = ACTIONS(1840),
    [anon_sym_CARET] = ACTIONS(1840),
    [anon_sym_PIPE_PIPE] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_AMP_CARET] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1838),
    [anon_sym_DOT] = ACTIONS(1838),
    [anon_sym_COLON_EQ] = ACTIONS(1838),
    [anon_sym_PERCENT_EQ] = ACTIONS(1838),
    [anon_sym_EQ_EQ] = ACTIONS(1838),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_AMP_EQ] = ACTIONS(1838),
    [anon_sym_CARET_EQ] = ACTIONS(1838),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_COMMA] = ACTIONS(1838),
    [anon_sym_GT_EQ] = ACTIONS(1838),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_BANG_EQ] = ACTIONS(1838),
    [anon_sym_LT_LT_EQ] = ACTIONS(1838),
    [anon_sym_STAR_EQ] = ACTIONS(1838),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1838),
    [anon_sym_DASH_EQ] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_AMP_AMP] = ACTIONS(1838),
    [anon_sym_GT_GT] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_LT] = ACTIONS(1840),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1838),
  },
  [831] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1842),
    [anon_sym_GT_GT_EQ] = ACTIONS(1842),
    [anon_sym_PIPE_EQ] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_PERCENT] = ACTIONS(1844),
    [anon_sym_CARET] = ACTIONS(1844),
    [anon_sym_PIPE_PIPE] = ACTIONS(1842),
    [anon_sym_GT] = ACTIONS(1844),
    [anon_sym_AMP_CARET] = ACTIONS(1844),
    [anon_sym_LT_EQ] = ACTIONS(1842),
    [anon_sym_DOT] = ACTIONS(1842),
    [anon_sym_COLON_EQ] = ACTIONS(1842),
    [anon_sym_PERCENT_EQ] = ACTIONS(1842),
    [anon_sym_EQ_EQ] = ACTIONS(1842),
    [anon_sym_LBRACK] = ACTIONS(1842),
    [anon_sym_AMP_EQ] = ACTIONS(1842),
    [anon_sym_CARET_EQ] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1844),
    [anon_sym_COMMA] = ACTIONS(1842),
    [anon_sym_GT_EQ] = ACTIONS(1842),
    [anon_sym_PIPE] = ACTIONS(1844),
    [anon_sym_LT_LT] = ACTIONS(1844),
    [anon_sym_BANG_EQ] = ACTIONS(1842),
    [anon_sym_LT_LT_EQ] = ACTIONS(1842),
    [anon_sym_STAR_EQ] = ACTIONS(1842),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1842),
    [anon_sym_DASH_EQ] = ACTIONS(1842),
    [anon_sym_PLUS] = ACTIONS(1844),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_EQ] = ACTIONS(1844),
    [anon_sym_STAR] = ACTIONS(1844),
    [anon_sym_AMP_AMP] = ACTIONS(1842),
    [anon_sym_GT_GT] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1842),
    [anon_sym_LT] = ACTIONS(1844),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1842),
  },
  [832] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1848),
    [anon_sym_GT_GT_EQ] = ACTIONS(1848),
    [anon_sym_PIPE_EQ] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1850),
    [anon_sym_PERCENT] = ACTIONS(1850),
    [anon_sym_CARET] = ACTIONS(1850),
    [anon_sym_PIPE_PIPE] = ACTIONS(1848),
    [anon_sym_GT] = ACTIONS(1850),
    [anon_sym_AMP_CARET] = ACTIONS(1850),
    [anon_sym_LT_EQ] = ACTIONS(1848),
    [anon_sym_DOT] = ACTIONS(1848),
    [anon_sym_COLON_EQ] = ACTIONS(1848),
    [anon_sym_PERCENT_EQ] = ACTIONS(1848),
    [anon_sym_EQ_EQ] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1848),
    [anon_sym_AMP_EQ] = ACTIONS(1848),
    [anon_sym_CARET_EQ] = ACTIONS(1848),
    [anon_sym_AMP] = ACTIONS(1850),
    [anon_sym_COMMA] = ACTIONS(1848),
    [anon_sym_GT_EQ] = ACTIONS(1848),
    [anon_sym_PIPE] = ACTIONS(1850),
    [anon_sym_LT_LT] = ACTIONS(1850),
    [anon_sym_BANG_EQ] = ACTIONS(1848),
    [anon_sym_LT_LT_EQ] = ACTIONS(1848),
    [anon_sym_STAR_EQ] = ACTIONS(1848),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1848),
    [anon_sym_DASH_EQ] = ACTIONS(1848),
    [anon_sym_PLUS] = ACTIONS(1850),
    [anon_sym_SLASH] = ACTIONS(1850),
    [anon_sym_EQ] = ACTIONS(1850),
    [anon_sym_STAR] = ACTIONS(1850),
    [anon_sym_AMP_AMP] = ACTIONS(1848),
    [anon_sym_GT_GT] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1848),
    [anon_sym_LT] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1848),
  },
  [833] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1856),
    [anon_sym_GT_GT_EQ] = ACTIONS(1856),
    [anon_sym_PIPE_EQ] = ACTIONS(1856),
    [anon_sym_DASH] = ACTIONS(1858),
    [anon_sym_PERCENT] = ACTIONS(1858),
    [anon_sym_CARET] = ACTIONS(1858),
    [anon_sym_PIPE_PIPE] = ACTIONS(1856),
    [anon_sym_GT] = ACTIONS(1858),
    [anon_sym_AMP_CARET] = ACTIONS(1858),
    [anon_sym_LT_EQ] = ACTIONS(1856),
    [anon_sym_DOT] = ACTIONS(1856),
    [anon_sym_COLON_EQ] = ACTIONS(1856),
    [anon_sym_PERCENT_EQ] = ACTIONS(1856),
    [anon_sym_EQ_EQ] = ACTIONS(1856),
    [anon_sym_LBRACK] = ACTIONS(1856),
    [anon_sym_AMP_EQ] = ACTIONS(1856),
    [anon_sym_CARET_EQ] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym_COMMA] = ACTIONS(1856),
    [anon_sym_GT_EQ] = ACTIONS(1856),
    [anon_sym_PIPE] = ACTIONS(1858),
    [anon_sym_LT_LT] = ACTIONS(1858),
    [anon_sym_BANG_EQ] = ACTIONS(1856),
    [anon_sym_LT_LT_EQ] = ACTIONS(1856),
    [anon_sym_STAR_EQ] = ACTIONS(1856),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1856),
    [anon_sym_DASH_EQ] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1858),
    [anon_sym_SLASH] = ACTIONS(1858),
    [anon_sym_EQ] = ACTIONS(1858),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_AMP_AMP] = ACTIONS(1856),
    [anon_sym_GT_GT] = ACTIONS(1858),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_LT] = ACTIONS(1858),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1856),
  },
  [834] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1886),
    [anon_sym_GT_GT_EQ] = ACTIONS(1886),
    [anon_sym_PIPE_EQ] = ACTIONS(1886),
    [anon_sym_DASH] = ACTIONS(1888),
    [anon_sym_PERCENT] = ACTIONS(1888),
    [anon_sym_CARET] = ACTIONS(1888),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1888),
    [anon_sym_AMP_CARET] = ACTIONS(1888),
    [anon_sym_LT_EQ] = ACTIONS(1886),
    [anon_sym_DOT] = ACTIONS(1886),
    [anon_sym_COLON_EQ] = ACTIONS(1886),
    [anon_sym_PERCENT_EQ] = ACTIONS(1886),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [anon_sym_AMP_EQ] = ACTIONS(1886),
    [anon_sym_CARET_EQ] = ACTIONS(1886),
    [anon_sym_AMP] = ACTIONS(1888),
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1888),
    [anon_sym_LT_LT] = ACTIONS(1888),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_LT_LT_EQ] = ACTIONS(1886),
    [anon_sym_STAR_EQ] = ACTIONS(1886),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1886),
    [anon_sym_DASH_EQ] = ACTIONS(1886),
    [anon_sym_PLUS] = ACTIONS(1888),
    [anon_sym_SLASH] = ACTIONS(1888),
    [anon_sym_EQ] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(1888),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [anon_sym_GT_GT] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(1886),
    [anon_sym_LT] = ACTIONS(1888),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1886),
  },
  [835] = {
    [anon_sym_PLUS_EQ] = ACTIONS(1911),
    [anon_sym_GT_GT_EQ] = ACTIONS(1911),
    [anon_sym_PIPE_EQ] = ACTIONS(1911),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_PERCENT] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1913),
    [anon_sym_PIPE_PIPE] = ACTIONS(1911),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_AMP_CARET] = ACTIONS(1913),
    [anon_sym_LT_EQ] = ACTIONS(1911),
    [anon_sym_DOT] = ACTIONS(1911),
    [anon_sym_COLON_EQ] = ACTIONS(1911),
    [anon_sym_PERCENT_EQ] = ACTIONS(1911),
    [anon_sym_EQ_EQ] = ACTIONS(1911),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_AMP_EQ] = ACTIONS(1911),
    [anon_sym_CARET_EQ] = ACTIONS(1911),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_COMMA] = ACTIONS(1911),
    [anon_sym_GT_EQ] = ACTIONS(1911),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1913),
    [anon_sym_BANG_EQ] = ACTIONS(1911),
    [anon_sym_LT_LT_EQ] = ACTIONS(1911),
    [anon_sym_STAR_EQ] = ACTIONS(1911),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1911),
    [anon_sym_DASH_EQ] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_EQ] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1913),
    [anon_sym_AMP_AMP] = ACTIONS(1911),
    [anon_sym_GT_GT] = ACTIONS(1913),
    [anon_sym_LPAREN] = ACTIONS(1911),
    [anon_sym_LT] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1911),
  },
  [836] = {
    [anon_sym_RBRACE] = ACTIONS(316),
    [anon_sym_DASH] = ACTIONS(316),
    [anon_sym_PERCENT] = ACTIONS(316),
    [anon_sym_CARET] = ACTIONS(316),
    [anon_sym_PIPE_PIPE] = ACTIONS(316),
    [anon_sym_GT] = ACTIONS(316),
    [anon_sym_AMP_CARET] = ACTIONS(316),
    [anon_sym_LT_EQ] = ACTIONS(316),
    [anon_sym_DOT] = ACTIONS(316),
    [anon_sym_EQ_EQ] = ACTIONS(316),
    [anon_sym_LBRACK] = ACTIONS(316),
    [anon_sym_AMP] = ACTIONS(316),
    [anon_sym_case] = ACTIONS(316),
    [anon_sym_COMMA] = ACTIONS(316),
    [anon_sym_GT_EQ] = ACTIONS(316),
    [anon_sym_PIPE] = ACTIONS(316),
    [anon_sym_LF] = ACTIONS(318),
    [anon_sym_LT_LT] = ACTIONS(316),
    [anon_sym_BANG_EQ] = ACTIONS(316),
    [anon_sym_PLUS] = ACTIONS(316),
    [anon_sym_SLASH] = ACTIONS(316),
    [anon_sym_default] = ACTIONS(316),
    [anon_sym_AMP_AMP] = ACTIONS(316),
    [anon_sym_STAR] = ACTIONS(316),
    [anon_sym_SEMI] = ACTIONS(316),
    [anon_sym_LPAREN] = ACTIONS(316),
    [anon_sym_GT_GT] = ACTIONS(316),
    [anon_sym_LT] = ACTIONS(316),
    [sym_comment] = ACTIONS(61),
  },
  [837] = {
    [sym_qualified_type] = STATE(1185),
    [sym_map_type] = STATE(1185),
    [sym_channel_type] = STATE(1285),
    [sym_type_conversion_expression] = STATE(844),
    [sym_composite_literal] = STATE(844),
    [sym_unary_expression] = STATE(844),
    [sym_slice_type] = STATE(1185),
    [sym_binary_expression] = STATE(844),
    [sym__string_literal] = STATE(844),
    [sym_implicit_length_array_type] = STATE(1186),
    [sym_interpreted_string_literal] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_slice_expression] = STATE(844),
    [sym_type_assertion_expression] = STATE(844),
    [sym_pointer_type] = STATE(1285),
    [sym_array_type] = STATE(1185),
    [sym_func_literal] = STATE(844),
    [sym_interface_type] = STATE(1285),
    [sym_function_type] = STATE(1285),
    [sym__expression] = STATE(844),
    [sym_parenthesized_expression] = STATE(844),
    [sym_selector_expression] = STATE(844),
    [sym_index_expression] = STATE(844),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_struct_type] = STATE(1185),
    [sym_rune_literal] = ACTIONS(2196),
    [sym_false] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(1377),
    [anon_sym_make] = ACTIONS(1379),
    [sym_float_literal] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1379),
    [anon_sym_DASH] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(1381),
    [sym_int_literal] = ACTIONS(2198),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2198),
    [sym_raw_string_literal] = ACTIONS(2196),
    [anon_sym_PLUS] = ACTIONS(1381),
    [sym_imaginary_literal] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(1383),
    [sym_identifier] = ACTIONS(1385),
    [anon_sym_func] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1381),
    [anon_sym_LT_DASH] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [838] = {
    [sym_qualified_type] = STATE(1185),
    [sym_map_type] = STATE(1185),
    [sym_channel_type] = STATE(158),
    [sym_type_conversion_expression] = STATE(844),
    [sym_composite_literal] = STATE(844),
    [sym_unary_expression] = STATE(844),
    [sym_slice_type] = STATE(1185),
    [sym_binary_expression] = STATE(844),
    [sym__string_literal] = STATE(844),
    [sym_implicit_length_array_type] = STATE(1186),
    [sym_interpreted_string_literal] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_slice_expression] = STATE(844),
    [sym_type_assertion_expression] = STATE(844),
    [sym_pointer_type] = STATE(158),
    [sym_array_type] = STATE(1185),
    [sym_func_literal] = STATE(844),
    [sym_interface_type] = STATE(158),
    [sym_function_type] = STATE(158),
    [sym__expression] = STATE(844),
    [sym_parenthesized_expression] = STATE(844),
    [sym_selector_expression] = STATE(844),
    [sym_index_expression] = STATE(844),
    [sym_parenthesized_type] = STATE(158),
    [sym__simple_type] = STATE(158),
    [sym_struct_type] = STATE(1185),
    [sym_rune_literal] = ACTIONS(2196),
    [sym_false] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(1377),
    [anon_sym_make] = ACTIONS(1379),
    [sym_float_literal] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1379),
    [anon_sym_DASH] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(1381),
    [sym_int_literal] = ACTIONS(2198),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2198),
    [sym_raw_string_literal] = ACTIONS(2196),
    [anon_sym_PLUS] = ACTIONS(1381),
    [sym_imaginary_literal] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(1383),
    [sym_identifier] = ACTIONS(1385),
    [anon_sym_func] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1381),
    [anon_sym_LT_DASH] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [839] = {
    [sym_literal_value] = STATE(798),
    [anon_sym_PLUS_EQ] = ACTIONS(456),
    [anon_sym_GT_GT_EQ] = ACTIONS(456),
    [anon_sym_PIPE_EQ] = ACTIONS(456),
    [anon_sym_DASH] = ACTIONS(458),
    [anon_sym_PERCENT] = ACTIONS(458),
    [anon_sym_CARET] = ACTIONS(458),
    [anon_sym_PIPE_PIPE] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_AMP_CARET] = ACTIONS(458),
    [anon_sym_LT_EQ] = ACTIONS(456),
    [anon_sym_DOT] = ACTIONS(460),
    [anon_sym_COLON_EQ] = ACTIONS(456),
    [anon_sym_PERCENT_EQ] = ACTIONS(456),
    [anon_sym_EQ_EQ] = ACTIONS(456),
    [anon_sym_LBRACK] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_AMP_EQ] = ACTIONS(456),
    [anon_sym_CARET_EQ] = ACTIONS(456),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(456),
    [anon_sym_GT_EQ] = ACTIONS(456),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_LT_LT] = ACTIONS(458),
    [anon_sym_BANG_EQ] = ACTIONS(456),
    [anon_sym_LT_LT_EQ] = ACTIONS(456),
    [anon_sym_STAR_EQ] = ACTIONS(456),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(456),
    [anon_sym_DASH_EQ] = ACTIONS(456),
    [anon_sym_PLUS] = ACTIONS(458),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_EQ] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(458),
    [anon_sym_AMP_AMP] = ACTIONS(456),
    [anon_sym_GT_GT] = ACTIONS(458),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LT] = ACTIONS(458),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(456),
  },
  [840] = {
    [sym_qualified_type] = STATE(1150),
    [sym_map_type] = STATE(1150),
    [sym_channel_type] = STATE(1284),
    [sym_type_conversion_expression] = STATE(797),
    [sym_composite_literal] = STATE(797),
    [sym_unary_expression] = STATE(797),
    [sym_slice_type] = STATE(1150),
    [sym_binary_expression] = STATE(797),
    [sym__string_literal] = STATE(797),
    [sym_implicit_length_array_type] = STATE(1151),
    [sym_interpreted_string_literal] = STATE(797),
    [sym_call_expression] = STATE(797),
    [sym_slice_expression] = STATE(797),
    [sym_type_assertion_expression] = STATE(797),
    [sym_pointer_type] = STATE(1284),
    [sym_array_type] = STATE(1150),
    [sym_func_literal] = STATE(797),
    [sym_interface_type] = STATE(1284),
    [sym_function_type] = STATE(1284),
    [sym__expression] = STATE(797),
    [sym_parenthesized_expression] = STATE(797),
    [sym_selector_expression] = STATE(797),
    [sym_index_expression] = STATE(797),
    [sym_parenthesized_type] = STATE(1284),
    [sym__simple_type] = STATE(1284),
    [sym_struct_type] = STATE(1150),
    [sym_rune_literal] = ACTIONS(2170),
    [sym_false] = ACTIONS(2172),
    [anon_sym_DQUOTE] = ACTIONS(2001),
    [anon_sym_make] = ACTIONS(2003),
    [sym_float_literal] = ACTIONS(2172),
    [anon_sym_new] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2005),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(2005),
    [sym_int_literal] = ACTIONS(2172),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2172),
    [sym_raw_string_literal] = ACTIONS(2170),
    [anon_sym_PLUS] = ACTIONS(2005),
    [sym_imaginary_literal] = ACTIONS(2170),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2172),
    [anon_sym_STAR] = ACTIONS(2007),
    [sym_identifier] = ACTIONS(2009),
    [anon_sym_func] = ACTIONS(2011),
    [anon_sym_LPAREN] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_LT_DASH] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(478),
  },
  [841] = {
    [sym_special_argument_list] = STATE(846),
    [anon_sym_COMMA] = ACTIONS(456),
    [anon_sym_GT_EQ] = ACTIONS(456),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_LT_LT] = ACTIONS(456),
    [anon_sym_BANG_EQ] = ACTIONS(456),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_PERCENT] = ACTIONS(456),
    [anon_sym_CARET] = ACTIONS(456),
    [anon_sym_PIPE_PIPE] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_AMP_CARET] = ACTIONS(456),
    [anon_sym_COLON] = ACTIONS(458),
    [anon_sym_DOT] = ACTIONS(456),
    [anon_sym_COLON_EQ] = ACTIONS(456),
    [anon_sym_PLUS] = ACTIONS(456),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(456),
    [anon_sym_EQ_EQ] = ACTIONS(456),
    [anon_sym_EQ] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(456),
    [anon_sym_LT_EQ] = ACTIONS(456),
    [anon_sym_GT_GT] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(2202),
    [anon_sym_LT] = ACTIONS(458),
    [anon_sym_LT_DASH] = ACTIONS(456),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_AMP_AMP] = ACTIONS(456),
    [sym_comment] = ACTIONS(3),
  },
  [842] = {
    [anon_sym_RBRACE] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_PERCENT] = ACTIONS(584),
    [anon_sym_CARET] = ACTIONS(584),
    [anon_sym_PIPE_PIPE] = ACTIONS(584),
    [anon_sym_GT] = ACTIONS(584),
    [anon_sym_AMP_CARET] = ACTIONS(584),
    [anon_sym_LT_EQ] = ACTIONS(584),
    [anon_sym_DOT] = ACTIONS(584),
    [anon_sym_EQ_EQ] = ACTIONS(584),
    [anon_sym_LBRACK] = ACTIONS(584),
    [anon_sym_AMP] = ACTIONS(584),
    [anon_sym_case] = ACTIONS(584),
    [anon_sym_COMMA] = ACTIONS(584),
    [anon_sym_GT_EQ] = ACTIONS(584),
    [anon_sym_PIPE] = ACTIONS(584),
    [anon_sym_LF] = ACTIONS(586),
    [anon_sym_LT_LT] = ACTIONS(584),
    [anon_sym_BANG_EQ] = ACTIONS(584),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_default] = ACTIONS(584),
    [anon_sym_AMP_AMP] = ACTIONS(584),
    [anon_sym_STAR] = ACTIONS(584),
    [anon_sym_SEMI] = ACTIONS(584),
    [anon_sym_LPAREN] = ACTIONS(584),
    [anon_sym_GT_GT] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(584),
    [sym_comment] = ACTIONS(61),
  },
  [843] = {
    [anon_sym_RBRACE] = ACTIONS(678),
    [anon_sym_DASH] = ACTIONS(678),
    [anon_sym_PERCENT] = ACTIONS(678),
    [anon_sym_CARET] = ACTIONS(678),
    [anon_sym_PIPE_PIPE] = ACTIONS(678),
    [anon_sym_GT] = ACTIONS(678),
    [anon_sym_AMP_CARET] = ACTIONS(678),
    [anon_sym_LT_EQ] = ACTIONS(678),
    [anon_sym_DOT] = ACTIONS(678),
    [anon_sym_EQ_EQ] = ACTIONS(678),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_AMP] = ACTIONS(678),
    [anon_sym_case] = ACTIONS(678),
    [anon_sym_COMMA] = ACTIONS(678),
    [anon_sym_GT_EQ] = ACTIONS(678),
    [anon_sym_PIPE] = ACTIONS(678),
    [anon_sym_LF] = ACTIONS(680),
    [anon_sym_LT_LT] = ACTIONS(678),
    [anon_sym_BANG_EQ] = ACTIONS(678),
    [anon_sym_PLUS] = ACTIONS(678),
    [anon_sym_SLASH] = ACTIONS(678),
    [anon_sym_default] = ACTIONS(678),
    [anon_sym_AMP_AMP] = ACTIONS(678),
    [anon_sym_STAR] = ACTIONS(678),
    [anon_sym_SEMI] = ACTIONS(678),
    [anon_sym_LPAREN] = ACTIONS(678),
    [anon_sym_GT_GT] = ACTIONS(678),
    [anon_sym_LT] = ACTIONS(678),
    [sym_comment] = ACTIONS(61),
  },
  [844] = {
    [sym_argument_list] = STATE(846),
    [anon_sym_COMMA] = ACTIONS(810),
    [anon_sym_GT_EQ] = ACTIONS(810),
    [anon_sym_PIPE] = ACTIONS(812),
    [anon_sym_LT_LT] = ACTIONS(810),
    [anon_sym_BANG_EQ] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_PERCENT] = ACTIONS(810),
    [anon_sym_CARET] = ACTIONS(810),
    [anon_sym_PIPE_PIPE] = ACTIONS(810),
    [anon_sym_GT] = ACTIONS(812),
    [anon_sym_AMP_CARET] = ACTIONS(810),
    [anon_sym_COLON] = ACTIONS(812),
    [anon_sym_DOT] = ACTIONS(1640),
    [anon_sym_COLON_EQ] = ACTIONS(810),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_SLASH] = ACTIONS(812),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [anon_sym_EQ_EQ] = ACTIONS(810),
    [anon_sym_EQ] = ACTIONS(812),
    [anon_sym_STAR] = ACTIONS(810),
    [anon_sym_LT_EQ] = ACTIONS(810),
    [anon_sym_GT_GT] = ACTIONS(810),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_LT] = ACTIONS(812),
    [anon_sym_LT_DASH] = ACTIONS(810),
    [anon_sym_AMP] = ACTIONS(812),
    [anon_sym_AMP_AMP] = ACTIONS(810),
    [sym_comment] = ACTIONS(3),
  },
  [845] = {
    [anon_sym_COMMA] = ACTIONS(828),
    [anon_sym_GT_EQ] = ACTIONS(828),
    [anon_sym_PIPE] = ACTIONS(830),
    [anon_sym_LT_LT] = ACTIONS(828),
    [anon_sym_BANG_EQ] = ACTIONS(828),
    [anon_sym_DASH] = ACTIONS(828),
    [anon_sym_PERCENT] = ACTIONS(828),
    [anon_sym_CARET] = ACTIONS(828),
    [anon_sym_PIPE_PIPE] = ACTIONS(828),
    [anon_sym_GT] = ACTIONS(830),
    [anon_sym_AMP_CARET] = ACTIONS(828),
    [anon_sym_COLON] = ACTIONS(830),
    [anon_sym_DOT] = ACTIONS(828),
    [anon_sym_COLON_EQ] = ACTIONS(828),
    [anon_sym_PLUS] = ACTIONS(828),
    [anon_sym_SLASH] = ACTIONS(830),
    [anon_sym_LBRACK] = ACTIONS(828),
    [anon_sym_EQ_EQ] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(830),
    [anon_sym_STAR] = ACTIONS(828),
    [anon_sym_LT_EQ] = ACTIONS(828),
    [anon_sym_GT_GT] = ACTIONS(828),
    [anon_sym_LPAREN] = ACTIONS(828),
    [anon_sym_LT] = ACTIONS(830),
    [anon_sym_LT_DASH] = ACTIONS(828),
    [anon_sym_AMP] = ACTIONS(830),
    [anon_sym_AMP_AMP] = ACTIONS(828),
    [sym_comment] = ACTIONS(3),
  },
  [846] = {
    [anon_sym_COMMA] = ACTIONS(865),
    [anon_sym_GT_EQ] = ACTIONS(865),
    [anon_sym_PIPE] = ACTIONS(867),
    [anon_sym_LT_LT] = ACTIONS(865),
    [anon_sym_BANG_EQ] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_PERCENT] = ACTIONS(865),
    [anon_sym_CARET] = ACTIONS(865),
    [anon_sym_PIPE_PIPE] = ACTIONS(865),
    [anon_sym_GT] = ACTIONS(867),
    [anon_sym_AMP_CARET] = ACTIONS(865),
    [anon_sym_COLON] = ACTIONS(867),
    [anon_sym_DOT] = ACTIONS(865),
    [anon_sym_COLON_EQ] = ACTIONS(865),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_SLASH] = ACTIONS(867),
    [anon_sym_LBRACK] = ACTIONS(865),
    [anon_sym_EQ_EQ] = ACTIONS(865),
    [anon_sym_EQ] = ACTIONS(867),
    [anon_sym_STAR] = ACTIONS(865),
    [anon_sym_LT_EQ] = ACTIONS(865),
    [anon_sym_GT_GT] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(865),
    [anon_sym_LT] = ACTIONS(867),
    [anon_sym_LT_DASH] = ACTIONS(865),
    [anon_sym_AMP] = ACTIONS(867),
    [anon_sym_AMP_AMP] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
  },
  [847] = {
    [anon_sym_COMMA] = ACTIONS(869),
    [anon_sym_GT_EQ] = ACTIONS(869),
    [anon_sym_PIPE] = ACTIONS(871),
    [anon_sym_LT_LT] = ACTIONS(869),
    [anon_sym_BANG_EQ] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(869),
    [anon_sym_CARET] = ACTIONS(869),
    [anon_sym_PIPE_PIPE] = ACTIONS(869),
    [anon_sym_GT] = ACTIONS(871),
    [anon_sym_AMP_CARET] = ACTIONS(869),
    [anon_sym_COLON] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(869),
    [anon_sym_COLON_EQ] = ACTIONS(869),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_SLASH] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_EQ_EQ] = ACTIONS(869),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(869),
    [anon_sym_LT_EQ] = ACTIONS(869),
    [anon_sym_GT_GT] = ACTIONS(869),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_LT] = ACTIONS(871),
    [anon_sym_LT_DASH] = ACTIONS(869),
    [anon_sym_AMP] = ACTIONS(871),
    [anon_sym_AMP_AMP] = ACTIONS(869),
    [sym_comment] = ACTIONS(3),
  },
  [848] = {
    [sym_qualified_type] = STATE(1150),
    [sym_map_type] = STATE(1150),
    [sym_channel_type] = STATE(1284),
    [sym_type_conversion_expression] = STATE(857),
    [sym_composite_literal] = STATE(857),
    [sym_unary_expression] = STATE(857),
    [sym_slice_type] = STATE(1150),
    [sym_binary_expression] = STATE(857),
    [sym__string_literal] = STATE(857),
    [sym_implicit_length_array_type] = STATE(1151),
    [sym_interpreted_string_literal] = STATE(857),
    [sym_call_expression] = STATE(857),
    [sym_slice_expression] = STATE(857),
    [sym_type_assertion_expression] = STATE(857),
    [sym_pointer_type] = STATE(1284),
    [sym_array_type] = STATE(1150),
    [sym_func_literal] = STATE(857),
    [sym_interface_type] = STATE(1284),
    [sym_function_type] = STATE(1284),
    [sym__expression] = STATE(857),
    [sym_parenthesized_expression] = STATE(857),
    [sym_selector_expression] = STATE(857),
    [sym_index_expression] = STATE(857),
    [sym_parenthesized_type] = STATE(1284),
    [sym__simple_type] = STATE(1284),
    [sym_struct_type] = STATE(1150),
    [sym_rune_literal] = ACTIONS(2204),
    [sym_false] = ACTIONS(2206),
    [anon_sym_DQUOTE] = ACTIONS(2001),
    [anon_sym_make] = ACTIONS(2003),
    [sym_float_literal] = ACTIONS(2206),
    [anon_sym_new] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2005),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(2005),
    [sym_int_literal] = ACTIONS(2206),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2206),
    [sym_raw_string_literal] = ACTIONS(2204),
    [anon_sym_PLUS] = ACTIONS(2005),
    [sym_imaginary_literal] = ACTIONS(2204),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2007),
    [sym_identifier] = ACTIONS(2009),
    [anon_sym_func] = ACTIONS(2011),
    [anon_sym_LPAREN] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_LT_DASH] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [849] = {
    [sym_qualified_type] = STATE(1150),
    [sym_map_type] = STATE(1150),
    [sym_channel_type] = STATE(1284),
    [sym_type_conversion_expression] = STATE(858),
    [sym_composite_literal] = STATE(858),
    [sym_unary_expression] = STATE(858),
    [sym_slice_type] = STATE(1150),
    [sym_binary_expression] = STATE(858),
    [sym__string_literal] = STATE(858),
    [sym_implicit_length_array_type] = STATE(1151),
    [sym_interpreted_string_literal] = STATE(858),
    [sym_call_expression] = STATE(858),
    [sym_slice_expression] = STATE(858),
    [sym_type_assertion_expression] = STATE(858),
    [sym_pointer_type] = STATE(1284),
    [sym_array_type] = STATE(1150),
    [sym_func_literal] = STATE(858),
    [sym_interface_type] = STATE(1284),
    [sym_function_type] = STATE(1284),
    [sym__expression] = STATE(858),
    [sym_parenthesized_expression] = STATE(858),
    [sym_selector_expression] = STATE(858),
    [sym_index_expression] = STATE(858),
    [sym_parenthesized_type] = STATE(1284),
    [sym__simple_type] = STATE(1284),
    [sym_struct_type] = STATE(1150),
    [sym_rune_literal] = ACTIONS(2208),
    [sym_false] = ACTIONS(2210),
    [anon_sym_DQUOTE] = ACTIONS(2001),
    [anon_sym_make] = ACTIONS(2003),
    [sym_float_literal] = ACTIONS(2210),
    [anon_sym_new] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2005),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(2005),
    [sym_int_literal] = ACTIONS(2210),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2210),
    [sym_raw_string_literal] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2005),
    [sym_imaginary_literal] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2007),
    [sym_identifier] = ACTIONS(2009),
    [anon_sym_func] = ACTIONS(2011),
    [anon_sym_LPAREN] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_LT_DASH] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [850] = {
    [sym_qualified_type] = STATE(1150),
    [sym_map_type] = STATE(1150),
    [sym_channel_type] = STATE(1284),
    [sym_type_conversion_expression] = STATE(812),
    [sym_composite_literal] = STATE(812),
    [sym_unary_expression] = STATE(812),
    [sym_slice_type] = STATE(1150),
    [sym_binary_expression] = STATE(812),
    [sym__string_literal] = STATE(812),
    [sym_implicit_length_array_type] = STATE(1151),
    [sym_interpreted_string_literal] = STATE(812),
    [sym_call_expression] = STATE(812),
    [sym_slice_expression] = STATE(812),
    [sym_type_assertion_expression] = STATE(812),
    [sym_pointer_type] = STATE(1284),
    [sym_array_type] = STATE(1150),
    [sym_func_literal] = STATE(812),
    [sym_interface_type] = STATE(1284),
    [sym_function_type] = STATE(1284),
    [sym__expression] = STATE(812),
    [sym_parenthesized_expression] = STATE(812),
    [sym_selector_expression] = STATE(812),
    [sym_index_expression] = STATE(812),
    [sym_parenthesized_type] = STATE(1284),
    [sym__simple_type] = STATE(1284),
    [sym_struct_type] = STATE(1150),
    [sym_rune_literal] = ACTIONS(2212),
    [sym_false] = ACTIONS(2214),
    [anon_sym_DQUOTE] = ACTIONS(2001),
    [anon_sym_make] = ACTIONS(2003),
    [sym_float_literal] = ACTIONS(2214),
    [anon_sym_new] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2005),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(2005),
    [sym_int_literal] = ACTIONS(2214),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2214),
    [sym_raw_string_literal] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2005),
    [sym_imaginary_literal] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(2007),
    [sym_identifier] = ACTIONS(2009),
    [anon_sym_func] = ACTIONS(2011),
    [anon_sym_LPAREN] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_LT_DASH] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [851] = {
    [sym_qualified_type] = STATE(1150),
    [sym_map_type] = STATE(1150),
    [sym_channel_type] = STATE(1284),
    [sym_type_conversion_expression] = STATE(860),
    [sym_composite_literal] = STATE(860),
    [sym_unary_expression] = STATE(860),
    [sym_slice_type] = STATE(1150),
    [sym_binary_expression] = STATE(860),
    [sym__string_literal] = STATE(860),
    [sym_implicit_length_array_type] = STATE(1151),
    [sym_interpreted_string_literal] = STATE(860),
    [sym_call_expression] = STATE(860),
    [sym_slice_expression] = STATE(860),
    [sym_type_assertion_expression] = STATE(860),
    [sym_pointer_type] = STATE(1284),
    [sym_array_type] = STATE(1150),
    [sym_func_literal] = STATE(860),
    [sym_interface_type] = STATE(1284),
    [sym_function_type] = STATE(1284),
    [sym__expression] = STATE(860),
    [sym_parenthesized_expression] = STATE(860),
    [sym_selector_expression] = STATE(860),
    [sym_index_expression] = STATE(860),
    [sym_parenthesized_type] = STATE(1284),
    [sym__simple_type] = STATE(1284),
    [sym_struct_type] = STATE(1150),
    [sym_rune_literal] = ACTIONS(2216),
    [sym_false] = ACTIONS(2218),
    [anon_sym_DQUOTE] = ACTIONS(2001),
    [anon_sym_make] = ACTIONS(2003),
    [sym_float_literal] = ACTIONS(2218),
    [anon_sym_new] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2005),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(2005),
    [sym_int_literal] = ACTIONS(2218),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2218),
    [sym_raw_string_literal] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2005),
    [sym_imaginary_literal] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2218),
    [anon_sym_STAR] = ACTIONS(2007),
    [sym_identifier] = ACTIONS(2009),
    [anon_sym_func] = ACTIONS(2011),
    [anon_sym_LPAREN] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_LT_DASH] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [852] = {
    [sym_qualified_type] = STATE(1150),
    [sym_map_type] = STATE(1150),
    [sym_channel_type] = STATE(1284),
    [sym_type_conversion_expression] = STATE(862),
    [sym_composite_literal] = STATE(862),
    [sym_unary_expression] = STATE(862),
    [sym_slice_type] = STATE(1150),
    [sym_binary_expression] = STATE(862),
    [sym__string_literal] = STATE(862),
    [sym_implicit_length_array_type] = STATE(1151),
    [sym_interpreted_string_literal] = STATE(862),
    [sym_call_expression] = STATE(862),
    [sym_slice_expression] = STATE(862),
    [sym_type_assertion_expression] = STATE(862),
    [sym_pointer_type] = STATE(1284),
    [sym_array_type] = STATE(1150),
    [sym_func_literal] = STATE(862),
    [sym_interface_type] = STATE(1284),
    [sym_function_type] = STATE(1284),
    [sym__expression] = STATE(862),
    [sym_parenthesized_expression] = STATE(862),
    [sym_selector_expression] = STATE(862),
    [sym_index_expression] = STATE(862),
    [sym_parenthesized_type] = STATE(1284),
    [sym__simple_type] = STATE(1284),
    [sym_struct_type] = STATE(1150),
    [sym_rune_literal] = ACTIONS(2220),
    [sym_false] = ACTIONS(2222),
    [anon_sym_DQUOTE] = ACTIONS(2001),
    [anon_sym_make] = ACTIONS(2003),
    [sym_float_literal] = ACTIONS(2222),
    [anon_sym_new] = ACTIONS(2003),
    [anon_sym_DASH] = ACTIONS(2005),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(2005),
    [sym_int_literal] = ACTIONS(2222),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2222),
    [sym_raw_string_literal] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2005),
    [sym_imaginary_literal] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2222),
    [anon_sym_STAR] = ACTIONS(2007),
    [sym_identifier] = ACTIONS(2009),
    [anon_sym_func] = ACTIONS(2011),
    [anon_sym_LPAREN] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_LT_DASH] = ACTIONS(2015),
    [anon_sym_AMP] = ACTIONS(2005),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [853] = {
    [anon_sym_RBRACE] = ACTIONS(1164),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_PERCENT] = ACTIONS(1164),
    [anon_sym_CARET] = ACTIONS(1164),
    [anon_sym_PIPE_PIPE] = ACTIONS(1164),
    [anon_sym_GT] = ACTIONS(1164),
    [anon_sym_AMP_CARET] = ACTIONS(1164),
    [anon_sym_LT_EQ] = ACTIONS(1164),
    [anon_sym_DOT] = ACTIONS(1164),
    [anon_sym_EQ_EQ] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_AMP] = ACTIONS(1164),
    [anon_sym_case] = ACTIONS(1164),
    [anon_sym_COMMA] = ACTIONS(1164),
    [anon_sym_GT_EQ] = ACTIONS(1164),
    [anon_sym_PIPE] = ACTIONS(1164),
    [anon_sym_LF] = ACTIONS(1166),
    [anon_sym_LT_LT] = ACTIONS(1164),
    [anon_sym_BANG_EQ] = ACTIONS(1164),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_SLASH] = ACTIONS(1164),
    [anon_sym_default] = ACTIONS(1164),
    [anon_sym_AMP_AMP] = ACTIONS(1164),
    [anon_sym_STAR] = ACTIONS(1164),
    [anon_sym_SEMI] = ACTIONS(1164),
    [anon_sym_LPAREN] = ACTIONS(1164),
    [anon_sym_GT_GT] = ACTIONS(1164),
    [anon_sym_LT] = ACTIONS(1164),
    [sym_comment] = ACTIONS(61),
  },
  [854] = {
    [anon_sym_COMMA] = ACTIONS(1180),
    [anon_sym_GT_EQ] = ACTIONS(1180),
    [anon_sym_PIPE] = ACTIONS(1182),
    [anon_sym_LT_LT] = ACTIONS(1180),
    [anon_sym_BANG_EQ] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_PERCENT] = ACTIONS(1180),
    [anon_sym_CARET] = ACTIONS(1180),
    [anon_sym_PIPE_PIPE] = ACTIONS(1180),
    [anon_sym_GT] = ACTIONS(1182),
    [anon_sym_AMP_CARET] = ACTIONS(1180),
    [anon_sym_COLON] = ACTIONS(1182),
    [anon_sym_DOT] = ACTIONS(1180),
    [anon_sym_COLON_EQ] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_SLASH] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_EQ_EQ] = ACTIONS(1180),
    [anon_sym_EQ] = ACTIONS(1182),
    [anon_sym_STAR] = ACTIONS(1180),
    [anon_sym_LT_EQ] = ACTIONS(1180),
    [anon_sym_GT_GT] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(1180),
    [anon_sym_LT] = ACTIONS(1182),
    [anon_sym_LT_DASH] = ACTIONS(1180),
    [anon_sym_AMP] = ACTIONS(1182),
    [anon_sym_AMP_AMP] = ACTIONS(1180),
    [sym_comment] = ACTIONS(3),
  },
  [855] = {
    [anon_sym_COMMA] = ACTIONS(1194),
    [anon_sym_GT_EQ] = ACTIONS(1194),
    [anon_sym_PIPE] = ACTIONS(1196),
    [anon_sym_LT_LT] = ACTIONS(1194),
    [anon_sym_BANG_EQ] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_PERCENT] = ACTIONS(1194),
    [anon_sym_CARET] = ACTIONS(1194),
    [anon_sym_PIPE_PIPE] = ACTIONS(1194),
    [anon_sym_GT] = ACTIONS(1196),
    [anon_sym_AMP_CARET] = ACTIONS(1194),
    [anon_sym_COLON] = ACTIONS(1196),
    [anon_sym_DOT] = ACTIONS(1194),
    [anon_sym_COLON_EQ] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_SLASH] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_EQ_EQ] = ACTIONS(1194),
    [anon_sym_EQ] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1194),
    [anon_sym_LT_EQ] = ACTIONS(1194),
    [anon_sym_GT_GT] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1194),
    [anon_sym_LT] = ACTIONS(1196),
    [anon_sym_LT_DASH] = ACTIONS(1194),
    [anon_sym_AMP] = ACTIONS(1196),
    [anon_sym_AMP_AMP] = ACTIONS(1194),
    [sym_comment] = ACTIONS(3),
  },
  [856] = {
    [anon_sym_COMMA] = ACTIONS(1198),
    [anon_sym_GT_EQ] = ACTIONS(1198),
    [anon_sym_PIPE] = ACTIONS(1200),
    [anon_sym_LT_LT] = ACTIONS(1198),
    [anon_sym_BANG_EQ] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_PERCENT] = ACTIONS(1198),
    [anon_sym_CARET] = ACTIONS(1198),
    [anon_sym_PIPE_PIPE] = ACTIONS(1198),
    [anon_sym_GT] = ACTIONS(1200),
    [anon_sym_AMP_CARET] = ACTIONS(1198),
    [anon_sym_COLON] = ACTIONS(1200),
    [anon_sym_DOT] = ACTIONS(1198),
    [anon_sym_COLON_EQ] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_SLASH] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(1198),
    [anon_sym_EQ_EQ] = ACTIONS(1198),
    [anon_sym_EQ] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1198),
    [anon_sym_LT] = ACTIONS(1200),
    [anon_sym_LT_DASH] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1200),
    [anon_sym_AMP_AMP] = ACTIONS(1198),
    [sym_comment] = ACTIONS(3),
  },
  [857] = {
    [sym_argument_list] = STATE(799),
    [anon_sym_PLUS_EQ] = ACTIONS(1206),
    [anon_sym_GT_GT_EQ] = ACTIONS(1206),
    [anon_sym_PIPE_EQ] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PERCENT] = ACTIONS(2031),
    [anon_sym_CARET] = ACTIONS(2029),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(2031),
    [anon_sym_LT_EQ] = ACTIONS(1206),
    [anon_sym_DOT] = ACTIONS(2039),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_PERCENT_EQ] = ACTIONS(1206),
    [anon_sym_EQ_EQ] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_AMP_EQ] = ACTIONS(1206),
    [anon_sym_CARET_EQ] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(2031),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_GT_EQ] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(2029),
    [anon_sym_LT_LT] = ACTIONS(2031),
    [anon_sym_BANG_EQ] = ACTIONS(1206),
    [anon_sym_LT_LT_EQ] = ACTIONS(1206),
    [anon_sym_STAR_EQ] = ACTIONS(1206),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1206),
    [anon_sym_DASH_EQ] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_SLASH] = ACTIONS(2031),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(2031),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [anon_sym_GT_GT] = ACTIONS(2031),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LT] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1206),
  },
  [858] = {
    [sym_argument_list] = STATE(799),
    [anon_sym_PLUS_EQ] = ACTIONS(1206),
    [anon_sym_GT_GT_EQ] = ACTIONS(1206),
    [anon_sym_PIPE_EQ] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_PERCENT] = ACTIONS(2031),
    [anon_sym_CARET] = ACTIONS(1208),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(2031),
    [anon_sym_LT_EQ] = ACTIONS(1206),
    [anon_sym_DOT] = ACTIONS(2039),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_PERCENT_EQ] = ACTIONS(1206),
    [anon_sym_EQ_EQ] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_AMP_EQ] = ACTIONS(1206),
    [anon_sym_CARET_EQ] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(2031),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_GT_EQ] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_LT_LT] = ACTIONS(2031),
    [anon_sym_BANG_EQ] = ACTIONS(1206),
    [anon_sym_LT_LT_EQ] = ACTIONS(1206),
    [anon_sym_STAR_EQ] = ACTIONS(1206),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1206),
    [anon_sym_DASH_EQ] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(2031),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(2031),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [anon_sym_GT_GT] = ACTIONS(2031),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LT] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1206),
  },
  [859] = {
    [sym_argument_list] = STATE(846),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_GT_EQ] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_LT_LT] = ACTIONS(1206),
    [anon_sym_BANG_EQ] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_PERCENT] = ACTIONS(1206),
    [anon_sym_CARET] = ACTIONS(1206),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(1206),
    [anon_sym_COLON] = ACTIONS(1208),
    [anon_sym_DOT] = ACTIONS(1640),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_SLASH] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [anon_sym_EQ_EQ] = ACTIONS(1206),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_LT_EQ] = ACTIONS(1206),
    [anon_sym_GT_GT] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_LT] = ACTIONS(1208),
    [anon_sym_LT_DASH] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [sym_comment] = ACTIONS(3),
  },
  [860] = {
    [sym_argument_list] = STATE(799),
    [anon_sym_PLUS_EQ] = ACTIONS(1206),
    [anon_sym_GT_GT_EQ] = ACTIONS(1206),
    [anon_sym_PIPE_EQ] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PERCENT] = ACTIONS(2031),
    [anon_sym_CARET] = ACTIONS(2029),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(2035),
    [anon_sym_AMP_CARET] = ACTIONS(2031),
    [anon_sym_LT_EQ] = ACTIONS(2037),
    [anon_sym_DOT] = ACTIONS(2039),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_PERCENT_EQ] = ACTIONS(1206),
    [anon_sym_EQ_EQ] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_AMP_EQ] = ACTIONS(1206),
    [anon_sym_CARET_EQ] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(2031),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_GT_EQ] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2029),
    [anon_sym_LT_LT] = ACTIONS(2031),
    [anon_sym_BANG_EQ] = ACTIONS(2037),
    [anon_sym_LT_LT_EQ] = ACTIONS(1206),
    [anon_sym_STAR_EQ] = ACTIONS(1206),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1206),
    [anon_sym_DASH_EQ] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_SLASH] = ACTIONS(2031),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(2031),
    [anon_sym_AMP_AMP] = ACTIONS(2043),
    [anon_sym_GT_GT] = ACTIONS(2031),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LT] = ACTIONS(2035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1206),
  },
  [861] = {
    [anon_sym_COMMA] = ACTIONS(1212),
    [anon_sym_GT_EQ] = ACTIONS(1212),
    [anon_sym_PIPE] = ACTIONS(1214),
    [anon_sym_LT_LT] = ACTIONS(1212),
    [anon_sym_BANG_EQ] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_PERCENT] = ACTIONS(1212),
    [anon_sym_CARET] = ACTIONS(1212),
    [anon_sym_PIPE_PIPE] = ACTIONS(1212),
    [anon_sym_GT] = ACTIONS(1214),
    [anon_sym_AMP_CARET] = ACTIONS(1212),
    [anon_sym_COLON] = ACTIONS(1214),
    [anon_sym_DOT] = ACTIONS(1212),
    [anon_sym_COLON_EQ] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_SLASH] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_EQ_EQ] = ACTIONS(1212),
    [anon_sym_EQ] = ACTIONS(1214),
    [anon_sym_STAR] = ACTIONS(1212),
    [anon_sym_LT_EQ] = ACTIONS(1212),
    [anon_sym_GT_GT] = ACTIONS(1212),
    [anon_sym_LPAREN] = ACTIONS(1212),
    [anon_sym_LT] = ACTIONS(1214),
    [anon_sym_LT_DASH] = ACTIONS(1212),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_AMP_AMP] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
  },
  [862] = {
    [sym_argument_list] = STATE(799),
    [anon_sym_PLUS_EQ] = ACTIONS(1206),
    [anon_sym_GT_GT_EQ] = ACTIONS(1206),
    [anon_sym_PIPE_EQ] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_PERCENT] = ACTIONS(2031),
    [anon_sym_CARET] = ACTIONS(2029),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(2035),
    [anon_sym_AMP_CARET] = ACTIONS(2031),
    [anon_sym_LT_EQ] = ACTIONS(2037),
    [anon_sym_DOT] = ACTIONS(2039),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_PERCENT_EQ] = ACTIONS(1206),
    [anon_sym_EQ_EQ] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_AMP_EQ] = ACTIONS(1206),
    [anon_sym_CARET_EQ] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(2031),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_GT_EQ] = ACTIONS(2037),
    [anon_sym_PIPE] = ACTIONS(2029),
    [anon_sym_LT_LT] = ACTIONS(2031),
    [anon_sym_BANG_EQ] = ACTIONS(2037),
    [anon_sym_LT_LT_EQ] = ACTIONS(1206),
    [anon_sym_STAR_EQ] = ACTIONS(1206),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1206),
    [anon_sym_DASH_EQ] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_SLASH] = ACTIONS(2031),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(2031),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [anon_sym_GT_GT] = ACTIONS(2031),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_LT] = ACTIONS(2035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1206),
  },
  [863] = {
    [anon_sym_COMMA] = ACTIONS(1226),
    [anon_sym_GT_EQ] = ACTIONS(1226),
    [anon_sym_PIPE] = ACTIONS(1228),
    [anon_sym_LT_LT] = ACTIONS(1226),
    [anon_sym_BANG_EQ] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1226),
    [anon_sym_PERCENT] = ACTIONS(1226),
    [anon_sym_CARET] = ACTIONS(1226),
    [anon_sym_PIPE_PIPE] = ACTIONS(1226),
    [anon_sym_GT] = ACTIONS(1228),
    [anon_sym_AMP_CARET] = ACTIONS(1226),
    [anon_sym_COLON] = ACTIONS(1228),
    [anon_sym_DOT] = ACTIONS(1226),
    [anon_sym_COLON_EQ] = ACTIONS(1226),
    [anon_sym_PLUS] = ACTIONS(1226),
    [anon_sym_SLASH] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1226),
    [anon_sym_EQ_EQ] = ACTIONS(1226),
    [anon_sym_EQ] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(1226),
    [anon_sym_LT_EQ] = ACTIONS(1226),
    [anon_sym_GT_GT] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1226),
    [anon_sym_LT] = ACTIONS(1228),
    [anon_sym_LT_DASH] = ACTIONS(1226),
    [anon_sym_AMP] = ACTIONS(1228),
    [anon_sym_AMP_AMP] = ACTIONS(1226),
    [sym_comment] = ACTIONS(3),
  },
  [864] = {
    [anon_sym_COMMA] = ACTIONS(1485),
    [anon_sym_GT_EQ] = ACTIONS(1485),
    [anon_sym_PIPE] = ACTIONS(1487),
    [anon_sym_LT_LT] = ACTIONS(1485),
    [anon_sym_BANG_EQ] = ACTIONS(1485),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_PERCENT] = ACTIONS(1485),
    [anon_sym_CARET] = ACTIONS(1485),
    [anon_sym_PIPE_PIPE] = ACTIONS(1485),
    [anon_sym_GT] = ACTIONS(1487),
    [anon_sym_AMP_CARET] = ACTIONS(1485),
    [anon_sym_COLON] = ACTIONS(1487),
    [anon_sym_DOT] = ACTIONS(1485),
    [anon_sym_COLON_EQ] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_SLASH] = ACTIONS(1487),
    [anon_sym_LBRACK] = ACTIONS(1485),
    [anon_sym_EQ_EQ] = ACTIONS(1485),
    [anon_sym_EQ] = ACTIONS(1487),
    [anon_sym_STAR] = ACTIONS(1485),
    [anon_sym_LT_EQ] = ACTIONS(1485),
    [anon_sym_GT_GT] = ACTIONS(1485),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [anon_sym_LT] = ACTIONS(1487),
    [anon_sym_LT_DASH] = ACTIONS(1485),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_AMP_AMP] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
  },
  [865] = {
    [anon_sym_COMMA] = ACTIONS(1493),
    [anon_sym_GT_EQ] = ACTIONS(1493),
    [anon_sym_PIPE] = ACTIONS(1495),
    [anon_sym_LT_LT] = ACTIONS(1493),
    [anon_sym_BANG_EQ] = ACTIONS(1493),
    [anon_sym_DASH] = ACTIONS(1493),
    [anon_sym_PERCENT] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1493),
    [anon_sym_PIPE_PIPE] = ACTIONS(1493),
    [anon_sym_GT] = ACTIONS(1495),
    [anon_sym_AMP_CARET] = ACTIONS(1493),
    [anon_sym_COLON] = ACTIONS(1495),
    [anon_sym_DOT] = ACTIONS(1493),
    [anon_sym_COLON_EQ] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_SLASH] = ACTIONS(1495),
    [anon_sym_LBRACK] = ACTIONS(1493),
    [anon_sym_EQ_EQ] = ACTIONS(1493),
    [anon_sym_EQ] = ACTIONS(1495),
    [anon_sym_STAR] = ACTIONS(1493),
    [anon_sym_LT_EQ] = ACTIONS(1493),
    [anon_sym_GT_GT] = ACTIONS(1493),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_LT] = ACTIONS(1495),
    [anon_sym_LT_DASH] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_AMP_AMP] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
  },
  [866] = {
    [anon_sym_COMMA] = ACTIONS(1503),
    [anon_sym_GT_EQ] = ACTIONS(1503),
    [anon_sym_PIPE] = ACTIONS(1505),
    [anon_sym_LT_LT] = ACTIONS(1503),
    [anon_sym_BANG_EQ] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_CARET] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1505),
    [anon_sym_AMP_CARET] = ACTIONS(1503),
    [anon_sym_COLON] = ACTIONS(1505),
    [anon_sym_DOT] = ACTIONS(1503),
    [anon_sym_COLON_EQ] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1503),
    [anon_sym_SLASH] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1503),
    [anon_sym_EQ_EQ] = ACTIONS(1503),
    [anon_sym_EQ] = ACTIONS(1505),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_LT_EQ] = ACTIONS(1503),
    [anon_sym_GT_GT] = ACTIONS(1503),
    [anon_sym_LPAREN] = ACTIONS(1503),
    [anon_sym_LT] = ACTIONS(1505),
    [anon_sym_LT_DASH] = ACTIONS(1503),
    [anon_sym_AMP] = ACTIONS(1505),
    [anon_sym_AMP_AMP] = ACTIONS(1503),
    [sym_comment] = ACTIONS(3),
  },
  [867] = {
    [anon_sym_COMMA] = ACTIONS(1511),
    [anon_sym_GT_EQ] = ACTIONS(1511),
    [anon_sym_PIPE] = ACTIONS(1513),
    [anon_sym_LT_LT] = ACTIONS(1511),
    [anon_sym_BANG_EQ] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_PERCENT] = ACTIONS(1511),
    [anon_sym_CARET] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1513),
    [anon_sym_AMP_CARET] = ACTIONS(1511),
    [anon_sym_COLON] = ACTIONS(1513),
    [anon_sym_DOT] = ACTIONS(1511),
    [anon_sym_COLON_EQ] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1513),
    [anon_sym_LBRACK] = ACTIONS(1511),
    [anon_sym_EQ_EQ] = ACTIONS(1511),
    [anon_sym_EQ] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_LT_EQ] = ACTIONS(1511),
    [anon_sym_GT_GT] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_LT] = ACTIONS(1513),
    [anon_sym_LT_DASH] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(1513),
    [anon_sym_AMP_AMP] = ACTIONS(1511),
    [sym_comment] = ACTIONS(3),
  },
  [868] = {
    [anon_sym_COMMA] = ACTIONS(1519),
    [anon_sym_GT_EQ] = ACTIONS(1519),
    [anon_sym_PIPE] = ACTIONS(1521),
    [anon_sym_LT_LT] = ACTIONS(1519),
    [anon_sym_BANG_EQ] = ACTIONS(1519),
    [anon_sym_DASH] = ACTIONS(1519),
    [anon_sym_PERCENT] = ACTIONS(1519),
    [anon_sym_CARET] = ACTIONS(1519),
    [anon_sym_PIPE_PIPE] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1521),
    [anon_sym_AMP_CARET] = ACTIONS(1519),
    [anon_sym_COLON] = ACTIONS(1521),
    [anon_sym_DOT] = ACTIONS(1519),
    [anon_sym_COLON_EQ] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(1519),
    [anon_sym_SLASH] = ACTIONS(1521),
    [anon_sym_LBRACK] = ACTIONS(1519),
    [anon_sym_EQ_EQ] = ACTIONS(1519),
    [anon_sym_EQ] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(1519),
    [anon_sym_LT_EQ] = ACTIONS(1519),
    [anon_sym_GT_GT] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1519),
    [anon_sym_LT] = ACTIONS(1521),
    [anon_sym_LT_DASH] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1521),
    [anon_sym_AMP_AMP] = ACTIONS(1519),
    [sym_comment] = ACTIONS(3),
  },
  [869] = {
    [anon_sym_COMMA] = ACTIONS(1533),
    [anon_sym_GT_EQ] = ACTIONS(1533),
    [anon_sym_PIPE] = ACTIONS(1535),
    [anon_sym_LT_LT] = ACTIONS(1533),
    [anon_sym_BANG_EQ] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_PERCENT] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1533),
    [anon_sym_PIPE_PIPE] = ACTIONS(1533),
    [anon_sym_GT] = ACTIONS(1535),
    [anon_sym_AMP_CARET] = ACTIONS(1533),
    [anon_sym_COLON] = ACTIONS(1535),
    [anon_sym_DOT] = ACTIONS(1533),
    [anon_sym_COLON_EQ] = ACTIONS(1533),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_SLASH] = ACTIONS(1535),
    [anon_sym_LBRACK] = ACTIONS(1533),
    [anon_sym_EQ_EQ] = ACTIONS(1533),
    [anon_sym_EQ] = ACTIONS(1535),
    [anon_sym_STAR] = ACTIONS(1533),
    [anon_sym_LT_EQ] = ACTIONS(1533),
    [anon_sym_GT_GT] = ACTIONS(1533),
    [anon_sym_LPAREN] = ACTIONS(1533),
    [anon_sym_LT] = ACTIONS(1535),
    [anon_sym_LT_DASH] = ACTIONS(1533),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_AMP_AMP] = ACTIONS(1533),
    [sym_comment] = ACTIONS(3),
  },
  [870] = {
    [anon_sym_COMMA] = ACTIONS(1543),
    [anon_sym_GT_EQ] = ACTIONS(1543),
    [anon_sym_PIPE] = ACTIONS(1545),
    [anon_sym_LT_LT] = ACTIONS(1543),
    [anon_sym_BANG_EQ] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1543),
    [anon_sym_PERCENT] = ACTIONS(1543),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_PIPE_PIPE] = ACTIONS(1543),
    [anon_sym_GT] = ACTIONS(1545),
    [anon_sym_AMP_CARET] = ACTIONS(1543),
    [anon_sym_COLON] = ACTIONS(1545),
    [anon_sym_DOT] = ACTIONS(1543),
    [anon_sym_COLON_EQ] = ACTIONS(1543),
    [anon_sym_PLUS] = ACTIONS(1543),
    [anon_sym_SLASH] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1543),
    [anon_sym_EQ_EQ] = ACTIONS(1543),
    [anon_sym_EQ] = ACTIONS(1545),
    [anon_sym_STAR] = ACTIONS(1543),
    [anon_sym_LT_EQ] = ACTIONS(1543),
    [anon_sym_GT_GT] = ACTIONS(1543),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_LT_DASH] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1545),
    [anon_sym_AMP_AMP] = ACTIONS(1543),
    [sym_comment] = ACTIONS(3),
  },
  [871] = {
    [anon_sym_COMMA] = ACTIONS(1722),
    [anon_sym_GT_EQ] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_LT_LT] = ACTIONS(1722),
    [anon_sym_BANG_EQ] = ACTIONS(1722),
    [anon_sym_DASH] = ACTIONS(1722),
    [anon_sym_PERCENT] = ACTIONS(1722),
    [anon_sym_CARET] = ACTIONS(1722),
    [anon_sym_PIPE_PIPE] = ACTIONS(1722),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_AMP_CARET] = ACTIONS(1722),
    [anon_sym_COLON] = ACTIONS(1724),
    [anon_sym_DOT] = ACTIONS(1722),
    [anon_sym_COLON_EQ] = ACTIONS(1722),
    [anon_sym_PLUS] = ACTIONS(1722),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_EQ_EQ] = ACTIONS(1722),
    [anon_sym_EQ] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1722),
    [anon_sym_LT_EQ] = ACTIONS(1722),
    [anon_sym_GT_GT] = ACTIONS(1722),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_LT] = ACTIONS(1724),
    [anon_sym_LT_DASH] = ACTIONS(1722),
    [anon_sym_AMP] = ACTIONS(1724),
    [anon_sym_AMP_AMP] = ACTIONS(1722),
    [sym_comment] = ACTIONS(3),
  },
  [872] = {
    [anon_sym_COMMA] = ACTIONS(1733),
    [anon_sym_GT_EQ] = ACTIONS(1733),
    [anon_sym_PIPE] = ACTIONS(1735),
    [anon_sym_LT_LT] = ACTIONS(1733),
    [anon_sym_BANG_EQ] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_PERCENT] = ACTIONS(1733),
    [anon_sym_CARET] = ACTIONS(1733),
    [anon_sym_PIPE_PIPE] = ACTIONS(1733),
    [anon_sym_GT] = ACTIONS(1735),
    [anon_sym_AMP_CARET] = ACTIONS(1733),
    [anon_sym_COLON] = ACTIONS(1735),
    [anon_sym_DOT] = ACTIONS(1733),
    [anon_sym_COLON_EQ] = ACTIONS(1733),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_SLASH] = ACTIONS(1735),
    [anon_sym_LBRACK] = ACTIONS(1733),
    [anon_sym_EQ_EQ] = ACTIONS(1733),
    [anon_sym_EQ] = ACTIONS(1735),
    [anon_sym_STAR] = ACTIONS(1733),
    [anon_sym_LT_EQ] = ACTIONS(1733),
    [anon_sym_GT_GT] = ACTIONS(1733),
    [anon_sym_LPAREN] = ACTIONS(1733),
    [anon_sym_LT] = ACTIONS(1735),
    [anon_sym_LT_DASH] = ACTIONS(1733),
    [anon_sym_AMP] = ACTIONS(1735),
    [anon_sym_AMP_AMP] = ACTIONS(1733),
    [sym_comment] = ACTIONS(3),
  },
  [873] = {
    [anon_sym_COMMA] = ACTIONS(1739),
    [anon_sym_GT_EQ] = ACTIONS(1739),
    [anon_sym_PIPE] = ACTIONS(1741),
    [anon_sym_LT_LT] = ACTIONS(1739),
    [anon_sym_BANG_EQ] = ACTIONS(1739),
    [anon_sym_DASH] = ACTIONS(1739),
    [anon_sym_PERCENT] = ACTIONS(1739),
    [anon_sym_CARET] = ACTIONS(1739),
    [anon_sym_PIPE_PIPE] = ACTIONS(1739),
    [anon_sym_GT] = ACTIONS(1741),
    [anon_sym_AMP_CARET] = ACTIONS(1739),
    [anon_sym_COLON] = ACTIONS(1741),
    [anon_sym_DOT] = ACTIONS(1739),
    [anon_sym_COLON_EQ] = ACTIONS(1739),
    [anon_sym_PLUS] = ACTIONS(1739),
    [anon_sym_SLASH] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(1739),
    [anon_sym_EQ_EQ] = ACTIONS(1739),
    [anon_sym_EQ] = ACTIONS(1741),
    [anon_sym_STAR] = ACTIONS(1739),
    [anon_sym_LT_EQ] = ACTIONS(1739),
    [anon_sym_GT_GT] = ACTIONS(1739),
    [anon_sym_LPAREN] = ACTIONS(1739),
    [anon_sym_LT] = ACTIONS(1741),
    [anon_sym_LT_DASH] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_AMP_AMP] = ACTIONS(1739),
    [sym_comment] = ACTIONS(3),
  },
  [874] = {
    [anon_sym_COMMA] = ACTIONS(1743),
    [anon_sym_GT_EQ] = ACTIONS(1743),
    [anon_sym_PIPE] = ACTIONS(1745),
    [anon_sym_LT_LT] = ACTIONS(1743),
    [anon_sym_BANG_EQ] = ACTIONS(1743),
    [anon_sym_DASH] = ACTIONS(1743),
    [anon_sym_PERCENT] = ACTIONS(1743),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_PIPE_PIPE] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1745),
    [anon_sym_AMP_CARET] = ACTIONS(1743),
    [anon_sym_COLON] = ACTIONS(1745),
    [anon_sym_DOT] = ACTIONS(1743),
    [anon_sym_COLON_EQ] = ACTIONS(1743),
    [anon_sym_PLUS] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1745),
    [anon_sym_LBRACK] = ACTIONS(1743),
    [anon_sym_EQ_EQ] = ACTIONS(1743),
    [anon_sym_EQ] = ACTIONS(1745),
    [anon_sym_STAR] = ACTIONS(1743),
    [anon_sym_LT_EQ] = ACTIONS(1743),
    [anon_sym_GT_GT] = ACTIONS(1743),
    [anon_sym_LPAREN] = ACTIONS(1743),
    [anon_sym_LT] = ACTIONS(1745),
    [anon_sym_LT_DASH] = ACTIONS(1743),
    [anon_sym_AMP] = ACTIONS(1745),
    [anon_sym_AMP_AMP] = ACTIONS(1743),
    [sym_comment] = ACTIONS(3),
  },
  [875] = {
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_GT_EQ] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1757),
    [anon_sym_LT_LT] = ACTIONS(1755),
    [anon_sym_BANG_EQ] = ACTIONS(1755),
    [anon_sym_DASH] = ACTIONS(1755),
    [anon_sym_PERCENT] = ACTIONS(1755),
    [anon_sym_CARET] = ACTIONS(1755),
    [anon_sym_PIPE_PIPE] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1757),
    [anon_sym_AMP_CARET] = ACTIONS(1755),
    [anon_sym_COLON] = ACTIONS(1757),
    [anon_sym_DOT] = ACTIONS(1755),
    [anon_sym_COLON_EQ] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_EQ_EQ] = ACTIONS(1755),
    [anon_sym_EQ] = ACTIONS(1757),
    [anon_sym_STAR] = ACTIONS(1755),
    [anon_sym_LT_EQ] = ACTIONS(1755),
    [anon_sym_GT_GT] = ACTIONS(1755),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1757),
    [anon_sym_LT_DASH] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1757),
    [anon_sym_AMP_AMP] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
  },
  [876] = {
    [anon_sym_COMMA] = ACTIONS(1766),
    [anon_sym_GT_EQ] = ACTIONS(1766),
    [anon_sym_PIPE] = ACTIONS(1768),
    [anon_sym_LT_LT] = ACTIONS(1766),
    [anon_sym_BANG_EQ] = ACTIONS(1766),
    [anon_sym_DASH] = ACTIONS(1766),
    [anon_sym_PERCENT] = ACTIONS(1766),
    [anon_sym_CARET] = ACTIONS(1766),
    [anon_sym_PIPE_PIPE] = ACTIONS(1766),
    [anon_sym_GT] = ACTIONS(1768),
    [anon_sym_AMP_CARET] = ACTIONS(1766),
    [anon_sym_COLON] = ACTIONS(1768),
    [anon_sym_DOT] = ACTIONS(1766),
    [anon_sym_COLON_EQ] = ACTIONS(1766),
    [anon_sym_PLUS] = ACTIONS(1766),
    [anon_sym_SLASH] = ACTIONS(1768),
    [anon_sym_LBRACK] = ACTIONS(1766),
    [anon_sym_EQ_EQ] = ACTIONS(1766),
    [anon_sym_EQ] = ACTIONS(1768),
    [anon_sym_STAR] = ACTIONS(1766),
    [anon_sym_LT_EQ] = ACTIONS(1766),
    [anon_sym_GT_GT] = ACTIONS(1766),
    [anon_sym_LPAREN] = ACTIONS(1766),
    [anon_sym_LT] = ACTIONS(1768),
    [anon_sym_LT_DASH] = ACTIONS(1766),
    [anon_sym_AMP] = ACTIONS(1768),
    [anon_sym_AMP_AMP] = ACTIONS(1766),
    [sym_comment] = ACTIONS(3),
  },
  [877] = {
    [anon_sym_COMMA] = ACTIONS(1838),
    [anon_sym_GT_EQ] = ACTIONS(1838),
    [anon_sym_PIPE] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1838),
    [anon_sym_BANG_EQ] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_PERCENT] = ACTIONS(1838),
    [anon_sym_CARET] = ACTIONS(1838),
    [anon_sym_PIPE_PIPE] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym_AMP_CARET] = ACTIONS(1838),
    [anon_sym_COLON] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1838),
    [anon_sym_COLON_EQ] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1838),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_EQ_EQ] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1838),
    [anon_sym_LT_EQ] = ACTIONS(1838),
    [anon_sym_GT_GT] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_LT_DASH] = ACTIONS(1838),
    [anon_sym_AMP] = ACTIONS(1840),
    [anon_sym_AMP_AMP] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
  },
  [878] = {
    [anon_sym_COMMA] = ACTIONS(1842),
    [anon_sym_GT_EQ] = ACTIONS(1842),
    [anon_sym_PIPE] = ACTIONS(1844),
    [anon_sym_LT_LT] = ACTIONS(1842),
    [anon_sym_BANG_EQ] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_PERCENT] = ACTIONS(1842),
    [anon_sym_CARET] = ACTIONS(1842),
    [anon_sym_PIPE_PIPE] = ACTIONS(1842),
    [anon_sym_GT] = ACTIONS(1844),
    [anon_sym_AMP_CARET] = ACTIONS(1842),
    [anon_sym_COLON] = ACTIONS(1844),
    [anon_sym_DOT] = ACTIONS(1842),
    [anon_sym_COLON_EQ] = ACTIONS(1842),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_LBRACK] = ACTIONS(1842),
    [anon_sym_EQ_EQ] = ACTIONS(1842),
    [anon_sym_EQ] = ACTIONS(1844),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_LT_EQ] = ACTIONS(1842),
    [anon_sym_GT_GT] = ACTIONS(1842),
    [anon_sym_LPAREN] = ACTIONS(1842),
    [anon_sym_LT] = ACTIONS(1844),
    [anon_sym_LT_DASH] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1844),
    [anon_sym_AMP_AMP] = ACTIONS(1842),
    [sym_comment] = ACTIONS(3),
  },
  [879] = {
    [anon_sym_COMMA] = ACTIONS(1848),
    [anon_sym_GT_EQ] = ACTIONS(1848),
    [anon_sym_PIPE] = ACTIONS(1850),
    [anon_sym_LT_LT] = ACTIONS(1848),
    [anon_sym_BANG_EQ] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_PERCENT] = ACTIONS(1848),
    [anon_sym_CARET] = ACTIONS(1848),
    [anon_sym_PIPE_PIPE] = ACTIONS(1848),
    [anon_sym_GT] = ACTIONS(1850),
    [anon_sym_AMP_CARET] = ACTIONS(1848),
    [anon_sym_COLON] = ACTIONS(1850),
    [anon_sym_DOT] = ACTIONS(1848),
    [anon_sym_COLON_EQ] = ACTIONS(1848),
    [anon_sym_PLUS] = ACTIONS(1848),
    [anon_sym_SLASH] = ACTIONS(1850),
    [anon_sym_LBRACK] = ACTIONS(1848),
    [anon_sym_EQ_EQ] = ACTIONS(1848),
    [anon_sym_EQ] = ACTIONS(1850),
    [anon_sym_STAR] = ACTIONS(1848),
    [anon_sym_LT_EQ] = ACTIONS(1848),
    [anon_sym_GT_GT] = ACTIONS(1848),
    [anon_sym_LPAREN] = ACTIONS(1848),
    [anon_sym_LT] = ACTIONS(1850),
    [anon_sym_LT_DASH] = ACTIONS(1848),
    [anon_sym_AMP] = ACTIONS(1850),
    [anon_sym_AMP_AMP] = ACTIONS(1848),
    [sym_comment] = ACTIONS(3),
  },
  [880] = {
    [anon_sym_COMMA] = ACTIONS(1856),
    [anon_sym_GT_EQ] = ACTIONS(1856),
    [anon_sym_PIPE] = ACTIONS(1858),
    [anon_sym_LT_LT] = ACTIONS(1856),
    [anon_sym_BANG_EQ] = ACTIONS(1856),
    [anon_sym_DASH] = ACTIONS(1856),
    [anon_sym_PERCENT] = ACTIONS(1856),
    [anon_sym_CARET] = ACTIONS(1856),
    [anon_sym_PIPE_PIPE] = ACTIONS(1856),
    [anon_sym_GT] = ACTIONS(1858),
    [anon_sym_AMP_CARET] = ACTIONS(1856),
    [anon_sym_COLON] = ACTIONS(1858),
    [anon_sym_DOT] = ACTIONS(1856),
    [anon_sym_COLON_EQ] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(1856),
    [anon_sym_SLASH] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(1856),
    [anon_sym_EQ_EQ] = ACTIONS(1856),
    [anon_sym_EQ] = ACTIONS(1858),
    [anon_sym_STAR] = ACTIONS(1856),
    [anon_sym_LT_EQ] = ACTIONS(1856),
    [anon_sym_GT_GT] = ACTIONS(1856),
    [anon_sym_LPAREN] = ACTIONS(1856),
    [anon_sym_LT] = ACTIONS(1858),
    [anon_sym_LT_DASH] = ACTIONS(1856),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym_AMP_AMP] = ACTIONS(1856),
    [sym_comment] = ACTIONS(3),
  },
  [881] = {
    [anon_sym_COMMA] = ACTIONS(1886),
    [anon_sym_GT_EQ] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1888),
    [anon_sym_LT_LT] = ACTIONS(1886),
    [anon_sym_BANG_EQ] = ACTIONS(1886),
    [anon_sym_DASH] = ACTIONS(1886),
    [anon_sym_PERCENT] = ACTIONS(1886),
    [anon_sym_CARET] = ACTIONS(1886),
    [anon_sym_PIPE_PIPE] = ACTIONS(1886),
    [anon_sym_GT] = ACTIONS(1888),
    [anon_sym_AMP_CARET] = ACTIONS(1886),
    [anon_sym_COLON] = ACTIONS(1888),
    [anon_sym_DOT] = ACTIONS(1886),
    [anon_sym_COLON_EQ] = ACTIONS(1886),
    [anon_sym_PLUS] = ACTIONS(1886),
    [anon_sym_SLASH] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [anon_sym_EQ_EQ] = ACTIONS(1886),
    [anon_sym_EQ] = ACTIONS(1888),
    [anon_sym_STAR] = ACTIONS(1886),
    [anon_sym_LT_EQ] = ACTIONS(1886),
    [anon_sym_GT_GT] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1886),
    [anon_sym_LT] = ACTIONS(1888),
    [anon_sym_LT_DASH] = ACTIONS(1886),
    [anon_sym_AMP] = ACTIONS(1888),
    [anon_sym_AMP_AMP] = ACTIONS(1886),
    [sym_comment] = ACTIONS(3),
  },
  [882] = {
    [anon_sym_COMMA] = ACTIONS(1911),
    [anon_sym_GT_EQ] = ACTIONS(1911),
    [anon_sym_PIPE] = ACTIONS(1913),
    [anon_sym_LT_LT] = ACTIONS(1911),
    [anon_sym_BANG_EQ] = ACTIONS(1911),
    [anon_sym_DASH] = ACTIONS(1911),
    [anon_sym_PERCENT] = ACTIONS(1911),
    [anon_sym_CARET] = ACTIONS(1911),
    [anon_sym_PIPE_PIPE] = ACTIONS(1911),
    [anon_sym_GT] = ACTIONS(1913),
    [anon_sym_AMP_CARET] = ACTIONS(1911),
    [anon_sym_COLON] = ACTIONS(1913),
    [anon_sym_DOT] = ACTIONS(1911),
    [anon_sym_COLON_EQ] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1911),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_EQ_EQ] = ACTIONS(1911),
    [anon_sym_EQ] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1911),
    [anon_sym_LT_EQ] = ACTIONS(1911),
    [anon_sym_GT_GT] = ACTIONS(1911),
    [anon_sym_LPAREN] = ACTIONS(1911),
    [anon_sym_LT] = ACTIONS(1913),
    [anon_sym_LT_DASH] = ACTIONS(1911),
    [anon_sym_AMP] = ACTIONS(1913),
    [anon_sym_AMP_AMP] = ACTIONS(1911),
    [sym_comment] = ACTIONS(3),
  },
  [883] = {
    [sym_literal_value] = STATE(845),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_PERCENT] = ACTIONS(456),
    [anon_sym_CARET] = ACTIONS(456),
    [anon_sym_PIPE_PIPE] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_AMP_CARET] = ACTIONS(456),
    [anon_sym_LT_EQ] = ACTIONS(456),
    [anon_sym_DOT] = ACTIONS(460),
    [anon_sym_COLON_EQ] = ACTIONS(456),
    [anon_sym_EQ_EQ] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(2224),
    [anon_sym_LBRACK] = ACTIONS(456),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(456),
    [anon_sym_GT_EQ] = ACTIONS(456),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_LT_LT] = ACTIONS(456),
    [anon_sym_BANG_EQ] = ACTIONS(456),
    [anon_sym_COLON] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(456),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_EQ] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(456),
    [anon_sym_AMP_AMP] = ACTIONS(456),
    [anon_sym_GT_GT] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LT] = ACTIONS(458),
    [anon_sym_LT_DASH] = ACTIONS(456),
    [sym_comment] = ACTIONS(3),
  },
  [884] = {
    [sym_qualified_type] = STATE(1185),
    [sym_map_type] = STATE(1185),
    [sym_channel_type] = STATE(1285),
    [sym_type_conversion_expression] = STATE(844),
    [sym_composite_literal] = STATE(844),
    [sym_unary_expression] = STATE(844),
    [sym_slice_type] = STATE(1185),
    [sym_binary_expression] = STATE(844),
    [sym__string_literal] = STATE(844),
    [sym_implicit_length_array_type] = STATE(1186),
    [sym_interpreted_string_literal] = STATE(844),
    [sym_call_expression] = STATE(844),
    [sym_slice_expression] = STATE(844),
    [sym_type_assertion_expression] = STATE(844),
    [sym_pointer_type] = STATE(1285),
    [sym_array_type] = STATE(1185),
    [sym_func_literal] = STATE(844),
    [sym_interface_type] = STATE(1285),
    [sym_function_type] = STATE(1285),
    [sym__expression] = STATE(844),
    [sym_parenthesized_expression] = STATE(844),
    [sym_selector_expression] = STATE(844),
    [sym_index_expression] = STATE(844),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_struct_type] = STATE(1185),
    [sym_rune_literal] = ACTIONS(2196),
    [sym_false] = ACTIONS(2198),
    [anon_sym_DQUOTE] = ACTIONS(1377),
    [anon_sym_make] = ACTIONS(1379),
    [sym_float_literal] = ACTIONS(2198),
    [anon_sym_new] = ACTIONS(1379),
    [anon_sym_DASH] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(1381),
    [sym_int_literal] = ACTIONS(2198),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2198),
    [sym_raw_string_literal] = ACTIONS(2196),
    [anon_sym_PLUS] = ACTIONS(1381),
    [sym_imaginary_literal] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(1383),
    [sym_identifier] = ACTIONS(1385),
    [anon_sym_func] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1381),
    [anon_sym_LT_DASH] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(478),
  },
  [885] = {
    [sym_qualified_type] = STATE(1185),
    [sym_map_type] = STATE(1185),
    [sym_channel_type] = STATE(1285),
    [sym_type_conversion_expression] = STATE(890),
    [sym_composite_literal] = STATE(890),
    [sym_unary_expression] = STATE(890),
    [sym_slice_type] = STATE(1185),
    [sym_binary_expression] = STATE(890),
    [sym__string_literal] = STATE(890),
    [sym_implicit_length_array_type] = STATE(1186),
    [sym_interpreted_string_literal] = STATE(890),
    [sym_call_expression] = STATE(890),
    [sym_slice_expression] = STATE(890),
    [sym_type_assertion_expression] = STATE(890),
    [sym_pointer_type] = STATE(1285),
    [sym_array_type] = STATE(1185),
    [sym_func_literal] = STATE(890),
    [sym_interface_type] = STATE(1285),
    [sym_function_type] = STATE(1285),
    [sym__expression] = STATE(890),
    [sym_parenthesized_expression] = STATE(890),
    [sym_selector_expression] = STATE(890),
    [sym_index_expression] = STATE(890),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_struct_type] = STATE(1185),
    [sym_rune_literal] = ACTIONS(2226),
    [sym_false] = ACTIONS(2228),
    [anon_sym_DQUOTE] = ACTIONS(1377),
    [anon_sym_make] = ACTIONS(1379),
    [sym_float_literal] = ACTIONS(2228),
    [anon_sym_new] = ACTIONS(1379),
    [anon_sym_DASH] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(1381),
    [sym_int_literal] = ACTIONS(2228),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2228),
    [sym_raw_string_literal] = ACTIONS(2226),
    [anon_sym_PLUS] = ACTIONS(1381),
    [sym_imaginary_literal] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2228),
    [anon_sym_STAR] = ACTIONS(1383),
    [sym_identifier] = ACTIONS(1385),
    [anon_sym_func] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1381),
    [anon_sym_LT_DASH] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [886] = {
    [sym_qualified_type] = STATE(1185),
    [sym_map_type] = STATE(1185),
    [sym_channel_type] = STATE(1285),
    [sym_type_conversion_expression] = STATE(891),
    [sym_composite_literal] = STATE(891),
    [sym_unary_expression] = STATE(891),
    [sym_slice_type] = STATE(1185),
    [sym_binary_expression] = STATE(891),
    [sym__string_literal] = STATE(891),
    [sym_implicit_length_array_type] = STATE(1186),
    [sym_interpreted_string_literal] = STATE(891),
    [sym_call_expression] = STATE(891),
    [sym_slice_expression] = STATE(891),
    [sym_type_assertion_expression] = STATE(891),
    [sym_pointer_type] = STATE(1285),
    [sym_array_type] = STATE(1185),
    [sym_func_literal] = STATE(891),
    [sym_interface_type] = STATE(1285),
    [sym_function_type] = STATE(1285),
    [sym__expression] = STATE(891),
    [sym_parenthesized_expression] = STATE(891),
    [sym_selector_expression] = STATE(891),
    [sym_index_expression] = STATE(891),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_struct_type] = STATE(1185),
    [sym_rune_literal] = ACTIONS(2230),
    [sym_false] = ACTIONS(2232),
    [anon_sym_DQUOTE] = ACTIONS(1377),
    [anon_sym_make] = ACTIONS(1379),
    [sym_float_literal] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(1379),
    [anon_sym_DASH] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(1381),
    [sym_int_literal] = ACTIONS(2232),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2232),
    [sym_raw_string_literal] = ACTIONS(2230),
    [anon_sym_PLUS] = ACTIONS(1381),
    [sym_imaginary_literal] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(1383),
    [sym_identifier] = ACTIONS(1385),
    [anon_sym_func] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1381),
    [anon_sym_LT_DASH] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [887] = {
    [sym_qualified_type] = STATE(1185),
    [sym_map_type] = STATE(1185),
    [sym_channel_type] = STATE(1285),
    [sym_type_conversion_expression] = STATE(859),
    [sym_composite_literal] = STATE(859),
    [sym_unary_expression] = STATE(859),
    [sym_slice_type] = STATE(1185),
    [sym_binary_expression] = STATE(859),
    [sym__string_literal] = STATE(859),
    [sym_implicit_length_array_type] = STATE(1186),
    [sym_interpreted_string_literal] = STATE(859),
    [sym_call_expression] = STATE(859),
    [sym_slice_expression] = STATE(859),
    [sym_type_assertion_expression] = STATE(859),
    [sym_pointer_type] = STATE(1285),
    [sym_array_type] = STATE(1185),
    [sym_func_literal] = STATE(859),
    [sym_interface_type] = STATE(1285),
    [sym_function_type] = STATE(1285),
    [sym__expression] = STATE(859),
    [sym_parenthesized_expression] = STATE(859),
    [sym_selector_expression] = STATE(859),
    [sym_index_expression] = STATE(859),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_struct_type] = STATE(1185),
    [sym_rune_literal] = ACTIONS(2234),
    [sym_false] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(1377),
    [anon_sym_make] = ACTIONS(1379),
    [sym_float_literal] = ACTIONS(2236),
    [anon_sym_new] = ACTIONS(1379),
    [anon_sym_DASH] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(1381),
    [sym_int_literal] = ACTIONS(2236),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2236),
    [sym_raw_string_literal] = ACTIONS(2234),
    [anon_sym_PLUS] = ACTIONS(1381),
    [sym_imaginary_literal] = ACTIONS(2234),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2236),
    [anon_sym_STAR] = ACTIONS(1383),
    [sym_identifier] = ACTIONS(1385),
    [anon_sym_func] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1381),
    [anon_sym_LT_DASH] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [888] = {
    [sym_qualified_type] = STATE(1185),
    [sym_map_type] = STATE(1185),
    [sym_channel_type] = STATE(1285),
    [sym_type_conversion_expression] = STATE(892),
    [sym_composite_literal] = STATE(892),
    [sym_unary_expression] = STATE(892),
    [sym_slice_type] = STATE(1185),
    [sym_binary_expression] = STATE(892),
    [sym__string_literal] = STATE(892),
    [sym_implicit_length_array_type] = STATE(1186),
    [sym_interpreted_string_literal] = STATE(892),
    [sym_call_expression] = STATE(892),
    [sym_slice_expression] = STATE(892),
    [sym_type_assertion_expression] = STATE(892),
    [sym_pointer_type] = STATE(1285),
    [sym_array_type] = STATE(1185),
    [sym_func_literal] = STATE(892),
    [sym_interface_type] = STATE(1285),
    [sym_function_type] = STATE(1285),
    [sym__expression] = STATE(892),
    [sym_parenthesized_expression] = STATE(892),
    [sym_selector_expression] = STATE(892),
    [sym_index_expression] = STATE(892),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_struct_type] = STATE(1185),
    [sym_rune_literal] = ACTIONS(2238),
    [sym_false] = ACTIONS(2240),
    [anon_sym_DQUOTE] = ACTIONS(1377),
    [anon_sym_make] = ACTIONS(1379),
    [sym_float_literal] = ACTIONS(2240),
    [anon_sym_new] = ACTIONS(1379),
    [anon_sym_DASH] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(1381),
    [sym_int_literal] = ACTIONS(2240),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2240),
    [sym_raw_string_literal] = ACTIONS(2238),
    [anon_sym_PLUS] = ACTIONS(1381),
    [sym_imaginary_literal] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2240),
    [anon_sym_STAR] = ACTIONS(1383),
    [sym_identifier] = ACTIONS(1385),
    [anon_sym_func] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1381),
    [anon_sym_LT_DASH] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [889] = {
    [sym_qualified_type] = STATE(1185),
    [sym_map_type] = STATE(1185),
    [sym_channel_type] = STATE(1285),
    [sym_type_conversion_expression] = STATE(893),
    [sym_composite_literal] = STATE(893),
    [sym_unary_expression] = STATE(893),
    [sym_slice_type] = STATE(1185),
    [sym_binary_expression] = STATE(893),
    [sym__string_literal] = STATE(893),
    [sym_implicit_length_array_type] = STATE(1186),
    [sym_interpreted_string_literal] = STATE(893),
    [sym_call_expression] = STATE(893),
    [sym_slice_expression] = STATE(893),
    [sym_type_assertion_expression] = STATE(893),
    [sym_pointer_type] = STATE(1285),
    [sym_array_type] = STATE(1185),
    [sym_func_literal] = STATE(893),
    [sym_interface_type] = STATE(1285),
    [sym_function_type] = STATE(1285),
    [sym__expression] = STATE(893),
    [sym_parenthesized_expression] = STATE(893),
    [sym_selector_expression] = STATE(893),
    [sym_index_expression] = STATE(893),
    [sym_parenthesized_type] = STATE(1285),
    [sym__simple_type] = STATE(1285),
    [sym_struct_type] = STATE(1185),
    [sym_rune_literal] = ACTIONS(2242),
    [sym_false] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(1377),
    [anon_sym_make] = ACTIONS(1379),
    [sym_float_literal] = ACTIONS(2244),
    [anon_sym_new] = ACTIONS(1379),
    [anon_sym_DASH] = ACTIONS(1381),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(1381),
    [sym_int_literal] = ACTIONS(2244),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2244),
    [sym_raw_string_literal] = ACTIONS(2242),
    [anon_sym_PLUS] = ACTIONS(1381),
    [sym_imaginary_literal] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2244),
    [anon_sym_STAR] = ACTIONS(1383),
    [sym_identifier] = ACTIONS(1385),
    [anon_sym_func] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1381),
    [anon_sym_LT_DASH] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1381),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [890] = {
    [sym_argument_list] = STATE(846),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_GT_EQ] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(1628),
    [anon_sym_LT_LT] = ACTIONS(1630),
    [anon_sym_BANG_EQ] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1632),
    [anon_sym_PERCENT] = ACTIONS(1630),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(1630),
    [anon_sym_COLON] = ACTIONS(1208),
    [anon_sym_DOT] = ACTIONS(1640),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1632),
    [anon_sym_SLASH] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [anon_sym_EQ_EQ] = ACTIONS(1206),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1630),
    [anon_sym_LT_EQ] = ACTIONS(1206),
    [anon_sym_GT_GT] = ACTIONS(1630),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_LT] = ACTIONS(1208),
    [anon_sym_LT_DASH] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1642),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [sym_comment] = ACTIONS(3),
  },
  [891] = {
    [sym_argument_list] = STATE(846),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_GT_EQ] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_LT_LT] = ACTIONS(1630),
    [anon_sym_BANG_EQ] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_PERCENT] = ACTIONS(1630),
    [anon_sym_CARET] = ACTIONS(1206),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(1630),
    [anon_sym_COLON] = ACTIONS(1208),
    [anon_sym_DOT] = ACTIONS(1640),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_SLASH] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [anon_sym_EQ_EQ] = ACTIONS(1206),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1630),
    [anon_sym_LT_EQ] = ACTIONS(1206),
    [anon_sym_GT_GT] = ACTIONS(1630),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_LT] = ACTIONS(1208),
    [anon_sym_LT_DASH] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1642),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [sym_comment] = ACTIONS(3),
  },
  [892] = {
    [sym_argument_list] = STATE(846),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_GT_EQ] = ACTIONS(1626),
    [anon_sym_PIPE] = ACTIONS(1628),
    [anon_sym_LT_LT] = ACTIONS(1630),
    [anon_sym_BANG_EQ] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1632),
    [anon_sym_PERCENT] = ACTIONS(1630),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(1636),
    [anon_sym_AMP_CARET] = ACTIONS(1630),
    [anon_sym_COLON] = ACTIONS(1208),
    [anon_sym_DOT] = ACTIONS(1640),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1632),
    [anon_sym_SLASH] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [anon_sym_EQ_EQ] = ACTIONS(1626),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1630),
    [anon_sym_LT_EQ] = ACTIONS(1626),
    [anon_sym_GT_GT] = ACTIONS(1630),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_LT] = ACTIONS(1636),
    [anon_sym_LT_DASH] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1642),
    [anon_sym_AMP_AMP] = ACTIONS(1646),
    [sym_comment] = ACTIONS(3),
  },
  [893] = {
    [sym_argument_list] = STATE(846),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_GT_EQ] = ACTIONS(1626),
    [anon_sym_PIPE] = ACTIONS(1628),
    [anon_sym_LT_LT] = ACTIONS(1630),
    [anon_sym_BANG_EQ] = ACTIONS(1626),
    [anon_sym_DASH] = ACTIONS(1632),
    [anon_sym_PERCENT] = ACTIONS(1630),
    [anon_sym_CARET] = ACTIONS(1632),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(1636),
    [anon_sym_AMP_CARET] = ACTIONS(1630),
    [anon_sym_COLON] = ACTIONS(1208),
    [anon_sym_DOT] = ACTIONS(1640),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1632),
    [anon_sym_SLASH] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [anon_sym_EQ_EQ] = ACTIONS(1626),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1630),
    [anon_sym_LT_EQ] = ACTIONS(1626),
    [anon_sym_GT_GT] = ACTIONS(1630),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [anon_sym_LT] = ACTIONS(1636),
    [anon_sym_LT_DASH] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1642),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [sym_comment] = ACTIONS(3),
  },
  [894] = {
    [sym_literal_value] = STATE(160),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_PERCENT] = ACTIONS(456),
    [anon_sym_CARET] = ACTIONS(456),
    [anon_sym_PIPE_PIPE] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(456),
    [anon_sym_AMP_CARET] = ACTIONS(456),
    [anon_sym_RPAREN] = ACTIONS(456),
    [anon_sym_DOT] = ACTIONS(752),
    [anon_sym_EQ_EQ] = ACTIONS(456),
    [anon_sym_LT_EQ] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_LBRACK] = ACTIONS(456),
    [anon_sym_AMP] = ACTIONS(458),
    [anon_sym_GT_EQ] = ACTIONS(456),
    [anon_sym_COMMA] = ACTIONS(456),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_LT_LT] = ACTIONS(456),
    [anon_sym_BANG_EQ] = ACTIONS(456),
    [anon_sym_PLUS] = ACTIONS(456),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_AMP_AMP] = ACTIONS(456),
    [anon_sym_STAR] = ACTIONS(456),
    [anon_sym_GT_GT] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_LT] = ACTIONS(458),
    [sym_comment] = ACTIONS(3),
  },
  [895] = {
    [sym_type_spec] = STATE(467),
    [sym_type_alias] = STATE(467),
    [sym_identifier] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [sym_comment] = ACTIONS(3),
  },
  [896] = {
    [sym_const_spec] = STATE(470),
    [sym_identifier] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
  },
  [897] = {
    [sym_var_spec] = STATE(471),
    [sym_identifier] = ACTIONS(181),
    [anon_sym_LPAREN] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
  },
  [898] = {
    [sym_qualified_type] = STATE(48),
    [sym_map_type] = STATE(48),
    [sym_channel_type] = STATE(48),
    [sym_parameter_declaration] = STATE(915),
    [sym_variadic_parameter_declaration] = STATE(915),
    [sym_slice_type] = STATE(48),
    [sym_pointer_type] = STATE(48),
    [sym_array_type] = STATE(48),
    [sym_interface_type] = STATE(48),
    [sym_function_type] = STATE(48),
    [sym_parenthesized_type] = STATE(48),
    [sym__simple_type] = STATE(48),
    [sym_struct_type] = STATE(48),
    [anon_sym_COMMA] = ACTIONS(2252),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_RPAREN] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [899] = {
    [sym_qualified_type] = STATE(474),
    [sym_map_type] = STATE(474),
    [sym_channel_type] = STATE(474),
    [sym_slice_type] = STATE(474),
    [sym_pointer_type] = STATE(474),
    [sym_array_type] = STATE(474),
    [sym_interface_type] = STATE(474),
    [sym_function_type] = STATE(474),
    [sym_parenthesized_type] = STATE(474),
    [sym__simple_type] = STATE(474),
    [sym_struct_type] = STATE(474),
    [anon_sym_map] = ACTIONS(957),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_interface] = ACTIONS(963),
    [anon_sym_EQ] = ACTIONS(2256),
    [anon_sym_STAR] = ACTIONS(1272),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_func] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_LT_DASH] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(975),
    [anon_sym_chan] = ACTIONS(977),
  },
  [900] = {
    [sym_type_spec] = STATE(55),
    [sym_type_alias] = STATE(55),
    [aux_sym_type_declaration_repeat1] = STATE(917),
    [sym_identifier] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2258),
  },
  [901] = {
    [sym_interpreted_string_literal] = STATE(476),
    [sym__string_literal] = STATE(476),
    [sym_comment] = ACTIONS(3),
    [sym_raw_string_literal] = ACTIONS(2260),
    [anon_sym_DQUOTE] = ACTIONS(129),
  },
  [902] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(918),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [sym_escape_sequence] = ACTIONS(2264),
    [sym_comment] = ACTIONS(61),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(2264),
  },
  [903] = {
    [sym_interpreted_string_literal] = STATE(478),
    [sym__string_literal] = STATE(478),
    [sym_comment] = ACTIONS(3),
    [sym_raw_string_literal] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(129),
  },
  [904] = {
    [sym_const_spec] = STATE(69),
    [aux_sym_const_declaration_repeat1] = STATE(921),
    [sym_identifier] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2268),
  },
  [905] = {
    [sym_qualified_type] = STATE(484),
    [sym_map_type] = STATE(484),
    [sym_channel_type] = STATE(484),
    [sym_slice_type] = STATE(484),
    [sym_pointer_type] = STATE(484),
    [sym_array_type] = STATE(484),
    [sym_interface_type] = STATE(484),
    [sym_function_type] = STATE(484),
    [aux_sym_const_spec_repeat1] = STATE(483),
    [sym_parenthesized_type] = STATE(484),
    [sym__simple_type] = STATE(484),
    [sym_struct_type] = STATE(484),
    [anon_sym_COMMA] = ACTIONS(177),
    [anon_sym_map] = ACTIONS(957),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_interface] = ACTIONS(963),
    [anon_sym_EQ] = ACTIONS(2270),
    [anon_sym_STAR] = ACTIONS(1272),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_func] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_LT_DASH] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(975),
    [anon_sym_chan] = ACTIONS(977),
  },
  [906] = {
    [sym_var_spec] = STATE(74),
    [aux_sym_var_declaration_repeat1] = STATE(922),
    [sym_identifier] = ACTIONS(181),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2272),
  },
  [907] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2274),
  },
  [908] = {
    [sym_type_conversion_expression] = STATE(929),
    [sym_composite_literal] = STATE(929),
    [sym_unary_expression] = STATE(929),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(929),
    [sym__string_literal] = STATE(929),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(929),
    [sym__expression] = STATE(929),
    [sym_parenthesized_expression] = STATE(929),
    [sym_selector_expression] = STATE(929),
    [sym_index_expression] = STATE(929),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(929),
    [sym_slice_expression] = STATE(929),
    [sym_type_assertion_expression] = STATE(929),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(929),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(2276),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(2276),
    [sym_imaginary_literal] = ACTIONS(2276),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2278),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(2278),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2278),
    [anon_sym_RBRACK] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(2278),
    [sym_false] = ACTIONS(2278),
  },
  [909] = {
    [sym_method_spec_list] = STATE(493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(2282),
  },
  [910] = {
    [sym_qualified_type] = STATE(494),
    [sym_map_type] = STATE(494),
    [sym_channel_type] = STATE(494),
    [sym_slice_type] = STATE(494),
    [sym_pointer_type] = STATE(494),
    [sym_array_type] = STATE(494),
    [sym_interface_type] = STATE(494),
    [sym_function_type] = STATE(494),
    [sym_parenthesized_type] = STATE(494),
    [sym__simple_type] = STATE(494),
    [sym_struct_type] = STATE(494),
    [anon_sym_map] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_interface] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(99),
    [sym_identifier] = ACTIONS(101),
    [anon_sym_func] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_LT_DASH] = ACTIONS(109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(111),
    [anon_sym_chan] = ACTIONS(113),
  },
  [911] = {
    [sym_parameter_list] = STATE(495),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(63),
  },
  [912] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_chan] = ACTIONS(2284),
  },
  [913] = {
    [sym_field_declaration_list] = STATE(497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(2286),
  },
  [914] = {
    [sym_qualified_type] = STATE(499),
    [sym_map_type] = STATE(499),
    [sym_channel_type] = STATE(499),
    [sym_slice_type] = STATE(499),
    [sym_pointer_type] = STATE(499),
    [sym_array_type] = STATE(499),
    [sym_interface_type] = STATE(499),
    [sym_function_type] = STATE(499),
    [sym_parenthesized_type] = STATE(499),
    [sym__simple_type] = STATE(499),
    [sym_struct_type] = STATE(499),
    [anon_sym_map] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(93),
    [anon_sym_interface] = ACTIONS(95),
    [anon_sym_STAR] = ACTIONS(99),
    [sym_identifier] = ACTIONS(101),
    [anon_sym_func] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(105),
    [anon_sym_LT_DASH] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(111),
    [anon_sym_chan] = ACTIONS(113),
  },
  [915] = {
    [aux_sym_parameter_list_repeat1] = STATE(937),
    [anon_sym_COMMA] = ACTIONS(2288),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2274),
  },
  [916] = {
    [sym_qualified_type] = STATE(500),
    [sym_map_type] = STATE(500),
    [sym_channel_type] = STATE(500),
    [sym_slice_type] = STATE(500),
    [sym_pointer_type] = STATE(500),
    [sym_array_type] = STATE(500),
    [sym_interface_type] = STATE(500),
    [sym_function_type] = STATE(500),
    [sym_parenthesized_type] = STATE(500),
    [sym__simple_type] = STATE(500),
    [sym_struct_type] = STATE(500),
    [anon_sym_map] = ACTIONS(957),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_interface] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(1272),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_func] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_LT_DASH] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(975),
    [anon_sym_chan] = ACTIONS(977),
  },
  [917] = {
    [sym_type_spec] = STATE(55),
    [sym_type_alias] = STATE(55),
    [aux_sym_type_declaration_repeat1] = STATE(114),
    [sym_identifier] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2290),
  },
  [918] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(120),
    [anon_sym_DQUOTE] = ACTIONS(2292),
    [sym_escape_sequence] = ACTIONS(322),
    [sym_comment] = ACTIONS(61),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(322),
  },
  [919] = {
    [sym_identifier] = ACTIONS(2294),
    [sym_comment] = ACTIONS(3),
  },
  [920] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2296),
  },
  [921] = {
    [sym_const_spec] = STATE(69),
    [aux_sym_const_declaration_repeat1] = STATE(128),
    [sym_identifier] = ACTIONS(169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2298),
  },
  [922] = {
    [sym_var_spec] = STATE(74),
    [aux_sym_var_declaration_repeat1] = STATE(135),
    [sym_identifier] = ACTIONS(181),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2300),
  },
  [923] = {
    [sym_var_declaration] = STATE(151),
    [sym_type_conversion_expression] = STATE(153),
    [sym_unary_expression] = STATE(153),
    [sym_slice_type] = STATE(1017),
    [sym__string_literal] = STATE(153),
    [sym__statement] = STATE(151),
    [sym_dec_statement] = STATE(151),
    [sym_break_statement] = STATE(151),
    [sym_if_statement] = STATE(151),
    [sym_expression_switch_statement] = STATE(151),
    [sym_parenthesized_expression] = STATE(153),
    [sym_index_expression] = STATE(153),
    [sym_parenthesized_type] = STATE(1280),
    [sym_struct_type] = STATE(1017),
    [sym_map_type] = STATE(1017),
    [sym_empty_statement] = STATE(151),
    [sym_assignment_statement] = STATE(151),
    [sym_continue_statement] = STATE(151),
    [sym_const_declaration] = STATE(151),
    [sym_call_expression] = STATE(153),
    [sym_slice_expression] = STATE(153),
    [sym_array_type] = STATE(1017),
    [sym_interface_type] = STATE(1280),
    [sym_block] = STATE(151),
    [sym_empty_labeled_statement] = STATE(940),
    [sym_go_statement] = STATE(151),
    [sym_type_switch_statement] = STATE(151),
    [sym_expression_list] = STATE(150),
    [sym_composite_literal] = STATE(153),
    [sym_implicit_length_array_type] = STATE(1018),
    [sym_binary_expression] = STATE(153),
    [sym_interpreted_string_literal] = STATE(153),
    [sym__statement_list] = STATE(940),
    [sym_inc_statement] = STATE(151),
    [sym_fallthrough_statement] = STATE(151),
    [sym_defer_statement] = STATE(151),
    [sym__expression] = STATE(153),
    [sym_selector_expression] = STATE(153),
    [sym_type_declaration] = STATE(151),
    [sym__simple_type] = STATE(1280),
    [sym_qualified_type] = STATE(1017),
    [sym_channel_type] = STATE(1280),
    [sym__simple_statement] = STATE(151),
    [sym_short_var_declaration] = STATE(151),
    [sym_goto_statement] = STATE(151),
    [sym__declaration] = STATE(151),
    [sym_select_statement] = STATE(151),
    [sym_type_assertion_expression] = STATE(153),
    [sym_pointer_type] = STATE(1280),
    [sym_func_literal] = STATE(153),
    [sym_function_type] = STATE(1280),
    [sym_send_statement] = STATE(151),
    [sym_labeled_statement] = STATE(151),
    [sym_return_statement] = STATE(151),
    [sym_for_statement] = STATE(151),
    [sym_rune_literal] = ACTIONS(384),
    [anon_sym_defer] = ACTIONS(386),
    [anon_sym_DASH] = ACTIONS(388),
    [anon_sym_CARET] = ACTIONS(388),
    [anon_sym_select] = ACTIONS(390),
    [anon_sym_const] = ACTIONS(392),
    [sym_raw_string_literal] = ACTIONS(384),
    [sym_imaginary_literal] = ACTIONS(384),
    [anon_sym_LBRACK] = ACTIONS(239),
    [sym_nil] = ACTIONS(394),
    [anon_sym_if] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(388),
    [anon_sym_AMP] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_true] = ACTIONS(394),
    [anon_sym_fallthrough] = ACTIONS(400),
    [anon_sym_func] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(404),
    [anon_sym_LT_DASH] = ACTIONS(406),
    [anon_sym_struct] = ACTIONS(87),
    [sym_false] = ACTIONS(394),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(410),
    [anon_sym_for] = ACTIONS(412),
    [anon_sym_var] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(418),
    [anon_sym_return] = ACTIONS(420),
    [anon_sym_make] = ACTIONS(398),
    [anon_sym_type] = ACTIONS(422),
    [sym_int_literal] = ACTIONS(394),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_goto] = ACTIONS(424),
    [anon_sym_go] = ACTIONS(426),
    [anon_sym_PLUS] = ACTIONS(388),
    [anon_sym_switch] = ACTIONS(428),
    [anon_sym_STAR] = ACTIONS(430),
    [sym_identifier] = ACTIONS(432),
    [anon_sym_SEMI] = ACTIONS(434),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(394),
    [anon_sym_chan] = ACTIONS(235),
  },
  [924] = {
    [sym_type_conversion_expression] = STATE(155),
    [sym_composite_literal] = STATE(155),
    [sym_unary_expression] = STATE(155),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(155),
    [sym__string_literal] = STATE(155),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(155),
    [sym__expression] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_selector_expression] = STATE(155),
    [sym_index_expression] = STATE(155),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(155),
    [sym_slice_expression] = STATE(155),
    [sym_type_assertion_expression] = STATE(155),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(155),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(444),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(444),
    [sym_imaginary_literal] = ACTIONS(444),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(446),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(446),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(446),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(446),
    [sym_false] = ACTIONS(446),
  },
  [925] = {
    [sym_qualified_type] = STATE(156),
    [sym_map_type] = STATE(156),
    [sym_channel_type] = STATE(156),
    [sym_slice_type] = STATE(156),
    [sym_pointer_type] = STATE(156),
    [sym_array_type] = STATE(156),
    [sym_interface_type] = STATE(156),
    [sym_function_type] = STATE(156),
    [sym_parenthesized_type] = STATE(156),
    [sym__simple_type] = STATE(156),
    [sym_struct_type] = STATE(156),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(834),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(836),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [926] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(158),
    [sym_type_conversion_expression] = STATE(155),
    [sym_composite_literal] = STATE(155),
    [sym_unary_expression] = STATE(155),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(155),
    [sym__string_literal] = STATE(155),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(155),
    [sym_call_expression] = STATE(155),
    [sym_slice_expression] = STATE(155),
    [sym_type_assertion_expression] = STATE(155),
    [sym_pointer_type] = STATE(158),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(155),
    [sym_interface_type] = STATE(158),
    [sym_function_type] = STATE(158),
    [sym__expression] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_selector_expression] = STATE(155),
    [sym_index_expression] = STATE(155),
    [sym_parenthesized_type] = STATE(158),
    [sym__simple_type] = STATE(158),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(444),
    [sym_false] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(446),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(446),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(446),
    [sym_raw_string_literal] = ACTIONS(444),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(444),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(446),
    [anon_sym_STAR] = ACTIONS(474),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [927] = {
    [sym_literal_value] = STATE(520),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(2304),
  },
  [928] = {
    [sym_literal_value] = STATE(520),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(2304),
  },
  [929] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(2306),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [930] = {
    [sym_method_spec] = STATE(949),
    [sym_qualified_type] = STATE(949),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [sym_comment] = ACTIONS(3),
  },
  [931] = {
    [sym_identifier] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
  },
  [932] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2314),
  },
  [933] = {
    [sym_qualified_type] = STATE(631),
    [sym_map_type] = STATE(631),
    [sym_channel_type] = STATE(631),
    [sym_slice_type] = STATE(631),
    [sym_pointer_type] = STATE(631),
    [sym_array_type] = STATE(631),
    [sym_interface_type] = STATE(631),
    [sym_function_type] = STATE(631),
    [sym_parenthesized_type] = STATE(631),
    [sym__simple_type] = STATE(631),
    [sym_struct_type] = STATE(631),
    [anon_sym_map] = ACTIONS(957),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_interface] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(1272),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_func] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_LT_DASH] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(975),
    [anon_sym_chan] = ACTIONS(977),
  },
  [934] = {
    [sym_field_declaration] = STATE(951),
    [sym_qualified_type] = STATE(192),
    [sym_identifier] = ACTIONS(528),
    [anon_sym_RBRACE] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(532),
  },
  [935] = {
    [sym_qualified_type] = STATE(193),
    [sym_map_type] = STATE(193),
    [sym_channel_type] = STATE(193),
    [sym_slice_type] = STATE(193),
    [sym_pointer_type] = STATE(193),
    [sym_array_type] = STATE(193),
    [sym_interface_type] = STATE(193),
    [sym_function_type] = STATE(193),
    [sym_parenthesized_type] = STATE(193),
    [sym__simple_type] = STATE(193),
    [sym_struct_type] = STATE(193),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(834),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(836),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(478),
  },
  [936] = {
    [sym_qualified_type] = STATE(48),
    [sym_map_type] = STATE(48),
    [sym_channel_type] = STATE(48),
    [sym_parameter_declaration] = STATE(195),
    [sym_variadic_parameter_declaration] = STATE(195),
    [sym_slice_type] = STATE(48),
    [sym_pointer_type] = STATE(48),
    [sym_array_type] = STATE(48),
    [sym_interface_type] = STATE(48),
    [sym_function_type] = STATE(48),
    [sym_parenthesized_type] = STATE(48),
    [sym__simple_type] = STATE(48),
    [sym_struct_type] = STATE(48),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_RPAREN] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [937] = {
    [aux_sym_parameter_list_repeat1] = STATE(197),
    [anon_sym_COMMA] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2318),
  },
  [938] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2322),
  },
  [939] = {
    [anon_sym_DASH_EQ] = ACTIONS(1068),
    [anon_sym_COLON_EQ] = ACTIONS(2324),
    [anon_sym_PERCENT_EQ] = ACTIONS(1068),
    [anon_sym_PLUS_EQ] = ACTIONS(1068),
    [anon_sym_GT_GT_EQ] = ACTIONS(1068),
    [anon_sym_PIPE_EQ] = ACTIONS(1068),
    [anon_sym_EQ] = ACTIONS(1068),
    [anon_sym_LT_LT_EQ] = ACTIONS(1068),
    [anon_sym_STAR_EQ] = ACTIONS(1068),
    [anon_sym_AMP_EQ] = ACTIONS(1068),
    [anon_sym_CARET_EQ] = ACTIONS(1068),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(1068),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1068),
  },
  [940] = {
    [anon_sym_RBRACE] = ACTIONS(2326),
    [sym_comment] = ACTIONS(3),
  },
  [941] = {
    [sym_type_conversion_expression] = STATE(240),
    [sym_composite_literal] = STATE(240),
    [sym_unary_expression] = STATE(240),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(240),
    [sym__string_literal] = STATE(240),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(240),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(240),
    [sym_selector_expression] = STATE(240),
    [sym_index_expression] = STATE(240),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_literal_value] = STATE(241),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_keyed_element] = STATE(953),
    [sym_struct_type] = STATE(89),
    [sym_call_expression] = STATE(240),
    [sym_slice_expression] = STATE(240),
    [sym_type_assertion_expression] = STATE(240),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(240),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_element] = STATE(953),
    [sym_rune_literal] = ACTIONS(820),
    [anon_sym_RBRACE] = ACTIONS(2328),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(820),
    [sym_imaginary_literal] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(824),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
  },
  [942] = {
    [sym_parameter_list] = STATE(954),
    [sym_map_type] = STATE(954),
    [sym_channel_type] = STATE(954),
    [sym_pointer_type] = STATE(954),
    [sym_array_type] = STATE(954),
    [sym_struct_type] = STATE(954),
    [sym_interface_type] = STATE(954),
    [sym_function_type] = STATE(954),
    [sym_block] = STATE(548),
    [sym_slice_type] = STATE(954),
    [sym__simple_type] = STATE(954),
    [sym_qualified_type] = STATE(954),
    [anon_sym_LBRACE] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(834),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(836),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(840),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_LT_DASH] = ACTIONS(843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [943] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_RPAREN] = ACTIONS(2332),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(857),
  },
  [944] = {
    [sym_qualified_type] = STATE(246),
    [sym_map_type] = STATE(246),
    [sym_channel_type] = STATE(246),
    [sym_slice_type] = STATE(246),
    [sym_pointer_type] = STATE(246),
    [sym_array_type] = STATE(246),
    [sym_interface_type] = STATE(246),
    [sym_function_type] = STATE(246),
    [sym_parenthesized_type] = STATE(246),
    [sym__simple_type] = STATE(246),
    [sym_struct_type] = STATE(246),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(278),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [945] = {
    [sym_qualified_type] = STATE(251),
    [sym_map_type] = STATE(251),
    [sym_channel_type] = STATE(251),
    [sym_slice_type] = STATE(251),
    [sym_pointer_type] = STATE(251),
    [sym_array_type] = STATE(251),
    [sym_interface_type] = STATE(251),
    [sym_function_type] = STATE(251),
    [sym_parenthesized_type] = STATE(251),
    [sym__simple_type] = STATE(251),
    [sym_struct_type] = STATE(251),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(834),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(836),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [946] = {
    [sym_identifier] = ACTIONS(2334),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2336),
  },
  [947] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(959),
    [sym_composite_literal] = STATE(959),
    [sym_unary_expression] = STATE(959),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(959),
    [sym__string_literal] = STATE(959),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(959),
    [sym_call_expression] = STATE(959),
    [sym_variadic_argument] = STATE(958),
    [sym_slice_expression] = STATE(959),
    [sym_type_assertion_expression] = STATE(959),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(959),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym_selector_expression] = STATE(959),
    [sym_index_expression] = STATE(959),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(2338),
    [sym_false] = ACTIONS(2340),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(2340),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2340),
    [sym_raw_string_literal] = ACTIONS(2338),
    [anon_sym_RPAREN] = ACTIONS(2342),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2340),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [948] = {
    [sym_parameter_list] = STATE(264),
    [aux_sym_method_spec_list_repeat1] = STATE(962),
    [anon_sym_DOT] = ACTIONS(917),
    [anon_sym_RBRACE] = ACTIONS(2344),
    [anon_sym_LF] = ACTIONS(2346),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym_LPAREN] = ACTIONS(925),
    [sym_comment] = ACTIONS(61),
  },
  [949] = {
    [aux_sym_method_spec_list_repeat1] = STATE(964),
    [anon_sym_RBRACE] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2352),
    [anon_sym_LF] = ACTIONS(2354),
    [sym_comment] = ACTIONS(61),
  },
  [950] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2356),
  },
  [951] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(967),
    [anon_sym_RBRACE] = ACTIONS(2358),
    [anon_sym_SEMI] = ACTIONS(2360),
    [anon_sym_LF] = ACTIONS(2362),
    [sym_comment] = ACTIONS(61),
  },
  [952] = {
    [sym_qualified_type] = STATE(48),
    [sym_map_type] = STATE(48),
    [sym_channel_type] = STATE(48),
    [sym_parameter_declaration] = STATE(195),
    [sym_variadic_parameter_declaration] = STATE(195),
    [sym_slice_type] = STATE(48),
    [sym_pointer_type] = STATE(48),
    [sym_array_type] = STATE(48),
    [sym_interface_type] = STATE(48),
    [sym_function_type] = STATE(48),
    [sym_parenthesized_type] = STATE(48),
    [sym__simple_type] = STATE(48),
    [sym_struct_type] = STATE(48),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_RPAREN] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [953] = {
    [aux_sym_literal_value_repeat1] = STATE(969),
    [anon_sym_RBRACE] = ACTIONS(2366),
    [anon_sym_COMMA] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
  },
  [954] = {
    [sym_block] = STATE(573),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(2330),
  },
  [955] = {
    [aux_sym_expression_list_repeat1] = STATE(971),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2370),
    [anon_sym_RPAREN] = ACTIONS(2372),
  },
  [956] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(973),
    [sym_composite_literal] = STATE(973),
    [sym_unary_expression] = STATE(973),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(973),
    [sym__string_literal] = STATE(973),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(973),
    [sym_call_expression] = STATE(973),
    [sym_slice_expression] = STATE(973),
    [sym_type_assertion_expression] = STATE(973),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(973),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(973),
    [sym_parenthesized_expression] = STATE(973),
    [sym_selector_expression] = STATE(973),
    [sym_index_expression] = STATE(973),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(2374),
    [sym_false] = ACTIONS(2376),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(2376),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(2376),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2376),
    [anon_sym_RBRACK] = ACTIONS(2378),
    [sym_raw_string_literal] = ACTIONS(2374),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [957] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_RBRACK] = ACTIONS(2380),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_COLON] = ACTIONS(2382),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(498),
  },
  [958] = {
    [aux_sym_argument_list_repeat1] = STATE(976),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2384),
    [anon_sym_RPAREN] = ACTIONS(2386),
  },
  [959] = {
    [aux_sym_argument_list_repeat1] = STATE(976),
    [sym_argument_list] = STATE(166),
    [anon_sym_COMMA] = ACTIONS(2384),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1234),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(814),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_RPAREN] = ACTIONS(2386),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(857),
  },
  [960] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(2388),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_RPAREN] = ACTIONS(2390),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(857),
  },
  [961] = {
    [sym_method_spec] = STATE(343),
    [sym_qualified_type] = STATE(343),
    [sym_identifier] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(2392),
    [sym_comment] = ACTIONS(3),
  },
  [962] = {
    [aux_sym_method_spec_list_repeat1] = STATE(346),
    [anon_sym_RBRACE] = ACTIONS(2394),
    [anon_sym_SEMI] = ACTIONS(2396),
    [anon_sym_LF] = ACTIONS(2398),
    [sym_comment] = ACTIONS(61),
  },
  [963] = {
    [sym_method_spec] = STATE(343),
    [sym_qualified_type] = STATE(343),
    [sym_identifier] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
  },
  [964] = {
    [aux_sym_method_spec_list_repeat1] = STATE(346),
    [anon_sym_RBRACE] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2404),
    [anon_sym_LF] = ACTIONS(2406),
    [sym_comment] = ACTIONS(61),
  },
  [965] = {
    [sym_qualified_type] = STATE(349),
    [sym_map_type] = STATE(349),
    [sym_channel_type] = STATE(349),
    [sym_slice_type] = STATE(349),
    [sym_pointer_type] = STATE(349),
    [sym_array_type] = STATE(349),
    [sym_interface_type] = STATE(349),
    [sym_function_type] = STATE(349),
    [sym_parenthesized_type] = STATE(349),
    [sym__simple_type] = STATE(349),
    [sym_struct_type] = STATE(349),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(834),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(836),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [966] = {
    [sym_field_declaration] = STATE(357),
    [sym_qualified_type] = STATE(192),
    [sym_identifier] = ACTIONS(528),
    [anon_sym_RBRACE] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(532),
  },
  [967] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(359),
    [anon_sym_RBRACE] = ACTIONS(2410),
    [anon_sym_SEMI] = ACTIONS(2412),
    [anon_sym_LF] = ACTIONS(2414),
    [sym_comment] = ACTIONS(61),
  },
  [968] = {
    [sym_type_conversion_expression] = STATE(240),
    [sym_composite_literal] = STATE(240),
    [sym_unary_expression] = STATE(240),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(240),
    [sym__string_literal] = STATE(240),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(240),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(240),
    [sym_selector_expression] = STATE(240),
    [sym_index_expression] = STATE(240),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_literal_value] = STATE(241),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_keyed_element] = STATE(397),
    [sym_struct_type] = STATE(89),
    [sym_call_expression] = STATE(240),
    [sym_slice_expression] = STATE(240),
    [sym_type_assertion_expression] = STATE(240),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(240),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_element] = STATE(397),
    [sym_rune_literal] = ACTIONS(820),
    [anon_sym_RBRACE] = ACTIONS(2416),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(820),
    [sym_imaginary_literal] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(824),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
  },
  [969] = {
    [aux_sym_literal_value_repeat1] = STATE(399),
    [anon_sym_RBRACE] = ACTIONS(2416),
    [anon_sym_COMMA] = ACTIONS(2418),
    [sym_comment] = ACTIONS(3),
  },
  [970] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(718),
    [sym_composite_literal] = STATE(718),
    [sym_unary_expression] = STATE(718),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(718),
    [sym__string_literal] = STATE(718),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_slice_expression] = STATE(718),
    [sym_type_assertion_expression] = STATE(718),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(718),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(718),
    [sym_parenthesized_expression] = STATE(718),
    [sym_selector_expression] = STATE(718),
    [sym_index_expression] = STATE(718),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1497),
    [sym_false] = ACTIONS(1501),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1501),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(1501),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1501),
    [sym_raw_string_literal] = ACTIONS(1497),
    [anon_sym_RPAREN] = ACTIONS(2420),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [971] = {
    [aux_sym_expression_list_repeat1] = STATE(719),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2422),
    [anon_sym_RPAREN] = ACTIONS(2420),
  },
  [972] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2424),
  },
  [973] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_RBRACK] = ACTIONS(2426),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_COLON] = ACTIONS(2428),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(498),
  },
  [974] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(984),
    [sym_composite_literal] = STATE(984),
    [sym_unary_expression] = STATE(984),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(984),
    [sym__string_literal] = STATE(984),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(984),
    [sym_call_expression] = STATE(984),
    [sym_slice_expression] = STATE(984),
    [sym_type_assertion_expression] = STATE(984),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(984),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(984),
    [sym_parenthesized_expression] = STATE(984),
    [sym_selector_expression] = STATE(984),
    [sym_index_expression] = STATE(984),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(2430),
    [sym_false] = ACTIONS(2432),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(2432),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(2432),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2432),
    [anon_sym_RBRACK] = ACTIONS(2426),
    [sym_raw_string_literal] = ACTIONS(2430),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(2430),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2432),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [975] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(408),
    [sym_composite_literal] = STATE(408),
    [sym_unary_expression] = STATE(408),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(408),
    [sym__string_literal] = STATE(408),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(408),
    [sym_call_expression] = STATE(408),
    [sym_variadic_argument] = STATE(407),
    [sym_slice_expression] = STATE(408),
    [sym_type_assertion_expression] = STATE(408),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(408),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(408),
    [sym_parenthesized_expression] = STATE(408),
    [sym_selector_expression] = STATE(408),
    [sym_index_expression] = STATE(408),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1527),
    [sym_false] = ACTIONS(1531),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1531),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(1531),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1531),
    [sym_raw_string_literal] = ACTIONS(1527),
    [anon_sym_RPAREN] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(1527),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1531),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [976] = {
    [aux_sym_argument_list_repeat1] = STATE(410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2436),
    [anon_sym_RPAREN] = ACTIONS(2434),
  },
  [977] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2438),
  },
  [978] = {
    [sym_method_spec] = STATE(343),
    [sym_qualified_type] = STATE(343),
    [sym_identifier] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(2440),
    [sym_comment] = ACTIONS(3),
  },
  [979] = {
    [sym_method_spec] = STATE(343),
    [sym_qualified_type] = STATE(343),
    [sym_identifier] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [sym_comment] = ACTIONS(3),
  },
  [980] = {
    [sym_field_declaration] = STATE(357),
    [sym_qualified_type] = STATE(192),
    [sym_identifier] = ACTIONS(528),
    [anon_sym_RBRACE] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(532),
  },
  [981] = {
    [sym_struct_type] = STATE(330),
    [sym_map_type] = STATE(330),
    [sym_channel_type] = STATE(330),
    [sym_pointer_type] = STATE(330),
    [sym_array_type] = STATE(330),
    [sym_interface_type] = STATE(330),
    [sym_function_type] = STATE(330),
    [sym_slice_type] = STATE(330),
    [sym_parenthesized_type] = STATE(330),
    [sym__simple_type] = STATE(330),
    [sym_qualified_type] = STATE(330),
    [anon_sym_type] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [982] = {
    [sym_type_conversion_expression] = STATE(240),
    [sym_composite_literal] = STATE(240),
    [sym_unary_expression] = STATE(240),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(240),
    [sym__string_literal] = STATE(240),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(240),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(240),
    [sym_selector_expression] = STATE(240),
    [sym_index_expression] = STATE(240),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_literal_value] = STATE(241),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_keyed_element] = STATE(397),
    [sym_struct_type] = STATE(89),
    [sym_call_expression] = STATE(240),
    [sym_slice_expression] = STATE(240),
    [sym_type_assertion_expression] = STATE(240),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(240),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_element] = STATE(397),
    [sym_rune_literal] = ACTIONS(820),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(820),
    [sym_imaginary_literal] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(824),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
  },
  [983] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(718),
    [sym_composite_literal] = STATE(718),
    [sym_unary_expression] = STATE(718),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(718),
    [sym__string_literal] = STATE(718),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_slice_expression] = STATE(718),
    [sym_type_assertion_expression] = STATE(718),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(718),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(718),
    [sym_parenthesized_expression] = STATE(718),
    [sym_selector_expression] = STATE(718),
    [sym_index_expression] = STATE(718),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1497),
    [sym_false] = ACTIONS(1501),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1501),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(1501),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1501),
    [sym_raw_string_literal] = ACTIONS(1497),
    [anon_sym_RPAREN] = ACTIONS(2448),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [984] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_RBRACK] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_COLON] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(498),
  },
  [985] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(408),
    [sym_composite_literal] = STATE(408),
    [sym_unary_expression] = STATE(408),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(408),
    [sym__string_literal] = STATE(408),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(408),
    [sym_call_expression] = STATE(408),
    [sym_variadic_argument] = STATE(407),
    [sym_slice_expression] = STATE(408),
    [sym_type_assertion_expression] = STATE(408),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(408),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(408),
    [sym_parenthesized_expression] = STATE(408),
    [sym_selector_expression] = STATE(408),
    [sym_index_expression] = STATE(408),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1527),
    [sym_false] = ACTIONS(1531),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1531),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(1531),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1531),
    [sym_raw_string_literal] = ACTIONS(1527),
    [anon_sym_RPAREN] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(1527),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1531),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [986] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_RBRACK] = ACTIONS(2456),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(498),
  },
  [987] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_RBRACK] = ACTIONS(2458),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(498),
  },
  [988] = {
    [sym_type_conversion_expression] = STATE(657),
    [sym_composite_literal] = STATE(657),
    [sym_unary_expression] = STATE(657),
    [sym_slice_type] = STATE(1080),
    [sym_binary_expression] = STATE(657),
    [sym__string_literal] = STATE(657),
    [sym_implicit_length_array_type] = STATE(1081),
    [sym_interpreted_string_literal] = STATE(657),
    [sym__expression] = STATE(657),
    [sym_parenthesized_expression] = STATE(657),
    [sym_selector_expression] = STATE(657),
    [sym_index_expression] = STATE(657),
    [sym_parenthesized_type] = STATE(1282),
    [sym__simple_type] = STATE(1282),
    [sym_qualified_type] = STATE(1080),
    [sym_struct_type] = STATE(1080),
    [sym_map_type] = STATE(1080),
    [sym_channel_type] = STATE(1282),
    [sym_call_expression] = STATE(657),
    [sym_slice_expression] = STATE(657),
    [sym_type_assertion_expression] = STATE(657),
    [sym_pointer_type] = STATE(1282),
    [sym_array_type] = STATE(1080),
    [sym_func_literal] = STATE(657),
    [sym_interface_type] = STATE(1282),
    [sym_function_type] = STATE(1282),
    [sym_rune_literal] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(660),
    [anon_sym_CARET] = ACTIONS(660),
    [sym_raw_string_literal] = ACTIONS(2460),
    [sym_imaginary_literal] = ACTIONS(2460),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(660),
    [anon_sym_make] = ACTIONS(664),
    [anon_sym_AMP] = ACTIONS(660),
    [anon_sym_new] = ACTIONS(664),
    [anon_sym_DQUOTE] = ACTIONS(666),
    [sym_int_literal] = ACTIONS(2462),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(660),
    [anon_sym_STAR] = ACTIONS(668),
    [sym_identifier] = ACTIONS(670),
    [anon_sym_func] = ACTIONS(672),
    [anon_sym_LPAREN] = ACTIONS(674),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(676),
    [sym_float_literal] = ACTIONS(2462),
    [sym_false] = ACTIONS(2462),
  },
  [989] = {
    [sym_type_conversion_expression] = STATE(155),
    [sym_composite_literal] = STATE(155),
    [sym_unary_expression] = STATE(155),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(155),
    [sym__string_literal] = STATE(155),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(155),
    [sym__expression] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_selector_expression] = STATE(155),
    [sym_index_expression] = STATE(155),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(155),
    [sym_slice_expression] = STATE(155),
    [sym_type_assertion_expression] = STATE(155),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(155),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(444),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_CARET] = ACTIONS(1054),
    [sym_raw_string_literal] = ACTIONS(444),
    [sym_imaginary_literal] = ACTIONS(444),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(446),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(446),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(446),
    [anon_sym_PLUS] = ACTIONS(1054),
    [anon_sym_STAR] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(1058),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(1060),
    [sym_float_literal] = ACTIONS(446),
    [sym_false] = ACTIONS(446),
  },
  [990] = {
    [sym_type_conversion_expression] = STATE(996),
    [sym_composite_literal] = STATE(996),
    [sym_unary_expression] = STATE(996),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(996),
    [sym__string_literal] = STATE(996),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(996),
    [sym__expression] = STATE(996),
    [sym_parenthesized_expression] = STATE(996),
    [sym_selector_expression] = STATE(996),
    [sym_index_expression] = STATE(996),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(996),
    [sym_slice_expression] = STATE(996),
    [sym_type_assertion_expression] = STATE(996),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(996),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(2464),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_CARET] = ACTIONS(1054),
    [sym_raw_string_literal] = ACTIONS(2464),
    [sym_imaginary_literal] = ACTIONS(2464),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(2466),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2466),
    [anon_sym_PLUS] = ACTIONS(1054),
    [anon_sym_STAR] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(1058),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(1060),
    [sym_float_literal] = ACTIONS(2466),
    [sym_false] = ACTIONS(2466),
  },
  [991] = {
    [sym_type_conversion_expression] = STATE(997),
    [sym_composite_literal] = STATE(997),
    [sym_unary_expression] = STATE(997),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(997),
    [sym__string_literal] = STATE(997),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(997),
    [sym__expression] = STATE(997),
    [sym_parenthesized_expression] = STATE(997),
    [sym_selector_expression] = STATE(997),
    [sym_index_expression] = STATE(997),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(997),
    [sym_slice_expression] = STATE(997),
    [sym_type_assertion_expression] = STATE(997),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(997),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_CARET] = ACTIONS(1054),
    [sym_raw_string_literal] = ACTIONS(2468),
    [sym_imaginary_literal] = ACTIONS(2468),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(2470),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(1054),
    [anon_sym_STAR] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(1058),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(1060),
    [sym_float_literal] = ACTIONS(2470),
    [sym_false] = ACTIONS(2470),
  },
  [992] = {
    [sym_type_conversion_expression] = STATE(250),
    [sym_composite_literal] = STATE(250),
    [sym_unary_expression] = STATE(250),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(250),
    [sym__string_literal] = STATE(250),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(250),
    [sym__expression] = STATE(250),
    [sym_parenthesized_expression] = STATE(250),
    [sym_selector_expression] = STATE(250),
    [sym_index_expression] = STATE(250),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(250),
    [sym_slice_expression] = STATE(250),
    [sym_type_assertion_expression] = STATE(250),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(250),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(881),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_CARET] = ACTIONS(1054),
    [sym_raw_string_literal] = ACTIONS(881),
    [sym_imaginary_literal] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(883),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(883),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(1054),
    [anon_sym_STAR] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(1058),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(1060),
    [sym_float_literal] = ACTIONS(883),
    [sym_false] = ACTIONS(883),
  },
  [993] = {
    [sym_type_conversion_expression] = STATE(998),
    [sym_composite_literal] = STATE(998),
    [sym_unary_expression] = STATE(998),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(998),
    [sym__string_literal] = STATE(998),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(998),
    [sym__expression] = STATE(998),
    [sym_parenthesized_expression] = STATE(998),
    [sym_selector_expression] = STATE(998),
    [sym_index_expression] = STATE(998),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(998),
    [sym_slice_expression] = STATE(998),
    [sym_type_assertion_expression] = STATE(998),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(998),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(2472),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_CARET] = ACTIONS(1054),
    [sym_raw_string_literal] = ACTIONS(2472),
    [sym_imaginary_literal] = ACTIONS(2472),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(2474),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2474),
    [anon_sym_PLUS] = ACTIONS(1054),
    [anon_sym_STAR] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(1058),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(1060),
    [sym_float_literal] = ACTIONS(2474),
    [sym_false] = ACTIONS(2474),
  },
  [994] = {
    [sym_type_conversion_expression] = STATE(999),
    [sym_composite_literal] = STATE(999),
    [sym_unary_expression] = STATE(999),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(999),
    [sym__string_literal] = STATE(999),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(999),
    [sym__expression] = STATE(999),
    [sym_parenthesized_expression] = STATE(999),
    [sym_selector_expression] = STATE(999),
    [sym_index_expression] = STATE(999),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(999),
    [sym_slice_expression] = STATE(999),
    [sym_type_assertion_expression] = STATE(999),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(999),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(2476),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_CARET] = ACTIONS(1054),
    [sym_raw_string_literal] = ACTIONS(2476),
    [sym_imaginary_literal] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(2478),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2478),
    [anon_sym_PLUS] = ACTIONS(1054),
    [anon_sym_STAR] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(1058),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(1060),
    [sym_float_literal] = ACTIONS(2478),
    [sym_false] = ACTIONS(2478),
  },
  [995] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(1000),
    [sym_composite_literal] = STATE(1000),
    [sym_unary_expression] = STATE(1000),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1000),
    [sym__string_literal] = STATE(1000),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1000),
    [sym_call_expression] = STATE(1000),
    [sym_slice_expression] = STATE(1000),
    [sym_type_assertion_expression] = STATE(1000),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1000),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(1000),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_selector_expression] = STATE(1000),
    [sym_index_expression] = STATE(1000),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(2480),
    [sym_false] = ACTIONS(2482),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(2482),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(1054),
    [sym_int_literal] = ACTIONS(2482),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2482),
    [sym_raw_string_literal] = ACTIONS(2480),
    [anon_sym_PLUS] = ACTIONS(1054),
    [sym_imaginary_literal] = ACTIONS(2480),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(1058),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_LT_DASH] = ACTIONS(1060),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [996] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(1339),
    [anon_sym_PERCENT] = ACTIONS(1337),
    [anon_sym_CARET] = ACTIONS(1339),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(1337),
    [anon_sym_LT_EQ] = ACTIONS(1206),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(1206),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(1347),
    [anon_sym_GT_EQ] = ACTIONS(1206),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(1335),
    [anon_sym_LT_LT] = ACTIONS(1337),
    [anon_sym_BANG_EQ] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_GT_GT] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [997] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_PERCENT] = ACTIONS(1337),
    [anon_sym_CARET] = ACTIONS(1206),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_AMP_CARET] = ACTIONS(1337),
    [anon_sym_LT_EQ] = ACTIONS(1206),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(1206),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(1347),
    [anon_sym_GT_EQ] = ACTIONS(1206),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_LT_LT] = ACTIONS(1337),
    [anon_sym_BANG_EQ] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_GT_GT] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [998] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(1339),
    [anon_sym_PERCENT] = ACTIONS(1337),
    [anon_sym_CARET] = ACTIONS(1339),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(1343),
    [anon_sym_AMP_CARET] = ACTIONS(1337),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(1333),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(1347),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(1335),
    [anon_sym_LT_LT] = ACTIONS(1337),
    [anon_sym_BANG_EQ] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_AMP_AMP] = ACTIONS(1349),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_GT_GT] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
  },
  [999] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(1339),
    [anon_sym_PERCENT] = ACTIONS(1337),
    [anon_sym_CARET] = ACTIONS(1339),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(1343),
    [anon_sym_AMP_CARET] = ACTIONS(1337),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(1333),
    [anon_sym_COLON_EQ] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(1347),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(1335),
    [anon_sym_LT_LT] = ACTIONS(1337),
    [anon_sym_BANG_EQ] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_GT_GT] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
  },
  [1000] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_COMMA] = ACTIONS(1320),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_PIPE] = ACTIONS(1335),
    [anon_sym_LT_LT] = ACTIONS(1337),
    [anon_sym_BANG_EQ] = ACTIONS(1333),
    [anon_sym_DASH] = ACTIONS(1339),
    [anon_sym_PERCENT] = ACTIONS(1337),
    [anon_sym_CARET] = ACTIONS(1339),
    [anon_sym_PIPE_PIPE] = ACTIONS(1341),
    [anon_sym_GT] = ACTIONS(1343),
    [anon_sym_AMP_CARET] = ACTIONS(1337),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1339),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(1349),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_GT_GT] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(1347),
  },
  [1001] = {
    [aux_sym_expression_list_repeat1] = STATE(1001),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2484),
    [anon_sym_LBRACE] = ACTIONS(1320),
  },
  [1002] = {
    [sym_qualified_type] = STATE(48),
    [sym_map_type] = STATE(48),
    [sym_channel_type] = STATE(48),
    [sym_parameter_declaration] = STATE(1010),
    [sym_variadic_parameter_declaration] = STATE(1010),
    [sym_slice_type] = STATE(48),
    [sym_pointer_type] = STATE(48),
    [sym_array_type] = STATE(48),
    [sym_interface_type] = STATE(48),
    [sym_function_type] = STATE(48),
    [sym_parenthesized_type] = STATE(48),
    [sym__simple_type] = STATE(48),
    [sym_struct_type] = STATE(48),
    [anon_sym_COMMA] = ACTIONS(2487),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_RPAREN] = ACTIONS(2489),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [1003] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(1011),
    [anon_sym_DQUOTE] = ACTIONS(2491),
    [sym_escape_sequence] = ACTIONS(2493),
    [sym_comment] = ACTIONS(61),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(2493),
  },
  [1004] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2495),
  },
  [1005] = {
    [sym_method_spec_list] = STATE(607),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(2497),
  },
  [1006] = {
    [sym_qualified_type] = STATE(608),
    [sym_map_type] = STATE(608),
    [sym_channel_type] = STATE(608),
    [sym_slice_type] = STATE(608),
    [sym_pointer_type] = STATE(608),
    [sym_array_type] = STATE(608),
    [sym_interface_type] = STATE(608),
    [sym_function_type] = STATE(608),
    [sym_parenthesized_type] = STATE(608),
    [sym__simple_type] = STATE(608),
    [sym_struct_type] = STATE(608),
    [anon_sym_map] = ACTIONS(957),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_interface] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(1272),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_func] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_LT_DASH] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(975),
    [anon_sym_chan] = ACTIONS(977),
  },
  [1007] = {
    [sym_parameter_list] = STATE(609),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2499),
  },
  [1008] = {
    [sym_field_declaration_list] = STATE(610),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(2501),
  },
  [1009] = {
    [sym_qualified_type] = STATE(108),
    [sym_map_type] = STATE(108),
    [sym_channel_type] = STATE(108),
    [sym_slice_type] = STATE(108),
    [sym_pointer_type] = STATE(108),
    [sym_array_type] = STATE(108),
    [sym_interface_type] = STATE(108),
    [sym_function_type] = STATE(108),
    [sym_parenthesized_type] = STATE(108),
    [sym__simple_type] = STATE(108),
    [sym_struct_type] = STATE(108),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(834),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(836),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(863),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1010] = {
    [aux_sym_parameter_list_repeat1] = STATE(1026),
    [anon_sym_COMMA] = ACTIONS(2503),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2495),
  },
  [1011] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(120),
    [anon_sym_DQUOTE] = ACTIONS(2505),
    [sym_escape_sequence] = ACTIONS(322),
    [sym_comment] = ACTIONS(61),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(322),
  },
  [1012] = {
    [sym_identifier] = ACTIONS(2507),
    [sym_comment] = ACTIONS(3),
  },
  [1013] = {
    [sym_var_declaration] = STATE(151),
    [sym_type_conversion_expression] = STATE(153),
    [sym_unary_expression] = STATE(153),
    [sym_slice_type] = STATE(1017),
    [sym__string_literal] = STATE(153),
    [sym__statement] = STATE(151),
    [sym_dec_statement] = STATE(151),
    [sym_break_statement] = STATE(151),
    [sym_if_statement] = STATE(151),
    [sym_expression_switch_statement] = STATE(151),
    [sym_parenthesized_expression] = STATE(153),
    [sym_index_expression] = STATE(153),
    [sym_parenthesized_type] = STATE(1280),
    [sym_struct_type] = STATE(1017),
    [sym_map_type] = STATE(1017),
    [sym_empty_statement] = STATE(151),
    [sym_assignment_statement] = STATE(151),
    [sym_continue_statement] = STATE(151),
    [sym_const_declaration] = STATE(151),
    [sym_call_expression] = STATE(153),
    [sym_slice_expression] = STATE(153),
    [sym_array_type] = STATE(1017),
    [sym_interface_type] = STATE(1280),
    [sym_block] = STATE(151),
    [sym_empty_labeled_statement] = STATE(1028),
    [sym_go_statement] = STATE(151),
    [sym_type_switch_statement] = STATE(151),
    [sym_expression_list] = STATE(150),
    [sym_composite_literal] = STATE(153),
    [sym_implicit_length_array_type] = STATE(1018),
    [sym_binary_expression] = STATE(153),
    [sym_interpreted_string_literal] = STATE(153),
    [sym__statement_list] = STATE(1028),
    [sym_inc_statement] = STATE(151),
    [sym_fallthrough_statement] = STATE(151),
    [sym_defer_statement] = STATE(151),
    [sym__expression] = STATE(153),
    [sym_selector_expression] = STATE(153),
    [sym_type_declaration] = STATE(151),
    [sym__simple_type] = STATE(1280),
    [sym_qualified_type] = STATE(1017),
    [sym_channel_type] = STATE(1280),
    [sym__simple_statement] = STATE(151),
    [sym_short_var_declaration] = STATE(151),
    [sym_goto_statement] = STATE(151),
    [sym__declaration] = STATE(151),
    [sym_select_statement] = STATE(151),
    [sym_type_assertion_expression] = STATE(153),
    [sym_pointer_type] = STATE(1280),
    [sym_func_literal] = STATE(153),
    [sym_function_type] = STATE(1280),
    [sym_send_statement] = STATE(151),
    [sym_labeled_statement] = STATE(151),
    [sym_return_statement] = STATE(151),
    [sym_for_statement] = STATE(151),
    [sym_rune_literal] = ACTIONS(384),
    [anon_sym_defer] = ACTIONS(386),
    [anon_sym_DASH] = ACTIONS(388),
    [anon_sym_CARET] = ACTIONS(388),
    [anon_sym_select] = ACTIONS(390),
    [anon_sym_const] = ACTIONS(392),
    [sym_raw_string_literal] = ACTIONS(384),
    [sym_imaginary_literal] = ACTIONS(384),
    [anon_sym_LBRACK] = ACTIONS(239),
    [sym_nil] = ACTIONS(394),
    [anon_sym_if] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(388),
    [anon_sym_AMP] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_true] = ACTIONS(394),
    [anon_sym_fallthrough] = ACTIONS(400),
    [anon_sym_func] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(404),
    [anon_sym_LT_DASH] = ACTIONS(406),
    [anon_sym_struct] = ACTIONS(87),
    [sym_false] = ACTIONS(394),
    [anon_sym_RBRACE] = ACTIONS(2509),
    [anon_sym_break] = ACTIONS(410),
    [anon_sym_for] = ACTIONS(412),
    [anon_sym_var] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(418),
    [anon_sym_return] = ACTIONS(420),
    [anon_sym_make] = ACTIONS(398),
    [anon_sym_type] = ACTIONS(422),
    [sym_int_literal] = ACTIONS(394),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_goto] = ACTIONS(424),
    [anon_sym_go] = ACTIONS(426),
    [anon_sym_PLUS] = ACTIONS(388),
    [anon_sym_switch] = ACTIONS(428),
    [anon_sym_STAR] = ACTIONS(430),
    [sym_identifier] = ACTIONS(432),
    [anon_sym_SEMI] = ACTIONS(434),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(394),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1014] = {
    [sym_type_conversion_expression] = STATE(155),
    [sym_composite_literal] = STATE(155),
    [sym_unary_expression] = STATE(155),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(155),
    [sym__string_literal] = STATE(155),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(155),
    [sym__expression] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_selector_expression] = STATE(155),
    [sym_index_expression] = STATE(155),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(155),
    [sym_slice_expression] = STATE(155),
    [sym_type_assertion_expression] = STATE(155),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(155),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(444),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_CARET] = ACTIONS(1054),
    [sym_raw_string_literal] = ACTIONS(444),
    [sym_imaginary_literal] = ACTIONS(444),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(446),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(446),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(446),
    [anon_sym_PLUS] = ACTIONS(1054),
    [anon_sym_STAR] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(1058),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(1060),
    [sym_float_literal] = ACTIONS(446),
    [sym_false] = ACTIONS(446),
  },
  [1015] = {
    [sym_qualified_type] = STATE(618),
    [sym_map_type] = STATE(618),
    [sym_channel_type] = STATE(618),
    [sym_slice_type] = STATE(618),
    [sym_pointer_type] = STATE(618),
    [sym_array_type] = STATE(618),
    [sym_interface_type] = STATE(618),
    [sym_function_type] = STATE(618),
    [sym_parenthesized_type] = STATE(618),
    [sym__simple_type] = STATE(618),
    [sym_struct_type] = STATE(618),
    [anon_sym_map] = ACTIONS(957),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_interface] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(1272),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_func] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_LT_DASH] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(975),
    [anon_sym_chan] = ACTIONS(977),
  },
  [1016] = {
    [sym_type_conversion_expression] = STATE(155),
    [sym_composite_literal] = STATE(155),
    [sym_unary_expression] = STATE(155),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(155),
    [sym__string_literal] = STATE(155),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(155),
    [sym__expression] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_selector_expression] = STATE(155),
    [sym_index_expression] = STATE(155),
    [sym_parenthesized_type] = STATE(158),
    [sym__simple_type] = STATE(158),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(158),
    [sym_call_expression] = STATE(155),
    [sym_slice_expression] = STATE(155),
    [sym_type_assertion_expression] = STATE(155),
    [sym_pointer_type] = STATE(158),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(155),
    [sym_interface_type] = STATE(158),
    [sym_function_type] = STATE(158),
    [sym_rune_literal] = ACTIONS(444),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(444),
    [sym_imaginary_literal] = ACTIONS(444),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(446),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(446),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(446),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(446),
    [sym_false] = ACTIONS(446),
  },
  [1017] = {
    [sym_literal_value] = STATE(621),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(2511),
    [sym_comment] = ACTIONS(3),
  },
  [1018] = {
    [sym_literal_value] = STATE(621),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(2511),
  },
  [1019] = {
    [sym_method_spec] = STATE(1037),
    [sym_qualified_type] = STATE(1037),
    [sym_identifier] = ACTIONS(2513),
    [anon_sym_RBRACE] = ACTIONS(2515),
    [sym_comment] = ACTIONS(3),
  },
  [1020] = {
    [sym_identifier] = ACTIONS(2517),
    [sym_comment] = ACTIONS(3),
  },
  [1021] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2519),
  },
  [1022] = {
    [sym_qualified_type] = STATE(187),
    [sym_map_type] = STATE(187),
    [sym_channel_type] = STATE(187),
    [sym_slice_type] = STATE(187),
    [sym_pointer_type] = STATE(187),
    [sym_array_type] = STATE(187),
    [sym_interface_type] = STATE(187),
    [sym_function_type] = STATE(187),
    [sym_parenthesized_type] = STATE(187),
    [sym__simple_type] = STATE(187),
    [sym_struct_type] = STATE(187),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(834),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(836),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1023] = {
    [sym_field_declaration] = STATE(1038),
    [sym_qualified_type] = STATE(192),
    [sym_identifier] = ACTIONS(528),
    [anon_sym_RBRACE] = ACTIONS(2521),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(532),
  },
  [1024] = {
    [sym_qualified_type] = STATE(633),
    [sym_map_type] = STATE(633),
    [sym_channel_type] = STATE(633),
    [sym_slice_type] = STATE(633),
    [sym_pointer_type] = STATE(633),
    [sym_array_type] = STATE(633),
    [sym_interface_type] = STATE(633),
    [sym_function_type] = STATE(633),
    [sym_parenthesized_type] = STATE(633),
    [sym__simple_type] = STATE(633),
    [sym_struct_type] = STATE(633),
    [anon_sym_map] = ACTIONS(957),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_interface] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(1272),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_func] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_LT_DASH] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(975),
    [anon_sym_chan] = ACTIONS(2523),
  },
  [1025] = {
    [sym_qualified_type] = STATE(48),
    [sym_map_type] = STATE(48),
    [sym_channel_type] = STATE(48),
    [sym_parameter_declaration] = STATE(195),
    [sym_variadic_parameter_declaration] = STATE(195),
    [sym_slice_type] = STATE(48),
    [sym_pointer_type] = STATE(48),
    [sym_array_type] = STATE(48),
    [sym_interface_type] = STATE(48),
    [sym_function_type] = STATE(48),
    [sym_parenthesized_type] = STATE(48),
    [sym__simple_type] = STATE(48),
    [sym_struct_type] = STATE(48),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_RPAREN] = ACTIONS(2525),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [1026] = {
    [aux_sym_parameter_list_repeat1] = STATE(197),
    [anon_sym_COMMA] = ACTIONS(2527),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2525),
  },
  [1027] = {
    [anon_sym_DASH_EQ] = ACTIONS(2529),
    [anon_sym_COLON_EQ] = ACTIONS(2531),
    [anon_sym_PERCENT_EQ] = ACTIONS(2529),
    [anon_sym_PLUS_EQ] = ACTIONS(2529),
    [anon_sym_GT_GT_EQ] = ACTIONS(2529),
    [anon_sym_PIPE_EQ] = ACTIONS(2529),
    [anon_sym_EQ] = ACTIONS(2529),
    [anon_sym_LT_LT_EQ] = ACTIONS(2529),
    [anon_sym_STAR_EQ] = ACTIONS(2529),
    [anon_sym_AMP_EQ] = ACTIONS(2529),
    [anon_sym_CARET_EQ] = ACTIONS(2529),
    [sym_comment] = ACTIONS(3),
    [anon_sym_SLASH_EQ] = ACTIONS(2529),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(2529),
  },
  [1028] = {
    [anon_sym_RBRACE] = ACTIONS(2533),
    [sym_comment] = ACTIONS(3),
  },
  [1029] = {
    [sym_type_conversion_expression] = STATE(240),
    [sym_composite_literal] = STATE(240),
    [sym_unary_expression] = STATE(240),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(240),
    [sym__string_literal] = STATE(240),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(240),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(240),
    [sym_selector_expression] = STATE(240),
    [sym_index_expression] = STATE(240),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_literal_value] = STATE(241),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_keyed_element] = STATE(1040),
    [sym_struct_type] = STATE(89),
    [sym_call_expression] = STATE(240),
    [sym_slice_expression] = STATE(240),
    [sym_type_assertion_expression] = STATE(240),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(240),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_element] = STATE(1040),
    [sym_rune_literal] = ACTIONS(820),
    [anon_sym_RBRACE] = ACTIONS(2535),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(820),
    [sym_imaginary_literal] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(824),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
  },
  [1030] = {
    [sym_qualified_type] = STATE(1041),
    [sym_map_type] = STATE(1041),
    [sym_channel_type] = STATE(1041),
    [sym_slice_type] = STATE(1041),
    [sym_parameter_list] = STATE(1041),
    [sym_pointer_type] = STATE(1041),
    [sym_array_type] = STATE(1041),
    [sym_interface_type] = STATE(1041),
    [sym_function_type] = STATE(1041),
    [sym_block] = STATE(642),
    [sym__simple_type] = STATE(1041),
    [sym_struct_type] = STATE(1041),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_LBRACK] = ACTIONS(834),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(836),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(840),
    [anon_sym_LT_DASH] = ACTIONS(843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1031] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_RPAREN] = ACTIONS(2537),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
  },
  [1032] = {
    [sym_qualified_type] = STATE(644),
    [sym_map_type] = STATE(644),
    [sym_channel_type] = STATE(644),
    [sym_slice_type] = STATE(644),
    [sym_pointer_type] = STATE(644),
    [sym_array_type] = STATE(644),
    [sym_interface_type] = STATE(644),
    [sym_function_type] = STATE(644),
    [sym_parenthesized_type] = STATE(644),
    [sym__simple_type] = STATE(644),
    [sym_struct_type] = STATE(644),
    [anon_sym_map] = ACTIONS(957),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_interface] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(1272),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_func] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_LT_DASH] = ACTIONS(2539),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(975),
    [anon_sym_chan] = ACTIONS(977),
  },
  [1033] = {
    [sym_qualified_type] = STATE(648),
    [sym_map_type] = STATE(648),
    [sym_channel_type] = STATE(648),
    [sym_slice_type] = STATE(648),
    [sym_pointer_type] = STATE(648),
    [sym_array_type] = STATE(648),
    [sym_interface_type] = STATE(648),
    [sym_function_type] = STATE(648),
    [sym_parenthesized_type] = STATE(648),
    [sym__simple_type] = STATE(648),
    [sym_struct_type] = STATE(648),
    [anon_sym_map] = ACTIONS(957),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_interface] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(1272),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_func] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_LT_DASH] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(975),
    [anon_sym_chan] = ACTIONS(977),
  },
  [1034] = {
    [sym_identifier] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(2543),
    [sym_comment] = ACTIONS(3),
  },
  [1035] = {
    [sym_type_conversion_expression] = STATE(1046),
    [sym_composite_literal] = STATE(1046),
    [sym_unary_expression] = STATE(1046),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1046),
    [sym__string_literal] = STATE(1046),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1046),
    [sym__expression] = STATE(1046),
    [sym_parenthesized_expression] = STATE(1046),
    [sym_selector_expression] = STATE(1046),
    [sym_index_expression] = STATE(1046),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1046),
    [sym_variadic_argument] = STATE(1045),
    [sym_slice_expression] = STATE(1046),
    [sym_type_assertion_expression] = STATE(1046),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1046),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(2545),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(2545),
    [anon_sym_RPAREN] = ACTIONS(2547),
    [sym_imaginary_literal] = ACTIONS(2545),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2549),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(2549),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(2549),
    [sym_false] = ACTIONS(2549),
  },
  [1036] = {
    [sym_parameter_list] = STATE(264),
    [aux_sym_method_spec_list_repeat1] = STATE(1049),
    [anon_sym_DOT] = ACTIONS(917),
    [anon_sym_RBRACE] = ACTIONS(2551),
    [anon_sym_LF] = ACTIONS(2553),
    [anon_sym_SEMI] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(925),
    [sym_comment] = ACTIONS(61),
  },
  [1037] = {
    [aux_sym_method_spec_list_repeat1] = STATE(1051),
    [anon_sym_RBRACE] = ACTIONS(2557),
    [anon_sym_SEMI] = ACTIONS(2559),
    [anon_sym_LF] = ACTIONS(2561),
    [sym_comment] = ACTIONS(61),
  },
  [1038] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(1054),
    [anon_sym_RBRACE] = ACTIONS(2563),
    [anon_sym_SEMI] = ACTIONS(2565),
    [anon_sym_LF] = ACTIONS(2567),
    [sym_comment] = ACTIONS(61),
  },
  [1039] = {
    [sym_qualified_type] = STATE(48),
    [sym_map_type] = STATE(48),
    [sym_channel_type] = STATE(48),
    [sym_parameter_declaration] = STATE(195),
    [sym_variadic_parameter_declaration] = STATE(195),
    [sym_slice_type] = STATE(48),
    [sym_pointer_type] = STATE(48),
    [sym_array_type] = STATE(48),
    [sym_interface_type] = STATE(48),
    [sym_function_type] = STATE(48),
    [sym_parenthesized_type] = STATE(48),
    [sym__simple_type] = STATE(48),
    [sym_struct_type] = STATE(48),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(69),
    [anon_sym_RPAREN] = ACTIONS(2569),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [1040] = {
    [aux_sym_literal_value_repeat1] = STATE(1056),
    [anon_sym_RBRACE] = ACTIONS(2571),
    [anon_sym_COMMA] = ACTIONS(2573),
    [sym_comment] = ACTIONS(3),
  },
  [1041] = {
    [sym_block] = STATE(661),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(416),
    [sym_comment] = ACTIONS(3),
  },
  [1042] = {
    [aux_sym_expression_list_repeat1] = STATE(1058),
    [anon_sym_COMMA] = ACTIONS(2575),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2577),
  },
  [1043] = {
    [sym_type_conversion_expression] = STATE(1060),
    [sym_composite_literal] = STATE(1060),
    [sym_unary_expression] = STATE(1060),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1060),
    [sym__string_literal] = STATE(1060),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1060),
    [sym__expression] = STATE(1060),
    [sym_parenthesized_expression] = STATE(1060),
    [sym_selector_expression] = STATE(1060),
    [sym_index_expression] = STATE(1060),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1060),
    [sym_slice_expression] = STATE(1060),
    [sym_type_assertion_expression] = STATE(1060),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1060),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(2579),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(2579),
    [sym_imaginary_literal] = ACTIONS(2579),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2581),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(2581),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2581),
    [anon_sym_RBRACK] = ACTIONS(2583),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(2581),
    [sym_false] = ACTIONS(2581),
  },
  [1044] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(2585),
    [anon_sym_COLON] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [1045] = {
    [aux_sym_argument_list_repeat1] = STATE(1063),
    [anon_sym_COMMA] = ACTIONS(2589),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2591),
  },
  [1046] = {
    [aux_sym_argument_list_repeat1] = STATE(1063),
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1234),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(814),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_RPAREN] = ACTIONS(2591),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_COMMA] = ACTIONS(2589),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
  },
  [1047] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_RPAREN] = ACTIONS(2593),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(2595),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
  },
  [1048] = {
    [sym_method_spec] = STATE(343),
    [sym_qualified_type] = STATE(343),
    [sym_identifier] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(2597),
    [sym_comment] = ACTIONS(3),
  },
  [1049] = {
    [aux_sym_method_spec_list_repeat1] = STATE(346),
    [anon_sym_RBRACE] = ACTIONS(2599),
    [anon_sym_SEMI] = ACTIONS(2601),
    [anon_sym_LF] = ACTIONS(2603),
    [sym_comment] = ACTIONS(61),
  },
  [1050] = {
    [sym_method_spec] = STATE(343),
    [sym_qualified_type] = STATE(343),
    [sym_identifier] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(2605),
    [sym_comment] = ACTIONS(3),
  },
  [1051] = {
    [aux_sym_method_spec_list_repeat1] = STATE(346),
    [anon_sym_RBRACE] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2609),
    [anon_sym_LF] = ACTIONS(2611),
    [sym_comment] = ACTIONS(61),
  },
  [1052] = {
    [sym_qualified_type] = STATE(669),
    [sym_map_type] = STATE(669),
    [sym_channel_type] = STATE(669),
    [sym_slice_type] = STATE(669),
    [sym_pointer_type] = STATE(669),
    [sym_array_type] = STATE(669),
    [sym_interface_type] = STATE(669),
    [sym_function_type] = STATE(669),
    [sym_parenthesized_type] = STATE(669),
    [sym__simple_type] = STATE(669),
    [sym_struct_type] = STATE(669),
    [anon_sym_map] = ACTIONS(957),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_interface] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(1272),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_func] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_LT_DASH] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(975),
    [anon_sym_chan] = ACTIONS(977),
  },
  [1053] = {
    [sym_field_declaration] = STATE(357),
    [sym_qualified_type] = STATE(192),
    [sym_identifier] = ACTIONS(528),
    [anon_sym_RBRACE] = ACTIONS(2613),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(532),
  },
  [1054] = {
    [aux_sym_field_declaration_list_repeat1] = STATE(359),
    [anon_sym_RBRACE] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym_LF] = ACTIONS(2619),
    [sym_comment] = ACTIONS(61),
  },
  [1055] = {
    [sym_type_conversion_expression] = STATE(240),
    [sym_composite_literal] = STATE(240),
    [sym_unary_expression] = STATE(240),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(240),
    [sym__string_literal] = STATE(240),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(240),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(240),
    [sym_selector_expression] = STATE(240),
    [sym_index_expression] = STATE(240),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_literal_value] = STATE(241),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_keyed_element] = STATE(397),
    [sym_struct_type] = STATE(89),
    [sym_call_expression] = STATE(240),
    [sym_slice_expression] = STATE(240),
    [sym_type_assertion_expression] = STATE(240),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(240),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_element] = STATE(397),
    [sym_rune_literal] = ACTIONS(820),
    [anon_sym_RBRACE] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(820),
    [sym_imaginary_literal] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(824),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
  },
  [1056] = {
    [aux_sym_literal_value_repeat1] = STATE(399),
    [anon_sym_RBRACE] = ACTIONS(2621),
    [anon_sym_COMMA] = ACTIONS(2623),
    [sym_comment] = ACTIONS(3),
  },
  [1057] = {
    [sym_type_conversion_expression] = STATE(718),
    [sym_composite_literal] = STATE(718),
    [sym_unary_expression] = STATE(718),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(718),
    [sym__string_literal] = STATE(718),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(718),
    [sym__expression] = STATE(718),
    [sym_parenthesized_expression] = STATE(718),
    [sym_selector_expression] = STATE(718),
    [sym_index_expression] = STATE(718),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(718),
    [sym_slice_expression] = STATE(718),
    [sym_type_assertion_expression] = STATE(718),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(718),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(1497),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(1497),
    [anon_sym_RPAREN] = ACTIONS(2625),
    [sym_imaginary_literal] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1501),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(1501),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(1501),
    [sym_false] = ACTIONS(1501),
  },
  [1058] = {
    [aux_sym_expression_list_repeat1] = STATE(719),
    [anon_sym_COMMA] = ACTIONS(2627),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2625),
  },
  [1059] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2629),
  },
  [1060] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(2631),
    [anon_sym_COLON] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [1061] = {
    [sym_type_conversion_expression] = STATE(1070),
    [sym_composite_literal] = STATE(1070),
    [sym_unary_expression] = STATE(1070),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1070),
    [sym__string_literal] = STATE(1070),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1070),
    [sym__expression] = STATE(1070),
    [sym_parenthesized_expression] = STATE(1070),
    [sym_selector_expression] = STATE(1070),
    [sym_index_expression] = STATE(1070),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1070),
    [sym_slice_expression] = STATE(1070),
    [sym_type_assertion_expression] = STATE(1070),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1070),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(2635),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(2635),
    [sym_imaginary_literal] = ACTIONS(2635),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2637),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(2637),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2637),
    [anon_sym_RBRACK] = ACTIONS(2631),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(2637),
    [sym_false] = ACTIONS(2637),
  },
  [1062] = {
    [sym_type_conversion_expression] = STATE(408),
    [sym_composite_literal] = STATE(408),
    [sym_unary_expression] = STATE(408),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(408),
    [sym__string_literal] = STATE(408),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(408),
    [sym__expression] = STATE(408),
    [sym_parenthesized_expression] = STATE(408),
    [sym_selector_expression] = STATE(408),
    [sym_index_expression] = STATE(408),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(408),
    [sym_variadic_argument] = STATE(407),
    [sym_slice_expression] = STATE(408),
    [sym_type_assertion_expression] = STATE(408),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(408),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(1527),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(1527),
    [anon_sym_RPAREN] = ACTIONS(2639),
    [sym_imaginary_literal] = ACTIONS(1527),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1531),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(1531),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(1531),
    [sym_false] = ACTIONS(1531),
  },
  [1063] = {
    [aux_sym_argument_list_repeat1] = STATE(410),
    [anon_sym_COMMA] = ACTIONS(2641),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2639),
  },
  [1064] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2643),
  },
  [1065] = {
    [sym_method_spec] = STATE(343),
    [sym_qualified_type] = STATE(343),
    [sym_identifier] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(2645),
    [sym_comment] = ACTIONS(3),
  },
  [1066] = {
    [sym_method_spec] = STATE(343),
    [sym_qualified_type] = STATE(343),
    [sym_identifier] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(2647),
    [sym_comment] = ACTIONS(3),
  },
  [1067] = {
    [sym_field_declaration] = STATE(357),
    [sym_qualified_type] = STATE(192),
    [sym_identifier] = ACTIONS(528),
    [anon_sym_RBRACE] = ACTIONS(2649),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(532),
  },
  [1068] = {
    [sym_type_conversion_expression] = STATE(240),
    [sym_composite_literal] = STATE(240),
    [sym_unary_expression] = STATE(240),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(240),
    [sym__string_literal] = STATE(240),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(240),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(240),
    [sym_selector_expression] = STATE(240),
    [sym_index_expression] = STATE(240),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_literal_value] = STATE(241),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_keyed_element] = STATE(397),
    [sym_struct_type] = STATE(89),
    [sym_call_expression] = STATE(240),
    [sym_slice_expression] = STATE(240),
    [sym_type_assertion_expression] = STATE(240),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(240),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_element] = STATE(397),
    [sym_rune_literal] = ACTIONS(820),
    [anon_sym_RBRACE] = ACTIONS(2651),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(820),
    [sym_imaginary_literal] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(824),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
  },
  [1069] = {
    [sym_type_conversion_expression] = STATE(718),
    [sym_composite_literal] = STATE(718),
    [sym_unary_expression] = STATE(718),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(718),
    [sym__string_literal] = STATE(718),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(718),
    [sym__expression] = STATE(718),
    [sym_parenthesized_expression] = STATE(718),
    [sym_selector_expression] = STATE(718),
    [sym_index_expression] = STATE(718),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(718),
    [sym_slice_expression] = STATE(718),
    [sym_type_assertion_expression] = STATE(718),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(718),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(1497),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(1497),
    [anon_sym_RPAREN] = ACTIONS(2653),
    [sym_imaginary_literal] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1501),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(1501),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(1501),
    [sym_false] = ACTIONS(1501),
  },
  [1070] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(2655),
    [anon_sym_COLON] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [1071] = {
    [sym_type_conversion_expression] = STATE(408),
    [sym_composite_literal] = STATE(408),
    [sym_unary_expression] = STATE(408),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(408),
    [sym__string_literal] = STATE(408),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(408),
    [sym__expression] = STATE(408),
    [sym_parenthesized_expression] = STATE(408),
    [sym_selector_expression] = STATE(408),
    [sym_index_expression] = STATE(408),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(408),
    [sym_variadic_argument] = STATE(407),
    [sym_slice_expression] = STATE(408),
    [sym_type_assertion_expression] = STATE(408),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(408),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(1527),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(1527),
    [anon_sym_RPAREN] = ACTIONS(2659),
    [sym_imaginary_literal] = ACTIONS(1527),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1531),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(1531),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(1531),
    [sym_false] = ACTIONS(1531),
  },
  [1072] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [1073] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(2663),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [1074] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(1077),
    [anon_sym_DQUOTE] = ACTIONS(2665),
    [sym_escape_sequence] = ACTIONS(2667),
    [sym_comment] = ACTIONS(61),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(2667),
  },
  [1075] = {
    [sym_parameter_list] = STATE(692),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(21),
  },
  [1076] = {
    [sym_qualified_type] = STATE(611),
    [sym_map_type] = STATE(611),
    [sym_channel_type] = STATE(611),
    [sym_slice_type] = STATE(611),
    [sym_pointer_type] = STATE(611),
    [sym_array_type] = STATE(611),
    [sym_interface_type] = STATE(611),
    [sym_function_type] = STATE(611),
    [sym_parenthesized_type] = STATE(611),
    [sym__simple_type] = STATE(611),
    [sym_struct_type] = STATE(611),
    [anon_sym_map] = ACTIONS(957),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_interface] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(1272),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_func] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_LT_DASH] = ACTIONS(2539),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(975),
    [anon_sym_chan] = ACTIONS(977),
  },
  [1077] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(120),
    [anon_sym_DQUOTE] = ACTIONS(2669),
    [sym_escape_sequence] = ACTIONS(322),
    [sym_comment] = ACTIONS(61),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(322),
  },
  [1078] = {
    [sym_var_declaration] = STATE(151),
    [sym_type_conversion_expression] = STATE(153),
    [sym_unary_expression] = STATE(153),
    [sym_slice_type] = STATE(1017),
    [sym__string_literal] = STATE(153),
    [sym__statement] = STATE(151),
    [sym_dec_statement] = STATE(151),
    [sym_break_statement] = STATE(151),
    [sym_if_statement] = STATE(151),
    [sym_expression_switch_statement] = STATE(151),
    [sym_parenthesized_expression] = STATE(153),
    [sym_index_expression] = STATE(153),
    [sym_parenthesized_type] = STATE(1280),
    [sym_struct_type] = STATE(1017),
    [sym_map_type] = STATE(1017),
    [sym_empty_statement] = STATE(151),
    [sym_assignment_statement] = STATE(151),
    [sym_continue_statement] = STATE(151),
    [sym_const_declaration] = STATE(151),
    [sym_call_expression] = STATE(153),
    [sym_slice_expression] = STATE(153),
    [sym_array_type] = STATE(1017),
    [sym_interface_type] = STATE(1280),
    [sym_block] = STATE(151),
    [sym_empty_labeled_statement] = STATE(1082),
    [sym_go_statement] = STATE(151),
    [sym_type_switch_statement] = STATE(151),
    [sym_expression_list] = STATE(150),
    [sym_composite_literal] = STATE(153),
    [sym_implicit_length_array_type] = STATE(1018),
    [sym_binary_expression] = STATE(153),
    [sym_interpreted_string_literal] = STATE(153),
    [sym__statement_list] = STATE(1082),
    [sym_inc_statement] = STATE(151),
    [sym_fallthrough_statement] = STATE(151),
    [sym_defer_statement] = STATE(151),
    [sym__expression] = STATE(153),
    [sym_selector_expression] = STATE(153),
    [sym_type_declaration] = STATE(151),
    [sym__simple_type] = STATE(1280),
    [sym_qualified_type] = STATE(1017),
    [sym_channel_type] = STATE(1280),
    [sym__simple_statement] = STATE(151),
    [sym_short_var_declaration] = STATE(151),
    [sym_goto_statement] = STATE(151),
    [sym__declaration] = STATE(151),
    [sym_select_statement] = STATE(151),
    [sym_type_assertion_expression] = STATE(153),
    [sym_pointer_type] = STATE(1280),
    [sym_func_literal] = STATE(153),
    [sym_function_type] = STATE(1280),
    [sym_send_statement] = STATE(151),
    [sym_labeled_statement] = STATE(151),
    [sym_return_statement] = STATE(151),
    [sym_for_statement] = STATE(151),
    [sym_rune_literal] = ACTIONS(384),
    [anon_sym_defer] = ACTIONS(386),
    [anon_sym_DASH] = ACTIONS(388),
    [anon_sym_CARET] = ACTIONS(388),
    [anon_sym_select] = ACTIONS(390),
    [anon_sym_const] = ACTIONS(392),
    [sym_raw_string_literal] = ACTIONS(384),
    [sym_imaginary_literal] = ACTIONS(384),
    [anon_sym_LBRACK] = ACTIONS(239),
    [sym_nil] = ACTIONS(394),
    [anon_sym_if] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(388),
    [anon_sym_AMP] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_true] = ACTIONS(394),
    [anon_sym_fallthrough] = ACTIONS(400),
    [anon_sym_func] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(404),
    [anon_sym_LT_DASH] = ACTIONS(406),
    [anon_sym_struct] = ACTIONS(87),
    [sym_false] = ACTIONS(394),
    [anon_sym_RBRACE] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(410),
    [anon_sym_for] = ACTIONS(412),
    [anon_sym_var] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(418),
    [anon_sym_return] = ACTIONS(420),
    [anon_sym_make] = ACTIONS(398),
    [anon_sym_type] = ACTIONS(422),
    [sym_int_literal] = ACTIONS(394),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_goto] = ACTIONS(424),
    [anon_sym_go] = ACTIONS(426),
    [anon_sym_PLUS] = ACTIONS(388),
    [anon_sym_switch] = ACTIONS(428),
    [anon_sym_STAR] = ACTIONS(430),
    [sym_identifier] = ACTIONS(432),
    [anon_sym_SEMI] = ACTIONS(434),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(394),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1079] = {
    [sym_type_conversion_expression] = STATE(155),
    [sym_composite_literal] = STATE(155),
    [sym_unary_expression] = STATE(155),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(155),
    [sym__string_literal] = STATE(155),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(155),
    [sym__expression] = STATE(155),
    [sym_parenthesized_expression] = STATE(155),
    [sym_selector_expression] = STATE(155),
    [sym_index_expression] = STATE(155),
    [sym_parenthesized_type] = STATE(158),
    [sym__simple_type] = STATE(158),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(158),
    [sym_call_expression] = STATE(155),
    [sym_slice_expression] = STATE(155),
    [sym_type_assertion_expression] = STATE(155),
    [sym_pointer_type] = STATE(158),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(155),
    [sym_interface_type] = STATE(158),
    [sym_function_type] = STATE(158),
    [sym_rune_literal] = ACTIONS(444),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_CARET] = ACTIONS(1054),
    [sym_raw_string_literal] = ACTIONS(444),
    [sym_imaginary_literal] = ACTIONS(444),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(446),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(446),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(446),
    [anon_sym_PLUS] = ACTIONS(1054),
    [anon_sym_STAR] = ACTIONS(1056),
    [sym_identifier] = ACTIONS(1058),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(1060),
    [sym_float_literal] = ACTIONS(446),
    [sym_false] = ACTIONS(446),
  },
  [1080] = {
    [sym_literal_value] = STATE(699),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(2673),
    [sym_comment] = ACTIONS(3),
  },
  [1081] = {
    [sym_literal_value] = STATE(699),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(2673),
  },
  [1082] = {
    [anon_sym_RBRACE] = ACTIONS(2675),
    [sym_comment] = ACTIONS(3),
  },
  [1083] = {
    [sym_type_conversion_expression] = STATE(240),
    [sym_composite_literal] = STATE(240),
    [sym_unary_expression] = STATE(240),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(240),
    [sym__string_literal] = STATE(240),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(240),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(240),
    [sym_selector_expression] = STATE(240),
    [sym_index_expression] = STATE(240),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_literal_value] = STATE(241),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_keyed_element] = STATE(1088),
    [sym_struct_type] = STATE(89),
    [sym_call_expression] = STATE(240),
    [sym_slice_expression] = STATE(240),
    [sym_type_assertion_expression] = STATE(240),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(240),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_element] = STATE(1088),
    [sym_rune_literal] = ACTIONS(820),
    [anon_sym_RBRACE] = ACTIONS(2677),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(820),
    [sym_imaginary_literal] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(824),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
  },
  [1084] = {
    [sym_qualified_type] = STATE(1089),
    [sym_map_type] = STATE(1089),
    [sym_channel_type] = STATE(1089),
    [sym_slice_type] = STATE(1089),
    [sym_parameter_list] = STATE(1089),
    [sym_pointer_type] = STATE(1089),
    [sym_array_type] = STATE(1089),
    [sym_interface_type] = STATE(1089),
    [sym_function_type] = STATE(1089),
    [sym_block] = STATE(709),
    [sym__simple_type] = STATE(1089),
    [sym_struct_type] = STATE(1089),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(834),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(836),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(840),
    [anon_sym_LT_DASH] = ACTIONS(843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1085] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_RPAREN] = ACTIONS(2681),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
  },
  [1086] = {
    [sym_identifier] = ACTIONS(2683),
    [anon_sym_LPAREN] = ACTIONS(2685),
    [sym_comment] = ACTIONS(3),
  },
  [1087] = {
    [sym_type_conversion_expression] = STATE(1094),
    [sym_composite_literal] = STATE(1094),
    [sym_unary_expression] = STATE(1094),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1094),
    [sym__string_literal] = STATE(1094),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1094),
    [sym__expression] = STATE(1094),
    [sym_parenthesized_expression] = STATE(1094),
    [sym_selector_expression] = STATE(1094),
    [sym_index_expression] = STATE(1094),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1094),
    [sym_variadic_argument] = STATE(1093),
    [sym_slice_expression] = STATE(1094),
    [sym_type_assertion_expression] = STATE(1094),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1094),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(2687),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(2687),
    [anon_sym_RPAREN] = ACTIONS(2689),
    [sym_imaginary_literal] = ACTIONS(2687),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2691),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(2691),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(2691),
    [sym_false] = ACTIONS(2691),
  },
  [1088] = {
    [aux_sym_literal_value_repeat1] = STATE(1097),
    [anon_sym_RBRACE] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(2695),
    [sym_comment] = ACTIONS(3),
  },
  [1089] = {
    [sym_block] = STATE(721),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [sym_comment] = ACTIONS(3),
  },
  [1090] = {
    [aux_sym_expression_list_repeat1] = STATE(1099),
    [anon_sym_COMMA] = ACTIONS(2697),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2699),
  },
  [1091] = {
    [sym_type_conversion_expression] = STATE(1101),
    [sym_composite_literal] = STATE(1101),
    [sym_unary_expression] = STATE(1101),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1101),
    [sym__string_literal] = STATE(1101),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1101),
    [sym__expression] = STATE(1101),
    [sym_parenthesized_expression] = STATE(1101),
    [sym_selector_expression] = STATE(1101),
    [sym_index_expression] = STATE(1101),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1101),
    [sym_slice_expression] = STATE(1101),
    [sym_type_assertion_expression] = STATE(1101),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1101),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(2701),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(2701),
    [sym_imaginary_literal] = ACTIONS(2701),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2703),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(2703),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2703),
    [anon_sym_RBRACK] = ACTIONS(2705),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(2703),
    [sym_false] = ACTIONS(2703),
  },
  [1092] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(2707),
    [anon_sym_COLON] = ACTIONS(2709),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [1093] = {
    [aux_sym_argument_list_repeat1] = STATE(1104),
    [anon_sym_COMMA] = ACTIONS(2711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2713),
  },
  [1094] = {
    [aux_sym_argument_list_repeat1] = STATE(1104),
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1234),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(814),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_RPAREN] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_COMMA] = ACTIONS(2711),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
  },
  [1095] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_RPAREN] = ACTIONS(2715),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(2717),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
  },
  [1096] = {
    [sym_type_conversion_expression] = STATE(240),
    [sym_composite_literal] = STATE(240),
    [sym_unary_expression] = STATE(240),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(240),
    [sym__string_literal] = STATE(240),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(240),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(240),
    [sym_selector_expression] = STATE(240),
    [sym_index_expression] = STATE(240),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_literal_value] = STATE(241),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_keyed_element] = STATE(397),
    [sym_struct_type] = STATE(89),
    [sym_call_expression] = STATE(240),
    [sym_slice_expression] = STATE(240),
    [sym_type_assertion_expression] = STATE(240),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(240),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_element] = STATE(397),
    [sym_rune_literal] = ACTIONS(820),
    [anon_sym_RBRACE] = ACTIONS(2719),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(820),
    [sym_imaginary_literal] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(824),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
  },
  [1097] = {
    [aux_sym_literal_value_repeat1] = STATE(399),
    [anon_sym_RBRACE] = ACTIONS(2719),
    [anon_sym_COMMA] = ACTIONS(2721),
    [sym_comment] = ACTIONS(3),
  },
  [1098] = {
    [sym_type_conversion_expression] = STATE(718),
    [sym_composite_literal] = STATE(718),
    [sym_unary_expression] = STATE(718),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(718),
    [sym__string_literal] = STATE(718),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(718),
    [sym__expression] = STATE(718),
    [sym_parenthesized_expression] = STATE(718),
    [sym_selector_expression] = STATE(718),
    [sym_index_expression] = STATE(718),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(718),
    [sym_slice_expression] = STATE(718),
    [sym_type_assertion_expression] = STATE(718),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(718),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(1497),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(1497),
    [anon_sym_RPAREN] = ACTIONS(2723),
    [sym_imaginary_literal] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1501),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(1501),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(1501),
    [sym_false] = ACTIONS(1501),
  },
  [1099] = {
    [aux_sym_expression_list_repeat1] = STATE(719),
    [anon_sym_COMMA] = ACTIONS(2725),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2723),
  },
  [1100] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2727),
  },
  [1101] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(2729),
    [anon_sym_COLON] = ACTIONS(2731),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [1102] = {
    [sym_type_conversion_expression] = STATE(1108),
    [sym_composite_literal] = STATE(1108),
    [sym_unary_expression] = STATE(1108),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1108),
    [sym__string_literal] = STATE(1108),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1108),
    [sym__expression] = STATE(1108),
    [sym_parenthesized_expression] = STATE(1108),
    [sym_selector_expression] = STATE(1108),
    [sym_index_expression] = STATE(1108),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1108),
    [sym_slice_expression] = STATE(1108),
    [sym_type_assertion_expression] = STATE(1108),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1108),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(2733),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(2733),
    [sym_imaginary_literal] = ACTIONS(2733),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2735),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(2735),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2735),
    [anon_sym_RBRACK] = ACTIONS(2729),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(2735),
    [sym_false] = ACTIONS(2735),
  },
  [1103] = {
    [sym_type_conversion_expression] = STATE(408),
    [sym_composite_literal] = STATE(408),
    [sym_unary_expression] = STATE(408),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(408),
    [sym__string_literal] = STATE(408),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(408),
    [sym__expression] = STATE(408),
    [sym_parenthesized_expression] = STATE(408),
    [sym_selector_expression] = STATE(408),
    [sym_index_expression] = STATE(408),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(408),
    [sym_variadic_argument] = STATE(407),
    [sym_slice_expression] = STATE(408),
    [sym_type_assertion_expression] = STATE(408),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(408),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(1527),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(1527),
    [anon_sym_RPAREN] = ACTIONS(2737),
    [sym_imaginary_literal] = ACTIONS(1527),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1531),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(1531),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(1531),
    [sym_false] = ACTIONS(1531),
  },
  [1104] = {
    [aux_sym_argument_list_repeat1] = STATE(410),
    [anon_sym_COMMA] = ACTIONS(2739),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2737),
  },
  [1105] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2741),
  },
  [1106] = {
    [sym_type_conversion_expression] = STATE(240),
    [sym_composite_literal] = STATE(240),
    [sym_unary_expression] = STATE(240),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(240),
    [sym__string_literal] = STATE(240),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(240),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(240),
    [sym_selector_expression] = STATE(240),
    [sym_index_expression] = STATE(240),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_literal_value] = STATE(241),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_keyed_element] = STATE(397),
    [sym_struct_type] = STATE(89),
    [sym_call_expression] = STATE(240),
    [sym_slice_expression] = STATE(240),
    [sym_type_assertion_expression] = STATE(240),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(240),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_element] = STATE(397),
    [sym_rune_literal] = ACTIONS(820),
    [anon_sym_RBRACE] = ACTIONS(2743),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(820),
    [sym_imaginary_literal] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(824),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
  },
  [1107] = {
    [sym_type_conversion_expression] = STATE(718),
    [sym_composite_literal] = STATE(718),
    [sym_unary_expression] = STATE(718),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(718),
    [sym__string_literal] = STATE(718),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(718),
    [sym__expression] = STATE(718),
    [sym_parenthesized_expression] = STATE(718),
    [sym_selector_expression] = STATE(718),
    [sym_index_expression] = STATE(718),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(718),
    [sym_slice_expression] = STATE(718),
    [sym_type_assertion_expression] = STATE(718),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(718),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(1497),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(1497),
    [anon_sym_RPAREN] = ACTIONS(2745),
    [sym_imaginary_literal] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1501),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(1501),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(1501),
    [sym_false] = ACTIONS(1501),
  },
  [1108] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(2747),
    [anon_sym_COLON] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [1109] = {
    [sym_type_conversion_expression] = STATE(408),
    [sym_composite_literal] = STATE(408),
    [sym_unary_expression] = STATE(408),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(408),
    [sym__string_literal] = STATE(408),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(408),
    [sym__expression] = STATE(408),
    [sym_parenthesized_expression] = STATE(408),
    [sym_selector_expression] = STATE(408),
    [sym_index_expression] = STATE(408),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(408),
    [sym_variadic_argument] = STATE(407),
    [sym_slice_expression] = STATE(408),
    [sym_type_assertion_expression] = STATE(408),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(408),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(1527),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(1527),
    [anon_sym_RPAREN] = ACTIONS(2751),
    [sym_imaginary_literal] = ACTIONS(1527),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1531),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(1531),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(1531),
    [sym_false] = ACTIONS(1531),
  },
  [1110] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(2753),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [1111] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [1112] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(1113),
    [anon_sym_DQUOTE] = ACTIONS(2757),
    [sym_escape_sequence] = ACTIONS(2759),
    [sym_comment] = ACTIONS(61),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(2759),
  },
  [1113] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(120),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_escape_sequence] = ACTIONS(322),
    [sym_comment] = ACTIONS(61),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(322),
  },
  [1114] = {
    [sym_var_declaration] = STATE(151),
    [sym_type_conversion_expression] = STATE(153),
    [sym_unary_expression] = STATE(153),
    [sym_slice_type] = STATE(1017),
    [sym__string_literal] = STATE(153),
    [sym__statement] = STATE(151),
    [sym_dec_statement] = STATE(151),
    [sym_break_statement] = STATE(151),
    [sym_if_statement] = STATE(151),
    [sym_expression_switch_statement] = STATE(151),
    [sym_parenthesized_expression] = STATE(153),
    [sym_index_expression] = STATE(153),
    [sym_parenthesized_type] = STATE(1280),
    [sym_struct_type] = STATE(1017),
    [sym_map_type] = STATE(1017),
    [sym_empty_statement] = STATE(151),
    [sym_assignment_statement] = STATE(151),
    [sym_continue_statement] = STATE(151),
    [sym_const_declaration] = STATE(151),
    [sym_call_expression] = STATE(153),
    [sym_slice_expression] = STATE(153),
    [sym_array_type] = STATE(1017),
    [sym_interface_type] = STATE(1280),
    [sym_block] = STATE(151),
    [sym_empty_labeled_statement] = STATE(1117),
    [sym_go_statement] = STATE(151),
    [sym_type_switch_statement] = STATE(151),
    [sym_expression_list] = STATE(150),
    [sym_composite_literal] = STATE(153),
    [sym_implicit_length_array_type] = STATE(1018),
    [sym_binary_expression] = STATE(153),
    [sym_interpreted_string_literal] = STATE(153),
    [sym__statement_list] = STATE(1117),
    [sym_inc_statement] = STATE(151),
    [sym_fallthrough_statement] = STATE(151),
    [sym_defer_statement] = STATE(151),
    [sym__expression] = STATE(153),
    [sym_selector_expression] = STATE(153),
    [sym_type_declaration] = STATE(151),
    [sym__simple_type] = STATE(1280),
    [sym_qualified_type] = STATE(1017),
    [sym_channel_type] = STATE(1280),
    [sym__simple_statement] = STATE(151),
    [sym_short_var_declaration] = STATE(151),
    [sym_goto_statement] = STATE(151),
    [sym__declaration] = STATE(151),
    [sym_select_statement] = STATE(151),
    [sym_type_assertion_expression] = STATE(153),
    [sym_pointer_type] = STATE(1280),
    [sym_func_literal] = STATE(153),
    [sym_function_type] = STATE(1280),
    [sym_send_statement] = STATE(151),
    [sym_labeled_statement] = STATE(151),
    [sym_return_statement] = STATE(151),
    [sym_for_statement] = STATE(151),
    [sym_rune_literal] = ACTIONS(384),
    [anon_sym_defer] = ACTIONS(386),
    [anon_sym_DASH] = ACTIONS(388),
    [anon_sym_CARET] = ACTIONS(388),
    [anon_sym_select] = ACTIONS(390),
    [anon_sym_const] = ACTIONS(392),
    [sym_raw_string_literal] = ACTIONS(384),
    [sym_imaginary_literal] = ACTIONS(384),
    [anon_sym_LBRACK] = ACTIONS(239),
    [sym_nil] = ACTIONS(394),
    [anon_sym_if] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(388),
    [anon_sym_AMP] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_true] = ACTIONS(394),
    [anon_sym_fallthrough] = ACTIONS(400),
    [anon_sym_func] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(404),
    [anon_sym_LT_DASH] = ACTIONS(406),
    [anon_sym_struct] = ACTIONS(87),
    [sym_false] = ACTIONS(394),
    [anon_sym_RBRACE] = ACTIONS(2763),
    [anon_sym_break] = ACTIONS(410),
    [anon_sym_for] = ACTIONS(412),
    [anon_sym_var] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(418),
    [anon_sym_return] = ACTIONS(420),
    [anon_sym_make] = ACTIONS(398),
    [anon_sym_type] = ACTIONS(422),
    [sym_int_literal] = ACTIONS(394),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_goto] = ACTIONS(424),
    [anon_sym_go] = ACTIONS(426),
    [anon_sym_PLUS] = ACTIONS(388),
    [anon_sym_switch] = ACTIONS(428),
    [anon_sym_STAR] = ACTIONS(430),
    [sym_identifier] = ACTIONS(432),
    [anon_sym_SEMI] = ACTIONS(434),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(394),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1115] = {
    [sym_literal_value] = STATE(750),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(2765),
    [sym_comment] = ACTIONS(3),
  },
  [1116] = {
    [sym_literal_value] = STATE(750),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(2765),
  },
  [1117] = {
    [anon_sym_RBRACE] = ACTIONS(2767),
    [sym_comment] = ACTIONS(3),
  },
  [1118] = {
    [sym_type_conversion_expression] = STATE(240),
    [sym_composite_literal] = STATE(240),
    [sym_unary_expression] = STATE(240),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(240),
    [sym__string_literal] = STATE(240),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(240),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(240),
    [sym_selector_expression] = STATE(240),
    [sym_index_expression] = STATE(240),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_literal_value] = STATE(241),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_keyed_element] = STATE(1123),
    [sym_struct_type] = STATE(89),
    [sym_call_expression] = STATE(240),
    [sym_slice_expression] = STATE(240),
    [sym_type_assertion_expression] = STATE(240),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(240),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_element] = STATE(1123),
    [sym_rune_literal] = ACTIONS(820),
    [anon_sym_RBRACE] = ACTIONS(2769),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(820),
    [sym_imaginary_literal] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(824),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
  },
  [1119] = {
    [sym_qualified_type] = STATE(1124),
    [sym_map_type] = STATE(1124),
    [sym_channel_type] = STATE(1124),
    [sym_slice_type] = STATE(1124),
    [sym_parameter_list] = STATE(1124),
    [sym_pointer_type] = STATE(1124),
    [sym_array_type] = STATE(1124),
    [sym_interface_type] = STATE(1124),
    [sym_function_type] = STATE(1124),
    [sym_block] = STATE(759),
    [sym__simple_type] = STATE(1124),
    [sym_struct_type] = STATE(1124),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(2771),
    [anon_sym_LBRACK] = ACTIONS(834),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(836),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(840),
    [anon_sym_LT_DASH] = ACTIONS(843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1120] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_RPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
  },
  [1121] = {
    [sym_identifier] = ACTIONS(1433),
    [anon_sym_LPAREN] = ACTIONS(2775),
    [sym_comment] = ACTIONS(3),
  },
  [1122] = {
    [sym_type_conversion_expression] = STATE(1129),
    [sym_composite_literal] = STATE(1129),
    [sym_unary_expression] = STATE(1129),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1129),
    [sym__string_literal] = STATE(1129),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1129),
    [sym__expression] = STATE(1129),
    [sym_parenthesized_expression] = STATE(1129),
    [sym_selector_expression] = STATE(1129),
    [sym_index_expression] = STATE(1129),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1129),
    [sym_variadic_argument] = STATE(1128),
    [sym_slice_expression] = STATE(1129),
    [sym_type_assertion_expression] = STATE(1129),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1129),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(2777),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(2777),
    [anon_sym_RPAREN] = ACTIONS(2779),
    [sym_imaginary_literal] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2781),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(2781),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(2781),
    [sym_false] = ACTIONS(2781),
  },
  [1123] = {
    [aux_sym_literal_value_repeat1] = STATE(1132),
    [anon_sym_RBRACE] = ACTIONS(2783),
    [anon_sym_COMMA] = ACTIONS(2785),
    [sym_comment] = ACTIONS(3),
  },
  [1124] = {
    [sym_block] = STATE(771),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(2771),
    [sym_comment] = ACTIONS(3),
  },
  [1125] = {
    [aux_sym_expression_list_repeat1] = STATE(1134),
    [anon_sym_COMMA] = ACTIONS(2787),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2789),
  },
  [1126] = {
    [sym_type_conversion_expression] = STATE(1136),
    [sym_composite_literal] = STATE(1136),
    [sym_unary_expression] = STATE(1136),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1136),
    [sym__string_literal] = STATE(1136),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1136),
    [sym__expression] = STATE(1136),
    [sym_parenthesized_expression] = STATE(1136),
    [sym_selector_expression] = STATE(1136),
    [sym_index_expression] = STATE(1136),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1136),
    [sym_slice_expression] = STATE(1136),
    [sym_type_assertion_expression] = STATE(1136),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1136),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(2791),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(2791),
    [sym_imaginary_literal] = ACTIONS(2791),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2793),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(2793),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2793),
    [anon_sym_RBRACK] = ACTIONS(2795),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
  },
  [1127] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(2797),
    [anon_sym_COLON] = ACTIONS(2799),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [1128] = {
    [aux_sym_argument_list_repeat1] = STATE(1139),
    [anon_sym_COMMA] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2803),
  },
  [1129] = {
    [aux_sym_argument_list_repeat1] = STATE(1139),
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1234),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(814),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_RPAREN] = ACTIONS(2803),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_COMMA] = ACTIONS(2801),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
  },
  [1130] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_RPAREN] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(2807),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
  },
  [1131] = {
    [sym_type_conversion_expression] = STATE(240),
    [sym_composite_literal] = STATE(240),
    [sym_unary_expression] = STATE(240),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(240),
    [sym__string_literal] = STATE(240),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(240),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(240),
    [sym_selector_expression] = STATE(240),
    [sym_index_expression] = STATE(240),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_literal_value] = STATE(241),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_keyed_element] = STATE(397),
    [sym_struct_type] = STATE(89),
    [sym_call_expression] = STATE(240),
    [sym_slice_expression] = STATE(240),
    [sym_type_assertion_expression] = STATE(240),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(240),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_element] = STATE(397),
    [sym_rune_literal] = ACTIONS(820),
    [anon_sym_RBRACE] = ACTIONS(2809),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(820),
    [sym_imaginary_literal] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(824),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
  },
  [1132] = {
    [aux_sym_literal_value_repeat1] = STATE(399),
    [anon_sym_RBRACE] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2811),
    [sym_comment] = ACTIONS(3),
  },
  [1133] = {
    [sym_type_conversion_expression] = STATE(718),
    [sym_composite_literal] = STATE(718),
    [sym_unary_expression] = STATE(718),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(718),
    [sym__string_literal] = STATE(718),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(718),
    [sym__expression] = STATE(718),
    [sym_parenthesized_expression] = STATE(718),
    [sym_selector_expression] = STATE(718),
    [sym_index_expression] = STATE(718),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(718),
    [sym_slice_expression] = STATE(718),
    [sym_type_assertion_expression] = STATE(718),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(718),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(1497),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(1497),
    [anon_sym_RPAREN] = ACTIONS(2813),
    [sym_imaginary_literal] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1501),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(1501),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(1501),
    [sym_false] = ACTIONS(1501),
  },
  [1134] = {
    [aux_sym_expression_list_repeat1] = STATE(719),
    [anon_sym_COMMA] = ACTIONS(2815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2813),
  },
  [1135] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2817),
  },
  [1136] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(2819),
    [anon_sym_COLON] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [1137] = {
    [sym_type_conversion_expression] = STATE(1143),
    [sym_composite_literal] = STATE(1143),
    [sym_unary_expression] = STATE(1143),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1143),
    [sym__string_literal] = STATE(1143),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1143),
    [sym__expression] = STATE(1143),
    [sym_parenthesized_expression] = STATE(1143),
    [sym_selector_expression] = STATE(1143),
    [sym_index_expression] = STATE(1143),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1143),
    [sym_slice_expression] = STATE(1143),
    [sym_type_assertion_expression] = STATE(1143),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1143),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(2823),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(2823),
    [sym_imaginary_literal] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2825),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(2825),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2825),
    [anon_sym_RBRACK] = ACTIONS(2819),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(2825),
    [sym_false] = ACTIONS(2825),
  },
  [1138] = {
    [sym_type_conversion_expression] = STATE(408),
    [sym_composite_literal] = STATE(408),
    [sym_unary_expression] = STATE(408),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(408),
    [sym__string_literal] = STATE(408),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(408),
    [sym__expression] = STATE(408),
    [sym_parenthesized_expression] = STATE(408),
    [sym_selector_expression] = STATE(408),
    [sym_index_expression] = STATE(408),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(408),
    [sym_variadic_argument] = STATE(407),
    [sym_slice_expression] = STATE(408),
    [sym_type_assertion_expression] = STATE(408),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(408),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(1527),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(1527),
    [anon_sym_RPAREN] = ACTIONS(2827),
    [sym_imaginary_literal] = ACTIONS(1527),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1531),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(1531),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(1531),
    [sym_false] = ACTIONS(1531),
  },
  [1139] = {
    [aux_sym_argument_list_repeat1] = STATE(410),
    [anon_sym_COMMA] = ACTIONS(2829),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2827),
  },
  [1140] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2831),
  },
  [1141] = {
    [sym_type_conversion_expression] = STATE(240),
    [sym_composite_literal] = STATE(240),
    [sym_unary_expression] = STATE(240),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(240),
    [sym__string_literal] = STATE(240),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(240),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(240),
    [sym_selector_expression] = STATE(240),
    [sym_index_expression] = STATE(240),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_literal_value] = STATE(241),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_keyed_element] = STATE(397),
    [sym_struct_type] = STATE(89),
    [sym_call_expression] = STATE(240),
    [sym_slice_expression] = STATE(240),
    [sym_type_assertion_expression] = STATE(240),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(240),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_element] = STATE(397),
    [sym_rune_literal] = ACTIONS(820),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(820),
    [sym_imaginary_literal] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(824),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
  },
  [1142] = {
    [sym_type_conversion_expression] = STATE(718),
    [sym_composite_literal] = STATE(718),
    [sym_unary_expression] = STATE(718),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(718),
    [sym__string_literal] = STATE(718),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(718),
    [sym__expression] = STATE(718),
    [sym_parenthesized_expression] = STATE(718),
    [sym_selector_expression] = STATE(718),
    [sym_index_expression] = STATE(718),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(718),
    [sym_slice_expression] = STATE(718),
    [sym_type_assertion_expression] = STATE(718),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(718),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(1497),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(1497),
    [anon_sym_RPAREN] = ACTIONS(2835),
    [sym_imaginary_literal] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1501),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(1501),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(1501),
    [sym_false] = ACTIONS(1501),
  },
  [1143] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(2837),
    [anon_sym_COLON] = ACTIONS(2839),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [1144] = {
    [sym_type_conversion_expression] = STATE(408),
    [sym_composite_literal] = STATE(408),
    [sym_unary_expression] = STATE(408),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(408),
    [sym__string_literal] = STATE(408),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(408),
    [sym__expression] = STATE(408),
    [sym_parenthesized_expression] = STATE(408),
    [sym_selector_expression] = STATE(408),
    [sym_index_expression] = STATE(408),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(408),
    [sym_variadic_argument] = STATE(407),
    [sym_slice_expression] = STATE(408),
    [sym_type_assertion_expression] = STATE(408),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(408),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(1527),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(1527),
    [anon_sym_RPAREN] = ACTIONS(2841),
    [sym_imaginary_literal] = ACTIONS(1527),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1531),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(1531),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(1531),
    [sym_false] = ACTIONS(1531),
  },
  [1145] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(2843),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [1146] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [1147] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(1148),
    [anon_sym_DQUOTE] = ACTIONS(2847),
    [sym_escape_sequence] = ACTIONS(2849),
    [sym_comment] = ACTIONS(61),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(2849),
  },
  [1148] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(120),
    [anon_sym_DQUOTE] = ACTIONS(2851),
    [sym_escape_sequence] = ACTIONS(322),
    [sym_comment] = ACTIONS(61),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(322),
  },
  [1149] = {
    [sym_type_switch_statement] = STATE(151),
    [sym_var_declaration] = STATE(151),
    [sym_type_conversion_expression] = STATE(153),
    [sym_composite_literal] = STATE(153),
    [sym_unary_expression] = STATE(153),
    [sym_slice_type] = STATE(1017),
    [sym_expression_list] = STATE(150),
    [sym_binary_expression] = STATE(153),
    [sym__string_literal] = STATE(153),
    [sym__statement] = STATE(151),
    [sym_inc_statement] = STATE(151),
    [sym_dec_statement] = STATE(151),
    [sym_fallthrough_statement] = STATE(151),
    [sym_break_statement] = STATE(151),
    [sym_defer_statement] = STATE(151),
    [sym_if_statement] = STATE(151),
    [sym_implicit_length_array_type] = STATE(1018),
    [sym_expression_switch_statement] = STATE(151),
    [sym_interpreted_string_literal] = STATE(153),
    [sym__statement_list] = STATE(1152),
    [sym__expression] = STATE(153),
    [sym_parenthesized_expression] = STATE(153),
    [sym_selector_expression] = STATE(153),
    [sym_type_declaration] = STATE(151),
    [sym_index_expression] = STATE(153),
    [sym_parenthesized_type] = STATE(1280),
    [sym_qualified_type] = STATE(1017),
    [sym_struct_type] = STATE(1017),
    [sym_map_type] = STATE(1017),
    [sym_channel_type] = STATE(1280),
    [sym_empty_statement] = STATE(151),
    [sym__simple_statement] = STATE(151),
    [sym_assignment_statement] = STATE(151),
    [sym_short_var_declaration] = STATE(151),
    [sym_continue_statement] = STATE(151),
    [sym_goto_statement] = STATE(151),
    [sym__simple_type] = STATE(1280),
    [sym__declaration] = STATE(151),
    [sym_const_declaration] = STATE(151),
    [sym_select_statement] = STATE(151),
    [sym_call_expression] = STATE(153),
    [sym_slice_expression] = STATE(153),
    [sym_type_assertion_expression] = STATE(153),
    [sym_pointer_type] = STATE(1280),
    [sym_array_type] = STATE(1017),
    [sym_func_literal] = STATE(153),
    [sym_interface_type] = STATE(1280),
    [sym_function_type] = STATE(1280),
    [sym_block] = STATE(151),
    [sym_send_statement] = STATE(151),
    [sym_labeled_statement] = STATE(151),
    [sym_empty_labeled_statement] = STATE(1152),
    [sym_return_statement] = STATE(151),
    [sym_go_statement] = STATE(151),
    [sym_for_statement] = STATE(151),
    [sym_rune_literal] = ACTIONS(384),
    [anon_sym_break] = ACTIONS(410),
    [anon_sym_defer] = ACTIONS(386),
    [anon_sym_RBRACE] = ACTIONS(2853),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(388),
    [anon_sym_CARET] = ACTIONS(388),
    [anon_sym_for] = ACTIONS(412),
    [anon_sym_select] = ACTIONS(390),
    [anon_sym_var] = ACTIONS(414),
    [anon_sym_const] = ACTIONS(392),
    [sym_raw_string_literal] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(418),
    [anon_sym_if] = ACTIONS(396),
    [anon_sym_return] = ACTIONS(420),
    [sym_imaginary_literal] = ACTIONS(384),
    [sym_nil] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(388),
    [anon_sym_make] = ACTIONS(398),
    [anon_sym_AMP] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_type] = ACTIONS(422),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_int_literal] = ACTIONS(394),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_goto] = ACTIONS(424),
    [anon_sym_fallthrough] = ACTIONS(400),
    [anon_sym_go] = ACTIONS(426),
    [sym_true] = ACTIONS(394),
    [anon_sym_PLUS] = ACTIONS(388),
    [anon_sym_switch] = ACTIONS(428),
    [anon_sym_STAR] = ACTIONS(430),
    [sym_identifier] = ACTIONS(432),
    [anon_sym_func] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(404),
    [anon_sym_SEMI] = ACTIONS(434),
    [anon_sym_LT_DASH] = ACTIONS(406),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(394),
    [sym_false] = ACTIONS(394),
  },
  [1150] = {
    [sym_literal_value] = STATE(800),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(2200),
  },
  [1151] = {
    [sym_literal_value] = STATE(800),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(2200),
  },
  [1152] = {
    [anon_sym_RBRACE] = ACTIONS(2855),
    [sym_comment] = ACTIONS(3),
  },
  [1153] = {
    [sym_type_conversion_expression] = STATE(240),
    [sym_composite_literal] = STATE(240),
    [sym_unary_expression] = STATE(240),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(240),
    [sym__string_literal] = STATE(240),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(240),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(240),
    [sym_selector_expression] = STATE(240),
    [sym_index_expression] = STATE(240),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_literal_value] = STATE(241),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_keyed_element] = STATE(1158),
    [sym_struct_type] = STATE(89),
    [sym_call_expression] = STATE(240),
    [sym_slice_expression] = STATE(240),
    [sym_type_assertion_expression] = STATE(240),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(240),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_element] = STATE(1158),
    [sym_rune_literal] = ACTIONS(820),
    [anon_sym_RBRACE] = ACTIONS(2857),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(820),
    [sym_imaginary_literal] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(824),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
  },
  [1154] = {
    [sym_parameter_list] = STATE(1159),
    [sym_map_type] = STATE(1159),
    [sym_channel_type] = STATE(1159),
    [sym_pointer_type] = STATE(1159),
    [sym_array_type] = STATE(1159),
    [sym_struct_type] = STATE(1159),
    [sym_interface_type] = STATE(1159),
    [sym_function_type] = STATE(1159),
    [sym_block] = STATE(808),
    [sym_slice_type] = STATE(1159),
    [sym__simple_type] = STATE(1159),
    [sym_qualified_type] = STATE(1159),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(834),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(836),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(840),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_LT_DASH] = ACTIONS(843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1155] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_RPAREN] = ACTIONS(2861),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(857),
  },
  [1156] = {
    [sym_identifier] = ACTIONS(2863),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2865),
  },
  [1157] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(1164),
    [sym_composite_literal] = STATE(1164),
    [sym_unary_expression] = STATE(1164),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1164),
    [sym__string_literal] = STATE(1164),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1164),
    [sym_call_expression] = STATE(1164),
    [sym_variadic_argument] = STATE(1163),
    [sym_slice_expression] = STATE(1164),
    [sym_type_assertion_expression] = STATE(1164),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1164),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(1164),
    [sym_parenthesized_expression] = STATE(1164),
    [sym_selector_expression] = STATE(1164),
    [sym_index_expression] = STATE(1164),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(2867),
    [sym_false] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(2869),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2869),
    [sym_raw_string_literal] = ACTIONS(2867),
    [anon_sym_RPAREN] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1158] = {
    [aux_sym_literal_value_repeat1] = STATE(1167),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_COMMA] = ACTIONS(2875),
    [sym_comment] = ACTIONS(3),
  },
  [1159] = {
    [sym_block] = STATE(818),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(2859),
  },
  [1160] = {
    [aux_sym_expression_list_repeat1] = STATE(1169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2877),
    [anon_sym_RPAREN] = ACTIONS(2879),
  },
  [1161] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(1171),
    [sym_composite_literal] = STATE(1171),
    [sym_unary_expression] = STATE(1171),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1171),
    [sym__string_literal] = STATE(1171),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1171),
    [sym_call_expression] = STATE(1171),
    [sym_slice_expression] = STATE(1171),
    [sym_type_assertion_expression] = STATE(1171),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1171),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(1171),
    [sym_parenthesized_expression] = STATE(1171),
    [sym_selector_expression] = STATE(1171),
    [sym_index_expression] = STATE(1171),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(2881),
    [sym_false] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(2883),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(2883),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2883),
    [anon_sym_RBRACK] = ACTIONS(2885),
    [sym_raw_string_literal] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1162] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_RBRACK] = ACTIONS(2887),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_COLON] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(498),
  },
  [1163] = {
    [aux_sym_argument_list_repeat1] = STATE(1174),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2891),
    [anon_sym_RPAREN] = ACTIONS(2893),
  },
  [1164] = {
    [aux_sym_argument_list_repeat1] = STATE(1174),
    [sym_argument_list] = STATE(166),
    [anon_sym_COMMA] = ACTIONS(2891),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1234),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(814),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_RPAREN] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(857),
  },
  [1165] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_RPAREN] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(857),
  },
  [1166] = {
    [sym_type_conversion_expression] = STATE(240),
    [sym_composite_literal] = STATE(240),
    [sym_unary_expression] = STATE(240),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(240),
    [sym__string_literal] = STATE(240),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(240),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(240),
    [sym_selector_expression] = STATE(240),
    [sym_index_expression] = STATE(240),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_literal_value] = STATE(241),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_keyed_element] = STATE(397),
    [sym_struct_type] = STATE(89),
    [sym_call_expression] = STATE(240),
    [sym_slice_expression] = STATE(240),
    [sym_type_assertion_expression] = STATE(240),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(240),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_element] = STATE(397),
    [sym_rune_literal] = ACTIONS(820),
    [anon_sym_RBRACE] = ACTIONS(2899),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(820),
    [sym_imaginary_literal] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(824),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
  },
  [1167] = {
    [aux_sym_literal_value_repeat1] = STATE(399),
    [anon_sym_RBRACE] = ACTIONS(2899),
    [anon_sym_COMMA] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
  },
  [1168] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(718),
    [sym_composite_literal] = STATE(718),
    [sym_unary_expression] = STATE(718),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(718),
    [sym__string_literal] = STATE(718),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_slice_expression] = STATE(718),
    [sym_type_assertion_expression] = STATE(718),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(718),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(718),
    [sym_parenthesized_expression] = STATE(718),
    [sym_selector_expression] = STATE(718),
    [sym_index_expression] = STATE(718),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1497),
    [sym_false] = ACTIONS(1501),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1501),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(1501),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1501),
    [sym_raw_string_literal] = ACTIONS(1497),
    [anon_sym_RPAREN] = ACTIONS(2903),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1169] = {
    [aux_sym_expression_list_repeat1] = STATE(719),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2905),
    [anon_sym_RPAREN] = ACTIONS(2903),
  },
  [1170] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2907),
  },
  [1171] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_RBRACK] = ACTIONS(2909),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_COLON] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(498),
  },
  [1172] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(1178),
    [sym_composite_literal] = STATE(1178),
    [sym_unary_expression] = STATE(1178),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1178),
    [sym__string_literal] = STATE(1178),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1178),
    [sym_call_expression] = STATE(1178),
    [sym_slice_expression] = STATE(1178),
    [sym_type_assertion_expression] = STATE(1178),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1178),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(1178),
    [sym_parenthesized_expression] = STATE(1178),
    [sym_selector_expression] = STATE(1178),
    [sym_index_expression] = STATE(1178),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(2913),
    [sym_false] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(2915),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(2915),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2915),
    [anon_sym_RBRACK] = ACTIONS(2909),
    [sym_raw_string_literal] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1173] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(408),
    [sym_composite_literal] = STATE(408),
    [sym_unary_expression] = STATE(408),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(408),
    [sym__string_literal] = STATE(408),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(408),
    [sym_call_expression] = STATE(408),
    [sym_variadic_argument] = STATE(407),
    [sym_slice_expression] = STATE(408),
    [sym_type_assertion_expression] = STATE(408),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(408),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(408),
    [sym_parenthesized_expression] = STATE(408),
    [sym_selector_expression] = STATE(408),
    [sym_index_expression] = STATE(408),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1527),
    [sym_false] = ACTIONS(1531),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1531),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(1531),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1531),
    [sym_raw_string_literal] = ACTIONS(1527),
    [anon_sym_RPAREN] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(1527),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1531),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1174] = {
    [aux_sym_argument_list_repeat1] = STATE(410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2919),
    [anon_sym_RPAREN] = ACTIONS(2917),
  },
  [1175] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2921),
  },
  [1176] = {
    [sym_type_conversion_expression] = STATE(240),
    [sym_composite_literal] = STATE(240),
    [sym_unary_expression] = STATE(240),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(240),
    [sym__string_literal] = STATE(240),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(240),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(240),
    [sym_selector_expression] = STATE(240),
    [sym_index_expression] = STATE(240),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_literal_value] = STATE(241),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_keyed_element] = STATE(397),
    [sym_struct_type] = STATE(89),
    [sym_call_expression] = STATE(240),
    [sym_slice_expression] = STATE(240),
    [sym_type_assertion_expression] = STATE(240),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(240),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_element] = STATE(397),
    [sym_rune_literal] = ACTIONS(820),
    [anon_sym_RBRACE] = ACTIONS(2923),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(820),
    [sym_imaginary_literal] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(824),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
  },
  [1177] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(718),
    [sym_composite_literal] = STATE(718),
    [sym_unary_expression] = STATE(718),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(718),
    [sym__string_literal] = STATE(718),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_slice_expression] = STATE(718),
    [sym_type_assertion_expression] = STATE(718),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(718),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(718),
    [sym_parenthesized_expression] = STATE(718),
    [sym_selector_expression] = STATE(718),
    [sym_index_expression] = STATE(718),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1497),
    [sym_false] = ACTIONS(1501),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1501),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(1501),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1501),
    [sym_raw_string_literal] = ACTIONS(1497),
    [anon_sym_RPAREN] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1178] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_RBRACK] = ACTIONS(2927),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_COLON] = ACTIONS(2929),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(498),
  },
  [1179] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(408),
    [sym_composite_literal] = STATE(408),
    [sym_unary_expression] = STATE(408),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(408),
    [sym__string_literal] = STATE(408),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(408),
    [sym_call_expression] = STATE(408),
    [sym_variadic_argument] = STATE(407),
    [sym_slice_expression] = STATE(408),
    [sym_type_assertion_expression] = STATE(408),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(408),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(408),
    [sym_parenthesized_expression] = STATE(408),
    [sym_selector_expression] = STATE(408),
    [sym_index_expression] = STATE(408),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1527),
    [sym_false] = ACTIONS(1531),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1531),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(1531),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1531),
    [sym_raw_string_literal] = ACTIONS(1527),
    [anon_sym_RPAREN] = ACTIONS(2931),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(1527),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1531),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1180] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_RBRACK] = ACTIONS(2933),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(498),
  },
  [1181] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_RBRACK] = ACTIONS(2935),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(498),
  },
  [1182] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(1183),
    [anon_sym_DQUOTE] = ACTIONS(2937),
    [sym_escape_sequence] = ACTIONS(2939),
    [sym_comment] = ACTIONS(61),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(2939),
  },
  [1183] = {
    [aux_sym_interpreted_string_literal_repeat1] = STATE(120),
    [anon_sym_DQUOTE] = ACTIONS(2941),
    [sym_escape_sequence] = ACTIONS(322),
    [sym_comment] = ACTIONS(61),
    [aux_sym_interpreted_string_literal_token1] = ACTIONS(322),
  },
  [1184] = {
    [sym_type_switch_statement] = STATE(151),
    [sym_var_declaration] = STATE(151),
    [sym_type_conversion_expression] = STATE(153),
    [sym_composite_literal] = STATE(153),
    [sym_unary_expression] = STATE(153),
    [sym_slice_type] = STATE(1017),
    [sym_expression_list] = STATE(150),
    [sym_binary_expression] = STATE(153),
    [sym__string_literal] = STATE(153),
    [sym__statement] = STATE(151),
    [sym_inc_statement] = STATE(151),
    [sym_dec_statement] = STATE(151),
    [sym_fallthrough_statement] = STATE(151),
    [sym_break_statement] = STATE(151),
    [sym_defer_statement] = STATE(151),
    [sym_if_statement] = STATE(151),
    [sym_implicit_length_array_type] = STATE(1018),
    [sym_expression_switch_statement] = STATE(151),
    [sym_interpreted_string_literal] = STATE(153),
    [sym__statement_list] = STATE(1187),
    [sym__expression] = STATE(153),
    [sym_parenthesized_expression] = STATE(153),
    [sym_selector_expression] = STATE(153),
    [sym_type_declaration] = STATE(151),
    [sym_index_expression] = STATE(153),
    [sym_parenthesized_type] = STATE(1280),
    [sym_qualified_type] = STATE(1017),
    [sym_struct_type] = STATE(1017),
    [sym_map_type] = STATE(1017),
    [sym_channel_type] = STATE(1280),
    [sym_empty_statement] = STATE(151),
    [sym__simple_statement] = STATE(151),
    [sym_assignment_statement] = STATE(151),
    [sym_short_var_declaration] = STATE(151),
    [sym_continue_statement] = STATE(151),
    [sym_goto_statement] = STATE(151),
    [sym__simple_type] = STATE(1280),
    [sym__declaration] = STATE(151),
    [sym_const_declaration] = STATE(151),
    [sym_select_statement] = STATE(151),
    [sym_call_expression] = STATE(153),
    [sym_slice_expression] = STATE(153),
    [sym_type_assertion_expression] = STATE(153),
    [sym_pointer_type] = STATE(1280),
    [sym_array_type] = STATE(1017),
    [sym_func_literal] = STATE(153),
    [sym_interface_type] = STATE(1280),
    [sym_function_type] = STATE(1280),
    [sym_block] = STATE(151),
    [sym_send_statement] = STATE(151),
    [sym_labeled_statement] = STATE(151),
    [sym_empty_labeled_statement] = STATE(1187),
    [sym_return_statement] = STATE(151),
    [sym_go_statement] = STATE(151),
    [sym_for_statement] = STATE(151),
    [sym_rune_literal] = ACTIONS(384),
    [anon_sym_break] = ACTIONS(410),
    [anon_sym_defer] = ACTIONS(386),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(388),
    [anon_sym_CARET] = ACTIONS(388),
    [anon_sym_for] = ACTIONS(412),
    [anon_sym_select] = ACTIONS(390),
    [anon_sym_var] = ACTIONS(414),
    [anon_sym_const] = ACTIONS(392),
    [sym_raw_string_literal] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_continue] = ACTIONS(418),
    [anon_sym_if] = ACTIONS(396),
    [anon_sym_return] = ACTIONS(420),
    [sym_imaginary_literal] = ACTIONS(384),
    [sym_nil] = ACTIONS(394),
    [anon_sym_BANG] = ACTIONS(388),
    [anon_sym_make] = ACTIONS(398),
    [anon_sym_AMP] = ACTIONS(388),
    [anon_sym_new] = ACTIONS(398),
    [anon_sym_type] = ACTIONS(422),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [sym_int_literal] = ACTIONS(394),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_goto] = ACTIONS(424),
    [anon_sym_fallthrough] = ACTIONS(400),
    [anon_sym_go] = ACTIONS(426),
    [sym_true] = ACTIONS(394),
    [anon_sym_PLUS] = ACTIONS(388),
    [anon_sym_switch] = ACTIONS(428),
    [anon_sym_STAR] = ACTIONS(430),
    [sym_identifier] = ACTIONS(432),
    [anon_sym_func] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(404),
    [anon_sym_SEMI] = ACTIONS(434),
    [anon_sym_LT_DASH] = ACTIONS(406),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(394),
    [sym_false] = ACTIONS(394),
  },
  [1185] = {
    [sym_literal_value] = STATE(847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACE] = ACTIONS(2224),
  },
  [1186] = {
    [sym_literal_value] = STATE(847),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LBRACE] = ACTIONS(2224),
  },
  [1187] = {
    [anon_sym_RBRACE] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
  },
  [1188] = {
    [sym_type_conversion_expression] = STATE(240),
    [sym_composite_literal] = STATE(240),
    [sym_unary_expression] = STATE(240),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(240),
    [sym__string_literal] = STATE(240),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(240),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(240),
    [sym_selector_expression] = STATE(240),
    [sym_index_expression] = STATE(240),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_literal_value] = STATE(241),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_keyed_element] = STATE(1193),
    [sym_struct_type] = STATE(89),
    [sym_call_expression] = STATE(240),
    [sym_slice_expression] = STATE(240),
    [sym_type_assertion_expression] = STATE(240),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(240),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_element] = STATE(1193),
    [sym_rune_literal] = ACTIONS(820),
    [anon_sym_RBRACE] = ACTIONS(2947),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(820),
    [sym_imaginary_literal] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(824),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
  },
  [1189] = {
    [sym_parameter_list] = STATE(1194),
    [sym_map_type] = STATE(1194),
    [sym_channel_type] = STATE(1194),
    [sym_pointer_type] = STATE(1194),
    [sym_array_type] = STATE(1194),
    [sym_struct_type] = STATE(1194),
    [sym_interface_type] = STATE(1194),
    [sym_function_type] = STATE(1194),
    [sym_block] = STATE(855),
    [sym_slice_type] = STATE(1194),
    [sym__simple_type] = STATE(1194),
    [sym_qualified_type] = STATE(1194),
    [anon_sym_LBRACE] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(834),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(836),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(840),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_LT_DASH] = ACTIONS(843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1190] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_RPAREN] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(857),
  },
  [1191] = {
    [sym_identifier] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(2955),
  },
  [1192] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(1199),
    [sym_composite_literal] = STATE(1199),
    [sym_unary_expression] = STATE(1199),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1199),
    [sym__string_literal] = STATE(1199),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1199),
    [sym_call_expression] = STATE(1199),
    [sym_variadic_argument] = STATE(1198),
    [sym_slice_expression] = STATE(1199),
    [sym_type_assertion_expression] = STATE(1199),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1199),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(1199),
    [sym_parenthesized_expression] = STATE(1199),
    [sym_selector_expression] = STATE(1199),
    [sym_index_expression] = STATE(1199),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(2957),
    [sym_false] = ACTIONS(2959),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(2959),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2959),
    [sym_raw_string_literal] = ACTIONS(2957),
    [anon_sym_RPAREN] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2959),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1193] = {
    [aux_sym_literal_value_repeat1] = STATE(1202),
    [anon_sym_RBRACE] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
  },
  [1194] = {
    [sym_block] = STATE(865),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(2949),
  },
  [1195] = {
    [aux_sym_expression_list_repeat1] = STATE(1204),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2967),
    [anon_sym_RPAREN] = ACTIONS(2969),
  },
  [1196] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(1206),
    [sym_composite_literal] = STATE(1206),
    [sym_unary_expression] = STATE(1206),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1206),
    [sym__string_literal] = STATE(1206),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1206),
    [sym_call_expression] = STATE(1206),
    [sym_slice_expression] = STATE(1206),
    [sym_type_assertion_expression] = STATE(1206),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1206),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(1206),
    [sym_parenthesized_expression] = STATE(1206),
    [sym_selector_expression] = STATE(1206),
    [sym_index_expression] = STATE(1206),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(2971),
    [sym_false] = ACTIONS(2973),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(2973),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(2973),
    [anon_sym_RBRACK] = ACTIONS(2975),
    [sym_raw_string_literal] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(2971),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1197] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_RBRACK] = ACTIONS(2977),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_COLON] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(498),
  },
  [1198] = {
    [aux_sym_argument_list_repeat1] = STATE(1209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2981),
    [anon_sym_RPAREN] = ACTIONS(2983),
  },
  [1199] = {
    [aux_sym_argument_list_repeat1] = STATE(1209),
    [sym_argument_list] = STATE(166),
    [anon_sym_COMMA] = ACTIONS(2981),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1234),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(814),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_RPAREN] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(857),
  },
  [1200] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(2985),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(847),
    [anon_sym_BANG_EQ] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(847),
    [anon_sym_CARET] = ACTIONS(845),
    [anon_sym_PIPE_PIPE] = ACTIONS(849),
    [anon_sym_GT] = ACTIONS(851),
    [anon_sym_AMP_CARET] = ACTIONS(847),
    [anon_sym_LT_EQ] = ACTIONS(853),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(853),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_RPAREN] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(861),
    [anon_sym_STAR] = ACTIONS(847),
    [anon_sym_GT_GT] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(857),
  },
  [1201] = {
    [sym_type_conversion_expression] = STATE(240),
    [sym_composite_literal] = STATE(240),
    [sym_unary_expression] = STATE(240),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(240),
    [sym__string_literal] = STATE(240),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(240),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(240),
    [sym_selector_expression] = STATE(240),
    [sym_index_expression] = STATE(240),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_literal_value] = STATE(241),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_keyed_element] = STATE(397),
    [sym_struct_type] = STATE(89),
    [sym_call_expression] = STATE(240),
    [sym_slice_expression] = STATE(240),
    [sym_type_assertion_expression] = STATE(240),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(240),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_element] = STATE(397),
    [sym_rune_literal] = ACTIONS(820),
    [anon_sym_RBRACE] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(820),
    [sym_imaginary_literal] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(824),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
  },
  [1202] = {
    [aux_sym_literal_value_repeat1] = STATE(399),
    [anon_sym_RBRACE] = ACTIONS(2989),
    [anon_sym_COMMA] = ACTIONS(2991),
    [sym_comment] = ACTIONS(3),
  },
  [1203] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(718),
    [sym_composite_literal] = STATE(718),
    [sym_unary_expression] = STATE(718),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(718),
    [sym__string_literal] = STATE(718),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_slice_expression] = STATE(718),
    [sym_type_assertion_expression] = STATE(718),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(718),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(718),
    [sym_parenthesized_expression] = STATE(718),
    [sym_selector_expression] = STATE(718),
    [sym_index_expression] = STATE(718),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1497),
    [sym_false] = ACTIONS(1501),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1501),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(1501),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1501),
    [sym_raw_string_literal] = ACTIONS(1497),
    [anon_sym_RPAREN] = ACTIONS(2993),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1204] = {
    [aux_sym_expression_list_repeat1] = STATE(719),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(2995),
    [anon_sym_RPAREN] = ACTIONS(2993),
  },
  [1205] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2997),
  },
  [1206] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_RBRACK] = ACTIONS(2999),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_COLON] = ACTIONS(3001),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(498),
  },
  [1207] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(1213),
    [sym_composite_literal] = STATE(1213),
    [sym_unary_expression] = STATE(1213),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1213),
    [sym__string_literal] = STATE(1213),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1213),
    [sym_call_expression] = STATE(1213),
    [sym_slice_expression] = STATE(1213),
    [sym_type_assertion_expression] = STATE(1213),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1213),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(1213),
    [sym_parenthesized_expression] = STATE(1213),
    [sym_selector_expression] = STATE(1213),
    [sym_index_expression] = STATE(1213),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(3003),
    [sym_false] = ACTIONS(3005),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(3005),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(3005),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3005),
    [anon_sym_RBRACK] = ACTIONS(2999),
    [sym_raw_string_literal] = ACTIONS(3003),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3005),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1208] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(408),
    [sym_composite_literal] = STATE(408),
    [sym_unary_expression] = STATE(408),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(408),
    [sym__string_literal] = STATE(408),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(408),
    [sym_call_expression] = STATE(408),
    [sym_variadic_argument] = STATE(407),
    [sym_slice_expression] = STATE(408),
    [sym_type_assertion_expression] = STATE(408),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(408),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(408),
    [sym_parenthesized_expression] = STATE(408),
    [sym_selector_expression] = STATE(408),
    [sym_index_expression] = STATE(408),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1527),
    [sym_false] = ACTIONS(1531),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1531),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(1531),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1531),
    [sym_raw_string_literal] = ACTIONS(1527),
    [anon_sym_RPAREN] = ACTIONS(3007),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(1527),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1531),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1209] = {
    [aux_sym_argument_list_repeat1] = STATE(410),
    [sym_comment] = ACTIONS(3),
    [anon_sym_COMMA] = ACTIONS(3009),
    [anon_sym_RPAREN] = ACTIONS(3007),
  },
  [1210] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(3011),
  },
  [1211] = {
    [sym_type_conversion_expression] = STATE(240),
    [sym_composite_literal] = STATE(240),
    [sym_unary_expression] = STATE(240),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(240),
    [sym__string_literal] = STATE(240),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(240),
    [sym__expression] = STATE(240),
    [sym_parenthesized_expression] = STATE(240),
    [sym_selector_expression] = STATE(240),
    [sym_index_expression] = STATE(240),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_literal_value] = STATE(241),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_keyed_element] = STATE(397),
    [sym_struct_type] = STATE(89),
    [sym_call_expression] = STATE(240),
    [sym_slice_expression] = STATE(240),
    [sym_type_assertion_expression] = STATE(240),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(240),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_element] = STATE(397),
    [sym_rune_literal] = ACTIONS(820),
    [anon_sym_RBRACE] = ACTIONS(3013),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(820),
    [sym_imaginary_literal] = ACTIONS(820),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(824),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(826),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_comment] = ACTIONS(3),
    [sym_float_literal] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
  },
  [1212] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(718),
    [sym_composite_literal] = STATE(718),
    [sym_unary_expression] = STATE(718),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(718),
    [sym__string_literal] = STATE(718),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(718),
    [sym_call_expression] = STATE(718),
    [sym_slice_expression] = STATE(718),
    [sym_type_assertion_expression] = STATE(718),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(718),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(718),
    [sym_parenthesized_expression] = STATE(718),
    [sym_selector_expression] = STATE(718),
    [sym_index_expression] = STATE(718),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1497),
    [sym_false] = ACTIONS(1501),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1501),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(1501),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1501),
    [sym_raw_string_literal] = ACTIONS(1497),
    [anon_sym_RPAREN] = ACTIONS(3015),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1213] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_RBRACK] = ACTIONS(3017),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_COLON] = ACTIONS(3019),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(498),
  },
  [1214] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(408),
    [sym_composite_literal] = STATE(408),
    [sym_unary_expression] = STATE(408),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(408),
    [sym__string_literal] = STATE(408),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(408),
    [sym_call_expression] = STATE(408),
    [sym_variadic_argument] = STATE(407),
    [sym_slice_expression] = STATE(408),
    [sym_type_assertion_expression] = STATE(408),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(408),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(408),
    [sym_parenthesized_expression] = STATE(408),
    [sym_selector_expression] = STATE(408),
    [sym_index_expression] = STATE(408),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(1527),
    [sym_false] = ACTIONS(1531),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(1531),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(1531),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(1531),
    [sym_raw_string_literal] = ACTIONS(1527),
    [anon_sym_RPAREN] = ACTIONS(3021),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(1527),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(1531),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1215] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_RBRACK] = ACTIONS(3023),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(498),
  },
  [1216] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_RBRACK] = ACTIONS(3025),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(498),
  },
  [1217] = {
    [sym_type_conversion_expression] = STATE(1237),
    [sym_composite_literal] = STATE(1237),
    [sym_unary_expression] = STATE(1237),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1237),
    [sym__string_literal] = STATE(1237),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1237),
    [sym__expression] = STATE(1237),
    [sym_parenthesized_expression] = STATE(1237),
    [sym_selector_expression] = STATE(1237),
    [sym_index_expression] = STATE(1237),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1237),
    [sym_slice_expression] = STATE(1237),
    [sym_type_assertion_expression] = STATE(1237),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1237),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(3027),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(3027),
    [sym_imaginary_literal] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3029),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(3029),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3029),
    [anon_sym_RBRACK] = ACTIONS(3031),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(3029),
    [sym_false] = ACTIONS(3029),
  },
  [1218] = {
    [sym_qualified_type] = STATE(95),
    [sym_map_type] = STATE(95),
    [sym_channel_type] = STATE(95),
    [sym_slice_type] = STATE(95),
    [sym_pointer_type] = STATE(95),
    [sym_array_type] = STATE(95),
    [sym_interface_type] = STATE(95),
    [sym_function_type] = STATE(95),
    [sym_parenthesized_type] = STATE(95),
    [sym__simple_type] = STATE(95),
    [sym_struct_type] = STATE(95),
    [anon_sym_map] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(834),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(836),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(843),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1219] = {
    [sym_qualified_type] = STATE(932),
    [sym_map_type] = STATE(932),
    [sym_channel_type] = STATE(932),
    [sym_slice_type] = STATE(932),
    [sym_pointer_type] = STATE(932),
    [sym_array_type] = STATE(932),
    [sym_interface_type] = STATE(932),
    [sym_function_type] = STATE(932),
    [sym_parenthesized_type] = STATE(932),
    [sym__simple_type] = STATE(932),
    [sym_struct_type] = STATE(932),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [1220] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_chan] = ACTIONS(3033),
  },
  [1221] = {
    [sym_parameter_list] = STATE(942),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(21),
  },
  [1222] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(163),
    [sym_type_conversion_expression] = STATE(943),
    [sym_composite_literal] = STATE(943),
    [sym_unary_expression] = STATE(943),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(943),
    [sym__string_literal] = STATE(943),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(943),
    [sym_call_expression] = STATE(943),
    [sym_slice_expression] = STATE(943),
    [sym_type_assertion_expression] = STATE(943),
    [sym_pointer_type] = STATE(163),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(943),
    [sym_interface_type] = STATE(163),
    [sym_function_type] = STATE(163),
    [sym__expression] = STATE(943),
    [sym_parenthesized_expression] = STATE(943),
    [sym_selector_expression] = STATE(943),
    [sym_index_expression] = STATE(943),
    [sym_parenthesized_type] = STATE(163),
    [sym__simple_type] = STATE(163),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(3035),
    [sym_false] = ACTIONS(3037),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(3037),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(3037),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3037),
    [sym_raw_string_literal] = ACTIONS(3035),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3037),
    [anon_sym_STAR] = ACTIONS(474),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1223] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(3039),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [1224] = {
    [sym_qualified_type] = STATE(950),
    [sym_map_type] = STATE(950),
    [sym_channel_type] = STATE(950),
    [sym_slice_type] = STATE(950),
    [sym_pointer_type] = STATE(950),
    [sym_array_type] = STATE(950),
    [sym_interface_type] = STATE(950),
    [sym_function_type] = STATE(950),
    [sym_parenthesized_type] = STATE(950),
    [sym__simple_type] = STATE(950),
    [sym_struct_type] = STATE(950),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [1225] = {
    [sym_struct_type] = STATE(955),
    [sym_map_type] = STATE(955),
    [sym_channel_type] = STATE(955),
    [sym_pointer_type] = STATE(955),
    [sym_array_type] = STATE(955),
    [sym_interface_type] = STATE(955),
    [sym_function_type] = STATE(955),
    [sym_slice_type] = STATE(955),
    [sym_parenthesized_type] = STATE(955),
    [sym__simple_type] = STATE(955),
    [sym_qualified_type] = STATE(955),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [1226] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(957),
    [sym_composite_literal] = STATE(957),
    [sym_unary_expression] = STATE(957),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(957),
    [sym__string_literal] = STATE(957),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(957),
    [sym_call_expression] = STATE(957),
    [sym_slice_expression] = STATE(957),
    [sym_type_assertion_expression] = STATE(957),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(957),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(957),
    [sym_parenthesized_expression] = STATE(957),
    [sym_selector_expression] = STATE(957),
    [sym_index_expression] = STATE(957),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(3041),
    [sym_false] = ACTIONS(3043),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(3043),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(3043),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3043),
    [sym_raw_string_literal] = ACTIONS(3041),
    [anon_sym_COLON] = ACTIONS(3045),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(3041),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3043),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1227] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(960),
    [sym_composite_literal] = STATE(960),
    [sym_unary_expression] = STATE(960),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(960),
    [sym__string_literal] = STATE(960),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(960),
    [sym_call_expression] = STATE(960),
    [sym_slice_expression] = STATE(960),
    [sym_type_assertion_expression] = STATE(960),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(960),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(960),
    [sym_parenthesized_expression] = STATE(960),
    [sym_selector_expression] = STATE(960),
    [sym_index_expression] = STATE(960),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(3047),
    [sym_false] = ACTIONS(3049),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(3049),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(3049),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3049),
    [sym_raw_string_literal] = ACTIONS(3047),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(3047),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3049),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1228] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(3051),
  },
  [1229] = {
    [sym_struct_type] = STATE(972),
    [sym_map_type] = STATE(972),
    [sym_channel_type] = STATE(972),
    [sym_pointer_type] = STATE(972),
    [sym_array_type] = STATE(972),
    [sym_interface_type] = STATE(972),
    [sym_function_type] = STATE(972),
    [sym_slice_type] = STATE(972),
    [sym_parenthesized_type] = STATE(972),
    [sym__simple_type] = STATE(972),
    [sym_qualified_type] = STATE(972),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [1230] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(986),
    [sym_composite_literal] = STATE(986),
    [sym_unary_expression] = STATE(986),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(986),
    [sym__string_literal] = STATE(986),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(986),
    [sym_call_expression] = STATE(986),
    [sym_slice_expression] = STATE(986),
    [sym_type_assertion_expression] = STATE(986),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(986),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(986),
    [sym_parenthesized_expression] = STATE(986),
    [sym_selector_expression] = STATE(986),
    [sym_index_expression] = STATE(986),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(3053),
    [sym_false] = ACTIONS(3055),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(3055),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(3055),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3055),
    [sym_raw_string_literal] = ACTIONS(3053),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(3053),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3055),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1231] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(987),
    [sym_composite_literal] = STATE(987),
    [sym_unary_expression] = STATE(987),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(987),
    [sym__string_literal] = STATE(987),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(987),
    [sym_call_expression] = STATE(987),
    [sym_slice_expression] = STATE(987),
    [sym_type_assertion_expression] = STATE(987),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(987),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(987),
    [sym_parenthesized_expression] = STATE(987),
    [sym_selector_expression] = STATE(987),
    [sym_index_expression] = STATE(987),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(3057),
    [sym_false] = ACTIONS(3059),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(3059),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(3059),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3059),
    [sym_raw_string_literal] = ACTIONS(3057),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(3057),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3059),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1232] = {
    [sym_type_conversion_expression] = STATE(1223),
    [sym_composite_literal] = STATE(1223),
    [sym_unary_expression] = STATE(1223),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1223),
    [sym__string_literal] = STATE(1223),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1223),
    [sym__expression] = STATE(1223),
    [sym_parenthesized_expression] = STATE(1223),
    [sym_selector_expression] = STATE(1223),
    [sym_index_expression] = STATE(1223),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1223),
    [sym_slice_expression] = STATE(1223),
    [sym_type_assertion_expression] = STATE(1223),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1223),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(448),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(448),
    [sym_imaginary_literal] = ACTIONS(448),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(452),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(452),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(452),
    [anon_sym_RBRACK] = ACTIONS(454),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(452),
    [sym_false] = ACTIONS(452),
  },
  [1233] = {
    [sym_qualified_type] = STATE(1021),
    [sym_map_type] = STATE(1021),
    [sym_channel_type] = STATE(1021),
    [sym_slice_type] = STATE(1021),
    [sym_pointer_type] = STATE(1021),
    [sym_array_type] = STATE(1021),
    [sym_interface_type] = STATE(1021),
    [sym_function_type] = STATE(1021),
    [sym_parenthesized_type] = STATE(1021),
    [sym__simple_type] = STATE(1021),
    [sym_struct_type] = STATE(1021),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [1234] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_chan] = ACTIONS(3061),
  },
  [1235] = {
    [sym_parameter_list] = STATE(1030),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(21),
  },
  [1236] = {
    [sym_type_conversion_expression] = STATE(1031),
    [sym_composite_literal] = STATE(1031),
    [sym_unary_expression] = STATE(1031),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1031),
    [sym__string_literal] = STATE(1031),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1031),
    [sym__expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(1031),
    [sym_selector_expression] = STATE(1031),
    [sym_index_expression] = STATE(1031),
    [sym_parenthesized_type] = STATE(163),
    [sym__simple_type] = STATE(163),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(163),
    [sym_call_expression] = STATE(1031),
    [sym_slice_expression] = STATE(1031),
    [sym_type_assertion_expression] = STATE(1031),
    [sym_pointer_type] = STATE(163),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1031),
    [sym_interface_type] = STATE(163),
    [sym_function_type] = STATE(163),
    [sym_rune_literal] = ACTIONS(3063),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(3063),
    [sym_imaginary_literal] = ACTIONS(3063),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3065),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(3065),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3065),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(474),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(3065),
    [sym_false] = ACTIONS(3065),
  },
  [1237] = {
    [sym_argument_list] = STATE(166),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PERCENT] = ACTIONS(486),
    [anon_sym_CARET] = ACTIONS(484),
    [anon_sym_PIPE_PIPE] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(490),
    [anon_sym_AMP_CARET] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(492),
    [anon_sym_DOT] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(498),
    [anon_sym_GT_EQ] = ACTIONS(492),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(492),
    [anon_sym_RBRACK] = ACTIONS(3067),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(498),
    [anon_sym_AMP_AMP] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(486),
    [anon_sym_GT_GT] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [1238] = {
    [sym_qualified_type] = STATE(1042),
    [sym_map_type] = STATE(1042),
    [sym_channel_type] = STATE(1042),
    [sym_slice_type] = STATE(1042),
    [sym_pointer_type] = STATE(1042),
    [sym_array_type] = STATE(1042),
    [sym_interface_type] = STATE(1042),
    [sym_function_type] = STATE(1042),
    [sym_parenthesized_type] = STATE(1042),
    [sym__simple_type] = STATE(1042),
    [sym_struct_type] = STATE(1042),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [1239] = {
    [sym_type_conversion_expression] = STATE(1044),
    [sym_composite_literal] = STATE(1044),
    [sym_unary_expression] = STATE(1044),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1044),
    [sym__string_literal] = STATE(1044),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1044),
    [sym__expression] = STATE(1044),
    [sym_parenthesized_expression] = STATE(1044),
    [sym_selector_expression] = STATE(1044),
    [sym_index_expression] = STATE(1044),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1044),
    [sym_slice_expression] = STATE(1044),
    [sym_type_assertion_expression] = STATE(1044),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1044),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(3069),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(3069),
    [sym_imaginary_literal] = ACTIONS(3069),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3071),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(3071),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3071),
    [anon_sym_COLON] = ACTIONS(3073),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(3071),
    [sym_false] = ACTIONS(3071),
  },
  [1240] = {
    [sym_type_conversion_expression] = STATE(1047),
    [sym_composite_literal] = STATE(1047),
    [sym_unary_expression] = STATE(1047),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1047),
    [sym__string_literal] = STATE(1047),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1047),
    [sym__expression] = STATE(1047),
    [sym_parenthesized_expression] = STATE(1047),
    [sym_selector_expression] = STATE(1047),
    [sym_index_expression] = STATE(1047),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1047),
    [sym_slice_expression] = STATE(1047),
    [sym_type_assertion_expression] = STATE(1047),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1047),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(3075),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(3075),
    [sym_imaginary_literal] = ACTIONS(3075),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3077),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(3077),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3077),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(3077),
    [sym_false] = ACTIONS(3077),
  },
  [1241] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(3079),
  },
  [1242] = {
    [sym_qualified_type] = STATE(1059),
    [sym_map_type] = STATE(1059),
    [sym_channel_type] = STATE(1059),
    [sym_slice_type] = STATE(1059),
    [sym_pointer_type] = STATE(1059),
    [sym_array_type] = STATE(1059),
    [sym_interface_type] = STATE(1059),
    [sym_function_type] = STATE(1059),
    [sym_parenthesized_type] = STATE(1059),
    [sym__simple_type] = STATE(1059),
    [sym_struct_type] = STATE(1059),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [1243] = {
    [sym_type_conversion_expression] = STATE(1072),
    [sym_composite_literal] = STATE(1072),
    [sym_unary_expression] = STATE(1072),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1072),
    [sym__string_literal] = STATE(1072),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1072),
    [sym__expression] = STATE(1072),
    [sym_parenthesized_expression] = STATE(1072),
    [sym_selector_expression] = STATE(1072),
    [sym_index_expression] = STATE(1072),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1072),
    [sym_slice_expression] = STATE(1072),
    [sym_type_assertion_expression] = STATE(1072),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1072),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(3081),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(3081),
    [sym_imaginary_literal] = ACTIONS(3081),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3083),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(3083),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3083),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(3083),
    [sym_false] = ACTIONS(3083),
  },
  [1244] = {
    [sym_type_conversion_expression] = STATE(1073),
    [sym_composite_literal] = STATE(1073),
    [sym_unary_expression] = STATE(1073),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1073),
    [sym__string_literal] = STATE(1073),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1073),
    [sym__expression] = STATE(1073),
    [sym_parenthesized_expression] = STATE(1073),
    [sym_selector_expression] = STATE(1073),
    [sym_index_expression] = STATE(1073),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1073),
    [sym_slice_expression] = STATE(1073),
    [sym_type_assertion_expression] = STATE(1073),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1073),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(3085),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(3085),
    [sym_imaginary_literal] = ACTIONS(3085),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3087),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(3087),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3087),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(3087),
    [sym_false] = ACTIONS(3087),
  },
  [1245] = {
    [sym_parameter_list] = STATE(1084),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(21),
  },
  [1246] = {
    [sym_type_conversion_expression] = STATE(1085),
    [sym_composite_literal] = STATE(1085),
    [sym_unary_expression] = STATE(1085),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1085),
    [sym__string_literal] = STATE(1085),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1085),
    [sym__expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(1085),
    [sym_selector_expression] = STATE(1085),
    [sym_index_expression] = STATE(1085),
    [sym_parenthesized_type] = STATE(163),
    [sym__simple_type] = STATE(163),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(163),
    [sym_call_expression] = STATE(1085),
    [sym_slice_expression] = STATE(1085),
    [sym_type_assertion_expression] = STATE(1085),
    [sym_pointer_type] = STATE(163),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1085),
    [sym_interface_type] = STATE(163),
    [sym_function_type] = STATE(163),
    [sym_rune_literal] = ACTIONS(3089),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(3089),
    [sym_imaginary_literal] = ACTIONS(3089),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3091),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(3091),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3091),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(474),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(3091),
    [sym_false] = ACTIONS(3091),
  },
  [1247] = {
    [sym_qualified_type] = STATE(1090),
    [sym_map_type] = STATE(1090),
    [sym_channel_type] = STATE(1090),
    [sym_slice_type] = STATE(1090),
    [sym_pointer_type] = STATE(1090),
    [sym_array_type] = STATE(1090),
    [sym_interface_type] = STATE(1090),
    [sym_function_type] = STATE(1090),
    [sym_parenthesized_type] = STATE(1090),
    [sym__simple_type] = STATE(1090),
    [sym_struct_type] = STATE(1090),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [1248] = {
    [sym_type_conversion_expression] = STATE(1092),
    [sym_composite_literal] = STATE(1092),
    [sym_unary_expression] = STATE(1092),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1092),
    [sym__string_literal] = STATE(1092),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1092),
    [sym__expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(1092),
    [sym_selector_expression] = STATE(1092),
    [sym_index_expression] = STATE(1092),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1092),
    [sym_slice_expression] = STATE(1092),
    [sym_type_assertion_expression] = STATE(1092),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1092),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(3093),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(3093),
    [sym_imaginary_literal] = ACTIONS(3093),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3095),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(3095),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3095),
    [anon_sym_COLON] = ACTIONS(3097),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(3095),
    [sym_false] = ACTIONS(3095),
  },
  [1249] = {
    [sym_type_conversion_expression] = STATE(1095),
    [sym_composite_literal] = STATE(1095),
    [sym_unary_expression] = STATE(1095),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1095),
    [sym__string_literal] = STATE(1095),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1095),
    [sym__expression] = STATE(1095),
    [sym_parenthesized_expression] = STATE(1095),
    [sym_selector_expression] = STATE(1095),
    [sym_index_expression] = STATE(1095),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1095),
    [sym_slice_expression] = STATE(1095),
    [sym_type_assertion_expression] = STATE(1095),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1095),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(3099),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(3099),
    [sym_imaginary_literal] = ACTIONS(3099),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3101),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(3101),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3101),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(3101),
    [sym_false] = ACTIONS(3101),
  },
  [1250] = {
    [sym_qualified_type] = STATE(1100),
    [sym_map_type] = STATE(1100),
    [sym_channel_type] = STATE(1100),
    [sym_slice_type] = STATE(1100),
    [sym_pointer_type] = STATE(1100),
    [sym_array_type] = STATE(1100),
    [sym_interface_type] = STATE(1100),
    [sym_function_type] = STATE(1100),
    [sym_parenthesized_type] = STATE(1100),
    [sym__simple_type] = STATE(1100),
    [sym_struct_type] = STATE(1100),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [1251] = {
    [sym_type_conversion_expression] = STATE(1110),
    [sym_composite_literal] = STATE(1110),
    [sym_unary_expression] = STATE(1110),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1110),
    [sym__string_literal] = STATE(1110),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1110),
    [sym__expression] = STATE(1110),
    [sym_parenthesized_expression] = STATE(1110),
    [sym_selector_expression] = STATE(1110),
    [sym_index_expression] = STATE(1110),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1110),
    [sym_slice_expression] = STATE(1110),
    [sym_type_assertion_expression] = STATE(1110),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1110),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(3103),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(3103),
    [sym_imaginary_literal] = ACTIONS(3103),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3105),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(3105),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3105),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(3105),
    [sym_false] = ACTIONS(3105),
  },
  [1252] = {
    [sym_type_conversion_expression] = STATE(1111),
    [sym_composite_literal] = STATE(1111),
    [sym_unary_expression] = STATE(1111),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1111),
    [sym__string_literal] = STATE(1111),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1111),
    [sym__expression] = STATE(1111),
    [sym_parenthesized_expression] = STATE(1111),
    [sym_selector_expression] = STATE(1111),
    [sym_index_expression] = STATE(1111),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1111),
    [sym_slice_expression] = STATE(1111),
    [sym_type_assertion_expression] = STATE(1111),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1111),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(3107),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(3107),
    [sym_imaginary_literal] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3109),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(3109),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3109),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(3109),
    [sym_false] = ACTIONS(3109),
  },
  [1253] = {
    [sym_parameter_list] = STATE(1119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(21),
  },
  [1254] = {
    [sym_type_conversion_expression] = STATE(1120),
    [sym_composite_literal] = STATE(1120),
    [sym_unary_expression] = STATE(1120),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1120),
    [sym__string_literal] = STATE(1120),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1120),
    [sym__expression] = STATE(1120),
    [sym_parenthesized_expression] = STATE(1120),
    [sym_selector_expression] = STATE(1120),
    [sym_index_expression] = STATE(1120),
    [sym_parenthesized_type] = STATE(163),
    [sym__simple_type] = STATE(163),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(163),
    [sym_call_expression] = STATE(1120),
    [sym_slice_expression] = STATE(1120),
    [sym_type_assertion_expression] = STATE(1120),
    [sym_pointer_type] = STATE(163),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1120),
    [sym_interface_type] = STATE(163),
    [sym_function_type] = STATE(163),
    [sym_rune_literal] = ACTIONS(3111),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(3111),
    [sym_imaginary_literal] = ACTIONS(3111),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3113),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(3113),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3113),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(474),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(3113),
    [sym_false] = ACTIONS(3113),
  },
  [1255] = {
    [sym_qualified_type] = STATE(1125),
    [sym_map_type] = STATE(1125),
    [sym_channel_type] = STATE(1125),
    [sym_slice_type] = STATE(1125),
    [sym_pointer_type] = STATE(1125),
    [sym_array_type] = STATE(1125),
    [sym_interface_type] = STATE(1125),
    [sym_function_type] = STATE(1125),
    [sym_parenthesized_type] = STATE(1125),
    [sym__simple_type] = STATE(1125),
    [sym_struct_type] = STATE(1125),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [1256] = {
    [sym_type_conversion_expression] = STATE(1127),
    [sym_composite_literal] = STATE(1127),
    [sym_unary_expression] = STATE(1127),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1127),
    [sym__string_literal] = STATE(1127),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1127),
    [sym__expression] = STATE(1127),
    [sym_parenthesized_expression] = STATE(1127),
    [sym_selector_expression] = STATE(1127),
    [sym_index_expression] = STATE(1127),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1127),
    [sym_slice_expression] = STATE(1127),
    [sym_type_assertion_expression] = STATE(1127),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1127),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(3115),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(3115),
    [sym_imaginary_literal] = ACTIONS(3115),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3117),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(3117),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3117),
    [anon_sym_COLON] = ACTIONS(3119),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(3117),
    [sym_false] = ACTIONS(3117),
  },
  [1257] = {
    [sym_type_conversion_expression] = STATE(1130),
    [sym_composite_literal] = STATE(1130),
    [sym_unary_expression] = STATE(1130),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1130),
    [sym__string_literal] = STATE(1130),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1130),
    [sym__expression] = STATE(1130),
    [sym_parenthesized_expression] = STATE(1130),
    [sym_selector_expression] = STATE(1130),
    [sym_index_expression] = STATE(1130),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1130),
    [sym_slice_expression] = STATE(1130),
    [sym_type_assertion_expression] = STATE(1130),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1130),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(3121),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_raw_string_literal] = ACTIONS(3121),
    [sym_imaginary_literal] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3123),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(3123),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3123),
    [anon_sym_PLUS] = ACTIONS(470),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [sym_float_literal] = ACTIONS(3123),
    [sym_false] = ACTIONS(3123),
  },
  [1258] = {
    [sym_qualified_type] = STATE(1135),
    [sym_map_type] = STATE(1135),
    [sym_channel_type] = STATE(1135),
    [sym_slice_type] = STATE(1135),
    [sym_pointer_type] = STATE(1135),
    [sym_array_type] = STATE(1135),
    [sym_interface_type] = STATE(1135),
    [sym_function_type] = STATE(1135),
    [sym_parenthesized_type] = STATE(1135),
    [sym__simple_type] = STATE(1135),
    [sym_struct_type] = STATE(1135),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [1259] = {
    [sym_type_conversion_expression] = STATE(1145),
    [sym_composite_literal] = STATE(1145),
    [sym_unary_expression] = STATE(1145),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1145),
    [sym__string_literal] = STATE(1145),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1145),
    [sym__expression] = STATE(1145),
    [sym_parenthesized_expression] = STATE(1145),
    [sym_selector_expression] = STATE(1145),
    [sym_index_expression] = STATE(1145),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1145),
    [sym_slice_expression] = STATE(1145),
    [sym_type_assertion_expression] = STATE(1145),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1145),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(3125),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(3125),
    [sym_imaginary_literal] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3127),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(3127),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3127),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(3127),
    [sym_false] = ACTIONS(3127),
  },
  [1260] = {
    [sym_type_conversion_expression] = STATE(1146),
    [sym_composite_literal] = STATE(1146),
    [sym_unary_expression] = STATE(1146),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1146),
    [sym__string_literal] = STATE(1146),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1146),
    [sym__expression] = STATE(1146),
    [sym_parenthesized_expression] = STATE(1146),
    [sym_selector_expression] = STATE(1146),
    [sym_index_expression] = STATE(1146),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_qualified_type] = STATE(89),
    [sym_struct_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_call_expression] = STATE(1146),
    [sym_slice_expression] = STATE(1146),
    [sym_type_assertion_expression] = STATE(1146),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1146),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym_rune_literal] = ACTIONS(3129),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(237),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_raw_string_literal] = ACTIONS(3129),
    [sym_imaginary_literal] = ACTIONS(3129),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3131),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_make] = ACTIONS(243),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [sym_int_literal] = ACTIONS(3131),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3131),
    [anon_sym_PLUS] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [sym_float_literal] = ACTIONS(3131),
    [sym_false] = ACTIONS(3131),
  },
  [1261] = {
    [sym_parameter_list] = STATE(1154),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(21),
  },
  [1262] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(163),
    [sym_type_conversion_expression] = STATE(1155),
    [sym_composite_literal] = STATE(1155),
    [sym_unary_expression] = STATE(1155),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1155),
    [sym__string_literal] = STATE(1155),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1155),
    [sym_call_expression] = STATE(1155),
    [sym_slice_expression] = STATE(1155),
    [sym_type_assertion_expression] = STATE(1155),
    [sym_pointer_type] = STATE(163),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1155),
    [sym_interface_type] = STATE(163),
    [sym_function_type] = STATE(163),
    [sym__expression] = STATE(1155),
    [sym_parenthesized_expression] = STATE(1155),
    [sym_selector_expression] = STATE(1155),
    [sym_index_expression] = STATE(1155),
    [sym_parenthesized_type] = STATE(163),
    [sym__simple_type] = STATE(163),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(3133),
    [sym_false] = ACTIONS(3135),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(3135),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(3135),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3135),
    [sym_raw_string_literal] = ACTIONS(3133),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(3133),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3135),
    [anon_sym_STAR] = ACTIONS(474),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1263] = {
    [sym_struct_type] = STATE(1160),
    [sym_map_type] = STATE(1160),
    [sym_channel_type] = STATE(1160),
    [sym_pointer_type] = STATE(1160),
    [sym_array_type] = STATE(1160),
    [sym_interface_type] = STATE(1160),
    [sym_function_type] = STATE(1160),
    [sym_slice_type] = STATE(1160),
    [sym_parenthesized_type] = STATE(1160),
    [sym__simple_type] = STATE(1160),
    [sym_qualified_type] = STATE(1160),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [1264] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(1162),
    [sym_composite_literal] = STATE(1162),
    [sym_unary_expression] = STATE(1162),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1162),
    [sym__string_literal] = STATE(1162),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1162),
    [sym_call_expression] = STATE(1162),
    [sym_slice_expression] = STATE(1162),
    [sym_type_assertion_expression] = STATE(1162),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1162),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(1162),
    [sym_parenthesized_expression] = STATE(1162),
    [sym_selector_expression] = STATE(1162),
    [sym_index_expression] = STATE(1162),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(3137),
    [sym_false] = ACTIONS(3139),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(3139),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(3139),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3139),
    [sym_raw_string_literal] = ACTIONS(3137),
    [anon_sym_COLON] = ACTIONS(3141),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(3137),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3139),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1265] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(1165),
    [sym_composite_literal] = STATE(1165),
    [sym_unary_expression] = STATE(1165),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1165),
    [sym__string_literal] = STATE(1165),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1165),
    [sym_call_expression] = STATE(1165),
    [sym_slice_expression] = STATE(1165),
    [sym_type_assertion_expression] = STATE(1165),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1165),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(1165),
    [sym_parenthesized_expression] = STATE(1165),
    [sym_selector_expression] = STATE(1165),
    [sym_index_expression] = STATE(1165),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(3143),
    [sym_false] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(3145),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(3145),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3145),
    [sym_raw_string_literal] = ACTIONS(3143),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3145),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1266] = {
    [sym_struct_type] = STATE(1170),
    [sym_map_type] = STATE(1170),
    [sym_channel_type] = STATE(1170),
    [sym_pointer_type] = STATE(1170),
    [sym_array_type] = STATE(1170),
    [sym_interface_type] = STATE(1170),
    [sym_function_type] = STATE(1170),
    [sym_slice_type] = STATE(1170),
    [sym_parenthesized_type] = STATE(1170),
    [sym__simple_type] = STATE(1170),
    [sym_qualified_type] = STATE(1170),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [1267] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(1180),
    [sym_composite_literal] = STATE(1180),
    [sym_unary_expression] = STATE(1180),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1180),
    [sym__string_literal] = STATE(1180),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1180),
    [sym_call_expression] = STATE(1180),
    [sym_slice_expression] = STATE(1180),
    [sym_type_assertion_expression] = STATE(1180),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1180),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(1180),
    [sym_parenthesized_expression] = STATE(1180),
    [sym_selector_expression] = STATE(1180),
    [sym_index_expression] = STATE(1180),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(3147),
    [sym_false] = ACTIONS(3149),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(3149),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(3149),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3149),
    [sym_raw_string_literal] = ACTIONS(3147),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3149),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1268] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(1181),
    [sym_composite_literal] = STATE(1181),
    [sym_unary_expression] = STATE(1181),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1181),
    [sym__string_literal] = STATE(1181),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1181),
    [sym_call_expression] = STATE(1181),
    [sym_slice_expression] = STATE(1181),
    [sym_type_assertion_expression] = STATE(1181),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1181),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(1181),
    [sym_parenthesized_expression] = STATE(1181),
    [sym_selector_expression] = STATE(1181),
    [sym_index_expression] = STATE(1181),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(3151),
    [sym_false] = ACTIONS(3153),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(3153),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(3153),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3153),
    [sym_raw_string_literal] = ACTIONS(3151),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3153),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1269] = {
    [sym_parameter_list] = STATE(1189),
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(21),
  },
  [1270] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(163),
    [sym_type_conversion_expression] = STATE(1190),
    [sym_composite_literal] = STATE(1190),
    [sym_unary_expression] = STATE(1190),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1190),
    [sym__string_literal] = STATE(1190),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1190),
    [sym_call_expression] = STATE(1190),
    [sym_slice_expression] = STATE(1190),
    [sym_type_assertion_expression] = STATE(1190),
    [sym_pointer_type] = STATE(163),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1190),
    [sym_interface_type] = STATE(163),
    [sym_function_type] = STATE(163),
    [sym__expression] = STATE(1190),
    [sym_parenthesized_expression] = STATE(1190),
    [sym_selector_expression] = STATE(1190),
    [sym_index_expression] = STATE(1190),
    [sym_parenthesized_type] = STATE(163),
    [sym__simple_type] = STATE(163),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(3155),
    [sym_false] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(3157),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(3157),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3157),
    [sym_raw_string_literal] = ACTIONS(3155),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(3155),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3157),
    [anon_sym_STAR] = ACTIONS(474),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1271] = {
    [sym_struct_type] = STATE(1195),
    [sym_map_type] = STATE(1195),
    [sym_channel_type] = STATE(1195),
    [sym_pointer_type] = STATE(1195),
    [sym_array_type] = STATE(1195),
    [sym_interface_type] = STATE(1195),
    [sym_function_type] = STATE(1195),
    [sym_slice_type] = STATE(1195),
    [sym_parenthesized_type] = STATE(1195),
    [sym__simple_type] = STATE(1195),
    [sym_qualified_type] = STATE(1195),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [1272] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(1197),
    [sym_composite_literal] = STATE(1197),
    [sym_unary_expression] = STATE(1197),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1197),
    [sym__string_literal] = STATE(1197),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1197),
    [sym_call_expression] = STATE(1197),
    [sym_slice_expression] = STATE(1197),
    [sym_type_assertion_expression] = STATE(1197),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1197),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(1197),
    [sym_parenthesized_expression] = STATE(1197),
    [sym_selector_expression] = STATE(1197),
    [sym_index_expression] = STATE(1197),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(3159),
    [sym_false] = ACTIONS(3161),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(3161),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(3161),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3161),
    [sym_raw_string_literal] = ACTIONS(3159),
    [anon_sym_COLON] = ACTIONS(3163),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(3159),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3161),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1273] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(1200),
    [sym_composite_literal] = STATE(1200),
    [sym_unary_expression] = STATE(1200),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1200),
    [sym__string_literal] = STATE(1200),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1200),
    [sym_call_expression] = STATE(1200),
    [sym_slice_expression] = STATE(1200),
    [sym_type_assertion_expression] = STATE(1200),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1200),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(1200),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_selector_expression] = STATE(1200),
    [sym_index_expression] = STATE(1200),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(3165),
    [sym_false] = ACTIONS(3167),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(3167),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(470),
    [sym_int_literal] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3167),
    [sym_raw_string_literal] = ACTIONS(3165),
    [anon_sym_PLUS] = ACTIONS(470),
    [sym_imaginary_literal] = ACTIONS(3165),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3167),
    [anon_sym_STAR] = ACTIONS(909),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_LT_DASH] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(470),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1274] = {
    [sym_struct_type] = STATE(1205),
    [sym_map_type] = STATE(1205),
    [sym_channel_type] = STATE(1205),
    [sym_pointer_type] = STATE(1205),
    [sym_array_type] = STATE(1205),
    [sym_interface_type] = STATE(1205),
    [sym_function_type] = STATE(1205),
    [sym_slice_type] = STATE(1205),
    [sym_parenthesized_type] = STATE(1205),
    [sym__simple_type] = STATE(1205),
    [sym_qualified_type] = STATE(1205),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [1275] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(1215),
    [sym_composite_literal] = STATE(1215),
    [sym_unary_expression] = STATE(1215),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1215),
    [sym__string_literal] = STATE(1215),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1215),
    [sym_call_expression] = STATE(1215),
    [sym_slice_expression] = STATE(1215),
    [sym_type_assertion_expression] = STATE(1215),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1215),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(1215),
    [sym_parenthesized_expression] = STATE(1215),
    [sym_selector_expression] = STATE(1215),
    [sym_index_expression] = STATE(1215),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(3169),
    [sym_false] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(3171),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(3171),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3171),
    [sym_raw_string_literal] = ACTIONS(3169),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(3169),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3171),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1276] = {
    [sym_qualified_type] = STATE(89),
    [sym_map_type] = STATE(89),
    [sym_channel_type] = STATE(92),
    [sym_type_conversion_expression] = STATE(1216),
    [sym_composite_literal] = STATE(1216),
    [sym_unary_expression] = STATE(1216),
    [sym_slice_type] = STATE(89),
    [sym_binary_expression] = STATE(1216),
    [sym__string_literal] = STATE(1216),
    [sym_implicit_length_array_type] = STATE(90),
    [sym_interpreted_string_literal] = STATE(1216),
    [sym_call_expression] = STATE(1216),
    [sym_slice_expression] = STATE(1216),
    [sym_type_assertion_expression] = STATE(1216),
    [sym_pointer_type] = STATE(92),
    [sym_array_type] = STATE(89),
    [sym_func_literal] = STATE(1216),
    [sym_interface_type] = STATE(92),
    [sym_function_type] = STATE(92),
    [sym__expression] = STATE(1216),
    [sym_parenthesized_expression] = STATE(1216),
    [sym_selector_expression] = STATE(1216),
    [sym_index_expression] = STATE(1216),
    [sym_parenthesized_type] = STATE(92),
    [sym__simple_type] = STATE(92),
    [sym_struct_type] = STATE(89),
    [sym_rune_literal] = ACTIONS(3173),
    [sym_false] = ACTIONS(3175),
    [anon_sym_DQUOTE] = ACTIONS(245),
    [anon_sym_make] = ACTIONS(243),
    [sym_float_literal] = ACTIONS(3175),
    [anon_sym_new] = ACTIONS(243),
    [anon_sym_DASH] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_CARET] = ACTIONS(237),
    [sym_int_literal] = ACTIONS(3175),
    [anon_sym_map] = ACTIONS(247),
    [sym_true] = ACTIONS(3175),
    [sym_raw_string_literal] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(237),
    [sym_imaginary_literal] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(239),
    [anon_sym_interface] = ACTIONS(75),
    [sym_nil] = ACTIONS(3175),
    [anon_sym_STAR] = ACTIONS(251),
    [sym_identifier] = ACTIONS(253),
    [anon_sym_func] = ACTIONS(255),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_LT_DASH] = ACTIONS(259),
    [anon_sym_AMP] = ACTIONS(237),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(235),
  },
  [1277] = {
    [anon_sym_LBRACK] = ACTIONS(3177),
    [sym_comment] = ACTIONS(3),
  },
  [1278] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(3179),
  },
  [1279] = {
    [sym_qualified_type] = STATE(1228),
    [sym_map_type] = STATE(1228),
    [sym_channel_type] = STATE(1228),
    [sym_slice_type] = STATE(1228),
    [sym_pointer_type] = STATE(1228),
    [sym_array_type] = STATE(1228),
    [sym_interface_type] = STATE(1228),
    [sym_function_type] = STATE(1228),
    [sym_parenthesized_type] = STATE(1228),
    [sym__simple_type] = STATE(1228),
    [sym_struct_type] = STATE(1228),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [1280] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(3181),
  },
  [1281] = {
    [sym_qualified_type] = STATE(1241),
    [sym_map_type] = STATE(1241),
    [sym_channel_type] = STATE(1241),
    [sym_slice_type] = STATE(1241),
    [sym_pointer_type] = STATE(1241),
    [sym_array_type] = STATE(1241),
    [sym_interface_type] = STATE(1241),
    [sym_function_type] = STATE(1241),
    [sym_parenthesized_type] = STATE(1241),
    [sym__simple_type] = STATE(1241),
    [sym_struct_type] = STATE(1241),
    [anon_sym_map] = ACTIONS(67),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_interface] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(77),
    [sym_identifier] = ACTIONS(163),
    [anon_sym_func] = ACTIONS(81),
    [anon_sym_LPAREN] = ACTIONS(83),
    [anon_sym_LT_DASH] = ACTIONS(85),
    [sym_comment] = ACTIONS(3),
    [anon_sym_struct] = ACTIONS(87),
    [anon_sym_chan] = ACTIONS(89),
  },
  [1282] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(3183),
  },
  [1283] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(3185),
  },
  [1284] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(3187),
  },
  [1285] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_LPAREN] = ACTIONS(3189),
  },
  [1286] = {
    [anon_sym_LBRACK] = ACTIONS(3191),
    [sym_comment] = ACTIONS(3),
  },
  [1287] = {
    [anon_sym_LBRACK] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = false}, RECOVER(),
  [3] = {.count = 1, .reusable = true}, SHIFT_EXTRA(),
  [5] = {.count = 1, .reusable = true}, REDUCE(sym_source_file, 0),
  [7] = {.count = 1, .reusable = true}, SHIFT(3),
  [9] = {.count = 1, .reusable = true}, SHIFT(4),
  [11] = {.count = 1, .reusable = true}, SHIFT(2),
  [13] = {.count = 1, .reusable = true}, SHIFT(6),
  [15] = {.count = 1, .reusable = true}, SHIFT(5),
  [17] = {.count = 1, .reusable = true}, SHIFT(7),
  [19] = {.count = 1, .reusable = true}, SHIFT(11),
  [21] = {.count = 1, .reusable = true}, SHIFT(12),
  [23] = {.count = 1, .reusable = true}, SHIFT(14),
  [25] = {.count = 1, .reusable = true}, SHIFT(15),
  [27] = {.count = 1, .reusable = false}, SHIFT(17),
  [29] = {.count = 1, .reusable = true}, SHIFT(18),
  [31] = {.count = 1, .reusable = true}, SHIFT(19),
  [33] = {.count = 1, .reusable = true}, SHIFT(20),
  [35] = {.count = 1, .reusable = false}, SHIFT(21),
  [37] = {.count = 1, .reusable = true}, SHIFT(23),
  [39] = {.count = 1, .reusable = true}, SHIFT(24),
  [41] = {.count = 1, .reusable = true}, SHIFT(25),
  [43] = {.count = 1, .reusable = true}, SHIFT(27),
  [45] = {.count = 1, .reusable = true}, SHIFT(28),
  [47] = {.count = 1, .reusable = true}, SHIFT(30),
  [49] = {.count = 1, .reusable = true}, REDUCE(sym_source_file, 1),
  [51] = {.count = 1, .reusable = true},  ACCEPT_INPUT(),
  [53] = {.count = 1, .reusable = false}, REDUCE(aux_sym_source_file_repeat1, 1),
  [55] = {.count = 1, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 1),
  [57] = {.count = 1, .reusable = true}, SHIFT(32),
  [59] = {.count = 1, .reusable = false}, SHIFT(32),
  [61] = {.count = 1, .reusable = false}, SHIFT_EXTRA(),
  [63] = {.count = 1, .reusable = true}, SHIFT(898),
  [65] = {.count = 1, .reusable = true}, SHIFT(35),
  [67] = {.count = 1, .reusable = false}, SHIFT(42),
  [69] = {.count = 1, .reusable = true}, SHIFT(44),
  [71] = {.count = 1, .reusable = true}, SHIFT(34),
  [73] = {.count = 1, .reusable = true}, SHIFT(36),
  [75] = {.count = 1, .reusable = false}, SHIFT(37),
  [77] = {.count = 1, .reusable = true}, SHIFT(38),
  [79] = {.count = 1, .reusable = false}, SHIFT(39),
  [81] = {.count = 1, .reusable = false}, SHIFT(40),
  [83] = {.count = 1, .reusable = true}, SHIFT(41),
  [85] = {.count = 1, .reusable = true}, SHIFT(43),
  [87] = {.count = 1, .reusable = false}, SHIFT(45),
  [89] = {.count = 1, .reusable = false}, SHIFT(46),
  [91] = {.count = 1, .reusable = true}, SHIFT(49),
  [93] = {.count = 1, .reusable = true}, SHIFT(908),
  [95] = {.count = 1, .reusable = false}, SHIFT(909),
  [97] = {.count = 1, .reusable = true}, SHIFT(50),
  [99] = {.count = 1, .reusable = true}, SHIFT(910),
  [101] = {.count = 1, .reusable = false}, SHIFT(51),
  [103] = {.count = 1, .reusable = false}, SHIFT(911),
  [105] = {.count = 1, .reusable = true}, SHIFT(1219),
  [107] = {.count = 1, .reusable = false}, SHIFT(1277),
  [109] = {.count = 1, .reusable = true}, SHIFT(912),
  [111] = {.count = 1, .reusable = false}, SHIFT(913),
  [113] = {.count = 1, .reusable = false}, SHIFT(914),
  [115] = {.count = 1, .reusable = true}, SHIFT(899),
  [117] = {.count = 1, .reusable = true}, SHIFT(53),
  [119] = {.count = 1, .reusable = false}, REDUCE(sym_type_declaration, 2),
  [121] = {.count = 1, .reusable = true}, REDUCE(sym_type_declaration, 2),
  [123] = {.count = 1, .reusable = true}, SHIFT(56),
  [125] = {.count = 1, .reusable = true}, REDUCE(sym_dot, 1),
  [127] = {.count = 1, .reusable = false}, SHIFT(901),
  [129] = {.count = 1, .reusable = true}, SHIFT(902),
  [131] = {.count = 1, .reusable = false}, SHIFT(903),
  [133] = {.count = 1, .reusable = true}, SHIFT(468),
  [135] = {.count = 1, .reusable = true}, SHIFT(57),
  [137] = {.count = 1, .reusable = false}, SHIFT(60),
  [139] = {.count = 1, .reusable = true}, SHIFT(61),
  [141] = {.count = 1, .reusable = true}, SHIFT(62),
  [143] = {.count = 1, .reusable = false}, REDUCE(sym_import_declaration, 2),
  [145] = {.count = 1, .reusable = true}, REDUCE(sym_import_declaration, 2),
  [147] = {.count = 1, .reusable = false}, REDUCE(sym_import_spec, 1),
  [149] = {.count = 1, .reusable = true}, REDUCE(sym_import_spec, 1),
  [151] = {.count = 1, .reusable = false}, SHIFT(63),
  [153] = {.count = 1, .reusable = false}, REDUCE(sym_const_spec, 1),
  [155] = {.count = 1, .reusable = true}, REDUCE(sym_const_spec, 1),
  [157] = {.count = 1, .reusable = false}, SHIFT(36),
  [159] = {.count = 1, .reusable = false}, SHIFT(64),
  [161] = {.count = 1, .reusable = false}, SHIFT(38),
  [163] = {.count = 1, .reusable = false}, SHIFT(473),
  [165] = {.count = 1, .reusable = false}, SHIFT(41),
  [167] = {.count = 1, .reusable = false}, SHIFT(43),
  [169] = {.count = 1, .reusable = true}, SHIFT(469),
  [171] = {.count = 1, .reusable = true}, SHIFT(67),
  [173] = {.count = 1, .reusable = false}, REDUCE(sym_const_declaration, 2),
  [175] = {.count = 1, .reusable = true}, REDUCE(sym_const_declaration, 2),
  [177] = {.count = 1, .reusable = true}, SHIFT(919),
  [179] = {.count = 1, .reusable = true}, SHIFT(70),
  [181] = {.count = 1, .reusable = true}, SHIFT(905),
  [183] = {.count = 1, .reusable = true}, SHIFT(73),
  [185] = {.count = 1, .reusable = false}, REDUCE(sym_var_declaration, 2),
  [187] = {.count = 1, .reusable = true}, REDUCE(sym_var_declaration, 2),
  [189] = {.count = 1, .reusable = false}, REDUCE(sym_package_clause, 2, .production_id = 1),
  [191] = {.count = 1, .reusable = true}, REDUCE(sym_package_clause, 2, .production_id = 1),
  [193] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3),
  [196] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4),
  [199] = {.count = 1, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2),
  [201] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(2),
  [204] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(6),
  [207] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(5),
  [210] = {.count = 2, .reusable = true}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(7),
  [213] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 3),
  [215] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 3),
  [217] = {.count = 1, .reusable = false}, SHIFT(76),
  [219] = {.count = 1, .reusable = false}, SHIFT(908),
  [221] = {.count = 1, .reusable = false}, SHIFT(910),
  [223] = {.count = 1, .reusable = false}, SHIFT(898),
  [225] = {.count = 1, .reusable = false}, SHIFT(912),
  [227] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_list, 2),
  [229] = {.count = 1, .reusable = false}, REDUCE(sym_parameter_list, 2),
  [231] = {.count = 1, .reusable = true}, SHIFT(79),
  [233] = {.count = 1, .reusable = true}, SHIFT(91),
  [235] = {.count = 1, .reusable = false}, SHIFT(1009),
  [237] = {.count = 1, .reusable = true}, SHIFT(80),
  [239] = {.count = 1, .reusable = true}, SHIFT(82),
  [241] = {.count = 1, .reusable = false}, SHIFT(91),
  [243] = {.count = 1, .reusable = false}, SHIFT(88),
  [245] = {.count = 1, .reusable = true}, SHIFT(1003),
  [247] = {.count = 1, .reusable = false}, SHIFT(1286),
  [249] = {.count = 1, .reusable = true}, SHIFT(81),
  [251] = {.count = 1, .reusable = true}, SHIFT(83),
  [253] = {.count = 1, .reusable = false}, SHIFT(84),
  [255] = {.count = 1, .reusable = false}, SHIFT(85),
  [257] = {.count = 1, .reusable = true}, SHIFT(86),
  [259] = {.count = 1, .reusable = true}, SHIFT(87),
  [261] = {.count = 1, .reusable = true}, SHIFT(93),
  [263] = {.count = 2, .reusable = true}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 2), SHIFT(919),
  [266] = {.count = 1, .reusable = true}, SHIFT(97),
  [268] = {.count = 1, .reusable = true}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 2),
  [270] = {.count = 1, .reusable = false}, SHIFT(96),
  [272] = {.count = 1, .reusable = true}, SHIFT(102),
  [274] = {.count = 1, .reusable = true}, SHIFT(103),
  [276] = {.count = 1, .reusable = true}, SHIFT(105),
  [278] = {.count = 1, .reusable = true}, SHIFT(107),
  [280] = {.count = 1, .reusable = true}, SHIFT(109),
  [282] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_declaration, 1),
  [284] = {.count = 1, .reusable = false}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 2),
  [286] = {.count = 1, .reusable = false}, SHIFT(931),
  [288] = {.count = 1, .reusable = false}, REDUCE(sym_type_spec, 2, .production_id = 2),
  [290] = {.count = 1, .reusable = true}, REDUCE(sym_type_spec, 2, .production_id = 2),
  [292] = {.count = 1, .reusable = false}, REDUCE(sym_type_declaration, 3),
  [294] = {.count = 1, .reusable = true}, REDUCE(sym_type_declaration, 3),
  [296] = {.count = 1, .reusable = true}, SHIFT(113),
  [298] = {.count = 1, .reusable = true}, SHIFT(115),
  [300] = {.count = 1, .reusable = false}, SHIFT(115),
  [302] = {.count = 1, .reusable = false}, REDUCE(sym_import_spec, 2, .production_id = 3),
  [304] = {.count = 1, .reusable = true}, REDUCE(sym_import_spec, 2, .production_id = 3),
  [306] = {.count = 1, .reusable = false}, REDUCE(sym_import_spec_list, 2),
  [308] = {.count = 1, .reusable = true}, REDUCE(sym_import_spec_list, 2),
  [310] = {.count = 1, .reusable = true}, SHIFT(116),
  [312] = {.count = 1, .reusable = false}, SHIFT(116),
  [314] = {.count = 1, .reusable = true}, SHIFT(117),
  [316] = {.count = 1, .reusable = false}, REDUCE(sym_interpreted_string_literal, 2),
  [318] = {.count = 1, .reusable = true}, REDUCE(sym_interpreted_string_literal, 2),
  [320] = {.count = 1, .reusable = false}, SHIFT(119),
  [322] = {.count = 1, .reusable = true}, SHIFT(120),
  [324] = {.count = 1, .reusable = false}, REDUCE(sym_import_spec, 2),
  [326] = {.count = 1, .reusable = true}, REDUCE(sym_import_spec, 2),
  [328] = {.count = 1, .reusable = true}, SHIFT(121),
  [330] = {.count = 1, .reusable = true}, SHIFT(123),
  [332] = {.count = 1, .reusable = false}, SHIFT(123),
  [334] = {.count = 1, .reusable = false}, SHIFT(492),
  [336] = {.count = 1, .reusable = true}, SHIFT(487),
  [338] = {.count = 1, .reusable = true}, SHIFT(489),
  [340] = {.count = 1, .reusable = false}, SHIFT(490),
  [342] = {.count = 1, .reusable = false}, SHIFT(1221),
  [344] = {.count = 1, .reusable = true}, SHIFT(1222),
  [346] = {.count = 1, .reusable = true}, SHIFT(491),
  [348] = {.count = 1, .reusable = false}, REDUCE(sym_const_spec, 2),
  [350] = {.count = 1, .reusable = true}, REDUCE(sym_const_spec, 2),
  [352] = {.count = 1, .reusable = false}, SHIFT(124),
  [354] = {.count = 1, .reusable = true}, SHIFT(124),
  [356] = {.count = 1, .reusable = false}, REDUCE(sym_const_declaration, 3),
  [358] = {.count = 1, .reusable = true}, REDUCE(sym_const_declaration, 3),
  [360] = {.count = 1, .reusable = true}, SHIFT(127),
  [362] = {.count = 1, .reusable = true}, SHIFT(129),
  [364] = {.count = 1, .reusable = false}, SHIFT(129),
  [366] = {.count = 1, .reusable = true}, SHIFT(131),
  [368] = {.count = 1, .reusable = false}, REDUCE(sym_var_spec, 2),
  [370] = {.count = 1, .reusable = true}, REDUCE(sym_var_spec, 2),
  [372] = {.count = 1, .reusable = false}, SHIFT(131),
  [374] = {.count = 1, .reusable = false}, REDUCE(sym_var_declaration, 3),
  [376] = {.count = 1, .reusable = true}, REDUCE(sym_var_declaration, 3),
  [378] = {.count = 1, .reusable = true}, SHIFT(133),
  [380] = {.count = 1, .reusable = false}, SHIFT(133),
  [382] = {.count = 1, .reusable = true}, SHIFT(134),
  [384] = {.count = 1, .reusable = true}, SHIFT(153),
  [386] = {.count = 1, .reusable = false}, SHIFT(137),
  [388] = {.count = 1, .reusable = true}, SHIFT(602),
  [390] = {.count = 1, .reusable = false}, SHIFT(140),
  [392] = {.count = 1, .reusable = false}, SHIFT(896),
  [394] = {.count = 1, .reusable = false}, SHIFT(153),
  [396] = {.count = 1, .reusable = false}, SHIFT(142),
  [398] = {.count = 1, .reusable = false}, SHIFT(606),
  [400] = {.count = 1, .reusable = false}, SHIFT(145),
  [402] = {.count = 1, .reusable = false}, SHIFT(1235),
  [404] = {.count = 1, .reusable = true}, SHIFT(1236),
  [406] = {.count = 1, .reusable = true}, SHIFT(605),
  [408] = {.count = 1, .reusable = true}, SHIFT(138),
  [410] = {.count = 1, .reusable = false}, SHIFT(136),
  [412] = {.count = 1, .reusable = false}, SHIFT(139),
  [414] = {.count = 1, .reusable = false}, SHIFT(897),
  [416] = {.count = 1, .reusable = true}, SHIFT(923),
  [418] = {.count = 1, .reusable = false}, SHIFT(141),
  [420] = {.count = 1, .reusable = false}, SHIFT(143),
  [422] = {.count = 1, .reusable = false}, SHIFT(895),
  [424] = {.count = 1, .reusable = false}, SHIFT(144),
  [426] = {.count = 1, .reusable = false}, SHIFT(146),
  [428] = {.count = 1, .reusable = false}, SHIFT(147),
  [430] = {.count = 1, .reusable = true}, SHIFT(603),
  [432] = {.count = 1, .reusable = false}, SHIFT(148),
  [434] = {.count = 1, .reusable = true}, SHIFT(149),
  [436] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 4),
  [438] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 4),
  [440] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_list, 3),
  [442] = {.count = 1, .reusable = false}, REDUCE(sym_parameter_list, 3),
  [444] = {.count = 1, .reusable = true}, SHIFT(155),
  [446] = {.count = 1, .reusable = false}, SHIFT(155),
  [448] = {.count = 1, .reusable = true}, SHIFT(1223),
  [450] = {.count = 1, .reusable = true}, SHIFT(157),
  [452] = {.count = 1, .reusable = false}, SHIFT(1223),
  [454] = {.count = 1, .reusable = true}, SHIFT(925),
  [456] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1),
  [458] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1),
  [460] = {.count = 2, .reusable = true}, REDUCE(sym__expression, 1), SHIFT(96),
  [463] = {.count = 2, .reusable = true}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 2), REDUCE(sym__expression, 1),
  [466] = {.count = 1, .reusable = true}, SHIFT(159),
  [468] = {.count = 1, .reusable = true}, SHIFT(162),
  [470] = {.count = 1, .reusable = true}, SHIFT(924),
  [472] = {.count = 1, .reusable = false}, SHIFT(162),
  [474] = {.count = 1, .reusable = true}, SHIFT(926),
  [476] = {.count = 1, .reusable = true}, SHIFT(690),
  [478] = {.count = 1, .reusable = false}, SHIFT(164),
  [480] = {.count = 1, .reusable = true}, SHIFT(165),
  [482] = {.count = 1, .reusable = true}, REDUCE(sym__simple_type, 1),
  [484] = {.count = 1, .reusable = true}, SHIFT(169),
  [486] = {.count = 1, .reusable = true}, SHIFT(170),
  [488] = {.count = 1, .reusable = true}, SHIFT(172),
  [490] = {.count = 1, .reusable = false}, SHIFT(168),
  [492] = {.count = 1, .reusable = true}, SHIFT(168),
  [494] = {.count = 1, .reusable = true}, SHIFT(173),
  [496] = {.count = 1, .reusable = true}, SHIFT(174),
  [498] = {.count = 1, .reusable = false}, SHIFT(170),
  [500] = {.count = 1, .reusable = false}, SHIFT(169),
  [502] = {.count = 1, .reusable = true}, SHIFT(171),
  [504] = {.count = 1, .reusable = true}, SHIFT(175),
  [506] = {.count = 1, .reusable = true}, SHIFT(176),
  [508] = {.count = 1, .reusable = true}, SHIFT(177),
  [510] = {.count = 1, .reusable = true}, SHIFT(178),
  [512] = {.count = 1, .reusable = true}, SHIFT(179),
  [514] = {.count = 1, .reusable = true}, REDUCE(sym_interface_type, 2),
  [516] = {.count = 1, .reusable = true}, REDUCE(sym_pointer_type, 2),
  [518] = {.count = 1, .reusable = true}, SHIFT(181),
  [520] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_declaration, 2),
  [522] = {.count = 1, .reusable = true}, REDUCE(sym_function_type, 2),
  [524] = {.count = 1, .reusable = true}, SHIFT(185),
  [526] = {.count = 1, .reusable = true}, REDUCE(sym_variadic_parameter_declaration, 2),
  [528] = {.count = 1, .reusable = true}, SHIFT(188),
  [530] = {.count = 1, .reusable = true}, SHIFT(189),
  [532] = {.count = 1, .reusable = true}, SHIFT(190),
  [534] = {.count = 1, .reusable = true}, REDUCE(sym_struct_type, 2),
  [536] = {.count = 1, .reusable = false}, SHIFT(944),
  [538] = {.count = 1, .reusable = true}, REDUCE(sym_channel_type, 2),
  [540] = {.count = 1, .reusable = true}, SHIFT(194),
  [542] = {.count = 1, .reusable = true}, SHIFT(196),
  [544] = {.count = 1, .reusable = false}, REDUCE(sym_method_declaration, 4, .production_id = 4),
  [546] = {.count = 1, .reusable = true}, REDUCE(sym_method_declaration, 4, .production_id = 4),
  [548] = {.count = 1, .reusable = false}, REDUCE(sym_type_alias, 3, .production_id = 2),
  [550] = {.count = 1, .reusable = true}, REDUCE(sym_type_alias, 3, .production_id = 2),
  [552] = {.count = 1, .reusable = false}, REDUCE(sym_type_declaration, 4),
  [554] = {.count = 1, .reusable = true}, REDUCE(sym_type_declaration, 4),
  [556] = {.count = 2, .reusable = true}, REDUCE(aux_sym_type_declaration_repeat1, 2), SHIFT_REPEAT(899),
  [559] = {.count = 1, .reusable = true}, REDUCE(aux_sym_type_declaration_repeat1, 2),
  [561] = {.count = 1, .reusable = true}, REDUCE(aux_sym_import_spec_list_repeat1, 2),
  [563] = {.count = 1, .reusable = false}, REDUCE(aux_sym_import_spec_list_repeat1, 2),
  [565] = {.count = 1, .reusable = false}, REDUCE(sym_import_spec_list, 3),
  [567] = {.count = 1, .reusable = true}, REDUCE(sym_import_spec_list, 3),
  [569] = {.count = 2, .reusable = true}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(18),
  [572] = {.count = 2, .reusable = false}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(901),
  [575] = {.count = 2, .reusable = true}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(902),
  [578] = {.count = 2, .reusable = false}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(903),
  [581] = {.count = 2, .reusable = true}, REDUCE(aux_sym_import_spec_list_repeat1, 2), SHIFT_REPEAT(468),
  [584] = {.count = 1, .reusable = false}, REDUCE(sym_interpreted_string_literal, 3),
  [586] = {.count = 1, .reusable = true}, REDUCE(sym_interpreted_string_literal, 3),
  [588] = {.count = 1, .reusable = false}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2),
  [590] = {.count = 2, .reusable = true}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2), SHIFT_REPEAT(120),
  [593] = {.count = 1, .reusable = false}, REDUCE(aux_sym_const_spec_repeat1, 2),
  [595] = {.count = 1, .reusable = true}, REDUCE(aux_sym_const_spec_repeat1, 2),
  [597] = {.count = 1, .reusable = false}, REDUCE(sym_const_spec, 3),
  [599] = {.count = 1, .reusable = true}, REDUCE(sym_const_spec, 3),
  [601] = {.count = 1, .reusable = false}, SHIFT(522),
  [603] = {.count = 1, .reusable = false}, SHIFT(523),
  [605] = {.count = 1, .reusable = false}, REDUCE(sym_expression_list, 1),
  [607] = {.count = 1, .reusable = false}, SHIFT(525),
  [609] = {.count = 1, .reusable = false}, SHIFT(521),
  [611] = {.count = 1, .reusable = false}, SHIFT(946),
  [613] = {.count = 1, .reusable = false}, SHIFT(1226),
  [615] = {.count = 1, .reusable = false}, SHIFT(200),
  [617] = {.count = 1, .reusable = true}, REDUCE(sym_expression_list, 1),
  [619] = {.count = 1, .reusable = false}, SHIFT(526),
  [621] = {.count = 1, .reusable = false}, SHIFT(947),
  [623] = {.count = 2, .reusable = false}, REDUCE(aux_sym_const_spec_repeat1, 2), SHIFT_REPEAT(63),
  [626] = {.count = 1, .reusable = true}, SHIFT(203),
  [628] = {.count = 1, .reusable = false}, REDUCE(sym_const_declaration, 4),
  [630] = {.count = 1, .reusable = true}, REDUCE(sym_const_declaration, 4),
  [632] = {.count = 2, .reusable = true}, REDUCE(aux_sym_const_declaration_repeat1, 2), SHIFT_REPEAT(469),
  [635] = {.count = 1, .reusable = true}, REDUCE(aux_sym_const_declaration_repeat1, 2),
  [637] = {.count = 1, .reusable = false}, REDUCE(sym_var_spec, 3),
  [639] = {.count = 1, .reusable = true}, REDUCE(sym_var_spec, 3),
  [641] = {.count = 1, .reusable = false}, SHIFT(205),
  [643] = {.count = 1, .reusable = true}, REDUCE(aux_sym_var_declaration_repeat1, 2),
  [645] = {.count = 1, .reusable = false}, REDUCE(sym_var_declaration, 4),
  [647] = {.count = 1, .reusable = true}, REDUCE(sym_var_declaration, 4),
  [649] = {.count = 2, .reusable = true}, REDUCE(aux_sym_var_declaration_repeat1, 2), SHIFT_REPEAT(905),
  [652] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 1),
  [654] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 1),
  [656] = {.count = 1, .reusable = false}, SHIFT(206),
  [658] = {.count = 1, .reusable = true}, SHIFT(207),
  [660] = {.count = 1, .reusable = true}, SHIFT(687),
  [662] = {.count = 1, .reusable = false}, SHIFT(207),
  [664] = {.count = 1, .reusable = false}, SHIFT(691),
  [666] = {.count = 1, .reusable = true}, SHIFT(1074),
  [668] = {.count = 1, .reusable = true}, SHIFT(688),
  [670] = {.count = 1, .reusable = false}, SHIFT(604),
  [672] = {.count = 1, .reusable = false}, SHIFT(1245),
  [674] = {.count = 1, .reusable = true}, SHIFT(1246),
  [676] = {.count = 1, .reusable = true}, SHIFT(743),
  [678] = {.count = 1, .reusable = false}, REDUCE(sym_block, 2),
  [680] = {.count = 1, .reusable = true}, REDUCE(sym_block, 2),
  [682] = {.count = 1, .reusable = true}, SHIFT(212),
  [684] = {.count = 1, .reusable = false}, SHIFT(212),
  [686] = {.count = 1, .reusable = true}, SHIFT(740),
  [688] = {.count = 1, .reusable = false}, SHIFT(744),
  [690] = {.count = 1, .reusable = false}, SHIFT(208),
  [692] = {.count = 1, .reusable = true}, SHIFT(1112),
  [694] = {.count = 1, .reusable = true}, SHIFT(741),
  [696] = {.count = 1, .reusable = false}, SHIFT(742),
  [698] = {.count = 1, .reusable = true}, SHIFT(209),
  [700] = {.count = 1, .reusable = true}, SHIFT(1254),
  [702] = {.count = 1, .reusable = false}, SHIFT(1253),
  [704] = {.count = 1, .reusable = true}, SHIFT(793),
  [706] = {.count = 1, .reusable = true}, SHIFT(215),
  [708] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 1),
  [710] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 1),
  [712] = {.count = 1, .reusable = false}, SHIFT(216),
  [714] = {.count = 1, .reusable = true}, SHIFT(217),
  [716] = {.count = 1, .reusable = false}, SHIFT(217),
  [718] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 1),
  [720] = {.count = 1, .reusable = false}, SHIFT(505),
  [722] = {.count = 1, .reusable = false}, SHIFT(687),
  [724] = {.count = 1, .reusable = false}, SHIFT(82),
  [726] = {.count = 1, .reusable = false}, SHIFT(1074),
  [728] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 1),
  [730] = {.count = 1, .reusable = false}, SHIFT(688),
  [732] = {.count = 1, .reusable = false}, SHIFT(1246),
  [734] = {.count = 1, .reusable = false}, SHIFT(743),
  [736] = {.count = 1, .reusable = true}, SHIFT(221),
  [738] = {.count = 1, .reusable = false}, REDUCE(sym_fallthrough_statement, 1),
  [740] = {.count = 1, .reusable = true}, REDUCE(sym_fallthrough_statement, 1),
  [742] = {.count = 1, .reusable = true}, SHIFT(222),
  [744] = {.count = 1, .reusable = false}, SHIFT(222),
  [746] = {.count = 1, .reusable = true}, SHIFT(226),
  [748] = {.count = 1, .reusable = true}, SHIFT(223),
  [750] = {.count = 1, .reusable = false}, SHIFT(226),
  [752] = {.count = 2, .reusable = false}, REDUCE(sym__expression, 1), SHIFT(96),
  [755] = {.count = 2, .reusable = false}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 2), REDUCE(sym__expression, 1),
  [758] = {.count = 1, .reusable = false}, SHIFT(1029),
  [760] = {.count = 1, .reusable = false}, SHIFT(228),
  [762] = {.count = 1, .reusable = false}, REDUCE(sym_empty_statement, 1),
  [764] = {.count = 1, .reusable = true}, REDUCE(sym_empty_statement, 1),
  [766] = {.count = 1, .reusable = true}, SHIFT(229),
  [768] = {.count = 1, .reusable = true}, SHIFT(230),
  [770] = {.count = 1, .reusable = false}, REDUCE(sym__statement_list, 1),
  [772] = {.count = 1, .reusable = false}, SHIFT(231),
  [774] = {.count = 1, .reusable = true}, SHIFT(231),
  [776] = {.count = 1, .reusable = true}, SHIFT(233),
  [778] = {.count = 1, .reusable = false}, SHIFT(623),
  [780] = {.count = 1, .reusable = false}, SHIFT(625),
  [782] = {.count = 1, .reusable = false}, SHIFT(622),
  [784] = {.count = 1, .reusable = false}, SHIFT(1034),
  [786] = {.count = 1, .reusable = false}, SHIFT(1239),
  [788] = {.count = 1, .reusable = false}, SHIFT(624),
  [790] = {.count = 1, .reusable = false}, SHIFT(535),
  [792] = {.count = 1, .reusable = false}, SHIFT(1035),
  [794] = {.count = 1, .reusable = false}, SHIFT(236),
  [796] = {.count = 1, .reusable = false}, REDUCE(sym__simple_statement, 1),
  [798] = {.count = 1, .reusable = true}, REDUCE(sym__simple_statement, 1),
  [800] = {.count = 1, .reusable = false}, SHIFT(234),
  [802] = {.count = 1, .reusable = false}, SHIFT(626),
  [804] = {.count = 1, .reusable = false}, SHIFT(235),
  [806] = {.count = 1, .reusable = false}, REDUCE(sym_function_declaration, 5),
  [808] = {.count = 1, .reusable = true}, REDUCE(sym_function_declaration, 5),
  [810] = {.count = 1, .reusable = true}, REDUCE(sym_unary_expression, 2),
  [812] = {.count = 1, .reusable = false}, REDUCE(sym_unary_expression, 2),
  [814] = {.count = 1, .reusable = false}, SHIFT(173),
  [816] = {.count = 1, .reusable = true}, REDUCE(sym_slice_type, 3),
  [818] = {.count = 1, .reusable = true}, SHIFT(237),
  [820] = {.count = 1, .reusable = true}, SHIFT(240),
  [822] = {.count = 1, .reusable = true}, SHIFT(238),
  [824] = {.count = 1, .reusable = false}, SHIFT(240),
  [826] = {.count = 1, .reusable = false}, SHIFT(239),
  [828] = {.count = 1, .reusable = true}, REDUCE(sym_composite_literal, 2, .production_id = 2),
  [830] = {.count = 1, .reusable = false}, REDUCE(sym_composite_literal, 2, .production_id = 2),
  [832] = {.count = 1, .reusable = true}, SHIFT(1013),
  [834] = {.count = 1, .reusable = true}, SHIFT(1232),
  [836] = {.count = 1, .reusable = true}, SHIFT(1218),
  [838] = {.count = 1, .reusable = false}, SHIFT(1075),
  [840] = {.count = 2, .reusable = true}, REDUCE(sym_function_type, 2), SHIFT(12),
  [843] = {.count = 1, .reusable = true}, SHIFT(1234),
  [845] = {.count = 1, .reusable = true}, SHIFT(701),
  [847] = {.count = 1, .reusable = true}, SHIFT(702),
  [849] = {.count = 1, .reusable = true}, SHIFT(703),
  [851] = {.count = 1, .reusable = false}, SHIFT(700),
  [853] = {.count = 1, .reusable = true}, SHIFT(700),
  [855] = {.count = 1, .reusable = true}, SHIFT(245),
  [857] = {.count = 1, .reusable = false}, SHIFT(702),
  [859] = {.count = 1, .reusable = false}, SHIFT(701),
  [861] = {.count = 1, .reusable = true}, SHIFT(704),
  [863] = {.count = 1, .reusable = true}, SHIFT(935),
  [865] = {.count = 1, .reusable = true}, REDUCE(sym_call_expression, 2),
  [867] = {.count = 1, .reusable = false}, REDUCE(sym_call_expression, 2),
  [869] = {.count = 1, .reusable = true}, REDUCE(sym_composite_literal, 2),
  [871] = {.count = 1, .reusable = false}, REDUCE(sym_composite_literal, 2),
  [873] = {.count = 1, .reusable = true}, SHIFT(248),
  [875] = {.count = 1, .reusable = false}, SHIFT(248),
  [877] = {.count = 1, .reusable = true}, SHIFT(249),
  [879] = {.count = 1, .reusable = false}, SHIFT(249),
  [881] = {.count = 1, .reusable = true}, SHIFT(250),
  [883] = {.count = 1, .reusable = false}, SHIFT(250),
  [885] = {.count = 1, .reusable = true}, SHIFT(252),
  [887] = {.count = 1, .reusable = false}, SHIFT(252),
  [889] = {.count = 1, .reusable = true}, SHIFT(253),
  [891] = {.count = 1, .reusable = true}, SHIFT(254),
  [893] = {.count = 1, .reusable = true}, SHIFT(256),
  [895] = {.count = 1, .reusable = false}, SHIFT(256),
  [897] = {.count = 1, .reusable = true}, SHIFT(255),
  [899] = {.count = 1, .reusable = true}, SHIFT(257),
  [901] = {.count = 1, .reusable = false}, SHIFT(257),
  [903] = {.count = 1, .reusable = true}, SHIFT(260),
  [905] = {.count = 1, .reusable = true}, SHIFT(258),
  [907] = {.count = 1, .reusable = false}, SHIFT(260),
  [909] = {.count = 1, .reusable = true}, SHIFT(1016),
  [911] = {.count = 1, .reusable = false}, SHIFT(894),
  [913] = {.count = 1, .reusable = true}, SHIFT(261),
  [915] = {.count = 1, .reusable = false}, SHIFT(261),
  [917] = {.count = 1, .reusable = false}, SHIFT(1020),
  [919] = {.count = 1, .reusable = false}, SHIFT(263),
  [921] = {.count = 1, .reusable = true}, SHIFT(262),
  [923] = {.count = 1, .reusable = false}, SHIFT(262),
  [925] = {.count = 1, .reusable = false}, SHIFT(1002),
  [927] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 2),
  [929] = {.count = 1, .reusable = false}, SHIFT(267),
  [931] = {.count = 1, .reusable = false}, SHIFT(266),
  [933] = {.count = 1, .reusable = true}, SHIFT(266),
  [935] = {.count = 1, .reusable = true}, REDUCE(sym_qualified_type, 3, .production_id = 5),
  [937] = {.count = 1, .reusable = true}, REDUCE(sym_variadic_parameter_declaration, 3),
  [939] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_declaration, 3),
  [941] = {.count = 1, .reusable = true}, REDUCE(sym_function_type, 3),
  [943] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_type, 3),
  [945] = {.count = 1, .reusable = true}, SHIFT(269),
  [947] = {.count = 1, .reusable = true}, REDUCE(sym_channel_type, 3),
  [949] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 1, .production_id = 2),
  [951] = {.count = 1, .reusable = false}, SHIFT(270),
  [953] = {.count = 1, .reusable = false}, SHIFT(902),
  [955] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 1, .production_id = 2),
  [957] = {.count = 1, .reusable = false}, SHIFT(1287),
  [959] = {.count = 1, .reusable = false}, SHIFT(272),
  [961] = {.count = 1, .reusable = false}, SHIFT(1217),
  [963] = {.count = 1, .reusable = false}, SHIFT(1005),
  [965] = {.count = 1, .reusable = false}, SHIFT(1006),
  [967] = {.count = 1, .reusable = false}, SHIFT(599),
  [969] = {.count = 1, .reusable = false}, SHIFT(1007),
  [971] = {.count = 1, .reusable = false}, SHIFT(1233),
  [973] = {.count = 1, .reusable = false}, SHIFT(1220),
  [975] = {.count = 1, .reusable = false}, SHIFT(1008),
  [977] = {.count = 1, .reusable = false}, SHIFT(1076),
  [979] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration_list, 2),
  [981] = {.count = 1, .reusable = true}, SHIFT(274),
  [983] = {.count = 1, .reusable = false}, SHIFT(277),
  [985] = {.count = 1, .reusable = false}, SHIFT(276),
  [987] = {.count = 1, .reusable = true}, SHIFT(276),
  [989] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 1),
  [991] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 1),
  [993] = {.count = 1, .reusable = false}, SHIFT(279),
  [995] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_list, 4),
  [997] = {.count = 1, .reusable = false}, REDUCE(sym_parameter_list, 4),
  [999] = {.count = 1, .reusable = true}, REDUCE(aux_sym_parameter_list_repeat1, 2),
  [1001] = {.count = 1, .reusable = true}, SHIFT(280),
  [1003] = {.count = 2, .reusable = true}, REDUCE(aux_sym_parameter_list_repeat1, 2), SHIFT_REPEAT(281),
  [1006] = {.count = 1, .reusable = false}, REDUCE(sym_method_declaration, 5, .production_id = 4),
  [1008] = {.count = 1, .reusable = true}, REDUCE(sym_method_declaration, 5, .production_id = 4),
  [1010] = {.count = 1, .reusable = true}, SHIFT(283),
  [1012] = {.count = 1, .reusable = false}, SHIFT(283),
  [1014] = {.count = 1, .reusable = false}, REDUCE(sym_expression_list, 2),
  [1016] = {.count = 1, .reusable = true}, REDUCE(sym_expression_list, 2),
  [1018] = {.count = 1, .reusable = false}, REDUCE(sym_const_spec, 4),
  [1020] = {.count = 1, .reusable = true}, REDUCE(sym_const_spec, 4),
  [1022] = {.count = 1, .reusable = false}, REDUCE(sym_var_spec, 4),
  [1024] = {.count = 1, .reusable = true}, REDUCE(sym_var_spec, 4),
  [1026] = {.count = 1, .reusable = false}, REDUCE(sym_break_statement, 2, .production_id = 6),
  [1028] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 2, .production_id = 6),
  [1030] = {.count = 1, .reusable = false}, REDUCE(sym_defer_statement, 2),
  [1032] = {.count = 1, .reusable = false}, SHIFT(752),
  [1034] = {.count = 1, .reusable = false}, SHIFT(753),
  [1036] = {.count = 1, .reusable = false}, SHIFT(754),
  [1038] = {.count = 1, .reusable = false}, SHIFT(751),
  [1040] = {.count = 1, .reusable = false}, SHIFT(1086),
  [1042] = {.count = 1, .reusable = false}, SHIFT(1248),
  [1044] = {.count = 1, .reusable = true}, REDUCE(sym_defer_statement, 2),
  [1046] = {.count = 1, .reusable = false}, SHIFT(755),
  [1048] = {.count = 1, .reusable = false}, SHIFT(1087),
  [1050] = {.count = 1, .reusable = true}, SHIFT(287),
  [1052] = {.count = 1, .reusable = false}, SHIFT(287),
  [1054] = {.count = 1, .reusable = true}, SHIFT(1014),
  [1056] = {.count = 1, .reusable = true}, SHIFT(1079),
  [1058] = {.count = 1, .reusable = false}, SHIFT(792),
  [1060] = {.count = 1, .reusable = true}, SHIFT(989),
  [1062] = {.count = 1, .reusable = true}, SHIFT(289),
  [1064] = {.count = 1, .reusable = false}, SHIFT(289),
  [1066] = {.count = 1, .reusable = true}, SHIFT(288),
  [1068] = {.count = 1, .reusable = true}, SHIFT(541),
  [1070] = {.count = 1, .reusable = true}, SHIFT(291),
  [1072] = {.count = 1, .reusable = true}, SHIFT(292),
  [1074] = {.count = 1, .reusable = false}, SHIFT(802),
  [1076] = {.count = 1, .reusable = true}, SHIFT(804),
  [1078] = {.count = 1, .reusable = true}, SHIFT(801),
  [1080] = {.count = 1, .reusable = true}, SHIFT(1121),
  [1082] = {.count = 1, .reusable = true}, SHIFT(1256),
  [1084] = {.count = 1, .reusable = false}, SHIFT(803),
  [1086] = {.count = 1, .reusable = true}, SHIFT(535),
  [1088] = {.count = 1, .reusable = true}, SHIFT(1122),
  [1090] = {.count = 1, .reusable = true}, SHIFT(546),
  [1092] = {.count = 1, .reusable = false}, SHIFT(801),
  [1094] = {.count = 1, .reusable = true}, SHIFT(544),
  [1096] = {.count = 1, .reusable = true}, SHIFT(805),
  [1098] = {.count = 1, .reusable = true}, SHIFT(545),
  [1100] = {.count = 1, .reusable = true}, SHIFT(293),
  [1102] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 2),
  [1104] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 2),
  [1106] = {.count = 1, .reusable = true}, SHIFT(294),
  [1108] = {.count = 1, .reusable = true}, SHIFT(296),
  [1110] = {.count = 1, .reusable = true}, SHIFT(295),
  [1112] = {.count = 1, .reusable = false}, REDUCE(sym_continue_statement, 2, .production_id = 6),
  [1114] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 2, .production_id = 6),
  [1116] = {.count = 1, .reusable = true}, SHIFT(300),
  [1118] = {.count = 1, .reusable = true}, SHIFT(301),
  [1120] = {.count = 1, .reusable = false}, SHIFT(301),
  [1122] = {.count = 1, .reusable = false}, REDUCE(sym_return_statement, 2),
  [1124] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 2),
  [1126] = {.count = 1, .reusable = false}, REDUCE(sym_goto_statement, 2, .production_id = 6),
  [1128] = {.count = 1, .reusable = true}, REDUCE(sym_goto_statement, 2, .production_id = 6),
  [1130] = {.count = 1, .reusable = false}, REDUCE(sym_go_statement, 2),
  [1132] = {.count = 1, .reusable = true}, REDUCE(sym_go_statement, 2),
  [1134] = {.count = 1, .reusable = true}, SHIFT(302),
  [1136] = {.count = 1, .reusable = true}, SHIFT(303),
  [1138] = {.count = 1, .reusable = true}, SHIFT(306),
  [1140] = {.count = 1, .reusable = true}, SHIFT(307),
  [1142] = {.count = 1, .reusable = true}, SHIFT(308),
  [1144] = {.count = 1, .reusable = true}, SHIFT(309),
  [1146] = {.count = 1, .reusable = true}, SHIFT(310),
  [1148] = {.count = 1, .reusable = true}, REDUCE(sym_empty_labeled_statement, 2, .production_id = 7),
  [1150] = {.count = 1, .reusable = false}, REDUCE(sym_empty_labeled_statement, 2, .production_id = 7),
  [1152] = {.count = 1, .reusable = false}, SHIFT(311),
  [1154] = {.count = 1, .reusable = true}, SHIFT(505),
  [1156] = {.count = 1, .reusable = true}, REDUCE(sym__statement_list, 2),
  [1158] = {.count = 1, .reusable = false}, REDUCE(sym__statement_list, 2),
  [1160] = {.count = 1, .reusable = false}, SHIFT(317),
  [1162] = {.count = 1, .reusable = true}, SHIFT(317),
  [1164] = {.count = 1, .reusable = false}, REDUCE(sym_block, 3),
  [1166] = {.count = 1, .reusable = true}, REDUCE(sym_block, 3),
  [1168] = {.count = 1, .reusable = false}, REDUCE(sym_inc_statement, 2),
  [1170] = {.count = 1, .reusable = true}, REDUCE(sym_inc_statement, 2),
  [1172] = {.count = 1, .reusable = false}, REDUCE(sym_dec_statement, 2),
  [1174] = {.count = 1, .reusable = true}, REDUCE(sym_dec_statement, 2),
  [1176] = {.count = 1, .reusable = true}, SHIFT(319),
  [1178] = {.count = 1, .reusable = false}, SHIFT(319),
  [1180] = {.count = 1, .reusable = true}, REDUCE(sym_literal_value, 2),
  [1182] = {.count = 1, .reusable = false}, REDUCE(sym_literal_value, 2),
  [1184] = {.count = 1, .reusable = true}, SHIFT(321),
  [1186] = {.count = 1, .reusable = true}, REDUCE(sym_element, 1),
  [1188] = {.count = 1, .reusable = true}, SHIFT(322),
  [1190] = {.count = 1, .reusable = true}, SHIFT(323),
  [1192] = {.count = 1, .reusable = true}, SHIFT(324),
  [1194] = {.count = 1, .reusable = true}, REDUCE(sym_func_literal, 3),
  [1196] = {.count = 1, .reusable = false}, REDUCE(sym_func_literal, 3),
  [1198] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_expression, 3),
  [1200] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_expression, 3),
  [1202] = {.count = 1, .reusable = true}, SHIFT(327),
  [1204] = {.count = 1, .reusable = true}, SHIFT(328),
  [1206] = {.count = 1, .reusable = true}, REDUCE(sym_binary_expression, 3),
  [1208] = {.count = 1, .reusable = false}, REDUCE(sym_binary_expression, 3),
  [1210] = {.count = 1, .reusable = true}, REDUCE(sym_array_type, 4),
  [1212] = {.count = 1, .reusable = true}, REDUCE(sym_selector_expression, 3, .production_id = 4),
  [1214] = {.count = 1, .reusable = false}, REDUCE(sym_selector_expression, 3, .production_id = 4),
  [1216] = {.count = 1, .reusable = true}, SHIFT(332),
  [1218] = {.count = 1, .reusable = false}, SHIFT(332),
  [1220] = {.count = 1, .reusable = true}, SHIFT(331),
  [1222] = {.count = 1, .reusable = true}, SHIFT(333),
  [1224] = {.count = 1, .reusable = true}, SHIFT(334),
  [1226] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 2),
  [1228] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 2),
  [1230] = {.count = 1, .reusable = true}, SHIFT(335),
  [1232] = {.count = 1, .reusable = true}, SHIFT(336),
  [1234] = {.count = 1, .reusable = true}, SHIFT(338),
  [1236] = {.count = 1, .reusable = true}, SHIFT(340),
  [1238] = {.count = 1, .reusable = true}, SHIFT(339),
  [1240] = {.count = 1, .reusable = true}, SHIFT(341),
  [1242] = {.count = 1, .reusable = true}, SHIFT(342),
  [1244] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 3, .production_id = 8),
  [1246] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec, 2, .production_id = 9),
  [1248] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec, 2, .production_id = 9),
  [1250] = {.count = 1, .reusable = false}, SHIFT(342),
  [1252] = {.count = 1, .reusable = false}, SHIFT(345),
  [1254] = {.count = 1, .reusable = true}, SHIFT(345),
  [1256] = {.count = 1, .reusable = true}, SHIFT(347),
  [1258] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 3),
  [1260] = {.count = 1, .reusable = false}, SHIFT(347),
  [1262] = {.count = 1, .reusable = false}, SHIFT(348),
  [1264] = {.count = 1, .reusable = true}, SHIFT(348),
  [1266] = {.count = 1, .reusable = true}, SHIFT(350),
  [1268] = {.count = 1, .reusable = true}, SHIFT(270),
  [1270] = {.count = 1, .reusable = true}, SHIFT(1217),
  [1272] = {.count = 1, .reusable = true}, SHIFT(1006),
  [1274] = {.count = 1, .reusable = true}, SHIFT(1233),
  [1276] = {.count = 1, .reusable = true}, SHIFT(1220),
  [1278] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 2, .production_id = 2),
  [1280] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 2, .production_id = 2),
  [1282] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 2, .production_id = 9),
  [1284] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 2, .production_id = 9),
  [1286] = {.count = 1, .reusable = false}, SHIFT(353),
  [1288] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 2, .production_id = 8),
  [1290] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 2, .production_id = 8),
  [1292] = {.count = 1, .reusable = false}, SHIFT(354),
  [1294] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 2),
  [1296] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 2),
  [1298] = {.count = 1, .reusable = false}, SHIFT(355),
  [1300] = {.count = 1, .reusable = true}, SHIFT(356),
  [1302] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration_list, 3),
  [1304] = {.count = 1, .reusable = false}, SHIFT(356),
  [1306] = {.count = 1, .reusable = false}, SHIFT(358),
  [1308] = {.count = 1, .reusable = true}, SHIFT(358),
  [1310] = {.count = 1, .reusable = true}, REDUCE(sym_parameter_list, 5),
  [1312] = {.count = 1, .reusable = false}, REDUCE(sym_parameter_list, 5),
  [1314] = {.count = 1, .reusable = false}, REDUCE(sym_method_declaration, 6, .production_id = 4),
  [1316] = {.count = 1, .reusable = true}, REDUCE(sym_method_declaration, 6, .production_id = 4),
  [1318] = {.count = 1, .reusable = false}, REDUCE(aux_sym_expression_list_repeat1, 2),
  [1320] = {.count = 1, .reusable = true}, REDUCE(aux_sym_expression_list_repeat1, 2),
  [1322] = {.count = 2, .reusable = false}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(200),
  [1325] = {.count = 1, .reusable = false}, REDUCE(sym_const_spec, 5),
  [1327] = {.count = 1, .reusable = true}, REDUCE(sym_const_spec, 5),
  [1329] = {.count = 1, .reusable = false}, REDUCE(sym_var_spec, 5),
  [1331] = {.count = 1, .reusable = true}, REDUCE(sym_var_spec, 5),
  [1333] = {.count = 1, .reusable = true}, SHIFT(990),
  [1335] = {.count = 1, .reusable = false}, SHIFT(991),
  [1337] = {.count = 1, .reusable = true}, SHIFT(992),
  [1339] = {.count = 1, .reusable = true}, SHIFT(991),
  [1341] = {.count = 1, .reusable = true}, SHIFT(993),
  [1343] = {.count = 1, .reusable = false}, SHIFT(990),
  [1345] = {.count = 1, .reusable = true}, REDUCE(sym_range_clause, 2),
  [1347] = {.count = 1, .reusable = false}, SHIFT(992),
  [1349] = {.count = 1, .reusable = true}, SHIFT(994),
  [1351] = {.count = 1, .reusable = true}, SHIFT(514),
  [1353] = {.count = 1, .reusable = false}, SHIFT(514),
  [1355] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 2),
  [1357] = {.count = 1, .reusable = true}, SHIFT(361),
  [1359] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 3),
  [1361] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 3),
  [1363] = {.count = 1, .reusable = true}, SHIFT(614),
  [1365] = {.count = 1, .reusable = false}, SHIFT(614),
  [1367] = {.count = 1, .reusable = false}, SHIFT(362),
  [1369] = {.count = 1, .reusable = true}, SHIFT(363),
  [1371] = {.count = 1, .reusable = false}, SHIFT(363),
  [1373] = {.count = 1, .reusable = true}, SHIFT(365),
  [1375] = {.count = 1, .reusable = false}, SHIFT(365),
  [1377] = {.count = 1, .reusable = true}, SHIFT(1182),
  [1379] = {.count = 1, .reusable = false}, SHIFT(841),
  [1381] = {.count = 1, .reusable = true}, SHIFT(837),
  [1383] = {.count = 1, .reusable = true}, SHIFT(838),
  [1385] = {.count = 1, .reusable = false}, SHIFT(883),
  [1387] = {.count = 1, .reusable = false}, SHIFT(1269),
  [1389] = {.count = 1, .reusable = true}, SHIFT(1270),
  [1391] = {.count = 1, .reusable = true}, SHIFT(884),
  [1393] = {.count = 1, .reusable = true}, SHIFT(367),
  [1395] = {.count = 1, .reusable = false}, REDUCE(sym_select_statement, 3),
  [1397] = {.count = 1, .reusable = true}, REDUCE(sym_select_statement, 3),
  [1399] = {.count = 1, .reusable = true}, REDUCE(sym_communication_clause, 1),
  [1401] = {.count = 1, .reusable = false}, REDUCE(sym_communication_clause, 1),
  [1403] = {.count = 1, .reusable = true}, SHIFT(369),
  [1405] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 3),
  [1407] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 3),
  [1409] = {.count = 1, .reusable = false}, SHIFT(371),
  [1411] = {.count = 1, .reusable = false}, REDUCE(sym_if_initializer, 2),
  [1413] = {.count = 1, .reusable = true}, REDUCE(sym_if_initializer, 2),
  [1415] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 3),
  [1417] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 3),
  [1419] = {.count = 1, .reusable = true}, REDUCE(sym_expression_case_clause, 1),
  [1421] = {.count = 1, .reusable = false}, REDUCE(sym_expression_case_clause, 1),
  [1423] = {.count = 1, .reusable = true}, SHIFT(376),
  [1425] = {.count = 1, .reusable = true}, SHIFT(378),
  [1427] = {.count = 1, .reusable = false}, SHIFT(378),
  [1429] = {.count = 1, .reusable = true}, SHIFT(379),
  [1431] = {.count = 1, .reusable = true}, SHIFT(380),
  [1433] = {.count = 1, .reusable = true}, SHIFT(765),
  [1435] = {.count = 1, .reusable = true}, SHIFT(383),
  [1437] = {.count = 1, .reusable = true}, SHIFT(388),
  [1439] = {.count = 1, .reusable = true}, SHIFT(385),
  [1441] = {.count = 1, .reusable = false}, SHIFT(388),
  [1443] = {.count = 1, .reusable = false}, SHIFT(389),
  [1445] = {.count = 1, .reusable = false}, REDUCE(sym_labeled_statement, 3, .production_id = 7),
  [1447] = {.count = 1, .reusable = true}, REDUCE(sym_labeled_statement, 3, .production_id = 7),
  [1449] = {.count = 1, .reusable = false}, REDUCE(sym_assignment_statement, 3),
  [1451] = {.count = 1, .reusable = true}, REDUCE(sym_assignment_statement, 3),
  [1453] = {.count = 1, .reusable = false}, REDUCE(sym_short_var_declaration, 3),
  [1455] = {.count = 1, .reusable = true}, REDUCE(sym_short_var_declaration, 3),
  [1457] = {.count = 1, .reusable = false}, REDUCE(aux_sym__statement_list_repeat1, 2),
  [1459] = {.count = 1, .reusable = true}, REDUCE(aux_sym__statement_list_repeat1, 2),
  [1461] = {.count = 1, .reusable = true}, REDUCE(sym__statement_list, 3),
  [1463] = {.count = 1, .reusable = false}, REDUCE(sym__statement_list, 3),
  [1465] = {.count = 2, .reusable = false}, REDUCE(aux_sym__statement_list_repeat1, 2), SHIFT_REPEAT(391),
  [1468] = {.count = 2, .reusable = true}, REDUCE(aux_sym__statement_list_repeat1, 2), SHIFT_REPEAT(391),
  [1471] = {.count = 1, .reusable = false}, REDUCE(sym_send_statement, 3),
  [1473] = {.count = 1, .reusable = true}, REDUCE(sym_send_statement, 3),
  [1475] = {.count = 1, .reusable = true}, REDUCE(sym_implicit_length_array_type, 4),
  [1477] = {.count = 1, .reusable = true}, SHIFT(393),
  [1479] = {.count = 1, .reusable = false}, SHIFT(393),
  [1481] = {.count = 1, .reusable = true}, SHIFT(395),
  [1483] = {.count = 1, .reusable = false}, SHIFT(395),
  [1485] = {.count = 1, .reusable = true}, REDUCE(sym_literal_value, 3),
  [1487] = {.count = 1, .reusable = false}, REDUCE(sym_literal_value, 3),
  [1489] = {.count = 1, .reusable = true}, SHIFT(396),
  [1491] = {.count = 1, .reusable = true}, SHIFT(398),
  [1493] = {.count = 1, .reusable = true}, REDUCE(sym_func_literal, 4),
  [1495] = {.count = 1, .reusable = false}, REDUCE(sym_func_literal, 4),
  [1497] = {.count = 1, .reusable = true}, SHIFT(718),
  [1499] = {.count = 1, .reusable = true}, SHIFT(400),
  [1501] = {.count = 1, .reusable = false}, SHIFT(718),
  [1503] = {.count = 1, .reusable = true}, REDUCE(sym_special_argument_list, 3),
  [1505] = {.count = 1, .reusable = false}, REDUCE(sym_special_argument_list, 3),
  [1507] = {.count = 1, .reusable = true}, SHIFT(401),
  [1509] = {.count = 1, .reusable = true}, SHIFT(402),
  [1511] = {.count = 1, .reusable = true}, REDUCE(sym_slice_expression, 4),
  [1513] = {.count = 1, .reusable = false}, REDUCE(sym_slice_expression, 4),
  [1515] = {.count = 1, .reusable = true}, SHIFT(403),
  [1517] = {.count = 1, .reusable = true}, SHIFT(404),
  [1519] = {.count = 1, .reusable = true}, REDUCE(sym_index_expression, 4),
  [1521] = {.count = 1, .reusable = false}, REDUCE(sym_index_expression, 4),
  [1523] = {.count = 1, .reusable = true}, SHIFT(405),
  [1525] = {.count = 1, .reusable = false}, SHIFT(405),
  [1527] = {.count = 1, .reusable = true}, SHIFT(408),
  [1529] = {.count = 1, .reusable = true}, SHIFT(406),
  [1531] = {.count = 1, .reusable = false}, SHIFT(408),
  [1533] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 3),
  [1535] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 3),
  [1537] = {.count = 1, .reusable = true}, SHIFT(409),
  [1539] = {.count = 1, .reusable = true}, REDUCE(sym_variadic_argument, 2),
  [1541] = {.count = 1, .reusable = true}, SHIFT(411),
  [1543] = {.count = 1, .reusable = true}, REDUCE(sym_type_conversion_expression, 4, .dynamic_precedence = -1),
  [1545] = {.count = 1, .reusable = false}, REDUCE(sym_type_conversion_expression, 4, .dynamic_precedence = -1),
  [1547] = {.count = 1, .reusable = false}, REDUCE(aux_sym_method_spec_list_repeat1, 2, .production_id = 8),
  [1549] = {.count = 1, .reusable = true}, REDUCE(aux_sym_method_spec_list_repeat1, 2, .production_id = 8),
  [1551] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 4, .production_id = 8),
  [1553] = {.count = 1, .reusable = false}, REDUCE(aux_sym_method_spec_list_repeat1, 2),
  [1555] = {.count = 1, .reusable = true}, REDUCE(aux_sym_method_spec_list_repeat1, 2),
  [1557] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec, 3, .production_id = 9),
  [1559] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec, 3, .production_id = 9),
  [1561] = {.count = 1, .reusable = true}, SHIFT(412),
  [1563] = {.count = 2, .reusable = false}, REDUCE(aux_sym_method_spec_list_repeat1, 2), SHIFT_REPEAT(413),
  [1566] = {.count = 2, .reusable = true}, REDUCE(aux_sym_method_spec_list_repeat1, 2), SHIFT_REPEAT(413),
  [1569] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 4),
  [1571] = {.count = 1, .reusable = true}, SHIFT(414),
  [1573] = {.count = 1, .reusable = true}, REDUCE(sym_map_type, 5),
  [1575] = {.count = 1, .reusable = true}, REDUCE(aux_sym_field_name_list_repeat1, 2, .production_id = 10),
  [1577] = {.count = 1, .reusable = false}, REDUCE(aux_sym_field_name_list_repeat1, 2, .production_id = 10),
  [1579] = {.count = 2, .reusable = true}, REDUCE(aux_sym_field_name_list_repeat1, 2), SHIFT_REPEAT(270),
  [1582] = {.count = 1, .reusable = true}, REDUCE(aux_sym_field_name_list_repeat1, 2),
  [1584] = {.count = 1, .reusable = false}, REDUCE(aux_sym_field_name_list_repeat1, 2),
  [1586] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 3, .production_id = 9),
  [1588] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 3, .production_id = 9),
  [1590] = {.count = 1, .reusable = false}, SHIFT(415),
  [1592] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 3, .production_id = 8),
  [1594] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 3, .production_id = 8),
  [1596] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 3),
  [1598] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 3),
  [1600] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration_list, 4),
  [1602] = {.count = 1, .reusable = false}, REDUCE(aux_sym_field_declaration_list_repeat1, 2),
  [1604] = {.count = 1, .reusable = true}, REDUCE(aux_sym_field_declaration_list_repeat1, 2),
  [1606] = {.count = 1, .reusable = true}, SHIFT(416),
  [1608] = {.count = 2, .reusable = false}, REDUCE(aux_sym_field_declaration_list_repeat1, 2), SHIFT_REPEAT(417),
  [1611] = {.count = 2, .reusable = true}, REDUCE(aux_sym_field_declaration_list_repeat1, 2), SHIFT_REPEAT(417),
  [1614] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 3),
  [1616] = {.count = 1, .reusable = true}, SHIFT(419),
  [1618] = {.count = 1, .reusable = false}, SHIFT(419),
  [1620] = {.count = 1, .reusable = true}, SHIFT(420),
  [1622] = {.count = 1, .reusable = true}, SHIFT(421),
  [1624] = {.count = 1, .reusable = true}, SHIFT(635),
  [1626] = {.count = 1, .reusable = true}, SHIFT(885),
  [1628] = {.count = 1, .reusable = false}, SHIFT(886),
  [1630] = {.count = 1, .reusable = true}, SHIFT(887),
  [1632] = {.count = 1, .reusable = true}, SHIFT(886),
  [1634] = {.count = 1, .reusable = true}, SHIFT(888),
  [1636] = {.count = 1, .reusable = false}, SHIFT(885),
  [1638] = {.count = 1, .reusable = false}, REDUCE(sym_receive_statement, 1),
  [1640] = {.count = 1, .reusable = true}, SHIFT(1191),
  [1642] = {.count = 1, .reusable = false}, SHIFT(887),
  [1644] = {.count = 1, .reusable = true}, SHIFT(1272),
  [1646] = {.count = 1, .reusable = true}, SHIFT(889),
  [1648] = {.count = 1, .reusable = true}, SHIFT(1192),
  [1650] = {.count = 1, .reusable = true}, SHIFT(422),
  [1652] = {.count = 1, .reusable = true}, REDUCE(sym_default_case, 2),
  [1654] = {.count = 1, .reusable = false}, REDUCE(sym_default_case, 2),
  [1656] = {.count = 1, .reusable = true}, REDUCE(sym_communication_clause, 2),
  [1658] = {.count = 1, .reusable = false}, REDUCE(sym_select_statement, 4),
  [1660] = {.count = 1, .reusable = true}, REDUCE(sym_select_statement, 4),
  [1662] = {.count = 1, .reusable = true}, REDUCE(aux_sym_select_statement_repeat1, 2),
  [1664] = {.count = 2, .reusable = true}, REDUCE(aux_sym_select_statement_repeat1, 2), SHIFT_REPEAT(294),
  [1667] = {.count = 2, .reusable = true}, REDUCE(aux_sym_select_statement_repeat1, 2), SHIFT_REPEAT(295),
  [1670] = {.count = 1, .reusable = true}, SHIFT(142),
  [1672] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 4),
  [1674] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 4),
  [1676] = {.count = 1, .reusable = true}, SHIFT(425),
  [1678] = {.count = 1, .reusable = true}, REDUCE(sym_expression_case_clause, 2),
  [1680] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 4),
  [1682] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 4),
  [1684] = {.count = 1, .reusable = true}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2),
  [1686] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2), SHIFT_REPEAT(302),
  [1689] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_switch_statement_repeat1, 2), SHIFT_REPEAT(295),
  [1692] = {.count = 1, .reusable = true}, SHIFT(426),
  [1694] = {.count = 1, .reusable = false}, REDUCE(sym_type_switch_statement, 4),
  [1696] = {.count = 1, .reusable = true}, REDUCE(sym_type_switch_statement, 4),
  [1698] = {.count = 1, .reusable = true}, REDUCE(sym_type_case_clause, 1),
  [1700] = {.count = 1, .reusable = false}, REDUCE(sym_type_case_clause, 1),
  [1702] = {.count = 1, .reusable = true}, SHIFT(429),
  [1704] = {.count = 1, .reusable = false}, SHIFT(431),
  [1706] = {.count = 1, .reusable = true}, SHIFT(432),
  [1708] = {.count = 1, .reusable = true}, SHIFT(434),
  [1710] = {.count = 1, .reusable = true}, SHIFT(435),
  [1712] = {.count = 1, .reusable = true}, SHIFT(568),
  [1714] = {.count = 1, .reusable = true}, SHIFT(436),
  [1716] = {.count = 1, .reusable = true}, REDUCE(sym__statement_list, 4),
  [1718] = {.count = 1, .reusable = true}, REDUCE(sym_keyed_element, 3, .production_id = 9),
  [1720] = {.count = 1, .reusable = true}, REDUCE(sym_keyed_element, 3),
  [1722] = {.count = 1, .reusable = true}, REDUCE(sym_literal_value, 4),
  [1724] = {.count = 1, .reusable = false}, REDUCE(sym_literal_value, 4),
  [1726] = {.count = 1, .reusable = true}, REDUCE(aux_sym_literal_value_repeat1, 2),
  [1728] = {.count = 1, .reusable = true}, SHIFT(437),
  [1730] = {.count = 2, .reusable = true}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(438),
  [1733] = {.count = 1, .reusable = true}, REDUCE(sym_special_argument_list, 4),
  [1735] = {.count = 1, .reusable = false}, REDUCE(sym_special_argument_list, 4),
  [1737] = {.count = 1, .reusable = true}, SHIFT(439),
  [1739] = {.count = 1, .reusable = true}, REDUCE(sym_type_assertion_expression, 5),
  [1741] = {.count = 1, .reusable = false}, REDUCE(sym_type_assertion_expression, 5),
  [1743] = {.count = 1, .reusable = true}, REDUCE(sym_slice_expression, 5),
  [1745] = {.count = 1, .reusable = false}, REDUCE(sym_slice_expression, 5),
  [1747] = {.count = 1, .reusable = true}, SHIFT(440),
  [1749] = {.count = 1, .reusable = false}, SHIFT(440),
  [1751] = {.count = 1, .reusable = true}, SHIFT(441),
  [1753] = {.count = 1, .reusable = true}, SHIFT(442),
  [1755] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 4),
  [1757] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 4),
  [1759] = {.count = 1, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [1761] = {.count = 1, .reusable = true}, SHIFT(443),
  [1763] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(444),
  [1766] = {.count = 1, .reusable = true}, REDUCE(sym_type_conversion_expression, 5, .dynamic_precedence = -1),
  [1768] = {.count = 1, .reusable = false}, REDUCE(sym_type_conversion_expression, 5, .dynamic_precedence = -1),
  [1770] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 5, .production_id = 8),
  [1772] = {.count = 1, .reusable = true}, REDUCE(sym_method_spec_list, 5),
  [1774] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration, 4, .production_id = 9),
  [1776] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration, 4, .production_id = 9),
  [1778] = {.count = 1, .reusable = true}, REDUCE(sym_field_declaration_list, 5),
  [1780] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 4),
  [1782] = {.count = 1, .reusable = true}, REDUCE(sym_range_clause, 4),
  [1784] = {.count = 1, .reusable = true}, SHIFT(446),
  [1786] = {.count = 1, .reusable = false}, SHIFT(446),
  [1788] = {.count = 1, .reusable = true}, REDUCE(sym_communication_case, 3),
  [1790] = {.count = 1, .reusable = false}, REDUCE(sym_communication_case, 3),
  [1792] = {.count = 1, .reusable = false}, REDUCE(sym_else_clause, 2),
  [1794] = {.count = 1, .reusable = true}, REDUCE(sym_else_clause, 2),
  [1796] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5),
  [1798] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5),
  [1800] = {.count = 1, .reusable = true}, REDUCE(sym_expression_case, 3),
  [1802] = {.count = 1, .reusable = false}, REDUCE(sym_expression_case, 3),
  [1804] = {.count = 1, .reusable = true}, SHIFT(447),
  [1806] = {.count = 1, .reusable = true}, SHIFT(448),
  [1808] = {.count = 1, .reusable = true}, SHIFT(449),
  [1810] = {.count = 1, .reusable = true}, REDUCE(sym_type_case_clause, 2),
  [1812] = {.count = 1, .reusable = false}, REDUCE(sym_type_switch_statement, 5),
  [1814] = {.count = 1, .reusable = true}, REDUCE(sym_type_switch_statement, 5),
  [1816] = {.count = 1, .reusable = true}, REDUCE(aux_sym_type_switch_statement_repeat1, 2),
  [1818] = {.count = 2, .reusable = true}, REDUCE(aux_sym_type_switch_statement_repeat1, 2), SHIFT_REPEAT(379),
  [1821] = {.count = 2, .reusable = true}, REDUCE(aux_sym_type_switch_statement_repeat1, 2), SHIFT_REPEAT(295),
  [1824] = {.count = 1, .reusable = true}, SHIFT(451),
  [1826] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 5),
  [1828] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 5),
  [1830] = {.count = 1, .reusable = true}, SHIFT(452),
  [1832] = {.count = 1, .reusable = true}, SHIFT(453),
  [1834] = {.count = 1, .reusable = false}, SHIFT(453),
  [1836] = {.count = 1, .reusable = true}, SHIFT(454),
  [1838] = {.count = 1, .reusable = true}, REDUCE(sym_literal_value, 5),
  [1840] = {.count = 1, .reusable = false}, REDUCE(sym_literal_value, 5),
  [1842] = {.count = 1, .reusable = true}, REDUCE(sym_special_argument_list, 5),
  [1844] = {.count = 1, .reusable = false}, REDUCE(sym_special_argument_list, 5),
  [1846] = {.count = 1, .reusable = true}, SHIFT(457),
  [1848] = {.count = 1, .reusable = true}, REDUCE(sym_slice_expression, 6),
  [1850] = {.count = 1, .reusable = false}, REDUCE(sym_slice_expression, 6),
  [1852] = {.count = 1, .reusable = true}, SHIFT(458),
  [1854] = {.count = 1, .reusable = false}, SHIFT(458),
  [1856] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 5),
  [1858] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 5),
  [1860] = {.count = 1, .reusable = true}, REDUCE(sym_for_clause, 5),
  [1862] = {.count = 1, .reusable = true}, REDUCE(sym_receive_statement, 3),
  [1864] = {.count = 1, .reusable = false}, SHIFT(459),
  [1866] = {.count = 1, .reusable = true}, REDUCE(sym_type_case, 3),
  [1868] = {.count = 1, .reusable = false}, REDUCE(sym_type_case, 3),
  [1870] = {.count = 1, .reusable = true}, SHIFT(461),
  [1872] = {.count = 1, .reusable = true}, REDUCE(sym_type_switch_guard, 5),
  [1874] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 6),
  [1876] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 6),
  [1878] = {.count = 1, .reusable = false}, REDUCE(sym_type_switch_statement, 6),
  [1880] = {.count = 1, .reusable = true}, REDUCE(sym_type_switch_statement, 6),
  [1882] = {.count = 1, .reusable = true}, SHIFT(463),
  [1884] = {.count = 1, .reusable = true}, SHIFT(464),
  [1886] = {.count = 1, .reusable = true}, REDUCE(sym_slice_expression, 7),
  [1888] = {.count = 1, .reusable = false}, REDUCE(sym_slice_expression, 7),
  [1890] = {.count = 1, .reusable = true}, SHIFT(465),
  [1892] = {.count = 1, .reusable = true}, SHIFT(466),
  [1894] = {.count = 1, .reusable = true}, REDUCE(aux_sym_type_case_repeat1, 2),
  [1896] = {.count = 1, .reusable = true}, REDUCE(sym_type_case, 4),
  [1898] = {.count = 1, .reusable = false}, REDUCE(sym_type_case, 4),
  [1900] = {.count = 2, .reusable = true}, REDUCE(aux_sym_type_case_repeat1, 2), SHIFT_REPEAT(448),
  [1903] = {.count = 1, .reusable = false}, REDUCE(sym_type_switch_statement, 7),
  [1905] = {.count = 1, .reusable = true}, REDUCE(sym_type_switch_statement, 7),
  [1907] = {.count = 1, .reusable = false}, REDUCE(sym_expression_switch_statement, 7),
  [1909] = {.count = 1, .reusable = true}, REDUCE(sym_expression_switch_statement, 7),
  [1911] = {.count = 1, .reusable = true}, REDUCE(sym_slice_expression, 8),
  [1913] = {.count = 1, .reusable = false}, REDUCE(sym_slice_expression, 8),
  [1915] = {.count = 1, .reusable = true}, REDUCE(sym_type_switch_guard, 7),
  [1917] = {.count = 1, .reusable = false}, SHIFT(1012),
  [1919] = {.count = 1, .reusable = false}, SHIFT(479),
  [1921] = {.count = 1, .reusable = true}, SHIFT(96),
  [1923] = {.count = 1, .reusable = false}, SHIFT(506),
  [1925] = {.count = 1, .reusable = true}, SHIFT(510),
  [1927] = {.count = 1, .reusable = false}, SHIFT(510),
  [1929] = {.count = 1, .reusable = true}, SHIFT(515),
  [1931] = {.count = 1, .reusable = false}, SHIFT(515),
  [1933] = {.count = 1, .reusable = false}, SHIFT(941),
  [1935] = {.count = 1, .reusable = false}, SHIFT(1225),
  [1937] = {.count = 1, .reusable = false}, REDUCE(sym_interface_type, 2),
  [1939] = {.count = 1, .reusable = false}, REDUCE(sym_pointer_type, 2),
  [1941] = {.count = 1, .reusable = false}, REDUCE(sym_function_type, 2),
  [1943] = {.count = 2, .reusable = false}, REDUCE(sym_function_type, 2), SHIFT(911),
  [1946] = {.count = 1, .reusable = false}, REDUCE(sym_struct_type, 2),
  [1948] = {.count = 1, .reusable = false}, SHIFT(518),
  [1950] = {.count = 1, .reusable = false}, REDUCE(sym_channel_type, 2),
  [1952] = {.count = 1, .reusable = false}, SHIFT(988),
  [1954] = {.count = 2, .reusable = true}, REDUCE(aux_sym_const_spec_repeat1, 2), SHIFT_REPEAT(919),
  [1957] = {.count = 1, .reusable = false}, SHIFT(540),
  [1959] = {.count = 1, .reusable = true}, SHIFT(640),
  [1961] = {.count = 1, .reusable = false}, REDUCE(sym_slice_type, 3),
  [1963] = {.count = 1, .reusable = true}, SHIFT(498),
  [1965] = {.count = 1, .reusable = true}, SHIFT(551),
  [1967] = {.count = 1, .reusable = false}, SHIFT(551),
  [1969] = {.count = 1, .reusable = true}, SHIFT(552),
  [1971] = {.count = 1, .reusable = false}, SHIFT(552),
  [1973] = {.count = 1, .reusable = true}, SHIFT(553),
  [1975] = {.count = 1, .reusable = false}, SHIFT(553),
  [1977] = {.count = 1, .reusable = true}, SHIFT(555),
  [1979] = {.count = 1, .reusable = false}, SHIFT(555),
  [1981] = {.count = 1, .reusable = true}, SHIFT(557),
  [1983] = {.count = 1, .reusable = false}, SHIFT(557),
  [1985] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 2),
  [1987] = {.count = 1, .reusable = false}, REDUCE(sym_qualified_type, 3, .production_id = 5),
  [1989] = {.count = 1, .reusable = false}, REDUCE(sym_function_type, 3),
  [1991] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_type, 3),
  [1993] = {.count = 1, .reusable = false}, REDUCE(sym_channel_type, 3),
  [1995] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration_list, 2),
  [1997] = {.count = 1, .reusable = true}, SHIFT(564),
  [1999] = {.count = 1, .reusable = false}, SHIFT(564),
  [2001] = {.count = 1, .reusable = true}, SHIFT(1147),
  [2003] = {.count = 1, .reusable = false}, SHIFT(794),
  [2005] = {.count = 1, .reusable = true}, SHIFT(790),
  [2007] = {.count = 1, .reusable = true}, SHIFT(791),
  [2009] = {.count = 1, .reusable = false}, SHIFT(839),
  [2011] = {.count = 1, .reusable = false}, SHIFT(1261),
  [2013] = {.count = 1, .reusable = true}, SHIFT(1262),
  [2015] = {.count = 1, .reusable = true}, SHIFT(840),
  [2017] = {.count = 1, .reusable = true}, SHIFT(571),
  [2019] = {.count = 1, .reusable = false}, SHIFT(571),
  [2021] = {.count = 1, .reusable = false}, REDUCE(sym_array_type, 4),
  [2023] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 3, .production_id = 8),
  [2025] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 3),
  [2027] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration_list, 3),
  [2029] = {.count = 1, .reusable = false}, SHIFT(849),
  [2031] = {.count = 1, .reusable = false}, SHIFT(850),
  [2033] = {.count = 1, .reusable = true}, SHIFT(851),
  [2035] = {.count = 1, .reusable = false}, SHIFT(848),
  [2037] = {.count = 1, .reusable = true}, SHIFT(848),
  [2039] = {.count = 1, .reusable = true}, SHIFT(1156),
  [2041] = {.count = 1, .reusable = true}, SHIFT(1264),
  [2043] = {.count = 1, .reusable = true}, SHIFT(852),
  [2045] = {.count = 1, .reusable = true}, SHIFT(1157),
  [2047] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(535),
  [2050] = {.count = 1, .reusable = true}, SHIFT(981),
  [2052] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 4, .production_id = 8),
  [2054] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 4),
  [2056] = {.count = 1, .reusable = false}, REDUCE(sym_map_type, 5),
  [2058] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration_list, 4),
  [2060] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 5, .production_id = 8),
  [2062] = {.count = 1, .reusable = false}, REDUCE(sym_method_spec_list, 5),
  [2064] = {.count = 1, .reusable = false}, REDUCE(sym_field_declaration_list, 5),
  [2066] = {.count = 1, .reusable = true}, SHIFT(617),
  [2068] = {.count = 1, .reusable = false}, SHIFT(617),
  [2070] = {.count = 1, .reusable = false}, SHIFT(689),
  [2072] = {.count = 1, .reusable = false}, SHIFT(1083),
  [2074] = {.count = 1, .reusable = false}, SHIFT(1238),
  [2076] = {.count = 2, .reusable = false}, REDUCE(aux_sym_const_spec_repeat1, 2), SHIFT_REPEAT(1012),
  [2079] = {.count = 1, .reusable = true}, SHIFT(645),
  [2081] = {.count = 1, .reusable = false}, SHIFT(645),
  [2083] = {.count = 1, .reusable = true}, SHIFT(646),
  [2085] = {.count = 1, .reusable = false}, SHIFT(646),
  [2087] = {.count = 1, .reusable = true}, SHIFT(647),
  [2089] = {.count = 1, .reusable = false}, SHIFT(647),
  [2091] = {.count = 1, .reusable = true}, SHIFT(649),
  [2093] = {.count = 1, .reusable = false}, SHIFT(649),
  [2095] = {.count = 1, .reusable = true}, SHIFT(651),
  [2097] = {.count = 1, .reusable = false}, SHIFT(651),
  [2099] = {.count = 1, .reusable = true}, SHIFT(768),
  [2101] = {.count = 1, .reusable = false}, SHIFT(768),
  [2103] = {.count = 1, .reusable = true}, SHIFT(694),
  [2105] = {.count = 1, .reusable = false}, SHIFT(694),
  [2107] = {.count = 1, .reusable = true}, SHIFT(659),
  [2109] = {.count = 1, .reusable = false}, SHIFT(659),
  [2111] = {.count = 2, .reusable = false}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(988),
  [2114] = {.count = 1, .reusable = true}, SHIFT(696),
  [2116] = {.count = 1, .reusable = false}, SHIFT(696),
  [2118] = {.count = 1, .reusable = false}, SHIFT(1247),
  [2120] = {.count = 1, .reusable = true}, SHIFT(995),
  [2122] = {.count = 1, .reusable = true}, SHIFT(711),
  [2124] = {.count = 1, .reusable = false}, SHIFT(711),
  [2126] = {.count = 1, .reusable = true}, SHIFT(712),
  [2128] = {.count = 1, .reusable = false}, SHIFT(712),
  [2130] = {.count = 1, .reusable = true}, SHIFT(714),
  [2132] = {.count = 1, .reusable = false}, SHIFT(714),
  [2134] = {.count = 1, .reusable = true}, SHIFT(716),
  [2136] = {.count = 1, .reusable = false}, SHIFT(716),
  [2138] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(705),
  [2141] = {.count = 1, .reusable = true}, SHIFT(747),
  [2143] = {.count = 1, .reusable = false}, SHIFT(747),
  [2145] = {.count = 1, .reusable = true}, SHIFT(1255),
  [2147] = {.count = 1, .reusable = true}, SHIFT(761),
  [2149] = {.count = 1, .reusable = false}, SHIFT(761),
  [2151] = {.count = 1, .reusable = true}, SHIFT(762),
  [2153] = {.count = 1, .reusable = false}, SHIFT(762),
  [2155] = {.count = 1, .reusable = true}, SHIFT(713),
  [2157] = {.count = 1, .reusable = false}, SHIFT(713),
  [2159] = {.count = 1, .reusable = true}, SHIFT(764),
  [2161] = {.count = 1, .reusable = false}, SHIFT(764),
  [2163] = {.count = 1, .reusable = true}, SHIFT(766),
  [2165] = {.count = 1, .reusable = false}, SHIFT(766),
  [2167] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(635),
  [2170] = {.count = 1, .reusable = true}, SHIFT(797),
  [2172] = {.count = 1, .reusable = false}, SHIFT(797),
  [2174] = {.count = 1, .reusable = true}, SHIFT(1263),
  [2176] = {.count = 1, .reusable = true}, SHIFT(810),
  [2178] = {.count = 1, .reusable = false}, SHIFT(810),
  [2180] = {.count = 1, .reusable = true}, SHIFT(811),
  [2182] = {.count = 1, .reusable = false}, SHIFT(811),
  [2184] = {.count = 1, .reusable = true}, SHIFT(763),
  [2186] = {.count = 1, .reusable = false}, SHIFT(763),
  [2188] = {.count = 1, .reusable = true}, SHIFT(813),
  [2190] = {.count = 1, .reusable = false}, SHIFT(813),
  [2192] = {.count = 1, .reusable = true}, SHIFT(815),
  [2194] = {.count = 1, .reusable = false}, SHIFT(815),
  [2196] = {.count = 1, .reusable = true}, SHIFT(844),
  [2198] = {.count = 1, .reusable = false}, SHIFT(844),
  [2200] = {.count = 1, .reusable = true}, SHIFT(1153),
  [2202] = {.count = 1, .reusable = true}, SHIFT(1271),
  [2204] = {.count = 1, .reusable = true}, SHIFT(857),
  [2206] = {.count = 1, .reusable = false}, SHIFT(857),
  [2208] = {.count = 1, .reusable = true}, SHIFT(858),
  [2210] = {.count = 1, .reusable = false}, SHIFT(858),
  [2212] = {.count = 1, .reusable = true}, SHIFT(812),
  [2214] = {.count = 1, .reusable = false}, SHIFT(812),
  [2216] = {.count = 1, .reusable = true}, SHIFT(860),
  [2218] = {.count = 1, .reusable = false}, SHIFT(860),
  [2220] = {.count = 1, .reusable = true}, SHIFT(862),
  [2222] = {.count = 1, .reusable = false}, SHIFT(862),
  [2224] = {.count = 1, .reusable = true}, SHIFT(1188),
  [2226] = {.count = 1, .reusable = true}, SHIFT(890),
  [2228] = {.count = 1, .reusable = false}, SHIFT(890),
  [2230] = {.count = 1, .reusable = true}, SHIFT(891),
  [2232] = {.count = 1, .reusable = false}, SHIFT(891),
  [2234] = {.count = 1, .reusable = true}, SHIFT(859),
  [2236] = {.count = 1, .reusable = false}, SHIFT(859),
  [2238] = {.count = 1, .reusable = true}, SHIFT(892),
  [2240] = {.count = 1, .reusable = false}, SHIFT(892),
  [2242] = {.count = 1, .reusable = true}, SHIFT(893),
  [2244] = {.count = 1, .reusable = false}, SHIFT(893),
  [2246] = {.count = 1, .reusable = true}, SHIFT(900),
  [2248] = {.count = 1, .reusable = true}, SHIFT(904),
  [2250] = {.count = 1, .reusable = true}, SHIFT(906),
  [2252] = {.count = 1, .reusable = true}, SHIFT(907),
  [2254] = {.count = 1, .reusable = true}, SHIFT(472),
  [2256] = {.count = 1, .reusable = true}, SHIFT(916),
  [2258] = {.count = 1, .reusable = true}, SHIFT(475),
  [2260] = {.count = 1, .reusable = true}, SHIFT(476),
  [2262] = {.count = 1, .reusable = false}, SHIFT(477),
  [2264] = {.count = 1, .reusable = true}, SHIFT(918),
  [2266] = {.count = 1, .reusable = true}, SHIFT(478),
  [2268] = {.count = 1, .reusable = true}, SHIFT(481),
  [2270] = {.count = 1, .reusable = true}, SHIFT(482),
  [2272] = {.count = 1, .reusable = true}, SHIFT(485),
  [2274] = {.count = 1, .reusable = true}, SHIFT(486),
  [2276] = {.count = 1, .reusable = true}, SHIFT(929),
  [2278] = {.count = 1, .reusable = false}, SHIFT(929),
  [2280] = {.count = 1, .reusable = true}, SHIFT(488),
  [2282] = {.count = 1, .reusable = true}, SHIFT(930),
  [2284] = {.count = 1, .reusable = true}, SHIFT(496),
  [2286] = {.count = 1, .reusable = true}, SHIFT(934),
  [2288] = {.count = 1, .reusable = true}, SHIFT(936),
  [2290] = {.count = 1, .reusable = true}, SHIFT(501),
  [2292] = {.count = 1, .reusable = false}, SHIFT(502),
  [2294] = {.count = 1, .reusable = true}, SHIFT(503),
  [2296] = {.count = 1, .reusable = true}, SHIFT(506),
  [2298] = {.count = 1, .reusable = true}, SHIFT(508),
  [2300] = {.count = 1, .reusable = true}, SHIFT(512),
  [2302] = {.count = 1, .reusable = true}, SHIFT(513),
  [2304] = {.count = 1, .reusable = true}, SHIFT(941),
  [2306] = {.count = 1, .reusable = true}, SHIFT(524),
  [2308] = {.count = 1, .reusable = true}, SHIFT(948),
  [2310] = {.count = 1, .reusable = true}, SHIFT(527),
  [2312] = {.count = 1, .reusable = true}, SHIFT(528),
  [2314] = {.count = 1, .reusable = true}, SHIFT(530),
  [2316] = {.count = 1, .reusable = true}, SHIFT(532),
  [2318] = {.count = 1, .reusable = true}, SHIFT(534),
  [2320] = {.count = 1, .reusable = true}, SHIFT(952),
  [2322] = {.count = 1, .reusable = true}, SHIFT(538),
  [2324] = {.count = 1, .reusable = true}, SHIFT(542),
  [2326] = {.count = 1, .reusable = true}, SHIFT(543),
  [2328] = {.count = 1, .reusable = true}, SHIFT(547),
  [2330] = {.count = 1, .reusable = true}, SHIFT(76),
  [2332] = {.count = 1, .reusable = true}, SHIFT(549),
  [2334] = {.count = 1, .reusable = true}, SHIFT(556),
  [2336] = {.count = 1, .reusable = true}, SHIFT(1229),
  [2338] = {.count = 1, .reusable = true}, SHIFT(959),
  [2340] = {.count = 1, .reusable = false}, SHIFT(959),
  [2342] = {.count = 1, .reusable = true}, SHIFT(558),
  [2344] = {.count = 1, .reusable = false}, SHIFT(559),
  [2346] = {.count = 1, .reusable = true}, SHIFT(961),
  [2348] = {.count = 1, .reusable = false}, SHIFT(961),
  [2350] = {.count = 1, .reusable = false}, SHIFT(560),
  [2352] = {.count = 1, .reusable = false}, SHIFT(963),
  [2354] = {.count = 1, .reusable = true}, SHIFT(963),
  [2356] = {.count = 1, .reusable = true}, SHIFT(561),
  [2358] = {.count = 1, .reusable = false}, SHIFT(562),
  [2360] = {.count = 1, .reusable = false}, SHIFT(966),
  [2362] = {.count = 1, .reusable = true}, SHIFT(966),
  [2364] = {.count = 1, .reusable = true}, SHIFT(563),
  [2366] = {.count = 1, .reusable = true}, SHIFT(572),
  [2368] = {.count = 1, .reusable = true}, SHIFT(968),
  [2370] = {.count = 1, .reusable = true}, SHIFT(970),
  [2372] = {.count = 1, .reusable = true}, SHIFT(574),
  [2374] = {.count = 1, .reusable = true}, SHIFT(973),
  [2376] = {.count = 1, .reusable = false}, SHIFT(973),
  [2378] = {.count = 1, .reusable = true}, SHIFT(575),
  [2380] = {.count = 1, .reusable = true}, SHIFT(576),
  [2382] = {.count = 1, .reusable = true}, SHIFT(974),
  [2384] = {.count = 1, .reusable = true}, SHIFT(975),
  [2386] = {.count = 1, .reusable = true}, SHIFT(577),
  [2388] = {.count = 1, .reusable = true}, SHIFT(977),
  [2390] = {.count = 1, .reusable = true}, SHIFT(578),
  [2392] = {.count = 1, .reusable = true}, SHIFT(579),
  [2394] = {.count = 1, .reusable = false}, SHIFT(579),
  [2396] = {.count = 1, .reusable = false}, SHIFT(978),
  [2398] = {.count = 1, .reusable = true}, SHIFT(978),
  [2400] = {.count = 1, .reusable = true}, SHIFT(580),
  [2402] = {.count = 1, .reusable = false}, SHIFT(580),
  [2404] = {.count = 1, .reusable = false}, SHIFT(979),
  [2406] = {.count = 1, .reusable = true}, SHIFT(979),
  [2408] = {.count = 1, .reusable = true}, SHIFT(582),
  [2410] = {.count = 1, .reusable = false}, SHIFT(582),
  [2412] = {.count = 1, .reusable = false}, SHIFT(980),
  [2414] = {.count = 1, .reusable = true}, SHIFT(980),
  [2416] = {.count = 1, .reusable = true}, SHIFT(583),
  [2418] = {.count = 1, .reusable = true}, SHIFT(982),
  [2420] = {.count = 1, .reusable = true}, SHIFT(584),
  [2422] = {.count = 1, .reusable = true}, SHIFT(983),
  [2424] = {.count = 1, .reusable = true}, SHIFT(585),
  [2426] = {.count = 1, .reusable = true}, SHIFT(586),
  [2428] = {.count = 1, .reusable = true}, SHIFT(1230),
  [2430] = {.count = 1, .reusable = true}, SHIFT(984),
  [2432] = {.count = 1, .reusable = false}, SHIFT(984),
  [2434] = {.count = 1, .reusable = true}, SHIFT(587),
  [2436] = {.count = 1, .reusable = true}, SHIFT(985),
  [2438] = {.count = 1, .reusable = true}, SHIFT(588),
  [2440] = {.count = 1, .reusable = true}, SHIFT(589),
  [2442] = {.count = 1, .reusable = true}, SHIFT(590),
  [2444] = {.count = 1, .reusable = true}, SHIFT(591),
  [2446] = {.count = 1, .reusable = true}, SHIFT(592),
  [2448] = {.count = 1, .reusable = true}, SHIFT(593),
  [2450] = {.count = 1, .reusable = true}, SHIFT(594),
  [2452] = {.count = 1, .reusable = true}, SHIFT(1231),
  [2454] = {.count = 1, .reusable = true}, SHIFT(595),
  [2456] = {.count = 1, .reusable = true}, SHIFT(596),
  [2458] = {.count = 1, .reusable = true}, SHIFT(597),
  [2460] = {.count = 1, .reusable = true}, SHIFT(657),
  [2462] = {.count = 1, .reusable = false}, SHIFT(657),
  [2464] = {.count = 1, .reusable = true}, SHIFT(996),
  [2466] = {.count = 1, .reusable = false}, SHIFT(996),
  [2468] = {.count = 1, .reusable = true}, SHIFT(997),
  [2470] = {.count = 1, .reusable = false}, SHIFT(997),
  [2472] = {.count = 1, .reusable = true}, SHIFT(998),
  [2474] = {.count = 1, .reusable = false}, SHIFT(998),
  [2476] = {.count = 1, .reusable = true}, SHIFT(999),
  [2478] = {.count = 1, .reusable = false}, SHIFT(999),
  [2480] = {.count = 1, .reusable = true}, SHIFT(1000),
  [2482] = {.count = 1, .reusable = false}, SHIFT(1000),
  [2484] = {.count = 2, .reusable = true}, REDUCE(aux_sym_expression_list_repeat1, 2), SHIFT_REPEAT(995),
  [2487] = {.count = 1, .reusable = true}, SHIFT(1004),
  [2489] = {.count = 1, .reusable = true}, SHIFT(598),
  [2491] = {.count = 1, .reusable = false}, SHIFT(600),
  [2493] = {.count = 1, .reusable = true}, SHIFT(1011),
  [2495] = {.count = 1, .reusable = true}, SHIFT(601),
  [2497] = {.count = 1, .reusable = true}, SHIFT(1019),
  [2499] = {.count = 1, .reusable = true}, SHIFT(1002),
  [2501] = {.count = 1, .reusable = true}, SHIFT(1023),
  [2503] = {.count = 1, .reusable = true}, SHIFT(1025),
  [2505] = {.count = 1, .reusable = false}, SHIFT(612),
  [2507] = {.count = 1, .reusable = true}, SHIFT(613),
  [2509] = {.count = 1, .reusable = true}, SHIFT(616),
  [2511] = {.count = 1, .reusable = true}, SHIFT(1029),
  [2513] = {.count = 1, .reusable = true}, SHIFT(1036),
  [2515] = {.count = 1, .reusable = true}, SHIFT(627),
  [2517] = {.count = 1, .reusable = true}, SHIFT(628),
  [2519] = {.count = 1, .reusable = true}, SHIFT(630),
  [2521] = {.count = 1, .reusable = true}, SHIFT(632),
  [2523] = {.count = 1, .reusable = false}, SHIFT(1032),
  [2525] = {.count = 1, .reusable = true}, SHIFT(634),
  [2527] = {.count = 1, .reusable = true}, SHIFT(1039),
  [2529] = {.count = 1, .reusable = true}, SHIFT(637),
  [2531] = {.count = 1, .reusable = true}, SHIFT(638),
  [2533] = {.count = 1, .reusable = true}, SHIFT(639),
  [2535] = {.count = 1, .reusable = true}, SHIFT(641),
  [2537] = {.count = 1, .reusable = true}, SHIFT(643),
  [2539] = {.count = 1, .reusable = true}, SHIFT(1024),
  [2541] = {.count = 1, .reusable = true}, SHIFT(650),
  [2543] = {.count = 1, .reusable = true}, SHIFT(1242),
  [2545] = {.count = 1, .reusable = true}, SHIFT(1046),
  [2547] = {.count = 1, .reusable = true}, SHIFT(652),
  [2549] = {.count = 1, .reusable = false}, SHIFT(1046),
  [2551] = {.count = 1, .reusable = false}, SHIFT(653),
  [2553] = {.count = 1, .reusable = true}, SHIFT(1048),
  [2555] = {.count = 1, .reusable = false}, SHIFT(1048),
  [2557] = {.count = 1, .reusable = false}, SHIFT(654),
  [2559] = {.count = 1, .reusable = false}, SHIFT(1050),
  [2561] = {.count = 1, .reusable = true}, SHIFT(1050),
  [2563] = {.count = 1, .reusable = false}, SHIFT(655),
  [2565] = {.count = 1, .reusable = false}, SHIFT(1053),
  [2567] = {.count = 1, .reusable = true}, SHIFT(1053),
  [2569] = {.count = 1, .reusable = true}, SHIFT(656),
  [2571] = {.count = 1, .reusable = true}, SHIFT(660),
  [2573] = {.count = 1, .reusable = true}, SHIFT(1055),
  [2575] = {.count = 1, .reusable = true}, SHIFT(1057),
  [2577] = {.count = 1, .reusable = true}, SHIFT(662),
  [2579] = {.count = 1, .reusable = true}, SHIFT(1060),
  [2581] = {.count = 1, .reusable = false}, SHIFT(1060),
  [2583] = {.count = 1, .reusable = true}, SHIFT(663),
  [2585] = {.count = 1, .reusable = true}, SHIFT(664),
  [2587] = {.count = 1, .reusable = true}, SHIFT(1061),
  [2589] = {.count = 1, .reusable = true}, SHIFT(1062),
  [2591] = {.count = 1, .reusable = true}, SHIFT(665),
  [2593] = {.count = 1, .reusable = true}, SHIFT(666),
  [2595] = {.count = 1, .reusable = true}, SHIFT(1064),
  [2597] = {.count = 1, .reusable = true}, SHIFT(667),
  [2599] = {.count = 1, .reusable = false}, SHIFT(667),
  [2601] = {.count = 1, .reusable = false}, SHIFT(1065),
  [2603] = {.count = 1, .reusable = true}, SHIFT(1065),
  [2605] = {.count = 1, .reusable = true}, SHIFT(668),
  [2607] = {.count = 1, .reusable = false}, SHIFT(668),
  [2609] = {.count = 1, .reusable = false}, SHIFT(1066),
  [2611] = {.count = 1, .reusable = true}, SHIFT(1066),
  [2613] = {.count = 1, .reusable = true}, SHIFT(670),
  [2615] = {.count = 1, .reusable = false}, SHIFT(670),
  [2617] = {.count = 1, .reusable = false}, SHIFT(1067),
  [2619] = {.count = 1, .reusable = true}, SHIFT(1067),
  [2621] = {.count = 1, .reusable = true}, SHIFT(671),
  [2623] = {.count = 1, .reusable = true}, SHIFT(1068),
  [2625] = {.count = 1, .reusable = true}, SHIFT(672),
  [2627] = {.count = 1, .reusable = true}, SHIFT(1069),
  [2629] = {.count = 1, .reusable = true}, SHIFT(673),
  [2631] = {.count = 1, .reusable = true}, SHIFT(674),
  [2633] = {.count = 1, .reusable = true}, SHIFT(1243),
  [2635] = {.count = 1, .reusable = true}, SHIFT(1070),
  [2637] = {.count = 1, .reusable = false}, SHIFT(1070),
  [2639] = {.count = 1, .reusable = true}, SHIFT(675),
  [2641] = {.count = 1, .reusable = true}, SHIFT(1071),
  [2643] = {.count = 1, .reusable = true}, SHIFT(676),
  [2645] = {.count = 1, .reusable = true}, SHIFT(677),
  [2647] = {.count = 1, .reusable = true}, SHIFT(678),
  [2649] = {.count = 1, .reusable = true}, SHIFT(679),
  [2651] = {.count = 1, .reusable = true}, SHIFT(680),
  [2653] = {.count = 1, .reusable = true}, SHIFT(681),
  [2655] = {.count = 1, .reusable = true}, SHIFT(682),
  [2657] = {.count = 1, .reusable = true}, SHIFT(1244),
  [2659] = {.count = 1, .reusable = true}, SHIFT(683),
  [2661] = {.count = 1, .reusable = true}, SHIFT(684),
  [2663] = {.count = 1, .reusable = true}, SHIFT(685),
  [2665] = {.count = 1, .reusable = false}, SHIFT(836),
  [2667] = {.count = 1, .reusable = true}, SHIFT(1077),
  [2669] = {.count = 1, .reusable = false}, SHIFT(842),
  [2671] = {.count = 1, .reusable = true}, SHIFT(843),
  [2673] = {.count = 1, .reusable = true}, SHIFT(1083),
  [2675] = {.count = 1, .reusable = true}, SHIFT(853),
  [2677] = {.count = 1, .reusable = true}, SHIFT(708),
  [2679] = {.count = 1, .reusable = true}, SHIFT(1078),
  [2681] = {.count = 1, .reusable = true}, SHIFT(710),
  [2683] = {.count = 1, .reusable = true}, SHIFT(715),
  [2685] = {.count = 1, .reusable = true}, SHIFT(1250),
  [2687] = {.count = 1, .reusable = true}, SHIFT(1094),
  [2689] = {.count = 1, .reusable = true}, SHIFT(717),
  [2691] = {.count = 1, .reusable = false}, SHIFT(1094),
  [2693] = {.count = 1, .reusable = true}, SHIFT(720),
  [2695] = {.count = 1, .reusable = true}, SHIFT(1096),
  [2697] = {.count = 1, .reusable = true}, SHIFT(1098),
  [2699] = {.count = 1, .reusable = true}, SHIFT(722),
  [2701] = {.count = 1, .reusable = true}, SHIFT(1101),
  [2703] = {.count = 1, .reusable = false}, SHIFT(1101),
  [2705] = {.count = 1, .reusable = true}, SHIFT(723),
  [2707] = {.count = 1, .reusable = true}, SHIFT(724),
  [2709] = {.count = 1, .reusable = true}, SHIFT(1102),
  [2711] = {.count = 1, .reusable = true}, SHIFT(1103),
  [2713] = {.count = 1, .reusable = true}, SHIFT(725),
  [2715] = {.count = 1, .reusable = true}, SHIFT(726),
  [2717] = {.count = 1, .reusable = true}, SHIFT(1105),
  [2719] = {.count = 1, .reusable = true}, SHIFT(727),
  [2721] = {.count = 1, .reusable = true}, SHIFT(1106),
  [2723] = {.count = 1, .reusable = true}, SHIFT(728),
  [2725] = {.count = 1, .reusable = true}, SHIFT(1107),
  [2727] = {.count = 1, .reusable = true}, SHIFT(729),
  [2729] = {.count = 1, .reusable = true}, SHIFT(730),
  [2731] = {.count = 1, .reusable = true}, SHIFT(1251),
  [2733] = {.count = 1, .reusable = true}, SHIFT(1108),
  [2735] = {.count = 1, .reusable = false}, SHIFT(1108),
  [2737] = {.count = 1, .reusable = true}, SHIFT(731),
  [2739] = {.count = 1, .reusable = true}, SHIFT(1109),
  [2741] = {.count = 1, .reusable = true}, SHIFT(732),
  [2743] = {.count = 1, .reusable = true}, SHIFT(733),
  [2745] = {.count = 1, .reusable = true}, SHIFT(734),
  [2747] = {.count = 1, .reusable = true}, SHIFT(735),
  [2749] = {.count = 1, .reusable = true}, SHIFT(1252),
  [2751] = {.count = 1, .reusable = true}, SHIFT(736),
  [2753] = {.count = 1, .reusable = true}, SHIFT(737),
  [2755] = {.count = 1, .reusable = true}, SHIFT(738),
  [2757] = {.count = 1, .reusable = false}, SHIFT(686),
  [2759] = {.count = 1, .reusable = true}, SHIFT(1113),
  [2761] = {.count = 1, .reusable = false}, SHIFT(693),
  [2763] = {.count = 1, .reusable = true}, SHIFT(695),
  [2765] = {.count = 1, .reusable = true}, SHIFT(1118),
  [2767] = {.count = 1, .reusable = true}, SHIFT(707),
  [2769] = {.count = 1, .reusable = true}, SHIFT(758),
  [2771] = {.count = 1, .reusable = true}, SHIFT(1114),
  [2773] = {.count = 1, .reusable = true}, SHIFT(760),
  [2775] = {.count = 1, .reusable = true}, SHIFT(1258),
  [2777] = {.count = 1, .reusable = true}, SHIFT(1129),
  [2779] = {.count = 1, .reusable = true}, SHIFT(767),
  [2781] = {.count = 1, .reusable = false}, SHIFT(1129),
  [2783] = {.count = 1, .reusable = true}, SHIFT(770),
  [2785] = {.count = 1, .reusable = true}, SHIFT(1131),
  [2787] = {.count = 1, .reusable = true}, SHIFT(1133),
  [2789] = {.count = 1, .reusable = true}, SHIFT(772),
  [2791] = {.count = 1, .reusable = true}, SHIFT(1136),
  [2793] = {.count = 1, .reusable = false}, SHIFT(1136),
  [2795] = {.count = 1, .reusable = true}, SHIFT(773),
  [2797] = {.count = 1, .reusable = true}, SHIFT(774),
  [2799] = {.count = 1, .reusable = true}, SHIFT(1137),
  [2801] = {.count = 1, .reusable = true}, SHIFT(1138),
  [2803] = {.count = 1, .reusable = true}, SHIFT(775),
  [2805] = {.count = 1, .reusable = true}, SHIFT(776),
  [2807] = {.count = 1, .reusable = true}, SHIFT(1140),
  [2809] = {.count = 1, .reusable = true}, SHIFT(777),
  [2811] = {.count = 1, .reusable = true}, SHIFT(1141),
  [2813] = {.count = 1, .reusable = true}, SHIFT(778),
  [2815] = {.count = 1, .reusable = true}, SHIFT(1142),
  [2817] = {.count = 1, .reusable = true}, SHIFT(779),
  [2819] = {.count = 1, .reusable = true}, SHIFT(780),
  [2821] = {.count = 1, .reusable = true}, SHIFT(1259),
  [2823] = {.count = 1, .reusable = true}, SHIFT(1143),
  [2825] = {.count = 1, .reusable = false}, SHIFT(1143),
  [2827] = {.count = 1, .reusable = true}, SHIFT(781),
  [2829] = {.count = 1, .reusable = true}, SHIFT(1144),
  [2831] = {.count = 1, .reusable = true}, SHIFT(782),
  [2833] = {.count = 1, .reusable = true}, SHIFT(783),
  [2835] = {.count = 1, .reusable = true}, SHIFT(784),
  [2837] = {.count = 1, .reusable = true}, SHIFT(785),
  [2839] = {.count = 1, .reusable = true}, SHIFT(1260),
  [2841] = {.count = 1, .reusable = true}, SHIFT(786),
  [2843] = {.count = 1, .reusable = true}, SHIFT(787),
  [2845] = {.count = 1, .reusable = true}, SHIFT(788),
  [2847] = {.count = 1, .reusable = false}, SHIFT(739),
  [2849] = {.count = 1, .reusable = true}, SHIFT(1148),
  [2851] = {.count = 1, .reusable = false}, SHIFT(745),
  [2853] = {.count = 1, .reusable = true}, SHIFT(746),
  [2855] = {.count = 1, .reusable = true}, SHIFT(757),
  [2857] = {.count = 1, .reusable = true}, SHIFT(807),
  [2859] = {.count = 1, .reusable = true}, SHIFT(1149),
  [2861] = {.count = 1, .reusable = true}, SHIFT(809),
  [2863] = {.count = 1, .reusable = true}, SHIFT(814),
  [2865] = {.count = 1, .reusable = true}, SHIFT(1266),
  [2867] = {.count = 1, .reusable = true}, SHIFT(1164),
  [2869] = {.count = 1, .reusable = false}, SHIFT(1164),
  [2871] = {.count = 1, .reusable = true}, SHIFT(816),
  [2873] = {.count = 1, .reusable = true}, SHIFT(817),
  [2875] = {.count = 1, .reusable = true}, SHIFT(1166),
  [2877] = {.count = 1, .reusable = true}, SHIFT(1168),
  [2879] = {.count = 1, .reusable = true}, SHIFT(819),
  [2881] = {.count = 1, .reusable = true}, SHIFT(1171),
  [2883] = {.count = 1, .reusable = false}, SHIFT(1171),
  [2885] = {.count = 1, .reusable = true}, SHIFT(820),
  [2887] = {.count = 1, .reusable = true}, SHIFT(821),
  [2889] = {.count = 1, .reusable = true}, SHIFT(1172),
  [2891] = {.count = 1, .reusable = true}, SHIFT(1173),
  [2893] = {.count = 1, .reusable = true}, SHIFT(822),
  [2895] = {.count = 1, .reusable = true}, SHIFT(1175),
  [2897] = {.count = 1, .reusable = true}, SHIFT(823),
  [2899] = {.count = 1, .reusable = true}, SHIFT(824),
  [2901] = {.count = 1, .reusable = true}, SHIFT(1176),
  [2903] = {.count = 1, .reusable = true}, SHIFT(825),
  [2905] = {.count = 1, .reusable = true}, SHIFT(1177),
  [2907] = {.count = 1, .reusable = true}, SHIFT(826),
  [2909] = {.count = 1, .reusable = true}, SHIFT(827),
  [2911] = {.count = 1, .reusable = true}, SHIFT(1267),
  [2913] = {.count = 1, .reusable = true}, SHIFT(1178),
  [2915] = {.count = 1, .reusable = false}, SHIFT(1178),
  [2917] = {.count = 1, .reusable = true}, SHIFT(828),
  [2919] = {.count = 1, .reusable = true}, SHIFT(1179),
  [2921] = {.count = 1, .reusable = true}, SHIFT(829),
  [2923] = {.count = 1, .reusable = true}, SHIFT(830),
  [2925] = {.count = 1, .reusable = true}, SHIFT(831),
  [2927] = {.count = 1, .reusable = true}, SHIFT(832),
  [2929] = {.count = 1, .reusable = true}, SHIFT(1268),
  [2931] = {.count = 1, .reusable = true}, SHIFT(833),
  [2933] = {.count = 1, .reusable = true}, SHIFT(834),
  [2935] = {.count = 1, .reusable = true}, SHIFT(835),
  [2937] = {.count = 1, .reusable = false}, SHIFT(789),
  [2939] = {.count = 1, .reusable = true}, SHIFT(1183),
  [2941] = {.count = 1, .reusable = false}, SHIFT(795),
  [2943] = {.count = 1, .reusable = true}, SHIFT(796),
  [2945] = {.count = 1, .reusable = true}, SHIFT(806),
  [2947] = {.count = 1, .reusable = true}, SHIFT(854),
  [2949] = {.count = 1, .reusable = true}, SHIFT(1184),
  [2951] = {.count = 1, .reusable = true}, SHIFT(856),
  [2953] = {.count = 1, .reusable = true}, SHIFT(861),
  [2955] = {.count = 1, .reusable = true}, SHIFT(1274),
  [2957] = {.count = 1, .reusable = true}, SHIFT(1199),
  [2959] = {.count = 1, .reusable = false}, SHIFT(1199),
  [2961] = {.count = 1, .reusable = true}, SHIFT(863),
  [2963] = {.count = 1, .reusable = true}, SHIFT(864),
  [2965] = {.count = 1, .reusable = true}, SHIFT(1201),
  [2967] = {.count = 1, .reusable = true}, SHIFT(1203),
  [2969] = {.count = 1, .reusable = true}, SHIFT(866),
  [2971] = {.count = 1, .reusable = true}, SHIFT(1206),
  [2973] = {.count = 1, .reusable = false}, SHIFT(1206),
  [2975] = {.count = 1, .reusable = true}, SHIFT(867),
  [2977] = {.count = 1, .reusable = true}, SHIFT(868),
  [2979] = {.count = 1, .reusable = true}, SHIFT(1207),
  [2981] = {.count = 1, .reusable = true}, SHIFT(1208),
  [2983] = {.count = 1, .reusable = true}, SHIFT(869),
  [2985] = {.count = 1, .reusable = true}, SHIFT(1210),
  [2987] = {.count = 1, .reusable = true}, SHIFT(870),
  [2989] = {.count = 1, .reusable = true}, SHIFT(871),
  [2991] = {.count = 1, .reusable = true}, SHIFT(1211),
  [2993] = {.count = 1, .reusable = true}, SHIFT(872),
  [2995] = {.count = 1, .reusable = true}, SHIFT(1212),
  [2997] = {.count = 1, .reusable = true}, SHIFT(873),
  [2999] = {.count = 1, .reusable = true}, SHIFT(874),
  [3001] = {.count = 1, .reusable = true}, SHIFT(1275),
  [3003] = {.count = 1, .reusable = true}, SHIFT(1213),
  [3005] = {.count = 1, .reusable = false}, SHIFT(1213),
  [3007] = {.count = 1, .reusable = true}, SHIFT(875),
  [3009] = {.count = 1, .reusable = true}, SHIFT(1214),
  [3011] = {.count = 1, .reusable = true}, SHIFT(876),
  [3013] = {.count = 1, .reusable = true}, SHIFT(877),
  [3015] = {.count = 1, .reusable = true}, SHIFT(878),
  [3017] = {.count = 1, .reusable = true}, SHIFT(879),
  [3019] = {.count = 1, .reusable = true}, SHIFT(1276),
  [3021] = {.count = 1, .reusable = true}, SHIFT(880),
  [3023] = {.count = 1, .reusable = true}, SHIFT(881),
  [3025] = {.count = 1, .reusable = true}, SHIFT(882),
  [3027] = {.count = 1, .reusable = true}, SHIFT(1237),
  [3029] = {.count = 1, .reusable = false}, SHIFT(1237),
  [3031] = {.count = 1, .reusable = true}, SHIFT(1015),
  [3033] = {.count = 1, .reusable = true}, SHIFT(933),
  [3035] = {.count = 1, .reusable = true}, SHIFT(943),
  [3037] = {.count = 1, .reusable = false}, SHIFT(943),
  [3039] = {.count = 1, .reusable = true}, SHIFT(945),
  [3041] = {.count = 1, .reusable = true}, SHIFT(957),
  [3043] = {.count = 1, .reusable = false}, SHIFT(957),
  [3045] = {.count = 1, .reusable = true}, SHIFT(956),
  [3047] = {.count = 1, .reusable = true}, SHIFT(960),
  [3049] = {.count = 1, .reusable = false}, SHIFT(960),
  [3051] = {.count = 1, .reusable = true}, SHIFT(965),
  [3053] = {.count = 1, .reusable = true}, SHIFT(986),
  [3055] = {.count = 1, .reusable = false}, SHIFT(986),
  [3057] = {.count = 1, .reusable = true}, SHIFT(987),
  [3059] = {.count = 1, .reusable = false}, SHIFT(987),
  [3061] = {.count = 1, .reusable = true}, SHIFT(1022),
  [3063] = {.count = 1, .reusable = true}, SHIFT(1031),
  [3065] = {.count = 1, .reusable = false}, SHIFT(1031),
  [3067] = {.count = 1, .reusable = true}, SHIFT(1033),
  [3069] = {.count = 1, .reusable = true}, SHIFT(1044),
  [3071] = {.count = 1, .reusable = false}, SHIFT(1044),
  [3073] = {.count = 1, .reusable = true}, SHIFT(1043),
  [3075] = {.count = 1, .reusable = true}, SHIFT(1047),
  [3077] = {.count = 1, .reusable = false}, SHIFT(1047),
  [3079] = {.count = 1, .reusable = true}, SHIFT(1052),
  [3081] = {.count = 1, .reusable = true}, SHIFT(1072),
  [3083] = {.count = 1, .reusable = false}, SHIFT(1072),
  [3085] = {.count = 1, .reusable = true}, SHIFT(1073),
  [3087] = {.count = 1, .reusable = false}, SHIFT(1073),
  [3089] = {.count = 1, .reusable = true}, SHIFT(1085),
  [3091] = {.count = 1, .reusable = false}, SHIFT(1085),
  [3093] = {.count = 1, .reusable = true}, SHIFT(1092),
  [3095] = {.count = 1, .reusable = false}, SHIFT(1092),
  [3097] = {.count = 1, .reusable = true}, SHIFT(1091),
  [3099] = {.count = 1, .reusable = true}, SHIFT(1095),
  [3101] = {.count = 1, .reusable = false}, SHIFT(1095),
  [3103] = {.count = 1, .reusable = true}, SHIFT(1110),
  [3105] = {.count = 1, .reusable = false}, SHIFT(1110),
  [3107] = {.count = 1, .reusable = true}, SHIFT(1111),
  [3109] = {.count = 1, .reusable = false}, SHIFT(1111),
  [3111] = {.count = 1, .reusable = true}, SHIFT(1120),
  [3113] = {.count = 1, .reusable = false}, SHIFT(1120),
  [3115] = {.count = 1, .reusable = true}, SHIFT(1127),
  [3117] = {.count = 1, .reusable = false}, SHIFT(1127),
  [3119] = {.count = 1, .reusable = true}, SHIFT(1126),
  [3121] = {.count = 1, .reusable = true}, SHIFT(1130),
  [3123] = {.count = 1, .reusable = false}, SHIFT(1130),
  [3125] = {.count = 1, .reusable = true}, SHIFT(1145),
  [3127] = {.count = 1, .reusable = false}, SHIFT(1145),
  [3129] = {.count = 1, .reusable = true}, SHIFT(1146),
  [3131] = {.count = 1, .reusable = false}, SHIFT(1146),
  [3133] = {.count = 1, .reusable = true}, SHIFT(1155),
  [3135] = {.count = 1, .reusable = false}, SHIFT(1155),
  [3137] = {.count = 1, .reusable = true}, SHIFT(1162),
  [3139] = {.count = 1, .reusable = false}, SHIFT(1162),
  [3141] = {.count = 1, .reusable = true}, SHIFT(1161),
  [3143] = {.count = 1, .reusable = true}, SHIFT(1165),
  [3145] = {.count = 1, .reusable = false}, SHIFT(1165),
  [3147] = {.count = 1, .reusable = true}, SHIFT(1180),
  [3149] = {.count = 1, .reusable = false}, SHIFT(1180),
  [3151] = {.count = 1, .reusable = true}, SHIFT(1181),
  [3153] = {.count = 1, .reusable = false}, SHIFT(1181),
  [3155] = {.count = 1, .reusable = true}, SHIFT(1190),
  [3157] = {.count = 1, .reusable = false}, SHIFT(1190),
  [3159] = {.count = 1, .reusable = true}, SHIFT(1197),
  [3161] = {.count = 1, .reusable = false}, SHIFT(1197),
  [3163] = {.count = 1, .reusable = true}, SHIFT(1196),
  [3165] = {.count = 1, .reusable = true}, SHIFT(1200),
  [3167] = {.count = 1, .reusable = false}, SHIFT(1200),
  [3169] = {.count = 1, .reusable = true}, SHIFT(1215),
  [3171] = {.count = 1, .reusable = false}, SHIFT(1215),
  [3173] = {.count = 1, .reusable = true}, SHIFT(1216),
  [3175] = {.count = 1, .reusable = false}, SHIFT(1216),
  [3177] = {.count = 1, .reusable = true}, SHIFT(1224),
  [3179] = {.count = 1, .reusable = true}, SHIFT(1227),
  [3181] = {.count = 1, .reusable = true}, SHIFT(1240),
  [3183] = {.count = 1, .reusable = true}, SHIFT(1249),
  [3185] = {.count = 1, .reusable = true}, SHIFT(1257),
  [3187] = {.count = 1, .reusable = true}, SHIFT(1265),
  [3189] = {.count = 1, .reusable = true}, SHIFT(1273),
  [3191] = {.count = 1, .reusable = true}, SHIFT(1279),
  [3193] = {.count = 1, .reusable = true}, SHIFT(1281),
};

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_go(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
  };
  return &language;
}
